
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2012, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);



/* Line 189 of yacc.c  */
#line 232 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EXCEPT = 384,
     EXCLUDE = 385,
     EXCLUDING = 386,
     EXCLUSIVE = 387,
     EXECUTE = 388,
     EXISTS = 389,
     EXPLAIN = 390,
     EXTENSION = 391,
     EXTERNAL = 392,
     EXTRACT = 393,
     FALSE_P = 394,
     FAMILY = 395,
     FETCH = 396,
     FIRST_P = 397,
     FLOAT_P = 398,
     FOLLOWING = 399,
     FOR = 400,
     FORCE = 401,
     FOREIGN = 402,
     FORWARD = 403,
     FREEZE = 404,
     FROM = 405,
     FULL = 406,
     FUNCTION = 407,
     FUNCTIONS = 408,
     GLOBAL = 409,
     GRANT = 410,
     GRANTED = 411,
     GREATEST = 412,
     GROUP_P = 413,
     HANDLER = 414,
     HAVING = 415,
     HEADER_P = 416,
     HOLD = 417,
     HOUR_P = 418,
     IDENTITY_P = 419,
     IF_P = 420,
     ILIKE = 421,
     IMMEDIATE = 422,
     IMMUTABLE = 423,
     IMPLICIT_P = 424,
     IN_P = 425,
     INCLUDING = 426,
     INCREMENT = 427,
     INDEX = 428,
     INDEXES = 429,
     INHERIT = 430,
     INHERITS = 431,
     INITIALLY = 432,
     INLINE_P = 433,
     INNER_P = 434,
     INOUT = 435,
     INPUT_P = 436,
     INSENSITIVE = 437,
     INSERT = 438,
     INSTEAD = 439,
     INT_P = 440,
     INTEGER = 441,
     INTERSECT = 442,
     INTERVAL = 443,
     INTO = 444,
     INVOKER = 445,
     IS = 446,
     ISNULL = 447,
     ISOLATION = 448,
     JOIN = 449,
     KEY = 450,
     LABEL = 451,
     LANGUAGE = 452,
     LARGE_P = 453,
     LAST_P = 454,
     LC_COLLATE_P = 455,
     LC_CTYPE_P = 456,
     LEADING = 457,
     LEAKPROOF = 458,
     LEAST = 459,
     LEFT = 460,
     LEVEL = 461,
     LIKE = 462,
     LIMIT = 463,
     LISTEN = 464,
     LOAD = 465,
     LOCAL = 466,
     LOCALTIME = 467,
     LOCALTIMESTAMP = 468,
     LOCATION = 469,
     LOCK_P = 470,
     MAPPING = 471,
     MATCH = 472,
     MAXVALUE = 473,
     MINUTE_P = 474,
     MINVALUE = 475,
     MODE = 476,
     MONTH_P = 477,
     MOVE = 478,
     NAME_P = 479,
     NAMES = 480,
     NATIONAL = 481,
     NATURAL = 482,
     NCHAR = 483,
     NEXT = 484,
     NO = 485,
     NONE = 486,
     NOT = 487,
     NOTHING = 488,
     NOTIFY = 489,
     NOTNULL = 490,
     NOWAIT = 491,
     NULL_P = 492,
     NULLIF = 493,
     NULLS_P = 494,
     NUMERIC = 495,
     OBJECT_P = 496,
     OF = 497,
     OFF = 498,
     OFFSET = 499,
     OIDS = 500,
     ON = 501,
     ONLY = 502,
     OPERATOR = 503,
     OPTION = 504,
     OPTIONS = 505,
     OR = 506,
     ORDER = 507,
     OUT_P = 508,
     OUTER_P = 509,
     OVER = 510,
     OVERLAPS = 511,
     OVERLAY = 512,
     OWNED = 513,
     OWNER = 514,
     PARSER = 515,
     PARTIAL = 516,
     PARTITION = 517,
     PASSING = 518,
     PASSWORD = 519,
     PLACING = 520,
     PLANS = 521,
     POSITION = 522,
     PRECEDING = 523,
     PRECISION = 524,
     PRESERVE = 525,
     PREPARE = 526,
     PREPARED = 527,
     PRIMARY = 528,
     PRIOR = 529,
     PRIVILEGES = 530,
     PROCEDURAL = 531,
     PROCEDURE = 532,
     QUOTE = 533,
     RANGE = 534,
     READ = 535,
     REAL = 536,
     REASSIGN = 537,
     RECHECK = 538,
     RECURSIVE = 539,
     REF = 540,
     REFERENCES = 541,
     REINDEX = 542,
     RELATIVE_P = 543,
     RELEASE = 544,
     RENAME = 545,
     REPEATABLE = 546,
     REPLACE = 547,
     REPLICA = 548,
     RESET = 549,
     RESTART = 550,
     RESTRICT = 551,
     RETURNING = 552,
     RETURNS = 553,
     REVOKE = 554,
     RIGHT = 555,
     ROLE = 556,
     ROLLBACK = 557,
     ROW = 558,
     ROWS = 559,
     RULE = 560,
     SAVEPOINT = 561,
     SCHEMA = 562,
     SCROLL = 563,
     SEARCH = 564,
     SECOND_P = 565,
     SECURITY = 566,
     SELECT = 567,
     SEQUENCE = 568,
     SEQUENCES = 569,
     SERIALIZABLE = 570,
     SERVER = 571,
     SESSION = 572,
     SESSION_USER = 573,
     SET = 574,
     SETOF = 575,
     SHARE = 576,
     SHOW = 577,
     SIMILAR = 578,
     SIMPLE = 579,
     SMALLINT = 580,
     SNAPSHOT = 581,
     SOME = 582,
     STABLE = 583,
     STANDALONE_P = 584,
     START = 585,
     STATEMENT = 586,
     STATISTICS = 587,
     STDIN = 588,
     STDOUT = 589,
     STORAGE = 590,
     STRICT_P = 591,
     STRIP_P = 592,
     SUBSTRING = 593,
     SYMMETRIC = 594,
     SYSID = 595,
     SYSTEM_P = 596,
     TABLE = 597,
     TABLES = 598,
     TABLESPACE = 599,
     TEMP = 600,
     TEMPLATE = 601,
     TEMPORARY = 602,
     TEXT_P = 603,
     THEN = 604,
     TIME = 605,
     TIMESTAMP = 606,
     TO = 607,
     TRAILING = 608,
     TRANSACTION = 609,
     TREAT = 610,
     TRIGGER = 611,
     TRIM = 612,
     TRUE_P = 613,
     TRUNCATE = 614,
     TRUSTED = 615,
     TYPE_P = 616,
     TYPES_P = 617,
     UNBOUNDED = 618,
     UNCOMMITTED = 619,
     UNENCRYPTED = 620,
     UNION = 621,
     UNIQUE = 622,
     UNKNOWN = 623,
     UNLISTEN = 624,
     UNLOGGED = 625,
     UNTIL = 626,
     UPDATE = 627,
     USER = 628,
     USING = 629,
     VACUUM = 630,
     VALID = 631,
     VALIDATE = 632,
     VALIDATOR = 633,
     VALUE_P = 634,
     VALUES = 635,
     VARCHAR = 636,
     VARIADIC = 637,
     VARYING = 638,
     VERBOSE = 639,
     VERSION_P = 640,
     VIEW = 641,
     VOLATILE = 642,
     WHEN = 643,
     WHERE = 644,
     WHITESPACE_P = 645,
     WINDOW = 646,
     WITH = 647,
     WITHOUT = 648,
     WORK = 649,
     WRAPPER = 650,
     WRITE = 651,
     XML_P = 652,
     XMLATTRIBUTES = 653,
     XMLCONCAT = 654,
     XMLELEMENT = 655,
     XMLEXISTS = 656,
     XMLFOREST = 657,
     XMLPARSE = 658,
     XMLPI = 659,
     XMLROOT = 660,
     XMLSERIALIZE = 661,
     YEAR_P = 662,
     YES_P = 663,
     ZONE = 664,
     NULLS_FIRST = 665,
     NULLS_LAST = 666,
     WITH_TIME = 667,
     POSTFIXOP = 668,
     UMINUS = 669
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 160 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 214 of yacc.c  */
#line 721 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 746 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  696
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   72515

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  432
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  544
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2254
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4291

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   669

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   421,     2,     2,
     426,   427,   419,   417,   430,   418,   428,   420,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   431,   429,
     414,   413,   415,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   424,     2,   425,   422,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   416,   423
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   232,   238,   240,   241,
     244,   245,   248,   249,   252,   255,   259,   263,   265,   269,
     273,   276,   278,   280,   283,   286,   289,   293,   297,   303,
     309,   310,   314,   320,   326,   331,   335,   341,   345,   351,
     357,   364,   366,   368,   372,   378,   385,   390,   392,   393,
     396,   397,   399,   401,   403,   405,   407,   409,   412,   416,
     420,   423,   429,   431,   435,   439,   443,   447,   451,   455,
     458,   461,   464,   467,   471,   475,   479,   483,   485,   489,
     491,   495,   497,   499,   502,   505,   508,   510,   512,   514,
     516,   518,   520,   522,   526,   533,   535,   537,   539,   541,
     543,   544,   546,   548,   551,   555,   560,   564,   567,   570,
     572,   575,   577,   580,   584,   589,   593,   596,   601,   603,
     605,   607,   609,   611,   614,   617,   620,   623,   628,   635,
     640,   647,   652,   659,   664,   671,   673,   677,   680,   684,
     689,   696,   703,   710,   716,   722,   729,   736,   741,   750,
     755,   758,   762,   769,   774,   778,   782,   786,   790,   794,
     799,   804,   808,   812,   816,   820,   824,   828,   833,   838,
     842,   845,   849,   852,   855,   859,   863,   866,   869,   871,
     875,   878,   880,   882,   883,   886,   887,   890,   891,   895,
     898,   899,   901,   905,   909,   911,   917,   921,   926,   928,
     932,   937,   944,   949,   958,   961,   964,   975,   982,   984,
     986,   988,   990,   992,   994,   998,  1001,  1002,  1004,  1006,
    1010,  1014,  1016,  1018,  1022,  1026,  1030,  1034,  1039,  1042,
    1044,  1045,  1048,  1049,  1053,  1054,  1056,  1057,  1059,  1063,
    1066,  1068,  1070,  1072,  1076,  1077,  1079,  1083,  1085,  1097,
    1112,  1123,  1137,  1139,  1141,  1144,  1147,  1150,  1153,  1155,
    1156,  1158,  1159,  1163,  1164,  1166,  1170,  1172,  1176,  1178,
    1180,  1182,  1184,  1186,  1191,  1196,  1199,  1200,  1204,  1206,
    1208,  1211,  1214,  1216,  1220,  1225,  1231,  1234,  1240,  1242,
    1245,  1248,  1251,  1255,  1259,  1263,  1264,  1266,  1268,  1270,
    1272,  1274,  1276,  1280,  1282,  1288,  1296,  1300,  1309,  1314,
    1324,  1336,  1339,  1340,  1344,  1345,  1347,  1351,  1353,  1356,
    1359,  1362,  1363,  1365,  1369,  1373,  1380,  1385,  1386,  1388,
    1390,  1393,  1396,  1397,  1401,  1405,  1408,  1410,  1412,  1415,
    1418,  1423,  1424,  1427,  1430,  1433,  1434,  1438,  1443,  1448,
    1449,  1452,  1453,  1458,  1459,  1463,  1471,  1477,  1480,  1484,
    1485,  1491,  1496,  1503,  1505,  1506,  1508,  1511,  1514,  1516,
    1519,  1523,  1526,  1529,  1532,  1535,  1539,  1543,  1545,  1549,
    1551,  1552,  1554,  1557,  1559,  1561,  1565,  1572,  1583,  1585,
    1586,  1588,  1591,  1594,  1595,  1598,  1601,  1603,  1604,  1610,
    1618,  1620,  1621,  1628,  1631,  1632,  1636,  1642,  1648,  1657,
    1660,  1661,  1664,  1667,  1670,  1676,  1679,  1680,  1683,  1691,
    1702,  1709,  1716,  1723,  1730,  1738,  1746,  1756,  1766,  1773,
    1780,  1789,  1798,  1807,  1816,  1823,  1830,  1838,  1847,  1854,
    1861,  1869,  1872,  1875,  1878,  1881,  1883,  1886,  1888,  1889,
    1896,  1905,  1913,  1920,  1925,  1926,  1928,  1932,  1937,  1939,
    1943,  1945,  1948,  1951,  1954,  1957,  1959,  1961,  1972,  1975,
    1976,  1979,  1982,  1984,  1985,  1990,  1997,  2003,  2008,  2013,
    2022,  2034,  2038,  2041,  2043,  2047,  2049,  2055,  2063,  2072,
    2074,  2076,  2078,  2086,  2096,  2105,  2121,  2142,  2144,  2146,
    2149,  2151,  2155,  2157,  2159,  2161,  2165,  2167,  2171,  2172,
    2174,  2175,  2177,  2179,  2184,  2185,  2187,  2191,  2192,  2194,
    2196,  2198,  2200,  2203,  2204,  2205,  2208,  2211,  2213,  2216,
    2219,  2222,  2225,  2232,  2241,  2250,  2255,  2261,  2266,  2271,
    2276,  2280,  2288,  2297,  2304,  2311,  2318,  2325,  2332,  2337,
    2343,  2347,  2349,  2353,  2357,  2359,  2361,  2363,  2365,  2367,
    2369,  2373,  2377,  2381,  2383,  2387,  2391,  2393,  2394,  2396,
    2400,  2407,  2416,  2425,  2439,  2441,  2445,  2451,  2458,  2463,
    2471,  2474,  2476,  2477,  2480,  2481,  2484,  2489,  2490,  2492,
    2493,  2500,  2509,  2518,  2520,  2524,  2530,  2536,  2544,  2554,
    2562,  2572,  2578,  2585,  2592,  2597,  2603,  2611,  2613,  2615,
    2617,  2619,  2622,  2624,  2626,  2628,  2630,  2632,  2634,  2638,
    2642,  2646,  2650,  2652,  2656,  2658,  2661,  2664,  2668,  2674,
    2677,  2680,  2681,  2688,  2696,  2704,  2712,  2721,  2730,  2737,
    2746,  2756,  2766,  2774,  2785,  2793,  2802,  2811,  2820,  2829,
    2831,  2833,  2835,  2837,  2839,  2841,  2843,  2845,  2847,  2849,
    2851,  2853,  2855,  2857,  2860,  2862,  2866,  2868,  2870,  2879,
    2889,  2899,  2909,  2919,  2922,  2923,  2925,  2927,  2930,  2932,
    2934,  2936,  2938,  2940,  2942,  2944,  2946,  2948,  2950,  2953,
    2956,  2958,  2961,  2965,  2969,  2973,  2977,  2982,  2987,  2991,
    2995,  2999,  3004,  3009,  3013,  3018,  3023,  3025,  3027,  3029,
    3030,  3038,  3046,  3057,  3059,  3061,  3064,  3069,  3075,  3077,
    3081,  3084,  3087,  3090,  3093,  3095,  3098,  3101,  3106,  3110,
    3113,  3116,  3119,  3122,  3126,  3129,  3132,  3135,  3141,  3147,
    3153,  3155,  3159,  3161,  3164,  3168,  3169,  3171,  3175,  3178,
    3185,  3192,  3202,  3206,  3207,  3211,  3212,  3218,  3221,  3222,
    3226,  3230,  3234,  3242,  3250,  3261,  3263,  3265,  3267,  3269,
    3284,  3286,  3287,  3289,  3290,  3292,  3293,  3296,  3297,  3299,
    3303,  3309,  3315,  3323,  3326,  3327,  3329,  3332,  3333,  3335,
    3337,  3338,  3340,  3342,  3343,  3353,  3366,  3374,  3377,  3378,
    3382,  3385,  3387,  3391,  3395,  3398,  3400,  3404,  3408,  3412,
    3415,  3418,  3420,  3422,  3424,  3426,  3429,  3431,  3433,  3435,
    3437,  3442,  3448,  3450,  3454,  3458,  3460,  3463,  3468,  3474,
    3476,  3478,  3480,  3482,  3486,  3490,  3493,  3496,  3498,  3501,
    3504,  3507,  3509,  3512,  3515,  3517,  3519,  3521,  3525,  3528,
    3529,  3532,  3534,  3538,  3544,  3546,  3549,  3551,  3552,  3558,
    3566,  3572,  3580,  3586,  3594,  3598,  3604,  3610,  3616,  3618,
    3622,  3625,  3627,  3630,  3632,  3635,  3647,  3658,  3669,  3672,
    3675,  3676,  3686,  3689,  3690,  3695,  3700,  3705,  3707,  3709,
    3711,  3712,  3720,  3727,  3734,  3741,  3748,  3757,  3766,  3773,
    3780,  3788,  3798,  3808,  3815,  3822,  3829,  3838,  3845,  3854,
    3861,  3870,  3877,  3886,  3894,  3904,  3913,  3924,  3933,  3943,
    3955,  3964,  3971,  3978,  3985,  3991,  3997,  4006,  4015,  4024,
    4033,  4040,  4050,  4052,  4053,  4056,  4057,  4065,  4072,  4079,
    4086,  4093,  4100,  4108,  4118,  4128,  4135,  4144,  4153,  4162,
    4171,  4180,  4187,  4196,  4203,  4212,  4220,  4230,  4237,  4245,
    4252,  4259,  4266,  4273,  4280,  4288,  4296,  4304,  4314,  4324,
    4331,  4338,  4345,  4354,  4363,  4372,  4379,  4393,  4395,  4397,
    4401,  4405,  4407,  4409,  4411,  4413,  4415,  4417,  4419,  4420,
    4422,  4424,  4426,  4428,  4430,  4432,  4433,  4440,  4449,  4453,
    4456,  4457,  4460,  4463,  4466,  4469,  4473,  4477,  4480,  4483,
    4486,  4489,  4493,  4496,  4502,  4507,  4511,  4515,  4519,  4521,
    4523,  4524,  4528,  4531,  4534,  4536,  4539,  4541,  4545,  4548,
    4550,  4551,  4561,  4573,  4577,  4582,  4587,  4588,  4591,  4597,
    4600,  4601,  4605,  4609,  4613,  4617,  4621,  4625,  4629,  4633,
    4637,  4641,  4645,  4649,  4653,  4658,  4662,  4666,  4668,  4669,
    4675,  4682,  4687,  4690,  4691,  4696,  4700,  4706,  4713,  4718,
    4725,  4732,  4738,  4746,  4756,  4763,  4765,  4766,  4773,  4785,
    4797,  4809,  4823,  4833,  4845,  4856,  4861,  4864,  4870,  4873,
    4874,  4879,  4885,  4891,  4896,  4903,  4905,  4909,  4911,  4913,
    4915,  4917,  4920,  4925,  4927,  4929,  4931,  4932,  4934,  4935,
    4937,  4938,  4942,  4943,  4946,  4951,  4955,  4961,  4963,  4965,
    4967,  4969,  4971,  4973,  4975,  4977,  4981,  4984,  4986,  4988,
    4990,  4992,  4994,  4995,  5001,  5005,  5006,  5008,  5010,  5012,
    5014,  5018,  5028,  5032,  5033,  5036,  5040,  5043,  5047,  5054,
    5056,  5061,  5064,  5066,  5070,  5073,  5076,  5077,  5085,  5088,
    5089,  5095,  5099,  5100,  5103,  5106,  5109,  5113,  5115,  5119,
    5121,  5124,  5126,  5127,  5136,  5138,  5142,  5144,  5146,  5150,
    5156,  5159,  5161,  5165,  5173,  5175,  5176,  5180,  5183,  5186,
    5189,  5190,  5193,  5196,  5198,  5200,  5204,  5208,  5210,  5213,
    5218,  5223,  5226,  5230,  5236,  5242,  5244,  5246,  5256,  5258,
    5261,  5266,  5271,  5276,  5279,  5283,  5285,  5289,  5296,  5298,
    5299,  5302,  5303,  5307,  5311,  5316,  5321,  5326,  5331,  5335,
    5338,  5340,  5342,  5343,  5345,  5347,  5348,  5350,  5356,  5358,
    5359,  5361,  5362,  5366,  5368,  5372,  5377,  5381,  5384,  5387,
    5389,  5391,  5393,  5394,  5397,  5402,  5408,  5411,  5415,  5417,
    5419,  5421,  5423,  5427,  5428,  5430,  5432,  5434,  5436,  5438,
    5442,  5443,  5446,  5447,  5449,  5453,  5455,  5456,  5458,  5461,
    5466,  5471,  5474,  5475,  5478,  5482,  5485,  5486,  5488,  5492,
    5494,  5497,  5499,  5502,  5508,  5515,  5521,  5523,  5526,  5528,
    5533,  5537,  5542,  5548,  5553,  5559,  5564,  5570,  5573,  5578,
    5580,  5583,  5586,  5589,  5591,  5593,  5594,  5599,  5602,  5604,
    5607,  5610,  5615,  5617,  5621,  5623,  5626,  5630,  5632,  5635,
    5636,  5639,  5644,  5645,  5647,  5648,  5650,  5654,  5658,  5661,
    5665,  5671,  5678,  5681,  5685,  5689,  5694,  5695,  5697,  5699,
    5701,  5703,  5705,  5708,  5714,  5716,  5718,  5720,  5722,  5725,
    5729,  5733,  5734,  5736,  5738,  5740,  5742,  5744,  5747,  5750,
    5753,  5756,  5759,  5761,  5765,  5766,  5768,  5770,  5772,  5774,
    5780,  5783,  5785,  5787,  5789,  5791,  5797,  5800,  5803,  5806,
    5808,  5812,  5816,  5819,  5821,  5822,  5826,  5827,  5833,  5836,
    5842,  5845,  5847,  5850,  5854,  5855,  5857,  5859,  5861,  5863,
    5865,  5867,  5871,  5875,  5879,  5883,  5887,  5891,  5895,  5896,
    5898,  5903,  5905,  5909,  5913,  5919,  5922,  5925,  5929,  5933,
    5937,  5941,  5945,  5949,  5953,  5957,  5961,  5965,  5968,  5971,
    5975,  5979,  5982,  5986,  5992,  5997,  6004,  6008,  6014,  6019,
    6026,  6031,  6038,  6044,  6052,  6056,  6059,  6064,  6067,  6071,
    6075,  6080,  6084,  6089,  6093,  6098,  6104,  6111,  6118,  6126,
    6133,  6141,  6148,  6156,  6160,  6165,  6170,  6177,  6180,  6184,
    6189,  6191,  6195,  6198,  6201,  6205,  6209,  6213,  6217,  6221,
    6225,  6229,  6233,  6237,  6241,  6244,  6247,  6253,  6260,  6267,
    6275,  6279,  6284,  6286,  6288,  6291,  6296,  6298,  6300,  6302,
    6305,  6308,  6311,  6313,  6318,  6324,  6331,  6340,  6347,  6355,
    6363,  6369,  6375,  6377,  6379,  6384,  6386,  6391,  6393,  6398,
    6400,  6405,  6407,  6409,  6411,  6413,  6415,  6417,  6424,  6429,
    6434,  6439,  6444,  6451,  6457,  6463,  6469,  6474,  6481,  6486,
    6491,  6496,  6501,  6507,  6515,  6523,  6533,  6539,  6544,  6551,
    6557,  6565,  6573,  6581,  6584,  6588,  6592,  6596,  6601,  6602,
    6607,  6609,  6613,  6617,  6619,  6621,  6623,  6626,  6629,  6630,
    6633,  6638,  6643,  6650,  6653,  6654,  6656,  6660,  6664,  6667,
    6670,  6671,  6678,  6680,  6681,  6685,  6686,  6689,  6692,  6693,
    6695,  6700,  6703,  6706,  6709,  6712,  6715,  6720,  6724,  6730,
    6732,  6734,  6736,  6738,  6740,  6742,  6744,  6746,  6748,  6750,
    6752,  6754,  6756,  6758,  6760,  6765,  6767,  6772,  6774,  6779,
    6781,  6784,  6786,  6789,  6791,  6795,  6797,  6801,  6803,  6807,
    6809,  6813,  6817,  6821,  6824,  6826,  6830,  6834,  6835,  6837,
    6839,  6841,  6843,  6845,  6847,  6849,  6851,  6856,  6860,  6863,
    6867,  6868,  6872,  6876,  6879,  6882,  6884,  6885,  6888,  6891,
    6895,  6898,  6900,  6902,  6906,  6912,  6914,  6917,  6922,  6925,
    6926,  6928,  6929,  6931,  6934,  6937,  6940,  6944,  6950,  6952,
    6955,  6956,  6959,  6961,  6962,  6964,  6966,  6968,  6972,  6976,
    6978,  6982,  6986,  6989,  6991,  6993,  6995,  6999,  7001,  7004,
    7006,  7010,  7012,  7014,  7016,  7018,  7020,  7022,  7024,  7027,
    7029,  7031,  7033,  7035,  7037,  7040,  7046,  7049,  7053,  7060,
    7062,  7064,  7066,  7068,  7070,  7072,  7074,  7077,  7080,  7082,
    7084,  7086,  7088,  7090,  7092,  7094,  7096,  7098,  7100,  7102,
    7104,  7106,  7108,  7110,  7112,  7114,  7116,  7118,  7120,  7122,
    7124,  7126,  7128,  7130,  7132,  7134,  7136,  7138,  7140,  7142,
    7144,  7146,  7148,  7150,  7152,  7154,  7156,  7158,  7160,  7162,
    7164,  7166,  7168,  7170,  7172,  7174,  7176,  7178,  7180,  7182,
    7184,  7186,  7188,  7190,  7192,  7194,  7196,  7198,  7200,  7202,
    7204,  7206,  7208,  7210,  7212,  7214,  7216,  7218,  7220,  7222,
    7224,  7226,  7228,  7230,  7232,  7234,  7236,  7238,  7240,  7242,
    7244,  7246,  7248,  7250,  7252,  7254,  7256,  7258,  7260,  7262,
    7264,  7266,  7268,  7270,  7272,  7274,  7276,  7278,  7280,  7282,
    7284,  7286,  7288,  7290,  7292,  7294,  7296,  7298,  7300,  7302,
    7304,  7306,  7308,  7310,  7312,  7314,  7316,  7318,  7320,  7322,
    7324,  7326,  7328,  7330,  7332,  7334,  7336,  7338,  7340,  7342,
    7344,  7346,  7348,  7350,  7352,  7354,  7356,  7358,  7360,  7362,
    7364,  7366,  7368,  7370,  7372,  7374,  7376,  7378,  7380,  7382,
    7384,  7386,  7388,  7390,  7392,  7394,  7396,  7398,  7400,  7402,
    7404,  7406,  7408,  7410,  7412,  7414,  7416,  7418,  7420,  7422,
    7424,  7426,  7428,  7430,  7432,  7434,  7436,  7438,  7440,  7442,
    7444,  7446,  7448,  7450,  7452,  7454,  7456,  7458,  7460,  7462,
    7464,  7466,  7468,  7470,  7472,  7474,  7476,  7478,  7480,  7482,
    7484,  7486,  7488,  7490,  7492,  7494,  7496,  7498,  7500,  7502,
    7504,  7506,  7508,  7510,  7512,  7514,  7516,  7518,  7520,  7522,
    7524,  7526,  7528,  7530,  7532,  7534,  7536,  7538,  7540,  7542,
    7544,  7546,  7548,  7550,  7552,  7554,  7556,  7558,  7560,  7562,
    7564,  7566,  7568,  7570,  7572,  7574,  7576,  7578,  7580,  7582,
    7584,  7586,  7588,  7590,  7592,  7594,  7596,  7598,  7600,  7602,
    7604,  7606,  7608,  7610,  7612,  7614,  7616,  7618,  7620,  7622,
    7624,  7626,  7628,  7630,  7632,  7634,  7636,  7638,  7640,  7642,
    7644,  7646,  7648,  7650,  7652,  7654,  7656,  7658,  7660,  7662,
    7664,  7666,  7668,  7670,  7672,  7674,  7676,  7678,  7680,  7682,
    7684,  7686,  7688,  7690,  7692,  7694,  7696,  7698,  7700,  7702,
    7704,  7706,  7708,  7710,  7712,  7714,  7716,  7718,  7720,  7722,
    7724,  7726,  7728,  7730,  7732,  7734,  7736,  7738,  7740,  7742,
    7744,  7746,  7748,  7750,  7752,  7754,  7756,  7758,  7760,  7762,
    7764,  7766,  7768,  7770,  7772,  7774,  7776,  7778,  7780,  7782,
    7784,  7786,  7788,  7790,  7792,  7794,  7796,  7798,  7800,  7802,
    7804,  7806,  7808,  7810,  7812,  7814,  7816,  7818,  7820,  7822,
    7824,  7826,  7828,  7830,  7832,  7834,  7836,  7838,  7840,  7842,
    7844,  7846,  7848,  7850,  7852,  7854,  7856,  7858,  7860,  7862,
    7864,  7866,  7868,  7870,  7872,  7874,  7876,  7878,  7880,  7882,
    7884,  7886,  7888,  7890,  7892
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     433,     0,    -1,   434,    -1,   434,   429,   435,    -1,   435,
      -1,   761,    -1,   762,    -1,   679,    -1,   767,    -1,   630,
      -1,   570,    -1,   573,    -1,   579,    -1,   593,    -1,   598,
      -1,   714,    -1,   451,    -1,   735,    -1,   736,    -1,   549,
      -1,   478,    -1,   489,    -1,   445,    -1,   443,    -1,   770,
      -1,   769,    -1,   602,    -1,   447,    -1,   446,    -1,   777,
      -1,   476,    -1,   492,    -1,   772,    -1,   653,    -1,   473,
      -1,   493,    -1,   545,    -1,   617,    -1,   725,    -1,   771,
      -1,   766,    -1,   567,    -1,   574,    -1,   588,    -1,   594,
      -1,   695,    -1,   450,    -1,   631,    -1,   638,    -1,   639,
      -1,   556,    -1,   454,    -1,   548,    -1,   508,    -1,   564,
      -1,   603,    -1,   436,    -1,   442,    -1,   599,    -1,   757,
      -1,   794,    -1,   813,    -1,   619,    -1,   800,    -1,   477,
      -1,   722,    -1,   618,    -1,   727,    -1,   578,    -1,   592,
      -1,   453,    -1,   642,    -1,   643,    -1,   644,    -1,   562,
      -1,   744,    -1,   646,    -1,   566,    -1,   616,    -1,   448,
      -1,   449,    -1,   601,    -1,   765,    -1,   792,    -1,   783,
      -1,   660,    -1,   664,    -1,   675,    -1,   684,    -1,   795,
      -1,   747,    -1,   756,    -1,   802,    -1,   745,    -1,   789,
      -1,   645,    -1,   729,    -1,   718,    -1,   717,    -1,   719,
      -1,   732,    -1,   665,    -1,   676,    -1,   737,    -1,   656,
      -1,   817,    -1,   749,    -1,   651,    -1,   748,    -1,   806,
      -1,   774,    -1,   469,    -1,   458,    -1,   472,    -1,   754,
      -1,    -1,    83,   301,   967,   437,   438,    -1,   392,    -1,
      -1,   438,   441,    -1,    -1,   439,   440,    -1,    -1,   264,
     966,    -1,   264,   237,    -1,   125,   264,   966,    -1,   365,
     264,   966,    -1,   175,    -1,    75,   208,   968,    -1,   376,
     371,   966,    -1,   373,   956,    -1,     3,    -1,   440,    -1,
     340,   965,    -1,    19,   956,    -1,   301,   956,    -1,   170,
     301,   956,    -1,   170,   158,   956,    -1,    83,   373,   967,
     437,   438,    -1,    24,   301,   967,   437,   439,    -1,    -1,
     170,    97,   958,    -1,    24,   301,   967,   444,   470,    -1,
      24,   373,   967,   437,   439,    -1,    24,   373,   967,   470,
      -1,   120,   301,   956,    -1,   120,   301,   165,   134,   956,
      -1,   120,   373,   956,    -1,   120,   373,   165,   134,   956,
      -1,    83,   158,   967,   437,   438,    -1,    24,   158,   967,
     452,   373,   956,    -1,    18,    -1,   120,    -1,   120,   158,
     956,    -1,   120,   158,   165,   134,   956,    -1,    83,   307,
     455,    38,   967,   456,    -1,    83,   307,   969,   456,    -1,
     969,    -1,    -1,   456,   457,    -1,    -1,   508,    -1,   684,
      -1,   548,    -1,   603,    -1,   664,    -1,   754,    -1,   319,
     459,    -1,   319,   211,   459,    -1,   319,   317,   459,    -1,
     354,   752,    -1,   317,    59,    31,   354,   752,    -1,   460,
      -1,   461,   352,   462,    -1,   461,   413,   462,    -1,   461,
     352,   103,    -1,   461,   413,   103,    -1,   461,   150,    86,
      -1,   350,   409,   466,    -1,    55,   966,    -1,   307,   966,
      -1,   225,   467,    -1,   301,   468,    -1,   317,    38,   468,
      -1,   317,    38,   103,    -1,   397,   249,   903,    -1,   354,
     326,   966,    -1,   969,    -1,   461,   428,   969,    -1,   463,
      -1,   462,   430,   463,    -1,   465,    -1,   554,    -1,   280,
     364,    -1,   280,    72,    -1,   291,   280,    -1,   315,    -1,
     358,    -1,   139,    -1,   246,    -1,   468,    -1,   966,    -1,
       3,    -1,   890,   966,   892,    -1,   890,   426,   965,   427,
     966,   892,    -1,   554,    -1,   103,    -1,   211,    -1,   966,
      -1,   103,    -1,    -1,   969,    -1,   966,    -1,   294,   461,
      -1,   294,   350,   409,    -1,   294,   354,   193,   206,    -1,
     294,   317,    38,    -1,   294,    22,    -1,   319,   459,    -1,
     469,    -1,   319,   460,    -1,   469,    -1,   322,   461,    -1,
     322,   350,   409,    -1,   322,   354,   193,   206,    -1,   322,
     317,    38,    -1,   322,    22,    -1,   319,    77,   474,   475,
      -1,    22,    -1,   954,    -1,   106,    -1,   167,    -1,    61,
      -1,   114,    22,    -1,   114,   345,    -1,   114,   347,    -1,
     114,   266,    -1,    24,   342,   861,   479,    -1,    24,   342,
     165,   134,   861,   479,    -1,    24,   173,   955,   479,    -1,
      24,   173,   165,   134,   955,   479,    -1,    24,   313,   955,
     479,    -1,    24,   313,   165,   134,   955,   479,    -1,    24,
     386,   955,   479,    -1,    24,   386,   165,   134,   955,   479,
      -1,   480,    -1,   479,   430,   480,    -1,    18,   516,    -1,
      18,    68,   516,    -1,    24,   733,   969,   481,    -1,    24,
     733,   969,   120,   232,   237,    -1,    24,   733,   969,   319,
     232,   237,    -1,    24,   733,   969,   319,   332,   968,    -1,
      24,   733,   969,   319,   485,    -1,    24,   733,   969,   294,
     485,    -1,    24,   733,   969,   319,   335,   969,    -1,   120,
     733,   165,   134,   969,   482,    -1,   120,   733,   969,   482,
      -1,    24,   733,   969,   734,   361,   870,   483,   484,    -1,
      24,   733,   969,   582,    -1,    18,   525,    -1,   377,    76,
     957,    -1,   120,    76,   165,   134,   957,   482,    -1,   120,
      76,   957,   482,    -1,   319,   392,   245,    -1,   319,   393,
     245,    -1,    64,   246,   957,    -1,   319,   393,    64,    -1,
     123,   356,   957,    -1,   123,    25,   356,   957,    -1,   123,
     293,   356,   957,    -1,   123,   356,    22,    -1,   123,   356,
     373,    -1,   113,   356,   957,    -1,   113,   356,    22,    -1,
     113,   356,   373,    -1,   123,   305,   957,    -1,   123,    25,
     305,   957,    -1,   123,   293,   305,   957,    -1,   113,   305,
     957,    -1,   175,   955,    -1,   230,   175,   955,    -1,   242,
     649,    -1,   232,   242,    -1,   259,   352,   967,    -1,   319,
     344,   957,    -1,   319,   485,    -1,   294,   485,    -1,   582,
      -1,   319,   103,   894,    -1,   120,   103,    -1,    51,    -1,
     296,    -1,    -1,    66,   649,    -1,    -1,   374,   894,    -1,
      -1,   426,   487,   427,    -1,   392,   485,    -1,    -1,   488,
      -1,   487,   430,   488,    -1,   971,   413,   623,    -1,   971,
      -1,   971,   428,   971,   413,   623,    -1,   971,   428,   971,
      -1,    24,   361,   649,   490,    -1,   491,    -1,   490,   430,
     491,    -1,    18,    37,   869,   482,    -1,   120,    37,   165,
     134,   969,   482,    -1,   120,    37,   969,   482,    -1,    24,
      37,   969,   734,   361,   870,   483,   482,    -1,    63,   814,
      -1,    63,    22,    -1,    81,   499,   955,   528,   500,   494,
     495,   501,   437,   496,    -1,    81,   818,   352,   495,   437,
     496,    -1,   150,    -1,   352,    -1,   966,    -1,   333,    -1,
     334,    -1,   497,    -1,   426,   503,   427,    -1,   497,   498,
      -1,    -1,    44,    -1,   245,    -1,   109,   768,   966,    -1,
     237,   768,   966,    -1,    85,    -1,   161,    -1,   278,   768,
     966,    -1,   128,   768,   966,    -1,   146,   278,   529,    -1,
     146,   278,   419,    -1,   146,   232,   237,   529,    -1,   124,
     966,    -1,    44,    -1,    -1,   392,   245,    -1,    -1,   502,
     110,   966,    -1,    -1,   374,    -1,    -1,   504,    -1,   503,
     430,   504,    -1,   971,   505,    -1,   465,    -1,   554,    -1,
     419,    -1,   426,   506,   427,    -1,    -1,   507,    -1,   506,
     430,   507,    -1,   465,    -1,    83,   509,   342,   955,   426,
     510,   427,   539,   540,   541,   542,    -1,    83,   509,   342,
     165,   232,   134,   955,   426,   510,   427,   539,   540,   541,
     542,    -1,    83,   509,   342,   955,   242,   649,   511,   540,
     541,   542,    -1,    83,   509,   342,   165,   232,   134,   955,
     242,   649,   511,   540,   541,   542,    -1,   347,    -1,   345,
      -1,   211,   347,    -1,   211,   345,    -1,   154,   347,    -1,
     154,   345,    -1,   370,    -1,    -1,   512,    -1,    -1,   426,
     513,   427,    -1,    -1,   514,    -1,   512,   430,   514,    -1,
     515,    -1,   513,   430,   515,    -1,   516,    -1,   522,    -1,
     525,    -1,   517,    -1,   525,    -1,   969,   870,   580,   518,
      -1,   969,   392,   250,   518,    -1,   518,   519,    -1,    -1,
      76,   957,   520,    -1,   520,    -1,   521,    -1,    66,   649,
      -1,   232,   237,    -1,   237,    -1,   367,   711,   543,    -1,
     273,   195,   711,   543,    -1,    60,   426,   894,   427,   527,
      -1,   103,   895,    -1,   286,   955,   528,   531,   535,    -1,
     105,    -1,   232,   105,    -1,   177,   106,    -1,   177,   167,
      -1,   207,   955,   523,    -1,   523,   171,   524,    -1,   523,
     131,   524,    -1,    -1,   104,    -1,    77,    -1,   174,    -1,
     335,    -1,    70,    -1,    22,    -1,    76,   957,   526,    -1,
     526,    -1,    60,   426,   894,   427,   614,    -1,   367,   426,
     529,   427,   711,   543,   614,    -1,   367,   544,   614,    -1,
     273,   195,   426,   529,   427,   711,   543,   614,    -1,   273,
     195,   544,   614,    -1,   130,   688,   426,   532,   427,   711,
     543,   534,   614,    -1,   147,   195,   426,   529,   427,   286,
     955,   528,   531,   535,   614,    -1,   230,   175,    -1,    -1,
     426,   529,   427,    -1,    -1,   530,    -1,   529,   430,   530,
      -1,   969,    -1,   217,   151,    -1,   217,   261,    -1,   217,
     324,    -1,    -1,   533,    -1,   532,   430,   533,    -1,   690,
     392,   721,    -1,   690,   392,   248,   426,   721,   427,    -1,
     389,   426,   894,   427,    -1,    -1,   536,    -1,   537,    -1,
     536,   537,    -1,   537,   536,    -1,    -1,   246,   372,   538,
      -1,   246,   108,   538,    -1,   230,    17,    -1,   296,    -1,
      51,    -1,   319,   237,    -1,   319,   103,    -1,   176,   426,
     954,   427,    -1,    -1,   392,   485,    -1,   392,   245,    -1,
     393,   245,    -1,    -1,   246,    71,   120,    -1,   246,    71,
     108,   304,    -1,   246,    71,   270,   304,    -1,    -1,   344,
     957,    -1,    -1,   374,   173,   344,   957,    -1,    -1,   374,
     173,   961,    -1,    83,   509,   342,   546,    31,   817,   547,
      -1,   955,   528,   540,   541,   542,    -1,   392,    96,    -1,
     392,   230,    96,    -1,    -1,    83,   509,   313,   955,   550,
      -1,    24,   313,   955,   551,    -1,    24,   313,   165,   134,
     955,   551,    -1,   551,    -1,    -1,   552,    -1,   551,   552,
      -1,    49,   554,    -1,    95,    -1,   230,    95,    -1,   172,
     553,   554,    -1,   218,   554,    -1,   220,   554,    -1,   230,
     218,    -1,   230,   220,    -1,   258,    48,   649,    -1,   330,
     437,   554,    -1,   295,    -1,   295,   437,   554,    -1,    48,
      -1,    -1,     4,    -1,   418,     4,    -1,   968,    -1,   554,
      -1,   555,   430,   554,    -1,    83,   696,   557,   563,   197,
     468,    -1,    83,   696,   557,   563,   197,   468,   159,   558,
     559,   561,    -1,   360,    -1,    -1,   957,    -1,   957,   650,
      -1,   178,   558,    -1,    -1,   378,   558,    -1,   230,   378,
      -1,   560,    -1,    -1,   120,   563,   197,   468,   482,    -1,
     120,   563,   197,   165,   134,   468,   482,    -1,   276,    -1,
      -1,    83,   344,   957,   565,   214,   966,    -1,   259,   957,
      -1,    -1,   120,   344,   957,    -1,   120,   344,   165,   134,
     957,    -1,    83,   136,   957,   437,   568,    -1,    83,   136,
     165,   232,   134,   957,   437,   568,    -1,   568,   569,    -1,
      -1,   307,   957,    -1,   385,   468,    -1,   150,   468,    -1,
      24,   136,   957,   372,   571,    -1,   571,   572,    -1,    -1,
     352,   468,    -1,    24,   136,   957,   452,    21,   963,   624,
      -1,    24,   136,   957,   452,    54,   426,   870,    31,   870,
     427,    -1,    24,   136,   957,   452,    67,   649,    -1,    24,
     136,   957,   452,    80,   649,    -1,    24,   136,   957,   452,
     118,   649,    -1,    24,   136,   957,   452,   152,   674,    -1,
      24,   136,   957,   452,   563,   197,   957,    -1,    24,   136,
     957,   452,   248,   721,   720,    -1,    24,   136,   957,   452,
     248,    62,   649,   374,   959,    -1,    24,   136,   957,   452,
     248,   140,   649,   374,   959,    -1,    24,   136,   957,   452,
     307,   957,    -1,    24,   136,   957,   452,   342,   649,    -1,
      24,   136,   957,   452,   348,   309,   260,   649,    -1,    24,
     136,   957,   452,   348,   309,   112,   649,    -1,    24,   136,
     957,   452,   348,   309,   346,   649,    -1,    24,   136,   957,
     452,   348,   309,    74,   649,    -1,    24,   136,   957,   452,
     313,   649,    -1,    24,   136,   957,   452,   386,   649,    -1,
      24,   136,   957,   452,   147,   342,   649,    -1,    24,   136,
     957,   452,   147,    96,   395,   957,    -1,    24,   136,   957,
     452,   316,   957,    -1,    24,   136,   957,   452,   361,   649,
      -1,    83,   147,    96,   395,   957,   577,   580,    -1,   159,
     558,    -1,   230,   159,    -1,   378,   558,    -1,   230,   378,
      -1,   575,    -1,   576,   575,    -1,   576,    -1,    -1,   120,
     147,    96,   395,   957,   482,    -1,   120,   147,    96,   395,
     165,   134,   957,   482,    -1,    24,   147,    96,   395,   957,
     577,   582,    -1,    24,   147,    96,   395,   957,   576,    -1,
     250,   426,   581,   427,    -1,    -1,   585,    -1,   581,   430,
     585,    -1,   250,   426,   583,   427,    -1,   584,    -1,   583,
     430,   584,    -1,   585,    -1,   319,   585,    -1,    18,   585,
      -1,   120,   586,    -1,   586,   587,    -1,   971,    -1,   966,
      -1,    83,   316,   957,   589,   591,   147,    96,   395,   957,
     580,    -1,   361,   966,    -1,    -1,   385,   966,    -1,   385,
     237,    -1,   590,    -1,    -1,   120,   316,   957,   482,    -1,
     120,   316,   165,   134,   957,   482,    -1,    24,   316,   957,
     590,   582,    -1,    24,   316,   957,   590,    -1,    24,   316,
     957,   582,    -1,    83,   147,   342,   955,   595,   316,   957,
     580,    -1,    83,   147,   342,   165,   232,   134,   955,   595,
     316,   957,   580,    -1,   426,   596,   427,    -1,   426,   427,
      -1,   597,    -1,   596,   430,   597,    -1,   516,    -1,    24,
     147,   342,   861,   479,    -1,    24,   147,   342,   165,   134,
     861,   479,    -1,    83,   373,   216,   145,   600,   316,   957,
     580,    -1,    93,    -1,   373,    -1,   967,    -1,   120,   373,
     216,   145,   600,   316,   957,    -1,   120,   373,   216,   165,
     134,   145,   600,   316,   957,    -1,    24,   373,   216,   145,
     600,   316,   957,   582,    -1,    83,   356,   957,   604,   605,
     246,   955,   607,   610,   133,   277,   963,   426,   611,   427,
      -1,    83,    76,   356,   957,    20,   605,   246,   955,   613,
     614,   145,   121,   303,   610,   133,   277,   963,   426,   611,
     427,    -1,    40,    -1,    20,    -1,   184,   242,    -1,   606,
      -1,   605,   251,   606,    -1,   183,    -1,   108,    -1,   372,
      -1,   372,   242,   529,    -1,   359,    -1,   145,   608,   609,
      -1,    -1,   121,    -1,    -1,   303,    -1,   331,    -1,   388,
     426,   894,   427,    -1,    -1,   612,    -1,   611,   430,   612,
      -1,    -1,   965,    -1,     4,    -1,   966,    -1,   971,    -1,
     150,   955,    -1,    -1,    -1,   614,   615,    -1,   232,   105,
      -1,   105,    -1,   177,   167,    -1,   177,   106,    -1,   232,
     376,    -1,   230,   175,    -1,   120,   356,   957,   246,   649,
     482,    -1,   120,   356,   165,   134,   957,   246,   649,   482,
      -1,    83,    33,   957,    60,   426,   894,   427,   614,    -1,
     120,    33,   957,   482,    -1,    83,    21,   963,   624,   620,
      -1,    83,    21,   963,   625,    -1,    83,   248,   721,   620,
      -1,    83,   361,   649,   620,    -1,    83,   361,   649,    -1,
      83,   361,   649,    31,   426,   867,   427,    -1,    83,   361,
     649,    31,   127,   426,   628,   427,    -1,    83,   361,   649,
      31,   279,   620,    -1,    83,   348,   309,   260,   649,   620,
      -1,    83,   348,   309,   112,   649,   620,    -1,    83,   348,
     309,   346,   649,   620,    -1,    83,   348,   309,    74,   649,
     620,    -1,    83,    67,   649,   620,    -1,    83,    67,   649,
     150,   649,    -1,   426,   621,   427,    -1,   622,    -1,   621,
     430,   622,    -1,   971,   413,   623,    -1,   971,    -1,   705,
      -1,   975,    -1,   921,    -1,   554,    -1,   966,    -1,   426,
     926,   427,    -1,   426,   419,   427,    -1,   426,   626,   427,
      -1,   627,    -1,   626,   430,   627,    -1,     3,   413,   623,
      -1,   629,    -1,    -1,   966,    -1,   629,   430,   966,    -1,
      24,   361,   649,    18,   379,   966,    -1,    24,   361,   649,
      18,   379,   966,    40,   966,    -1,    24,   361,   649,    18,
     379,   966,    20,   966,    -1,    83,   248,    62,   649,   634,
     145,   361,   870,   374,   959,   635,    31,   632,    -1,   633,
      -1,   632,   430,   633,    -1,   248,   965,   721,   636,   637,
      -1,   248,   965,   721,   720,   636,   637,    -1,   152,   965,
     963,   697,    -1,   152,   965,   426,   926,   427,   963,   697,
      -1,   335,   870,    -1,   103,    -1,    -1,   140,   649,    -1,
      -1,   145,   309,    -1,   145,   252,    48,   649,    -1,    -1,
     283,    -1,    -1,    83,   248,   140,   649,   374,   959,    -1,
      24,   248,   140,   649,   374,   959,    18,   632,    -1,    24,
     248,   140,   649,   374,   959,   120,   640,    -1,   641,    -1,
     640,   430,   641,    -1,   248,   965,   426,   926,   427,    -1,
     152,   965,   426,   926,   427,    -1,   120,   248,    62,   649,
     374,   959,   482,    -1,   120,   248,    62,   165,   134,   649,
     374,   959,   482,    -1,   120,   248,   140,   649,   374,   959,
     482,    -1,   120,   248,   140,   165,   134,   649,   374,   959,
     482,    -1,   120,   258,    48,   956,   482,    -1,   282,   258,
      48,   956,   352,   957,    -1,   120,   647,   165,   134,   648,
     482,    -1,   120,   647,   648,   482,    -1,   120,   173,    73,
     648,   482,    -1,   120,   173,    73,   165,   134,   648,   482,
      -1,   342,    -1,   313,    -1,   386,    -1,   173,    -1,   147,
     342,    -1,   361,    -1,   118,    -1,    67,    -1,    80,    -1,
     307,    -1,   136,    -1,   348,   309,   260,    -1,   348,   309,
     112,    -1,   348,   309,   346,    -1,   348,   309,    74,    -1,
     649,    -1,   648,   430,   649,    -1,   969,    -1,   969,   650,
      -1,   428,   960,    -1,   650,   428,   960,    -1,   359,   828,
     862,   652,   482,    -1,    79,   164,    -1,   295,   164,    -1,
      -1,    69,   246,   654,   649,   191,   655,    -1,    69,   246,
      21,   963,   624,   191,   655,    -1,    69,   246,   152,   963,
     697,   191,   655,    -1,    69,   246,   248,   721,   720,   191,
     655,    -1,    69,   246,    76,   957,   246,   649,   191,   655,
      -1,    69,   246,   305,   957,   246,   649,   191,   655,    -1,
      69,   246,   305,   957,   191,   655,    -1,    69,   246,   356,
     957,   246,   649,   191,   655,    -1,    69,   246,   248,    62,
     649,   374,   959,   191,   655,    -1,    69,   246,   248,   140,
     649,   374,   959,   191,   655,    -1,    69,   246,   198,   241,
     554,   191,   655,    -1,    69,   246,    54,   426,   870,    31,
     870,   427,   191,   655,    -1,    69,   246,   563,   197,   649,
     191,   655,    -1,    69,   246,   348,   309,   260,   649,   191,
     655,    -1,    69,   246,   348,   309,   112,   649,   191,   655,
      -1,    69,   246,   348,   309,   346,   649,   191,   655,    -1,
      69,   246,   348,   309,    74,   649,   191,   655,    -1,    68,
      -1,    97,    -1,   307,    -1,   173,    -1,   313,    -1,   342,
      -1,   118,    -1,   361,    -1,   386,    -1,    67,    -1,    80,
      -1,   344,    -1,   136,    -1,   301,    -1,   147,   342,    -1,
     316,    -1,   147,    96,   395,    -1,   966,    -1,   237,    -1,
     311,   196,   657,   246,   658,   649,   191,   659,    -1,   311,
     196,   657,   246,    21,   963,   624,   191,   659,    -1,   311,
     196,   657,   246,   152,   963,   697,   191,   659,    -1,   311,
     196,   657,   246,   198,   241,   554,   191,   659,    -1,   311,
     196,   657,   246,   563,   197,   649,   191,   659,    -1,   145,
     468,    -1,    -1,    68,    -1,    97,    -1,   147,   342,    -1,
     307,    -1,   313,    -1,   342,    -1,   118,    -1,   301,    -1,
     344,    -1,   361,    -1,   386,    -1,   966,    -1,   237,    -1,
     141,   661,    -1,   223,   661,    -1,   814,    -1,   662,   814,
      -1,   229,   663,   814,    -1,   274,   663,   814,    -1,   142,
     663,   814,    -1,   199,   663,   814,    -1,    15,   968,   663,
     814,    -1,   288,   968,   663,   814,    -1,   968,   663,   814,
      -1,    22,   663,   814,    -1,   148,   663,   814,    -1,   148,
     968,   663,   814,    -1,   148,    22,   663,   814,    -1,    39,
     663,   814,    -1,    39,   968,   663,   814,    -1,    39,    22,
     663,   814,    -1,   150,    -1,   170,    -1,   662,    -1,    -1,
     155,   666,   246,   669,   352,   670,   672,    -1,   299,   666,
     246,   669,   150,   670,   482,    -1,   299,   155,   249,   145,
     666,   246,   669,   150,   670,   482,    -1,   667,    -1,    22,
      -1,    22,   275,    -1,    22,   426,   529,   427,    -1,    22,
     275,   426,   529,   427,    -1,   668,    -1,   667,   430,   668,
      -1,   312,   528,    -1,   286,   528,    -1,    83,   528,    -1,
     969,   528,    -1,   954,    -1,   342,   954,    -1,   313,   954,
      -1,   147,    96,   395,   956,    -1,   147,   316,   956,    -1,
     152,   673,    -1,    97,   956,    -1,   118,   648,    -1,   197,
     956,    -1,   198,   241,   555,    -1,   307,   956,    -1,   344,
     956,    -1,   361,   648,    -1,    22,   343,   170,   307,   956,
      -1,    22,   314,   170,   307,   956,    -1,    22,   153,   170,
     307,   956,    -1,   671,    -1,   670,   430,   671,    -1,   967,
      -1,   158,   967,    -1,   392,   155,   249,    -1,    -1,   674,
      -1,   673,   430,   674,    -1,   963,   697,    -1,   155,   667,
     352,   956,   677,   678,    -1,   299,   667,   150,   956,   678,
     482,    -1,   299,    19,   249,   145,   667,   150,   956,   678,
     482,    -1,   392,    19,   249,    -1,    -1,   156,    48,   967,
      -1,    -1,    24,   103,   275,   680,   682,    -1,   680,   681,
      -1,    -1,   170,   307,   956,    -1,   145,   301,   956,    -1,
     145,   373,   956,    -1,   155,   666,   246,   683,   352,   670,
     672,    -1,   299,   666,   246,   683,   150,   670,   482,    -1,
     299,   155,   249,   145,   666,   246,   683,   150,   670,   482,
      -1,   343,    -1,   153,    -1,   314,    -1,   362,    -1,    83,
     685,   173,   686,   687,   246,   955,   688,   426,   689,   427,
     486,   542,   865,    -1,   367,    -1,    -1,    73,    -1,    -1,
     961,    -1,    -1,   374,   959,    -1,    -1,   690,    -1,   689,
     430,   690,    -1,   969,   691,   692,   693,   694,    -1,   897,
     691,   692,   693,   694,    -1,   426,   894,   427,   691,   692,
     693,   694,    -1,    66,   649,    -1,    -1,   649,    -1,   374,
     649,    -1,    -1,    32,    -1,   111,    -1,    -1,   410,    -1,
     411,    -1,    -1,    83,   696,   152,   963,   699,   298,   704,
     707,   711,    -1,    83,   696,   152,   963,   699,   298,   342,
     426,   713,   427,   707,   711,    -1,    83,   696,   152,   963,
     699,   707,   711,    -1,   251,   292,    -1,    -1,   426,   698,
     427,    -1,   426,   427,    -1,   701,    -1,   698,   430,   701,
      -1,   426,   700,   427,    -1,   426,   427,    -1,   706,    -1,
     700,   430,   706,    -1,   702,   703,   705,    -1,   703,   702,
     705,    -1,   703,   705,    -1,   702,   705,    -1,   705,    -1,
     170,    -1,   253,    -1,   180,    -1,   170,   253,    -1,   382,
      -1,   970,    -1,   705,    -1,   870,    -1,   970,   650,   421,
     361,    -1,   320,   970,   650,   421,   361,    -1,   701,    -1,
     701,   103,   894,    -1,   701,   413,   894,    -1,   709,    -1,
     707,   709,    -1,    50,   246,   237,   181,    -1,   298,   237,
     246,   237,   181,    -1,   336,    -1,   168,    -1,   328,    -1,
     387,    -1,   137,   311,   107,    -1,   137,   311,   190,    -1,
     311,   107,    -1,   311,   190,    -1,   203,    -1,   232,   203,
      -1,    82,   554,    -1,   304,   554,    -1,   471,    -1,    31,
     710,    -1,   197,   468,    -1,   391,    -1,   708,    -1,   966,
      -1,   966,   430,   966,    -1,   392,   620,    -1,    -1,   703,
     705,    -1,   712,    -1,   713,   430,   712,    -1,    24,   152,
     674,   715,   716,    -1,   708,    -1,   715,   708,    -1,   296,
      -1,    -1,   120,   152,   963,   697,   482,    -1,   120,   152,
     165,   134,   963,   697,   482,    -1,   120,    21,   963,   624,
     482,    -1,   120,    21,   165,   134,   963,   624,   482,    -1,
     120,   248,   721,   720,   482,    -1,   120,   248,   165,   134,
     721,   720,   482,    -1,   426,   870,   427,    -1,   426,   870,
     430,   870,   427,    -1,   426,   231,   430,   870,   427,    -1,
     426,   870,   430,   231,   427,    -1,   918,    -1,   969,   428,
     721,    -1,   116,   723,    -1,   724,    -1,   723,   724,    -1,
     966,    -1,   197,   468,    -1,    83,    54,   426,   870,    31,
     870,   427,   392,   152,   674,   726,    -1,    83,    54,   426,
     870,    31,   870,   427,   393,   152,   726,    -1,    83,    54,
     426,   870,    31,   870,   427,   392,   180,   726,    -1,    31,
     169,    -1,    31,    34,    -1,    -1,   120,    54,   728,   426,
     870,    31,   870,   427,   482,    -1,   165,   134,    -1,    -1,
     287,   730,   955,   731,    -1,   287,   341,   957,   731,    -1,
     287,    97,   957,   731,    -1,   173,    -1,   342,    -1,   146,
      -1,    -1,    24,    21,   963,   624,   290,   352,   957,    -1,
      24,    67,   649,   290,   352,   957,    -1,    24,    80,   649,
     290,   352,   957,    -1,    24,    97,   958,   290,   352,   958,
      -1,    24,   118,   649,   290,   352,   957,    -1,    24,   118,
     649,   290,    76,   957,   352,   957,    -1,    24,   147,    96,
     395,   957,   290,   352,   957,    -1,    24,   152,   674,   290,
     352,   957,    -1,    24,   158,   967,   290,   352,   967,    -1,
      24,   563,   197,   957,   290,   352,   957,    -1,    24,   248,
      62,   649,   374,   959,   290,   352,   957,    -1,    24,   248,
     140,   649,   374,   959,   290,   352,   957,    -1,    24,   307,
     957,   290,   352,   957,    -1,    24,   316,   957,   290,   352,
     957,    -1,    24,   342,   861,   290,   352,   957,    -1,    24,
     342,   165,   134,   861,   290,   352,   957,    -1,    24,   313,
     955,   290,   352,   957,    -1,    24,   313,   165,   134,   955,
     290,   352,   957,    -1,    24,   386,   955,   290,   352,   957,
      -1,    24,   386,   165,   134,   955,   290,   352,   957,    -1,
      24,   173,   955,   290,   352,   957,    -1,    24,   173,   165,
     134,   955,   290,   352,   957,    -1,    24,   147,   342,   861,
     290,   352,   957,    -1,    24,   147,   342,   165,   134,   861,
     290,   352,   957,    -1,    24,   342,   861,   290,   733,   957,
     352,   957,    -1,    24,   342,   165,   134,   861,   290,   733,
     957,   352,   957,    -1,    24,   342,   861,   290,    76,   957,
     352,   957,    -1,    24,   147,   342,   861,   290,   733,   957,
     352,   957,    -1,    24,   147,   342,   165,   134,   861,   290,
     733,   957,   352,   957,    -1,    24,   356,   957,   246,   955,
     290,   352,   957,    -1,    24,   301,   967,   290,   352,   967,
      -1,    24,   373,   967,   290,   352,   967,    -1,    24,   344,
     957,   290,   352,   957,    -1,    24,   344,   957,   319,   485,
      -1,    24,   344,   957,   294,   485,    -1,    24,   348,   309,
     260,   649,   290,   352,   957,    -1,    24,   348,   309,   112,
     649,   290,   352,   957,    -1,    24,   348,   309,   346,   649,
     290,   352,   957,    -1,    24,   348,   309,    74,   649,   290,
     352,   957,    -1,    24,   361,   649,   290,   352,   957,    -1,
      24,   361,   649,   290,    37,   957,   352,   957,   482,    -1,
      68,    -1,    -1,   319,    96,    -1,    -1,    24,    21,   963,
     624,   319,   307,   957,    -1,    24,    67,   649,   319,   307,
     957,    -1,    24,    80,   649,   319,   307,   957,    -1,    24,
     118,   649,   319,   307,   957,    -1,    24,   136,   649,   319,
     307,   957,    -1,    24,   152,   674,   319,   307,   957,    -1,
      24,   248,   721,   720,   319,   307,   957,    -1,    24,   248,
      62,   649,   374,   959,   319,   307,   957,    -1,    24,   248,
     140,   649,   374,   959,   319,   307,   957,    -1,    24,   342,
     861,   319,   307,   957,    -1,    24,   342,   165,   134,   861,
     319,   307,   957,    -1,    24,   348,   309,   260,   649,   319,
     307,   957,    -1,    24,   348,   309,   112,   649,   319,   307,
     957,    -1,    24,   348,   309,   346,   649,   319,   307,   957,
      -1,    24,   348,   309,    74,   649,   319,   307,   957,    -1,
      24,   313,   955,   319,   307,   957,    -1,    24,   313,   165,
     134,   955,   319,   307,   957,    -1,    24,   386,   955,   319,
     307,   957,    -1,    24,   386,   165,   134,   955,   319,   307,
     957,    -1,    24,   147,   342,   861,   319,   307,   957,    -1,
      24,   147,   342,   165,   134,   861,   319,   307,   957,    -1,
      24,   361,   649,   319,   307,   957,    -1,    24,    21,   963,
     624,   259,   352,   967,    -1,    24,    67,   649,   259,   352,
     967,    -1,    24,    80,   649,   259,   352,   967,    -1,    24,
      97,   958,   259,   352,   967,    -1,    24,   118,   649,   259,
     352,   967,    -1,    24,   152,   674,   259,   352,   967,    -1,
      24,   563,   197,   957,   259,   352,   967,    -1,    24,   198,
     241,   554,   259,   352,   967,    -1,    24,   248,   721,   720,
     259,   352,   967,    -1,    24,   248,    62,   649,   374,   959,
     259,   352,   967,    -1,    24,   248,   140,   649,   374,   959,
     259,   352,   967,    -1,    24,   307,   957,   259,   352,   967,
      -1,    24,   361,   649,   259,   352,   967,    -1,    24,   344,
     957,   259,   352,   967,    -1,    24,   348,   309,   112,   649,
     259,   352,   967,    -1,    24,   348,   309,    74,   649,   259,
     352,   967,    -1,    24,   147,    96,   395,   957,   259,   352,
     967,    -1,    24,   316,   957,   259,   352,   967,    -1,    83,
     696,   305,   957,    31,   246,   742,   352,   955,   865,   116,
     743,   738,    -1,   233,    -1,   740,    -1,   426,   739,   427,
      -1,   739,   429,   741,    -1,   741,    -1,   817,    -1,   795,
      -1,   806,    -1,   800,    -1,   745,    -1,   740,    -1,    -1,
     312,    -1,   372,    -1,   108,    -1,   183,    -1,   184,    -1,
      23,    -1,    -1,   120,   305,   957,   246,   649,   482,    -1,
     120,   305,   165,   134,   957,   246,   649,   482,    -1,   234,
     969,   746,    -1,   430,   966,    -1,    -1,   209,   969,    -1,
     369,   969,    -1,   369,   419,    -1,    14,   750,    -1,    41,
     750,   753,    -1,   330,   354,   753,    -1,    71,   750,    -1,
     126,   750,    -1,   302,   750,    -1,   306,   969,    -1,   289,
     306,   969,    -1,   289,   969,    -1,   302,   750,   352,   306,
     969,    -1,   302,   750,   352,   969,    -1,   271,   354,   966,
      -1,    71,   272,   966,    -1,   302,   272,   966,    -1,   394,
      -1,   354,    -1,    -1,   193,   206,   464,    -1,   280,   247,
      -1,   280,   396,    -1,   105,    -1,   232,   105,    -1,   751,
      -1,   752,   430,   751,    -1,   752,   751,    -1,   752,    -1,
      -1,    83,   509,   386,   955,   528,   486,    31,   817,   755,
      -1,    83,   251,   292,   509,   386,   955,   528,   486,    31,
     817,   755,    -1,   392,    60,   249,    -1,   392,    52,    60,
     249,    -1,   392,   211,    60,   249,    -1,    -1,   210,   962,
      -1,    83,    97,   958,   437,   758,    -1,   758,   759,    -1,
      -1,   344,   760,   957,    -1,   344,   760,   103,    -1,   214,
     760,   966,    -1,   214,   760,   103,    -1,   346,   760,   957,
      -1,   346,   760,   103,    -1,   124,   760,   966,    -1,   124,
     760,   965,    -1,   124,   760,   103,    -1,   200,   760,   966,
      -1,   200,   760,   103,    -1,   201,   760,   966,    -1,   201,
     760,   103,    -1,    75,   208,   760,   968,    -1,   259,   760,
     957,    -1,   259,   760,   103,    -1,   413,    -1,    -1,    24,
      97,   958,   437,   763,    -1,    24,    97,   958,   319,   344,
     957,    -1,    24,    97,   958,   470,    -1,   763,   764,    -1,
      -1,    75,   208,   760,   968,    -1,   120,    97,   958,    -1,
     120,    97,   165,   134,   958,    -1,    83,   118,   649,   768,
     870,   518,    -1,    24,   118,   649,   481,    -1,    24,   118,
     649,   120,   232,   237,    -1,    24,   118,   649,   319,   232,
     237,    -1,    24,   118,   649,    18,   525,    -1,    24,   118,
     649,   120,    76,   957,   482,    -1,    24,   118,   649,   120,
      76,   165,   134,   957,   482,    -1,    24,   118,   649,   377,
      76,   957,    -1,    31,    -1,    -1,    24,   348,   309,   112,
     649,   620,    -1,    24,   348,   309,    74,   649,    18,   216,
     145,   956,   392,   648,    -1,    24,   348,   309,    74,   649,
      24,   216,   145,   956,   392,   648,    -1,    24,   348,   309,
      74,   649,    24,   216,   292,   649,   392,   649,    -1,    24,
     348,   309,    74,   649,    24,   216,   145,   956,   292,   649,
     392,   649,    -1,    24,   348,   309,    74,   649,   120,   216,
     145,   956,    -1,    24,   348,   309,    74,   649,   120,   216,
     165,   134,   145,   956,    -1,    83,   634,    80,   649,   145,
     966,   352,   966,   150,   649,    -1,    64,   779,   955,   773,
      -1,    64,   779,    -1,    64,   779,   961,   246,   955,    -1,
     374,   961,    -1,    -1,   375,   780,   781,   779,    -1,   375,
     780,   781,   779,   955,    -1,   375,   780,   781,   779,   777,
      -1,   375,   426,   775,   427,    -1,   375,   426,   775,   427,
     955,   782,    -1,   776,    -1,   775,   430,   776,    -1,   778,
      -1,   384,    -1,   149,    -1,   151,    -1,   778,   779,    -1,
     778,   779,   955,   782,    -1,    27,    -1,    26,    -1,   384,
      -1,    -1,   151,    -1,    -1,   149,    -1,    -1,   426,   956,
     427,    -1,    -1,   135,   784,    -1,   135,   778,   779,   784,
      -1,   135,   384,   784,    -1,   135,   426,   785,   427,   784,
      -1,   817,    -1,   795,    -1,   806,    -1,   800,    -1,   813,
      -1,   545,    -1,   792,    -1,   786,    -1,   785,   430,   786,
      -1,   787,   788,    -1,   969,    -1,   778,    -1,   384,    -1,
     465,    -1,   554,    -1,    -1,   271,   957,   790,    31,   791,
      -1,   426,   926,   427,    -1,    -1,   817,    -1,   795,    -1,
     806,    -1,   800,    -1,   133,   957,   793,    -1,    83,   509,
     342,   546,    31,   133,   957,   793,   547,    -1,   426,   923,
     427,    -1,    -1,    99,   957,    -1,    99,   271,   957,    -1,
      99,    22,    -1,    99,   271,    22,    -1,   825,   183,   189,
     955,   796,   799,    -1,   817,    -1,   426,   797,   427,   817,
      -1,   103,   380,    -1,   798,    -1,   797,   430,   798,    -1,
     969,   947,    -1,   297,   952,    -1,    -1,   825,   108,   150,
     863,   801,   866,   799,    -1,   374,   854,    -1,    -1,   215,
     828,   862,   803,   805,    -1,   170,   804,   221,    -1,    -1,
      16,   321,    -1,   303,   321,    -1,   303,   132,    -1,   321,
     372,   132,    -1,   321,    -1,   321,   303,   132,    -1,   132,
      -1,    16,   132,    -1,   236,    -1,    -1,   825,   372,   863,
     319,   807,   853,   866,   799,    -1,   808,    -1,   807,   430,
     808,    -1,   809,    -1,   810,    -1,   811,   413,   949,    -1,
     426,   812,   427,   413,   951,    -1,   969,   947,    -1,   811,
      -1,   812,   430,   811,    -1,   102,   814,   815,    94,   816,
     145,   817,    -1,   957,    -1,    -1,   815,   230,   308,    -1,
     815,   308,    -1,   815,    44,    -1,   815,   182,    -1,    -1,
     392,   162,    -1,   393,   162,    -1,   819,    -1,   818,    -1,
     426,   819,   427,    -1,   426,   818,   427,    -1,   821,    -1,
     820,   832,    -1,   820,   831,   847,   836,    -1,   820,   831,
     835,   848,    -1,   822,   820,    -1,   822,   820,   832,    -1,
     822,   820,   831,   847,   836,    -1,   822,   820,   831,   835,
     848,    -1,   821,    -1,   818,    -1,   312,   830,   952,   826,
     853,   865,   845,   846,   906,    -1,   852,    -1,   342,   861,
      -1,   820,   366,   829,   820,    -1,   820,   187,   829,   820,
      -1,   820,   129,   829,   820,    -1,   392,   823,    -1,   392,
     284,   823,    -1,   824,    -1,   823,   430,   824,    -1,   957,
     782,    31,   426,   791,   427,    -1,   822,    -1,    -1,   189,
     827,    -1,    -1,   347,   828,   955,    -1,   345,   828,   955,
      -1,   211,   347,   828,   955,    -1,   211,   345,   828,   955,
      -1,   154,   347,   828,   955,    -1,   154,   345,   828,   955,
      -1,   370,   828,   955,    -1,   342,   955,    -1,   955,    -1,
     342,    -1,    -1,    22,    -1,   115,    -1,    -1,   115,    -1,
     115,   246,   426,   923,   427,    -1,    22,    -1,    -1,   832,
      -1,    -1,   252,    48,   833,    -1,   834,    -1,   833,   430,
     834,    -1,   894,   374,   921,   694,    -1,   894,   693,   694,
      -1,   837,   838,    -1,   838,   837,    -1,   837,    -1,   838,
      -1,   835,    -1,    -1,   208,   839,    -1,   208,   839,   430,
     840,    -1,   141,   844,   841,   843,   247,    -1,   244,   840,
      -1,   244,   842,   843,    -1,   894,    -1,    22,    -1,   894,
      -1,   968,    -1,   426,   894,   427,    -1,    -1,   896,    -1,
     303,    -1,   304,    -1,   142,    -1,   229,    -1,   158,    48,
     923,    -1,    -1,   160,   894,    -1,    -1,   849,    -1,   145,
     280,   247,    -1,   847,    -1,    -1,   850,    -1,   849,   850,
      -1,   145,   372,   851,   805,    -1,   145,   321,   851,   805,
      -1,   242,   954,    -1,    -1,   380,   951,    -1,   852,   430,
     951,    -1,   150,   854,    -1,    -1,   855,    -1,   854,   430,
     855,    -1,   861,    -1,   861,   857,    -1,   864,    -1,   864,
     857,    -1,   864,    31,   426,   868,   427,    -1,   864,    31,
     969,   426,   868,   427,    -1,   864,   969,   426,   868,   427,
      -1,   818,    -1,   818,   857,    -1,   856,    -1,   426,   856,
     427,   857,    -1,   426,   856,   427,    -1,   855,    84,   194,
     855,    -1,   855,   858,   194,   855,   860,    -1,   855,   194,
     855,   860,    -1,   855,   227,   858,   194,   855,    -1,   855,
     227,   194,   855,    -1,    31,   969,   426,   956,   427,    -1,
      31,   969,    -1,   969,   426,   956,   427,    -1,   969,    -1,
     151,   859,    -1,   205,   859,    -1,   300,   859,    -1,   179,
      -1,   254,    -1,    -1,   374,   426,   956,   427,    -1,   246,
     894,    -1,   955,    -1,   955,   419,    -1,   247,   955,    -1,
     247,   426,   955,   427,    -1,   861,    -1,   862,   430,   861,
      -1,   861,    -1,   861,   969,    -1,   861,    31,   969,    -1,
     897,    -1,   389,   894,    -1,    -1,   389,   894,    -1,   389,
      86,   242,   814,    -1,    -1,   868,    -1,    -1,   869,    -1,
     868,   430,   869,    -1,   969,   870,   483,    -1,   872,   871,
      -1,   320,   872,   871,    -1,   872,    30,   424,   965,   425,
      -1,   320,   872,    30,   424,   965,   425,    -1,   872,    30,
      -1,   320,   872,    30,    -1,   871,   424,   425,    -1,   871,
     424,   965,   425,    -1,    -1,   874,    -1,   876,    -1,   878,
      -1,   882,    -1,   889,    -1,   890,   892,    -1,   890,   426,
     965,   427,   892,    -1,   876,    -1,   879,    -1,   883,    -1,
     889,    -1,   970,   875,    -1,   970,   650,   875,    -1,   426,
     923,   427,    -1,    -1,   185,    -1,   186,    -1,   325,    -1,
      43,    -1,   281,    -1,   143,   877,    -1,   119,   269,    -1,
     101,   875,    -1,   100,   875,    -1,   240,   875,    -1,    46,
      -1,   426,   965,   427,    -1,    -1,   880,    -1,   881,    -1,
     880,    -1,   881,    -1,    45,   887,   426,   923,   427,    -1,
      45,   887,    -1,   884,    -1,   885,    -1,   884,    -1,   885,
      -1,   886,   426,   965,   427,   888,    -1,   886,   888,    -1,
      58,   887,    -1,    57,   887,    -1,   381,    -1,   226,    58,
     887,    -1,   226,    57,   887,    -1,   228,   887,    -1,   383,
      -1,    -1,    58,   319,   969,    -1,    -1,   351,   426,   965,
     427,   891,    -1,   351,   891,    -1,   350,   426,   965,   427,
     891,    -1,   350,   891,    -1,   188,    -1,   412,   409,    -1,
     393,   350,   409,    -1,    -1,   407,    -1,   222,    -1,    98,
      -1,   163,    -1,   219,    -1,   893,    -1,   407,   352,   222,
      -1,    98,   352,   163,    -1,    98,   352,   219,    -1,    98,
     352,   893,    -1,   163,   352,   219,    -1,   163,   352,   893,
      -1,   219,   352,   893,    -1,    -1,   310,    -1,   310,   426,
     965,   427,    -1,   896,    -1,   894,    11,   870,    -1,   894,
      66,   649,    -1,   894,    36,   350,   409,   894,    -1,   417,
     894,    -1,   418,   894,    -1,   894,   417,   894,    -1,   894,
     418,   894,    -1,   894,   419,   894,    -1,   894,   420,   894,
      -1,   894,   421,   894,    -1,   894,   422,   894,    -1,   894,
     414,   894,    -1,   894,   415,   894,    -1,   894,   413,   894,
      -1,   894,   920,   894,    -1,   920,   894,    -1,   894,   920,
      -1,   894,    28,   894,    -1,   894,   251,   894,    -1,   232,
     894,    -1,   894,   207,   894,    -1,   894,   207,   894,   128,
     894,    -1,   894,   232,   207,   894,    -1,   894,   232,   207,
     894,   128,   894,    -1,   894,   166,   894,    -1,   894,   166,
     894,   128,   894,    -1,   894,   232,   166,   894,    -1,   894,
     232,   166,   894,   128,   894,    -1,   894,   323,   352,   894,
      -1,   894,   323,   352,   894,   128,   894,    -1,   894,   232,
     323,   352,   894,    -1,   894,   232,   323,   352,   894,   128,
     894,    -1,   894,   191,   237,    -1,   894,   192,    -1,   894,
     191,   232,   237,    -1,   894,   235,    -1,   916,   256,   916,
      -1,   894,   191,   358,    -1,   894,   191,   232,   358,    -1,
     894,   191,   139,    -1,   894,   191,   232,   139,    -1,   894,
     191,   368,    -1,   894,   191,   232,   368,    -1,   894,   191,
     115,   150,   894,    -1,   894,   191,   232,   115,   150,   894,
      -1,   894,   191,   242,   426,   926,   427,    -1,   894,   191,
     232,   242,   426,   926,   427,    -1,   894,    42,   948,   895,
      28,   895,    -1,   894,   232,    42,   948,   895,    28,   895,
      -1,   894,    42,   339,   895,    28,   895,    -1,   894,   232,
      42,   339,   895,    28,   895,    -1,   894,   170,   938,    -1,
     894,   232,   170,   938,    -1,   894,   922,   917,   818,    -1,
     894,   922,   917,   426,   894,   427,    -1,   367,   818,    -1,
     894,   191,   117,    -1,   894,   191,   232,   117,    -1,   896,
      -1,   895,    11,   870,    -1,   417,   895,    -1,   418,   895,
      -1,   895,   417,   895,    -1,   895,   418,   895,    -1,   895,
     419,   895,    -1,   895,   420,   895,    -1,   895,   421,   895,
      -1,   895,   422,   895,    -1,   895,   414,   895,    -1,   895,
     415,   895,    -1,   895,   413,   895,    -1,   895,   920,   895,
      -1,   920,   895,    -1,   895,   920,    -1,   895,   191,   115,
     150,   895,    -1,   895,   191,   232,   115,   150,   895,    -1,
     895,   191,   242,   426,   926,   427,    -1,   895,   191,   232,
     242,   426,   926,   427,    -1,   895,   191,   117,    -1,   895,
     191,   232,   117,    -1,   944,    -1,   964,    -1,    10,   947,
      -1,   426,   894,   427,   947,    -1,   939,    -1,   897,    -1,
     818,    -1,   134,   818,    -1,    30,   818,    -1,    30,   927,
      -1,   916,    -1,   963,   426,   427,   909,    -1,   963,   426,
     924,   427,   909,    -1,   963,   426,   382,   925,   427,   909,
      -1,   963,   426,   924,   430,   382,   925,   427,   909,    -1,
     963,   426,   924,   832,   427,   909,    -1,   963,   426,    22,
     924,   831,   427,   909,    -1,   963,   426,   115,   924,   831,
     427,   909,    -1,   963,   426,   419,   427,   909,    -1,    67,
     145,   426,   894,   427,    -1,    88,    -1,    91,    -1,    91,
     426,   965,   427,    -1,    92,    -1,    92,   426,   965,   427,
      -1,   212,    -1,   212,   426,   965,   427,    -1,   213,    -1,
     213,   426,   965,   427,    -1,    89,    -1,    93,    -1,   318,
      -1,   373,    -1,    87,    -1,    90,    -1,    54,   426,   894,
      31,   870,   427,    -1,   138,   426,   929,   427,    -1,   257,
     426,   931,   427,    -1,   267,   426,   933,   427,    -1,   338,
     426,   934,   427,    -1,   355,   426,   894,    31,   870,   427,
      -1,   357,   426,    47,   937,   427,    -1,   357,   426,   202,
     937,   427,    -1,   357,   426,   353,   937,   427,    -1,   357,
     426,   937,   427,    -1,   238,   426,   894,   430,   894,   427,
      -1,    65,   426,   923,   427,    -1,   157,   426,   923,   427,
      -1,   204,   426,   923,   427,    -1,   399,   426,   923,   427,
      -1,   400,   426,   224,   971,   427,    -1,   400,   426,   224,
     971,   430,   900,   427,    -1,   400,   426,   224,   971,   430,
     923,   427,    -1,   400,   426,   224,   971,   430,   900,   430,
     923,   427,    -1,   401,   426,   896,   905,   427,    -1,   402,
     426,   901,   427,    -1,   403,   426,   903,   894,   904,   427,
      -1,   404,   426,   224,   971,   427,    -1,   404,   426,   224,
     971,   430,   894,   427,    -1,   405,   426,   894,   430,   898,
     899,   427,    -1,   406,   426,   903,   894,    31,   872,   427,
      -1,   385,   894,    -1,   385,   230,   379,    -1,   430,   329,
     408,    -1,   430,   329,   230,    -1,   430,   329,   230,   379,
      -1,    -1,   398,   426,   901,   427,    -1,   902,    -1,   901,
     430,   902,    -1,   894,    31,   971,    -1,   894,    -1,   117,
      -1,    78,    -1,   270,   390,    -1,   337,   390,    -1,    -1,
     263,   896,    -1,   263,   896,    48,   285,    -1,   263,    48,
     285,   896,    -1,   263,    48,   285,   896,    48,   285,    -1,
     391,   907,    -1,    -1,   908,    -1,   907,   430,   908,    -1,
     969,    31,   910,    -1,   255,   910,    -1,   255,   969,    -1,
      -1,   426,   911,   912,   831,   913,   427,    -1,   969,    -1,
      -1,   262,    48,   923,    -1,    -1,   279,   914,    -1,   304,
     914,    -1,    -1,   915,    -1,    42,   915,    28,   915,    -1,
     363,   268,    -1,   363,   144,    -1,    86,   303,    -1,   894,
     268,    -1,   894,   144,    -1,   303,   426,   923,   427,    -1,
     303,   426,   427,    -1,   426,   923,   430,   894,   427,    -1,
      29,    -1,   327,    -1,    22,    -1,     8,    -1,   919,    -1,
     417,    -1,   418,    -1,   419,    -1,   420,    -1,   421,    -1,
     422,    -1,   414,    -1,   415,    -1,   413,    -1,     8,    -1,
     248,   426,   721,   427,    -1,   918,    -1,   248,   426,   721,
     427,    -1,   918,    -1,   248,   426,   721,   427,    -1,   207,
      -1,   232,   207,    -1,   166,    -1,   232,   166,    -1,   894,
      -1,   923,   430,   894,    -1,   925,    -1,   924,   430,   925,
      -1,   894,    -1,   703,    13,   894,    -1,   870,    -1,   926,
     430,   870,    -1,   424,   923,   425,    -1,   424,   928,   425,
      -1,   424,   425,    -1,   927,    -1,   928,   430,   927,    -1,
     930,   150,   894,    -1,    -1,     3,    -1,   407,    -1,   222,
      -1,    98,    -1,   163,    -1,   219,    -1,   310,    -1,   966,
      -1,   894,   932,   935,   936,    -1,   894,   932,   935,    -1,
     265,   894,    -1,   895,   170,   895,    -1,    -1,   894,   935,
     936,    -1,   894,   936,   935,    -1,   894,   935,    -1,   894,
     936,    -1,   923,    -1,    -1,   150,   894,    -1,   145,   894,
      -1,   894,   150,   923,    -1,   150,   923,    -1,   923,    -1,
     818,    -1,   426,   923,   427,    -1,    53,   943,   940,   942,
     126,    -1,   941,    -1,   940,   941,    -1,   388,   894,   349,
     894,    -1,   122,   894,    -1,    -1,   894,    -1,    -1,   969,
      -1,   969,   946,    -1,   428,   960,    -1,   428,   419,    -1,
     424,   894,   425,    -1,   424,   894,   431,   894,   425,    -1,
     945,    -1,   946,   945,    -1,    -1,   947,   945,    -1,    35,
      -1,    -1,   894,    -1,   103,    -1,   949,    -1,   950,   430,
     949,    -1,   426,   950,   427,    -1,   953,    -1,   952,   430,
     953,    -1,   894,    31,   971,    -1,   894,     3,    -1,   894,
      -1,   419,    -1,   955,    -1,   954,   430,   955,    -1,   969,
      -1,   969,   946,    -1,   957,    -1,   956,   430,   957,    -1,
     969,    -1,   969,    -1,   969,    -1,   971,    -1,   969,    -1,
     966,    -1,   970,    -1,   969,   946,    -1,   965,    -1,     4,
      -1,   966,    -1,     6,    -1,     7,    -1,   963,   966,    -1,
     963,   426,   924,   427,   966,    -1,   873,   966,    -1,   890,
     966,   892,    -1,   890,   426,   965,   427,   966,   892,    -1,
     358,    -1,   139,    -1,   237,    -1,     9,    -1,     5,    -1,
     969,    -1,   965,    -1,   417,   965,    -1,   418,   965,    -1,
       3,    -1,   972,    -1,   973,    -1,     3,    -1,   972,    -1,
     974,    -1,     3,    -1,   972,    -1,   973,    -1,   974,    -1,
     975,    -1,    14,    -1,    15,    -1,    16,    -1,    17,    -1,
      18,    -1,    19,    -1,    20,    -1,    21,    -1,    23,    -1,
      24,    -1,    25,    -1,    33,    -1,    34,    -1,    36,    -1,
      37,    -1,    39,    -1,    40,    -1,    41,    -1,    48,    -1,
      49,    -1,    50,    -1,    51,    -1,    52,    -1,    55,    -1,
      56,    -1,    59,    -1,    61,    -1,    62,    -1,    63,    -1,
      64,    -1,    69,    -1,    70,    -1,    71,    -1,    72,    -1,
      74,    -1,    75,    -1,    77,    -1,    78,    -1,    79,    -1,
      80,    -1,    81,    -1,    82,    -1,    85,    -1,    86,    -1,
      94,    -1,    95,    -1,    96,    -1,    97,    -1,    98,    -1,
      99,    -1,   102,    -1,   104,    -1,   106,    -1,   107,    -1,
     108,    -1,   109,    -1,   110,    -1,   112,    -1,   113,    -1,
     114,    -1,   117,    -1,   118,    -1,   119,    -1,   120,    -1,
     121,    -1,   123,    -1,   124,    -1,   125,    -1,   127,    -1,
     128,    -1,   130,    -1,   131,    -1,   132,    -1,   133,    -1,
     135,    -1,   136,    -1,   137,    -1,   140,    -1,   142,    -1,
     144,    -1,   146,    -1,   148,    -1,   152,    -1,   153,    -1,
     154,    -1,   156,    -1,   159,    -1,   161,    -1,   162,    -1,
     163,    -1,   164,    -1,   165,    -1,   167,    -1,   168,    -1,
     169,    -1,   171,    -1,   172,    -1,   173,    -1,   174,    -1,
     175,    -1,   176,    -1,   178,    -1,   181,    -1,   182,    -1,
     183,    -1,   184,    -1,   190,    -1,   193,    -1,   195,    -1,
     196,    -1,   197,    -1,   198,    -1,   199,    -1,   200,    -1,
     201,    -1,   203,    -1,   206,    -1,   209,    -1,   210,    -1,
     211,    -1,   214,    -1,   215,    -1,   216,    -1,   217,    -1,
     218,    -1,   219,    -1,   220,    -1,   221,    -1,   222,    -1,
     223,    -1,   224,    -1,   225,    -1,   229,    -1,   230,    -1,
     233,    -1,   234,    -1,   236,    -1,   239,    -1,   241,    -1,
     242,    -1,   243,    -1,   245,    -1,   248,    -1,   249,    -1,
     250,    -1,   258,    -1,   259,    -1,   260,    -1,   261,    -1,
     262,    -1,   263,    -1,   264,    -1,   266,    -1,   268,    -1,
     271,    -1,   272,    -1,   270,    -1,   274,    -1,   275,    -1,
     276,    -1,   277,    -1,   278,    -1,   279,    -1,   280,    -1,
     282,    -1,   283,    -1,   284,    -1,   285,    -1,   287,    -1,
     288,    -1,   289,    -1,   290,    -1,   291,    -1,   292,    -1,
     293,    -1,   294,    -1,   295,    -1,   296,    -1,   298,    -1,
     299,    -1,   301,    -1,   302,    -1,   304,    -1,   305,    -1,
     306,    -1,   307,    -1,   308,    -1,   309,    -1,   310,    -1,
     311,    -1,   313,    -1,   314,    -1,   315,    -1,   316,    -1,
     317,    -1,   319,    -1,   321,    -1,   322,    -1,   324,    -1,
     326,    -1,   328,    -1,   329,    -1,   330,    -1,   331,    -1,
     332,    -1,   333,    -1,   334,    -1,   335,    -1,   336,    -1,
     337,    -1,   340,    -1,   341,    -1,   343,    -1,   344,    -1,
     345,    -1,   346,    -1,   347,    -1,   348,    -1,   354,    -1,
     356,    -1,   359,    -1,   360,    -1,   361,    -1,   362,    -1,
     363,    -1,   364,    -1,   365,    -1,   368,    -1,   369,    -1,
     370,    -1,   371,    -1,   372,    -1,   375,    -1,   376,    -1,
     377,    -1,   378,    -1,   379,    -1,   383,    -1,   385,    -1,
     386,    -1,   387,    -1,   390,    -1,   393,    -1,   394,    -1,
     395,    -1,   396,    -1,   397,    -1,   407,    -1,   408,    -1,
     409,    -1,    42,    -1,    43,    -1,    45,    -1,    46,    -1,
      57,    -1,    58,    -1,    65,    -1,   100,    -1,   101,    -1,
     134,    -1,   138,    -1,   143,    -1,   157,    -1,   180,    -1,
     185,    -1,   186,    -1,   188,    -1,   204,    -1,   226,    -1,
     228,    -1,   231,    -1,   238,    -1,   240,    -1,   253,    -1,
     257,    -1,   267,    -1,   269,    -1,   281,    -1,   303,    -1,
     320,    -1,   325,    -1,   338,    -1,   350,    -1,   351,    -1,
     355,    -1,   357,    -1,   380,    -1,   381,    -1,   398,    -1,
     399,    -1,   400,    -1,   401,    -1,   402,    -1,   403,    -1,
     404,    -1,   405,    -1,   406,    -1,    38,    -1,    44,    -1,
      67,    -1,    73,    -1,    84,    -1,    90,    -1,   149,    -1,
     151,    -1,   166,    -1,   179,    -1,   191,    -1,   192,    -1,
     194,    -1,   205,    -1,   207,    -1,   227,    -1,   235,    -1,
     254,    -1,   255,    -1,   256,    -1,   300,    -1,   323,    -1,
     384,    -1,    22,    -1,    26,    -1,    27,    -1,    28,    -1,
      29,    -1,    30,    -1,    31,    -1,    32,    -1,    35,    -1,
      47,    -1,    53,    -1,    54,    -1,    60,    -1,    66,    -1,
      68,    -1,    76,    -1,    83,    -1,    87,    -1,    88,    -1,
      89,    -1,    91,    -1,    92,    -1,    93,    -1,   103,    -1,
     105,    -1,   111,    -1,   115,    -1,   116,    -1,   122,    -1,
     126,    -1,   129,    -1,   139,    -1,   141,    -1,   145,    -1,
     147,    -1,   150,    -1,   155,    -1,   158,    -1,   160,    -1,
     170,    -1,   177,    -1,   187,    -1,   189,    -1,   202,    -1,
     208,    -1,   212,    -1,   213,    -1,   232,    -1,   237,    -1,
     244,    -1,   246,    -1,   247,    -1,   251,    -1,   252,    -1,
     265,    -1,   273,    -1,   286,    -1,   297,    -1,   312,    -1,
     318,    -1,   327,    -1,   339,    -1,   342,    -1,   349,    -1,
     352,    -1,   353,    -1,   358,    -1,   366,    -1,   367,    -1,
     373,    -1,   374,    -1,   382,    -1,   388,    -1,   389,    -1,
     391,    -1,   392,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   654,   654,   661,   668,   678,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,   689,   690,   691,   692,
     693,   694,   695,   696,   697,   698,   699,   700,   701,   702,
     703,   704,   705,   706,   707,   708,   709,   710,   711,   712,
     713,   714,   715,   716,   717,   718,   719,   720,   721,   722,
     723,   724,   725,   726,   727,   728,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   746,   747,   748,   749,   750,   751,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   789,   799,   810,   811,   820,
     821,   825,   826,   830,   835,   839,   844,   849,   853,   857,
     862,   866,   920,   922,   926,   930,   934,   938,   952,   970,
     981,   982,   986,  1004,  1016,  1037,  1044,  1063,  1070,  1087,
    1105,  1116,  1117,  1129,  1136,  1153,  1165,  1177,  1178,  1182,
    1183,  1191,  1192,  1193,  1194,  1195,  1196,  1210,  1216,  1222,
    1231,  1239,  1247,  1251,  1259,  1267,  1274,  1281,  1289,  1300,
    1308,  1316,  1327,  1335,  1343,  1350,  1359,  1369,  1370,  1377,
    1378,  1381,  1383,  1387,  1388,  1389,  1390,  1394,  1395,  1396,
    1402,  1414,  1418,  1422,  1437,  1460,  1461,  1462,  1466,  1467,
    1468,  1472,  1473,  1477,  1484,  1491,  1498,  1505,  1515,  1516,
    1521,  1522,  1527,  1533,  1539,  1545,  1551,  1561,  1571,  1572,
    1576,  1577,  1585,  1600,  1606,  1612,  1618,  1636,  1645,  1654,
    1663,  1672,  1681,  1690,  1699,  1711,  1712,  1717,  1725,  1733,
    1742,  1750,  1758,  1767,  1776,  1785,  1794,  1804,  1817,  1831,
    1840,  1848,  1856,  1866,  1876,  1883,  1890,  1898,  1906,  1914,
    1922,  1930,  1937,  1944,  1952,  1959,  1966,  1974,  1982,  1990,
    1998,  2006,  2014,  2024,  2031,  2039,  2047,  2055,  2062,  2072,
    2073,  2077,  2078,  2079,  2083,  2091,  2095,  2096,  2100,  2103,
    2104,  2108,  2109,  2114,  2118,  2122,  2127,  2142,  2155,  2156,
    2161,  2170,  2180,  2190,  2215,  2221,  2248,  2270,  2284,  2285,
    2294,  2295,  2296,  2299,  2300,  2305,  2306,  2310,  2314,  2318,
    2322,  2326,  2330,  2334,  2338,  2342,  2346,  2350,  2354,  2363,
    2367,  2371,  2375,  2379,  2383,  2387,  2388,  2393,  2397,  2404,
    2411,  2412,  2413,  2414,  2415,  2419,  2423,  2431,  2442,  2457,
    2473,  2489,  2518,  2519,  2520,  2521,  2522,  2529,  2536,  2537,
    2541,  2542,  2546,  2547,  2551,  2555,  2562,  2566,  2573,  2574,
    2575,  2579,  2580,  2583,  2603,  2623,  2624,  2628,  2636,  2637,
    2638,  2669,  2676,  2683,  2694,  2705,  2715,  2724,  2757,  2764,
    2771,  2778,  2789,  2799,  2800,  2801,  2805,  2806,  2807,  2808,
    2809,  2810,  2819,  2827,  2831,  2844,  2859,  2873,  2888,  2902,
    2920,  2941,  2942,  2946,  2947,  2951,  2952,  2955,  2961,  2965,
    2973,  2978,  2984,  2985,  2989,  2994,  3001,  3002,  3012,  3014,
    3016,  3018,  3021,  3024,  3027,  3031,  3032,  3033,  3034,  3035,
    3038,  3039,  3044,  3045,  3046,  3047,  3050,  3051,  3052,  3053,
    3056,  3057,  3060,  3061,  3064,  3079,  3093,  3106,  3107,  3108,
    3121,  3133,  3141,  3152,  3153,  3156,  3157,  3160,  3164,  3168,
    3172,  3176,  3180,  3184,  3188,  3192,  3196,  3200,  3204,  3210,
    3211,  3215,  3216,  3221,  3224,  3225,  3237,  3249,  3264,  3265,
    3273,  3274,  3278,  3279,  3283,  3284,  3288,  3289,  3293,  3304,
    3317,  3318,  3328,  3338,  3339,  3352,  3359,  3376,  3384,  3395,
    3398,  3402,  3406,  3410,  3422,  3432,  3435,  3439,  3452,  3462,
    3472,  3481,  3490,  3499,  3509,  3518,  3528,  3538,  3548,  3557,
    3566,  3575,  3584,  3593,  3602,  3611,  3620,  3629,  3638,  3647,
    3665,  3676,  3677,  3678,  3679,  3683,  3684,  3688,  3689,  3699,
    3710,  3730,  3738,  3750,  3751,  3755,  3759,  3767,  3771,  3775,
    3782,  3786,  3791,  3796,  3803,  3810,  3815,  3825,  3839,  3840,
    3845,  3846,  3850,  3851,  3861,  3872,  3892,  3901,  3909,  3926,
    3941,  3959,  3960,  3964,  3968,  3975,  3986,  3995,  4013,  4025,
    4026,  4027,  4037,  4045,  4062,  4081,  4101,  4126,  4127,  4128,
    4132,  4134,  4156,  4158,  4160,  4162,  4164,  4169,  4174,  4184,
    4185,  4189,  4190,  4194,  4195,  4199,  4200,  4201,  4205,  4211,
    4212,  4213,  4217,  4218,  4223,  4224,  4251,  4252,  4253,  4254,
    4255,  4256,  4261,  4272,  4295,  4315,  4338,  4348,  4359,  4369,
    4379,  4390,  4399,  4406,  4413,  4422,  4431,  4440,  4449,  4458,
    4469,  4472,  4473,  4476,  4480,  4487,  4488,  4489,  4490,  4491,
    4494,  4495,  4498,  4501,  4502,  4510,  4517,  4518,  4521,  4523,
    4534,  4543,  4552,  4576,  4591,  4592,  4596,  4606,  4617,  4626,
    4636,  4645,  4646,  4649,  4650,  4653,  4654,  4655,  4658,  4672,
    4677,  4687,  4696,  4708,  4709,  4713,  4721,  4733,  4744,  4758,
    4769,  4792,  4802,  4820,  4831,  4842,  4853,  4867,  4868,  4869,
    4870,  4871,  4872,  4873,  4874,  4875,  4876,  4877,  4878,  4879,
    4880,  4881,  4885,  4886,  4889,  4890,  4893,  4895,  4908,  4919,
    4920,  4921,  4947,  4956,  4965,  4974,  4983,  4992,  5001,  5011,
    5020,  5029,  5038,  5047,  5056,  5065,  5073,  5081,  5089,  5100,
    5101,  5102,  5103,  5104,  5105,  5106,  5107,  5108,  5109,  5110,
    5111,  5112,  5113,  5114,  5115,  5116,  5120,  5121,  5135,  5146,
    5157,  5168,  5179,  5192,  5193,  5197,  5198,  5199,  5200,  5201,
    5202,  5203,  5204,  5205,  5206,  5207,  5210,  5211,  5221,  5227,
    5235,  5243,  5251,  5259,  5267,  5275,  5283,  5291,  5299,  5307,
    5315,  5323,  5331,  5339,  5347,  5355,  5365,  5366,  5369,  5370,
    5380,  5396,  5410,  5436,  5438,  5440,  5442,  5449,  5458,  5459,
    5462,  5469,  5476,  5483,  5497,  5505,  5513,  5521,  5529,  5537,
    5545,  5553,  5561,  5569,  5577,  5585,  5593,  5601,  5609,  5617,
    5629,  5630,  5633,  5643,  5657,  5658,  5662,  5663,  5668,  5684,
    5697,  5707,  5719,  5720,  5723,  5724,  5734,  5744,  5745,  5749,
    5753,  5757,  5768,  5781,  5795,  5812,  5813,  5814,  5815,  5827,
    5854,  5855,  5859,  5860,  5864,  5865,  5869,  5870,  5873,  5874,
    5882,  5893,  5904,  5917,  5918,  5921,  5922,  5923,  5926,  5927,
    5928,  5931,  5932,  5933,  5949,  5961,  5974,  5989,  5990,  5993,
    5994,  5998,  5999,  6007,  6008,  6012,  6013,  6028,  6037,  6046,
    6055,  6064,  6076,  6077,  6078,  6079,  6080,  6086,  6090,  6105,
    6106,  6112,  6122,  6126,  6131,  6141,  6142,  6149,  6153,  6157,
    6161,  6165,  6169,  6173,  6177,  6181,  6185,  6189,  6193,  6197,
    6201,  6205,  6213,  6217,  6221,  6225,  6231,  6232,  6239,  6240,
    6243,  6255,  6259,  6274,  6285,  6286,  6291,  6292,  6307,  6318,
    6332,  6343,  6357,  6368,  6382,  6390,  6392,  6394,  6399,  6401,
    6414,  6423,  6424,  6428,  6432,  6444,  6455,  6466,  6479,  6480,
    6481,  6485,  6498,  6499,  6513,  6521,  6531,  6544,  6545,  6548,
    6549,  6559,  6569,  6578,  6587,  6596,  6605,  6615,  6624,  6634,
    6643,  6652,  6662,  6672,  6681,  6690,  6700,  6710,  6720,  6730,
    6740,  6750,  6760,  6770,  6780,  6790,  6801,  6812,  6822,  6833,
    6844,  6854,  6863,  6872,  6881,  6890,  6899,  6908,  6917,  6926,
    6935,  6944,  6958,  6959,  6962,  6963,  6973,  6983,  6992,  7001,
    7010,  7019,  7029,  7039,  7049,  7059,  7068,  7077,  7086,  7095,
    7104,  7113,  7122,  7131,  7140,  7149,  7158,  7167,  7184,  7193,
    7201,  7209,  7217,  7225,  7234,  7242,  7250,  7259,  7268,  7277,
    7285,  7293,  7301,  7309,  7317,  7325,  7342,  7359,  7360,  7361,
    7366,  7372,  7381,  7382,  7383,  7384,  7385,  7389,  7390,  7393,
    7394,  7395,  7396,  7400,  7401,  7402,  7407,  7418,  7440,  7450,
    7451,  7454,  7463,  7469,  7488,  7495,  7502,  7509,  7516,  7523,
    7530,  7538,  7546,  7554,  7562,  7570,  7577,  7584,  7593,  7594,
    7595,  7599,  7602,  7605,  7608,  7611,  7618,  7620,  7622,  7627,
    7629,  7641,  7653,  7668,  7674,  7680,  7686,  7696,  7712,  7722,
    7723,  7727,  7731,  7735,  7739,  7743,  7747,  7751,  7755,  7759,
    7763,  7767,  7771,  7775,  7779,  7783,  7787,  7797,  7798,  7809,
    7816,  7827,  7838,  7839,  7843,  7857,  7864,  7881,  7894,  7903,
    7911,  7919,  7928,  7939,  7950,  7960,  7961,  7972,  7982,  7992,
    8002,  8012,  8022,  8030,  8051,  8074,  8082,  8091,  8102,  8103,
    8115,  8129,  8143,  8155,  8167,  8184,  8185,  8189,  8190,  8191,
    8192,  8196,  8208,  8223,  8224,  8228,  8229,  8232,  8233,  8236,
    8237,  8241,  8242,  8255,  8262,  8272,  8279,  8289,  8290,  8291,
    8292,  8293,  8294,  8295,  8299,  8303,  8310,  8317,  8318,  8319,
    8323,  8324,  8325,  8335,  8345,  8346,  8350,  8351,  8352,  8353,
    8363,  8370,  8387,  8388,  8398,  8404,  8410,  8416,  8432,  8442,
    8448,  8454,  8463,  8465,  8470,  8481,  8482,  8493,  8507,  8508,
    8519,  8530,  8531,  8534,  8535,  8536,  8537,  8538,  8539,  8540,
    8541,  8544,  8545,  8556,  8574,  8575,  8579,  8580,  8584,  8592,
    8620,  8631,  8632,  8642,  8653,  8656,  8657,  8658,  8659,  8660,
    8663,  8664,  8665,  8713,  8714,  8718,  8719,  8733,  8734,  8741,
    8749,  8757,  8765,  8773,  8781,  8792,  8793,  8820,  8835,  8836,
    8855,  8859,  8863,  8878,  8885,  8895,  8896,  8899,  8911,  8912,
    8916,  8927,  8935,  8940,  8945,  8950,  8955,  8963,  8971,  8976,
    8981,  8988,  8989,  8992,  8993,  8994,  9001,  9002,  9003,  9004,
    9008,  9009,  9013,  9017,  9018,  9021,  9030,  9043,  9044,  9045,
    9046,  9050,  9051,  9055,  9057,  9067,  9072,  9075,  9080,  9081,
    9089,  9099,  9100,  9101,  9109,  9113,  9114,  9117,  9118,  9123,
    9124,  9128,  9129,  9133,  9134,  9138,  9139,  9143,  9144,  9148,
    9156,  9167,  9168,  9173,  9179,  9197,  9198,  9202,  9203,  9213,
    9217,  9222,  9229,  9237,  9244,  9254,  9264,  9292,  9299,  9303,
    9329,  9333,  9345,  9358,  9372,  9383,  9398,  9404,  9409,  9415,
    9422,  9423,  9424,  9425,  9429,  9430,  9442,  9443,  9448,  9455,
    9462,  9469,  9480,  9481,  9494,  9498,  9505,  9515,  9520,  9521,
    9526,  9527,  9535,  9540,  9541,  9545,  9549,  9555,  9584,  9589,
    9596,  9601,  9607,  9612,  9621,  9623,  9626,  9630,  9631,  9632,
    9633,  9634,  9635,  9640,  9670,  9671,  9672,  9673,  9684,  9690,
    9698,  9699,  9705,  9710,  9715,  9720,  9725,  9730,  9735,  9740,
    9746,  9752,  9758,  9765,  9787,  9796,  9800,  9808,  9812,  9820,
    9832,  9853,  9857,  9863,  9867,  9880,  9899,  9922,  9924,  9926,
    9928,  9930,  9932,  9937,  9938,  9942,  9943,  9950,  9959,  9967,
    9976,  9987,  9995,  9996,  9997, 10001, 10003, 10005, 10007, 10009,
   10011, 10013, 10018, 10023, 10029, 10037, 10042, 10049, 10056, 10060,
   10064, 10094, 10095, 10097, 10105, 10127, 10129, 10131, 10133, 10135,
   10137, 10139, 10141, 10143, 10145, 10147, 10150, 10152, 10154, 10157,
   10159, 10161, 10164, 10166, 10179, 10181, 10194, 10196, 10209, 10211,
   10225, 10238, 10251, 10264, 10287, 10294, 10301, 10308, 10315, 10319,
   10326, 10333, 10340, 10347, 10354, 10361, 10365, 10373, 10377, 10387,
   10394, 10401, 10414, 10427, 10446, 10467, 10477, 10484, 10500, 10505,
   10523, 10525, 10527, 10529, 10531, 10533, 10535, 10537, 10539, 10541,
   10543, 10545, 10547, 10549, 10551, 10553, 10555, 10559, 10564, 10568,
   10572, 10577, 10594, 10595, 10596, 10611, 10623, 10625, 10627, 10637,
   10647, 10657, 10665, 10684, 10697, 10710, 10723, 10736, 10749, 10766,
   10779, 10802, 10815, 10836, 10846, 10859, 10876, 10889, 10899, 10912,
   10922, 10935, 10948, 10961, 10974, 10987, 11000, 11013, 11015, 11028,
   11046, 11060, 11076, 11098, 11114, 11127, 11140, 11153, 11157, 11164,
   11172, 11180, 11184, 11188, 11192, 11196, 11200, 11215, 11219, 11228,
   11232, 11236, 11241, 11255, 11257, 11261, 11263, 11265, 11268, 11271,
   11274, 11275, 11278, 11286, 11296, 11297, 11300, 11301, 11302, 11307,
   11311, 11315, 11319, 11330, 11331, 11335, 11336, 11341, 11349, 11351,
   11365, 11368, 11395, 11396, 11399, 11400, 11411, 11429, 11436, 11445,
   11462, 11507, 11515, 11523, 11531, 11539, 11560, 11561, 11562, 11565,
   11566, 11567, 11570, 11571, 11574, 11575, 11576, 11577, 11578, 11579,
   11580, 11581, 11582, 11585, 11587, 11592, 11594, 11599, 11601, 11603,
   11605, 11607, 11609, 11621, 11625, 11632, 11636, 11642, 11646, 11657,
   11658, 11661, 11665, 11669, 11675, 11676, 11681, 11685, 11692, 11693,
   11694, 11695, 11696, 11697, 11698, 11699, 11709, 11713, 11720, 11727,
   11728, 11744, 11748, 11753, 11757, 11772, 11777, 11781, 11784, 11787,
   11788, 11789, 11792, 11799, 11809, 11823, 11824, 11828, 11839, 11840,
   11843, 11844, 11847, 11851, 11858, 11862, 11866, 11873, 11883, 11884,
   11888, 11889, 11892, 11893, 11904, 11905, 11914, 11915, 11923, 11934,
   11935, 11938, 11954, 11962, 11970, 11992, 11993, 12004, 12008, 12035,
   12037, 12042, 12045, 12048, 12050, 12052, 12054, 12064, 12066, 12077,
   12081, 12085, 12089, 12093, 12102, 12109, 12134, 12138, 12144, 12161,
   12165, 12169, 12175, 12176, 12177, 12179, 12180, 12181, 12197, 12198,
   12199, 12204, 12205, 12206, 12212, 12213, 12214, 12215, 12216, 12236,
   12237, 12238, 12239, 12240, 12241, 12242, 12243, 12244, 12245, 12246,
   12247, 12248, 12249, 12250, 12251, 12252, 12253, 12254, 12255, 12256,
   12257, 12258, 12259, 12260, 12261, 12262, 12263, 12264, 12265, 12266,
   12267, 12268, 12269, 12270, 12271, 12272, 12273, 12274, 12275, 12276,
   12277, 12278, 12279, 12280, 12281, 12282, 12283, 12284, 12285, 12286,
   12287, 12288, 12289, 12290, 12291, 12292, 12293, 12294, 12295, 12296,
   12297, 12298, 12299, 12300, 12301, 12302, 12303, 12304, 12305, 12306,
   12307, 12308, 12309, 12310, 12311, 12312, 12313, 12314, 12315, 12316,
   12317, 12318, 12319, 12320, 12321, 12322, 12323, 12324, 12325, 12326,
   12327, 12328, 12329, 12330, 12331, 12332, 12333, 12334, 12335, 12336,
   12337, 12338, 12339, 12340, 12341, 12342, 12343, 12344, 12345, 12346,
   12347, 12348, 12349, 12350, 12351, 12352, 12353, 12354, 12355, 12356,
   12357, 12358, 12359, 12360, 12361, 12362, 12363, 12364, 12365, 12366,
   12367, 12368, 12369, 12370, 12371, 12372, 12373, 12374, 12375, 12376,
   12377, 12378, 12379, 12380, 12381, 12382, 12383, 12384, 12385, 12386,
   12387, 12388, 12389, 12390, 12391, 12392, 12393, 12394, 12395, 12396,
   12397, 12398, 12399, 12400, 12401, 12402, 12403, 12404, 12405, 12406,
   12407, 12408, 12409, 12410, 12411, 12412, 12413, 12414, 12415, 12416,
   12417, 12418, 12419, 12420, 12421, 12422, 12423, 12424, 12425, 12426,
   12427, 12428, 12429, 12430, 12431, 12432, 12433, 12434, 12435, 12436,
   12437, 12438, 12439, 12440, 12441, 12442, 12443, 12444, 12445, 12446,
   12447, 12448, 12449, 12450, 12451, 12452, 12453, 12454, 12455, 12456,
   12457, 12458, 12459, 12460, 12461, 12462, 12463, 12464, 12465, 12466,
   12467, 12468, 12469, 12470, 12471, 12472, 12473, 12474, 12475, 12476,
   12477, 12478, 12479, 12480, 12481, 12482, 12483, 12484, 12485, 12499,
   12500, 12501, 12502, 12503, 12504, 12505, 12506, 12507, 12508, 12509,
   12510, 12511, 12512, 12513, 12514, 12515, 12516, 12517, 12518, 12519,
   12520, 12521, 12522, 12523, 12524, 12525, 12526, 12527, 12528, 12529,
   12530, 12531, 12532, 12533, 12534, 12535, 12536, 12537, 12538, 12539,
   12540, 12541, 12542, 12543, 12544, 12545, 12559, 12560, 12561, 12562,
   12563, 12564, 12565, 12566, 12567, 12568, 12569, 12570, 12571, 12572,
   12573, 12574, 12575, 12576, 12577, 12578, 12579, 12580, 12581, 12591,
   12592, 12593, 12594, 12595, 12596, 12597, 12598, 12599, 12600, 12601,
   12602, 12603, 12604, 12605, 12606, 12607, 12608, 12609, 12610, 12611,
   12612, 12613, 12614, 12615, 12616, 12617, 12618, 12619, 12620, 12621,
   12622, 12623, 12624, 12625, 12626, 12627, 12628, 12629, 12630, 12631,
   12632, 12633, 12634, 12635, 12636, 12637, 12638, 12639, 12640, 12641,
   12642, 12643, 12644, 12645, 12646, 12647, 12648, 12649, 12650, 12651,
   12652, 12653, 12654, 12655, 12656, 12657, 12658, 12659, 12660, 12661,
   12662, 12663, 12664, 12665, 12666
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,    61,    60,    62,   668,    43,    45,    42,
      47,    37,    94,   669,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   432,   433,   434,   434,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   435,   435,   435,   435,
     435,   435,   435,   435,   435,   435,   436,   437,   437,   438,
     438,   439,   439,   440,   440,   440,   440,   440,   440,   440,
     440,   440,   441,   441,   441,   441,   441,   441,   442,   443,
     444,   444,   445,   446,   447,   448,   448,   449,   449,   450,
     451,   452,   452,   453,   453,   454,   454,   455,   455,   456,
     456,   457,   457,   457,   457,   457,   457,   458,   458,   458,
     459,   459,   459,   460,   460,   460,   460,   460,   460,   460,
     460,   460,   460,   460,   460,   460,   460,   461,   461,   462,
     462,   463,   463,   464,   464,   464,   464,   465,   465,   465,
     465,   466,   466,   466,   466,   466,   466,   466,   467,   467,
     467,   468,   468,   469,   469,   469,   469,   469,   470,   470,
     471,   471,   472,   472,   472,   472,   472,   473,   474,   474,
     475,   475,   476,   477,   477,   477,   477,   478,   478,   478,
     478,   478,   478,   478,   478,   479,   479,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   480,
     480,   480,   480,   480,   480,   480,   480,   480,   480,   481,
     481,   482,   482,   482,   483,   483,   484,   484,   485,   486,
     486,   487,   487,   488,   488,   488,   488,   489,   490,   490,
     491,   491,   491,   491,   492,   492,   493,   493,   494,   494,
     495,   495,   495,   496,   496,   497,   497,   498,   498,   498,
     498,   498,   498,   498,   498,   498,   498,   498,   498,   499,
     499,   500,   500,   501,   501,   502,   502,   503,   503,   504,
     505,   505,   505,   505,   505,   506,   506,   507,   508,   508,
     508,   508,   509,   509,   509,   509,   509,   509,   509,   509,
     510,   510,   511,   511,   512,   512,   513,   513,   514,   514,
     514,   515,   515,   516,   517,   518,   518,   519,   519,   519,
     519,   520,   520,   520,   520,   520,   520,   520,   521,   521,
     521,   521,   522,   523,   523,   523,   524,   524,   524,   524,
     524,   524,   525,   525,   526,   526,   526,   526,   526,   526,
     526,   527,   527,   528,   528,   529,   529,   530,   531,   531,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   536,   537,   538,   538,   538,   538,   538,
     539,   539,   540,   540,   540,   540,   541,   541,   541,   541,
     542,   542,   543,   543,   544,   545,   546,   547,   547,   547,
     548,   549,   549,   550,   550,   551,   551,   552,   552,   552,
     552,   552,   552,   552,   552,   552,   552,   552,   552,   553,
     553,   554,   554,   554,   555,   555,   556,   556,   557,   557,
     558,   558,   559,   559,   560,   560,   561,   561,   562,   562,
     563,   563,   564,   565,   565,   566,   566,   567,   567,   568,
     568,   569,   569,   569,   570,   571,   571,   572,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     573,   573,   573,   573,   573,   573,   573,   573,   573,   573,
     574,   575,   575,   575,   575,   576,   576,   577,   577,   578,
     578,   579,   579,   580,   580,   581,   581,   582,   583,   583,
     584,   584,   584,   584,   585,   586,   587,   588,   589,   589,
     590,   590,   591,   591,   592,   592,   593,   593,   593,   594,
     594,   595,   595,   596,   596,   597,   598,   598,   599,   600,
     600,   600,   601,   601,   602,   603,   603,   604,   604,   604,
     605,   605,   606,   606,   606,   606,   606,   607,   607,   608,
     608,   609,   609,   610,   610,   611,   611,   611,   612,   612,
     612,   612,   613,   613,   614,   614,   615,   615,   615,   615,
     615,   615,   616,   616,   617,   618,   619,   619,   619,   619,
     619,   619,   619,   619,   619,   619,   619,   619,   619,   619,
     620,   621,   621,   622,   622,   623,   623,   623,   623,   623,
     624,   624,   625,   626,   626,   627,   628,   628,   629,   629,
     630,   630,   630,   631,   632,   632,   633,   633,   633,   633,
     633,   634,   634,   635,   635,   636,   636,   636,   637,   637,
     638,   639,   639,   640,   640,   641,   641,   642,   642,   643,
     643,   644,   645,   646,   646,   646,   646,   647,   647,   647,
     647,   647,   647,   647,   647,   647,   647,   647,   647,   647,
     647,   647,   648,   648,   649,   649,   650,   650,   651,   652,
     652,   652,   653,   653,   653,   653,   653,   653,   653,   653,
     653,   653,   653,   653,   653,   653,   653,   653,   653,   654,
     654,   654,   654,   654,   654,   654,   654,   654,   654,   654,
     654,   654,   654,   654,   654,   654,   655,   655,   656,   656,
     656,   656,   656,   657,   657,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   659,   659,   660,   660,
     661,   661,   661,   661,   661,   661,   661,   661,   661,   661,
     661,   661,   661,   661,   661,   661,   662,   662,   663,   663,
     664,   665,   665,   666,   666,   666,   666,   666,   667,   667,
     668,   668,   668,   668,   669,   669,   669,   669,   669,   669,
     669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
     670,   670,   671,   671,   672,   672,   673,   673,   674,   675,
     676,   676,   677,   677,   678,   678,   679,   680,   680,   681,
     681,   681,   682,   682,   682,   683,   683,   683,   683,   684,
     685,   685,   686,   686,   687,   687,   688,   688,   689,   689,
     690,   690,   690,   691,   691,   692,   692,   692,   693,   693,
     693,   694,   694,   694,   695,   695,   695,   696,   696,   697,
     697,   698,   698,   699,   699,   700,   700,   701,   701,   701,
     701,   701,   702,   702,   702,   702,   702,   703,   704,   705,
     705,   705,   706,   706,   706,   707,   707,   708,   708,   708,
     708,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   709,   709,   709,   709,   710,   710,   711,   711,
     712,   713,   713,   714,   715,   715,   716,   716,   717,   717,
     718,   718,   719,   719,   720,   720,   720,   720,   721,   721,
     722,   723,   723,   724,   724,   725,   725,   725,   726,   726,
     726,   727,   728,   728,   729,   729,   729,   730,   730,   731,
     731,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
     732,   732,   733,   733,   734,   734,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   735,   735,   735,   735,   735,   735,   736,   736,
     736,   736,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   736,   736,   736,   736,   736,   737,   738,   738,   738,
     739,   739,   740,   740,   740,   740,   740,   741,   741,   742,
     742,   742,   742,   743,   743,   743,   744,   744,   745,   746,
     746,   747,   748,   748,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   750,   750,
     750,   751,   751,   751,   751,   751,   752,   752,   752,   753,
     753,   754,   754,   755,   755,   755,   755,   756,   757,   758,
     758,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   760,   760,   761,
     761,   762,   763,   763,   764,   765,   765,   766,   767,   767,
     767,   767,   767,   767,   767,   768,   768,   769,   770,   770,
     770,   770,   770,   770,   771,   772,   772,   772,   773,   773,
     774,   774,   774,   774,   774,   775,   775,   776,   776,   776,
     776,   777,   777,   778,   778,   779,   779,   780,   780,   781,
     781,   782,   782,   783,   783,   783,   783,   784,   784,   784,
     784,   784,   784,   784,   785,   785,   786,   787,   787,   787,
     788,   788,   788,   789,   790,   790,   791,   791,   791,   791,
     792,   792,   793,   793,   794,   794,   794,   794,   795,   796,
     796,   796,   797,   797,   798,   799,   799,   800,   801,   801,
     802,   803,   803,   804,   804,   804,   804,   804,   804,   804,
     804,   805,   805,   806,   807,   807,   808,   808,   809,   810,
     811,   812,   812,   813,   814,   815,   815,   815,   815,   815,
     816,   816,   816,   817,   817,   818,   818,   819,   819,   819,
     819,   819,   819,   819,   819,   820,   820,   821,   821,   821,
     821,   821,   821,   822,   822,   823,   823,   824,   825,   825,
     826,   826,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   828,   828,   829,   829,   829,   830,   830,   830,   830,
     831,   831,   832,   833,   833,   834,   834,   835,   835,   835,
     835,   836,   836,   837,   837,   837,   838,   838,   839,   839,
     840,   841,   841,   841,   842,   843,   843,   844,   844,   845,
     845,   846,   846,   847,   847,   848,   848,   849,   849,   850,
     850,   851,   851,   852,   852,   853,   853,   854,   854,   855,
     855,   855,   855,   855,   855,   855,   855,   855,   855,   855,
     856,   856,   856,   856,   856,   856,   857,   857,   857,   857,
     858,   858,   858,   858,   859,   859,   860,   860,   861,   861,
     861,   861,   862,   862,   863,   863,   863,   864,   865,   865,
     866,   866,   866,   867,   867,   868,   868,   869,   870,   870,
     870,   870,   870,   870,   871,   871,   871,   872,   872,   872,
     872,   872,   872,   872,   873,   873,   873,   873,   874,   874,
     875,   875,   876,   876,   876,   876,   876,   876,   876,   876,
     876,   876,   876,   877,   877,   878,   878,   879,   879,   880,
     881,   882,   882,   883,   883,   884,   885,   886,   886,   886,
     886,   886,   886,   887,   887,   888,   888,   889,   889,   889,
     889,   890,   891,   891,   891,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   893,
     893,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,   894,   894,   894,   894,   894,   894,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   896,   896,   896,   896,   896,   896,   896,   896,
     896,   896,   896,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   897,
     897,   897,   897,   898,   898,   899,   899,   899,   899,   900,
     901,   901,   902,   902,   903,   903,   904,   904,   904,   905,
     905,   905,   905,   906,   906,   907,   907,   908,   909,   909,
     909,   910,   911,   911,   912,   912,   913,   913,   913,   914,
     914,   915,   915,   915,   915,   915,   916,   916,   916,   917,
     917,   917,   918,   918,   919,   919,   919,   919,   919,   919,
     919,   919,   919,   920,   920,   921,   921,   922,   922,   922,
     922,   922,   922,   923,   923,   924,   924,   925,   925,   926,
     926,   927,   927,   927,   928,   928,   929,   929,   930,   930,
     930,   930,   930,   930,   930,   930,   931,   931,   932,   933,
     933,   934,   934,   934,   934,   934,   934,   935,   936,   937,
     937,   937,   938,   938,   939,   940,   940,   941,   942,   942,
     943,   943,   944,   944,   945,   945,   945,   945,   946,   946,
     947,   947,   948,   948,   949,   949,   950,   950,   951,   952,
     952,   953,   953,   953,   953,   954,   954,   955,   955,   956,
     956,   957,   958,   959,   960,   961,   962,   963,   963,   964,
     964,   964,   964,   964,   964,   964,   964,   964,   964,   964,
     964,   964,   965,   966,   967,   968,   968,   968,   969,   969,
     969,   970,   970,   970,   971,   971,   971,   971,   971,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   972,   972,   972,   972,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
     974,   974,   974,   974,   974,   974,   974,   974,   974,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975,   975,   975,   975,   975,   975,
     975,   975,   975,   975,   975
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     0,     5,     1,     0,     2,
       0,     2,     0,     2,     2,     3,     3,     1,     3,     3,
       2,     1,     1,     2,     2,     2,     3,     3,     5,     5,
       0,     3,     5,     5,     4,     3,     5,     3,     5,     5,
       6,     1,     1,     3,     5,     6,     4,     1,     0,     2,
       0,     1,     1,     1,     1,     1,     1,     2,     3,     3,
       2,     5,     1,     3,     3,     3,     3,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     4,     3,     2,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     4,     6,     4,
       6,     4,     6,     4,     6,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     3,     6,     4,     3,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     3,     3,     3,     4,     4,     3,
       2,     3,     2,     2,     3,     3,     2,     2,     1,     3,
       2,     1,     1,     0,     2,     0,     2,     0,     3,     2,
       0,     1,     3,     3,     1,     5,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    10,     6,     1,     1,
       1,     1,     1,     1,     3,     2,     0,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     7,     5,     2,     3,     0,
       5,     4,     6,     1,     0,     1,     2,     2,     1,     2,
       3,     2,     2,     2,     2,     3,     3,     1,     3,     1,
       0,     1,     2,     1,     1,     3,     6,    10,     1,     0,
       1,     2,     2,     0,     2,     2,     1,     0,     5,     7,
       1,     0,     6,     2,     0,     3,     5,     5,     8,     2,
       0,     2,     2,     2,     5,     2,     0,     2,     7,    10,
       6,     6,     6,     6,     7,     7,     9,     9,     6,     6,
       8,     8,     8,     8,     6,     6,     7,     8,     6,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,     8,
      11,     3,     2,     1,     3,     1,     5,     7,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     2,     6,     8,     8,     4,     5,     4,     4,     4,
       3,     7,     8,     6,     6,     6,     6,     6,     4,     5,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       3,     3,     3,     1,     3,     3,     1,     0,     1,     3,
       6,     8,     8,    13,     1,     3,     5,     6,     4,     7,
       2,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       6,     8,     8,     1,     3,     5,     5,     7,     9,     7,
       9,     5,     6,     6,     4,     5,     7,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     1,     3,     1,     2,     2,     3,     5,     2,
       2,     0,     6,     7,     7,     7,     8,     8,     6,     8,
       9,     9,     7,    10,     7,     8,     8,     8,     8,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     3,     1,     1,     8,     9,
       9,     9,     9,     2,     0,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       7,     7,    10,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     3,     2,     2,     2,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     1,     3,     2,     6,
       6,     9,     3,     0,     3,     0,     5,     2,     0,     3,
       3,     3,     7,     7,    10,     1,     1,     1,     1,    14,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     2,     0,     1,     1,
       0,     1,     1,     0,     9,    12,     7,     2,     0,     3,
       2,     1,     3,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     1,     1,     1,     3,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     7,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     6,     6,     6,     8,     6,     8,     6,
       8,     6,     8,     7,     9,     8,    10,     8,     9,    11,
       8,     6,     6,     6,     5,     5,     8,     8,     8,     8,
       6,     9,     1,     0,     2,     0,     7,     6,     6,     6,
       6,     6,     7,     9,     9,     6,     8,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     6,     7,     6,
       6,     6,     6,     6,     7,     7,     7,     9,     9,     6,
       6,     6,     8,     8,     8,     6,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     6,     8,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     2,     1,     1,     1,
       1,     1,     0,     5,     3,     0,     1,     1,     1,     1,
       3,     9,     3,     0,     2,     3,     2,     3,     6,     1,
       4,     2,     1,     3,     2,     2,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     8,     1,     3,     1,     1,     3,     5,
       2,     1,     3,     7,     1,     0,     3,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     1,     2,
       4,     4,     4,     2,     3,     1,     3,     6,     1,     0,
       2,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     2,     0,     1,     3,     1,     0,     1,     2,     4,
       4,     2,     0,     2,     3,     2,     0,     1,     3,     1,
       2,     1,     2,     5,     6,     5,     1,     2,     1,     4,
       3,     4,     5,     4,     5,     4,     5,     2,     4,     1,
       2,     2,     2,     1,     1,     0,     4,     2,     1,     2,
       2,     4,     1,     3,     1,     2,     3,     1,     2,     0,
       2,     4,     0,     1,     0,     1,     3,     3,     2,     3,
       5,     6,     2,     3,     3,     4,     0,     1,     1,     1,
       1,     1,     2,     5,     1,     1,     1,     1,     2,     3,
       3,     0,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     1,     3,     0,     1,     1,     1,     1,     5,
       2,     1,     1,     1,     1,     5,     2,     2,     2,     1,
       3,     3,     2,     1,     0,     3,     0,     5,     2,     5,
       2,     1,     2,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     0,     1,
       4,     1,     3,     3,     5,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     3,
       3,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     6,     7,     3,     4,     4,     6,     2,     3,     4,
       1,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     5,     6,     6,     7,
       3,     4,     1,     1,     2,     4,     1,     1,     1,     2,
       2,     2,     1,     4,     5,     6,     8,     6,     7,     7,
       5,     5,     1,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       4,     4,     6,     5,     5,     5,     4,     6,     4,     4,
       4,     4,     5,     7,     7,     9,     5,     4,     6,     5,
       7,     7,     7,     2,     3,     3,     3,     4,     0,     4,
       1,     3,     3,     1,     1,     1,     2,     2,     0,     2,
       4,     4,     6,     2,     0,     1,     3,     3,     2,     2,
       0,     6,     1,     0,     3,     0,     2,     2,     0,     1,
       4,     2,     2,     2,     2,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     1,     4,     1,     4,     1,
       2,     1,     2,     1,     3,     1,     3,     1,     3,     1,
       3,     3,     3,     2,     1,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     2,     3,
       0,     3,     3,     2,     2,     1,     0,     2,     2,     3,
       2,     1,     1,     3,     5,     1,     2,     4,     2,     0,
       1,     0,     1,     2,     2,     2,     3,     5,     1,     2,
       0,     2,     1,     0,     1,     1,     1,     3,     3,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     2,     5,     2,     3,     6,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1329,  1130,   511,  1214,  1213,  1130,   232,     0,  1216,     0,
    1130,   340,   908,     0,     0,     0,     0,   511,  1130,     0,
    1329,     0,     0,     0,     0,  1342,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,     0,     0,  1349,     0,     0,
       0,     0,  1342,     0,  1218,     0,     0,     0,     0,     2,
       4,    56,    57,    23,    22,    28,    27,    79,    80,    46,
      16,    70,    51,   112,   111,   113,    34,    30,    64,    20,
      21,    31,    35,    53,    36,    52,    19,    50,    74,    54,
      77,    41,    10,    11,    42,    68,    12,    43,    69,    13,
      44,    14,    58,    81,    26,    55,    78,    37,    66,    62,
       9,    47,    48,    49,    71,    72,    73,    95,    76,   107,
      33,   104,    85,    86,   101,    87,   102,     7,    88,    45,
      15,    98,    97,    99,    65,    38,    67,    96,   100,    17,
      18,   103,    75,    93,    90,   108,   106,   114,    91,    59,
       5,     6,    82,    40,     8,    25,    24,    39,    32,   110,
      29,  1216,    84,    94,    83,    60,    89,    63,    92,   109,
      61,   105,  1316,  1303,  1351,  1315,  1328,     0,  1318,  1129,
    1128,  1114,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   510,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1140,  1848,
    1859,  1860,  1861,  1862,  1863,  1864,  1865,  1866,   315,  1867,
    1868,  1869,  1870,  1871,  1872,  1873,  1874,  1875,  1876,  2109,
    2110,  2111,  2112,  1877,  1878,  1879,  1880,  1881,  1882,  1883,
    2113,  2114,  1884,  1885,  1886,  1887,  1888,  2115,  1889,  1890,
    1891,  1892,  1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,
    1901,  1902,  1903,  1904,  1905,  1906,  1907,  1908,  2116,  2117,
    1909,  1910,  1911,  1912,  1913,  1914,  1915,  1916,  1917,  1918,
    1919,  1920,  1921,  1922,  1923,  1924,  1925,  1926,  1927,  1928,
    1929,  1930,  1931,  1932,  2118,  1933,  1934,  1935,  2119,  1936,
    1937,  2120,  1938,  1939,  1940,  1941,  1942,  1943,  1944,  2121,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
    1955,  1956,  1957,  1958,  1959,  1960,  2122,  1961,  1962,  1963,
    1964,  2123,  2124,  2125,  1965,  1966,  1967,  1968,  1969,  1970,
    1971,  1972,  1973,  1974,  2126,  1975,  1976,  1977,  1978,  1979,
    1980,  1981,  1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,
    1990,  2127,  2128,  1991,  1992,  2129,  1993,  1994,  1995,  2130,
    1996,  2131,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2132,
    2133,  2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,  2134,
    2012,  2135,  2015,  2013,  2014,  2016,  2017,  2018,  2019,  2020,
    2021,  2022,  2136,  2023,  2024,  2025,  2026,  2027,  2028,  2029,
    2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,
    2040,  2137,  2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,
    2049,  2050,  2051,  2052,  2053,  2054,  2138,  2055,  2056,  2057,
    2139,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,
    2067,  2068,  2140,  2069,  2070,  2071,  2072,  2073,  2074,  2075,
    2076,  2141,  2142,  2077,  2143,  2078,  2144,  2079,  2080,  2081,
    2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,
    2092,  2093,  2094,  2095,  2145,  2146,  2096,  2097,  2098,  2099,
    2100,  2101,  2102,  2103,  2104,  2105,  2147,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2106,  2107,  2108,   314,  1294,
    1821,  1849,  1850,  1215,  1196,   511,     0,  1117,   339,     0,
       0,     0,     0,     0,     0,     0,     0,   691,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   158,     0,     0,
     363,   362,     0,     0,     0,   880,   368,     0,     0,     0,
       0,   499,  1256,  2013,  1254,  1295,   233,   236,   234,   235,
    1843,     0,   980,   981,   983,     0,     0,   993,   724,   725,
       0,   723,   727,     0,     0,     0,   720,     0,     0,     0,
       0,   726,   718,     0,   717,     0,     0,     0,   722,     0,
     719,     0,     0,  1118,  1253,   369,  1329,     0,  1232,  1216,
    1223,  1233,  1228,  1230,  1229,  1231,  1227,  1842,  1860,   819,
     819,   819,   819,   816,   817,   819,   819,   819,  2028,     0,
       0,   798,     0,   800,  1845,   819,   824,   424,   424,   424,
       0,   823,   828,   424,  1111,  1147,  1826,  1341,     0,   799,
    1110,  2077,  1245,     0,     0,   997,     0,   998,     0,  2043,
    1122,   217,  2053,  2141,  2077,   213,   187,  1864,     0,     0,
     823,     0,  1119,  1120,   784,  1348,  1346,     0,  1882,  1895,
    1978,   210,  2039,  2044,  2053,  2141,  2077,  2105,   167,   172,
       0,   226,  2053,  2141,  2077,   222,  1140,     0,  1319,  1428,
    1817,     0,  1113,  1112,  1217,     0,  1220,     0,  1393,  2025,
    1323,  1325,  1222,  1316,     0,     0,     1,  1329,  1211,  1345,
    1345,     0,  1345,     0,  1308,  1316,  1311,  1315,     0,     0,
       0,     0,  1848,  2156,  2157,  2158,  2159,  2160,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,
    2173,  2174,  2175,  2176,  2177,  2178,     0,     0,  1827,  1849,
    1853,     0,   734,     0,   118,  1822,   868,     0,     0,     0,
    1821,     0,     0,     0,     0,     0,  1844,  1950,     0,     0,
    1722,  1886,  1936,  1732,  1730,  1731,  1724,  1725,  1726,  1727,
    1728,  1729,     0,   978,  1723,     0,   118,     0,  1950,     0,
       0,  1950,     0,     0,     0,     0,     0,  1981,   118,  1950,
       0,     0,  1134,     0,     0,     0,  1136,  1139,  1115,  1199,
       0,  1817,     0,     0,   768,   759,     0,   769,   760,   765,
     771,     0,     0,   762,     0,     0,   772,     0,   761,   763,
     774,   764,   770,     0,     0,   766,   767,     0,     0,  1126,
     424,     0,     0,     0,     0,     0,     0,   118,  1186,  1950,
     118,     0,     0,   367,   366,   118,   365,   364,  1886,  1936,
       0,   907,   118,     0,   160,   579,   514,     0,     0,   650,
    1981,   118,     0,     0,     0,     0,   883,     0,     0,   498,
     511,  1257,  1255,     0,   984,   212,   211,   982,  1950,     0,
     293,     0,     0,  1950,  1175,     0,   721,  1950,     0,  1950,
     153,  1819,     0,  1886,  1936,  1950,     0,     0,  1950,   145,
    1950,     0,  1950,   293,  1950,   515,     0,  1950,     0,  1950,
    1981,   147,     0,  1950,   293,   732,     0,  1250,     0,  1225,
    2145,  1239,  1238,     0,  1234,  1242,  1237,  1329,   819,   818,
       0,   819,     0,   819,     0,   819,     0,   819,     0,     0,
       0,   819,  1846,  1847,   801,     0,   825,     0,     0,   832,
     831,   830,     0,     0,     0,   833,  1432,  1272,     0,  1108,
    1125,     0,     0,     0,  1000,  1000,  1000,  1121,   216,   214,
       0,     0,     0,     0,     0,     0,  1127,     0,     0,     0,
       0,  1830,  1832,  1833,  1733,  1800,     0,  2110,  2111,  2112,
    1791,     0,  2113,  2114,  2115,  2158,  1645,  1632,  1641,  1646,
    1633,  1635,  1642,  2116,  2117,  1921,  2118,  2119,  1840,  2120,
    2121,  2123,  2124,  2125,  2126,  1637,  1639,  2127,  2128,     0,
    1841,  2130,  2131,  2001,  2133,  2134,  2136,  2137,  1643,  2139,
    2140,  2141,  2142,  2143,  2144,  1839,     0,  1644,  2146,  2148,
    2149,  2150,  2151,  2152,  2153,  2154,  2155,     0,     0,  1814,
       0,  1618,     0,  1464,  1465,  1487,  1488,  1466,  1493,  1494,
    1506,  1467,     0,  1813,  1531,  1617,  1622,     0,  1616,  1612,
    1331,  1809,     0,  1613,  1829,  1831,  1792,   179,   228,     0,
     229,  1815,  2053,   168,   209,   181,   208,   182,   180,     0,
    1884,   169,     0,     0,   170,     0,     0,     0,     0,   225,
     223,     0,  1116,     0,  1430,  1429,     0,     0,  1798,  1818,
     741,  1209,  1210,  1208,     0,  1205,  1207,  1219,  1216,  1805,
    1804,  1806,     0,  1324,     0,     0,     0,  1306,  1305,     3,
    1222,  1343,  1344,     0,     0,     0,     0,     0,     0,     0,
       0,  1386,  1359,  1360,  1362,  1383,  1387,     0,  1312,     0,
       0,  1434,     0,  1394,     0,     0,  1828,     0,     0,     0,
       0,   735,     0,     0,     0,     0,     0,     0,   117,  1173,
     219,  1171,     0,     0,     0,     0,     0,     0,     0,  1178,
       0,   151,   152,   526,   511,     0,  1950,     0,     0,     0,
       0,   940,   947,     0,     0,     0,     0,     0,     0,     0,
     941,   939,   942,   221,   951,   964,   967,     0,   858,     0,
       0,     0,     0,  1043,     0,     0,  1043,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   245,
     288,   491,     0,     0,   493,     0,     0,     0,     0,     0,
       0,     0,   122,     0,     0,     0,     0,     0,   478,   490,
       0,     0,     0,     0,     0,   487,     0,   118,   241,   471,
     475,     0,     0,     0,   588,   587,     0,  1043,     0,   237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   307,   308,     0,     0,     0,
     122,   144,     0,     0,     0,   243,     0,     0,  1135,  1132,
    1133,     0,  1138,     0,  1195,     0,     0,     0,     0,     0,
     773,     0,     0,  1886,  1936,     0,     0,     0,     0,     0,
       0,   342,   321,   322,   118,   320,     0,     0,   647,     0,
    1851,  1475,  1504,  1482,  1504,  1504,  1471,  1471,  1484,  1472,
    1473,  1511,     0,  1504,  1471,  1476,     0,  1474,  1514,  1514,
    1499,     0,  1456,  1457,  1458,  1459,  1485,  1486,  1460,  1491,
    1492,  1461,  1528,  1471,  1852,     0,     0,   658,     0,  1150,
    1185,     0,     0,   520,     0,  1950,     0,   120,   692,     0,
     648,     0,   120,     0,   156,     0,   583,     0,     0,     0,
       0,     0,     0,   608,   607,     0,     0,     0,   649,     0,
     120,   474,  1950,     0,   424,   424,     0,   882,   885,     0,
       0,     0,  1298,  1300,  1299,     0,  1297,     0,   293,   291,
     292,   645,   992,     0,     0,     0,     0,   293,     0,     0,
    1950,   293,  1950,     0,  1950,     0,     0,   293,   293,     0,
       0,     0,     0,   584,     0,   731,   729,   728,   730,     0,
       0,     0,     0,     0,  1950,   293,     0,     0,   714,  1743,
       0,     0,  1329,     0,   198,   199,   197,  1240,   200,  1241,
    1236,  1224,     0,   809,     0,   813,     0,   804,     0,   810,
       0,   805,   802,   803,     0,   808,     0,     0,   425,   427,
       0,     0,  1906,  1920,     0,  1941,  1969,  1970,  2044,  2049,
       0,  2072,  2081,     0,   834,   863,   829,     0,     0,  1282,
    1109,  1749,     0,  1329,     0,   999,   996,   995,   994,   215,
     188,     0,     0,     0,   865,  2043,  1124,   783,   511,     0,
    1614,     0,  1620,  1621,  1503,  1490,  1790,     0,     0,  1498,
    1497,     0,     0,     0,     0,     0,  1480,  1479,  1478,  1619,
    1757,     0,  1477,     0,     0,     0,     0,  1504,  1504,  1502,
    1551,     0,  1481,     0,     0,  1770,     0,  1776,     0,     0,
       0,  1510,     0,  1508,     0,     0,  1587,     0,     0,     0,
       0,     0,     0,     0,     0,  1535,  1536,  1618,  1743,     0,
    1836,     0,     0,  1496,     0,  1528,  1812,  1733,     0,     0,
       0,     0,  1803,     0,  1741,     0,     0,  1565,  1739,     0,
    1567,     0,     0,     0,  1732,  1730,  1731,  1724,  1725,  1726,
    1727,  1728,  1729,  1737,  1548,     0,     0,  1547,     0,     0,
    1396,     0,  1834,  1793,   230,   231,   227,     0,     0,   184,
     183,     0,   202,   206,   207,   178,   205,     0,   201,   186,
    1685,  1684,   185,   177,   175,   173,   189,   191,   192,   176,
     174,   224,     0,     0,  1854,  2179,  2180,  2181,  2182,  2183,
    2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,  2192,  2193,
    2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,  2203,
    2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,  2213,
    2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,  2223,
    2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,
    2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,
    2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,  2253,
    2254,  1795,  1794,  1824,  1855,  1856,  1857,  1858,  1799,     0,
       0,   293,  1203,     0,  1200,  1808,     0,  1326,     0,     0,
    1212,  1322,  1321,  1352,  1353,   900,  1320,  1377,  1378,  1373,
       0,  1392,  1392,  1369,  1363,  1368,  1366,     0,  1370,  1531,
    1385,  1310,  1357,  1358,  1361,  1309,     0,  1388,  1386,  1362,
    1269,     0,     0,  1435,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   736,     0,     0,     0,     0,     0,     0,
    2072,   218,  1169,     0,     0,     0,     0,   867,   866,     0,
       0,   887,     0,     0,     0,  1181,   413,     0,   290,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   524,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   558,     0,  1043,     0,   596,
       0,   949,     0,   948,     0,     0,     0,   950,   945,   946,
    2044,  2053,  2077,   220,   966,     0,   965,   963,   922,   924,
     923,     0,   926,   910,     0,   911,     0,     0,   921,   929,
     927,     0,     0,     0,     0,  1929,   247,   260,     0,  1042,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     280,     0,   283,   282,     0,     0,     0,     0,   287,     0,
       0,     0,   286,     0,     0,   492,     0,     0,     0,     0,
       0,     0,     0,   979,     0,     0,   139,   142,     0,     0,
       0,   477,   489,     0,   481,   482,   479,   483,   484,     0,
       0,     0,     0,     0,     0,   476,     0,     0,   581,   580,
     586,     0,     0,     0,     0,     0,     0,     0,  1035,  1034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   599,   600,     0,   601,     0,   143,
       0,     0,     0,     0,     0,     0,     0,   196,  1131,  1137,
    1198,  1825,  1197,     0,     0,     0,   775,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   326,  1851,     0,   673,   646,     0,  1456,
       0,  1452,  1448,  1517,  1518,  1519,  1516,  1529,  1515,     0,
    1462,  1520,  1471,  1468,   659,     0,   661,   664,     0,  1148,
     386,     0,   517,   558,     0,     0,     0,   149,     0,     0,
       0,   116,   160,   369,     0,   159,   161,   163,   164,   165,
     162,   166,   578,   582,     0,   513,     0,     0,     0,     0,
       0,   609,   613,   612,   616,   614,     0,   610,     0,     0,
    1444,     0,   138,   470,   473,     0,     0,     0,   371,   455,
     300,     0,     0,   884,     0,     0,     0,     0,     0,     0,
       0,  1296,     0,   970,     0,  1176,  1950,   293,     0,   968,
     154,  1820,     0,   715,     0,     0,     0,     0,     0,   972,
     711,   146,     0,   293,   293,   516,     0,   293,   148,     0,
       0,     0,   508,   293,   733,  1252,     0,   424,  1226,  1235,
     806,   815,   814,   812,   811,   807,     0,   826,     0,   423,
       0,     0,     0,   840,   841,     0,     0,   839,   856,   842,
       0,   844,   836,   835,   845,   846,     0,     0,   865,     0,
    1279,     0,  1277,     0,  1433,  1281,  1270,  1244,     0,  1243,
    1247,  1249,  1248,  1246,     0,     0,     0,   823,     0,     0,
     293,  1123,     0,   785,   786,   791,     0,     0,     0,   792,
     788,   789,   790,   793,   794,   795,     0,     0,     0,  1801,
    1753,     0,  1754,     0,     0,     0,  1789,  1785,     0,     0,
       0,     0,     0,     0,  1758,  1761,  1762,  1763,  1760,  1764,
    1759,     0,     0,  1765,     0,     0,     0,     0,     0,  1501,
    1500,     0,     0,     0,     0,     0,     0,     0,  1590,  1622,
       0,     0,  1717,     0,  1743,  1775,     0,     0,  1512,     0,
       0,     0,     0,     0,     0,     0,  1743,  1781,     0,     0,
       0,     0,  1683,     0,  1680,     0,     0,     0,     0,  1800,
       0,     0,     0,     0,  1837,  1532,  1549,  1811,     0,  1802,
       0,     0,  1533,  1556,     0,  1782,  1583,     0,  1588,  1571,
       0,  1564,     0,  1569,  1573,  1552,  1803,  1742,     0,  1740,
       0,     0,  1550,     0,  1545,  1543,  1544,  1537,  1538,  1539,
    1540,  1541,  1542,  1546,  1721,  1719,  1720,     0,     0,     0,
    1568,  1943,  1978,     0,  1342,  1342,  1342,  1330,  1340,  1810,
       0,  1439,     0,     0,     0,     0,  1700,     0,  1747,     0,
    1745,  1827,  1816,     0,     0,  1528,     0,  1431,  1796,     0,
     739,   740,   738,  1222,  1206,  1202,  1201,  1807,  1221,  1329,
       0,   898,   899,     0,   903,     0,     0,  1371,  1384,     0,
    1282,  1282,     0,  1375,  1376,  1367,  1314,  1313,     0,  1442,
       0,     0,  1266,  1259,  1436,     0,  1396,  1284,  1286,  1287,
       0,  1800,   671,   670,     0,     0,     0,  1069,  1002,  1047,
     737,  1070,  1003,  1048,  1071,  1004,  1170,     0,  1172,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   634,  1950,   293,  1179,  1072,     0,  1005,
     289,  1180,  1049,  1184,  1050,     0,   525,     0,     0,   530,
     531,   532,     0,     0,   533,  1886,  1936,     0,   538,   544,
     548,   539,     0,   549,   545,     0,     0,     0,     0,     0,
       0,   555,   562,     0,     0,     0,     0,     0,     0,   943,
     944,  1073,  1008,     0,  1051,   925,  1471,   909,     0,     0,
     920,     0,   919,  1471,  1471,  1009,   150,     0,   240,   248,
     564,  1045,   266,   279,   274,   275,   273,  1950,   293,  1950,
     293,     0,     0,     0,     0,   276,   271,   272,   268,   281,
    1863,  1922,  2054,     0,   568,   570,     0,   575,   284,  1021,
       0,   301,   304,   285,   264,   267,   265,   261,   246,     0,
       0,  1823,     0,     0,   974,     0,     0,     0,   141,  1031,
     131,     0,     0,   127,     0,     0,     0,     0,   121,  1079,
    1013,     0,     0,   242,   472,   480,   485,  1017,   488,  1061,
     486,  1085,  1014,  1043,     0,   238,     0,  1015,     0,  1055,
    1081,  1033,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1187,     0,     0,     0,     0,     0,   293,     0,   680,
    1045,  1950,   293,  1080,     0,  1040,  1067,     0,   309,     0,
    1032,     0,     0,   244,  1019,  1063,     0,     0,   194,   193,
     195,     0,     0,     0,     0,     0,     0,     0,     0,   777,
     748,   776,     0,     0,     0,     0,     0,     0,     0,   742,
     341,   318,   319,     0,     0,   317,   323,     0,   672,     0,
       0,  1453,  1449,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1469,   660,     0,     0,     0,     0,  1168,  1168,
    1168,  1168,  1168,  1168,  1168,  1149,  1177,   118,     0,     0,
       0,   519,   557,   564,     0,   592,   595,     0,   593,     0,
       0,     0,     0,     0,   132,   119,     0,   700,   424,   155,
       0,     0,     0,   512,   657,   655,   654,   656,     0,     0,
       0,   677,   653,     0,  1443,  1445,     0,     0,     0,   469,
     373,     0,     0,   370,   374,   378,   379,   380,   427,     0,
       0,   459,     0,     0,     0,     0,   914,     0,   932,   915,
       0,     0,     0,   954,   959,   955,   935,     0,   496,  1301,
    1302,     0,   293,     0,     0,   559,   293,   293,     0,   293,
       0,   293,   293,     0,  1106,   585,     0,   642,     0,     0,
     293,   713,  1744,   827,   426,     0,     0,     0,     0,   838,
       0,   494,   843,     0,   855,   850,   852,     0,   859,  1280,
    1273,  1275,  1274,     0,     0,  1271,  1750,   712,     0,     0,
     293,     0,   860,     0,   787,     0,     0,     0,     0,  1347,
    1751,  1752,     0,     0,     0,     0,  1786,     0,     0,  1658,
       0,  1634,  1636,  1470,  1648,     0,  1483,  1659,  1660,  1638,
    1640,     0,  1734,     0,     0,  1649,  1592,  1593,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1605,  1604,  1650,  1716,     0,     0,  1773,  1774,  1651,
    1513,  1514,  1514,     0,     0,  1780,     0,     0,     0,  1656,
    1661,     0,     0,     0,     0,  1667,     0,  1688,     0,     0,
       0,  1615,  1744,  1505,  1506,     0,     0,     0,     0,     0,
       0,     0,     0,  1589,  1572,  1566,     0,  1570,  1574,     0,
       0,     0,     0,  1558,  1584,  1554,     0,     0,  1560,     0,
    1585,  1342,  1342,  1342,  1342,  1339,     0,     0,     0,     0,
    1406,  1395,  1397,  1408,  1399,  1401,  1437,     0,  1817,     0,
    1380,  1351,  1351,     0,  1700,     0,  1623,     0,  1700,     0,
       0,   171,     0,   203,   190,     0,  1204,     0,  1354,     0,
    1735,   903,   901,   902,  1356,     0,     0,  1391,  1390,  1389,
    1364,  1268,     0,  1266,  1261,     0,  1262,  1800,     0,  1258,
    1291,     0,     0,  1442,     0,  1290,  1068,  1001,  1046,  1168,
     870,   871,     0,   869,     0,     0,     0,   412,   886,     0,
       0,     0,   634,     0,     0,   416,     0,  1182,     0,   527,
     528,     0,     0,   546,     0,     0,   535,     0,     0,     0,
       0,   534,   551,   500,   552,   554,     0,     0,   553,   556,
     561,  1043,     0,   597,  1023,     0,  1065,   937,     0,  1471,
     912,   917,   918,     0,     0,     0,   386,     0,     0,     0,
     249,   259,     0,     0,   263,     0,   257,   277,   269,   278,
     270,   572,   573,   571,   567,     0,   574,   576,   298,     0,
       0,     0,  1075,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1076,  1052,     0,     0,   124,   123,
       0,   130,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   310,   295,     0,     0,     0,     0,
       0,   312,     0,     0,     0,     0,  1074,  1010,   743,     0,
       0,   744,   752,     0,     0,   745,     0,     0,     0,     0,
       0,     0,   754,   344,     0,   347,   354,   327,   331,  1186,
       0,  1186,     0,   332,  1186,   328,  1186,   325,  2001,  1724,
    1725,   668,   675,   665,   667,   669,   666,     0,   674,   634,
       0,     0,     0,  1454,     0,  1522,  1523,  1524,  1525,  1526,
    1527,     0,  1521,  1528,   662,   663,     0,  1168,  1167,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     398,     0,     0,   392,     0,     0,   959,   385,   388,   389,
     520,   523,   521,   522,   550,     0,   591,     0,   564,   134,
       0,     0,   135,   133,     0,   300,   369,     0,     0,   615,
     618,   611,     0,   676,   678,   651,     0,   564,     0,  1253,
       0,   465,     0,   455,   405,   451,     0,   453,   452,   454,
       0,   461,   299,     0,     0,   887,   913,     0,     0,     0,
     952,   956,   953,     0,     0,   928,     0,   936,   906,  1101,
    1102,  1099,  1100,     0,     0,  1293,   971,     0,   293,   969,
     716,     0,   707,     0,   709,   973,   293,   293,   602,     0,
     509,     0,     0,     0,   837,   857,     0,   853,     0,     0,
     820,   862,  1278,  1276,   865,     0,   821,   864,     0,     0,
       0,     0,     0,  1755,  1489,     0,  1788,  1784,     0,  1631,
    1756,     0,  1768,  1767,  1591,  1769,     0,  1610,     0,     0,
    1602,  1600,  1601,  1594,  1595,  1596,  1597,  1598,  1599,  1603,
    1778,  1777,  1771,  1772,  1509,  1507,     0,  1653,  1654,  1655,
    1779,  1662,     0,  1877,  1689,  1666,  1682,  1681,     0,     0,
       0,  1669,     0,     0,  1678,     0,  1718,  1495,  1528,  1534,
       0,     0,  1557,  1783,  1575,     0,     0,     0,  1553,     0,
       0,     0,     0,  1562,  1734,     0,     0,     0,     0,     0,
       0,  1333,  1332,  1338,  1316,     0,  1408,     0,  1407,  1419,
       0,     0,  1425,  1423,     0,  1425,     0,  1425,     0,  1400,
       0,  1402,  1419,     0,  1818,  1438,     0,  1382,     0,     0,
    1350,     0,  1700,  1630,  1703,  1698,  1699,  1748,  1624,  1835,
       0,  1746,  1700,     0,  1797,  1327,     0,  1355,  1372,  1365,
    1902,  1440,  1267,     0,     0,  1264,  1265,     0,     0,  1285,
    1266,  1288,     0,   876,   877,   875,   878,     0,     0,     0,
     634,     0,     0,   432,     0,   894,   894,     0,     0,   418,
     464,   959,   637,     0,     0,     0,   635,   293,  1006,     0,
     547,     0,     0,   543,   541,   540,   542,   501,  1084,  1007,
       0,     0,     0,     0,   938,     0,   930,  1022,     0,   383,
       0,   254,  1044,     0,     0,     0,   253,     0,   293,   293,
     569,   302,   303,   306,     0,     0,     0,     0,     0,     0,
     701,   684,     0,     0,   702,   703,     0,     0,     0,   976,
     977,   975,   128,   125,   126,   129,  1018,  1062,  1016,     0,
    1056,  1027,  1025,     0,     0,     0,     0,     0,  1083,  1039,
    1060,  1082,  1037,  1058,  1036,  1057,  1038,  1059,  1030,     0,
    1447,   682,   681,     0,   293,   293,   604,  1020,  1064,     0,
     746,     0,     0,   747,   758,   756,   755,   757,   749,   345,
     118,     0,   324,     0,   352,     0,   350,   349,   351,     0,
     338,     0,     0,     0,     0,     0,   644,     0,     0,     0,
    1450,  1455,  1530,  1463,   633,     0,  1159,  1158,  1157,  1161,
    1160,  1163,  1162,  1154,  1153,  1166,  1165,  1152,  1151,  1156,
    1155,     0,   390,     0,   396,   400,   401,   399,   391,   959,
     424,   463,   518,     0,   594,   589,   137,   136,     0,     0,
       0,     0,   620,   624,   652,     0,  1446,   598,     0,   371,
     469,   467,     0,     0,   376,   381,   382,     0,   459,   402,
       0,   455,   375,     0,     0,   466,  1146,     0,     0,   916,
     933,   934,     0,     0,   959,   958,     0,   503,   293,   560,
     293,   293,  1107,   643,     0,   849,   848,   847,   495,     0,
     851,   293,     0,     0,     0,     0,     0,   797,   778,   796,
    1787,  1647,  1657,  1766,     0,     0,  1611,     0,     0,  1652,
    2147,     0,     0,     0,     0,  1686,  1687,  1668,     0,  1992,
    1673,     0,     0,     0,  1838,  1581,  1579,  1576,     0,  1577,
       0,     0,  1559,  1555,     0,  1561,  1586,  1337,  1336,  1335,
    1334,  1410,  1417,     0,  1398,     0,  1424,  1420,     0,  1421,
       0,     0,  1422,     0,     0,  1417,     0,     0,     0,     0,
    1694,  1700,  1700,  1625,  1705,  1702,     0,  1627,  1528,     0,
       0,  1260,  1263,     0,  1292,  1283,  1174,     0,     0,     0,
     414,     0,   959,     0,     0,     0,   897,   897,     0,   959,
     463,   639,   638,   641,   636,   640,  1183,     0,   536,   537,
    1024,     0,  1066,  1028,   931,     0,   565,   250,   251,   252,
     255,   295,   262,   256,     0,  1077,  1011,  1053,     0,     0,
     690,     0,     0,     0,     0,  1078,  1012,  1054,     0,     0,
       0,     0,  1192,     0,   294,   295,   311,  1041,     0,   750,
     751,   326,     0,   348,   357,     0,   355,   329,   334,     0,
     336,   335,   330,   333,  1451,     0,   990,   990,     0,   634,
    1164,     0,     0,   387,   463,   431,     0,   393,     0,     0,
       0,   371,   564,   619,     0,     0,     0,   679,   373,     0,
    1251,   468,   372,     0,     0,   461,     0,     0,     0,   459,
       0,   456,     0,   460,     0,  1141,     0,     0,   957,     0,
     961,     0,   927,   904,  1439,     0,   507,   991,   708,   710,
     603,   854,   861,   293,   779,   780,   781,   782,  1606,     0,
       0,     0,     0,  1663,     0,  1664,  1691,  1690,  1670,  1674,
       0,  1671,  1672,  1578,  1582,  1580,  1563,  1409,     0,     0,
    1411,     0,     0,  1413,  1415,     0,     0,     0,     0,     0,
    1821,  1700,  1379,  1381,     0,  1317,  1628,  1629,     0,  1351,
    1700,   204,  1736,  1441,  1289,   855,     0,   293,   894,   463,
     433,  2001,   434,   893,     0,   895,   900,   900,     0,   463,
     634,   529,     0,   563,     0,   297,   305,     0,     0,   697,
     685,     0,     0,   704,  1026,     0,     0,     0,     0,     0,
     293,   753,   316,   343,   353,     0,   337,   990,     0,   987,
     986,   632,     0,   422,   394,     0,   442,     0,   564,   694,
    1146,   577,   621,   622,   617,     0,     0,   455,   451,   377,
     386,   360,   411,   410,   407,   406,   408,   409,   404,   403,
       0,   461,   457,   458,     0,     0,     0,  1194,     0,   888,
     960,     0,     0,     0,   502,     0,     0,   506,   497,   822,
    1607,     0,  1608,     0,     0,     0,  1676,  1675,     0,  1418,
    1427,     0,  1414,  1412,  1403,     0,  1405,  1693,  1695,     0,
       0,  1708,  1626,   872,     0,   873,   897,   437,     0,   896,
     903,   903,   424,   634,   415,  1029,   566,     0,   258,     0,
     688,     0,   699,   697,     0,     0,  1188,     0,  1189,  1190,
    1193,   313,   356,   985,   989,   988,     0,     0,   395,   428,
     429,   430,     0,   397,   438,   439,     0,   590,     0,     0,
    1142,     0,     0,   459,   455,   384,   450,   358,     0,  1143,
       0,   300,     0,   959,   962,  1105,   505,   504,  1609,  1679,
    1665,  1692,  1677,  1416,     0,  1404,     0,     0,  1704,     0,
       0,     0,     0,   900,     0,   634,     0,   891,   890,   431,
     417,   296,     0,     0,   695,   698,   686,   699,   706,   705,
       0,     0,   421,     0,     0,     0,   440,     0,   441,   462,
     693,     0,   623,     0,   461,   459,  1144,  1145,   461,   889,
     905,  1104,  1103,  1329,  1426,  1696,  1697,  2109,  1902,  2083,
       0,  1706,  1709,  1707,  1701,   293,   903,     0,   419,   435,
     442,     0,     0,   687,  1191,   624,   447,     0,   446,     0,
     444,   443,   683,   627,   361,   461,  1439,  1087,  1329,  1086,
    1088,  1096,  1093,  1095,  1094,  1092,     0,  1713,  1712,  1711,
    1715,  1714,   874,   892,     0,   634,   689,   696,     0,   445,
     449,   448,   629,     0,   625,   628,   630,   631,   359,   879,
       0,  1097,  1091,  1316,  1303,     0,   436,   420,     0,   605,
       0,  1089,  1329,  1710,     0,   626,  1090,     0,   627,     0,
     606
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    48,    49,    50,    51,  1169,  2057,  1936,  2704,  2705,
      52,    53,  1243,    54,    55,    56,    57,    58,    59,    60,
    1184,    61,    62,   853,  1384,  2065,    63,  1811,   669,   670,
    1655,  1656,  1998,  1657,  1645,  1085,  1468,  1203,  1171,  1204,
      65,    66,  1079,  1636,    67,    68,    69,  1228,  1229,  1179,
    1421,  3560,  4098,  1922,  2743,  2540,  2541,    70,  1285,  1286,
      71,    72,  2653,  1324,  2655,  2656,  3157,   509,  2022,  3580,
    3581,  3144,  3145,  3587,  3845,  3846,    73,  1381,  2732,  3243,
    2733,  3653,  2734,  3654,  2735,  3655,  2686,  3207,  3208,  3209,
    2736,  3659,  4038,  2737,  1826,  4118,  2099,  1490,  1488,  4016,
    3462,  3463,  4165,  4123,  4124,  4125,  4230,  3661,  2741,  3251,
    3665,  3867,  2443,   588,  1403,  3241,    75,    76,  2093,  1259,
    1260,  1943,  3161,  2792,    77,   870,  3022,  3906,  4057,  4058,
      78,   197,    79,  1388,    80,    81,  2052,  2691,    82,  1838,
    2456,    83,    84,  2481,  2482,  2483,    85,    86,  3046,  3805,
    1230,  2533,  2534,  2535,  2536,  3066,    87,  1386,  1265,  2074,
      88,    89,    90,  2056,  2697,  2698,    91,    92,  1986,    93,
      94,    95,  1396,  2086,  2087,  3643,  3874,  4024,  3876,  4263,
    4264,  3859,  3005,  3476,    96,    97,    98,    99,  1367,  2045,
    2046,  3162,  1155,  1328,  2025,  2026,  3232,  3233,   100,   101,
    3520,  3521,   539,  4129,  4102,  4176,   102,   103,  3524,  3525,
     104,   105,   106,   107,   108,   582,   914,   915,  1161,   109,
    1751,   110,   828,  2640,   111,   979,  2217,  3698,   112,   611,
     929,   930,   113,   114,   620,  2197,   622,  1503,  2794,  2795,
    3300,  2167,   753,   115,   116,  2178,  2200,   117,  1172,  1817,
    1818,  3457,   118,   540,  1408,  2102,  2438,  4048,  3464,  3786,
    3976,  2384,  2964,   119,   541,  1208,  1884,  2105,  2747,  2748,
    1886,  2357,  3264,  1888,  2749,  2754,  2755,  2756,  3260,  3268,
    3900,  3901,   120,  1206,  1877,   121,   122,   123,  1238,   772,
     124,   552,   553,   125,  4009,   126,   882,   127,   638,  1516,
     128,  1900,  3052,   129,   130,   131,  4239,  4270,  4271,  4272,
    3273,  4203,   132,  4241,   959,   134,   135,   136,   171,   796,
     797,   798,   137,  3895,   138,   139,  2049,  2685,  3189,   140,
     141,  1812,  2428,   142,   143,   144,  1371,   145,   146,   147,
     148,  1304,   149,  1114,  1115,   150,   151,   504,   686,  1118,
    1126,   152,   590,   923,   924,   925,  1470,   153,   962,  2189,
     591,   917,   155,   592,  2402,  2975,  2976,  2979,   593,  2399,
     158,  1509,  2183,  2186,   594,  2406,  2407,  2408,  2409,  2410,
    2981,   595,   613,   873,  2110,   596,  1051,   163,   164,   165,
     695,   690,   691,   167,  1630,  2347,   628,  1133,   657,   703,
    3420,  1763,  1764,  1784,  1785,  1142,  1143,  1774,  1776,  2386,
    1777,  2395,  1769,  3417,  3760,  1780,  1781,  1145,  1146,  2390,
     168,  2351,  2931,  2932,  2933,  3398,  3408,  3747,  3943,  2934,
     957,  1152,  2935,  2940,  2973,  2723,  2724,  2725,  1889,  2032,
    1352,  1052,  1353,  2043,  1053,  1552,  1355,  1054,  1055,  1056,
    1358,  1057,  1058,  1059,  1060,  1535,  1593,  1061,  1062,  1571,
    2040,  2041,  1459,  2257,  1064,  1065,  3364,  3722,  3711,  2283,
    2284,  1652,  3360,  2883,  3955,  4077,  4078,  3428,  3425,  3764,
    3959,  4161,  4211,  4212,  1066,  2337,  1623,   774,  1067,  3164,
    1625,  2277,  2359,  2360,  1796,  1533,  2223,  2241,  2242,  2254,
    2844,  2261,  2266,  2867,  2868,  2278,  2306,  1068,  2226,  2227,
    2827,  1537,  1069,  1108,  1109,  1530,  2301,  1121,  1122,   688,
    1070,  1071,  1504,   679,  3939,   891,   744,  2550,  1742,   800,
     625,  1072,  1073,  1074,  1075,  2796,  1234,   500,   738,  2537,
     501,   502,   740,  1747
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3886
static const int yypact[] =
{
    6786,   938,  7718, -3886, -3886,   938, -3886, 46135,   -25,   575,
     993,   136, 12006, 46542, 54275,   166,   243,  3646,   938, 54275,
    1856, 37181, 42065, 54275,   930,   729, 37181, 54275, 54682,   854,
     802, 55089, 46949, 40844,  1048, 54275,   965,   283, 55496, 47356,
     943, 47763,   729, 34352,   107,   936, 55903,  1500,  1366,  1059,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886,   -25, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886,   339, -3886,   709,   366,  1182,   659,  1126, -3886,
   -3886, -3886, 38809, 54275, 54275, 54275,  1296, 54275, 54275,   145,
   38809, 54275, 56310,  1383, 31016, -3886, 54275, 54275, 56717, 54275,
   48170, 54275,  1343, 54275, 54275, 57124, 57531,  1469,  1098, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, 54275,  7096,   930, -3886, -3886, 54275,
    1349, 38809, 54275,  1312, 54275,  1391, 54275, -3886, 54275, 57938,
     223,  1363, 54275,  1454, 31436,  1452, 54275, 54275, 54275, 54275,
   -3886, -3886,  1467, 54275, 54275, -3886, -3886, 58345,  1050,  1681,
    1670,   733, -3886, 48577, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, 48984,   243, -3886, -3886, 39216, 54275,  1772, -3886, -3886,
   58752, -3886, -3886,   235, 39623, 59159,  1872, 31856,  1939, 59566,
   59973, -3886, -3886, 60380, -3886, 60787,  1688, 61194, -3886, 61601,
   -3886,  1809, 62008, -3886,  1584,  1174,   749, 28118, -3886,   -25,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,   388,   996,
     186,   182,   192, -3886, -3886,   185,   215,   218,   388,  2006,
    2006, -3886, 54275, -3886, -3886,   996,    17,  1607,  1607,  1607,
    1791,   -34, -3886,  1607, -3886, -3886, -3886, -3886, 47763, -3886,
    1611,   930,  1619,  2013, 54275, -3886, 54275, -3886, 54275, 54275,
   -3886, -3886,  2027,  1668,  1897,  1666, -3886,  1850,  1863,  1899,
      66,   930,  1800, -3886,  2011, -3886,  1923, 18884,   930, 49391,
   62415,   359, 48984,   930, 49798,  1777,  1177,  1932, -3886, -3886,
     395, -3886,  2161,  1812,  2020,  1666,  1098, 28944, -3886,  1798,
    1390, 47763, -3886, -3886, -3886,   212,  2093, 19308, -3886, 54275,
    1836, -3886,  1855,  1866,  1890,  1182, -3886,  6786, 54275,   298,
     298,  2271,   298,   983,  1477, -3886,  1480, -3886,  2191,  2156,
   47763,   936,   194, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886,  1921,  1390, -3886,   198,
   -3886,  1409,  1934,  1548,  1147, -3886, -3886,   179,  2032,   188,
     828,  1981, 50205,  3255,  1969,   224, -3886,  2263,  4857,   368,
   -3886, 54275, 54275, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886,  1995, -3886, -3886,  1987,    81,   711,  2278,  3188,
    1091,  2290,  4945,  1388,   708,  2187,   826,  2293,  1412,  2301,
    5697, 54275, -3886,  2233,  2336,    56, -3886,   176, -3886,  2069,
    2198,   563, 38809,  2019, -3886, -3886, 54275, -3886, -3886, -3886,
   -3886,   354, 38809, -3886,  2207, 32276, -3886, 54275, -3886, -3886,
   -3886, -3886, -3886,  2140, 54275, -3886, -3886,  2255, 54275, -3886,
    1607,   214,  2028,  2393, 70918,   140, 54275,  2065,  2427,  2227,
    2065,  2076, 62822, -3886, -3886,  2065, -3886, -3886, 54275, 54275,
    2034,  1125,  2065,  2434,  2435,  2113,  2217,   722,   271,   143,
    2332,  2065, 54275, 63229, 54275, 54275,  2406, 38809, 54275, -3886,
    2214, -3886, -3886,  1130, -3886, -3886, -3886, -3886,  2359,  1921,
     640,  2360,  2070,  2364, -3886,  2104, -3886,  2366,  1969,  2371,
    2078, -3886, 63636, 64043, 64450,  2375,  1995, 54275,  2376,  2078,
    2377,  2267,  2380,   640,  2382, -3886,   992,  2383,  2272,  2387,
    1471,  2078, 50612,  2388,   189, -3886, 21004, -3886,  2181, -3886,
     936, -3886, -3886,   -43, -3886, 36774, -3886,   749,   996, -3886,
   54275,   996, 54275,   996, 54275,   996, 54275,   996, 54275, 54275,
   54275,   996, -3886, -3886, -3886, 54275,  2098, 54275, 54275, -3886,
   -3886, -3886, 42879, 54275, 43286, -3886, -3886,    80,   930, -3886,
   -3886, 70918,  2494, 54275,  2384,  2384,  2384, -3886, -3886, -3886,
    2322, 54275,  2386,  2391, 42879, 54275, -3886, 64857, 48984,  2298,
    2119, -3886, -3886, -3886, -3886, -3886,  1440,  2543,   260,  2544,
   21004,  2125,   174,   174,  2126,  2412, -3886, -3886, -3886,   222,
    2133,  2135, -3886,   219,   219,  2295,  2136,  2139, -3886,   238,
    2141,  2561,  2563,   242,  2144,  2145,  2146,  1417,   174, 21004,
   -3886,  2148,   219,  2153,  2155,  2157,  2577,  2162, -3886,  2584,
    2164,   225,   344,  2165,  2166, -3886,  2136, -3886,   159,  2167,
    2169,  2171,  2172,  2173,  2174,  2175,  2176, 21004, 21004, -3886,
   18036, -3886,   930, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
     123, -3886,   244,  4128, -3886, -3886,  2347, 21004, -3886, -3886,
      36, -3886,   248, -3886, -3886, -3886,  1390, -3886, -3886,   252,
    2179, -3886,  1281, -3886, -3886, -3886, -3886, -3886, -3886, 44100,
    2573, -3886,   342,   930,   176,  1103,  2528, 35960, 36367, -3886,
   -3886,  2409, -3886, 54275, -3886, -3886, 21004, 33945, -3886,  1390,
     125, -3886, -3886, -3886,  1333, -3886, -3886, -3886,   -25, -3886,
   10197, -3886,  1404,  1836, 54275, 54275,  2585, -3886, -3886, -3886,
    1855, -3886, -3886,  1182,  1182, 21004,  1182,   195,  1003, 19732,
   21004,  2472,  2379,   184,   187,  2474, -3886,   983,  1477, 47763,
   54275, 65264,  2305, -3886, 35166,  1582,  1390,  2268,  2275,  2321,
   37995,  2202,  2279,  2282,  2329,  2286,  2288, 65671, -3886, -3886,
   -3886, -3886,  1250,   753,   207,  2291,   335,   823,  2566, -3886,
    2340, -3886, -3886, -3886,  3831, 54275,  2511,  5731,  2404,   368,
    2341, -3886, -3886,  2448,  2302,  2304,  2416,   368,  1135, 66078,
   -3886, -3886, -3886, -3886, -3886, -3886,  1806, 16406, -3886,  2309,
    2284, 54275, 40030,  2595,  2421,    43,  1577,   175, 54275,  2496,
    2430, 54275,  2247,  2324,  2325,  2252,  1458,  2607,  2254, -3886,
   -3886, -3886,  1534,  2426, -3886,  2313,  2314, 69719,  1035, 32696,
    2589,  2339, -3886,  1265,  2344,  2345, 54275,   368, -3886,  2645,
     368,   368,  1317,  2650,  2349,   297,  1140,  2065,  2254,  1370,
   -3886,  2350,  2351,   797, -3886,  2449, 47763,   220,  1647,  2254,
    2353,  2354,  2252,  2252, 54275, 54275, 54275, 54275, 54275,   165,
    2670,  2671,  2357,   156,  2403,  2281, -3886, 44507,  2361, 62415,
   -3886, -3886, 54275,  2362,  1782,  2254,  1289,  1407, -3886, -3886,
   -3886,  1098, -3886, 54275, -3886, 54275,  1921, 70918,  2470,  2323,
   -3886,  1969,   368, 54275, 54275,  1995,  1007,  1051,  2471, 54275,
    2529,  2327, -3886, -3886,  2065, -3886, 35563,  2034, -3886,  2296,
   -3886, -3886,  2352, -3886,  2352,  2352,  2297,  2297,  2310, -3886,
   -3886, -3886,  1417,  2352,  2297, -3886, 71710, -3886,  1303,  1327,
   -3886,  2696,  2708, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886,   154,  1449, -3886, 54275, 37995, -3886,  2719, -3886,
   -3886, 70918,  2606, -3886, 54275,  2512,  2317, -3886,  2642,  2389,
   -3886,  2363, -3886, 54275,   247,   930,  2381, 54275,  2551, 54275,
   54275, 54275, 54275, -3886, -3886,  2525,   810,   137, -3886, 44507,
   -3886,  1370,  2538,  2741,   607,  1607,  2628, -3886, 54275,  2355,
    2744,  2579, -3886,  1462, -3886,  2469, -3886, 38809,   640, -3886,
   -3886, -3886, -3886, 70918, 54275, 66485, 38809,   640, 54275, 54275,
    2644,   189,  2646,  2408,  2652,  2410, 32696,   640,   258, 54275,
   54275, 54275, 54275, -3886, 54275, -3886, -3886, -3886, -3886, 54275,
   54275, 54275, 44507,  2654,  2655,   640, 54275, 54275, -3886, 10197,
    1498, 54275,   749, 43693, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, 54275, -3886, 54275, -3886, 54275, -3886, 54275, -3886,
   54275, -3886, -3886, -3886, 54275, -3886, 54275,  1505, -3886, -3886,
    1514,   133, 54275, 54275,   682, 38809, 54275,  2549, 54275, 54275,
   54275, 54275, 54275,  2433,  2179,  1131, -3886,   798, 47763,  2555,
   -3886, -3886,  1519,  1500,   922, -3886, -3886, -3886, -3886, -3886,
   -3886, 43286, 42065,  2648,    73, 54275, -3886, -3886,  2972, 21004,
    1390, 18460, -3886, -3886, -3886,  2378, 10197,  2413, 21004, -3886,
   -3886, 21004,  2385,  2006,  2006, 21004, -3886, -3886, -3886, -3886,
     789,  2006, -3886, 21004, 21004,  2006,  2006,  2352,  2352, -3886,
    3608, 21004, -3886, 32696, 21004, 23548, 15576, 21004,  2442,  2394,
    2006, -3886,  2006, -3886, 21004, 17612, -3886, 21004,  2586, 24390,
   21004,  1103,  2588, 21004,  1103,  2797,  2797,  1282,  4430,  2395,
   -3886,  2497,  2006, -3886,  2006,   164, -3886,   191, 70918, 21004,
   37995,  2463,   152, 54275, 21004,  2392,  1315, -3886, 21004,   833,
   -3886,  2397, 21004,  2465, 21004, 21004, 21004, 21004, 21004, 21004,
   21004, 21004, 21004, -3886, 25216,   237,   578,  1851, 51019, 18884,
    2665, 15151, -3886,   251, -3886, -3886, -3886, 54275,  2573, -3886,
   -3886,  2467, -3886, -3886, -3886, -3886, -3886,   256, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886,  2400, -3886, -3886, -3886, -3886,
    2400, -3886,  2411,  3106, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,  2673,
    2675,   640, 54275,   212, 44914, -3886, 19308, -3886,  1555,  2417,
   -3886,  2653, -3886,  2418, -3886,  7858,  2653, -3886, -3886,   266,
    2599,  2600,  2600, -3886,  2419, 10197, -3886,  1609, 10197,  1662,
   -3886, -3886, -3886, -3886, -3886, -3886,   718, -3886,  2472,   187,
    2476,   672, 54275, -3886, 29357,  2425,  1565,  2501,  2502,  2550,
   54275, 54275, 54275, -3886, 37995, 54275, 54275, 54275, 54275, 54275,
   54275, -3886,  2783,   443, 42065,  2552, 41251, -3886, -3886,  2436,
   54275,  2486,  2666,  2668,   981, -3886, -3886, 66892, -3886,  2627,
   54275, 54275, 54275, 21004,  2629, 54275, 54275, 54275,  2513, 38809,
    2441, 54275, 54275, 54275,   399, 38809, 33116, 54275, 54275, 54275,
   54275,  2559, 54275, 54275,  2672,  1445, 47763,   326,  1786,  2254,
    2633, -3886,  1194, -3886, 54275, 54275,  2634, -3886, -3886, -3886,
   48984,  2835,  2548, -3886, -3886, 67299, -3886, -3886,  2622, -3886,
   -3886, 71710, -3886, -3886,  1578, -3886, 71314, 67706, -3886, -3886,
     327, 54275, 54275,  6181, 54275,  1030, -3886, -3886, 70918, -3886,
   54275, 54275, 54275, 45321, 68102, 68509,  1166,  1226, 54275, 45728,
   -3886, 54275, -3886, -3886, 38402, 54275, 54275, 37995, -3886, 54275,
    2637,   206, -3886, 54275,  2651, -3886,  2527, 54275, 54275,  2455,
    1589,  2537,  2580, -3886, 54275, 54275,   766, -3886, 54275, 54275,
   10528, -3886, -3886,   368, -3886, -3886, -3886, -3886, -3886, 54275,
   54275,   368, 54275,   368,  1168, -3886, 54275, 54275, -3886, -3886,
   -3886,  6218, 54275, 54275, 54275, 54275, 54275, 54275, -3886, -3886,
     927,   931,  1049,  1149,  2601, 54275,   930, 54275, 68916, 54275,
   54275, 54275, 54275,  1376, -3886, -3886,  2574, -3886, 54275,   766,
    6743, 54275, 54275,  2540,  2542,   138,  2615, -3886, -3886, -3886,
   -3886, -3886, -3886,  2706,  2868, 54275, -3886,  2709,  2711,  2530,
    2531,  2715,   814, 54275, 54275, 54275, 54275, 54275, 54275,  2718,
     814,  2667,    96,  2485,  2504,  1599, -3886, -3886, 21004,  2884,
   70918,  2491,  2498,  2568,  2571,  2572, -3886,  2492,  2575,  2006,
   -3886, -3886,  1463, -3886, -3886,  1605, -3886,  2515,   810,  1769,
   -3886, 54275,   105,   667,  2791, 16802,  2610,  1025,  2785, 54275,
   54275,  1025, -3886,  2240, 42065, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886,  2784, -3886,   930,  2034,  2034,  2034,
    2034, -3886, -3886, -3886, -3886,  2690,  1606, -3886,  2507,  2034,
   54275,  2618,  1025, -3886,  1370,  2801,   809, 54275, 40437,  1558,
    2545,   930,  2692, -3886, 17216,  1986,  2698, 48984,  2789,  2796,
    2802, -3886,  1921, -3886,  2915, -3886,  2825,   640,  1969, -3886,
    2078, -3886, 54275, -3886, 54275, 54275, 54275, 54275,  1995, -3886,
   -3886,  2078,  2716,   640,   640, -3886,  2720,   640,  2078,  2649,
    2819, 48984, -3886,   189, -3886, -3886, 21004,  1607, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886,  1622, -3886, 54275, -3886,
    2798,  2803,  2804,  2078,  2546,  2582, 54275,  2553, -3886,  2078,
     368,  2078,  2179,  2179,  2078,  2546, 51426,  2948,  2822,   144,
   -3886,   161,   901,  2754, -3886, -3886, -3886, -3886, 70918, -3886,
   -3886, -3886, -3886, -3886, 54275,    87,  2734,  2556, 51426,  2933,
     640, -3886, 38809, -3886, -3886, -3886,  2647, 38809,  2749, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886,  2795, 54275,  1642, -3886,
   -3886,  1428, -3886,  1456, 21004, 21004,   269, -3886,  9151,  1652,
   21004,  2569,  2570,  1713, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886,  2578,  2848, -3886,  2581,  1714,  1719,  2583,  2587, -3886,
   -3886,  2414,  2590,  9434,  2592, 23548, 23548,  1337, -3886, -3886,
   23548,  2593, -3886,  1723,  8164,  2591,  2598,  2602, -3886,  2604,
    2605,  9479, 20156, 21004, 20156, 20156,  8784,  2591,  2608,  1730,
   37995,  2736, 10058,  1731, -3886, 21004, 37995,  3910, 21004, -3886,
   21004, 54275,  2611,  2612, -3886, -3886,  3608, -3886,  2603, -3886,
   23548, 23548, -3886,  2312, 18036, -3886, -3886,  2850, -3886, -3886,
    1580, -3886,  2616, -3886, -3886,  3809,   199, 21004,  2392, 21004,
    2657, 32696, 10851, 21004,  2952,  1985,  1985,   343,   343,   304,
     304,   304,  1764,  1851, -3886, -3886, -3886,  2617,  2162, 21004,
   -3886,  1657,  1675, 54275,  1482,  2184,  2664, -3886, -3886, -3886,
   26466,  2624, 21004, 21004, 21004,  2614,  2752,  2991, 10197,   743,
   -3886,  3002, -3886,  1098,  2006,   164, 36774, -3886, -3886, 21004,
   -3886, -3886, -3886,  1855, -3886, -3886, -3886, -3886, -3886,  1500,
   21004, -3886, -3886,   491,  1562, 21004,  1609, -3886, -3886, 54275,
    2555,  2555, 21004, -3886, -3886, -3886, -3886, -3886, 26466,  2638,
    2636, 28531,  2729, -3886, -3886, 54275,   128, -3886, -3886, -3886,
    2620, -3886, -3886, -3886, 54275, 54275, 54275, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886,  2821, -3886, 54275,
   54275,  2788, 54275,  2800,  2799, 21004,   768, 54275,  2625,  2626,
    1041,  2864, 54275, -3886,  2910,   640, -3886, -3886,  2694, -3886,
   10197, -3886, -3886, -3886, -3886, 48984, -3886,  1921, 70918, -3886,
   -3886, -3886,  2659, 54275, -3886, 54275, 54275,  1995, -3886, -3886,
   -3886, -3886,  1075, -3886, -3886, 54275, 54275,   110,  2705,  2707,
   54275, -3886,  1021,  2449,  7378, 54275, 54275, 54275,  2879, -3886,
   -3886, -3886, -3886,  2828, -3886, -3886,  1449, -3886, 67706, 71314,
   -3886, 71314, -3886,  1449,  1345, -3886,  2078,  2714,  2254, -3886,
    2817,  1052, -3886, -3886, -3886, -3886, -3886,  2934,   640,  2936,
     640, 54275, 54275, 54275, 54275, -3886, -3886, -3886, -3886, -3886,
   37995, 37995, 37995,  1735, -3886, -3886,   930, -3886, -3886, -3886,
    1736, -3886,   646, -3886, -3886, -3886, -3886, -3886, -3886, 54275,
    1586, -3886,   698, 70918, -3886, 70115, 54275, 54275, -3886, -3886,
   -3886,  2863,  2808, -3886,   832,  2809, 54275,  2703, -3886, -3886,
   -3886,  2723,  1804,  2254,  1370, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886,   386,  1857,  2254,  2724, -3886,  2725, -3886,
   -3886, -3886,  2866,  2869,  2870,  2728,  2732,  2780,  2742,  2745,
    2792, -3886,  2746,  2793,  2750,  2794,  2751,   640, 70918,  1685,
    2786,  2970,   640, -3886,  2758, -3886, -3886,  3069, -3886, 54275,
   -3886,  2760,  1982,  2254, -3886, -3886, 54275, 54275, -3886, -3886,
   -3886,   814, 70918,  2925,   814,   814, 54275, 54275,   814, -3886,
   -3886, -3886,  2929,  2932,  2945,  2947,  2949,  2954,   814, -3886,
   -3886, -3886, -3886,   214, 37995, -3886,  2509, 30596, -3886,  3122,
    4465,  2722,  2498,  2712,  2006,   167,  1039,    95,  2837,  2006,
    2927,  2726, -3886, -3886, 37995, 30596,  1639,  2942,  2747,  2747,
    2747,  2747,  2747,  2747,  2747, -3886,  2919,  2065, 48984, 54275,
   48984, -3886,   667,  2817, 54275, -3886, -3886,  1740, -3886, 54275,
   54275,   158, 54275,  2006, -3886, -3886,  2806, -3886,  1607,   247,
    2865,  1293,  3059, -3886, -3886, -3886, -3886, -3886, 54275, 54275,
     810,   930, -3886,  2731,  2733, -3886, 54275, 54275, 54275,  2769,
    2738, 54275,  2748,  2735, -3886, -3886, -3886, -3886, 70918,    35,
    2923,  2928,  2252,  3138,  2824, 54275, -3886,  1758,   119, -3886,
     930, 48984, 69323, -3886,  4225, -3886, -3886,   707,  3014, -3886,
   -3886,  1500,   640, 70918, 54275, -3886,   640,   189,  2805,   640,
    2812,   640,   640, 54275, -3886, -3886, 54275, -3886, 54275, 44507,
     640, -3886, 10197, -3886, -3886,  2871,  2881,  2882, 54275,  2078,
   38809, -3886,  2761, 54275,  1172, -3886, -3886,  2941, -3886, -3886,
   -3886, -3886, -3886,  3045,  3061, -3886, -3886, -3886, 54275, 42879,
     278, 54275, -3886,  1921, -3886,  1969,   368, 54275,  3003, -3886,
   -3886, -3886,  2772,  1760, 10111, 21004, -3886,  3071, 70918, -3886,
    4743, -3886, -3886, -3886, -3886, 21004, -3886, -3886, -3886, -3886,
   -3886, 21004, -3886, 21004,  3048, -3886,  3190,  3190, 70918, 23548,
    1495,  2153, 23548, 23548, 23548, 23548, 23548, 23548, 23548, 23548,
   23548, 25640,   559, -3886, -3886, 21004, 21004,  3057,  3048, -3886,
   -3886,   -69,   -69, 70918,  2776,  2591,  2813,  2816, 21004, -3886,
   -3886,  1780, 24803,  2823, 37995, -3886, 21004,  8752,  1784,  2826,
   10700,  1390,  5277, -3886,  3155,   930, 21004,  1542,  2048, 21004,
    1789, 21004,  3065, -3886, -3886, -3886,  2790, -3886, -3886, 70918,
   21004, 23548, 23548,  5018, -3886,  5415, 21004,  2829,  6306, 18036,
   -3886,   729,   729,   729,   729, -3886, 54275, 54275, 54275, 26053,
   51833,  2827,  1748, -3886, 51833, 52240, -3886,  2807,  1390, 21004,
    3060,    42,    42,  2832,  2752, 29770, -3886, 21004,   228, 20580,
    2833,   176,  2838, -3886, -3886,  8019, -3886,  2839, -3886,  2841,
   -3886,  1562, -3886, -3886, -3886,  5326,  2974,  2179, -3886, -3886,
   -3886,  2827, 21428,  2729, -3886,  1796, -3886, -3886, 18884, -3886,
   -3886,  1802, 29357,  2638, 19308,  1390, -3886, -3886, -3886,  2747,
    2078,  2078,   101,  2078,  3074,   101,  5379, -3886, -3886, 26879,
   54275, 54275, -3886, 54275,  1808,   932, 54275, -3886, 54275, -3886,
   -3886,  3191, 54275, -3886,  2849,  2853, -3886, 54275, 54275, 54275,
   54275, -3886, -3886,  1934, -3886, -3886, 54275, 54275, -3886, -3886,
   -3886,   390,  1994,  2254, -3886,  2872, -3886, -3886,  3047,  1474,
   -3886, -3886, -3886,  2878, 54275,  2842, -3886,   791,  2252,   844,
   -3886, -3886,  2888, 54275, -3886, 54275, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, 38402, -3886, -3886, -3886, 37995,
   30596, 37995, -3886,  2877,  2880,  2924,   628,   631,  2899,  2912,
    2964,  2847,  2854,  2857, -3886, -3886,   388,   930, -3886, -3886,
     930,  2078,   930, 54275, 54275, 54275, 54275, 54275, 54275, 54275,
    3132,   845,  1663, 54275, 54275, 54275, 54275, 54275, 54275, 54275,
   54275, 54275, 54275, 54275, -3886,  3221,   930,   930,  3192,  2931,
   54275, -3886, 54275,  2449, 54275, 54275, -3886, -3886, -3886,  2862,
     814, -3886, -3886,  3099,  3102, -3886,   814,   814,   814,   814,
     814,   814, -3886,   163,  1814, -3886, 27705, -3886, -3886,  2427,
     930,  2427,  1208, -3886,  2427, -3886,  2427, -3886,  2841,  2006,
    1534, -3886, -3886, -3886, -3886, -3886, -3886,  2504, -3886, -3886,
    2006,  1691,  2874, -3886,  2875, -3886, -3886, -3886, -3886, -3886,
   -3886,  2867, -3886,   164, -3886, -3886, 54275,  2747, -3886,  1443,
     318,   771,  1089, 52647, 53054, 53461,  2883, 54275, 54275, 23548,
   -3886,   853,   216, -3886,  3100, 54275,  2904, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886,  2317, -3886, 54275,  2817,  2078,
   54275, 54275,  2078, -3886, 70918,  2545,  1174, 63229,  2911,  2885,
    3162, -3886,  2890,  2889, -3886, -3886, 54275,  2817,   620,  1584,
     230, -3886, 41658,  1558, -3886,  3134, 40437, -3886, -3886, -3886,
    3241,  2976, -3886,  1500,   930,  2486, -3886, 67706, 21004, 21004,
   -3886,  2892, -3886,  2897,  3598, -3886,  2034, -3886, -3886, -3886,
   -3886, -3886, -3886,  2966, 54275, -3886, -3886,  2898,   640, -3886,
   -3886, 54275, -3886, 54275, -3886, -3886,   640,   640, -3886,  3008,
   -3886, 54275, 54275, 54275,  2078, -3886,   368, -3886,  3171, 51426,
   -3886, -3886, -3886, -3886,    73,  3177, -3886, -3886,  3137,  3139,
    3140,  3141,   855, -3886, -3886, 21004, 10197, -3886,  2902, -3886,
   10197,  5835, 10197,  3057, -3886,  1501,  3184, -3886,  1101,  2909,
    1501,  2120,  2120,   369,   369,   234,   234,   234,  3190,   559,
   10197, 10197, -3886, -3886, -3886, -3886,  2913, -3886, -3886, -3886,
    2591, -3886, 21852,  3051,  3291, -3886, -3886, -3886,  2953,  2955,
    2917, -3886, 21004, 22276,  2918, 71710, -3886, -3886,   164,  1415,
   23548, 23548,  2067, -3886,   435, 21004, 70918,  1824,  2067,  2338,
    2535, 21004, 21004,  6335,   255, 21004,  6627, 54275, 54275, 54275,
   54275, -3886, -3886, -3886, 15992,  1748,  2920, 54275, -3886,  2916,
   26466,  3156,  3095, -3886, 26466,  3095,  1346,  3095,  3157, -3886,
   30183, -3886,  2926, 15151,  1553, 10197,  3305,  3196, 21004,  2935,
   -3886,  2937,  2752, -3886, 70511, -3886, -3886, 10197, -3886, -3886,
   21004, -3886,  2752,   930, -3886, -3886, 32696, -3886, -3886, -3886,
    3117, 10197, -3886,  1500, 54275,  1390,  2938,  2969, 54275, -3886,
    2729, -3886,   388, -3886, -3886, -3886, -3886,  3009, 42065,  3229,
   -3886, 21004,  1830, -3886,  2994,  3322,   112,  1834,  1835,   932,
   -3886,  2904, -3886,  1117,  3215,   336, -3886,   640, -3886, 70918,
   -3886, 54275, 54275, -3886, -3886, -3886, -3886,  2202, -3886, -3886,
   54275, 54275, 54275, 54275, -3886,  3033, -3886, -3886, 37995,  2919,
    3159, -3886, -3886,  3164,   388, 54275, -3886, 70918,   640,   640,
   -3886, -3886, -3886,  2989, 54275, 54275, 54275,  2006,  2006, 70918,
    2973, -3886,  2006,  2006,  2975, -3886, 54275, 54275, 54275, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,  3058,
   -3886, -3886, -3886, 54275, 54275, 54275, 54275,  3275, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, 54275,
   -3886, -3886, -3886, 70918,   640,   640, -3886, -3886, -3886,  3220,
   -3886,   814,   814, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
    2065,  3302, -3886, 37995, -3886, 42472, -3886, -3886, -3886,   930,
   -3886,   930,  3176, 34759,   930,   930,   932,  2990,   734,  3262,
   -3886, -3886, -3886, -3886,  3266,   388, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
   -3886, 21004, -3886,   841,  1501, -3886, -3886, -3886, -3886,  2904,
    1607,  3043,   105,  3103, -3886, -3886,  2078,  2078,  3052,  3390,
     660, 54275,  3301,  3037, -3886,   930, -3886, -3886, 54275, 40437,
    2769, -3886,  3331,  1847, -3886, -3886, -3886,  3036,  2928,  1287,
    3005,  1558, -3886,   811, 54275, -3886,  3040,  3283,  3010, -3886,
   10197, 10197,   930, 72106,  4225, -3886, 54275,  3256,   640, -3886,
     640,   640, -3886, -3886, 54275,  2078,  2078,  2078, -3886,  3186,
   -3886,   640, 51426,   855,   855,   855,   855, -3886, -3886, -3886,
   10197, -3886, -3886, -3886, 23548,  3289, -3886,  3015, 70918, -3886,
    3022,  1848,  1858, 24390,  3165, -3886, -3886, -3886,  7101,  3070,
   10197,  3111,  3024,  3026, -3886,   819,   819,   435,  1864, -3886,
   23548, 23548,  2067,  2067, 21004,  2067, -3886, -3886, -3886, -3886,
   -3886, 51833,  3028, 54275,  1748, 26466, -3886, -3886,  1820, -3886,
   26466,  3261, -3886, 26466, 54275,  3030, 54275,   783, 21004, 21004,
    3066,  2752,  2752, -3886,  3197, -3886,  3034, -3886,   164,  3039,
   54275, -3886, -3886,   936, -3886, -3886, -3886, 51426,  3214, 51426,
     932,  7411,  2904, 26879, 33536, 54275, 53868, 53868,  3181,  2904,
    3043, -3886, -3886, -3886, -3886, -3886, -3886,  3041, -3886, -3886,
   -3886,  3118, -3886, -3886, -3886,  1873, -3886, -3886, -3886, -3886,
   -3886,  3221, -3886, -3886, 30596, -3886, -3886, -3886, 27292, 32696,
   -3886,   628,  3046,  3049,   631, -3886, -3886, -3886, 54275,  1185,
     942,  3077,  2078,  3326, -3886,  3221, -3886, -3886,   814, -3886,
   -3886,  2485,   930, -3886, -3886,  1879, -3886, -3886, -3886, 54275,
   -3886,  2885, -3886, -3886, -3886, 38809,  3442,  3442, 54275, -3886,
   -3886,  7460,  3237, -3886,  3043,  3259,  3306, -3886, 54275, 54275,
    1500, 40437,  2817, -3886,  1224,  3054,  3348, -3886,  2738,  3062,
   -3886, -3886, -3886, 41658,  3234,  2976,   952,   952, 54275,  2928,
    3182, -3886,  3187, -3886,  1133, -3886, 54275, 26879, -3886, 71314,
   -3886,  1880, -3886, -3886,  2624, 54275,   762, -3886, -3886, -3886,
   -3886, -3886, -3886,   278, -3886, -3886, -3886, -3886,   896, 23548,
   70918,  1894, 21004, -3886, 21004, -3886,  3437, -3886, -3886, -3886,
     605, -3886, -3886, -3886,   819,   819,  2067, -3886, 54275,  1900,
   -3886, 21004,  3064, -3886, -3886, 26466,  1820,  1901, 54275,  1905,
   70918,  2752,  2591, 10197, 54275, -3886, -3886, -3886,  3440,  3240,
    2752, -3886, -3886, -3886, -3886,  1172,   101,   278,  3322,  3043,
   -3886,  3067, -3886, -3886, 54275, -3886,   306,   306, 54275,  3043,
   -3886, -3886, 54275, -3886, 37995,  3120, -3886, 70918,  1969,    78,
   -3886, 70918, 70918, -3886, -3886, 54275, 54275, 54275, 54275, 54275,
     640, -3886, -3886, -3886, -3886, 42472,  2885,  3442,   268, -3886,
   -3886, -3886,  1328,  3265, -3886,   153,  3250,  3158,  2817,  3359,
    3040, -3886, -3886, -3886, -3886, 21004,  3223,  1558,  3134, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
    1906,  2976, -3886, -3886,  3441,  3260,  3444, -3886,  1913, -3886,
   -3886,  3598, 72106,  3389, -3886,  3130, 54275, -3886, -3886, -3886,
     896,  1925, -3886,  1926,  1931,  3225,  3133, -3886,  1940, -3886,
   10197, 54275, -3886, -3886, -3886,  1942, -3886,  3081, -3886,  3482,
   21004,  1288, -3886, -3886,  3365, -3886, 53868,  3127, 32696, -3886,
    1562,  1562,  1607, -3886,   932, -3886, -3886, 21004, -3886,  1966,
   -3886,   903,  3239,  3372,  1984,  1989,  2546,  3142,  2546, -3886,
    2078, -3886, -3886, -3886, -3886, -3886,  3409,  3357, -3886, -3886,
   -3886, -3886,   653, -3886,  3287,  3290, 54275, -3886, 54275,  3504,
   -3886,  7524, 38809,  2928,  1558,  2919, -3886, -3886,  3292, -3886,
    3295,  2545, 26879,  4225, -3886,   840, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886,  1996, -3886, 54275,  3112,  2591, 22700,
   22700,  3113, 51426,   306,  3124, -3886,  3119, -3886, -3886,  3259,
     932, 10197, 38809,  3491, -3886, -3886, -3886,  3239, -3886, -3886,
   54275,  3248, -3886,   193,   193,  3446, -3886,  3180, -3886, -3886,
   -3886,   628, -3886,  3129,  2976,  2928, -3886, -3886,  2976, -3886,
   -3886, -3886, -3886,  1779, -3886, -3886, -3886, 23972,  3253,   680,
    8710, -3886, -3886, -3886, -3886,   278,  1562, 21004,   932, -3886,
    3250,  1969, 54275, -3886, -3886,  3037, -3886,  3540, -3886,  1012,
   -3886, -3886,  2973, 37588, -3886,  2976,  2624, -3886,  1338, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886,  3530, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886,  7722, -3886, -3886, -3886,  3427, -3886,
   -3886, -3886, -3886,  2002, -3886, -3886, -3886, -3886, -3886, -3886,
    1679, -3886, -3886,  1689,  1890, 23124, -3886,   932,  3284, -3886,
   37588, -3886,  1338, -3886, 38809, -3886, -3886,  3143, 37588,  2004,
   -3886
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3886, -3886, -3886,  2873, -3886,  -735,    53,  2274, -1583, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886, -3886,
    2834, -3886, -3886, -3886,  1506, -3886, -3886,   117, -1050,  1575,
    2473,  1206, -3886,  -890, -3886, -3886,  -508,   134,  -627, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -3886,  -663,  1653,  1067,
    -709, -2222, -3886, -1141, -3081, -3886,   510, -3886, -3886,  1598,
   -3886, -3886, -3886,   934,  -257, -3886, -3886, -3886, -3886, -3886,
   -3886, -3886,     7, -3886, -3886,  -417, -1306,    32,   -57,  -285,
   -3886, -3886,   348,  -288, -1167, -3886, -2923, -3886,   -27, -3886,
   -3886, -3886,  -287, -1135,  1163, -3886,  -594,  -913,  1444,  -566,
   -3886,  -179, -3886,  -615,  -519,  -517,  -575,  -420, -3102, -3460,
   -3659, -2897,  1171,   142, -3886,   -38, -1299, -3886, -3886, -1236,
   -1160, -3886,  -592, -3886, -3886, -3886, -2385, -3886, -3886, -3886,
   -3886,    63, -3886, -3886, -3886, -3886,   403, -3886, -3886, -3886,
   -3886, -3886, -3886, -2200,  1561,  1564, -3886, -3886, -2572, -3886,
    -714, -3886,   550, -2421,  1087, -3886, -3886, -3886,  2234, -3886,
   -3886, -3886, -3886,   406, -3886,   405, -3886, -3886, -1324, -3886,
   -3886, -1293, -3886,  1576,   905, -3886, -3886, -3886,  -599,  -661,
    -648, -3886, -2862, -3886, -3886, -3886, -3886, -3886,  -811, -3886,
     959, -2555,  -783, -3886, -3886,   976, -3886, -3886, -3886, -3886,
    -554,  -180,  2265, -3886,  -457,  -530, -3886, -3886, -3886,  -175,
   -3886, -3886, -3886, -3886, -3886, -3886,  -862,  6542, -1277, -3886,
   -3886, -3886, -3886, -1831, -3886, -3886, -3886, -1557, -3886,  3625,
    1903,   552, -1292, -3886,   -21,    65,  2699,  -915, -2138,   353,
    -311, -3886, -1467, -3886, -3886, -3886, -2060, -3886, -3886, -3886,
   -3886, -2871, -1287, -3886, -3886, -3886,   400, -3886, -3126, -3307,
   -3559, -3679, -2858, -3886, -3886,  -875, -3886, -3886, -3886, -1119,
    1770, -1176, -3886, -1780,   401, -3131,  -576, -2680, -3886, -3046,
    -396, -3886, -3886, -3886, -3886, -3886, -3886, -3886,  -880,  -515,
   -3886, -3886,  3107, -3886, -3597, -3886, -3886, -3886, -3886,  1321,
   -3886, -1152,  1054, -3886, -3886, -3886, -3886, -3886,  -543,  -620,
   -3886, -3886, -3886,   148, -3886, -3886, -3886, -3886,  1815,  -760,
    -595,  2992, -1280,  -355, -3886, -3886, -3886, -3886, -2511, -3886,
   -3886, -3886, -3886, -3886, -3886, -3886, -1286, -3886, -3886, -3886,
   -3886, -3886, -3886, -3886,  1916,  1912,    45,   -22, -3886, -3886,
   -1017, -3886,  -441, -3886,  2208, -3886, -3886, -3886, -3886,  1291,
     150,   433, -3886,     3, -3886, -3886,   229, -2811,     4, -3886,
   -3886, -3886, -3886,  -336,     5, -3886,   693, -3886, -3886, -2283,
   -3886,   151,    26, -3886, -3886,     1,     0,   -41,   -28,   -23,
       2,  2987,  2554, -3886, -3886, -3886,    19,  1422, -3886,  -689,
    -156, -3886,  1297,  -545,  1892,  2539,  2541, -3886,  1298, -3886,
   -3886,  1302, -3886, -3886, -3886,  -540,  1904, -3886,  2557,  1917,
   -3886,  1285,  1295, -2738,   765, -2788,   289, -1180,  -249,    22,
    3017,  2560, -3886, -3708,   716, -3886, -2771, -1867,  -353,  1672,
   -1291, -3886, -3886,  -910,  9648, -3886, -3886, -3886, 10147, 10361,
   -3886, -3886, 10485, 10692, -3886,  -809,   812, 11191,  8131,  -975,
   -1553,  -421,  7435, -1988, -1072, -2119, -3886, -3886, -3886,  -219,
     818,   650, -3886, -3886, -3886, -3886,  -451, -2284,  -449, -3886,
   -3886, -3886,  -450, -3885, -1198, -3886,  -174, -3886,  9111,  1332,
   -3886,  -860, -2216, -2224,  -929, -1431, -3886, -3886, -3886, -3886,
   -3886, -3886, -3886, -1248, -2711,  -581,  1393, -3886, -3886,  1490,
   -3886, -3886, -3886, -1055,  -716, -2137,  1402, -1642, -3886,  -684,
     742,  2094,  -641,    75,  -496,  5762,  -435, -1838, -1007, -1233,
   -3886,  -122, -3886,    25,    -9,  -119,    -7,  3203,  8282, -1025,
    7081, -1081, -1071, -2518
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2162
static const yytype_int16 yytable[] =
{
     162,   161,   166,   156,   157,   159,   694,   554,   704,   850,
     773,   510,   649,  1427,   615,   626,  1437,  1147,  1080,   615,
     162,  1156,   166,   949,   950,   951,  1745,  1153,  2168,   955,
    1431,  1887,  1512,   498,  1487,  1467,  1746,  1302,  1825,  1380,
     545,  1242,  2294,   874,   538,  1896,   614,   693,  1398,  1327,
     736,   614,   896,  1290,  1748,  2029,  1460,  1573,   754,  1523,
    2810,   681,   755,   678,  1905,   589,  1264,   776,  1779,   890,
    2000,  1094,  2946,   899,  3267,  2091,   788,  1897,  2066,  1745,
     581,   837,  1743,   911,  1918,  2067,  2042,   621,  1885,  1746,
    2552,  2068,  2069,  1546,  1547,  3028,  1418,  2070,   650,  1955,
    2222,  1748,  1369,  3437,  2071,  1373,  2500,  2502,  2607,  3061,
    1377,  3063,  1562,  1760,  2377,  1964,  1258,  1382,  2798,  1269,
    3185,  3214,  2980,  3499,  3459,   884,  1400,  1295,  2139,   698,
    2943,  1968,  1969,  3674,    64,  1743,  2941,  2942,   706,  3166,
    3469,  3658,    74,   707,  3639,   919,  3409,  3411,   133,  1873,
     154,   160,  2891,  1803,  1087,   668,  3342,  3166,  1141,  3787,
    3631,  1291,  3442,  1144, -1499,  2094,   705,  1233,  3190,  3191,
    3192,  3193,  3194,  3195,  1397,  2103,   597,  1205,  3785, -1504,
     508,  1591, -1937,  1539,  1540, -1971, -1874,  2299,   546,  2649,
    1589,  3395, -1940,  1980,  1443,   597,  4053,  1173,  3885, -1851,
    1906,   597,  1975, -1852,  1749,  1458,  1181, -1851,   931,  1559,
    2628, -1852,   782, -1722,   935, -1991,   975, -1499, -2016,   550,
   -1722,  2707,  3258,  4101, -1471,  1628,  4031, -2161,  3977,  2199,
   -1514,  2936, -1504,   550,  2299, -2161,  1321,  2808,     3,     4,
    1419,   751,  1181, -1484,  4226,  2848,  2651, -1511,   550,   550,
    1507,  1240,  2033,   550,  3453,  2688, -1828,   758,   684,  2334,
    4010,   550,  2033,   779,  2088, -1504,  2335,  2846,  2847,  3024,
    2545,   790,  2862,  -346,  2985,   597,  2799, -1738,  2350,  2936,
    3247,   792,  3029,  1827, -1738,  1745,  2160,  2769,  1899,  2771,
    1365,  1393,   946,  2801,   701,  1746,  1962,  4090,  4091,  1174,
    1315,  -118,  4114,  1299,  4119,   655,  -118,  3596,  1182,  1419,
    1828,  1394,  2897,  2898,  3178,  1598,  3220,  2034,   953,   841,
    1131,  3627,  4246,   550,  1568,  1137,  3651,  2034,  1137,  1419,
    2063,   885,   603,  1469,  1302,   603,   603,  1767,  2381, -1304,
    1601,  2047,   603,  1569,  1182,  1642,  1231,   550,  1902, -1514,
     773,   597,   604,  2568,  1598,   604,   604, -1471,  1634,   503,
    1633,  1111,   604,  1112,   550,   603, -1307,  2259,   603,   793,
    1603,  1241,  1231,  2035,  1573,  -140,  2036,   597,  2464,  1601,
    2848,  2259,  4137,  2035,  1462,   604,  2036,  1463,   604,   832,
    4283,  2825,  1139,   773,  1899,  1139,   954,   597,   656,  1903,
    -140,  1438,  2064,   845,  1455,  2037,  2568,   852,   794,  1603,
    4113,  1831,  2689,  1132,  4120,  3454,  2089,  2382,   861,  1635,
    1750,  3609, -1304,  4227,  1768,  3790,  1546,  1547,  2340,  4041,
   -1471,  1140,   547,   879,  1562,  2011,  2007,  4115,  1175,  1829,
     551,  3794,   888,   947,  3455,  1643,  1598,  2161,  2652, -1307,
    1309,  2546,  1300,  3628,  1899,  1395,   795,  1505,  1899,  3221,
    3652,  1917,  1084,  3456,  2037,  2800,  1629,  1514,  1907,  1176,
    1527,  1601,  3418,  1168,  2037,  2219,  2162,  4121,  3452,  1524,
    1908,  1351,  2802,  2945,  4216,  1420,  1471,   752,  3025,  4228,
    2690,  2300,  3029,  2258, -1304,  2462,   954,   829,  1177,   760,
    1646,  1603,  2629,  1429,  1237,  1658,  1658,  2281,  1981, -1990,
    1508,   548,  4229,   549,  1209,  3512,  2027,   954, -1722,  1745,
    1951, -1307,  1953,  2003,  1859,  1539,  1540,  4163,  4269,  1746,
    1341,  1909,  3259,   685,  1559,  4234,  1106,  3579,  2911,  4236,
    1107,  1999,   875,   554,  1976,  1096,   694,  1322,  1323,  1592,
    1148,  1960,  3166,  1644,  1420,  1508,  1178,  1534,  2982,  3889,
    1183,  2038,    47,  2090,  2336,   842,  1366,   927,   827,  1366,
    2848,  2038,  1963,  2156,  1420,  2297,  4268,   886,  1748,   799,
    2039,  1640, -1738,  3864,   830, -1499,   162,   693,   166,  2023,
    2029,   928,  3173,   933,  2143,   937,  1113,  1861,  3780,  2998,
   -1504,   941,  1788,   609,   610,  1867,  1301,  1789,  1511,   609,
     610, -1937,  3703,  2504, -1971, -1874,  1937,   918,  1568,  1457,
   -1851, -1940,   960,   614, -1852,   614, -2162,   614,  3903,  1758,
    1876,  2164,   922,   614,   942,   943, -1304,  1569,   944,  3775,
    2175,   773,   976,  1534, -1991,  1545,  3635, -2016, -2161,  1077,
     956,  1570,  1086,   875,  1088,  1941,  2860,  2225,  1944,  1945,
    3423,  4086,  3744, -1307,  1551,  3647,  3748,   706, -1511,  2218,
    1594,  2221,   707,  4194,  1631,  1106,  3605, -1828,  2485,  1107,
    1306,  2229,  2364,   609,   610,  2233, -1504,  1832,  1429,  1168,
    1311,  1419,  2385,  2245,  2246,   705,  1310,   162,   161,   166,
     156,   157,   159,   956,  2574,  2486,  2263,  2265,  3299,  2113,
    2499, -1990,  3795,   966,  -118,  -118,  3076,  2279,  2119,  3041,
    2008,  3042,  2123,  1745,  1933,  3431,  1622,  2509,  2129,  2130,
    1116, -1304,  1151,  1746,  1081,  4235,  3969,  1568,  3095,  2959,
   -1471,  2463,  3490,  3979,  2429,  1409,  2142,  1097,  2249,  2250,
    2850, -1471,  1104,  1545, -1471,  1160,  1569, -1471, -1307,   609,
    1232,  4183,  1619,  1620,  1621,  1622, -1304,   708, -1304,  2560,
    1572,  4049, -1990,  1130,  1187,  2400,   550,  1083,  2165,  1743,
    3517,  1091,  1274,  3522,   614,   609,  1232, -1990,  2857,  2858,
    2859,  2860,  2234, -1307,   550, -1307,  1389,  2420,  3133,  3134,
    3128,  1511,   550,  3131,  3132,   609,   610,  3135,  1098, -1825,
    2936,  2100,  2953,  1819,  2179,  3269,  2430,  3142,  3077,   550,
    1275,   505,  1325,   971,  4248,  1873,  2476,   984,  1819,  1820,
    2848,    64,   585,  1745,  1390,  4066,  1745,   550,   699,    74,
    3445,  2561,   709,  1746,  1279,   133,  1746,   154,   160,  2097,
    1280,    14,  1617,  1618,  1619,  1620,  1621,  1622,  2172,  2173,
     550,  3325,  3648,  4201,  3330,  3331,  3332,  3333,  3334,  3335,
    3336,  3337,  3338,  3339,  3611,  2316,  3518,  3163,  1170,  3523,
    3465,  2338,    19,  1821,  1930,   867,  3855,  2235,  2696,  3677,
    3270,  2562,  2542,  3980,  1828,  3163,   700,  2477,  1821,   634,
    1822,  3196,  2097,   875,   763,   764,   765,  2848,   766,   767,
     768,   769,   770,   771,  3856,  1822,   875,  1376,  2082,  3890,
    4143,  2128,  1170,  3379,  3380,  4133,  1833,   162,  1887,   166,
    2180,  3891,  2120,  1411,  1955,   550,  1420,  1401,  1404,  1405,
    3502,  2563,  2728,  2131,  3199,  2592,  1281,  1833,  4249,  1510,
     614,  2593,  2236,  3937,  2004,  2138,  1473,  3078,  1475,  3625,
    1477,   701,  1479,  3519,  1481,  1482,  1483,  4014,  1276,   875,
    1244,  1485,  3265,  1511,  4032,   635,  2855,  2856,  2857,  2858,
    2859,  2860,  1391,  3947,    37,  3949,  1532,  1106,  3079,  2115,
    3544,  1107,  4055,  2083,  3267,   701,  2163,  4012,  2166,  2317,
    2169,  1245,  2171,  2318,  2339,  2174,  1549,  3940,  2237,   694,
    2850,  2238,  3944,  4067,    41,  3946,  4199,  3080,  2050,  3271,
    3626,  2148,  4033,  3500,  4202,  4184,  1823,  1081,  2560,  4034,
    2564,   710,  4195,  2098,  1958,   701,  1576,  3472,   868,  1771,
    2319,  1823,  2372,  1590,  2700,  2480,  3649,  2594,  2252,  1081,
    1587,  2639,    45,  1595,  1277,  1834,  4035,  2259,  2259,  3070,
    4198,    37,  2259,  1632,    46,   773,  1445,  2851,  1392,  3088,
    2114,   627,  4087,  3862,  3071,   702,  3503,  3806,  3203,  3272,
     875,  3892,  4093,  1648,  1649,  1282,  3871, -2162,   875,   875,
    1772,    41,  3697,   869,   550,  4084,  1754,  4200,  2401,  2239,
    2561,  2181,  2259,  2259,  1446,  1761,  1762,  4135,  1766,  3473,
     707,   707,   633,   707,  3204,  4260,  1283,   614,  4094,  2182,
    1824,    37,   614,   614,  1137,  2014,  4036,  3205,  1138,    45,
    1835,  2565,  2672,   705,   705,  1824,   705,  3545,  3763,  2566,
    4056,    46,  2567,   636,   637,  1284,   603,  -734,  3767,  3017,
    2562,    41,   932,   934,   936,  4173,  2320,   938,   939,   940,
    2601,   654,  3474,  2015,  3475,  3774,   604,   945,  1987,  2084,
    2948,  1151,  3047,  2949,  1412,    47,  3504,  4075,  1662,  3505,
    2476,  1650,  2085,  2258,  2258,  4044,  2595,  3018,  2258,    45,
    2598,  1139,  3613,  4045,  3431,  2701,  2240,  3757,  2012,  1745,
    2563,    46,  3175,   792,  2803,  1745,  3766,  4072,  3206,  1746,
    3951,  3624,  4174,  2949,   614,  1746,  3705,  2596,  3706,  3039,
    1651,  2599,   614,  3791,  1413,  1791,  2504,  1140,  2258,  2258,
    2508,  4170,  4167,  4168,  3996,    47,  2855,  2856,  2857,  2858,
    2859,  2860,  1868,  2766,  3691,  2295,  2597,  1854,  2772,  4261,
    2600,  2477,  1447,  2013,  1959,  2881,  1160,   943,  3176,  3986,
    2767,  2888,   773,  1946,  2062,   506,  2714,  2715,  2716,  2717,
    1917,  -557,   614,  2804,  2194,   614,   614,  2573,  2722,   521,
    1987,  2936,   792,  1770,  3792,  2936,  1893,  4037,  1961,  2564,
    3163,   793,   169,  1910,  1931,  2112,  3166,   676,  2585,  3570,
    4021,  2489,  1222,  4218,  2118,  3573,  3574,  3575,  3576,  3577,
    3578,  2016,  1414,  2855,  2856,  2857,  2858,  2859,  2860,  1089,
     651,  1940,  1887,  3295,  1771,  1869,  2702,  2623,   521,  2762,
     794,  2467,   170,  1987,  3997,  3019,   523,   614,  1448,  2602,
    1638,  1222,  3451,  3707,  4046,   984,  3048,   169,  2848,  2037,
    1261,  2575,  1429,  1974,  1932,  2441,  2956,  1366,  4253,  2578,
    1415,  2580,   687,   862,  2823,  2703,   696,  1990,  2603,  3646,
     793,  3049,  1429,   754,  2425,  1772,  2072,  1170,   795,  3040,
    2002,  1262,  3725,  3726,  2490,   523,  1947,   170,  1948,   773,
    2565,  3313,   863,  4277,  2617,  1813,  2506,  2017,  2566,  2480,
    1280,  2567,   169,  2066,  2437,  1814,  1165,  2442,  2765,   794,
    2067, -1316,  1946,  2875,  1955,  2441,  2068,  2069,  3886,  1247,
    1815,  3020,  2070, -1316,  2774,  2775,  1598, -1316,  2777,  2071,
    2307,  3096,  2308,  3472,  2781,  2061,   864,  1166,  1416,  2604,
    3592,    32,   170,  3680,  2900,  3681,  4127,  1952,   550,  1745,
    1745,  1745,   597,  2092,  2309,  3289,  -887,   795,  3887,  1746,
    1746,  1746,   162,  3267,   166,  1248,  1167,  3001,  2605, -1316,
     530,  2521,   531,  4116,  1557,  1558,  1263,  3956,  3957,  1589,
    1472,  1603, -2073,  1474,  1919,  1476,  3593,  1478,   697,  1480,
   -1316,  2812,  1911,  1484,    37,   536,  1281,  3402,  2150,  2558,
    2151,  2196,  2152,  1093,  2153,  3473,  2154,  2849,   922,   984,
    2155,  -369,  2848,   162,  2193,   166,  2190,  2191,  2192,   530,
    4054,   531,  2522,  2177,    41,  3403, -1316,  4022,  2850,  3004,
    2184,  2523,  1920,  1921, -1316,  1947,  2147,  1948,  1925,  1168,
    3750,  2243,  1249,   597,   536,  2510,  3606,  2310,  1993,  1816,
     984,  3405,  2311,  2848,  3913,  4023,   711,  2312,  3474,    32,
    3475,  1429,    45,  4096,  3298, -2073,  1917,  4159,  2231,  2232,
    3370,   746,    27,  1745,  1081,  1081,  2244,  3995,  2791,  1994,
    2247,  2248,  2524,  1746,  1289,  2851,  2195,  3016,  1250,  3985,
    1251,  2216,  4160,  1745,  2672,  2269,  3323,  2270,  3248,  2758,
    1954,  3252,  3299,  1746,  2476,  2305,   862,   645,    47,   699,
    3326, -2073,  3327,  4000,   675,  1429,  1452,  2292, -1350,  2293,
    3343, -1351, -1350, -2073,   759, -1351,  2936, -2073,  1253,  3146,
    3603,  2936, -2073,  2780,  2936,  3227,  1453, -2073,  2365,  3965,
   -2073,  3967, -2073,  3798,  3799,  1899,  3407,  1270, -1316,  2047,
      37,  2259,   784,  1904,  2259,  2259,  2259,  2259,  2259,  2259,
    2259,  2259,  2259,  2259,  3465,  1255,   791,   700,  1157, -2073,
    2789,  4147,   773,  2313,  3010,  2477,  4082,  2663,  1271,   864,
      41,  2417,  1272,  2314,  2259, -1350,  2421,  1995, -1351,  2424,
   -2073,  2874,  2850,  2876,  2877,  2902,  1568,  2903,  1996,  1158,
    1257,   831,  1288,  2348,  2478,  3116,    32,  1273,   843,  1127,
     844,  2447,  2362,  2259,  2259,  1569,  3918,  2457,    45,  2904,
    1568, -1350,  1997,   754, -1351,  3117, -2073,  3328,  1159,  1570,
      46,  1289,   701,  2850, -2073,  2479,  3007,  3329,   834,  1569,
    3839,  3840,  3934,  3935,   851,  2491,  3487,   836,  2967,  2851,
    2852,  2853,  2854,  1572,  2855,  2856,  2857,  2858,  2859,  2860,
    1752,   865,  2387,  1753,    47, -1098,  3043, -1098,  2951,  3030,
    3470,  1545,  2505,  1804,  1658,  1598,   857,  2258,  3465, -2073,
    2258,  2258,  2258,  2258,  2258,  2258,  2258,  2258,  2258,  2258,
    2851,   162,  2403,  2431,   614,  2434,  2538,  3051,  1116,   846,
    1601,   847,  1919,  1745,  1168,  3229,  2917,  1162,  3546,  3054,
    3354,  3056,    37,  1746,  1106,  3724,  2559,  2905,  1107,  2569,
     198,  3033,  2906,  2480,   627,   507,  2936,  2373,  3547,  2376,
    1603,  1755,  3401,   583,  1756,  2806,  2219,  2581,  1163,  2258,
    2258,  1797,    41,   866,  2677,  3073,   702,  2590, -2073,   652,
    1920,  1921,  2719,  2820,  2108,  2109,  1188,  2720,  2146,  3356,
    2613,  1088,  1598,  3589,  1531,  3591,    47,  1164,  3594,  2620,
    3595, -2073,  1798, -2073, -2073,  1545,  3074,  1160,  2484,  3491,
      45,  2821,     3,     4,  1917,  3186,  2822,  1601,  1189,  1545,
    2720,  1804,    46,  2678,  3305,  3495,  3344,  3345,  3114,  3402,
    1545,  1799,  1804,  3121,  3401,  3075, -2073,  3501,  3506, -2073,
   -2073, -2073,  2393,  2394,  2852,  2853,  2854,  1603,  2855,  2856,
    2857,  2858,  2859,  2860,   612,  2145,    47,  3403,  2146,   612,
    2219,  4060,  2157,  2990,  2991,  2158,  2993,   881,  2907,   585,
    3309,  2159,  3404,  1190,  2158,   892,  2187,  3009,  2908,  2188,
    2739,  2740,  3210,  3405,  1965,  2852,  2853,  2854,    14,  2855,
    2856,  2857,  2858,  2859,  2860, -1374, -1374,  2609,   614,  2679,
    2680,  3402,  2962,  2963,  1191,  3406,   614,  1106,   614, -1828,
    3377,  1107,  2378,  2681,  1745,  1429,  2529,   897,  1745,    19,
    1745,  1919,  2413,  1597,  1746,  2188,  1598,   906,  1746,  3403,
    1746,  2259,  2921,  2641,  2922,  2497,   912,  4001,  2498,  1192,
     916,  2641,  4237,    27,  3404,   597,  2554,  2750,  3350,  2555,
    2923,  1601,  2924,  3465,  4215,  3405,  2658,  1602,  2682,  2659,
    3308,  4019,  2673,   948,  3163,  2674,  1188,   952,  1193,  1920,
    1921,   958,  1606,  1607,  2542,   961,  3513,  3406,  3407,  2783,
    2696,  1603,  2158,  3276,  2968,  2969,   984,  3279,  3280,  2848,
    3282,   963,  3284,  3285,  2671,   968,  3941,  2713,  1189,  2819,
    3091,  3290,  2146,  1917,  3723,  1597,  3371,   969,  1598,  2829,
    2813,  1887,  2146,  3598,  3599,  2815,  1610,  3467,  3468,  1992,
     970,    37,  2744,  2487,   971,  2711,   162,  2729,   875,   972,
      32,  3306,  1874,  1601,  1196,  3011,  4281,  3656,  4282,  1602,
    1197,  3094,   973,  2683,  3225,  2684,  1127,  1198, -1304,  4050,
    3407,    41,  1134,  1190,  1136,  1875,  1919,  2258,   984,  2672,
    1919,  2848,   875,  1603,  1200,  2708,  3914,  3915,  3916,  3917,
    2833,  2837,  1201,  2146,  2146,   974,  2838,   773,  1919,  2146,
    2864,  1604,   977,  2146,  1191,  1605,   978,  2880,  2885,    45,
    2146,  2886,  3064,  3068,  3097,  3065,  3069,  3216,    37,   980,
    3217,    46,  2259,  2259,  1920,  1921,  1606,  1607,  1920,  1921,
    3211,  1095,  3213,  2751, -2075,  3256,  1092,  3314,  3257,  1192,
    2146,  1302,  1608,  1202,  3942,   614,  1920,  1921,    41,  1099,
    3081,  1919,  3083,  2950,  3219,  4238,  3222,  3351,  1917,  2960,
    3352,  3361,  1917,  1101,  3362,  3961,  3373,  1105,  1193,  2146,
    1610,  1100,  3414,  3443,  3310,  3749,  3444,  3752,  2937,  3447,
    1917,  2285,  3448,  1611,  2288,  3471,    45,  1605,  2158,  2850,
     586,  3582,  1117,  3262,  3583,  3177,  3179,  3180,    46,  1920,
    1921,  3729,  3419,  3421,  2188,  3115,  3586,  3782,  1606,  1607,
    3783,  3788,  3789,   694,  2158,  2158,  1124, -2075,  1617,  1618,
    1619,  1620,  1621,  1622,  3882,  3923,  2937,  3883,  3924,  3129,
      32,  1125,   587,  1917,  2752,  3925,  1517,  1518,  2146,  3125,
    1197,  3933,  3294,  1127,  2188,  2986,  2851,  1198,  2258,  2258,
    3983,  3492,  1610,  3984,  1587,  1875,  4004,  4051,  1613,  4005,
    4052,  2850,  3304, -2075,  1200,  1611,   515,  1128,  2305,  1135,
    1597,  4062,  1201,  1598,  2188, -2075,  1919,  4069,  4074, -2075,
    1429,  3236,  4076,  4136, -2075,  3236,  1637,  2920,  1919, -2075,
    4141,  1149, -2075,  4142, -2075,  1150,   984,  1154,  1601,  2848,
    2930,  1180,  4148,  4149,  1602,  2188,  2886,   875,  4150,  1748,
     694,  2146,  1160,  2926,  2927,  2928,  3730,  4153,  2851,  4155,
    1429, -2075,  3236,  1202,  1920,  1921,  1185,  2753,  1603,   162,
    2193,   166,  2190,  2191,  2192,  2510,  1920,  1921,  4007,  2952,
    2219,   614, -2075,  4172,   521,  1207,  2188,  1211,  2930, -2162,
   -2162,   693,  1617,  1618,  1619,  1620,  1621,  1622,  1917,  3566,
    3277,  4178,  1246,  -881,  2188,  1239,  4179,  1745,  2925,  2188,
    1917,  1237,  1597,  4204,  1266,  1598,  1429,  1746, -2075,  4279,
    3072,  4290,  4280,  1278,  4280,  1292, -2075,  3084,  1287,  1297,
    2899,  1298,  1599,  1303,  1305,  1307,   875,  3728,  1312,  1317,
    1601,   523,  1319,  1329,  1326,  3675,  1602,  1168,  1370,  1372,
    1366,  2852,  2853,  2854,  1081,  2855,  2856,  2857,  2858,  2859,
    2860,  1374,  1383,  -157,  1385,  3318,  1387,  1399, -2162,  1407,
    1603, -2075,  1605,  2960,  1617,  1618,  1619,  1620,  1621,  1622,
     185,  2710,  3712,  1417,  1422,  3324,  1423,  3899,  1424,  1425,
    1426,  2960,  1745,  1606,  1607,  1428,  2259,  3126,  1429,  1436,
    1439,  1440,  1746,  1441,  1442,  2259,  1444,  1449,  1450, -2162,
    3346,  1451,  1456,  1461,  1486,  1513,   627,  3067,  1519,  2850,
    1515,  1521,  2259,  2259, -2162, -2162,  1522,  2855,  2856,  2857,
    2858,  2859,  2860,   984,  1528,  1529,  2848,  1610, -1475, -1482,
   -2075,  1538,  1541,  3147,  3588,  3089,  1511,  1542,  3146,  1543,
    1611,  1544,    47,  3731,  1548,  1550, -1472,  1553, -1473,  3679,
    1554,  1555,  1556, -2075,  1561, -2075, -2075,  3682,  3683,  1563,
    1604,  1564, -1476,  1565,  1605,   530,  2851,   531,  1566, -1474,
    1567,  1574,  1575,  1577,  3148,  1578,   533,  1579,  1580,  1581,
    1582,  1583,  1584,  1626,  1641,  1606,  1607,   535, -2075,  1637,
     536, -2075, -2075, -2075,  1653,  1661,  1759,  1138,  3149,  1786,
    1800,  1608,  2641,  1140,  1794,  2641,  2641,  1801,  1802,  2641,
    1804,  1805,  2258,  3150,  1806, -2162,  1807,  3151,  1808,  2641,
    1809,  3926,  1836,  1830,  1325,  1856,  1609,  1837,  3165,  1610,
    1860,  1863,  1862,  1866,  1864,  3152,  1865,  1892,  2258,  2258,
    1987,  1891,  1611,  1899, -2088,  1612,  3165,  1901,   754,  1212,
    3153,  1911,  1912,  1914,  3297,  1213,  1915,  1916,  1917,   875,
    3851,   875,   614,  1923,  1924,  1926,  1934,  1927,  1928,  3172,
    3174,  1935,  3307,  1942,  3181,  3844,  1938,  1939,  1949,  1222,
     614,  1950,  1956,  1957,  3688,  1966,  1967,  1977,  1978,  1979,
    1982,  1983,  3234,  1988,  1991,  1214,  2005,  2018,  2006,  2021,
    2020,  2259,  2028,  1545,  3636,  3637,  2850,  2030,  3223,  1617,
    1618,  1619,  1620,  1621,  1622,  1534,  1551,  1613,  2031,  2048,
    2051,  3261,   875,  2055,  2054,   517,  3154, -2088,  3656,  2060,
    1156,  2852,  2853,  2854,  3155,  2855,  2856,  2857,  2858,  2859,
    2860,   162,  3275,  2059,  1215,  2076,  1263,  2081,  3796,  3215,
    2095,  1216,  2096,  2101,  1217,  2106,  2107,  2111,  2122,  3921,
    2124,  2104,  2125,  2851,  2127,  2176,  2126,  3156,  2140,  2141,
    2170,  2185,  2267, -2088,  3230,  3685,  3686,  3687,  2198,  3812,
    3813,  2225,  3238,  2268,  2224, -2088,  3244,  2937,  1598, -2088,
    2280,  2230,  2286,  2298, -2088,  2350,  2291,  2323,  2304, -2088,
    3255,  2363, -2088,  2321, -2088,  2290,  1218,  1614,  1615,  1616,
    2366,  1617,  1618,  1619,  1620,  1621,  1622,  2370,  2367,  2371,
     700,   614,  2389,  2379,  2841,  3841,  2388,  2258,  2380,  2392,
    2398, -2088,  2412,  2414,  2415,  3836,  3837,  2416,  2427,  2432,
    2437,  2439,  2435,  2440,  2446,  2455,  2451,  2458,  2472,  2475,
    2488,  3638, -2088,  1089,  1093,  2495,  3899,  2937,   694,  2549,
    2493,  1219,  2544,  1220,  1081,  2553,  3368,  2557,   694,  2556,
    2619,  2606,  2626,  1221,  2627,  2630,  2960,  2631,  3952,  2632,
    2634,  1222,  2635,  1745,  2636,  2637,  2638,  3488, -2088,  2648,
    1223,  2654,  2650,  1746,  2661,  2664, -2088,  2657,  2669,  1587,
    2666,  3769,  2665,  2667,  2668,  2694,  2699,  2670,  2675,  3394,
    2706,  2712,  2718,  2721,  2726,  2727,  4006,  2742,  2745,  3429,
    3387,  3388,  3389,  3390,  2757,  1225,  2763,  2761,  2852,  2853,
    2854,  2759,  2855,  2856,  2857,  2858,  2859,  2860,  2760,  2764,
    1597, -2088,  2773,  1598,  2779,  2778,  2776,  2797,  2785,  3907,
    1226,  3908,  3909,  2786,  2787,  2805,  1457,  2788,  2199,  3196,
    2809,  2811,  3912,  2790,  3548,  3197,   954,  3551,  1601,  2814,
    2816,  4061,  2817,  2202,  1602,  3198,  2831,  2832,  2835,  2882,
    2901,  3391,  3392,  3393,  2947,  2834,   627,  2945,  2836,  2916,
    2839,  2870,  2896,  2939,  2840,  -927,  2974,  2842,  1603,  2845,
    2863,  2146,  3199,  1511,  3200,  2869,  2978,  2972,  1227,  2989,
   -2088,  2871,  2872,  2984,  2992,  2879,  3865,  3003,  2894,  2895,
    2203,  2944,  2909,  2919,  3006,  2995,  3008,  3829,  3830,  2994,
    3832,  2999,  3000, -2088,  3012, -2088, -2088,  3026,  4099,  3027,
    3037,  3165,  4104,  4105,  4064,  3038,  3044,  3045,  3053,  2204,
    3055,  3086,  3087,  3090,  3092,  3093,  3098,  3099,  3533,  3532,
    3103,  3534,  3100,  3535,  3104,  3101,  3102,  3105, -2088,  3964,
    2205, -2088, -2088, -2088,  3106,   614,  3201,  3107,  3109,  3108,
    3110,  3112,  3111,  3113,  3120,  3118,  1975,  3561,  3562,  4103,
    3122,   614,  3124,  4100,  1597,  3844,  3130,  1598,  1604,  2206,
    3136,  2641,  1605,  3137,  2207,  3167,  3797,  2641,  2641,  2641,
    2641,  2641,  2641,  4106,  1599,  4108,  3138,   875,  3139,  3171,
    3140,  3590,  1601,  1606,  1607,  3141,  3170,  2037,  1602,  3182,
    3187,  3202,  1745,  3183,  3811,  3228,  3203,  3226,  3235,  1608,
    3188,  3240,  1746,  3236,  3242,  3246,  3820,  3224,  3249,  3253,
    2208,   614,  1603,  3274,  3250,  3245,  3254,  3302,  3291,  3281,
    3608,  3610,  3612,  3614,   942,   943,  3283,  1610,  3292,  3293,
    3301,  3296,  3204,  3303,  3312,  3597,  1531,  3317,  2866,  1745,
    1611,  2848,  2865,  3347,  4059,  3205,  1212,  1745,  4267,  1746,
    3835,  3363,  1213,  1591,  3607,  3375,  3376,  1746,  3416,  3458,
    4158,  3439,  3479,  3481,  3493,   623,   624,  3482,  3494,  3514,
     630,  3516,  3515,  3413,   640,   646,   623,  1247,   653,  3496,
    3348,   646,   646,  3349,   680,  3667,   683,  4040,   185,  3507,
    3355,  3526,  1214,   162,  3666,  4267,  3384,  3400,  4085,  3422,
    3432,  3604,   773,  4267,  3527,  3433,  3435,  3436,  3498,  3972,
    4081,  3528,  1604,  2209,  3529,  1613,  1605,  3543,  2937,  2210,
    3630,  3530,  2937,  1248,  3531,  2211,  3206,  3559,  3502,  3569,
    3571,  4111,  3563,  3572,  3602,  3629,  3266,  1606,  1607,  3600,
    3601,  1215,  3640,  3699,  3989,  1188,  3641,  3642,  1216,  3621,
    3660,  1217,  3663,  1608,  2212,  2158,  2213,  3644,  3676,  3645,
    3664,   614,  3672,  3673,  3684,  3678,  3689,  3692,  3693,  3701,
    3694,  3695,  3696,  2214,  3704,  3708,  3713,  1189,  1609,  3714,
    3709,  1610,  3743,  3715,  3717,  3716,  4256,  3741,  3721,  3746,
    3745,  3753,  3756,  3758,  1611,  1511,  3759,  1612,  2215,  3770,
    1249,  3777,  3761,  1218,  3762,  1614,  1615,  1616,  1629,  1617,
    1618,  1619,  1620,  1621,  1622,   737,   742,   742,   745,  3779,
     742,   750,  3773,   737,   756,   680,  3784,   775,  3785,   756,
    3793,   680,  1190,   680,  3804,  3815,  3807,   742,   756,   680,
    2930,  3808,  3814,  3821,  2930,  3824,  1250,  3825,  1251,  3833,
    3828,  3838,  3842,  3849,  3857,  3854,  3858,  3866,  1252,  3868,
    1220,  3870,  3873,  1191,  3768,  3875,  3869,  3881,  3884,  1613,
    1221,  3888,  3894,  3896,  3905,  3911,  3897,  3778,  1222,  3919,
    3930,  3920,  4068,   162,  3771,  3776,  1253,  1223,  3922,  3929,
    3927,  3931,  4068,  3932,  3938,  3945,  3948,  3954,  1192,  3958,
    3966,  3960,  3737,  3738,  3739,  3740,  3962,  3978,  3981,  3998,
    3982,  3999,  3991,  4008,  3628,  3992,  4015,   614,  1254,  4017,
    4025,  4026,  1225,  1255,  4030,  4065,  4042,  1193,  4080,  4028,
    4071,  4043,   701,  4088,  4097,  4117,  4122,  3809,  4169,  4128,
    4132,  4138,  4126,  4110,  4140,  4145,  4252,  1256,  4146,  4139,
    4151,  4156,  4152,  4157,  1194,  4162,  4164,  4101,  1257,  1614,
    1615,  1616,  4175,  1617,  1618,  1619,  1620,  1621,  1622,   614,
    4181,  2368,  4182,  4185,  4180,  4191,  4187,  2369,  3424,  4222,
    4214,  4196,  3818,  3819,  4197,  1195,  4219,  3822,  3823,    32,
    4217,  4225,  4184,  1196,  4183,  4233,  4247,  4259,  4275,  1197,
    4278,  4284,  2641,  2641,  1989,  1227,  1198,  1511,  2709,  4288,
    1129,  1660,  2954,  4166,  1199,  4154,   875,  2548,  3050,  3511,
    3847,  2618,  3848,  1200,  4002,  3852,  3853,  3143,  4112,  1210,
    3843,  1201,  3879,  4027,  3662,  4029,  3863,  3115,  3860,  2997,
    4039,  2950,  2784,  4220,  3970,  4255,  4188,  4186,  4134,  4231,
     773,  3002,  3880,  3632,  2692,  3510,  1597,  2693,  3062,  1598,
    2073,  3633,  3634,  2937,  2676,  3231,  4258,  4289,  2937,  2750,
     614,  2937,  4285,  3184,  1511,  3168,  3877,  4232,  1511,  1511,
    2960,  3990,  1202,  2058,  1601,   773,  4177,  4223,  1188,  3993,
    1602,   629,  3690,  1506,  4083,  3668,  4144,  2501,  3669,   877,
    4240,  2937,  4286,  3898,  3119,  4130,  2375,   555,  1102,  2374,
    2957,  2149,  3650,  3772,  1603,  3449,  1123,  2958,  1757,   556,
    1189,  2397,  1783,  1782,  3699,  3699,  3699,  3699,  2966,  2391,
    2970,  2983,  2396,  2971,  3396,  3751,  3988,  4073,  1110,  3450,
     557,  2662,  1787,  4063,  3357,  4205,  3367,   801,  4206,  1790,
    4213,  2914,   680,   558,   737,  2961,  2826,   742,  2912,   745,
    3446,   742,     0,  2349,     0,   756,   559,   775,     0,   756,
     854,     0,     0,   754,     0,  1190,     0,   742,     0,     0,
     756,     0,     0,   560,     0,  2930,     0,     0,     0,     0,
    2930,  3904,     0,  2930,   876,     0,     0,     0,   737,     0,
       0,     0,     0,   745,   561,     0,  1191,   737,     0,     0,
     775,     0,     0,     0,  1604,  2937,     0,     0,  1605,     0,
       0,     0,   562,     0,     0,   742,     0,     0,     0,     0,
     926,     0,     0,   563,     0,  2751,  3963,     0,   564,  1606,
    1607,  1192,     0,     0,   565,  3165,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1608,     0,  1597,     0,   566,
    1598,     0,     0,  2937,     0,     0,     0,     0,     0,  2641,
    1193,   680,     0,  4003,     0,     0,     0,     0,     0,   614,
    1609,   680,   967,  1610,     0,  1601,     0,     0,     0,     0,
       0,  1602,  1839,     0,     0,     0,  1611,     0,     0,     0,
    1076,     0,   680,   646,     0,   876,     0,   646,     0,     0,
     162,  4020,     0,     0,     0,  1603,     0,     0,     0,     0,
     680,     0,     0,     0,   680,  1840,     0,     0,     0,     0,
    1076,     0,    32,     0,   567,     0,  1196,     0,  1841,     0,
       0,   680,  1197,     0,   568,     0,     0,     0,     0,  1198,
       0,  1842,     0,   680,   773,     0,     0,  1875,  1597,     0,
       0,  1598,   185,     0,     0,     0,  1200,     0,     0,     0,
       0,  1613,     0,  4011,  1201,     0,     0,  2910,  1599,     0,
       0,     0,     0,     0,     0,  2930,  1601,   569,     0,  1843,
       0,   570,  1602,   571,     0,   680,     0,     0,     0,   572,
       0,     0,   573,  1081,   742,   742,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2162,  1603,     0,  1844,  1605,
       0,     0,     0,  1845,     0,  1202,     0,     0,   574,  2753,
     575,     0,     0,     0,   576,     0,   875,     0,     0,     0,
    1606,  1607,   577,     0,     0,   737,     0,   578,     0,     0,
    4193,     0,     0,     0,     0,   737, -2162,     0,   775,   579,
    2937,  1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,  1621,
    1622,   742,   580,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1610,   680,     0,     0,     0,     0,
    4221,   742,   742,  4092,     0,     0,     0,  1611,     0,     0,
       0,     0,     0,     0,     0,   680,   680,   680,   742,     0,
     737,     0,     0,     0,     0,     0,  1604,     0,     0,  1846,
    1605,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   742,   742,   742,     0,     0,
       0,  1606,  1607,     0,     0,     0,     0,   185,     0,     0,
       0,     0,     0,     0,     0,   876,     0,  1608,     0,  1076,
       0,     0,     0,     0,     0,     0,     0,     0,   876,     0,
       0,  1596, -2162,     0,     0,     0,  1597,     0,  1847,  1598,
       0,     0,  1609,     0,  1848,  1610,     0,  1849,     0,     0,
    1489,  1489,     0,     0,     0,   680,  1599,   623,  1611,  1600,
       0,  1612,  4287,     0,  1601,     0,     0,     0,     0,     0,
    1602,     0,     0,  1850,  1520,     0,     0,   680,     0,  1851,
    1526,   876,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1852,  1076,  1603,     0,     0,  4274,     0,     0,
       0,     0,     0,   162,  4245,   166,  4242,  4243,  4244,     0,
       0,     0,     0,     0,     0,     0,     0,  1853,     0,     0,
       0,     0,  1076,     0,  4266,     0,  1617,  1618,  1619,  1620,
    1621,  1622,     0,  1613,     0,     0,     0,     0,  4273,  4245,
     166,  4242,  4243,  4244,     0,     0,     0,     0,     0,     0,
    1076,  1076,     0,  1076,     0,     0,  2750,     0,  4265,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1076,  4266,     0,     0,     0,  1188,     0,     0,     0,  4266,
       0,     0,   162,  4245,   166,  4242,  4243,  4244,     0,     0,
       0,     0,   876,     0,  1604,     0,     0,     0,  1605,     0,
     876,   876,     0,     0,     0,  4265,   680,  1189,     0,  1076,
       0,     0,     0,  4265,     0,     0,     0,     0,     0,  1606,
    1607,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,  1619,
    1620,  1621,  1622,     0,     0,  1608,     0,     0,  1076,     0,
    2889,     0,  1076,  1076,     0,     0,     0,     0,     0,     0,
       0,     0,   680,   680,  1793,     0,     0,     0,     0,     0,
    1609,     0,  1190,  1610,     0,     0,     0,     0,     0,     0,
     646,     0,     0,     0,     0,     0,  1611,     0,     0,  1612,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1191,     0,     0,     0,     0,     0,     0,
       0,     0,   646,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   680,  1898,     0,     0,     0,     0,
       0,   680,  2751,     0,   742,     0,     0,     0,  1192,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1597,     0,
       0,  1598,   775,     0,     0,     0,     0,     0,     0,   680,
       0,  1613,     0,     0,     0,     0,     0,  1193,  1599,     0,
       0,     0,     0,     0,     0,     0,  1601,     0,     0,   680,
       0,     0,  1602,  1597,     0,     0,  1598,   742,   742,   742,
     742,   680,     0,     0,     0,     0,     0,     0,     0,     0,
     756,     0,   646,  1599,     0,   680,  1603,     0,     0,     0,
       0,  1601,     0,     0,     0,     0,  2001,  1602,   680,     0,
       0,     0,     0,     0,     0,     0,   742,   742,     0,    32,
       0,     0,   742,  1196,     0,     0,     0,     0,     0,  1197,
       0,  1603,     0,     0,     0,     0,  1198,     0,     0,     0,
       0,  1614,  1615,  1616,  1875,  1617,  1618,  1619,  1620,  1621,
    1622,     0,     0,  1200,     0,     0,     0,     0,     0,     0,
       0,  1201,     0,     0,     0,     0,     0,     0,   742,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   756,     0,     0,     0,
       0,     0,   742,   742,   742,   742,  1604,     0,     0,     0,
    1605,     0,   756,     0,     0,     0,     0,     0,     0,     0,
       0,  2001,  1202,     0,     0,     0,  2753,  3266,     0,     0,
     737,  1606,  1607,     0,     0,     0,     0,   745,     0,   737,
       0,  1604,     0,     0,     0,  1605,     0,  1608,     0,   775,
       0,     0,     0,     0,   742,     0,     0,     0,     0,     0,
       0,     0,     0,   742,     0,   756,  1606,  1607,     0,   742,
     742,     0,  1609,     0,   680,  1610,   926,     0,     0,     0,
       0,     0,  1608,     0,     0,     0,     0,     0,  1611,     0,
       0,  1612,     0,     0,     0,     0,     0,     0,     0,  1489,
       0,     0,     0,     0,     0,     0,   742,  1609,   737,     0,
    1610,     0,   680,   680,     0,   742,     0,     0,     0,     0,
       0,   680,     0,  1611,     0,     0,  1612,     0,     0,     0,
       0,     0,     0,     0,   623,   623,     0,     0,  2201,     0,
       0,     0,  1076,     0,  1076,     0,     0,     0,     0,     0,
       0,  1076,     0,     0,  1076,     0,     0,     0,  1076,     0,
       0,  1597,     0,  1613,  1598,     0,  1076,  1076,     0,     0,
       0,     0,     0,     0,  1076,     0,   775,  1076,  1076,  1076,
    1076,  1599,     0,     0,     0,     0,     0,  1076,  1076,  1601,
    1076,     0,  1076,  1076,     0,  1602,  1076,     0,  1613,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1076,     0,     0,     0,   742,  1076,     0,  1603,
       0,  1076,     0,     0,     0,  1076,     0,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,  1076,     0,  1076,     0,     0,
       0,   680,  1076,     0,  1076,     0,     0,     0,     0,     0,
     680,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,  1619,
    1620,  1621,  1622,     0,     0,     0,     0,  2289,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1212,     0,     0,  1614,  1615,
    1616,  1213,  1617,  1618,  1619,  1620,  1621,  1622,     0,     0,
       0,     0,  3169,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1604,
       0,     0,     0,  1605,     0,     0,     0,     0,     0,     0,
       0,  1214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1606,  1607,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1608,     0,     0,     0,     0,   680,     0,   680,     0,  1076,
       0,     0,     0,  1212,     0,     0,     0,     0,     0,  1213,
    1215,     0,     0,     0,     0,  1609,     0,  1216,  1610,     0,
    1217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1611,     0,     0,  1612,  2404,     0,  2411,     0,     0,
       0,     0,     0,   756,     0,     0,     0,     0,   756,  1214,
       0,   756,   745,     0,     0,     0,     0,   623,     0,   623,
       0,     0,     0,     0,     0,     0,  1597,     0,     0,  1598,
       0,     0,  1218,   756,     0,     0,  1076,     0,     0,     0,
       0,     0,   737,     0,   742,   742,   742,     0,   737,   775,
       0,   742,     0,   742,  1601,   742,   742,     0,  1215,   680,
    1602,     0,     0,     0,     0,  1216,  1613,   756,  1217,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   646,     0,
       0,     0,     0,     0,  1603,     0,     0,  1219,     0,  1220,
       0,     0,     0,     0,   756,     0,     0,  1898,     0,  1221,
       0,     0,     0,  2511,     0,     0,     0,  1222,  2520,     0,
       0,     0,     0,     0,   680,     0,  1223,     0,   756,     0,
    1218,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2551,  2551,     0,     0,     0,     0,     0,   745,   756,     0,
       0,   756,     0,     0,     0,     0,  3381,  1224,     0,     0,
       0,  1225,   742,     0,     0,     0,  1614,  1615,  1616,   756,
    1617,  1618,  1619,  1620,  1621,  1622,     0,     0,     0,   756,
    3319,     0,     0,     0,     0,  1219,  1226,  1220,  2608,     0,
    2610,  2612,   756,     0, -2162,     0,     0,  1221,  1605,     0,
       0,   756,     0,     0,     0,  1222,     0,     0,     0,     0,
       0,     0,     0,     0,  1223,     0,     0,     0,   742,  1606,
    1607,     0,     0,     0,     0,     0,   742,   742,   742,   742,
     742,   742,     0,     0,     0, -2162,     0,     0,     0,     0,
       0,  1076,     0,     0,  1227,  1267,     0,     0,     0,  1225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1610,     0,     0,     0,     0,  1898,     0,
       0,     0,  2551,   680,  1268,     0,  1611,   623,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1597,     0,     0,  1598,     0,
       0,     0,     0,  2608,     0,     0,     0,     0,     0,     0,
     742,  2738,     0,     0,     0,  1599,     0,     0,     0,     0,
     876,     0,     0,  1601,     0,     0,     0,     0,     0,  1602,
       0,     0,  1227,     0,     0,   742,     0,   742,  2551,   742,
    2551,     0,     0,     0,  1597,     0,     0,  1598,     0,     0,
       0, -2162,     0,  1603,   876,     0,     0,     0,     0,  1076,
       0,     0,     0,     0,  1599,     0,     0,     0,     0,     0,
       0,  1489,  1601,     0,     0,     0,     0,     0,  1602,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   756,
       0,     0,     0,     0,     0,     0,     0,  1597,     0,     0,
    1598,     0,  1603,     0,     0,     0,     0,     0,     0,     0,
       0,   756,     0,     0,     0,   737,     0,  1599,     0,     0,
     737,     0,     0,     0,     0,  1601,     0,     0,     0,     0,
     742,  1602,     0,  1597,     0,     0,  1598,  1076,  1076,     0,
       0,     0,     0,  1076,     0,  1617,  1618,  1619,  1620,  1621,
    1622,     0,     0,  1604,     0,  1603,     0,  1605,     0,     0,
       0,  1601,     0,     0,     0,     0,     0,  1602,  1076,  1076,
       0,     0,     0,  1076,     0,     0,     0,     0,  1606,  1607,
       0,     0,     0,     0,     0,  1076,  1076,  1076,  1076,     0,
       0,  1603,     0,     0,  1608,     0,     0,     0,  1076,     0,
       0,  1076,  1604,  1076,  2893,     0,  1605,     0,     0,     0,
       0,     0,     0,  1076,  1076,     0,     0,  1076,     0,  1609,
       0,     0,  1610,     0,     0,     0,     0,  1606,  1607,     0,
    1076,     0,  1076,     0,   775,  1611,  1076,     0,  1612,     0,
       0,     0,     0,  1608,     0,     0,     0,     0,     0,     0,
       0,     0,  1076,  3382,     0,  1604,   680,     0,     0,  1605,
       0,     0,     0,  2938,     0,  1076,  1076,  1076,  1609,     0,
       0,  1610,     0,     0,     0,     0,     0,     0,     0,   876,
    1606,  1607,  1076,     0,  1611,     0,     0,  1612,     0,     0,
       0, -2162,     0,  1076,     0,  1605,  1608,     0,  1076,     0,
       0,     0,   680,     0,     0,  1076,     0,     0,     0,     0,
    1613,  2938,     0,     0,  2977,     0,  1606,  1607,  2411,     0,
       0,  1609,     0,     0,  1610,     0,     0,   756,     0,     0,
       0,     0, -2162,     0,     0,     0,     0,  1611,     0,     0,
    1612,     0,     0,     0,     0,     0,     0,     0,  1076,     0,
    2551,     0,     0,     0,     0,  1489,     0,     0,     0,  1613,
    1610,     0,     0,     0,     0,     0,     0,     0,   876,     0,
       0,     0,     0,  1611,     0,     0,   742,     0,   742,   742,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,  1621,  1622,
       0,     0,  1613,     0,  3366,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1212,     0,     0,     0,     0,
       0,  1213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2162,  1614,
    1615,  1616,     0,  1617,  1618,  1619,  1620,  1621,  1622,  1212,
       0,     0,   756,  3438,     0,  1213,     0,     0,     0,   756,
       0,  1214,     0,     0,     0,     0,     0,     0,     0,   499,
       0,     0,     0,     0,     0,   544,   499,     0,     0,     0,
       0,   584,     0,   499,     0,     0,     0,     0,   499,     0,
     632,     0,  1614,  1615,  1616,  1214,  1617,  1618,  1619,  1620,
    1621,  1622,     0,     0,     0,     0,  3460,     0,   692,     0,
    1215,     0,     0,     0,     0,     0,     0,  1216,     0,     0,
    1217,     0,     0,     0,     0,     0,     0,     0,     0,   756,
       0,     0,  1617,  1618,  1619,  1620,  1621,  1622,     0,  2551,
    2551,     0,     0,  1597,  1215,     0,  1598,     0,     0,     0,
       0,  1216,     0,     0,  1217,     0,     0,     0,     0,     0,
       0,     0,     0,  1599,     0,     0,     0,     0,     0,     0,
       0,  1601,  1218,     0,     0,     0,     0,  1602,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   876,     0,   876,     0,     0,     0,   680,     0,     0,
       0,  1603,     0,     0,     0,     0,  1218,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1489,   680,     0,     0,     0,     0,  1219,     0,  1220,
     680,     0,     0,     0,   680,     0,     0,     0,     0,  1221,
     749,     0,     0,     0,     0,     0,     0,  1222,   680,   777,
       0,   780,     0,   783,   876,   785,  1223,     0,     0,     0,
       0,  1219,     0,  1220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1221,     0,     0,   742,     0,     0,   742,
       0,  1222,   756,     0,     0,     0,     0,  1293,     0,     0,
    1223,  1225,     0,   737,     0,     0,   756,     0,     0,     0,
       0,  1604,     0,     0,     0,  1605,     0,     0,     0,     0,
       0,     0,   680,     0,   756,     0,  1294,     0,     0,     0,
     742,  1857,     0,     0,     0,  1225,  1606,  1607,  1076,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1076,     0,
       0,     0,  1608,     0,  1076,     0,  1076,     0,     0,     0,
    1858,     0,  1076,     0,     0,  1076,  1076,  1076,  1076,  1076,
    1076,  1076,  1076,  1076,  1076,     0,     0,  1609,  1076,  1076,
    1610,     0,     0,     0,  1227,     0,     0,     0,     0,     0,
       0,  1076,     0,  1611,     0,  1076,  1612,     0,     0,  1076,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1076,
       0,     0,  1076,     0,  1076,     0,     0,     0,  1227,     0,
       0,     0,     0,  1076,  1076,  1076,     0,     0,     0,  1076,
       0,     0,  1076,     0,     0,     0,     0,     0,     0,   680,
     680,   680,  2938,  3399,     0,     0,     0,  3399,  3412,     0,
       0,     0,  1076,     0,     0,     0,     0,     0,  3426,     0,
    1076,     0,  1076,     0,     0,     0,     0,     0,  1613,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1076,     0,     0,     0,     0,
       0,  1076,     0,     0,     0,  2411,     0,  1076,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1212,
       0,     0,  3466,  1489,  1489,  1213,  2001,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     742,   742,   742,   742,     0,     0,     0,     0,     0,   756,
       0,     0,     0,     0,     0,     0,  1212,     0,     0,     0,
       0,     0,  1213,     0,     0,  1214,     0,     0,  1614,  1615,
    1616,     0,  1617,  1618,  1619,  1620,  1621,  1622,  3509,     0,
       0,     0,  3702,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   833,     0,     0,     0,     0,     0,
       0,   840,  1214,     0,     0,     0,     0,     0,     0,     0,
     855,   856,     0,     0,  1215,   858,     0,     0,     0,     0,
       0,  1216,     0,     0,  1217,   872,   756,     0,     0,   756,
       0,     0,     0,     0,  1597,     0,     0,  1598,   880,     0,
       0,     0,     0,  3564,     0,     0,     0,     0,     0,     0,
       0,  1215,   901,     0,     0,   903,     0,   905,  1216,   908,
       0,  1217,  1601,  1597,     0,     0,  1598,     0,  1602,   876,
       0,     0,     0,     0,     0,     0,  1218,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1601,  1603,     0,   499,     0,     0,  1602,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   680,
       0,     0,     0,  1218,     0,     0,   964,     0,   965,     0,
     742,  1603,  1076,     0,     0,     0,     0,     0,   680,     0,
       0,  1219,     0,  1220,     0,     0,     0,     0,     0,     0,
    1898,     0,     0,  1221,     0,     0,     0,     0,     0,     0,
     680,  1222,     0,     0,  3385,     0,     0,     0,     0,  2608,
    1223,     0,     0,     0,     0,  3657,     0,     0,  1219,  1898,
    1220,   692,     0,     0,     0,     0,     0,     0,     0,     0,
    1221,  1076,  1076,  3734,     0,     0,     0,     0,  1222,     0,
       0,  2507, -2162,     0,     0,  1225,  1605,  1223,     0,     0,
       0,     0,     0,     0,  2551,     0,  2551,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1606,  1607,     0,
    1226, -2162,   756,     0,     0,  1605,     0,     0,  2583,     0,
       0,     0,  1225, -2162,     0,     0,     0,     0,  1076,     0,
       0,     0,     0,     0,     0,     0,  1606,  1607,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2584,     0,     0,
       0,  1610, -2162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1296,  1611,  1076,     0,     0,  1227,     0,
       0,     0,     0,     0,     0,  1076,  1076,     0,  1308,     0,
    1610,     0,     0,  1076,  1076,     0,     0,     0,  1076,  1316,
       0,     0,     0,  1611,  1076,  1076,  1318,     0,  1076,     0,
     680,   680,   680,   680,     0,  1227,     0,  3399,  1368,     0,
    3742,     0,     0,  2938,     0,     0,     0,  2938,     0,     0,
       0,     0,     0,  3755,     0,     0,  1076,     0,     0,     0,
       0,  1076,     0,     0,     0,     0,     0,  3765,     0, -2162,
    1410,     0,     0,  1076,     0,  1597,     0,     0,  1598,   775,
       0,     0,     0,     0,     0,     0,     0,  2977,     0,     0,
       0,  2411,     0,     0,     0,  1599,     0,     0, -2162,     0,
       0,   623,     0,  1601,  1076,     0,     0,     0,     0,  1602,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2551,  2551,     0,     0,     0,     0,
       0,     0,   499,  1603,   499,     0,   499,     0,   499,     0,
     499,   499,   499,     0,     0,     0,     0,   499,  3810,     0,
       0,     0,     0,     0,     0,   741,   743,   756,     0,   747,
     748,     0,     0,  1617,  1618,  1619,  1620,  1621,  1622,   756,
       0,     0,     0,     0,     0,     0,   786,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   742,     0,
       0,     0,  1617,  1618,  1619,  1620,  1621,  1622,     0,     0,
       0,  1212,   742,     0,     0,     0,     0,  1213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -115,     0,   876,     0,
       0,     0,     0,  1604,     0,     0,  1489,  1605,     0,     0,
       1,     0,     0,     0,     0,     0,     0,  1214,     0,     0,
       2,     0,     3,     4,     0,     0,     0,     0,  1606,  1607,
       0,     0,     0,     0,  1076,     0,     0,     5,     0,     0,
       0,     0,     0,     0,  1608,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     6,     0,     7,
       8,   742,  1898,     0,     0,     9,  1215,    10,     0,  1609,
       0,     0,  1610,  1216,     0,     0,  1217,    11,     0,    12,
       0,     0,     0,     0,     0,  1611,     0,     0,  1612,   680,
       0,     0,     0,     0,     0,    13,   692,     0,    14,     0,
       0,     0,     0,     0,     0,   756,     0,     0,     0,     0,
      15,     0,    16,     0,     0,     0,    17,  1076,     0,     0,
       0,     0,    18,     0,     0,     0,  1076,     0,  1218,    19,
       0,    20,     0,     0,     0,     0,     0,    21,     0,     0,
       0,     0,     0,  1076,  1076,     0,     0,  1076,     0,     0,
       0,    22,     0,     0,  3399,     0,     0,  1855,  2938,     0,
    1613,     0,     0,  2938,     0,     0,  2938,  2608,     0,  3950,
       0,  1076,  1076,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1219,     0,  1220,     0,     0,     0,     0,
     756,     0,   756,     0,     0,  1221,  3466,   775,   742,   742,
     742,     0,     0,  1222,     0,    23,    24,     0,     0,     0,
       0,    25,  1223,     0,     0,     0,     0,     0,     0,    26,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      27,   737,   775,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2621,     0,     0,     0,  1225,     0,     0,
    1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,  1621,  1622,
       0,     0,  1489,     0,  3736,     0,   835,    28,   737,     0,
     838,   680,  2622,     0,     0,     0,     0,     0,    29,     0,
       0,     0,  2551,    30,  1898,    31,   859,     0,     0,     0,
      32,     0,     0,     0,     0,    33,  3657,     0,    34,     0,
       0,   680,    35,     0,     0,     0,     0,    36,    37,   742,
    3466,     0,     0,     0,     0,    38,     0,     0,    39,  1597,
       0,     0,  1598,     0,     0,     0,    40,   802,     0,     0,
    1227,     0,  1076,     0,     0,  1076,     0,  1076,    41,  1599,
       0,     0,     0,     0,     0,     0,  2053,  1601,     0,     0,
       0,     0,     0,  1602,  1076,    42,     0,     0,  2938,  2075,
     803,  3950,     0,     0,     0,    43,     0,  4079,     0,     0,
       0,    44,     0,   804,   805,     0,    45,  1603,     0,     0,
       0,     0,   806,     0,     0,     0,   807,   742,    46,     0,
       0,   680,     0,     0,     0,     0,     0,  2117,     0,     0,
       0,  2121,     0,   808,     0,     0,     0,     0,   742,   742,
     742,   742,  2132,     0,  2134,     0,  2135,     0,   876,     0,
       0,  2136,    47,     0,   809,  -115,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1076,     0,
       0,     0,   810,     0,   499,     0,   499,     0,   499,     0,
     499,     0,   499,   811,     0,     0,   499,     0,   812,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,  1604,     0,   813,
       0,  1605,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1076,     0,     0,     0,     0,     0,   742,
       0,   775,  1606,  1607,   814,     0,     0,     0,     0,     0,
    1076,     0,     0,  1235,  1236,     0,     0,     0,  1608,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   742,     0,  1609,     0,   737,  1610,     0,     0,     0,
       0,     0,     0,     0,   815,  3466,     0,     0,     0,  1611,
       0,     0,  1612,     0,     0,     0,     0,     0,     0,  4079,
       0,     0,  1076,  1076,     0,   756,     0,     0,     0,     0,
    1320,     0,   185,     0,     0,   737,     0,     0,     0,     0,
       0,     0,     0,   742,     0,     0,     0,     0,     0,     0,
    1378,  1379,     0,     0,     0,     0,  1212,   816,     0,     0,
       0,   817,  1213,   818,     0,     0,     0,  1406,     0,   819,
    1076,     0,   820,     0,     0,     0,     0,     0,     0,  1597,
    1076,     0,  1598,     0,  1613,   742,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1433,  1435,     0,   821,  1599,
     822,     0,  1214,     0,   823,     0,     0,  1601,     0,     0,
       0,     0,   824,  1602,     0,     0,     0,   825,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1597,     0,
       0,  1598,     0,     0,     0,     0,     0,  1603,  1076,     0,
       0,     0,   826,     0,     0,     0,     0,   737,  1599,     0,
       0,  1215,     0,     0,     0,     0,  1601,     0,  1216,     0,
       0,  1217,  1602,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,
    1619,  1620,  1621,  1622,     0,     0,  1603,     0,  3928,     0,
       0,     0,  1597,     0,     0,  1598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1599,  1218,     0,     0,     0,     0,     0,     0,
    1601,     0,     0,  2418,  2419,     0,  1602,     0,  2422,  2423,
       0,     0,  2426,     0,     0,     0,     0,  1604,     0,     0,
       0,  1605,  2436,     0,     0,     0,     0,     0,     0,  2445,
    1603,     0,   739,  2448,  2449,     0,     0,  2452,  2453,  2454,
       0,     0,  1606,  1607,     0,     0,     0,     0,  1219,  2468,
    1220,  2470,     0,     0,     0,     0,     0,     0,  1608,     0,
    1221,     0,     0,     0,     0,     0,  1604,  2492,  1222,     0,
    1605,     0,  2494,     0,     0,     0,   739,  1223,     0,     0,
       0,     0,     0,  1609,     0,   739,  1610,     0,     0,     0,
       0,  1606,  1607,     0,     0,     0,     0,     0,     0,  1611,
       0,     0,  1612,  2512,  2513,  2516,  2518,  1608,  3031,     0,
    2525,  2528,  1225,     0,     0,     0,     0,     0,  2539,     0,
       0,  2543,     0,     0,     0,  2547,     0,     0,     0,     0,
    1604,     0,  1609,     0,  1605,  1610,     0,  3032,     0,     0,
       0,  2570,     0,     0,     0,     0,     0,     0,  1611,     0,
       0,  1612,  2577,     0,  2579,  1606,  1607,     0,     0,  2582,
       0,     0,     0,     0,  2586,  2587,  2588,  2589,     0,  2591,
    1597,  1608,     0,  1598,  1613,     0,     0,     0,   739,   172,
       0,     0,  2614,  2615,  2616,     0,     0,     0,     0,     0,
    1599,     0,     0,  2624,  2625,  1227,  1609,     0,  1601,  1610,
       0,     0,     0,  1913,  1602,     0,     0,     0,   739,     0,
       0,     0,  1611,     0,     0,  1612,     0,     0,     0,     0,
       0,     0,     0,  1613,     0,   173,     0,     0,  1603,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2687,     0,   175,  1970,  1971,  1972,  1973,
       0,   176,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,
    1619,  1620,  1621,  1622,     0,     0,   177,     0,  3968,     0,
       0,     0,     0,     0,     0,     0,     0,  1613,     0,     0,
       0,     0,     0,     0,   178,  2009,  2010,     0,     0,     0,
       0,  2019,     0,     0,     0,   179,  1597,     0,     0,  1598,
     180,     0,     0,  1614,  1615,  1616,   181,  1617,  1618,  1619,
    1620,  1621,  1622,   739,     0,     0,  1599,  4013,  1604,     0,
    2381,   182,  1605,   739,  1601,     0,     0,     0,     0,     0,
    1602,     0,     0,     0,     0,     0,     0,  2044,     0,     0,
       0,     0,     0,  1606,  1607,  1364,   183,     0,     0,     0,
       0,     0,     0,     0,  1603,     0,     0,     0,     0,  1608,
       0,  2077,  2078,  2079,  2080,     0,     0,  1614,  1615,  1616,
       0,  1617,  1618,  1619,  1620,  1621,  1622,     0,   739,     0,
       0,  4192,     0,     0,  1609,     0,  2807,  1610,     0,     0,
       0,     0,     0,     0,     0,     0,   184,     0,     0,  2382,
    1611,     0,     0,  1612,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2133,     0,     0,     0,     0,     0,     0,
       0,     0,  2137,     0,   185,     0,     0,   739,     0,  2144,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   186,
       0,     0,     0,     0,  1604,   187,     0,  1597,  1605,     0,
    1598,   188,     0,     0,   189,     0,     0,     0,     0,     0,
       0,     0,  1364,     0,     0,  1613,     0,  1599,     0,  1606,
    1607,     0,     0,     0,     0,  1601,     0,     0,     0,     0,
     190,  1602,   191,     0,     0,  1608,   192,     0,     0,     0,
       0,   739,     0,     0,   193,     0,     0,     0,     0,   194,
       0,     0,     0,     0,     0,  1603,     0,     0,     0,     0,
    1609,   195,  1063,  1610,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,   196,     0,  1611,     0,     0,  1612,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1120,     0,     0,     0,     0,     0,   739,   739,
       0,   739,     0,     0,     0,  1614,  1615,  1616,     0,  1617,
    1618,  1619,  1620,  1621,  1622,  2302,     0,     0,   739,  4276,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1597,     0,     0,  1598,     0,  2987,  2988,     0,
       0,  1613,     0,     0,     0,  1604,     0,   739,  1744,  1605,
       0,     0,  1599,     0,     0,     0,     0,     0,     0,     0,
    1601,     0,     0,     0,     0,     0,  1602,     0,     0,     0,
    1606,  1607,     0,     0,     0,     0,   739,     0,     0,     0,
     739,   739,     0,     0,     0,     0,  1608,     0,     0,     0,
    1603,     0,  2383,     0,     0,  1364,     0,  3021,  3023,     0,
       0,  1744,  3023,     0,     0,     0,     0,  3034,  3035,  3036,
       0,  1609,     0,     0,  1610,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1611,     0,     0,
    1612,  1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,  1621,
    1622,     0,     0,  3057,  3058,  3059,  3060,     0,  1364,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2865,
       0,     0,     0,     0,  2866,     0,     0,     0,  1364,  3085,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1604,     0,     0,     0,  1605,     0,     0,     0,     0,     0,
       0,     0,  1613,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1606,  1607,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1608,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3123,     0,  2459,  2460,  2461,     0,     0,  1364,  3127,
    2469,     0,  2471,     0,  2473,  2474,  1609,     0,     0,  1610,
       0,     0,     0,     0,     0,     0,     0,  1364,     0,     0,
       0,     0,  1611,     0,     0,  1612,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1536,     0,  1364,     0,     0,
       0,     0,  1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,
    1621,  1622,     0,     0,  3434,     0,     0,  1744,     0,     0,
       0,  3212,  1364,     0,  1560,     0,     0,     0,     0,     0,
       0,  3218,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1585,  1586,     0,  1588,     0,  1613,  3237,     0,
    3239,  2576,     0,     0,     0,     0,     0,     0,   739,     0,
       0,     0,  1627,     0,  1364,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3278,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3288,  1663,     0,     0,     0,     0,     0,  2633,     0,     0,
       0,     0,     0,     0,     0,  2642,  2643,  2644,  2645,  2646,
    2647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1765,     0,     0,     0,  1775,  1778,   739,  1614,  1615,  1616,
       0,  1617,  1618,  1619,  1620,  1621,  1622,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,   739,     0,     0,     0,     0,     0,     0,   739,
       0,     0,   739,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,   739,   739,     0,     0,     0,  2730,
       0,     0,   739,     0,     0,   739,   739,   739,   739,     0,
       0,     0,     0,     0,     0,   739,   739,     0,   739,     0,
     739,   739,     0,     0,   739,     0,  2768,     0,  2770,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1364,
     739,  1744,     0,     0,     0,   739,     0,     0,     0,   739,
       0,     0,     0,   739,     0,   739,   739,   739,   739,   739,
     739,   739,   739,   739,     0,   739,     0,     0,     0,     0,
     739,     0,   739,     0,     0,     0,     0,     0,  1597,     0,
       0,  1598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1599,     0,
       0,     0,     0,     0,     0,     0,  1601,     0,     0,     0,
       0,     0,  1602,     0,     0,     0,     0,     0,     0,  2818,
    1597,     0,     0,  1598,     0,     0,     0,     0,  3477,     0,
    3478,     0,     0,     0,  3480,     0,  1603,     0,     0,     0,
    1599,     0,     0,     0,     0,     0,     0,     0,  1601,  3489,
       0,     0,  1597,     0,  1602,  1598,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3497,     0,     0,     0,
       0,     0,  1599,     0,     0,  3508,     0,     0,  1603,     0,
    1601,     0,     0,     0,     0,     0,  1602,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1603,     0,     0,     0,  4250,  3536,  3537,  3538,  3539,  3540,
    3541,  3542,     0,     0,     0,     0,  3549,  3550,     0,  3552,
    3553,  3554,  3555,  3556,  3557,  3558,  1604,     0,     0,     0,
    1605,     0,     0,     0,  3565,  1744,  3567,  3568,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1606,  1607,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,  1608,  1604,     0,
     739,     0,  1605,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,  2878,     0,     0,     0,     0,     0,
       0,     0,  1609,  1606,  1607,  1610,     0,     0,     0,     0,
    1604,     0,     0,     0,  1605,  3616,  3618,  3620,  1611,  1608,
    3623,  1612,  1364,     0,     0,  1362,     0,  1364,  1364,     0,
       0,     0,     0,  2228,     0,  1606,  1607,     0,  4251,  1364,
       0,     0,     0,     0,  1609,     0,     0,  1610,     0,     0,
       0,  1608,     0,     0,     0,  1744,  2251,     0,  1744,  2253,
    1611,     0,  2264,  1612,     0,  3013,     0,  3014,  3015,  2271,
    2276,     0,     0,     0,     0,  2282,  1609,     0,  2287,  1610,
       0,     0,  3358,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1611,  1613,  2296,  1612,  3023,     0,     0,  2303,
       0,     0,     0,  2315,     0,     0,     0,  2322,     0,  2324,
    2325,  2326,  2327,  2328,  2329,  2330,  2331,  2332,     0,  2333,
       0,     0,     0,     0,  1063,     0,  2358,     0,     0,     0,
       0,     0,     0,     0,     0,  1613,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3359,
       0,     0,  1362,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1613,     0,   739,
       0,  1364,     0,     0,     0,     0,  1363,     0,     0,     0,
       0,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,  1619,
    1620,  1621,  1622,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1597,
       0,     0,  1598,     0,     0,  1614,  1615,  1616,     0,  1617,
    1618,  1619,  1620,  1621,  1622,     0,     0,     0,     0,  1599,
       0,     0,  2828,     0,     0,  1364,     0,  1601,     0,     0,
       0,  1120,     0,  1602,     0,     0,     0,  1614,  1615,  1616,
       0,  1617,  1618,  1619,  1620,  1621,  1622,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1603,     0,     0,
       0,     0,     0,  1647,     0,     0,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
       0,     0,  3800,  3801,  3802,  3803,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2450,  1364,
       0,     0,     0,     0,     0,     0,     0,  3816,  3817,     0,
       0,     0,     0,   739,     0,  1362,     0,     0,   739,  3826,
    3827,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   739,   739,     0,     0,     0,
       0,   739,     0,     0,     0,  3286,     0,  1604,  3287,     0,
       0,  1605,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   739,   739,  1362,     0,
       0,   739,  1606,  1607,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   739,   739,   739,   739,     0,  1608,  3311,
       0,  1744,     0,     0,     0,     0,   739,  1744,  1362,   739,
       0,   739,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,   739,  1609,     0,   739,  1610,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   739,  1611,
     739,     0,  1612,  3872,   739,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,  3893,     0,     0,     0,
       0,   739,     0,   739,   739,   739,  1363,     0,  1362,     0,
       0,     0,  1597,     0,     0,  1598,  3910,     0,     0,     0,
     739,     0,     0,     0,     0,     0,     0,  1362,     0,     0,
       0,   739,  1599,  2660,     0,     0,   739,     0,     0,     0,
    1601,     0,     0,   739,  1613,     0,  1602,  1362,     0,   739,
       0,     0,     0,     0,     0,     0,     0,  1597,     0,  1890,
    1598,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1603,     0,  1362,     0,     0,     0,     0,  1599,     0,     0,
    2873,     0,     0,     0,     0,  1601,   739,     0,     0,  1363,
       0,  1602,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   499,     0,     0,     0,     0,     0,     0,  1364,
       0,     0,     0,     0,     0,  1603,     0,     0,     0,     0,
       0,     0,     0,     0,  1362,     0,     0,     0,     0,  3483,
    3484,  3485,  3486,     0,  1614,  1615,  1616,     0,  1617,  1618,
    1619,  1620,  1621,  1622,     0,     0,     0,     0,     0,  1364,
    1364,  2782,  1364,     0,     0,     0,     0,     0,     0,  1363,
    3994,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1604,     0,     0,     0,  1605,     0,     0,     0,  1363,     0,
       0,  1744,  1744,  1744,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1606,  1607,     0,  1363,     0,
    4018,     0,     0,     0,  1364,     0,  1364,     0,     0,     0,
       0,  1608,     0,     0,     0,  1604,     0,     0,     0,  1605,
       0,     0,     0,  1363,     0,     0,     0,     0,     0,     0,
    2824,     0,     0,     0,     0,  2830,  1609,  3023,     0,  1610,
    1606,  1607,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1611,     0,     0,  1612,  1608,     0,     0,  1364,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2843,
       0,     0,     0,     0,     0,  1363,     0,  2276,     0,  2276,
    2276,  1609,     0,  1364,  1610,     0,     0,     0,     0,     0,
    2887,     0,     0,  2890,     0,  2892,     0,  1611,     0,  1362,
    1612,     0,     0,     0,     0,  1744,     0,     0,  1364,  3622,
       0,     0,     0,     0,  4095,     0,     0,     0,     0,     0,
       0,     0,  2913,     0,  2915,  1744,  1364,  1613,  2918,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2358,  2358,  2358,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1613,     0,  2955,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1765,     0,     0,  3023,  1364,
    2965,     0,     0,     0,     0,     0,     0,  1778,     0,     0,
       0,     0,     0,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1364,     0,     0,  1614,  1615,  1616,
       0,  1617,  1618,  1619,  1620,  1621,  1622,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2996,   739,     0,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,  4189,     0,
       0,     0,  1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,
    1621,  1622,     0,     0,     0,     0,   739,     0,     0,  1364,
       0,     0,     0,  2361,     0,     0,   739,     0,     0,     0,
       0,     0,   739,     0,   739,     0,     0,     0,     0,  1364,
     739,     0,     0,   739,   739,   739,   739,   739,   739,   739,
     739,   739,   739,     0,     0,     0,   739,   739,     0,     0,
       0,     0,     0,     0,  1364,     0,     0,     0,     0,   739,
       0,     0,     0,   739,     0,  1744,     0,   739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   739,     0,     0,
     739,     0,   739,     0,     0,     0,     0,     0,     0,     0,
    1364,   739,   739,   739,     0,     0,     0,   739,     0,     0,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,  1362,     0,     0,     0,     0,  1362,  1362,     0,
     739,     0,     0,     0,     0,     0,     0,     0,   739,  1362,
     739,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,   739,  1597,     0,     0,  1598,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     739,     0,     0,     0,     0,     0,  1599,  3831,     0,  2884,
       0,     0,     0,     0,  1601,     0,     0,     0,     0,     0,
    1602,  3834,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1597,
       0,     0,  1598,     0,  1603,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1599,
       0,     0,     0,     0,     0,     0,  1744,  1601,     0,     0,
    1744,  1364,  1744,  1602,     0,     0,     0,     0,     0,     0,
       0,  1362,     0,  2496,     0,     0,     0,     0,  1890,  2503,
       0,     0,     0,     0,  1624,     0,     0,  1603,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3878,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1597,     0,     0,  1598,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1604,  1599,     0,     0,  1605,     0,
       0,  1624,     0,  1601,     0,  1362,     0,     0,     0,  1602,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1606,
    1607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3316,     0,     0,  1603,     0,  1608,     0,     0,     0,     0,
    3320,     0,     0,     0,     0,     0,  3321,  1604,  3322,     0,
     739,  1605,     0,     0,     0,     0,     0,     0,     0,     0,
    1609,     0,     0,  1610,     0,     0,     0,     0,     0,     0,
    3340,  3341,  1606,  1607,     0,  1364,  1611,     0,     0,  1612,
       0,     0,  1363,     0,     0,     0,     0,     0,  1608,  1362,
       0,  2282,     0,     0,     0,     0,     0,  3973,  3975,  3975,
       0,  3369,     0,     0,  3372,     0,  3374,     0,  1364,   739,
     739,     0,     0,  1609,     0,  3378,  1610,     0,     0,     0,
       0,  3383,     0,     0,  3386,     0,     0,     0,     0,  1611,
       0,     0,  1612,  1604,     0,     0,     0,  1605,     0,     0,
       0,     0,     0,     0,  3415,     0,     0,     0,     0,     0,
       0,  1613,  3427,     0,  2358,     0,  1890,     0,  1606,  1607,
       0,     0,     0,     0,     0,     0,   739,     0,     0,     0,
       0,     0,     0,     0,  1608,     0,     0,  3441,     0,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,  1120,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1609,
       0,     0,  1610,   739,  1613,     0,     0,     0,  4047,     0,
       0,     0,     0,   739,   739,  1611,  1364,     0,  1612,     0,
       0,   739,   739,     0,     0,     0,   739,  1364,     0,     0,
    3315,     0,   739,   739,     0,     0,   739,     0,     0,     0,
    1363,  1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,  1621,
    1622,   739,  1354,     0,     0,   739,     0,     0,     0,     0,
       0,     0,     0,     0,   739,     0,     0,     0,     0,   739,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   739,     0,     0,     0,     0,  4089,     0,     0,     0,
    1613,     0,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,
    1619,  1620,  1621,  1622,     0,     0,     0,     0,  4107,     0,
    4109,     0,   739,     0,     0,     0,  1212,     0,     0,     0,
       0,     0,  1213,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1624,     0,     0,     0,     0,     0,     0,  1247,     0,  1744,
       0,     0,     0,     0,     0,     0,     0,     0,  1364,  1362,
       0,     0,  1214,     0,     0,     0,     0,     0,     0,     0,
    1364,     0,     0,     0,     0,     0,     0,     0,     0,  1354,
    1614,  1615,  1616,     0,  1617,  1618,  1619,  1620,  1621,  1622,
       0,     0,     0,  1248,     0,     0,     0,     0,  3975,  1362,
    1362,     0,  1362,     0,  2361,  2361,  2361,     0,     0,     0,
       0,  1215,     0,     0,  1364,     0,     0,  1624,  1216,     0,
       0,  1217,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1744,     0,     0,     0,     0,     0,
    4190,  1624,     0,     0,     0,     0,  2260,     0,     0,     0,
       0,     0,     0,     0,  1362,     0,  1362,     0,     0,     0,
       0,     0,     0,  3670,  3671,     0,  1624,  1624,     0,  1624,
    1249,     0,   739,  1218,     0,     0,     0,     0,  1597,     0,
       0,  1598,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4224,     0,     0,     0,     0,     0,  1599,     0,
       0,  3365,     0,     0,     0,     0,  1601,     0,  1624,  1362,
    1363,     0,  1602,     0,     0,     0,  1250,     0,  1251,     0,
    3700,     0,     0,     0,  1364,     0,     0,     0,  1252,     0,
    1220,     0,     0,  1362,  4257,     0,  1603,     0,     0,     0,
    1221,     0,     0,     0,  1624,     0,     0,     0,  1222,     0,
    1890,  2503,     0,  2503,     0,   739,  1253,  1223,  1362,  1364,
       0,     0,     0,     0,   739,     0,     0,  3718,  3720,     0,
       0,     0,  1354,     0,     0,     0,  1362,     0,     0,     0,
    3727,   739,   739,     0,     0,   739,  3732,  3733,  2571,     0,
    3735,     0,  1225,  1255,     0,     0,   739,     0,     0,     0,
       0,   739,     0,     0,   739,  1363,     0,  1363,     0,   739,
     739,     0,     0,     0,     0,     0,     0,  2572,  2358,     0,
       0,     0,     0,  2358,     0,  1354,     0,     0,  1257,  1597,
       0,     0,  1598,     0,   739,  2358,  1604,     0,     0,  1362,
    1605,     0,     0,     0,     0,     0,  1624,     0,     0,  1599,
       0,     0,     0,  1362,     0,  1354,  1624,  1601,     0,  1624,
    1363,  1606,  1607,  1602,  1362,  1364,  3781,     0,     0,   739,
       0,     0,     0,     0,     0,  1227,     0,  1608,     0,     0,
       0,     0,     0,     0,  1363,     0,     0,  1603,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1609,     0,     0,  1610,   739,     0,     0,  2503,
       0,     0,     0,     0,     0,     0,     0,     0,  1611,     0,
       0,  1612,     0,     0,     0,  1354,     0,  2503,     0,  1362,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1354,     0,     0,     0,   739,  1362,
    1364,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1354,     0,     0,     0,     0,     0,
     739,  1364,     0,   739,  1362,   739,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1604,     0,  1354,
    1363,  1605,   739,  1613,     0,     0,   739,     0,     0,     0,
       0,  1364,     0,     0,  2503,     0,     0,     0,     0,     0,
    1362,     0,  1606,  1607,     0,  1363,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3861,     0,  1608,     0,
       0,     0,     0,     0,     0,  1744,     0,     0,  1364,     0,
       0,  1354,  1364,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1609,     0,     0,  1610,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1611,
       0,     0,     0,     0,     0,     0,   739,     0,  1356,     0,
    1363,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,  1619,
    1620,  1621,  1622,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,  1364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1363,     0,     0,     0,     0,
       0,   739,     0,     0,     0,     0,     0,     0,     0,  3936,
       0,     0,     0,     0,  1613,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,     0,  3953,  1357,     0,     0,     0,     0,
       0,  1362,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,  2361,     0,     0,     0,     0,     0,     0,     0,     0,
     739,   739,     0,     0,     0,     0,  1354,     0,     0,     0,
       0,     0,     0,   739,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1614,  1615,  1616,     0,  1617,  1618,
    1619,  1620,  1621,  1622,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   739,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   739,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1744,     0,     0,     0,     0,  1359,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1624,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2503,     0,  1356,  1362,   739,  2282,     0,     0,
       0,  1744,  1624,     0,  1624,   739,  2260,  2260,  2861,  1744,
       0,  2260,     0,     0,     0,  1624,  4070,     0,     0,     0,
       0,     0,  1624,     0,  1356,     0,     0,  1624,  1362,     0,
       0,     0,     0,  1624,     0,     0,     0,     0,  1624,     0,
       0,     0,     0,     0,     0,     0,     0,  1624,     0,     0,
       0,  2260,  2260,     0,  1624,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1624,     0,     0,     0,
       0,     0,     0,  1624,     0,  1624,  1624,  1624,  1624,  1624,
    1624,  1624,  1624,  1624,  1624,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
    4131,     0,     0,     0,     0,     0,     0,     0,     0,  1624,
       0,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1356,     0,     0,  1362,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1363,  1362,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,  1356,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,  1354,
       0,     0,  4171,     0,  1354,  1354,     0,     0,     0,  1890,
       0,     0,     0,     0,     0,     0,  1354,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1624,     0,     0,     0,     0,     0,     0,  1357,     0,
    1356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4210,  4210,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1362,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1362,  1359,
       0,     0,  4210,     0,     0,     0,     0,  1363,     0,     0,
    1362,     0,  4254,  1360,     0,     0,     0,     0,  1363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1354,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,  1359,     0,  1362,  2361,     0,     0,     0,     0,
    2361,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
    4210,     0,  2361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1624,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,     0,     0,  1363,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,  1363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,  1354,     0,     0,  1362,
       0,     0,     0,     0,     0,  1363,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1624,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,  1624,     0,     0,     0,     0,
       0,  1624,     0,     0,     0,  1362,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3902,     0,  2861,  2861,  1357,
    2260,     0,     0,  2260,  2260,  2260,  2260,  2260,  2260,  2260,
    2260,  2260,  2260,  2861,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1363,     0,     0,     0,     0,     0,     0,     0,  1624,  1360,
       0,  1624,     0,  1624,     0,     0,     0,     0,  2861,  2861,
       0,     0,     0,     0,     0,     0,     0,     0,  1360,     0,
       0,     0,  2260,  2260,  1624,  1361,  1624,   511,  1356,  1624,
    1362,     0,     0,  1356,  1356,     0,     0,     0,  1360,   512,
       0,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,  1362,     0,     0,     0,     0,     0,     0,     0,     0,
     513,     0,     0,  1360,     0,     0,  1624,     0,     0,     0,
       0,     0,     0,   514,     0,     0,  1624,     0,     0,     0,
       0,  1362,   515,  1359,     0,     0,  -692,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2503,     0,     0,     0,
       0,     0,     0,   516,     0,     0,  1354,  1624,     0,   517,
       0,     0,     0,     0,     0,  1360,     0,     0,  1362,     0,
       0,     0,  1362,  1362,   518,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   519,     0,     0,     0,  1354,  1354,     0,  1354,
       0,     0,  1361,   520,     0,     0,     0,     0,     0,     0,
     521,     0,     0,     0,   522,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,  -881,
       0,  2503,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1354,  1363,  1354,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   523,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1363,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1357,     0,     0,     0,     0,  1357,  1357,     0,
       0,  1356,     0,     0,   524,     0,  1354,   525,     0,  1357,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1363,
       0,     0,     0,  1363,  1363,     0,     0,     0,     0,     0,
    1354,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1354,     0,   526,     0,     0,
    2260,     0,     0,   527,     0,     0,     0,     0,     0,  -369,
       0,     0,   528,  1354,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3902,  1356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,  -369,     0,
     529,   530,     0,   531,   532,     0,     0,     0,     0,     0,
       0,     0,   533,     0,     0,     0,  1359,   534,     0,     0,
       0,  1359,  1359,   535,     0,     0,   536,     0,     0,   537,
       0,     0,     0,  1359,     0,     0,  1354,     0,     0,     0,
       0,  1357,  -369,     0,     0,     0,     0,     0,  1361,     0,
    1354,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1354,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1624,  1361,     0,
       0,  1624,  1624,  1624,     0,     0,  2861,     0,     0,     0,
       0,  2861,  2861,  2861,  2861,  2861,  2861,  2861,  2861,  2861,
    2861,  1624,  1624,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1354,     0,     0,     0,
    1624,  2260,  2260,  1624,     0,  1624,     0,     0,     0,  1624,
    2861,  2861,     0,     0,  1624,     0,  1354,  1624,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,  1361,     0,     0,
       0,  1354,     0,     0,     0,     0,  1624,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,  1624,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,  1624,     0,     0,     0,     0,  1354,     0,     0,
       0,     0,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1360,     0,     0,     0,     0,  1360,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1359,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1356,  1356,     0,  1356,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1356,     0,  1356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1354,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2861,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1356,
       0,  1624,  1624,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,  1624,     0,     0,     0,  2260,     0,     0,     0,  1357,
       0,     0,  1356,     0,     0,     0,     0,     0,     0,  1624,
       0,  1624,     0,     0,     0,     0,  2861,  2861,  1624,     0,
       0,  2260,  2260,  1624,  1624,     0,  1624,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
    1357,     0,  1357,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,  1624,     0,     0,     0,     0,     0,     0,  1356,
       0,     0,     0,     0,     0,  1354,     0,     0,     0,     0,
    1356,     0,     0,     0,  1357,     0,  1357,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,     0,  1624,     0,     0,  1356,     0,     0,     0,     0,
       0,     0,     0,  1359,  1359,     0,  1359,     0,     0,     0,
       0,     0,     0,  1357,     0,  1356,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1354,     0,     0,     0,     0,  1357,     0,
    1356,     0,     0,     0,  1354,     0,     0,     0,     0,  2861,
    2260,     0,     0,     0,     0,     0,  1357,     0,  1359,     0,
    1359,     0,     0,     0,     0,  2861,  2861,  1624,     0,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,  1624,     0,     0,     0,     0,     0,
       0,     0,  1361,     0,     0,     0,     0,  1361,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,  1357,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1357,     0,     0,     0,  1359,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,  1354,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,  1354,     0,     0,     0,     0,
    1359,     0,     0,     0,     0,     0,     0,  1354,     0,     0,
       0,  2861,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1624,     0,     0,     0,     0,     0,     0,     0,  1357,
    1360,  1360,     0,  1360,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1357,
       0,  1354,     0,     0,     0,     0,     0,  1356,     0,     0,
       0,  1361,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,  1359,     0,     0,
       0,     0,  1624,     0,     0,  1360,     0,  1360,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1624,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,  1624,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,  1354,     0,  1359,     0,
       0,     0,     0,     0,     0,  1624,     0,  1360,     0,     0,
       0,  1356,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,  1357,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1356,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,  1356,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,     0,     0,  1354,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,  1354,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1354,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,     0,  1354,     0,     0,     0,  1354,
    1354,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,  1356,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1356,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
    1361,     0,  1361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1359,
    1356,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1357,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1357,     0,     0,
       0,     0,  1359,     0,  1361,     0,  1361,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
    1359,     0,     0,     0,     0,  1356,     0,     0,     0,     0,
       0,  1359,     0,     0,     0,     0,  1361,     0,  1357,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1357,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,  1357,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1361,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
       0,  1356,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,  1356,     0,  1359,     0,
       0,     0,     0,     0,     0,     0,     0,  1360,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,  1356,  1360,  1357,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1356,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1356,     0,     0,     0,  1356,  1356,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,  1357,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1360,     0,     0,     0,     0,
    1357,  1361,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1357,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1359,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1357,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1357,     0,
       0,     0,  1357,  1357,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1360,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,  1359,  1359,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1360,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1361,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1361,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1360,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,  1360,
       0,     0,     0,  1360,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1361,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1361,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1361,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1361,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   712,   981,   550,   982,   983,   984,
     597,   985,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  2352,   209,   210,   211,     0,  1361,     0,
       0,   986,  1361,  1361,   212,   213,     0,   214,   215,   713,
     216,   217,   218,   219,   987,   714,   988,   989,     0,   223,
     224,   225,   226,   227,   990,   991,   228,   229,   992,   993,
     232,     0,   233,   234,   235,   236,   994,     0,   995,     0,
     238,   239,   240,   241,   716,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,   717,   250,   251,   996,   997,
     998,   999,  1000,  1001,  1002,   252,   253,   254,   255,   256,
     257,  1003,  1004,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,  2353,     0,   270,   271,
    1005,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,  1006,   285,   286,   287,  1007,
    1008,   289,     0,   290,  1009,   292,     0,   293,     0,   294,
     719,     0,   720,   295,   296,   297,     0,   298,  1010,     0,
     300,     0,   301,   302,   303,   304,   305,   721,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
     722,   316,   317,   318,   319,   320,  1011,  1012,     0,  1013,
       0,   324,   723,   724,   325,   725,   326,   327,   328,   329,
     330,   331,   332,     0,   333,  1014,   726,   335,   727,     0,
     336,   337,   338,  1015,  1016,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,  1017,   728,  1018,
     353,   354,   355,  1019,   356,   357,   729,   358,  1020,  1021,
     360,  1022,   362,   363,   364,     0,   365,     0,     0,  1023,
     367,   368,     0,     0,   369,   730,   731,   732,  1024,   371,
     372,   373,   374,   375,   376,   377,     0,   378,  1025,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,  1026,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,   733,   409,   410,  1027,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,  1028,
     425,   426,   427,   428,   734,   429,  1029,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,  1030,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,  1031,  1032,     0,     0,   453,  1033,   455,  1034,  1035,
     457,   458,   459,   460,   461,   462,   463,     0,  1036,   464,
     465,   466,   467,   468,  1037,     0,   469,   470,   471,   472,
     473,   474,  1038,  2354,   476,   735,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
    1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,   496,
     497,     0,     0,     0,     0,     0,     0,     0,  1047,  1048,
    2355,     0,     0,     0,     0,     0,     0,  1050,  2356,   712,
     981,   550,   982,   983,   984,   597,   985,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   986,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   987,
     714,   988,   989,     0,   223,   224,   225,   226,   227,   990,
     991,   228,   229,   992,   993,   232,     0,   233,   234,   235,
     236,   994,     0,   995,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,   996,   997,   998,   999,  1000,  1001,  1002,
     252,   253,   254,   255,   256,   257,  1003,  1004,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
    1006,   285,   286,   287,  1007,  1008,   289,     0,   290,  1009,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,  1010,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,  1011,  1012,     0,  1013,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
    1014,   726,   335,   727,     0,   336,   337,   338,  1015,  1016,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1017,   728,  1018,   353,   354,   355,  1019,   356,
     357,   729,   358,  1020,  1021,   360,  1022,   362,   363,   364,
       0,   365,     0,     0,  1023,   367,   368,     0,     0,   369,
     730,   731,   732,  1024,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1025,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1026,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,  1027,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1028,   425,   426,   427,   428,   734,
     429,  1029,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1030,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1031,  1032,     0,     0,
     453,  1033,   455,  1034,  1035,   457,   458,   459,   460,   461,
     462,   463,     0,  1036,   464,   465,   466,   467,   468,  1037,
       0,   469,   470,   471,   472,   473,   474,  1038,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,  1046,   495,   496,   497,     0,     0,     0,     0,
       0,     0,     0,  1047,  1048,   199,     0,     0,     0,     0,
       0,     0,  1050,  2262,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,  3397,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0, -1406,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0, -1406,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315, -1406,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325, -1406,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334, -1406,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351, -1406,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408, -1406,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,     0,     0,     0,     0,     0,     0,  1330,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1127,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,  1331,
     714,  1332,  1333,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1334,  1335,   232,     0,   233,   234,   235,
     236,     0,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,  1336,  1337,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
       0,   285,   286,   287,     0,     0,   289,     0,   290,  1338,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,     0,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,  1878,   309,   310,   311,
     312,   313,   314,     0,   315,   722,  1879,   317,   318,   319,
     320,  1339,  1340,     0,  1341,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1342,   728,  1343,   353,   354,     0,     0,   356,
     357,   729,   358,     0,     0,   360,  1344,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,  1880,
     730,   731,   732,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1345,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1881,   427,   428,   734,
     429,  1347,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1348,  1349,     0,     0,
     453,     0,   455,     0,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,     0,  1350,  1882,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,     0,   199,     0,     0,     0,     0,
       0,     0,     0,   495,   496,   497,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,  1883,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,     0,     0,     0,     0,     0,     0,  1330,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2695,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,  1331,
     714,  1332,  1333,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1334,  1335,   232,     0,   233,   234,   235,
     236,     0,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,  1336,  1337,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
       0,   285,   286,   287,     0,     0,   289,     0,   290,  1338,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,     0,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,  1878,   309,   310,   311,
     312,   313,   314,     0,   315,   722,  1879,   317,   318,   319,
     320,  1339,  1340,     0,  1341,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1342,   728,  1343,   353,   354,     0,     0,   356,
     357,   729,   358,     0,     0,   360,  1344,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,  1880,
     730,   731,   732,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1345,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1881,   427,   428,   734,
     429,  1347,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1348,  1349,     0,     0,
     453,     0,   455,     0,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,     0,  1350,  1882,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,     0,   712,   981,   550,   982,   983,
     984,   597,   985,   495,   496,   497,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   986,  2746,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   987,   714,   988,   989,  2272,
     223,   224,   225,   226,   227,   990,   991,   228,   229,   992,
     993,   232,     0,   233,   234,   235,   236,   994,     0,   995,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,   996,
     997,   998,   999,  1000,  1001,  1002,   252,   253,   254,   255,
     256,   257,  1003,  1004,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1005,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,  1006,   285,   286,   287,
    1007,  1008,   289,     0,   290,  1009,   292,     0,   293,     0,
     294,   719,  2273,   720,   295,   296,   297,     0,   298,  1010,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,  1011,  1012,     0,
    1013,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,  2274,   333,  1014,   726,   335,   727,
       0,   336,   337,   338,  1015,  1016,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1017,   728,
    1018,   353,   354,   355,  1019,   356,   357,   729,   358,  1020,
    1021,   360,  1022,   362,   363,   364,     0,   365,     0,     0,
    1023,   367,   368,     0,     0,   369,   730,   731,   732,  1024,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1025,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1026,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,  1027,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1028,   425,   426,   427,   428,   734,   429,  1029,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1030,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1031,  1032,     0,  2275,   453,  1033,   455,  1034,
    1035,   457,   458,   459,   460,   461,   462,   463,     0,  1036,
     464,   465,   466,   467,   468,  1037,     0,   469,   470,   471,
     472,   473,   474,  1038,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,
     496,   497,     0,     0,     0,     0,     0,     0,     0,  1047,
    1048,     0,     0,     0,     0,     0,     0,     0,  1050,   712,
     981,   550,   982,   983,   984,   597,   985,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   986,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   987,
     714,   988,   989,     0,   223,   224,   225,   226,   227,   990,
     991,   228,   229,   992,   993,   232,     0,   233,   234,   235,
     236,   994,     0,   995,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,   996,   997,   998,   999,  1000,  1001,  1002,
     252,   253,   254,   255,   256,   257,  1003,  1004,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
    1006,   285,   286,   287,  1007,  1008,   289,     0,   290,  1009,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,  1010,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,  1011,  1012,     0,  1013,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
    1014,   726,   335,   727,     0,   336,   337,   338,  1015,  1016,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1017,   728,  1018,   353,   354,   355,  1019,   356,
     357,   729,   358,  1020,  1021,   360,  1022,   362,   363,   364,
       0,   365,     0,     0,  1023,   367,   368,     0,     0,   369,
     730,   731,   732,  1024,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1025,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1026,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,  1027,
     412,   413,   414,   415,   416,   417,   418,   419,    37,   420,
     421,   422,   423,   424,  1028,   425,   426,   427,   428,   734,
     429,  1029,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1030,     0,   443,   444,    41,   445,
     446,   447,   448,   449,   450,     0,  1031,  1032,     0,     0,
     453,  1033,   455,  1034,  1035,   457,   458,   459,   460,   461,
     462,   463,     0,  1036,   464,   465,   466,   467,   468,  1037,
       0,   469,   470,   471,   472,   473,   920,  1038,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,    46,   481,
     482,   483,   484,   485,   486,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,  1046,   495,   496,   497,     0,     0,     0,     0,
       0,     0,     0,  1047,  1048,     0,     0,     0,     0,     0,
       0,     0,  1050,   712,   981,   550,   982,   983,   984,   597,
     985,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
     986,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   987,   714,   988,   989,     0,   223,   224,
     225,   226,   227,   990,   991,   228,   229,   992,   993,   232,
       0,   233,   234,   235,   236,   994,     0,   995,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,   996,   997,   998,
     999,  1000,  1001,  1002,   252,   253,   254,   255,   256,   257,
    1003,  1004,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,  1005,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,  1006,   285,   286,   287,  1007,  1008,
     289,     0,   290,  1009,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,  1010,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,  1011,  1012,     0,  1013,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1014,   726,   335,   727,     0,   336,
     337,   338,  1015,  1016,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1017,   728,  1018,   353,
     354,   355,  1019,   356,   357,   729,   358,  1020,  1021,   360,
    1022,   362,   363,   364,     0,   365,     0,     0,  1023,   367,
     368,     0,     0,   369,   730,   731,   732,  1024,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1025,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1026,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,  1027,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1028,   425,
     426,   427,   428,   734,   429,  1029,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1030,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1031,  1032,     0,     0,   453,  1033,   455,  1034,  1035,   457,
     458,   459,   460,   461,   462,   463,     0,  1036,   464,   465,
     466,   467,   468,  1037,     0,   469,   470,   471,   472,   473,
     474,  1038,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,   496,   497,
       0,     0,     0,     0,     0,     0,     0,  1047,  1048,     0,
       0,     0,     0,     0,  1531,  2220,  1050,   712,   981,   550,
     982,   983,   984,   597,   985,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   986,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   987,   714,   988,
     989,     0,   223,   224,   225,   226,   227,   990,   991,   228,
     229,   992,   993,   232,     0,   233,   234,   235,   236,   994,
       0,   995,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,   996,   997,   998,   999,  1000,  1001,  1002,   252,   253,
     254,   255,   256,   257,  1003,  1004,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,  1005,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,  1006,   285,
     286,   287,  1007,  1008,   289,     0,   290,  1009,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,  1010,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,  1011,
    1012,     0,  1013,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,  1014,   726,
     335,   727,     0,   336,   337,   338,  1015,  1016,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1017,   728,  1018,   353,   354,   355,  1019,   356,   357,   729,
     358,  1020,  1021,   360,  1022,   362,   363,   364,     0,   365,
       0,     0,  1023,   367,   368,     0,     0,   369,   730,   731,
     732,  1024,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1025,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1026,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,  1027,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1028,   425,   426,   427,   428,   734,   429,  1029,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1030,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,  1031,  1032,     0,     0,   453,  1033,
     455,  1034,  1035,   457,   458,   459,   460,   461,   462,   463,
       0,  1036,   464,   465,   466,   467,   468,  1037,     0,   469,
     470,   471,   472,   473,   474,  1038,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,
    1046,   495,   496,   497,     0,     0,     0,     0,     0,     0,
       0,  1047,  1048,  1049,     0,     0,     0,     0,     0,     0,
    1050,   712,   981,   550,   982,   983,   984,   597,   985,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,   986,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   987,   714,   988,   989,     0,   223,   224,   225,   226,
     227,   990,   991,   228,   229,   992,   993,   232,     0,   233,
     234,   235,   236,   994,     0,   995,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,   996,   997,   998,   999,  1000,
    1001,  1002,   252,   253,   254,   255,   256,   257,  1003,  1004,
     260,  1119,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,  1005,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,  1006,   285,   286,   287,  1007,  1008,   289,     0,
     290,  1009,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,  1010,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,  1011,  1012,     0,  1013,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,  1014,   726,   335,   727,     0,   336,   337,   338,
    1015,  1016,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1017,   728,  1018,   353,   354,   355,
    1019,   356,   357,   729,   358,  1020,  1021,   360,  1022,   362,
     363,   364,     0,   365,     0,     0,  1023,   367,   368,     0,
       0,   369,   730,   731,   732,  1024,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1025,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1026,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,  1027,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1028,   425,   426,   427,
     428,   734,   429,  1029,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1030,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,  1031,  1032,
       0,     0,   453,  1033,   455,  1034,  1035,   457,   458,   459,
     460,   461,   462,   463,     0,  1036,   464,   465,   466,   467,
     468,  1037,     0,   469,   470,   471,   472,   473,   474,  1038,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,  1046,   495,   496,   497,     0,     0,
       0,     0,     0,     0,     0,  1047,  1048,     0,     0,     0,
       0,     0,     0,     0,  1050,   712,   981,   550,   982,   983,
     984,   597,   985,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,  1773,   209,   210,   211,     0,     0,
       0,     0,   986,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   987,   714,   988,   989,     0,
     223,   224,   225,   226,   227,   990,   991,   228,   229,   992,
     993,   232,     0,   233,   234,   235,   236,   994,     0,   995,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,   996,
     997,   998,   999,  1000,  1001,  1002,   252,   253,   254,   255,
     256,   257,  1003,  1004,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1005,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,  1006,   285,   286,   287,
    1007,  1008,   289,     0,   290,  1009,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,  1010,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,  1011,  1012,     0,
    1013,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1014,   726,   335,   727,
       0,   336,   337,   338,  1015,  1016,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1017,   728,
    1018,   353,   354,   355,  1019,   356,   357,   729,   358,  1020,
    1021,   360,  1022,   362,   363,   364,     0,   365,     0,     0,
    1023,   367,   368,     0,     0,   369,   730,   731,   732,  1024,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1025,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1026,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,  1027,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1028,   425,   426,   427,   428,   734,   429,  1029,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1030,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1031,  1032,     0,     0,   453,  1033,   455,  1034,
    1035,   457,   458,   459,   460,   461,   462,   463,     0,  1036,
     464,   465,   466,   467,   468,  1037,     0,   469,   470,   471,
     472,   473,   474,  1038,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,
     496,   497,     0,     0,     0,     0,     0,     0,     0,  1047,
    1048,     0,     0,     0,     0,     0,     0,     0,  1050,   712,
     981,   550,   982,   983,   984,   597,   985,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   986,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   987,
     714,   988,   989,     0,   223,   224,   225,   226,   227,   990,
     991,   228,   229,   992,   993,   232,     0,   233,   234,   235,
     236,   994,     0,   995,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,   996,   997,   998,   999,  1000,  1001,  1002,
     252,   253,   254,   255,   256,   257,  1003,  1004,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
    1006,   285,   286,   287,  1007,  1008,   289,     0,   290,  1009,
     292,     0,   293,     0,   294,   719,  2273,   720,   295,   296,
     297,     0,   298,  1010,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,  1011,  1012,     0,  1013,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
    1014,   726,   335,   727,     0,   336,   337,   338,  1015,  1016,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1017,   728,  1018,   353,   354,   355,  1019,   356,
     357,   729,   358,  1020,  1021,   360,  1022,   362,   363,   364,
       0,   365,     0,     0,  1023,   367,   368,     0,     0,   369,
     730,   731,   732,  1024,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1025,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1026,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,  1027,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1028,   425,   426,   427,   428,   734,
     429,  1029,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1030,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1031,  1032,     0,     0,
     453,  1033,   455,  1034,  1035,   457,   458,   459,   460,   461,
     462,   463,     0,  1036,   464,   465,   466,   467,   468,  1037,
       0,   469,   470,   471,   472,   473,   474,  1038,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,  1046,   495,   496,   497,     0,     0,     0,     0,
       0,     0,     0,  1047,  1048,     0,     0,     0,     0,     0,
       0,     0,  1050,   712,   981,   550,   982,   983,   984,   597,
     985,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
     986,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   987,   714,   988,   989,     0,   223,   224,
     225,   226,   227,   990,   991,   228,   229,   992,   993,   232,
       0,   233,   234,   235,   236,   994,     0,   995,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,   996,   997,   998,
     999,  1000,  1001,  1002,   252,   253,   254,   255,   256,   257,
    1003,  1004,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,  1005,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,  1006,   285,   286,   287,  1007,  1008,
     289,     0,   290,  1009,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,  1010,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,  1011,  1012,     0,  1013,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1014,   726,   335,   727,     0,   336,
     337,   338,  1015,  1016,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1017,   728,  1018,   353,
     354,   355,  1019,   356,   357,   729,   358,  1020,  1021,   360,
    1022,   362,   363,   364,     0,   365,     0,     0,  1023,   367,
     368,     0,     0,   369,   730,   731,   732,  1024,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1025,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1026,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,  1027,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1028,   425,
     426,   427,   428,   734,   429,  1029,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1030,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1031,  1032,     0,     0,   453,  1033,   455,  1034,  1035,   457,
     458,   459,   460,   461,   462,   463,     0,  1036,   464,   465,
     466,   467,   468,  1037,     0,   469,   470,   471,   472,   473,
     474,  1038,  3430,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,   496,   497,
       0,     0,     0,     0,     0,     0,     0,  1047,  1048,     0,
       0,     0,     0,     0,     0,     0,  1050,   712,   981,   550,
     982,   983,   984,   597,   985,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   986,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   987,   714,   988,
     989,     0,   223,   224,   225,   226,   227,   990,   991,   228,
     229,   992,   993,   232,     0,   233,   234,   235,   236,   994,
       0,   995,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,   996,   997,   998,   999,  1000,  1001,  1002,   252,   253,
     254,   255,   256,   257,  1003,  1004,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,  1005,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,  1006,   285,
     286,   287,  1007,  1008,   289,     0,   290,  1009,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,  1010,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,  1011,
    1012,     0,  1013,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,  1014,   726,
     335,   727,     0,   336,   337,   338,  1015,  1016,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1017,   728,  1018,   353,   354,   355,  1019,   356,   357,   729,
     358,  1020,  1021,   360,  1022,   362,   363,   364,     0,   365,
       0,     0,  1023,   367,   368,     0,     0,   369,   730,   731,
     732,  1024,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1025,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1026,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,  1027,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1028,   425,   426,   427,   428,   734,   429,  1029,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1030,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,  1031,  1032,     0,     0,   453,  1033,
     455,  1034,  1035,   457,   458,   459,   460,   461,   462,   463,
       0,  1036,   464,   465,   466,   467,   468,  1037,     0,   469,
     470,   471,   472,   473,   474,  1038,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,
    1046,   495,   496,   497,     0,     0,     0,     0,     0,     0,
       0,  1047,  1048,     0,     0,     0,     0,     0,     0,     0,
    1050,   712,   981,   550,   982,   983,   984,   597,   985,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,   986,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   987,   714,   988,   989,     0,   223,   224,   225,   226,
     227,   990,   991,   228,   229,   992,   993,   232,     0,   233,
     234,   235,   236,   994,     0,   995,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,  3440,   996,   997,   998,   999,  1000,
    1001,  1002,   252,   253,   254,   255,   256,   257,  1003,  1004,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,  1005,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,  1006,   285,   286,   287,  1007,  1008,   289,     0,
     290,  1009,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,  1010,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,  1011,  1012,     0,  1013,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,  1014,   726,   335,   727,     0,   336,   337,   338,
    1015,  1016,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1017,   728,  1018,   353,   354,   355,
    1019,   356,   357,   729,   358,  1020,  1021,   360,  1022,   362,
     363,   364,     0,   365,     0,     0,  1023,   367,   368,     0,
       0,   369,   730,   731,   732,  1024,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1025,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1026,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,  1027,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1028,   425,   426,   427,
     428,   734,   429,  1029,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1030,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,  1031,  1032,
       0,     0,   453,  1033,   455,  1034,  1035,   457,   458,   459,
     460,   461,   462,   463,     0,  1036,   464,   465,   466,   467,
     468,  1037,     0,   469,   470,   471,   472,   473,   474,  1038,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,  1046,   495,   496,   497,     0,     0,
       0,     0,     0,     0,     0,  1047,  1048,     0,     0,     0,
       0,     0,     0,     0,  1050,   712,   981,   550,   982,   983,
     984,   597,   985,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   986,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   987,   714,   988,   989,     0,
     223,   224,   225,   226,   227,   990,   991,   228,   229,   992,
     993,   232,     0,   233,   234,   235,   236,   994,     0,   995,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,   996,
     997,   998,   999,  1000,  1001,  1002,   252,   253,   254,   255,
     256,   257,  1003,  1004,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1005,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,  1006,   285,   286,   287,
    1007,  1008,   289,     0,   290,  1009,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,  1010,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,  1011,  1012,     0,
    1013,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1014,   726,   335,   727,
       0,   336,   337,   338,  1015,  1016,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1017,   728,
    1018,   353,   354,   355,  1019,   356,   357,   729,   358,  1020,
    1021,   360,  1022,   362,   363,   364,     0,   365,     0,     0,
    1023,   367,   368,     0,     0,   369,   730,   731,   732,  1024,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1025,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1026,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,  1027,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1028,   425,   426,   427,   428,   734,   429,  1029,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1030,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1031,  1032,     0,     0,   453,  1033,   455,  1034,
    1035,   457,   458,   459,   460,   461,   462,   463,     0,  1036,
     464,   465,   466,   467,   468,  1037,     0,   469,   470,   471,
     472,   473,   474,  1038,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
    3710,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,
     496,   497,     0,     0,     0,     0,     0,     0,     0,  1047,
    1048,     0,     0,     0,     0,     0,     0,     0,  1050,   712,
     981,   550,   982,   983,   984,   597,   985,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   986,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   987,
     714,   988,   989,     0,   223,   224,   225,   226,   227,   990,
     991,   228,   229,   992,   993,   232,     0,   233,   234,   235,
     236,   994,     0,   995,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,   996,   997,   998,   999,  1000,  1001,  1002,
     252,   253,   254,   255,   256,   257,  1003,  1004,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
    1006,   285,   286,   287,  1007,  1008,   289,     0,   290,  1009,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,  1010,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,  1011,  1012,     0,  1013,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
    1014,   726,   335,   727,     0,   336,   337,   338,  1015,  1016,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1017,   728,  1018,   353,  3719,   355,  1019,   356,
     357,   729,   358,  1020,  1021,   360,  1022,   362,   363,   364,
       0,   365,     0,     0,  1023,   367,   368,     0,     0,   369,
     730,   731,   732,  1024,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1025,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1026,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,  1027,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1028,   425,   426,   427,   428,   734,
     429,  1029,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1030,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1031,  1032,     0,     0,
     453,  1033,   455,  1034,  1035,   457,   458,   459,   460,   461,
     462,   463,     0,  1036,   464,   465,   466,   467,   468,  1037,
       0,   469,   470,   471,   472,   473,   474,  1038,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,  1046,   495,   496,   497,     0,     0,     0,     0,
       0,     0,     0,  1047,  1048,     0,     0,     0,     0,     0,
       0,     0,  1050,   712,   981,   550,   982,   983,   984,   597,
     985,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
     986,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,  4207,   987,   714,   988,   989,     0,   223,   224,
     225,   226,   227,   990,   991,   228,   229,   992,   993,   232,
       0,   233,   234,   235,   236,   994,     0,   995,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,  4208,   996,   997,   998,
     999,  1000,  1001,  1002,   252,   253,   254,   255,   256,   257,
    1003,  1004,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,  1005,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,  1006,   285,   286,   287,  1007,  1008,
     289,     0,   290,  1009,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,  1010,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,  1011,  1012,     0,  1013,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1014,   726,   335,   727,     0,   336,
     337,   338,  1015,  1016,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1017,   728,  1018,   353,
     354,   355,  1019,   356,   357,   729,   358,  1020,  1021,   360,
    1022,   362,   363,   364,     0,   365,     0,     0,  1023,   367,
     368,     0,     0,   369,   730,   731,   732,  1024,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1025,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1026,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,  1027,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1028,   425,
     426,   427,   428,   734,   429,  1029,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1030,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1031,  1032,     0,     0,   453,  1033,   455,  1034,  1035,   457,
     458,   459,   460,  4209,   462,   463,     0,  1036,   464,   465,
     466,   467,   468,  1037,     0,   469,   470,   471,   472,   473,
     474,  1038,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,   496,   497,
       0,     0,     0,     0,     0,     0,     0,  1047,  1048,     0,
       0,     0,     0,     0,     0,     0,  1050,   712,   981,   550,
     982,   983,   984,   597,   985,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,   986,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,   219,   987,   714,   988,
     989,     0,   223,   224,   225,   226,   227,   990,   991,   228,
     229,   992,   993,   232,     0,   233,   234,   235,   236,   994,
       0,   995,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
    4208,   996,   997,   998,   999,  1000,  1001,  1002,   252,   253,
     254,   255,   256,   257,  1003,  1004,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,  1005,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,  1006,   285,
     286,   287,  1007,  1008,   289,     0,   290,  1009,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,  1010,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,   316,   317,   318,   319,   320,  1011,
    1012,     0,  1013,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,  1014,   726,
     335,   727,     0,   336,   337,   338,  1015,  1016,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1017,   728,  1018,   353,   354,   355,  1019,   356,   357,   729,
     358,  1020,  1021,   360,  1022,   362,   363,   364,     0,   365,
       0,     0,  1023,   367,   368,     0,     0,   369,   730,   731,
     732,  1024,   371,   372,   373,   374,   375,   376,   377,     0,
     378,  1025,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1026,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,  1027,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,  1028,   425,   426,   427,   428,   734,   429,  1029,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,  1030,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,  1031,  1032,     0,     0,   453,  1033,
     455,  1034,  1035,   457,   458,   459,   460,  4209,   462,   463,
       0,  1036,   464,   465,   466,   467,   468,  1037,     0,   469,
     470,   471,   472,   473,   474,  1038,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,
    1046,   495,   496,   497,     0,     0,     0,     0,     0,     0,
       0,  1047,  1048,     0,     0,     0,     0,     0,     0,     0,
    1050,   712,   981,   550,   982,   983,   984,   597,   985,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,   986,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
     219,   987,   714,   988,   989,     0,   223,   224,   225,   226,
     227,   990,   991,   228,   229,   992,   993,   232,     0,   233,
     234,   235,   236,   994,     0,   995,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,   996,   997,   998,   999,  1000,
    1001,  1002,   252,   253,   254,   255,   256,   257,  1003,  1004,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,  1005,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,  1006,   285,   286,   287,  1007,  1008,   289,     0,
     290,  1009,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,  1010,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,   316,   317,
     318,   319,   320,  1011,  1012,     0,  1013,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,  1014,   726,   335,   727,     0,   336,   337,   338,
    1015,  1016,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1017,   728,  1018,   353,   354,   355,
       0,   356,   357,   729,   358,  1020,  1021,   360,  1022,   362,
     363,   364,     0,   365,     0,     0,  1023,   367,   368,     0,
       0,   369,   730,   731,   732,  1024,   371,   372,   373,   374,
     375,   376,   377,     0,   378,  1025,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1026,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,  1027,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,  1028,   425,   426,   427,
     428,   734,   429,  1029,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,  1030,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,  1031,  1032,
       0,     0,   453,  1033,   455,  1034,  1035,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,  1037,     0,   469,   470,   471,   472,   473,   474,  1038,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,  1039,  1040,  1041,
    1042,  1043,  1044,  1045,  1046,   495,   496,   497,     0,     0,
       0,     0,     0,     0,     0,  2255,  2256,     0,     0,     0,
       0,     0,     0,     0,  1050,   712,   981,   550,   982,   983,
     984,   597,   985,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,   986,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218, -2162,   987,   714,   988,   989,     0,
     223,   224,   225,   226,   227,   990,   991,   228,   229,   992,
     993,   232,     0,   233,   234,   235,   236,   994,     0,   995,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,  4208,   996,
     997,   998,   999,  1000,  1001,  1002,   252,   253,   254,   255,
     256,   257,  1003,  1004,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,  1005,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,  1006,   285,   286,   287,
    1007,  1008,   289,     0,   290,  1009,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,  1010,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,  1011,  1012,     0,
    1013,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,  1014,   726,   335,     0,
       0,   336,   337,   338,  1015,  1016,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,  1017,   728,
    1018,   353,   354,   355,     0,   356,   357,   729,   358,  1020,
    1021,   360,  1022,   362,   363,   364,     0,   365,     0,     0,
    1023,   367,   368,     0,     0,   369,   730,   731,   732,  1024,
     371,   372,   373,   374,   375,   376,   377,     0,   378,  1025,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1026,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,  1027,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
    1028,   425,   426,   427,   428,     0,   429,  1029,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
    1030,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,  1031,  1032,     0,     0,   453,  1033,   455,  1034,
    1035,   457,   458,   459,   460,  4209,   462,   463,     0,  1036,
     464,   465,   466,   467,   468,  1037,     0,   469,   470,   471,
     472,   473,   474,  1038,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,
     496,   497,     0,     0,     0,     0,     0,     0,     0,  1047,
    1048,     0,     0,   712,   981,   550,   982,   983,  1050,   597,
     985,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
     986,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,   219,   987,   714,   988,   989,     0,   223,   224,
     225,   226,   227,   990,   991,   228,   229,   992,   993,   232,
       0,   233,   234,   235,   236,   994,     0,   995,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,   996,   997,   998,
     999,  1000,  1001,  1002,   252,   253,   254,   255,   256,   257,
    1003,  1004,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,  1005,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,  1006,   285,   286,   287,  1007,  1008,
     289,     0,   290,  1009,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,  1010,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,  1011,  1012,     0,  1013,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1014,   726,   335,   727,     0,   336,
     337,   338,  1015,  1016,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1017,   728,  1018,   353,
     354,   355,     0,   356,   357,   729,   358,  1020,  1021,   360,
    1022,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,   730,   731,   732,  1024,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1025,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1026,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,  1027,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1028,   425,
     426,   427,   428,   734,   429,  1029,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1030,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1031,  1032,     0,     0,   453,  1033,   455,  1034,  1035,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,  1037,     0,   469,   470,   471,   472,   473,
     474,  1038,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,   496,   497,
       0,     0,     0,     0,     0,     0,   712,   981,   550,   982,
     983,     0,   597,   985,     0,     0,  1050,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,   986,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   987,   714,   988,   989,
       0,  3353,   224,   225,   226,   227,   990,   991,   228,   229,
     992,   993,   232,     0,   233,   234,   235,   236,   994,     0,
     995,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
     996,   997,   998,   999,  1000,  1001,  1002,   252,   253,   254,
     255,   256,   257,  1003,  1004,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1005,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,  1006,   285,   286,
     287,  1007,  1008,   289,     0,   290,  1009,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1010,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,  1011,  1012,
       0,  1013,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1014,   726,   335,
     727,     0,   336,   337,   338,  1015,  1016,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1017,
     728,  1018,   353,   354,   355,     0,   356,   357,   729,   358,
    1020,  1021,   360,  1022,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   730,   731,   732,
    1024,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1025,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1026,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,  1027,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,  1028,   425,   426,   427,   428,   734,   429,  1029,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1030,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1031,  1032,     0,     0,   453,  1033,   455,
    1034,  1035,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,  1037,     0,   469,   470,
     471,   472,   473,   474,  1038,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,
     495,   496,   497,     0,     0,     0,     0,     0,     0,   712,
     981,   550,   982,   983,   984,   597,   985,     0,     0,  1050,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,   986,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,   987,
     714,   988,   989,     0,   223,   224,   225,   226,   227,   990,
     991,   228,   229,   992,   993,   232,     0,   233,   234,   235,
     236,   994,     0,   995,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,   996,   997,   998,   999,  1000,  1001,  1002,
     252,   253,   254,   255,   256,   257,  1003,  1004,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,     0,     0,   280,   281,   282,   283,
    1006,   285,   286,   287,  1007,  1008,   289,     0,   290,  1009,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,  1010,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,  1011,  1012,     0,  1013,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
    1014,   726,   335,     0,     0,   336,   337,   338,  1015,  1016,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1017,   728,  1018,   353,   354,   355,     0,   356,
     357,   729,   358,  1020,  1021,   360,  1022,   362,   363,   364,
       0,   365,     0,     0,  1023,   367,   368,     0,     0,   369,
     730,   731,   732,  1024,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1025,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1026,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,  1027,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1028,   425,   426,   427,   428,     0,
     429,  1029,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1030,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1031,  1032,     0,     0,
     453,  1033,   455,  1034,  1035,   457,   458,   459,   460,   461,
     462,   463,     0,  1036,   464,   465,   466,   467,   468,  1037,
       0,   469,   470,   471,   472,   473,   474,  1038,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,  1046,   495,   496,   497,     0,     0,     0,     0,
       0,     0,     0,  1047,  1048,     0,     0,     0,     0,     0,
       0,     0,  1050,   712,   981,   550,   982,   983,   984,   597,
     985,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
     986,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,     0,   987,   714,   988,   989,     0,   223,   224,
     225,   226,   227,   990,   991,   228,   229,   992,   993,   232,
       0,   233,   234,   235,   236,   994,     0,   995,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,   996,   997,   998,
     999,  1000,  1001,  1002,   252,   253,   254,   255,   256,   257,
    1003,  1004,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,  1005,
     273,   274,     0,   275,   276,   277,     0,   278,     0,     0,
     280,   281,   282,   283,  1006,   285,   286,   287,  1007,  1008,
     289,     0,   290,  1009,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,  1010,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
     316,   317,   318,   319,   320,  1011,  1012,     0,  1013,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,  1014,   726,   335,     0,     0,   336,
     337,   338,  1015,  1016,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1017,   728,  1018,   353,
     354,   355,     0,   356,   357,   729,   358,  1020,  1021,   360,
    1022,   362,   363,   364,     0,   365,     0,     0,  1023,   367,
     368,     0,     0,   369,   730,   731,   732,  1024,   371,   372,
     373,   374,   375,   376,   377,     0,   378,  1025,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1026,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,  1027,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,  1028,   425,
     426,   427,   428,     0,   429,  1029,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,  1030,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1031,  1032,     0,     0,   453,  1033,   455,  1034,  1035,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,  1037,     0,   469,   470,   471,   472,   473,
     474,  1038,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,   495,   496,   497,
       0,     0,     0,     0,     0,     0,   712,  2255,  2256,     0,
       0,     0,     0,     0,     0,     0,  1050,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   220,   714,   221,   222,
       0,   223,   224,   225,   226,   227,     0,   991,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   994,     0,
     995,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
     996,   997,   998,   999,  1000,  1001,  1002,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,  1007,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
    1010,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,  1014,   726,   335,
     727,     0,   336,   337,   338,  1015,  1016,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     728,   352,   353,   354,   355,     0,   356,   357,   729,   358,
       0,  1021,   360,   361,   362,   363,   364,     0,   365,     0,
     677,   366,   367,   368,     0,     0,   369,   730,   731,   732,
    1024,   371,   372,   373,   374,   375,   376,   377,     0,   378,
    1025,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    37,   420,   421,   422,   423,
     424,  1028,   425,   426,   427,   428,   734,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,  1030,     0,   443,   444,    41,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,  1033,   455,
    1034,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,  1037,     0,   469,   470,
     471,   472,   473,   920,   475,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,    46,   481,   482,   483,   484,
     485,   486,  1039,  1040,  1041,  1042,  1043,  1044,  1045,  1046,
     495,   496,   497,     0,     0,     0,     0,     0,     0,   712,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2929,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,     0,   223,   224,   225,   226,   227,     0,
     991,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   994,     0,   995,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,   996,   997,   998,   999,  1000,  1001,  1002,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,  1007,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,  1010,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
    1014,   726,   335,   727,     0,   336,   337,   338,  1015,  1016,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,     0,   356,
     357,   729,   358,     0,  1021,   360,   361,   362,   363,   364,
       0,   365,     0,   677,   366,   367,   368,     0,     0,   369,
     730,   731,   732,  1024,   371,   372,   373,   374,   375,   376,
     377,     0,   378,  1025,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,  1028,   425,   426,   427,   428,   734,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,  1030,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,  1033,   455,  1034,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,  1037,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,  1039,  1040,  1041,  1042,  1043,
    1044,  1045,  1046,   495,   496,   497,     0,     0,     0,     0,
       0,     0,   712,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2929,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   220,   714,   221,   222,     0,   223,   224,   225,
     226,   227,     0,   991,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   994,     0,   995,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,   996,   997,   998,   999,
    1000,  1001,  1002,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,  1007,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,  1010,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,  1014,   726,   335,   727,     0,   336,   337,
     338,  1015,  1016,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   728,   352,   353,   354,
     355,     0,   356,   357,   729,   358,     0,  1021,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   730,   731,   732,  1024,   371,   372,   373,
     374,   375,   376,   377,     0,   378,  1025,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,  1028,   425,   426,
     427,   428,   734,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,  1030,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,  1033,   455,  1034,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,  1037,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,  1039,  1040,
    1041,  1042,  1043,  1044,  1045,  1046,   495,   496,   497,     0,
       0,     0,     0,     0,     0,   712,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3461,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,   715,
       0,   238,   239,   240,   241,   716,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,   717,   250,   251,     0,
       0,     0,   718,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,   719,     0,   720,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,   721,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,   722,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,   726,   335,   727,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   728,
     352,   353,   354,   355,     0,   356,   357,   729,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,   730,   731,   732,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,   733,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,   734,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,   735,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,     0,     0,     0,     0,     0,     0,   199,  1231,
     550,     0,     0,     0,   597,     0,     0,     0,  3987,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,  1464,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,  1465,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,  1466,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,     0,     0,     0,     0,     0,
       0,   199,   609,  1232,  3584,     0,     0,     0,     0,     0,
       0,  3585,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     3,     4,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      37,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
      41,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   920,   475,
       0,   476,   921,   477,   478,   479,     0,     0,   480,     0,
      46,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,     0,     0,
       0,     0,     0,     0,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,    37,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,    41,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   920,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,    46,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,     0,     0,     0,     0,     0,     0,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,     0,     0,     0,     0,     0,     0,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1103,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,     0,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2405,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
       0,     0,     0,     0,     0,     0,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3424,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,     0,     0,     0,     0,     0,     0,  1330,
    1231,   550,     0,     0,   760,   597,     0,     0,     0,  3754,
     200,   201,   202,   203,   204,   205,   206,   207,  1665,   209,
     210,   211,  1666,  1667,  1668,  1669,  1670,  1671,  1672,   212,
     213,  1673,   214,   215,   713,   216,   217,   218,     0,  1331,
     714,  1332,  1333,  1674,   223,   224,   225,   226,   227,  1675,
    1676,   228,   229,  1334,  1335,   232,  1677,   233,   234,   235,
     236,     0,  1678,   715,  1679,   238,   239,   240,   241,   716,
     242,   243,  1680,   244,   245,   246,   247,   248,   249,  1681,
     717,   250,   251,  1682,  1683,  1684,   718,  1685,  1686,  1687,
     252,   253,   254,   255,   256,   257,  1336,  1337,   260,  1688,
     261,  1689,   262,   263,   264,   265,   266,  1690,   267,   268,
     269,  1691,  1692,   270,   271,  1005,   273,   274,  1693,   275,
     276,   277,  1694,   278,   279,  1695,   280,   281,   282,   283,
       0,   285,   286,   287,     0,  1696,   289,  1697,   290,  1338,
     292,  1698,   293,  1699,   294,   719,  1700,   720,   295,   296,
     297,  1701,   298,     0,  1702,   300,  1703,   301,   302,   303,
     304,   305,   721,   306,   307,   308,  1704,   309,   310,   311,
     312,   313,   314,  1705,   315,   722,     0,   317,   318,   319,
     320,  1339,  1340,  1706,  1341,  1707,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,  1708,   333,
       0,   726,   335,   727,  1709,   336,   337,   338,  1710,  1711,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1342,   728,  1343,   353,   354,     0,  1712,   356,
     357,   729,   358,  1713,     0,   360,  1344,   362,   363,   364,
    1714,   365,  1715,  1716,  3158,   367,   368,  1717,  1718,     0,
     730,   731,   732,     0,   371,   372,   373,   374,   375,   376,
     377,  1719,   378,     0,   380,     0,   382,   383,   384,  1720,
     385,   386,   387,   388,   389,   390,   391,  1345,   393,   394,
     395,   396,  1721,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,  1722,   407,   408,   733,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,  1723,   420,
     421,   422,   423,   424,  1724,   425,  1881,   427,   428,   734,
     429,  1347,   431,  1725,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,  1726,   443,   444,  1727,   445,
     446,   447,   448,   449,   450,  1728,  1348,  1349,  1729,  1730,
     453,     0,   455,     0,  1731,   457,   458,   459,   460,   461,
     462,   463,  1732,  1733,   464,   465,   466,   467,   468,  1734,
    1735,   469,   470,   471,   472,   473,     0,  1350,  1736,   476,
     735,   477,   478,   479,  1737,  1738,   480,  1739,  1740,   481,
     482,   483,   484,   485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   495,   496,   497,     0,     0,     0,   763,
     764,   765,     0,  3159,  3160,   768,   769,   770,   771,   199,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   761,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   762,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,   763,
     764,   765,     0,   766,   767,   768,   769,   770,   771,   199,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   848,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   849,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,   763,
     764,   765,     0,   766,   767,   768,   769,   770,   771,   199,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   893,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   894,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   895,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,   763,
     764,   765,     0,   766,   767,   768,   769,   770,   771,   199,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,  1313,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,  1314,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,   763,
     764,   765,     0,   766,   767,   768,   769,   770,   771,   199,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,   763,
     764,   765,     0,   766,   767,   768,   769,   770,   771,   199,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,  2465,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,  2466,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,     0,   763,
     764,   765,     0,   766,   767,   768,   769,   770,   771,   199,
       0,     0,     0,     0,   760,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,  3971,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,     0,     0,  1664,   763,
     764,   765,     0,   766,   767,   768,   769,   770,   771,   200,
     201,   202,   203,   204,   205,   206,   207,  1665,   209,   210,
     211,  1666,  1667,  1668,  1669,  1670,  1671,  1672,   212,   213,
    1673,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,  1674,   223,   224,   225,   226,   227,  1675,  1676,
     228,   229,   230,   231,   232,  1677,   233,   234,   235,   236,
     237,  1678,   715,  1679,   238,   239,   240,   241,   716,   242,
     243,  1680,   244,   245,   246,   247,   248,   249,  1681,   717,
     250,   251,  1682,  1683,  1684,   718,  1685,  1686,  1687,   252,
     253,   254,   255,   256,   257,   258,   259,   260,  1688,   261,
    1689,   262,   263,   264,   265,   266,  1690,   267,   268,   269,
    1691,  1692,   270,   271,   272,   273,   274,  1693,   275,   276,
     277,  1694,   278,   279,  1695,   280,   281,   282,   283,   284,
     285,   286,   287,   288,  1696,   289,  1697,   290,   291,   292,
    1698,   293,  1699,   294,   719,  1700,   720,   295,   296,   297,
    1701,   298,   299,  1702,   300,  1703,   301,   302,   303,   304,
     305,   721,   306,   307,   308,  1704,   309,   310,   311,   312,
     313,   314,  1705,   315,   722,   316,   317,   318,   319,   320,
     321,   322,  1706,   323,  1707,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,  1708,   333,   334,
     726,   335,   727,  1709,   336,   337,   338,  1710,  1711,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,  1712,   356,   357,
     729,   358,  1713,   359,   360,   361,   362,   363,   364,  1714,
     365,  1715,  1716,   366,   367,   368,  1717,  1718,   369,   730,
     731,   732,   370,   371,   372,   373,   374,   375,   376,   377,
    1719,   378,   379,   380,   381,   382,   383,   384,  1720,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,  1721,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,  1722,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,  1723,   420,   421,
     422,   423,   424,  1724,   425,   426,   427,   428,   734,   429,
     430,   431,  1725,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  1726,   443,   444,  1727,   445,   446,
     447,   448,   449,   450,  1728,   451,   452,  1729,  1730,   453,
     454,   455,   456,  1731,   457,   458,   459,   460,   461,   462,
     463,  1732,  1733,   464,   465,   466,   467,   468,  1734,  1735,
     469,   470,   471,   472,   473,   474,   475,  1736,   476,   735,
     477,   478,   479,  1737,  1738,   480,  1739,  1740,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,  1741,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,   682,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1330,
       0,     0,     0,     0,     0,     0,     0,     0,  3850,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,  1331,
     714,  1332,  1333,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1334,  1335,   232,     0,   233,   234,   235,
     236,     0,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,  1336,  1337,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
       0,   285,   286,   287,     0,     0,   289,     0,   290,  1338,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,     0,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,     0,   317,   318,   319,
     320,  1339,  1340,     0,  1341,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1342,   728,  1343,   353,   354,     0,     0,   356,
     357,   729,   358,     0,     0,   360,  1344,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,     0,
     730,   731,   732,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1345,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1346,   427,   428,   734,
     429,  1347,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1348,  1349,     0,     0,
     453,     0,   455,     0,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,     0,  1350,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,     0,     0,  2024,     0,     0,     0,
       0,     0,     0,   495,   496,   497,     0,   200,   201,   202,
     203,   204,   205,   206,   207,  1795,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,     0,  1331,   714,  1332,  1333,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1334,  1335,   232,     0,   233,   234,   235,   236,     0,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,  1336,  1337,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1005,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,     0,   285,   286,
     287,     0,     0,   289,     0,   290,  1338,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
       0,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,     0,   317,   318,   319,   320,  1339,  1340,
       0,  1341,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1342,
     728,  1343,   353,   354,     0,     0,   356,   357,   729,   358,
       0,     0,   360,  1344,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,     0,   730,   731,   732,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,     0,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1345,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,  1346,   427,   428,   734,   429,  1347,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,  1348,  1349,     0,     0,   453,     0,   455,
       0,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,     0,  1350,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,     0,     0,   199,  1231,   550,     0,     0,     0,   597,
     495,   496,   497,     0,   200,   201,   202,   203,   204,   205,
     206,   207,  1795,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,  1654,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,  1464,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,  1465,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,  1466,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,  1231,   550,     0,     0,     0,   597,   609,  1232,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
    1659,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,  1464,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,  1465,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,  1466,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,  1231,   550,
       0,     0,     0,   597,   609,  1232,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,  1464,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
    1465,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,  1466,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
     597,   609,  1232,     0,     0,   200,   598,   202,   203,   204,
     205,   206,   207,   599,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     600,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   601,   291,   292,     0,   293,     0,   602,
       0,   603,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,   604,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     605,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     606,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   607,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   608,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  1664,  4262,   550,     0,     0,     0,   597,   609,   610,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
    1665,   209,   210,   211,  1666,  1667,  1668,  1669,  1670,  1671,
    1672,   212,   213,  1673,   214,   215,   713,   216,   217,   218,
     219,   220,   714,   221,   222,  1674,   223,   224,   225,   226,
     227,  1675,  1676,   228,   229,   230,   231,   232,  1677,   233,
     234,   235,   236,   237,  1678,   715,  1679,   238,   239,   240,
     241,   716,   242,   243,  1680,   244,   245,   246,   247,   248,
     249,  1681,   717,   250,   251,  1682,  1683,  1684,   718,  1685,
    1686,  1687,   252,   253,   254,   255,   256,   257,   258,   259,
     260,  1688,   261,  1689,   262,   263,   264,   265,   266,  1690,
     267,   268,   269,  1691,  1692,   270,   271,   272,   273,   274,
    1693,   275,   276,   277,  1694,   278,   279,  1695,   280,   281,
     282,   283,   284,   285,   286,   287,   288,  1696,   289,  1697,
     290,   291,   292,  1698,   293,  1699,   294,   719,  1700,   720,
     295,   296,   297,  1701,   298,   299,  1702,   300,  1703,   301,
     302,   303,   304,   305,   721,   306,   307,   308,  1704,   309,
     310,   311,   312,   313,   314,  1705,   315,   722,   316,   317,
     318,   319,   320,   321,   322,  1706,   323,  1707,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
    1708,   333,   334,   726,   335,   727,  1709,   336,   337,   338,
    1710,  1711,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   728,   352,   353,   354,   355,
    1712,   356,   357,   729,   358,  1713,   359,   360,   361,   362,
     363,   364,  1714,   365,  1715,  1716,   366,   367,   368,  1717,
    1718,   369,   730,   731,   732,   370,   371,   372,   373,   374,
     375,   376,   377,  1719,   378,   379,   380,   381,   382,   383,
     384,  1720,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,  1721,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,  1722,   407,   408,   733,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
    1723,   420,   421,   422,   423,   424,  1724,   425,   426,   427,
     428,   734,   429,   430,   431,  1725,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,  1726,   443,   444,
    1727,   445,   446,   447,   448,   449,   450,  1728,   451,   452,
    1729,  1730,   453,   454,   455,   456,  1731,   457,   458,   459,
     460,   461,   462,   463,  1732,  1733,   464,   465,   466,   467,
     468,  1734,  1735,   469,   470,   471,   472,   473,   474,   475,
    1736,   476,   735,   477,   478,   479,  1737,  1738,   480,  1739,
    1740,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,  1664,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,  1665,   209,   210,
     211,  1666,  1667,  1668,  1669,  1670,  1671,  1672,   212,   213,
    1673,   214,   215,   713,   216,   217,   218,   219,   220,   714,
     221,   222,  1674,   223,   224,   225,   226,   227,  1675,  1676,
     228,   229,   230,   231,   232,  1677,   233,   234,   235,   236,
     237,  1678,   715,  1679,   238,   239,   240,   241,   716,   242,
     243,  1680,   244,   245,   246,   247,   248,   249,  1681,   717,
     250,   251,  1682,  1683,  1684,   718,  1685,  1686,  1687,   252,
     253,   254,   255,   256,   257,   258,   259,   260,  1688,   261,
    1689,   262,   263,   264,   265,   266,  1690,   267,   268,   269,
    1691,  1692,   270,   271,   272,   273,   274,  1693,   275,   276,
     277,  1694,   278,   279,  1695,   280,   281,   282,   283,   284,
     285,   286,   287,   288,  1696,   289,  1697,   290,   291,   292,
    1698,   293,  1699,   294,   719,  1700,   720,   295,   296,   297,
    1701,   298,   299,  1702,   300,  1703,   301,   302,   303,   304,
     305,   721,   306,   307,   308,  1704,   309,   310,   311,   312,
     313,   314,  1705,   315,   722,   316,   317,   318,   319,   320,
     321,   322,  1706,   323,  1707,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,  1708,   333,   334,
     726,   335,   727,  1709,   336,   337,   338,  1710,  1711,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   728,   352,   353,   354,   355,  1712,   356,   357,
     729,   358,  1713,   359,   360,   361,   362,   363,   364,  1714,
     365,  1715,  1716,   366,   367,   368,  1717,  1718,   369,   730,
     731,   732,   370,   371,   372,   373,   374,   375,   376,   377,
    1719,   378,   379,   380,   381,   382,   383,   384,  1720,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,  1721,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,  1722,   407,   408,   733,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,  1723,   420,   421,
     422,   423,   424,  1724,   425,   426,   427,   428,   734,   429,
     430,   431,  1725,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,  1726,   443,   444,  1727,   445,   446,
     447,   448,   449,   450,  1728,   451,   452,  1729,  1730,   453,
     454,   455,   456,  1731,   457,   458,   459,   460,   461,   462,
     463,  1732,  1733,   464,   465,   466,   467,   468,  1734,  1735,
     469,   470,   471,   472,   473,   474,   475,  1736,   476,   735,
     477,   478,   479,  1737,  1738,   480,  1739,  1740,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,  1664,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
    2530,   205,   206,   207,  1665,   209,   210,   211,  1666,  1667,
    1668,  1669,  1670,  1671,  1672,   212,   213,  1673,   214,   215,
     713,   216,   217,   218,   219,   220,   714,   221,   222,  1674,
     223,   224,   225,   226,   227,  1675,  1676,   228,   229,   230,
     231,   232,  1677,   233,   234,   235,   236,   237,  1678,   715,
    1679,   238,   239,   240,   241,   716,   242,   243,  1680,   244,
     245,   246,   247,   248,   249,  1681,   717,   250,   251,  1682,
    1683,  1684,   718,  1685,  1686,  1687,   252,   253,   254,   255,
     256,   257,   258,   259,   260,  1688,   261,  1689,   262,   263,
     264,   265,   266,  1690,   267,   268,   269,  1691,  1692,   270,
     271,   272,  2531,   274,  1693,   275,   276,   277,  1694,   278,
     279,  1695,   280,   281,   282,   283,   284,   285,   286,   287,
     288,  1696,   289,  1697,   290,   291,   292,  1698,   293,  1699,
     294,   719,  1700,   720,   295,   296,   297,  1701,   298,   299,
    1702,   300,  1703,   301,   302,   303,   304,   305,   721,   306,
     307,   308,  1704,   309,   310,   311,   312,   313,   314,  1705,
     315,   722,   316,   317,   318,   319,   320,   321,   322,  1706,
     323,  1707,   324,   723,   724,   325,   725,   326,   327,   328,
     329,   330,   331,   332,  1708,   333,   334,   726,   335,   727,
    1709,   336,   337,   338,  1710,  1711,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   728,
     352,   353,   354,   355,  1712,   356,   357,   729,   358,  1713,
     359,   360,   361,   362,   363,   364,  1714,   365,  1715,  1716,
     366,   367,   368,  1717,  1718,   369,   730,   731,   732,   370,
     371,   372,   373,   374,   375,   376,   377,  1719,   378,   379,
     380,   381,   382,   383,   384,  1720,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,  1721,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,  1722,
     407,   408,   733,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,  1723,   420,   421,   422,   423,   424,
    1724,  2532,   426,   427,   428,   734,   429,   430,   431,  1725,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1726,   443,   444,  1727,   445,   446,   447,   448,   449,
     450,  1728,   451,   452,  1729,  1730,   453,   454,   455,   456,
    1731,   457,   458,   459,   460,   461,   462,   463,  1732,  1733,
     464,   465,   466,   467,   468,  1734,  1735,   469,   470,   471,
     472,   473,   474,   475,  1736,   476,   735,   477,   478,   479,
    1737,  1738,   480,  1739,  1740,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   712,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,   219,   220,   714,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   728,   352,   353,   354,
     355,     0,   356,   357,   729,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,   730,   731,   732,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,   734,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   712,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,   219,   220,
     714,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   878,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   728,   352,   353,   354,   355,     0,   356,
     357,   729,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
     730,   731,   732,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,   734,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   712,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,   219,   220,   714,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   887,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     728,   352,   353,   354,   355,     0,   356,   357,   729,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,   730,   731,   732,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,   734,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
    1819,   233,   234,   235,   236,   237,     0,     0,  1894,   238,
     239,   240,   241,     0,   242,   243,  1820,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
    1895,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,  1822,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,  1823,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,  1824,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,  1819,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,  1820,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,  1895,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,  1822,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,  2731,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
    1823,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,  1824,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   647,   206,   207,   616,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,   617,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,   648,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     618,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   619,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   616,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,   617,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,  2433,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   618,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   619,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,  1819,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,  1820,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,  1895,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,  1822,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,  1823,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,  1824,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,   616,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,   617,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   618,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   619,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,   550,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,  1464,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,  1465,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
    1466,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,  1491,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,  1492,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,  1493,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,  1494,   294,     0,     0,
       0,  1495,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,  1496,  1497,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,  1498,   416,   417,   418,
     419,     0,  1499,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,  1500,   445,  1501,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
    1502,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,   617,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   618,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   619,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     3,
       4,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,   921,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,   550,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,  1639,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
    1984,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
    1985,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       3,     4,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  2514,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,  2515,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
    2526,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,  2527,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,   542,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   543,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   641,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   642,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   643,
     452,     0,     0,   644,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   671,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   672,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   673,   452,     0,     0,
     674,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
     677,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   781,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,   677,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,   871,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,   550,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,  1078,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,  1089,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   658,   229,   230,   231,  1090,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   661,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   662,
     410,   411,   412,   413,   414,   663,   416,   417,   418,   419,
       0,   420,   421,   422,   423,  1082,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   665,   452,
       0,     0,   666,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   667,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    1186,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,   677,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,   550,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  1454,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,  2341,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
    2342,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,  2343,   445,   446,  2344,   448,  2345,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,  2346,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,  2793,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,  3397,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,  3410,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   305,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
    3615,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,  3617,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,  3619,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,  3974,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   305,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   631,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   639,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   658,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   659,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   305,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   660,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   661,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   662,   410,   411,
     412,   413,   414,   663,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   664,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   665,   452,     0,     0,
     666,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   667,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   305,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   689,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   757,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   778,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     787,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   789,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   839,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   860,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,   883,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   889,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,   898,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,   900,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,   902,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   904,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   907,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   909,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   910,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   913,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   451,   452,
       0,     0,   453,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     658,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
     305,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     661,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   662,   410,   411,   412,
     413,   414,   663,   416,   417,   418,   419,     0,   420,   421,
     422,   423,  1082,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   665,   452,     0,     0,   666,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   667,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  1375,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,  1402,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,  1430,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,     0,   216,   217,   218,   219,   220,     0,   221,   222,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
     230,   231,   232,     0,   233,   234,   235,   236,   237,     0,
       0,     0,   238,   239,   240,   241,     0,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,   252,   253,   254,
     255,   256,   257,   258,   259,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,   284,   285,   286,
     287,   288,     0,   289,     0,   290,   291,   292,     0,   293,
       0,   294,     0,     0,     0,   295,   296,   297,     0,   298,
     299,     0,   300,     0,   301,   302,   303,   304,  1432,     0,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,     0,   316,   317,   318,   319,   320,   321,   322,
       0,   323,     0,   324,     0,     0,   325,     0,   326,   327,
     328,   329,   330,   331,   332,     0,   333,   334,     0,   335,
       0,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
       0,   352,   353,   354,   355,     0,   356,   357,     0,   358,
       0,   359,   360,   361,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,   369,     0,     0,     0,
     370,   371,   372,   373,   374,   375,   376,   377,     0,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,   426,   427,   428,     0,   429,   430,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,     0,   445,   446,   447,   448,
     449,   450,     0,   451,   452,     0,     0,   453,   454,   455,
     456,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,   474,   475,     0,   476,     0,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,     0,   216,
     217,   218,   219,   220,     0,   221,   222,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,   230,   231,   232,
       0,   233,   234,   235,   236,   237,     0,     0,     0,   238,
     239,   240,   241,     0,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,     0,   252,   253,   254,   255,   256,   257,
     258,   259,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,   284,   285,   286,   287,   288,     0,
     289,     0,   290,   291,   292,     0,   293,     0,   294,     0,
       0,     0,   295,   296,   297,     0,   298,   299,     0,   300,
       0,   301,   302,   303,   304,  1434,     0,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,     0,
     316,   317,   318,   319,   320,   321,   322,     0,   323,     0,
     324,     0,     0,   325,     0,   326,   327,   328,   329,   330,
     331,   332,     0,   333,   334,     0,   335,     0,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,     0,   352,   353,
     354,   355,     0,   356,   357,     0,   358,     0,   359,   360,
     361,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,   369,     0,     0,     0,   370,   371,   372,
     373,   374,   375,   376,   377,     0,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
       0,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
     426,   427,   428,     0,   429,   430,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
     451,   452,     0,     0,   453,   454,   455,   456,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
     474,   475,     0,   476,     0,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   200,   201,   202,   203,   204,   205,   206,   207,     0,
     209,   210,   211,     0,     0,     0,     0,     0,     0,     0,
     212,   213,     0,   214,   215,     0,   216,   217,   218,   219,
     220,     0,   221,   222,     0,   223,   224,   225,   226,   227,
       0,     0,   228,   229,   230,   231,   232,     0,   233,   234,
     235,   236,   237,     0,     0,     0,   238,   239,   240,   241,
       0,   242,   243,     0,   244,   245,   246,   247,   248,   249,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,   252,   253,   254,   255,   256,   257,   258,   259,   260,
       0,   261,     0,   262,   263,   264,   265,   266,     0,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,     0,   278,   279,     0,   280,   281,   282,
     283,   284,   285,   286,   287,   288,     0,   289,     0,   290,
     291,   292,     0,   293,     0,   294,     0,     0,     0,   295,
     296,   297,     0,   298,   299,     0,   300,     0,   301,   302,
     303,   304,   305,     0,   306,   307,   308,     0,   309,   310,
     311,   312,   313,   314,     0,   315,     0,   316,   317,   318,
     319,   320,   321,   322,     0,   323,     0,   324,     0,     0,
     325,     0,   326,   327,   328,   329,   330,   331,   332,     0,
     333,   334,     0,   335,     0,     0,   336,   337,   338,     0,
       0,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,     0,   352,   353,   354,   355,     0,
     356,   357,     0,   358,     0,   359,   360,   361,   362,   363,
     364,     0,   365,     0,     0,   366,   367,   368,     0,     0,
     369,     0,     0,     0,   370,   371,   372,   373,   374,   375,
     376,   377,     0,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,     0,   407,   408,     0,   409,   410,
     411,   412,   413,  1525,   415,   416,   417,   418,   419,     0,
     420,   421,   422,   423,   424,     0,   425,   426,   427,   428,
       0,   429,   430,   431,     0,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,     0,
     445,   446,   447,   448,   449,   450,     0,   451,   452,     0,
       0,   453,   454,   455,   456,     0,   457,   458,   459,   460,
     461,   462,   463,     0,     0,   464,   465,   466,   467,   468,
       0,     0,   469,   470,   471,   472,   473,   474,   475,     0,
     476,     0,   477,   478,   479,     0,     0,   480,     0,     0,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,  1792,     0,   212,   213,     0,
     214,   215,     0,   216,   217,   218,   219,   220,     0,   221,
     222,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,   230,   231,   232,     0,   233,   234,   235,   236,   237,
       0,     0,     0,   238,   239,   240,   241,     0,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,   252,   253,
     254,   255,   256,   257,   258,   259,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,   284,   285,
     286,   287,   288,     0,   289,     0,   290,   291,   292,     0,
     293,     0,   294,     0,     0,     0,   295,   296,   297,     0,
     298,   299,     0,   300,     0,   301,   302,   303,   304,   305,
       0,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,     0,   316,   317,   318,   319,   320,   321,
     322,     0,   323,     0,   324,     0,     0,   325,     0,   326,
     327,   328,   329,   330,   331,   332,     0,   333,   334,     0,
     335,     0,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,     0,   352,   353,   354,   355,     0,   356,   357,     0,
     358,     0,   359,   360,   361,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,   369,     0,     0,
       0,   370,   371,   372,   373,   374,   375,   376,   377,     0,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,     0,   426,   427,   428,     0,   429,   430,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,   451,   452,     0,     0,   453,   454,
     455,   456,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,   474,   475,     0,   476,     0,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   658,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   661,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,   375,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   662,   410,   411,   412,   413,   414,   663,   416,
     417,   418,   419,     0,   420,   421,   422,   423,  1082,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,  1810,   447,   448,   449,   450,
       0,   665,   452,     0,     0,   666,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   667,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,     0,   216,   217,   218,
     219,   220,     0,   221,   222,     0,   223,   224,   225,   226,
     227,     0,     0,   658,   229,   230,   231,   232,     0,   233,
     234,   235,   236,   237,     0,     0,     0,   238,   239,   240,
     241,     0,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   252,   253,   254,   255,   256,   257,   258,   259,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,   284,   285,   286,   287,   288,     0,   289,     0,
     290,   291,   292,     0,   293,     0,   294,     0,     0,     0,
     295,   296,   297,     0,   298,   299,     0,   300,     0,   301,
     302,   303,   304,   305,     0,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,     0,   316,   317,
     318,   319,   320,   321,   322,     0,   323,     0,   324,     0,
       0,   325,     0,   326,   327,   328,   329,   330,   331,   332,
       0,   333,   334,     0,   335,     0,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   661,   351,     0,   352,   353,   354,   355,
       0,   356,   357,     0,   358,     0,   359,   360,   361,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,   369,     0,     0,     0,   370,   371,   372,   373,   374,
     375,   376,   377,     0,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,     0,   662,
     410,   411,   412,   413,   414,  1870,   416,   417,   418,   419,
       0,   420,   421,   422,   423,  1871,     0,   425,   426,   427,
     428,     0,   429,   430,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,   665,   452,
       0,     0,  1872,   454,   455,   456,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,   474,   475,
       0,   476,     0,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   667,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   199,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,     0,   216,   217,   218,   219,   220,     0,
     221,   222,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,   230,   231,   232,     0,   233,   234,   235,   236,
     237,     0,     0,     0,   238,   239,   240,   241,     0,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,     0,
     250,   251,     0,     0,     0,     0,     0,     0,     0,   252,
     253,   254,   255,   256,   257,   258,   259,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,   284,
     285,   286,   287,   288,     0,   289,     0,   290,   291,   292,
       0,   293,     0,   294,     0,     0,     0,   295,   296,   297,
       0,   298,   299,     0,   300,     0,   301,   302,   303,   304,
    2116,     0,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,     0,   316,   317,   318,   319,   320,
     321,   322,     0,   323,     0,   324,     0,     0,   325,     0,
     326,   327,   328,   329,   330,   331,   332,     0,   333,   334,
       0,   335,     0,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,     0,   352,   353,   354,   355,     0,   356,   357,
       0,   358,     0,   359,   360,   361,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,   369,     0,
       0,     0,   370,   371,   372,   373,   374,   375,   376,   377,
       0,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,   426,   427,   428,     0,   429,
     430,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,   451,   452,     0,     0,   453,
     454,   455,   456,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,   474,   475,     0,   476,     0,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  2444,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   658,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,   305,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   661,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     662,   410,   411,   412,   413,   414,   663,   416,   417,   418,
     419,     0,   420,   421,   422,   423,  1871,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   665,
     452,     0,     0,  1872,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   667,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,  1330,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,  1331,
     714,  1332,  1333,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,  1334,  1335,   232,     0,   233,   234,   235,
     236,     0,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,  1336,  1337,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,  1005,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
       0,   285,   286,   287,     0,     0,   289,     0,   290,  1338,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,     0,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,  1878,   309,   310,   311,
     312,   313,   314,     0,   315,   722,  1879,   317,   318,   319,
     320,  1339,  1340,     0,  1341,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,  1342,   728,  1343,   353,   354,     0,     0,   356,
     357,   729,   358,     0,     0,   360,  1344,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,  1880,
     730,   731,   732,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1345,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,  1881,   427,   428,   734,
     429,  1347,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,  1348,  1349,     0,     0,
     453,     0,   455,     0,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,     0,  1350,  1882,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,     0,   199,     0,     0,     0,     0,
       0,     0,     0,   495,   496,   497,   200,   201,   202,   203,
     204,   205,   206,   207,     0,   209,   210,   211,     0,     0,
       0,     0,     0,     0,     0,   212,   213,     0,   214,   215,
       0,   216,   217,   218,   219,   220,     0,   221,   222,     0,
     223,   224,   225,   226,   227,     0,     0,   228,   229,   230,
     231,   232,     0,   233,   234,   235,   236,   237,     0,     0,
       0,   238,   239,   240,   241,     0,   242,   243,     0,   244,
     245,   246,   247,   248,   249,     0,     0,   250,   251,     0,
       0,     0,     0,     0,     0,     0,   252,   253,   254,   255,
     256,   257,   258,   259,   260,     0,   261,     0,   262,   263,
     264,   265,   266,     0,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,     0,   278,
     279,     0,   280,   281,   282,   283,   284,   285,   286,   287,
     288,     0,   289,     0,   290,   291,   292,     0,   293,     0,
     294,     0,     0,     0,   295,   296,   297,     0,   298,   299,
       0,   300,     0,   301,   302,   303,   304,  2517,     0,   306,
     307,   308,     0,   309,   310,   311,   312,   313,   314,     0,
     315,     0,   316,   317,   318,   319,   320,   321,   322,     0,
     323,     0,   324,     0,     0,   325,     0,   326,   327,   328,
     329,   330,   331,   332,     0,   333,   334,     0,   335,     0,
       0,   336,   337,   338,     0,     0,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,     0,
     352,   353,   354,   355,     0,   356,   357,     0,   358,     0,
     359,   360,   361,   362,   363,   364,     0,   365,     0,     0,
     366,   367,   368,     0,     0,   369,     0,     0,     0,   370,
     371,   372,   373,   374,   375,   376,   377,     0,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,     0,
     407,   408,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,     0,   420,   421,   422,   423,   424,
       0,   425,   426,   427,   428,     0,   429,   430,   431,     0,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,     0,   445,   446,   447,   448,   449,
     450,     0,   451,   452,     0,     0,   453,   454,   455,   456,
       0,   457,   458,   459,   460,   461,   462,   463,     0,     0,
     464,   465,   466,   467,   468,     0,     0,   469,   470,   471,
     472,   473,   474,   475,     0,   476,     0,   477,   478,   479,
       0,     0,   480,     0,     0,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,     0,   216,   217,
     218,   219,   220,     0,   221,   222,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,   230,   231,   232,     0,
     233,   234,   235,   236,   237,     0,     0,     0,   238,   239,
     240,   241,     0,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,     0,   250,   251,     0,     0,     0,     0,
       0,     0,     0,   252,   253,   254,   255,   256,   257,   258,
     259,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,   284,   285,   286,   287,   288,     0,   289,
       0,   290,   291,   292,     0,   293,     0,   294,     0,     0,
       0,   295,   296,   297,     0,   298,   299,     0,   300,     0,
     301,   302,   303,   304,  2519,     0,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,     0,   316,
     317,   318,   319,   320,   321,   322,     0,   323,     0,   324,
       0,     0,   325,     0,   326,   327,   328,   329,   330,   331,
     332,     0,   333,   334,     0,   335,     0,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,     0,   352,   353,   354,
     355,     0,   356,   357,     0,   358,     0,   359,   360,   361,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,   369,     0,     0,     0,   370,   371,   372,   373,
     374,   375,   376,   377,     0,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,   426,
     427,   428,     0,   429,   430,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,   451,
     452,     0,     0,   453,   454,   455,   456,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,   474,
     475,     0,   476,     0,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,     0,   216,   217,   218,   219,   220,
       0,   221,   222,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,   230,   231,   232,     0,   233,   234,   235,
     236,   237,     0,     0,     0,   238,   239,   240,   241,     0,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
       0,   250,   251,     0,     0,     0,     0,     0,     0,     0,
     252,   253,   254,   255,   256,   257,   258,   259,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
     284,   285,   286,   287,   288,     0,   289,     0,   290,   291,
     292,     0,   293,     0,   294,     0,     0,     0,   295,   296,
     297,     0,   298,   299,     0,   300,     0,   301,   302,   303,
     304,  2611,     0,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,     0,   316,   317,   318,   319,
     320,   321,   322,     0,   323,     0,   324,     0,     0,   325,
       0,   326,   327,   328,   329,   330,   331,   332,     0,   333,
     334,     0,   335,     0,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,     0,   352,   353,   354,   355,     0,   356,
     357,     0,   358,     0,   359,   360,   361,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,   369,
       0,     0,     0,   370,   371,   372,   373,   374,   375,   376,
     377,     0,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,     0,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,   426,   427,   428,     0,
     429,   430,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,   451,   452,     0,     0,
     453,   454,   455,   456,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,   474,   475,     0,   476,
       0,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,  1330,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,   201,   202,
     203,   204,   205,   206,   207,     0,   209,   210,   211,     0,
       0,     0,     0,     0,     0,     0,   212,   213,     0,   214,
     215,   713,   216,   217,   218,     0,  1331,   714,  1332,  1333,
       0,   223,   224,   225,   226,   227,     0,     0,   228,   229,
    1334,  1335,   232,     0,   233,   234,   235,   236,     0,     0,
     715,     0,   238,   239,   240,   241,   716,   242,   243,     0,
     244,   245,   246,   247,   248,   249,     0,   717,   250,   251,
       0,     0,     0,   718,     0,     0,     0,   252,   253,   254,
     255,   256,   257,  1336,  1337,   260,     0,   261,     0,   262,
     263,   264,   265,   266,     0,   267,   268,   269,     0,     0,
     270,   271,  1005,   273,   274,     0,   275,   276,   277,     0,
     278,   279,     0,   280,   281,   282,   283,     0,   285,   286,
     287,     0,     0,   289,     0,   290,  1338,   292,     0,   293,
       0,   294,   719,     0,   720,   295,   296,   297,     0,   298,
       0,     0,   300,     0,   301,   302,   303,   304,   305,   721,
     306,   307,   308,     0,   309,   310,   311,   312,   313,   314,
       0,   315,   722,     0,   317,   318,   319,   320,  1339,  1340,
       0,  1341,     0,   324,   723,   724,   325,   725,   326,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   726,   335,
     727,     0,   336,   337,   338,     0,     0,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,  1342,
     728,  1343,   353,   354,     0,     0,   356,   357,   729,   358,
    1866,     0,   360,  1344,   362,   363,   364,     0,   365,     0,
       0,   366,   367,   368,     0,     0,     0,   730,   731,   732,
       0,   371,   372,   373,   374,   375,   376,   377,     0,   378,
       0,   380,     0,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1345,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
       0,   407,   408,   733,   409,   410,     0,   412,   413,   414,
     415,   416,   417,   418,   419,     0,   420,   421,   422,   423,
     424,     0,   425,  1881,   427,   428,   734,   429,  1347,   431,
       0,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,     0,     0,   443,   444,  3263,   445,   446,   447,   448,
     449,   450,     0,  1348,  1349,     0,     0,   453,     0,   455,
       0,     0,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   464,   465,   466,   467,   468,     0,     0,   469,   470,
     471,   472,   473,     0,  1350,     0,   476,   735,   477,   478,
     479,     0,     0,   480,     0,     0,   481,   482,   483,   484,
     485,     0,  1330,     0,     0,     0,     0,     0,     0,     0,
     495,   496,   497,   200,   201,   202,   203,   204,   205,   206,
     207,     0,   209,   210,   211,     0,     0,     0,     0,     0,
       0,     0,   212,   213,     0,   214,   215,   713,   216,   217,
     218,     0,  1331,   714,  1332,  1333,     0,   223,   224,   225,
     226,   227,     0,     0,   228,   229,  1334,  1335,   232,     0,
     233,   234,   235,   236,     0,     0,   715,     0,   238,   239,
     240,   241,   716,   242,   243,     0,   244,   245,   246,   247,
     248,   249,     0,   717,   250,   251,     0,     0,     0,   718,
       0,     0,     0,   252,   253,   254,   255,   256,   257,  1336,
    1337,   260,     0,   261,     0,   262,   263,   264,   265,   266,
       0,   267,   268,   269,     0,     0,   270,   271,  1005,   273,
     274,     0,   275,   276,   277,     0,   278,   279,     0,   280,
     281,   282,   283,     0,   285,   286,   287,     0,     0,   289,
       0,   290,  1338,   292,     0,   293,     0,   294,   719,     0,
     720,   295,   296,   297,     0,   298,     0,     0,   300,     0,
     301,   302,   303,   304,   305,   721,   306,   307,   308,     0,
     309,   310,   311,   312,   313,   314,     0,   315,   722,     0,
     317,   318,   319,   320,  1339,  1340,     0,  1341,     0,   324,
     723,   724,   325,   725,   326,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   726,   335,   727,     0,   336,   337,
     338,     0,     0,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,  1342,   728,  1343,   353,   354,
    1929,     0,   356,   357,   729,   358,     0,     0,   360,  1344,
     362,   363,   364,     0,   365,     0,     0,   366,   367,   368,
       0,     0,     0,   730,   731,   732,     0,   371,   372,   373,
     374,   375,   376,   377,     0,   378,     0,   380,     0,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1345,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,     0,   407,   408,   733,
     409,   410,     0,   412,   413,   414,   415,   416,   417,   418,
     419,     0,   420,   421,   422,   423,   424,     0,   425,  1346,
     427,   428,   734,   429,  1347,   431,     0,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,     0,     0,   443,
     444,     0,   445,   446,   447,   448,   449,   450,     0,  1348,
    1349,     0,     0,   453,     0,   455,     0,     0,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   464,   465,   466,
     467,   468,     0,     0,   469,   470,   471,   472,   473,     0,
    1350,     0,   476,   735,   477,   478,   479,     0,     0,   480,
       0,     0,   481,   482,   483,   484,   485,     0,  1330,     0,
       0,     0,     0,     0,     0,     0,   495,   496,   497,   200,
     201,   202,   203,   204,   205,   206,   207,     0,   209,   210,
     211,     0,     0,     0,     0,     0,     0,     0,   212,   213,
       0,   214,   215,   713,   216,   217,   218,     0,  1331,   714,
    1332,  1333,     0,   223,   224,   225,   226,   227,     0,     0,
     228,   229,  1334,  1335,   232,     0,   233,   234,   235,   236,
       0,     0,   715,     0,   238,   239,   240,   241,   716,   242,
     243,     0,   244,   245,   246,   247,   248,   249,     0,   717,
     250,   251,     0,     0,     0,   718,     0,     0,     0,   252,
     253,   254,   255,   256,   257,  1336,  1337,   260,     0,   261,
       0,   262,   263,   264,   265,   266,     0,   267,   268,   269,
       0,     0,   270,   271,  1005,   273,   274,     0,   275,   276,
     277,     0,   278,   279,     0,   280,   281,   282,   283,     0,
     285,   286,   287,     0,     0,   289,     0,   290,  1338,   292,
       0,   293,     0,   294,   719,     0,   720,   295,   296,   297,
       0,   298,     0,     0,   300,     0,   301,   302,   303,   304,
     305,   721,   306,   307,   308,     0,   309,   310,   311,   312,
     313,   314,     0,   315,   722,     0,   317,   318,   319,   320,
    1339,  1340,     0,  1341,     0,   324,   723,   724,   325,   725,
     326,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     726,   335,   727,     0,   336,   337,   338,     0,     0,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,  1342,   728,  1343,   353,   354,  3082,     0,   356,   357,
     729,   358,     0,     0,   360,  1344,   362,   363,   364,     0,
     365,     0,     0,   366,   367,   368,     0,     0,     0,   730,
     731,   732,     0,   371,   372,   373,   374,   375,   376,   377,
       0,   378,     0,   380,     0,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1345,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,     0,   407,   408,   733,   409,   410,     0,   412,
     413,   414,   415,   416,   417,   418,   419,     0,   420,   421,
     422,   423,   424,     0,   425,  1346,   427,   428,   734,   429,
    1347,   431,     0,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,   443,   444,     0,   445,   446,
     447,   448,   449,   450,     0,  1348,  1349,     0,     0,   453,
       0,   455,     0,     0,   457,   458,   459,   460,   461,   462,
     463,     0,     0,   464,   465,   466,   467,   468,     0,     0,
     469,   470,   471,   472,   473,     0,  1350,     0,   476,   735,
     477,   478,   479,     0,     0,   480,     0,     0,   481,   482,
     483,   484,   485,     0,   199,     0,     0,     0,     0,     0,
       0,     0,   495,   496,   497,   200,   201,   202,   203,   204,
     205,   206,   207,     0,   209,   210,   211,     0,     0,     0,
       0,     0,     0,     0,   212,   213,     0,   214,   215,     0,
     216,   217,   218,   219,   220,     0,   221,   222,     0,   223,
     224,   225,   226,   227,     0,     0,   228,   229,   230,   231,
     232,     0,   233,   234,   235,   236,   237,     0,     0,     0,
     238,   239,   240,   241,     0,   242,   243,     0,   244,   245,
     246,   247,   248,   249,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,   252,   253,   254,   255,   256,
     257,   258,   259,   260,     0,   261,     0,   262,   263,   264,
     265,   266,     0,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,     0,   278,   279,
       0,   280,   281,   282,   283,   284,   285,   286,   287,   288,
       0,   289,     0,   290,   291,   292,     0,   293,     0,   294,
       0,     0,     0,   295,   296,   297,     0,   298,   299,     0,
     300,     0,   301,   302,   303,   304,   305,     0,   306,   307,
     308,     0,   309,   310,   311,   312,   313,   314,     0,   315,
       0,   316,   317,   318,   319,   320,   321,   322,     0,   323,
       0,   324,     0,     0,   325,     0,   326,   327,   328,   329,
     330,   331,   332,     0,   333,   334,     0,   335,     0,     0,
     336,   337,   338,     0,     0,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,     0,   352,
     353,   354,   355,     0,   356,   357,     0,   358,     0,   359,
     360,   361,   362,   363,   364,     0,   365,     0,     0,   366,
     367,   368,     0,     0,   369,     0,     0,     0,   370,   371,
     372,   373,   374,     0,   376,   377,     0,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
       0,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,     0,   407,
     408,     0,   409,   410,   411,     0,   413,   414,   415,   416,
     417,   418,   419,     0,   420,   421,   422,   423,   424,     0,
     425,   426,   427,   428,     0,   429,   430,   431,     0,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,     0,   445,   446,   447,   448,   449,   450,
       0,   451,   452,     0,     0,   453,   454,   455,   456,     0,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   464,
     465,   466,   467,   468,     0,     0,   469,   470,   471,   472,
     473,   474,   475,     0,   476,     0,   477,   478,   479,     0,
       0,   480,     0,     0,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,  1330,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
       0,   209,   210,   211,     0,     0,     0,     0,     0,     0,
       0,   212,   213,     0,   214,   215,   713,   216,   217,   218,
       0,  1331,   714,  1332,  1333,     0,   223,   224,   225,   226,
     227,     0,     0,   228,   229,  1334,  1335,   232,     0,   233,
     234,   235,   236,     0,     0,   715,     0,   238,   239,   240,
     241,   716,   242,   243,     0,   244,   245,   246,   247,   248,
     249,     0,   717,   250,   251,     0,     0,     0,   718,     0,
       0,     0,   252,   253,   254,   255,   256,   257,  1336,  1337,
     260,     0,   261,     0,   262,   263,   264,   265,   266,     0,
     267,   268,   269,     0,     0,   270,   271,  1005,   273,   274,
       0,   275,   276,   277,     0,   278,   279,     0,   280,   281,
     282,   283,     0,   285,   286,   287,     0,     0,   289,     0,
     290,  1338,   292,     0,   293,     0,   294,   719,     0,   720,
     295,   296,   297,     0,   298,     0,     0,   300,     0,   301,
     302,   303,   304,   305,   721,   306,   307,   308,     0,   309,
     310,   311,   312,   313,   314,     0,   315,   722,     0,   317,
     318,   319,   320,  1339,  1340,     0,  1341,     0,   324,   723,
     724,   325,   725,   326,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   726,   335,   727,     0,   336,   337,   338,
       0,     0,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,  1342,   728,  1343,   353,   354,     0,
       0,   356,   357,   729,   358,     0,     0,   360,  1344,   362,
     363,   364,     0,   365,     0,     0,   366,   367,   368,     0,
       0,     0,   730,   731,   732,     0,   371,   372,   373,   374,
     375,   376,   377,     0,   378,     0,   380,     0,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1345,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,     0,   407,   408,   733,   409,
     410,     0,   412,   413,   414,   415,   416,   417,   418,   419,
       0,   420,   421,   422,   423,   424,     0,   425,  1346,   427,
     428,   734,   429,  1347,   431,     0,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,     0,     0,   443,   444,
       0,   445,   446,   447,   448,   449,   450,     0,  1348,  1349,
       0,     0,   453,     0,   455,     0,     0,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   464,   465,   466,   467,
     468,     0,     0,   469,   470,   471,   472,   473,     0,  1350,
       0,   476,   735,   477,   478,   479,     0,     0,   480,     0,
       0,   481,   482,   483,   484,   485,     0,  1330,     0,     0,
       0,     0,     0,     0,     0,   495,   496,   497,   200,   201,
     202,   203,   204,   205,   206,   207,     0,   209,   210,   211,
       0,     0,     0,     0,     0,     0,     0,   212,   213,     0,
     214,   215,   713,   216,   217,   218,     0,  1331,   714,  1332,
    1333,     0,   223,   224,   225,   226,   227,     0,     0,   228,
     229,  1334,  1335,   232,     0,   233,   234,   235,   236,     0,
       0,   715,     0,   238,   239,   240,   241,   716,   242,   243,
       0,   244,   245,   246,   247,   248,   249,     0,   717,   250,
     251,     0,     0,     0,   718,     0,     0,     0,   252,   253,
     254,   255,   256,   257,  1336,  1337,   260,     0,   261,     0,
     262,   263,   264,   265,   266,     0,   267,   268,   269,     0,
       0,   270,   271,  1005,   273,   274,     0,   275,   276,   277,
       0,   278,   279,     0,   280,   281,   282,   283,     0,   285,
     286,   287,     0,     0,   289,     0,   290,  1338,   292,     0,
     293,     0,   294,   719,     0,   720,   295,   296,   297,     0,
     298,     0,     0,   300,     0,   301,   302,   303,   304,   305,
     721,   306,   307,   308,     0,   309,   310,   311,   312,   313,
     314,     0,   315,   722,     0,   317,   318,   319,   320,  1339,
    1340,     0,  1341,     0,   324,   723,   724,   325,   725,   326,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   726,
     335,   727,     0,   336,   337,   338,     0,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
    1342,   728,  1343,   353,   354,     0,     0,   356,   357,   729,
     358,     0,     0,   360,  1344,   362,   363,   364,     0,   365,
       0,     0,   366,   367,   368,     0,     0,     0,   730,   731,
     732,     0,   371,   372,   373,   374,   375,   376,   377,     0,
     378,     0,   380,     0,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1345,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,     0,   407,   408,   733,   409,   410,     0,   412,   413,
     414,   415,   416,   417,   418,   419,     0,   420,   421,   422,
     423,   424,     0,   425,  1881,   427,   428,   734,   429,  1347,
     431,     0,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,     0,     0,   443,   444,     0,   445,   446,   447,
     448,   449,   450,     0,  1348,  1349,     0,     0,   453,     0,
     455,     0,     0,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   464,   465,   466,   467,   468,     0,     0,   469,
     470,   471,   472,   473,     0,  1350,     0,   476,   735,   477,
     478,   479,     0,     0,   480,     0,     0,   481,   482,   483,
     484,   485,     0,  1330,     0,     0,     0,     0,     0,     0,
       0,   495,   496,   497,   200,   201,   202,   203,   204,   205,
     206,   207,     0,   209,   210,   211,     0,     0,     0,     0,
       0,     0,     0,   212,   213,     0,   214,   215,   713,   216,
     217,   218,     0,  1331,   714,  1332,  1333,     0,   223,   224,
     225,   226,   227,     0,     0,   228,   229,  1334,  1335,   232,
       0,   233,   234,   235,   236,     0,     0,   715,     0,   238,
     239,   240,   241,   716,   242,   243,     0,   244,   245,   246,
     247,   248,   249,     0,   717,   250,   251,     0,     0,     0,
     718,     0,     0,     0,   252,   253,   254,   255,   256,   257,
    1336,  1337,   260,     0,   261,     0,   262,   263,   264,   265,
     266,     0,   267,   268,   269,     0,     0,   270,   271,  1005,
     273,   274,     0,   275,   276,   277,     0,   278,   279,     0,
     280,   281,   282,   283,     0,   285,   286,   287,     0,     0,
     289,     0,   290,  1338,   292,     0,   293,     0,   294,   719,
       0,   720,   295,   296,   297,     0,   298,     0,     0,   300,
       0,   301,   302,   303,   304,   305,   721,   306,   307,   308,
       0,   309,   310,   311,   312,   313,   314,     0,   315,   722,
       0,   317,   318,   319,   320,  1339,  1340,     0,  1341,     0,
     324,   723,   724,   325,   725,   326,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   726,   335,   727,     0,   336,
     337,   338,     0,     0,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,  1342,   728,  1343,   353,
     354,     0,     0,   356,   357,   729,   358,     0,     0,   360,
    1344,   362,   363,   364,     0,   365,     0,     0,   366,   367,
     368,     0,     0,     0,   730,   731,   732,     0,   371,   372,
     373,   374,   375,   376,   377,     0,   378,     0,   380,     0,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1345,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,     0,   407,   408,
     733,   409,   410,     0,   412,   413,   414,   415,   416,   417,
     418,   419,     0,   420,   421,   422,   423,   424,     0,   425,
       0,   427,   428,   734,   429,  1347,   431,     0,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,     0,     0,
     443,   444,     0,   445,   446,   447,   448,   449,   450,     0,
    1348,  1349,     0,     0,   453,     0,   455,     0,     0,   457,
     458,   459,   460,   461,   462,   463,     0,     0,   464,   465,
     466,   467,   468,     0,     0,   469,   470,   471,   472,   473,
       0,  1350,     0,   476,   735,   477,   478,   479,     0,     0,
     480,     0,     0,   481,   482,   483,   484,   485,     0,  1330,
       0,     0,     0,     0,     0,     0,     0,   495,   496,   497,
     200,   201,   202,   203,   204,   205,   206,   207,     0,   209,
     210,   211,     0,     0,     0,     0,     0,     0,     0,   212,
     213,     0,   214,   215,   713,   216,   217,   218,     0,     0,
     714,     0,     0,     0,   223,   224,   225,   226,   227,     0,
       0,   228,   229,     0,     0,   232,     0,   233,   234,   235,
     236,     0,     0,   715,     0,   238,   239,   240,   241,   716,
     242,   243,     0,   244,   245,   246,   247,   248,   249,     0,
     717,   250,   251,     0,     0,     0,   718,     0,     0,     0,
     252,   253,   254,   255,   256,   257,     0,     0,   260,     0,
     261,     0,   262,   263,   264,   265,   266,     0,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,     0,   278,   279,     0,   280,   281,   282,   283,
       0,   285,   286,   287,     0,     0,   289,     0,   290,     0,
     292,     0,   293,     0,   294,   719,     0,   720,   295,   296,
     297,     0,   298,     0,     0,   300,     0,   301,   302,   303,
     304,   305,   721,   306,   307,   308,     0,   309,   310,   311,
     312,   313,   314,     0,   315,   722,     0,   317,   318,   319,
     320,     0,     0,     0,     0,     0,   324,   723,   724,   325,
     725,   326,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   726,   335,   727,     0,   336,   337,   338,     0,     0,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,     0,   728,     0,   353,   354,     0,     0,   356,
     357,   729,   358,     0,     0,   360,     0,   362,   363,   364,
       0,   365,     0,     0,   366,   367,   368,     0,     0,     0,
     730,   731,   732,     0,   371,   372,   373,   374,   375,   376,
     377,     0,   378,     0,   380,     0,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,     0,   407,   408,   733,   409,   410,     0,
     412,   413,   414,   415,   416,   417,   418,   419,     0,   420,
     421,   422,   423,   424,     0,   425,     0,   427,   428,   734,
     429,     0,   431,     0,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,     0,     0,   443,   444,     0,   445,
     446,   447,   448,   449,   450,     0,     0,     0,     0,     0,
     453,     0,   455,     0,     0,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   464,   465,   466,   467,   468,     0,
       0,   469,   470,   471,   472,   473,     0,     0,     0,   476,
     735,   477,   478,   479,     0,     0,   480,     0,     0,   481,
     482,   483,   484,   485,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   495,   496,   497
};

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    47,    16,   164,   524,
     184,    11,    33,   888,    21,    24,   896,   706,   659,    26,
      20,   737,    20,   617,   618,   619,  1107,   711,  1495,   623,
     892,  1207,   961,     7,   947,   925,  1107,   797,  1173,   850,
      14,   776,  1595,   551,    12,  1212,    21,    47,   859,   832,
     172,    26,   567,   788,  1109,  1346,   916,  1032,   180,   974,
    2198,    42,   181,    41,  1216,    20,   780,   186,  1140,   565,
    1303,   666,  2356,   569,  2754,  1399,   195,  1212,  1384,  1160,
      17,   516,  1107,   579,  1225,  1384,  1363,    22,  1207,  1160,
    1928,  1384,  1384,  1003,  1004,  2480,   879,  1384,    33,  1259,
    1531,  1156,   837,  2961,  1384,   840,  1886,  1887,  1975,  2530,
     845,  2532,  1022,  1130,  1756,  1267,   779,   852,  2178,   782,
    2675,  2693,  2405,  3046,  2995,   560,   861,   790,  1452,   151,
    2354,  1272,  1273,  3264,     0,  1160,  2352,  2353,   166,  2657,
    3002,  3243,     0,   166,  3225,   586,  2934,  2935,     0,  1199,
       0,     0,  2289,  1160,   662,    38,  2867,  2675,   703,  3466,
    3206,   788,  2973,   703,     5,  1401,   166,   759,  2679,  2680,
    2681,  2682,  2683,  2684,    31,  1408,     9,   753,    66,     5,
      44,    58,     0,   992,   993,     0,     0,    35,    22,  2020,
    1050,  2929,     0,    37,   903,     9,  3904,    18,  3658,     5,
      25,     9,    37,     5,    79,   914,    18,    13,    22,  1018,
      72,    13,   190,    22,    22,     0,   150,    58,     0,     5,
      29,  2059,   103,   145,     5,   189,  3885,     5,  3787,   156,
       5,  2350,    58,     5,    35,    13,   830,   150,    26,    27,
      51,    96,    18,     5,    51,    11,   150,     5,     5,     5,
     170,   170,    98,     5,   153,   150,     5,   182,   151,    22,
    3857,     5,    98,   188,   127,     5,    29,  2255,  2256,   159,
      64,   196,  2260,   110,  2411,     9,   132,    22,   150,  2398,
     245,   105,  2482,    76,    29,  1366,   153,  2125,    68,  2127,
     150,    20,   275,   132,   252,  1366,    76,  3976,  3977,   120,
     815,     4,    34,   247,   151,    22,     9,  3169,   120,    51,
     103,    40,  2300,  2301,   219,    11,   158,   163,   352,    96,
      22,   105,  4207,     5,   393,   141,    96,   163,   141,    51,
      83,    96,   150,   925,  1094,   150,   150,   142,    32,     0,
      36,  1366,   150,   412,   120,     3,     4,     5,   305,     5,
     524,     9,   170,  1936,    11,   170,   170,    30,   106,   384,
    1076,   149,   170,   151,     5,   150,     0,  1565,   150,   193,
      66,   290,     4,   219,  1349,   294,   222,     9,  1845,    36,
      11,  1579,  4041,   219,   427,   170,   222,   430,   170,   511,
    4275,   122,   208,   567,    68,   208,   430,     9,   115,   356,
     319,   897,   155,   522,   912,   310,  1989,   526,   232,    66,
    4007,    76,   307,   115,   261,   314,   279,   111,   537,   167,
     295,   103,    83,   230,   229,  3471,  1336,  1337,  1626,  3889,
     103,   244,   266,   555,  1344,  1315,  1311,   169,   259,   232,
     197,   105,   564,   426,   343,   103,    11,   314,   352,    83,
      96,   245,   396,   237,    68,   184,   280,   953,    68,   301,
     230,   426,   103,   362,   310,   321,   430,   963,   293,   290,
     978,    36,   430,   392,   310,  1530,   343,   324,  2989,   975,
     305,   834,   321,   255,  4163,   296,   927,   342,   378,   296,
     385,   339,  2692,  1565,   155,    96,   430,   506,   319,     8,
    1092,    66,   364,   430,   426,  1097,  1098,  1579,   352,   150,
     430,   345,   319,   347,   290,  3070,  1327,   430,   327,  1600,
    1255,   155,  1257,  1306,  1187,  1334,  1335,  4086,  4236,  1600,
     188,   356,   413,   426,  1343,  4194,   424,   374,   339,  4198,
     428,  1301,   551,   552,   379,   150,   587,   333,   334,   426,
     706,  1265,  3070,   211,   296,   430,   377,   383,   430,  3661,
     372,   407,   426,   426,   327,   342,   426,   589,   505,   426,
      11,   407,   352,  1486,   296,  1600,  4235,   342,  1633,   504,
     426,  1089,   327,  3629,   509,   426,   586,   587,   586,  1324,
    1881,   598,   425,   600,  1456,   602,   384,  1189,  3460,  2437,
     426,   608,  1147,   417,   418,  1197,   430,  1147,   961,   417,
     418,   429,  3323,  1890,   429,   429,  1243,   585,   393,   430,
     426,   429,   631,   598,   426,   600,   191,   602,  3674,  1125,
    1206,  1493,   587,   608,   609,   610,   297,   412,   612,  3450,
    1502,   815,   651,   383,   429,   426,  3218,   429,   426,   658,
     628,   426,   661,   662,   663,  1247,   422,   388,  1250,  1251,
    2944,  3968,  3400,   297,   426,  3237,  3404,   695,   426,  1529,
     426,  1531,   695,  4133,   426,   424,  3187,   426,   352,   428,
     802,  1541,   426,   417,   418,  1545,   426,   352,   430,   392,
     812,    51,   426,  1553,  1554,   695,   342,   697,   697,   697,
     697,   697,   697,   681,  1940,  1857,  1566,  1567,   430,  1418,
    1886,   352,   376,   638,   417,   418,    18,  1577,  1427,  2499,
    1312,  2501,  1431,  1804,  1239,  2949,   422,  1894,  1437,  1438,
     685,   392,   710,  1804,   659,  4195,  3782,   393,   352,   248,
     413,   342,   352,  3789,   301,   867,  1455,   352,  1557,  1558,
     191,   424,   677,   426,   427,   428,   412,   430,   392,   417,
     418,   108,   419,   420,   421,   422,   427,   108,   429,     3,
     426,  3897,   413,   698,   752,   103,     5,   660,    96,  1804,
     152,   664,    74,   152,   759,   417,   418,   428,   419,   420,
     421,   422,     3,   427,     5,   429,    74,  1804,  2636,  2637,
    2631,  1154,     5,  2634,  2635,   417,   418,  2638,   413,   246,
    2929,  1405,  2365,    60,    16,   108,   373,  2648,   120,     5,
     112,   246,   831,   428,   144,  1875,   159,     8,    60,    76,
      11,   697,    83,  1914,   112,   230,  1917,     5,   129,   697,
    2977,    75,   183,  1914,    18,   697,  1917,   697,   697,   242,
      24,   102,   417,   418,   419,   420,   421,   422,  1499,  1500,
       5,  2849,   242,    23,  2852,  2853,  2854,  2855,  2856,  2857,
    2858,  2859,  2860,  2861,   103,    42,   248,  2657,   744,   248,
    2999,   303,   133,   130,  1237,   152,   152,    98,  2055,  3274,
     183,   125,  1917,  3790,   103,  2675,   187,   230,   130,    97,
     147,    60,   242,   912,   413,   414,   415,    11,   417,   418,
     419,   420,   421,   422,   180,   147,   925,   842,   108,   108,
    4051,  1436,   788,  2911,  2912,  4027,   103,   927,  2104,   927,
     132,   120,  1428,   870,  2094,     5,   296,   862,   863,   864,
      96,   175,   133,  1439,   103,    18,   120,   103,   268,   958,
     925,    24,   163,  3741,  1307,  1451,   930,   259,   932,   106,
     934,   252,   936,   335,   938,   939,   940,  3864,   260,   978,
     259,   945,  2752,  1326,    22,   173,   417,   418,   419,   420,
     421,   422,   260,  3754,   312,  3756,   986,   424,   290,  1424,
     145,   428,   230,   183,  3674,   252,  1492,  3859,   316,   166,
    1496,   290,  1498,   170,   426,  1501,  1006,  3745,   219,  1050,
     191,   222,  3750,   408,   342,  3753,  4142,   319,  1371,   312,
     167,  1462,    70,   232,   184,   372,   273,   952,     3,    77,
     264,   372,  4134,   426,   237,   252,  1036,   105,   305,   321,
     207,   273,  1751,  1052,    19,   378,   426,   120,  1563,   974,
    1050,   237,   380,  1062,   346,   232,   104,  2255,  2256,   413,
    4141,   312,  2260,  1072,   392,  1239,    74,   248,   346,   237,
    1423,   342,  3969,   232,   428,   366,   232,  3498,   237,   372,
    1089,   270,  3979,  1092,  1093,   259,   426,   191,  1097,  1098,
     372,   342,   237,   360,     5,  3966,  1118,  4143,   426,   310,
      75,   303,  2300,  2301,   112,  1133,  1134,  4030,  1136,   177,
    1133,  1134,   258,  1136,   273,   103,   290,  1092,  3980,   321,
     367,   312,  1097,  1098,   141,    74,   174,   286,   145,   380,
     307,   365,  2042,  1133,  1134,   367,  1136,   292,  3422,   373,
     378,   392,   376,   341,   342,   319,   150,   319,  3432,    74,
     125,   342,   600,   601,   602,   252,   323,   605,   606,   607,
    1971,   196,   230,   112,   232,  3448,   170,   615,  1287,   359,
     427,  1149,   120,   430,    44,   426,   332,  3948,  1103,   335,
     159,    78,   372,  2255,  2256,    52,   259,   112,  2260,   380,
     259,   208,   103,    60,  3418,   170,   407,  3413,   191,  2280,
     175,   392,   163,   105,   303,  2286,  3430,  3945,   367,  2280,
     427,  3199,   309,   430,  1189,  2286,   115,   290,   117,  2496,
     117,   290,  1197,   106,    94,  1150,  2503,   244,  2300,  2301,
    1893,  4093,  4090,  4091,   292,   426,   417,   418,   419,   420,
     421,   422,   107,  2118,  3304,  1598,   319,  1184,  2128,   237,
     319,   230,   260,   246,  1263,  2280,   428,  1232,   219,  3814,
    2122,  2286,  1436,    95,  1383,   272,  2077,  2078,  2079,  2080,
     426,   250,  1247,   372,   352,  1250,  1251,  1940,  2089,   154,
    1399,  3400,   105,   280,   167,  3404,  1211,   335,  1266,   264,
    3070,   193,   354,  1218,   259,  1417,  3814,   354,  1961,  3130,
    3872,   107,   250,  4165,  1426,  3136,  3137,  3138,  3139,  3140,
    3141,   260,   182,   417,   418,   419,   420,   421,   422,    38,
     272,  1246,  2498,  2790,   321,   190,   301,  1990,   154,  2112,
     232,  1846,   394,  1452,   392,   260,   211,  1312,   346,   290,
      59,   250,  2984,   242,   211,     8,   294,   354,    11,   310,
     259,  1943,   430,  1278,   319,   374,  2373,   426,  4216,  1951,
     230,  1953,   426,   313,  2224,   340,     0,  1292,   319,  3236,
     193,   319,   430,  1495,  1809,   372,  1385,  1243,   280,  2498,
    1305,   290,  3370,  3371,   190,   211,   218,   394,   220,  1563,
     365,  2822,   342,  4255,    18,   145,  1892,   346,   373,   378,
      24,   376,   354,  2709,   374,   155,   259,   426,  2117,   232,
    2709,   129,    95,  2273,  2574,   374,  2709,  2709,   131,    49,
     170,   346,  2709,   141,  2133,  2134,    11,   145,  2137,  2709,
     115,  2583,   117,   105,  2143,  1382,   386,   290,   308,   290,
     232,   294,   394,  3281,  2304,  3283,  4018,   307,     5,  2530,
    2531,  2532,     9,  1400,   139,  2779,   426,   280,   171,  2530,
    2531,  2532,  1462,  4143,  1462,    95,   319,   426,   319,   187,
     345,   305,   347,   145,    57,    58,   385,  3761,  3762,  2339,
     928,    66,     0,   931,   344,   933,   278,   935,   429,   937,
     208,  2200,   175,   941,   312,   370,   120,   151,  1472,  1934,
    1474,  1522,  1476,   326,  1478,   177,  1480,   170,  1463,     8,
    1484,   386,    11,  1513,  1513,  1513,  1513,  1513,  1513,   345,
    3905,   347,   356,   392,   342,   179,   244,   303,   191,  2442,
    1508,   305,   392,   393,   252,   218,  1461,   220,     4,   392,
     194,  1550,   172,     9,   370,  1898,   103,   232,   259,   299,
       8,   205,   237,    11,  3692,   331,   430,   242,   230,   294,
     232,   430,   380,  3984,   392,    83,   426,   279,  1543,  1544,
      28,   275,   234,  2654,  1499,  1500,  1551,   392,  2170,   290,
    1555,  1556,   356,  2654,   319,   248,  1521,  2467,   218,  3811,
     220,  1528,   304,  2674,  2504,  1570,  2844,  1572,  2739,  2107,
     230,  2742,   430,  2674,   159,  1605,   313,    32,   426,   129,
     115,   129,   117,  3835,    39,   430,   145,  1592,   141,  1594,
    2868,   141,   145,   141,   241,   145,  3745,   145,   258,  2654,
    3183,  3750,   150,  2141,  3753,   342,   165,   155,  1647,  3777,
     158,  3779,   160,  3481,  3482,    68,   300,   259,   366,  2674,
     312,  2849,   309,    76,  2852,  2853,  2854,  2855,  2856,  2857,
    2858,  2859,  2860,  2861,  3783,   295,   197,   187,   259,   187,
    2166,  4056,  1846,   358,  2457,   230,  3960,  2030,   290,   386,
     342,  1800,   294,   368,  2882,   208,  1805,   280,   208,  1808,
     208,  2272,   191,  2274,  2275,   115,   393,   117,   291,   290,
     330,   352,   290,  1628,   259,    20,   294,   319,   345,   427,
     347,  1830,  1637,  2911,  2912,   412,  3704,  1839,   380,   139,
     393,   244,   315,  1845,   244,    40,   244,   232,   319,   426,
     392,   319,   252,   191,   252,   290,  2445,   242,   426,   412,
    3571,  3572,  3730,  3731,   292,  1864,  3023,   356,  2389,   248,
     413,   414,   415,   426,   417,   418,   419,   420,   421,   422,
     427,    80,  1769,   430,   426,   427,   421,   429,  2363,  2483,
    3003,   426,  1891,   428,  2366,    11,   309,  2849,  3897,   297,
    2852,  2853,  2854,  2855,  2856,  2857,  2858,  2859,  2860,  2861,
     248,  1791,  1791,  1814,  1769,  1816,  1915,  2511,  1753,   345,
      36,   347,   344,  2884,   392,  2718,  2321,   259,   145,  2518,
    2882,  2520,   312,  2884,   424,  3368,  1935,   237,   428,  1938,
       5,  2484,   242,   378,   342,    10,  3945,  1752,   165,  1754,
      66,   427,    84,    18,   430,  2188,  2891,  1956,   290,  2911,
    2912,   259,   342,   173,    75,   259,   366,  1966,   366,    34,
     392,   393,   246,   425,   392,   393,    50,   251,   430,  2884,
    1979,  1870,    11,  3149,   424,  3151,   426,   319,  3154,  1988,
    3156,   389,   290,   391,   392,   426,   290,   428,  1856,  3031,
     380,   425,    26,    27,   426,   246,   430,    36,    82,   426,
     251,   428,   392,   124,  2809,   421,  2871,  2872,  2607,   151,
     426,   319,   428,  2612,    84,   319,   424,  3048,  3049,   427,
     428,   429,   303,   304,   413,   414,   415,    66,   417,   418,
     419,   420,   421,   422,    21,   427,   426,   179,   430,    26,
    2985,  3919,   427,  2429,  2430,   430,  2432,   165,   358,    83,
    2815,   427,   194,   137,   430,    73,   427,  2455,   368,   430,
     392,   393,  2687,   205,   307,   413,   414,   415,   102,   417,
     418,   419,   420,   421,   422,   303,   304,  1976,  1943,   200,
     201,   151,   410,   411,   168,   227,  1951,   424,  1953,   426,
    2909,   428,   427,   214,  3065,   430,  1911,    48,  3069,   133,
    3071,   344,   427,     8,  3065,   430,    11,   309,  3069,   179,
    3071,  3199,   345,  2012,   347,   427,   197,  3838,   430,   203,
     426,  2020,   233,   234,   194,     9,   427,    31,  2878,   430,
     345,    36,   347,  4142,  4162,   205,   427,    42,   259,   430,
    2813,  3869,   427,   426,  3814,   430,    50,   246,   232,   392,
     393,   430,   191,   192,  3069,   426,  3071,   227,   300,   427,
    3217,    66,   430,  2762,  2390,  2391,     8,  2766,  2767,    11,
    2769,    48,  2771,  2772,  2039,    38,   246,  2076,    82,   427,
    2566,  2780,   430,   426,  3365,     8,    28,   409,    11,   427,
    2202,  3257,   430,   392,   393,  2207,   235,  3000,  3001,   307,
     193,   312,  2101,   307,   428,  2063,  2096,  2096,  2107,   249,
     294,  2810,   296,    36,   298,  2458,   427,  3242,   429,    42,
     304,   307,   249,   344,  2708,   346,   427,   311,   429,  3899,
     300,   342,   700,   137,   702,   319,   344,  3199,     8,  3039,
     344,    11,  2141,    66,   328,  2060,  3693,  3694,  3695,  3696,
     427,   427,   336,   430,   430,   246,   427,  2321,   344,   430,
     427,   166,   352,   430,   168,   170,   145,   427,   427,   380,
     430,   430,   427,   427,   307,   430,   430,   427,   312,   246,
     430,   392,  3370,  3371,   392,   393,   191,   192,   392,   393,
    2688,   249,  2690,   197,     0,   427,   409,   427,   430,   203,
     430,  2951,   207,   387,   374,  2170,   392,   393,   342,    38,
    2553,   344,  2555,  2359,  2700,   426,  2702,   427,   426,  2383,
     430,   427,   426,   193,   430,  3768,   427,   419,   232,   430,
     235,   409,  2938,   427,  2816,  3405,   430,  3407,  2350,   427,
     426,  1581,   430,   248,  1584,   427,   380,   170,   430,   191,
     384,   427,   149,  2751,   430,  2666,  2667,  2668,   392,   392,
     393,   427,  2941,  2942,   430,  2608,  3146,   427,   191,   192,
     430,   427,   427,  2304,   430,   430,   430,    83,   417,   418,
     419,   420,   421,   422,   427,   427,  2398,   430,   430,  2632,
     294,   426,   426,   426,   298,   427,   965,   966,   430,   307,
     304,   427,  2788,   427,   430,  2414,   248,   311,  3370,  3371,
     427,   307,   235,   430,  2304,   319,   427,   427,   323,   430,
     430,   191,  2808,   129,   328,   248,    76,   427,  2318,    48,
       8,   427,   336,    11,   430,   141,   344,   427,   427,   145,
     430,   430,   427,   427,   150,   430,   430,  2337,   344,   155,
     427,   150,   158,   430,   160,   189,     8,   426,    36,    11,
    2350,   319,   427,   427,    42,   430,   430,  2366,   427,  3414,
    2401,   430,   428,  2344,  2345,  2346,    28,   427,   248,   427,
     430,   187,   430,   387,   392,   393,   395,   391,    66,  2379,
    2379,  2379,  2379,  2379,  2379,  2738,   392,   393,  3855,  2364,
    3445,  2366,   208,   427,   154,   426,   430,   134,  2398,   414,
     415,  2401,   417,   418,   419,   420,   421,   422,   426,  3123,
    2763,   427,   134,   173,   430,   428,   427,  3498,  2343,   430,
     426,   426,     8,   427,   134,    11,   430,  3498,   244,   427,
    2549,   427,   430,   246,   430,   134,   252,  2556,   145,   206,
     128,   105,    28,   374,   246,   426,  2455,  3376,   241,   309,
      36,   211,   197,    60,   426,  3266,    42,   392,    31,   232,
     426,   413,   414,   415,  2389,   417,   418,   419,   420,   421,
     422,   395,    38,    38,   361,  2828,   259,   145,   166,    73,
      66,   297,   170,  2657,   417,   418,   419,   420,   421,   422,
     276,   251,  3352,   134,   134,  2848,   426,  3673,   134,   395,
     134,  2675,  3583,   191,   192,   134,  3704,  2626,   430,   134,
     134,   134,  3583,   246,   134,  3713,   134,   134,   246,   207,
    2873,   134,   134,   342,   426,    31,   342,  2536,   206,   191,
     146,   145,  3730,  3731,   414,   415,   145,   417,   418,   419,
     420,   421,   422,     8,   246,   426,    11,   235,     5,     5,
     366,   426,   426,    44,  3146,  2564,  2909,   145,  3583,   426,
     248,   426,   426,    28,   269,   426,     5,   426,     5,  3278,
     426,   426,   426,   389,   426,   391,   392,  3286,  3287,   426,
     166,   426,     5,   426,   170,   345,   248,   347,   426,     5,
     426,   426,   426,   426,    85,   426,   356,   426,   426,   426,
     426,   426,   426,   256,    31,   191,   192,   367,   424,   430,
     370,   427,   428,   429,    86,   206,    31,   145,   109,   145,
     352,   207,  2631,   244,   319,  2634,  2635,   352,   307,  2638,
     428,   352,  3704,   124,   352,   323,   307,   128,   352,  2648,
     352,  3713,    76,   352,  2653,   134,   232,   307,  2657,   235,
     246,   203,   311,   237,   352,   146,   352,   373,  3730,  3731,
    2779,   352,   248,    68,     0,   251,  2675,   246,  2790,    18,
     161,   175,   242,   426,  2793,    24,   352,   352,   426,  2688,
    3593,  2690,  2657,    76,   430,   259,    97,   374,   374,  2664,
    2665,   352,  2811,    48,  2669,  3585,   352,   352,    48,   250,
    2675,   352,   352,   352,  3296,   352,   352,    37,    37,   352,
     307,   430,  2721,   352,   352,    64,   246,   246,   395,   392,
     191,  3919,   426,   426,  3220,  3221,   191,    31,  2703,   417,
     418,   419,   420,   421,   422,   383,   426,   323,    30,    20,
     134,  2750,  2751,   426,   232,   103,   237,    83,  3883,   386,
    3466,   413,   414,   415,   245,   417,   418,   419,   420,   421,
     422,  2761,  2761,   374,   113,   214,   385,   242,  3477,  2694,
     232,   120,    31,   145,   123,    31,   197,   308,   134,  3708,
     134,   426,   374,   248,   374,   352,   134,   278,   134,   134,
     241,   236,   350,   129,  2719,  3291,  3292,  3293,   150,  3508,
    3509,   388,  2727,   409,   426,   141,  2731,  2929,    11,   145,
     224,   426,   224,   350,   150,   150,   319,   352,   426,   155,
    2745,   354,   158,   426,   160,   430,   175,   413,   414,   415,
     430,   417,   418,   419,   420,   421,   422,   164,   427,   164,
     187,  2816,   242,   426,   430,  3580,   247,  3919,   430,   430,
     374,   187,   427,   352,   352,  3564,  3565,   307,    75,   307,
     374,   195,   426,   195,   237,   352,   237,   426,   309,   197,
     237,  3224,   208,    38,   326,   253,  4052,  2999,  2919,   352,
     246,   230,   245,   232,  2809,   430,  2895,   307,  2929,   352,
     316,   290,   352,   242,   352,   280,  3070,   191,  3758,    31,
     191,   250,   191,  3984,   374,   374,   191,  3026,   244,   191,
     259,   426,   245,  3984,    30,   424,   252,   413,   426,  2919,
     352,  3436,   424,   352,   352,   134,   316,   352,   413,  2929,
     145,   147,   242,   426,   316,   134,  3849,   392,   246,  2948,
    2921,  2922,  2923,  2924,   246,   294,    31,   145,   413,   414,
     415,   162,   417,   418,   419,   420,   421,   422,   162,   134,
       8,   297,   246,    11,   145,   316,   246,    19,   170,  3678,
     319,  3680,  3681,   170,   170,   221,   430,   395,   156,    60,
     246,    48,  3691,   430,  3103,    66,   430,  3106,    36,   342,
     241,  3920,   197,    21,    42,    76,   427,   427,   150,   263,
     150,  2926,  2927,  2928,    13,   427,   342,   255,   427,   352,
     427,   409,   409,   389,   427,    13,   380,   427,    66,   427,
     427,   430,   103,  3376,   105,   427,   297,   389,   377,   208,
     366,   427,   427,   413,   246,   427,  3630,   173,   427,   427,
      68,   427,   426,   426,   134,   246,   352,  3543,  3544,   249,
    3546,   426,   426,   389,   395,   391,   392,   352,  3987,   352,
     181,  3070,  3991,  3992,  3924,   237,   352,   250,   134,    97,
     134,   208,   264,   264,   371,   352,   352,   352,  3087,  3086,
     352,  3090,   216,  3092,   352,   216,   216,   307,   424,  3773,
     118,   427,   428,   429,   352,  3070,   177,   352,   352,   307,
     307,   307,   352,   352,   134,   319,    37,  3116,  3117,  3989,
     352,  3086,   352,  3988,     8,  4005,   191,    11,   166,   147,
     191,  3130,   170,   191,   152,     3,  3479,  3136,  3137,  3138,
    3139,  3140,  3141,  3995,    28,  3997,   191,  3146,   191,   427,
     191,  3150,    36,   191,   192,   191,   424,   310,    42,   222,
     208,   232,  4233,   427,  3507,    96,   237,   292,   427,   207,
     413,   392,  4233,   430,   426,   430,  3519,   361,   245,    31,
     198,  3146,    66,   159,   246,   427,   352,   132,   307,   374,
    3189,  3190,  3191,  3192,  3159,  3160,   374,   235,   307,   307,
     249,   430,   273,   132,   191,  3170,   424,   126,   150,  4280,
     248,    11,   145,   427,  3913,   286,    18,  4288,  4233,  4280,
    3563,   385,    24,    58,  3189,   150,   426,  4288,   158,   145,
    4080,   247,    31,   374,   352,    22,    23,   374,   181,   352,
      27,   307,   352,   426,    31,    32,    33,    49,    35,   361,
     427,    38,    39,   427,    41,  3254,    43,  3888,   276,   361,
     427,   352,    64,  3253,  3253,  4280,   427,   430,  3967,   427,
     427,  3186,  3436,  4288,   352,   427,   427,   426,   426,  3784,
    3959,   307,   166,   301,   427,   323,   170,   145,  3400,   307,
    3205,   427,  3404,    95,   427,   313,   367,    66,    96,   427,
     191,  4000,   361,   191,   427,   195,   392,   191,   192,   425,
     425,   113,  3227,  3312,  3819,    50,   395,   145,   120,   426,
     176,   123,    71,   207,   342,   430,   344,   427,   352,   430,
     344,  3296,   430,   426,   316,   427,   155,   150,   191,   427,
     191,   191,   191,   361,   150,   426,   285,    82,   232,    48,
     427,   235,   426,   390,   427,   390,  4221,   427,   430,   254,
     194,   194,   426,    48,   248,  3708,   160,   251,   386,   242,
     172,   352,   427,   175,   427,   413,   414,   415,   430,   417,
     418,   419,   420,   421,   422,   172,   173,   174,   175,   150,
     177,   178,   413,   180,   181,   182,   392,   184,    66,   186,
     175,   188,   137,   190,   361,  3514,   237,   194,   195,   196,
    3400,   237,   413,   430,  3404,   430,   218,  3526,   220,   134,
     352,   191,   110,   237,   152,   425,   150,   374,   230,   316,
     232,    31,   121,   168,  3433,   388,   374,    96,   392,   323,
     242,   426,   392,   150,   178,   249,   426,  3458,   250,   150,
     329,   426,  3938,  3443,  3443,  3452,   258,   259,   426,   379,
     285,   427,  3948,   427,   426,   194,   426,   391,   203,   262,
     246,   427,  3387,  3388,  3389,  3390,   427,   286,   427,   392,
     352,   145,   426,    31,   237,   426,   217,  3452,   290,   173,
     426,   133,   294,   295,   250,    48,   304,   232,    48,   427,
     426,   304,   252,   426,   374,   230,   246,  3504,  4092,   140,
     277,    60,   344,  3999,    60,   116,  4215,   319,   378,   249,
     285,   430,   379,    31,   259,   150,   389,   145,   330,   413,
     414,   415,   283,   417,   418,   419,   420,   421,   422,  3504,
     121,   425,   175,   246,   392,    31,   246,   431,   426,    48,
     427,   249,  3517,  3518,   249,   290,   427,  3522,  3523,   294,
     426,   303,   372,   298,   108,   426,   303,    17,    28,   304,
     133,   277,  3571,  3572,  1290,   377,   311,  3920,  2062,   426,
     697,  1098,  2366,  4088,   319,  4071,  3585,  1924,  2511,  3069,
    3589,  1983,  3591,   328,  3841,  3594,  3595,  2653,  4005,   755,
    3583,   336,  3649,  3878,  3246,  3883,  3623,  3950,  3605,  2436,
    3887,  3757,  2158,  4169,  3783,  4220,  4125,  4124,  4028,  4184,
    3784,  2440,  3650,  3210,  2053,  3065,     8,  2053,  2531,    11,
    1386,  3215,  3217,  3745,  2048,  2720,  4225,  4288,  3750,    31,
    3605,  3753,  4280,  2674,  3987,  2659,  3645,  4191,  3991,  3992,
    3814,  3821,   387,  1378,    36,  3819,  4103,  4177,    50,  3824,
      42,    26,  3299,   954,  3965,  3255,  4052,  1887,  3257,   552,
    4203,  3783,  4282,  3672,  2610,  4020,  1754,    21,   676,  1753,
    2379,  1463,  3239,  3444,    66,  2982,   689,  2380,  1124,    33,
      82,  1789,  1143,  1142,  3693,  3694,  3695,  3696,  2386,  1772,
    2392,  2406,  1788,  2398,  2929,  3406,  3818,  3946,   681,  2983,
      54,  2029,  1145,  3922,  2886,  4156,  2894,   504,  4157,  1149,
    4160,  2318,   509,    67,   511,  2383,  2226,   514,  2316,   516,
    2978,   518,    -1,  1629,    -1,   522,    80,   524,    -1,   526,
     527,    -1,    -1,  3855,    -1,   137,    -1,   534,    -1,    -1,
     537,    -1,    -1,    97,    -1,  3745,    -1,    -1,    -1,    -1,
    3750,  3676,    -1,  3753,   551,    -1,    -1,    -1,   555,    -1,
      -1,    -1,    -1,   560,   118,    -1,   168,   564,    -1,    -1,
     567,    -1,    -1,    -1,   166,  3897,    -1,    -1,   170,    -1,
      -1,    -1,   136,    -1,    -1,   582,    -1,    -1,    -1,    -1,
     587,    -1,    -1,   147,    -1,   197,  3770,    -1,   152,   191,
     192,   203,    -1,    -1,   158,  3814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   207,    -1,     8,    -1,   173,
      11,    -1,    -1,  3945,    -1,    -1,    -1,    -1,    -1,  3838,
     232,   628,    -1,  3842,    -1,    -1,    -1,    -1,    -1,  3814,
     232,   638,   639,   235,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    42,    21,    -1,    -1,    -1,   248,    -1,    -1,    -1,
     657,    -1,   659,   660,    -1,   662,    -1,   664,    -1,    -1,
    3870,  3870,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
     677,    -1,    -1,    -1,   681,    54,    -1,    -1,    -1,    -1,
     687,    -1,   294,    -1,   248,    -1,   298,    -1,    67,    -1,
      -1,   698,   304,    -1,   258,    -1,    -1,    -1,    -1,   311,
      -1,    80,    -1,   710,  4088,    -1,    -1,   319,     8,    -1,
      -1,    11,   276,    -1,    -1,    -1,   328,    -1,    -1,    -1,
      -1,   323,    -1,  3858,   336,    -1,    -1,   128,    28,    -1,
      -1,    -1,    -1,    -1,    -1,  3945,    36,   301,    -1,   118,
      -1,   305,    42,   307,    -1,   752,    -1,    -1,    -1,   313,
      -1,    -1,   316,  3888,   761,   762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   166,    66,    -1,   147,   170,
      -1,    -1,    -1,   152,    -1,   387,    -1,    -1,   342,   391,
     344,    -1,    -1,    -1,   348,    -1,  4005,    -1,    -1,    -1,
     191,   192,   356,    -1,    -1,   802,    -1,   361,    -1,    -1,
    4132,    -1,    -1,    -1,    -1,   812,   207,    -1,   815,   373,
    4142,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   828,   386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   235,   842,    -1,    -1,    -1,    -1,
    4172,   848,   849,  3978,    -1,    -1,    -1,   248,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   862,   863,   864,   865,    -1,
     867,    -1,    -1,    -1,    -1,    -1,   166,    -1,    -1,   248,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   892,   893,   894,    -1,    -1,
      -1,   191,   192,    -1,    -1,    -1,    -1,   276,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   912,    -1,   207,    -1,   916,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   925,    -1,
      -1,     3,   323,    -1,    -1,    -1,     8,    -1,   307,    11,
      -1,    -1,   232,    -1,   313,   235,    -1,   316,    -1,    -1,
     947,   948,    -1,    -1,    -1,   952,    28,   954,   248,    31,
      -1,   251,  4284,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,   342,   971,    -1,    -1,   974,    -1,   348,
     977,   978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   361,   990,    66,    -1,    -1,  4238,    -1,    -1,
      -1,    -1,    -1,  4203,  4203,  4203,  4203,  4203,  4203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   386,    -1,    -1,
      -1,    -1,  1019,    -1,  4233,    -1,   417,   418,   419,   420,
     421,   422,    -1,   323,    -1,    -1,    -1,    -1,  4238,  4238,
    4238,  4238,  4238,  4238,    -1,    -1,    -1,    -1,    -1,    -1,
    1047,  1048,    -1,  1050,    -1,    -1,    31,    -1,  4233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1067,  4280,    -1,    -1,    -1,    50,    -1,    -1,    -1,  4288,
      -1,    -1,  4282,  4282,  4282,  4282,  4282,  4282,    -1,    -1,
      -1,    -1,  1089,    -1,   166,    -1,    -1,    -1,   170,    -1,
    1097,  1098,    -1,    -1,    -1,  4280,  1103,    82,    -1,  1106,
      -1,    -1,    -1,  4288,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,   207,    -1,    -1,  1135,    -1,
     430,    -1,  1139,  1140,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1149,  1150,  1151,    -1,    -1,    -1,    -1,    -1,
     232,    -1,   137,   235,    -1,    -1,    -1,    -1,    -1,    -1,
    1167,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1199,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1211,  1212,    -1,    -1,    -1,    -1,
      -1,  1218,   197,    -1,  1221,    -1,    -1,    -1,   203,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,  1239,    -1,    -1,    -1,    -1,    -1,    -1,  1246,
      -1,   323,    -1,    -1,    -1,    -1,    -1,   232,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,  1266,
      -1,    -1,    42,     8,    -1,    -1,    11,  1274,  1275,  1276,
    1277,  1278,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1287,    -1,  1289,    28,    -1,  1292,    66,    -1,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,  1303,    42,  1305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1313,  1314,    -1,   294,
      -1,    -1,  1319,   298,    -1,    -1,    -1,    -1,    -1,   304,
      -1,    66,    -1,    -1,    -1,    -1,   311,    -1,    -1,    -1,
      -1,   413,   414,   415,   319,   417,   418,   419,   420,   421,
     422,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1383,    -1,    -1,    -1,
      -1,    -1,  1389,  1390,  1391,  1392,   166,    -1,    -1,    -1,
     170,    -1,  1399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1408,   387,    -1,    -1,    -1,   391,   392,    -1,    -1,
    1417,   191,   192,    -1,    -1,    -1,    -1,  1424,    -1,  1426,
      -1,   166,    -1,    -1,    -1,   170,    -1,   207,    -1,  1436,
      -1,    -1,    -1,    -1,  1441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1450,    -1,  1452,   191,   192,    -1,  1456,
    1457,    -1,   232,    -1,  1461,   235,  1463,    -1,    -1,    -1,
      -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,   248,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1486,
      -1,    -1,    -1,    -1,    -1,    -1,  1493,   232,  1495,    -1,
     235,    -1,  1499,  1500,    -1,  1502,    -1,    -1,    -1,    -1,
      -1,  1508,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1521,  1522,    -1,    -1,  1525,    -1,
      -1,    -1,  1529,    -1,  1531,    -1,    -1,    -1,    -1,    -1,
      -1,  1538,    -1,    -1,  1541,    -1,    -1,    -1,  1545,    -1,
      -1,     8,    -1,   323,    11,    -1,  1553,  1554,    -1,    -1,
      -1,    -1,    -1,    -1,  1561,    -1,  1563,  1564,  1565,  1566,
    1567,    28,    -1,    -1,    -1,    -1,    -1,  1574,  1575,    36,
    1577,    -1,  1579,  1580,    -1,    42,  1583,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1599,    -1,    -1,    -1,  1603,  1604,    -1,    66,
      -1,  1608,    -1,    -1,    -1,  1612,    -1,  1614,  1615,  1616,
    1617,  1618,  1619,  1620,  1621,  1622,    -1,  1624,    -1,    -1,
      -1,  1628,  1629,    -1,  1631,    -1,    -1,    -1,    -1,    -1,
    1637,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,   427,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    -1,    -1,   413,   414,
     415,    24,   417,   418,   419,   420,   421,   422,    -1,    -1,
      -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,
      -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     207,    -1,    -1,    -1,    -1,  1752,    -1,  1754,    -1,  1756,
      -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,    -1,    24,
     113,    -1,    -1,    -1,    -1,   232,    -1,   120,   235,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   248,    -1,    -1,   251,  1792,    -1,  1794,    -1,    -1,
      -1,    -1,    -1,  1800,    -1,    -1,    -1,    -1,  1805,    64,
      -1,  1808,  1809,    -1,    -1,    -1,    -1,  1814,    -1,  1816,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,   175,  1830,    -1,    -1,  1833,    -1,    -1,    -1,
      -1,    -1,  1839,    -1,  1841,  1842,  1843,    -1,  1845,  1846,
      -1,  1848,    -1,  1850,    36,  1852,  1853,    -1,   113,  1856,
      42,    -1,    -1,    -1,    -1,   120,   323,  1864,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1875,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,   230,    -1,   232,
      -1,    -1,    -1,    -1,  1891,    -1,    -1,  1894,    -1,   242,
      -1,    -1,    -1,  1900,    -1,    -1,    -1,   250,  1905,    -1,
      -1,    -1,    -1,    -1,  1911,    -1,   259,    -1,  1915,    -1,
     175,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1927,  1928,    -1,    -1,    -1,    -1,    -1,  1934,  1935,    -1,
      -1,  1938,    -1,    -1,    -1,    -1,   128,   290,    -1,    -1,
      -1,   294,  1949,    -1,    -1,    -1,   413,   414,   415,  1956,
     417,   418,   419,   420,   421,   422,    -1,    -1,    -1,  1966,
     427,    -1,    -1,    -1,    -1,   230,   319,   232,  1975,    -1,
    1977,  1978,  1979,    -1,   166,    -1,    -1,   242,   170,    -1,
      -1,  1988,    -1,    -1,    -1,   250,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   259,    -1,    -1,    -1,  2005,   191,
     192,    -1,    -1,    -1,    -1,    -1,  2013,  2014,  2015,  2016,
    2017,  2018,    -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,
      -1,  2028,    -1,    -1,   377,   290,    -1,    -1,    -1,   294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,  2055,    -1,
      -1,    -1,  2059,  2060,   319,    -1,   248,  2064,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,  2090,    -1,    -1,    -1,    -1,    -1,    -1,
    2097,  2098,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,
    2107,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,   377,    -1,    -1,  2122,    -1,  2124,  2125,  2126,
    2127,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,   323,    -1,    66,  2141,    -1,    -1,    -1,    -1,  2146,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,  2158,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2176,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2198,    -1,    -1,    -1,  2202,    -1,    28,    -1,    -1,
    2207,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
    2217,    42,    -1,     8,    -1,    -1,    11,  2224,  2225,    -1,
      -1,    -1,    -1,  2230,    -1,   417,   418,   419,   420,   421,
     422,    -1,    -1,   166,    -1,    66,    -1,   170,    -1,    -1,
      -1,    36,    -1,    -1,    -1,    -1,    -1,    42,  2255,  2256,
      -1,    -1,    -1,  2260,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,    -1,    -1,    -1,  2272,  2273,  2274,  2275,    -1,
      -1,    66,    -1,    -1,   207,    -1,    -1,    -1,  2285,    -1,
      -1,  2288,   166,  2290,  2291,    -1,   170,    -1,    -1,    -1,
      -1,    -1,    -1,  2300,  2301,    -1,    -1,  2304,    -1,   232,
      -1,    -1,   235,    -1,    -1,    -1,    -1,   191,   192,    -1,
    2317,    -1,  2319,    -1,  2321,   248,  2323,    -1,   251,    -1,
      -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2339,   128,    -1,   166,  2343,    -1,    -1,   170,
      -1,    -1,    -1,  2350,    -1,  2352,  2353,  2354,   232,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2366,
     191,   192,  2369,    -1,   248,    -1,    -1,   251,    -1,    -1,
      -1,   166,    -1,  2380,    -1,   170,   207,    -1,  2385,    -1,
      -1,    -1,  2389,    -1,    -1,  2392,    -1,    -1,    -1,    -1,
     323,  2398,    -1,    -1,  2401,    -1,   191,   192,  2405,    -1,
      -1,   232,    -1,    -1,   235,    -1,    -1,  2414,    -1,    -1,
      -1,    -1,   207,    -1,    -1,    -1,    -1,   248,    -1,    -1,
     251,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2435,    -1,
    2437,    -1,    -1,    -1,    -1,  2442,    -1,    -1,    -1,   323,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2455,    -1,
      -1,    -1,    -1,   248,    -1,    -1,  2463,    -1,  2465,  2466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,   323,    -1,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    18,
      -1,    -1,  2549,   427,    -1,    24,    -1,    -1,    -1,  2556,
      -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     7,
      -1,    -1,    -1,    -1,    -1,    13,    14,    -1,    -1,    -1,
      -1,    19,    -1,    21,    -1,    -1,    -1,    -1,    26,    -1,
      28,    -1,   413,   414,   415,    64,   417,   418,   419,   420,
     421,   422,    -1,    -1,    -1,    -1,   427,    -1,    46,    -1,
     113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2626,
      -1,    -1,   417,   418,   419,   420,   421,   422,    -1,  2636,
    2637,    -1,    -1,     8,   113,    -1,    11,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,   175,    -1,    -1,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2688,    -1,  2690,    -1,    -1,    -1,  2694,    -1,    -1,
      -1,    66,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2718,  2719,    -1,    -1,    -1,    -1,   230,    -1,   232,
    2727,    -1,    -1,    -1,  2731,    -1,    -1,    -1,    -1,   242,
     178,    -1,    -1,    -1,    -1,    -1,    -1,   250,  2745,   187,
      -1,   189,    -1,   191,  2751,   193,   259,    -1,    -1,    -1,
      -1,   230,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,    -1,    -1,  2773,    -1,    -1,  2776,
      -1,   250,  2779,    -1,    -1,    -1,    -1,   290,    -1,    -1,
     259,   294,    -1,  2790,    -1,    -1,  2793,    -1,    -1,    -1,
      -1,   166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,  2809,    -1,  2811,    -1,   319,    -1,    -1,    -1,
    2817,   290,    -1,    -1,    -1,   294,   191,   192,  2825,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2835,    -1,
      -1,    -1,   207,    -1,  2841,    -1,  2843,    -1,    -1,    -1,
     319,    -1,  2849,    -1,    -1,  2852,  2853,  2854,  2855,  2856,
    2857,  2858,  2859,  2860,  2861,    -1,    -1,   232,  2865,  2866,
     235,    -1,    -1,    -1,   377,    -1,    -1,    -1,    -1,    -1,
      -1,  2878,    -1,   248,    -1,  2882,   251,    -1,    -1,  2886,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,
      -1,    -1,  2899,    -1,  2901,    -1,    -1,    -1,   377,    -1,
      -1,    -1,    -1,  2910,  2911,  2912,    -1,    -1,    -1,  2916,
      -1,    -1,  2919,    -1,    -1,    -1,    -1,    -1,    -1,  2926,
    2927,  2928,  2929,  2930,    -1,    -1,    -1,  2934,  2935,    -1,
      -1,    -1,  2939,    -1,    -1,    -1,    -1,    -1,  2945,    -1,
    2947,    -1,  2949,    -1,    -1,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2972,    -1,    -1,    -1,    -1,
      -1,  2978,    -1,    -1,    -1,  2982,    -1,  2984,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      -1,    -1,  2999,  3000,  3001,    24,  3003,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3017,  3018,  3019,  3020,    -1,    -1,    -1,    -1,    -1,  3026,
      -1,    -1,    -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    64,    -1,    -1,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,  3055,    -1,
      -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,
      -1,   519,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     528,   529,    -1,    -1,   113,   533,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   123,   543,  3103,    -1,    -1,  3106,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    11,   556,    -1,
      -1,    -1,    -1,  3120,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,   570,    -1,    -1,   573,    -1,   575,   120,   577,
      -1,   123,    36,     8,    -1,    -1,    11,    -1,    42,  3146,
      -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    66,    -1,   612,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3186,
      -1,    -1,    -1,   175,    -1,    -1,   634,    -1,   636,    -1,
    3197,    66,  3199,    -1,    -1,    -1,    -1,    -1,  3205,    -1,
      -1,   230,    -1,   232,    -1,    -1,    -1,    -1,    -1,    -1,
    3217,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
    3227,   250,    -1,    -1,   128,    -1,    -1,    -1,    -1,  3236,
     259,    -1,    -1,    -1,    -1,  3242,    -1,    -1,   230,  3246,
     232,   689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,  3258,  3259,   128,    -1,    -1,    -1,    -1,   250,    -1,
      -1,   290,   166,    -1,    -1,   294,   170,   259,    -1,    -1,
      -1,    -1,    -1,    -1,  3281,    -1,  3283,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,
     319,   166,  3299,    -1,    -1,   170,    -1,    -1,   290,    -1,
      -1,    -1,   294,   207,    -1,    -1,    -1,    -1,  3315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,
      -1,   235,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   791,   248,  3352,    -1,    -1,   377,    -1,
      -1,    -1,    -1,    -1,    -1,  3362,  3363,    -1,   806,    -1,
     235,    -1,    -1,  3370,  3371,    -1,    -1,    -1,  3375,   817,
      -1,    -1,    -1,   248,  3381,  3382,   824,    -1,  3385,    -1,
    3387,  3388,  3389,  3390,    -1,   377,    -1,  3394,   836,    -1,
    3397,    -1,    -1,  3400,    -1,    -1,    -1,  3404,    -1,    -1,
      -1,    -1,    -1,  3410,    -1,    -1,  3413,    -1,    -1,    -1,
      -1,  3418,    -1,    -1,    -1,    -1,    -1,  3424,    -1,   323,
     868,    -1,    -1,  3430,    -1,     8,    -1,    -1,    11,  3436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3444,    -1,    -1,
      -1,  3448,    -1,    -1,    -1,    28,    -1,    -1,   323,    -1,
      -1,  3458,    -1,    36,  3461,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3481,  3482,    -1,    -1,    -1,    -1,
      -1,    -1,   930,    66,   932,    -1,   934,    -1,   936,    -1,
     938,   939,   940,    -1,    -1,    -1,    -1,   945,  3505,    -1,
      -1,    -1,    -1,    -1,    -1,   173,   174,  3514,    -1,   177,
     178,    -1,    -1,   417,   418,   419,   420,   421,   422,  3526,
      -1,    -1,    -1,    -1,    -1,    -1,   194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3545,    -1,
      -1,    -1,   417,   418,   419,   420,   421,   422,    -1,    -1,
      -1,    18,  3559,    -1,    -1,    -1,    -1,    24,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     0,    -1,  3585,    -1,
      -1,    -1,    -1,   166,    -1,    -1,  3593,   170,    -1,    -1,
      14,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,
      24,    -1,    26,    27,    -1,    -1,    -1,    -1,   191,   192,
      -1,    -1,    -1,    -1,  3621,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    61,    -1,    63,
      64,  3648,  3649,    -1,    -1,    69,   113,    71,    -1,   232,
      -1,    -1,   235,   120,    -1,    -1,   123,    81,    -1,    83,
      -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   251,  3676,
      -1,    -1,    -1,    -1,    -1,    99,  1124,    -1,   102,    -1,
      -1,    -1,    -1,    -1,    -1,  3692,    -1,    -1,    -1,    -1,
     114,    -1,   116,    -1,    -1,    -1,   120,  3704,    -1,    -1,
      -1,    -1,   126,    -1,    -1,    -1,  3713,    -1,   175,   133,
      -1,   135,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,    -1,  3730,  3731,    -1,    -1,  3734,    -1,    -1,
      -1,   155,    -1,    -1,  3741,    -1,    -1,  1185,  3745,    -1,
     323,    -1,    -1,  3750,    -1,    -1,  3753,  3754,    -1,  3756,
      -1,  3758,  3759,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   230,    -1,   232,    -1,    -1,    -1,    -1,
    3777,    -1,  3779,    -1,    -1,   242,  3783,  3784,  3785,  3786,
    3787,    -1,    -1,   250,    -1,   209,   210,    -1,    -1,    -1,
      -1,   215,   259,    -1,    -1,    -1,    -1,    -1,    -1,   223,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     234,  3818,  3819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   290,    -1,    -1,    -1,   294,    -1,    -1,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,  3849,    -1,   427,    -1,   514,   271,  3855,    -1,
     518,  3858,   319,    -1,    -1,    -1,    -1,    -1,   282,    -1,
      -1,    -1,  3869,   287,  3871,   289,   534,    -1,    -1,    -1,
     294,    -1,    -1,    -1,    -1,   299,  3883,    -1,   302,    -1,
      -1,  3888,   306,    -1,    -1,    -1,    -1,   311,   312,  3896,
    3897,    -1,    -1,    -1,    -1,   319,    -1,    -1,   322,     8,
      -1,    -1,    11,    -1,    -1,    -1,   330,    21,    -1,    -1,
     377,    -1,  3919,    -1,    -1,  3922,    -1,  3924,   342,    28,
      -1,    -1,    -1,    -1,    -1,    -1,  1374,    36,    -1,    -1,
      -1,    -1,    -1,    42,  3941,   359,    -1,    -1,  3945,  1387,
      54,  3948,    -1,    -1,    -1,   369,    -1,  3954,    -1,    -1,
      -1,   375,    -1,    67,    68,    -1,   380,    66,    -1,    -1,
      -1,    -1,    76,    -1,    -1,    -1,    80,  3974,   392,    -1,
      -1,  3978,    -1,    -1,    -1,    -1,    -1,  1425,    -1,    -1,
      -1,  1429,    -1,    97,    -1,    -1,    -1,    -1,  3995,  3996,
    3997,  3998,  1440,    -1,  1442,    -1,  1444,    -1,  4005,    -1,
      -1,  1449,   426,    -1,   118,   429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4025,    -1,
      -1,    -1,   136,    -1,  1472,    -1,  1474,    -1,  1476,    -1,
    1478,    -1,  1480,   147,    -1,    -1,  1484,    -1,   152,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   180,    -1,    -1,    -1,    -1,    -1,   166,    -1,   173,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4080,    -1,    -1,    -1,    -1,    -1,  4086,
      -1,  4088,   191,   192,   198,    -1,    -1,    -1,    -1,    -1,
    4097,    -1,    -1,   761,   762,    -1,    -1,    -1,   207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4128,    -1,   232,    -1,  4132,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   248,  4142,    -1,    -1,    -1,   248,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,  4156,
      -1,    -1,  4159,  4160,    -1,  4162,    -1,    -1,    -1,    -1,
     828,    -1,   276,    -1,    -1,  4172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4180,    -1,    -1,    -1,    -1,    -1,    -1,
     848,   849,    -1,    -1,    -1,    -1,    18,   301,    -1,    -1,
      -1,   305,    24,   307,    -1,    -1,    -1,   865,    -1,   313,
    4207,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,     8,
    4217,    -1,    11,    -1,   323,  4222,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   893,   894,    -1,   342,    28,
     344,    -1,    64,    -1,   348,    -1,    -1,    36,    -1,    -1,
      -1,    -1,   356,    42,    -1,    -1,    -1,   361,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    66,  4275,    -1,
      -1,    -1,   386,    -1,    -1,    -1,    -1,  4284,    28,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    36,    -1,   120,    -1,
      -1,   123,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    66,    -1,   427,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,   175,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,  1801,  1802,    -1,    42,    -1,  1806,  1807,
      -1,    -1,  1810,    -1,    -1,    -1,    -1,   166,    -1,    -1,
      -1,   170,  1820,    -1,    -1,    -1,    -1,    -1,    -1,  1827,
      66,    -1,   511,  1831,  1832,    -1,    -1,  1835,  1836,  1837,
      -1,    -1,   191,   192,    -1,    -1,    -1,    -1,   230,  1847,
     232,  1849,    -1,    -1,    -1,    -1,    -1,    -1,   207,    -1,
     242,    -1,    -1,    -1,    -1,    -1,   166,  1865,   250,    -1,
     170,    -1,  1870,    -1,    -1,    -1,   555,   259,    -1,    -1,
      -1,    -1,    -1,   232,    -1,   564,   235,    -1,    -1,    -1,
      -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,   248,
      -1,    -1,   251,  1901,  1902,  1903,  1904,   207,   290,    -1,
    1908,  1909,   294,    -1,    -1,    -1,    -1,    -1,  1916,    -1,
      -1,  1919,    -1,    -1,    -1,  1923,    -1,    -1,    -1,    -1,
     166,    -1,   232,    -1,   170,   235,    -1,   319,    -1,    -1,
      -1,  1939,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,
      -1,   251,  1950,    -1,  1952,   191,   192,    -1,    -1,  1957,
      -1,    -1,    -1,    -1,  1962,  1963,  1964,  1965,    -1,  1967,
       8,   207,    -1,    11,   323,    -1,    -1,    -1,   657,    21,
      -1,    -1,  1980,  1981,  1982,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,  1991,  1992,   377,   232,    -1,    36,   235,
      -1,    -1,    -1,  1221,    42,    -1,    -1,    -1,   687,    -1,
      -1,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   323,    -1,    67,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2051,    -1,    97,  1274,  1275,  1276,  1277,
      -1,   103,    -1,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,   118,    -1,   427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,
      -1,    -1,    -1,    -1,   136,  1313,  1314,    -1,    -1,    -1,
      -1,  1319,    -1,    -1,    -1,   147,     8,    -1,    -1,    11,
     152,    -1,    -1,   413,   414,   415,   158,   417,   418,   419,
     420,   421,   422,   802,    -1,    -1,    28,   427,   166,    -1,
      32,   173,   170,   812,    36,    -1,    -1,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,
      -1,    -1,    -1,   191,   192,   834,   198,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,   207,
      -1,  1389,  1390,  1391,  1392,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,   867,    -1,
      -1,   427,    -1,    -1,   232,    -1,  2194,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,   111,
     248,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1441,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1450,    -1,   276,    -1,    -1,   916,    -1,  1457,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   301,
      -1,    -1,    -1,    -1,   166,   307,    -1,     8,   170,    -1,
      11,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   961,    -1,    -1,   323,    -1,    28,    -1,   191,
     192,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
     342,    42,   344,    -1,    -1,   207,   348,    -1,    -1,    -1,
      -1,   990,    -1,    -1,   356,    -1,    -1,    -1,    -1,   361,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
     232,   373,   657,   235,    -1,    -1,    -1,    -1,    -1,    -1,
    1019,    -1,    -1,    -1,   386,    -1,   248,    -1,    -1,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   687,    -1,    -1,    -1,    -1,    -1,  1047,  1048,
      -1,  1050,    -1,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,  1603,    -1,    -1,  1067,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,  2415,  2416,    -1,
      -1,   323,    -1,    -1,    -1,   166,    -1,  1106,  1107,   170,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
     191,   192,    -1,    -1,    -1,    -1,  1135,    -1,    -1,    -1,
    1139,  1140,    -1,    -1,    -1,    -1,   207,    -1,    -1,    -1,
      66,    -1,   374,    -1,    -1,  1154,    -1,  2475,  2476,    -1,
      -1,  1160,  2480,    -1,    -1,    -1,    -1,  2485,  2486,  2487,
      -1,   232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,    -1,
     251,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,    -1,    -1,  2521,  2522,  2523,  2524,    -1,  1207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   145,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,  1237,  2557,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   191,   192,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2619,    -1,  1841,  1842,  1843,    -1,    -1,  1307,  2627,
    1848,    -1,  1850,    -1,  1852,  1853,   232,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1326,    -1,    -1,
      -1,    -1,   248,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   990,    -1,  1346,    -1,    -1,
      -1,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,    -1,    -1,   425,    -1,    -1,  1366,    -1,    -1,
      -1,  2689,  1371,    -1,  1019,    -1,    -1,    -1,    -1,    -1,
      -1,  2699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1047,  1048,    -1,  1050,    -1,   323,  2726,    -1,
    2728,  1949,    -1,    -1,    -1,    -1,    -1,    -1,  1417,    -1,
      -1,    -1,  1067,    -1,  1423,    -1,    -1,  1426,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2764,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2778,  1106,    -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2013,  2014,  2015,  2016,  2017,
    2018,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1135,    -1,    -1,    -1,  1139,  1140,  1495,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1529,    -1,  1531,    -1,    -1,    -1,    -1,    -1,    -1,  1538,
      -1,    -1,  1541,    -1,    -1,    -1,  1545,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1553,  1554,    -1,    -1,    -1,  2097,
      -1,    -1,  1561,    -1,    -1,  1564,  1565,  1566,  1567,    -1,
      -1,    -1,    -1,    -1,    -1,  1574,  1575,    -1,  1577,    -1,
    1579,  1580,    -1,    -1,  1583,    -1,  2124,    -1,  2126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1598,
    1599,  1600,    -1,    -1,    -1,  1604,    -1,    -1,    -1,  1608,
      -1,    -1,    -1,  1612,    -1,  1614,  1615,  1616,  1617,  1618,
    1619,  1620,  1621,  1622,    -1,  1624,    -1,    -1,    -1,    -1,
    1629,    -1,  1631,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,  2217,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,  3006,    -1,
    3008,    -1,    -1,    -1,  3012,    -1,    66,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,  3027,
      -1,    -1,     8,    -1,    42,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3044,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,  3053,    -1,    -1,    66,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1756,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,   144,  3093,  3094,  3095,  3096,  3097,
    3098,  3099,    -1,    -1,    -1,    -1,  3104,  3105,    -1,  3107,
    3108,  3109,  3110,  3111,  3112,  3113,   166,    -1,    -1,    -1,
     170,    -1,    -1,    -1,  3122,  1804,  3124,  3125,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1833,    -1,    -1,   207,   166,    -1,
    1839,    -1,   170,    -1,    -1,    -1,  1845,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   232,   191,   192,   235,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,  3193,  3194,  3195,   248,   207,
    3198,   251,  1881,    -1,    -1,   834,    -1,  1886,  1887,    -1,
      -1,    -1,    -1,  1538,    -1,   191,   192,    -1,   268,  1898,
      -1,    -1,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,
      -1,   207,    -1,    -1,    -1,  1914,  1561,    -1,  1917,  1564,
     248,    -1,  1567,   251,    -1,  2463,    -1,  2465,  2466,  1574,
    1575,    -1,    -1,    -1,    -1,  1580,   232,    -1,  1583,   235,
      -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,   323,  1599,   251,  3274,    -1,    -1,  1604,
      -1,    -1,    -1,  1608,    -1,    -1,    -1,  1612,    -1,  1614,
    1615,  1616,  1617,  1618,  1619,  1620,  1621,  1622,    -1,  1624,
      -1,    -1,    -1,    -1,  1629,    -1,  1631,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,
      -1,    -1,   961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,  2028,
      -1,  2030,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,
      -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,   413,   414,   415,    -1,   417,
     418,   419,   420,   421,   422,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    31,    -1,    -1,  2104,    -1,    36,    -1,    -1,
      -1,  1756,    -1,    42,    -1,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,  1092,    -1,    -1,    -1,  2146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   961,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3490,  3491,  3492,  3493,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1833,  2188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3515,  3516,    -1,
      -1,    -1,    -1,  2202,    -1,  1154,    -1,    -1,  2207,  3527,
    3528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2224,  2225,    -1,    -1,    -1,
      -1,  2230,    -1,    -1,    -1,  2773,    -1,   166,  2776,    -1,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2255,  2256,  1207,    -1,
      -1,  2260,   191,   192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2272,  2273,  2274,  2275,    -1,   207,  2817,
      -1,  2280,    -1,    -1,    -1,    -1,  2285,  2286,  1237,  2288,
      -1,  2290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2300,  2301,   232,    -1,  2304,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2317,   248,
    2319,    -1,   251,  3641,  2323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2339,    -1,    -1,    -1,    -1,    -1,  3664,    -1,    -1,    -1,
      -1,  2350,    -1,  2352,  2353,  2354,  1154,    -1,  1307,    -1,
      -1,    -1,     8,    -1,    -1,    11,  3684,    -1,    -1,    -1,
    2369,    -1,    -1,    -1,    -1,    -1,    -1,  1326,    -1,    -1,
      -1,  2380,    28,  2028,    -1,    -1,  2385,    -1,    -1,    -1,
      36,    -1,    -1,  2392,   323,    -1,    42,  1346,    -1,  2398,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,  1207,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,  1371,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      31,    -1,    -1,    -1,    -1,    36,  2435,    -1,    -1,  1237,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3770,    -1,    -1,    -1,    -1,    -1,    -1,  2458,
      -1,    -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,  3017,
    3018,  3019,  3020,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    -1,    -1,    -1,  2498,
    2499,  2146,  2501,    -1,    -1,    -1,    -1,    -1,    -1,  1307,
    3828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     166,    -1,    -1,    -1,   170,    -1,    -1,    -1,  1326,    -1,
      -1,  2530,  2531,  2532,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   191,   192,    -1,  1346,    -1,
    3868,    -1,    -1,    -1,  2553,    -1,  2555,    -1,    -1,    -1,
      -1,   207,    -1,    -1,    -1,   166,    -1,    -1,    -1,   170,
      -1,    -1,    -1,  1371,    -1,    -1,    -1,    -1,    -1,    -1,
    2225,    -1,    -1,    -1,    -1,  2230,   232,  3905,    -1,   235,
     191,   192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   248,    -1,    -1,   251,   207,    -1,    -1,  2608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   265,
      -1,    -1,    -1,    -1,    -1,  1423,    -1,  2272,    -1,  2274,
    2275,   232,    -1,  2632,   235,    -1,    -1,    -1,    -1,    -1,
    2285,    -1,    -1,  2288,    -1,  2290,    -1,   248,    -1,  1598,
     251,    -1,    -1,    -1,    -1,  2654,    -1,    -1,  2657,  3197,
      -1,    -1,    -1,    -1,  3982,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2317,    -1,  2319,  2674,  2675,   323,  2323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2352,  2353,  2354,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   323,    -1,  2369,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2380,    -1,    -1,  4056,  2738,
    2385,    -1,    -1,    -1,    -1,    -1,    -1,  2392,    -1,    -1,
      -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2763,    -1,    -1,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2435,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4126,    -1,
      -1,    -1,   413,   414,   415,    -1,   417,   418,   419,   420,
     421,   422,    -1,    -1,    -1,    -1,  2825,    -1,    -1,  2828,
      -1,    -1,    -1,  1631,    -1,    -1,  2835,    -1,    -1,    -1,
      -1,    -1,  2841,    -1,  2843,    -1,    -1,    -1,    -1,  2848,
    2849,    -1,    -1,  2852,  2853,  2854,  2855,  2856,  2857,  2858,
    2859,  2860,  2861,    -1,    -1,    -1,  2865,  2866,    -1,    -1,
      -1,    -1,    -1,    -1,  2873,    -1,    -1,    -1,    -1,  2878,
      -1,    -1,    -1,  2882,    -1,  2884,    -1,  2886,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2896,    -1,    -1,
    2899,    -1,  2901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2909,  2910,  2911,  2912,    -1,    -1,    -1,  2916,    -1,    -1,
    2919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2929,    -1,  1881,    -1,    -1,    -1,    -1,  1886,  1887,    -1,
    2939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2947,  1898,
    2949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2972,    -1,    -1,    -1,    -1,    -1,  2978,
      -1,    -1,    -1,    -1,    -1,  2984,     8,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2999,    -1,    -1,    -1,    -1,    -1,    28,  3545,    -1,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,  3559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,  3065,    36,    -1,    -1,
    3069,  3070,  3071,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2030,    -1,  1881,    -1,    -1,    -1,    -1,  1886,  1887,
      -1,    -1,    -1,    -1,  1063,    -1,    -1,    66,    -1,    -1,
    1898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   166,    28,    -1,    -1,   170,    -1,
      -1,  1120,    -1,    36,    -1,  2104,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   191,
     192,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2825,    -1,    -1,    66,    -1,   207,    -1,    -1,    -1,    -1,
    2835,    -1,    -1,    -1,    -1,    -1,  2841,   166,  2843,    -1,
    3199,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     232,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
    2865,  2866,   191,   192,    -1,  3224,   248,    -1,    -1,   251,
      -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,   207,  2188,
      -1,  2886,    -1,    -1,    -1,    -1,    -1,  3785,  3786,  3787,
      -1,  2896,    -1,    -1,  2899,    -1,  2901,    -1,  3257,  3258,
    3259,    -1,    -1,   232,    -1,  2910,   235,    -1,    -1,    -1,
      -1,  2916,    -1,    -1,  2919,    -1,    -1,    -1,    -1,   248,
      -1,    -1,   251,   166,    -1,    -1,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,  2939,    -1,    -1,    -1,    -1,    -1,
      -1,   323,  2947,    -1,  2949,    -1,  2104,    -1,   191,   192,
      -1,    -1,    -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   207,    -1,    -1,  2972,    -1,    -1,
      -1,    -1,    -1,  2978,    -1,    -1,    -1,    -1,    -1,  2984,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   232,
      -1,    -1,   235,  3352,   323,    -1,    -1,    -1,  3896,    -1,
      -1,    -1,    -1,  3362,  3363,   248,  3365,    -1,   251,    -1,
      -1,  3370,  3371,    -1,    -1,    -1,  3375,  3376,    -1,    -1,
     349,    -1,  3381,  3382,    -1,    -1,  3385,    -1,    -1,    -1,
    2188,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,  3400,   834,    -1,    -1,  3404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3413,    -1,    -1,    -1,    -1,  3418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3430,    -1,    -1,    -1,    -1,  3974,    -1,    -1,    -1,
     323,    -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    -1,    -1,  3996,    -1,
    3998,    -1,  3461,    -1,    -1,    -1,    18,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1459,    -1,    -1,    -1,    -1,    -1,    -1,    49,    -1,  3498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3507,  2458,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   961,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
      -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,  4086,  2498,
    2499,    -1,  2501,    -1,  2352,  2353,  2354,    -1,    -1,    -1,
      -1,   113,    -1,    -1,  3563,    -1,    -1,  1536,   120,    -1,
      -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3583,    -1,    -1,    -1,    -1,    -1,
    4128,  1560,    -1,    -1,    -1,    -1,  1565,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2553,    -1,  2555,    -1,    -1,    -1,
      -1,    -1,    -1,  3258,  3259,    -1,  1585,  1586,    -1,  1588,
     172,    -1,  3621,   175,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4180,    -1,    -1,    -1,    -1,    -1,    28,    -1,
      -1,    31,    -1,    -1,    -1,    -1,    36,    -1,  1627,  2608,
    2458,    -1,    42,    -1,    -1,    -1,   218,    -1,   220,    -1,
    3315,    -1,    -1,    -1,  3673,    -1,    -1,    -1,   230,    -1,
     232,    -1,    -1,  2632,  4222,    -1,    66,    -1,    -1,    -1,
     242,    -1,    -1,    -1,  1663,    -1,    -1,    -1,   250,    -1,
    2498,  2499,    -1,  2501,    -1,  3704,   258,   259,  2657,  3708,
      -1,    -1,    -1,    -1,  3713,    -1,    -1,  3362,  3363,    -1,
      -1,    -1,  1154,    -1,    -1,    -1,  2675,    -1,    -1,    -1,
    3375,  3730,  3731,    -1,    -1,  3734,  3381,  3382,   290,    -1,
    3385,    -1,   294,   295,    -1,    -1,  3745,    -1,    -1,    -1,
      -1,  3750,    -1,    -1,  3753,  2553,    -1,  2555,    -1,  3758,
    3759,    -1,    -1,    -1,    -1,    -1,    -1,   319,  3413,    -1,
      -1,    -1,    -1,  3418,    -1,  1207,    -1,    -1,   330,     8,
      -1,    -1,    11,    -1,  3783,  3430,   166,    -1,    -1,  2738,
     170,    -1,    -1,    -1,    -1,    -1,  1765,    -1,    -1,    28,
      -1,    -1,    -1,  2752,    -1,  1237,  1775,    36,    -1,  1778,
    2608,   191,   192,    42,  2763,  3814,  3461,    -1,    -1,  3818,
      -1,    -1,    -1,    -1,    -1,   377,    -1,   207,    -1,    -1,
      -1,    -1,    -1,    -1,  2632,    -1,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   232,    -1,    -1,   235,  3855,    -1,    -1,  2657,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,    -1,
      -1,   251,    -1,    -1,    -1,  1307,    -1,  2675,    -1,  2828,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1326,    -1,    -1,    -1,  3897,  2848,
    3899,   834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1346,    -1,    -1,    -1,    -1,    -1,
    3919,  3920,    -1,  3922,  2873,  3924,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   166,    -1,  1371,
    2738,   170,  3941,   323,    -1,    -1,  3945,    -1,    -1,    -1,
      -1,  3950,    -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,
    2909,    -1,   191,   192,    -1,  2763,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3621,    -1,   207,    -1,
      -1,    -1,    -1,    -1,    -1,  3984,    -1,    -1,  3987,    -1,
      -1,  1423,  3991,  3992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   232,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,  4025,    -1,   961,    -1,
    2828,    -1,    -1,   413,   414,   415,    -1,   417,   418,   419,
     420,   421,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2848,    -1,    -1,  4052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2873,    -1,    -1,    -1,    -1,
      -1,  4080,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3734,
      -1,    -1,    -1,    -1,   323,    -1,    -1,    -1,  4097,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2909,    -1,    -1,  3759,   834,    -1,    -1,    -1,    -1,
      -1,  3070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4132,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4142,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4159,  4160,    -1,    -1,    -1,    -1,  1598,    -1,    -1,    -1,
      -1,    -1,    -1,  4172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   413,   414,   415,    -1,   417,   418,
     419,   420,   421,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4217,    -1,
      -1,  1154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4233,    -1,    -1,    -1,    -1,   834,
      -1,    -1,   961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3070,    -1,  1207,  3224,  4275,  3922,    -1,    -1,
      -1,  4280,  2251,    -1,  2253,  4284,  2255,  2256,  2257,  4288,
      -1,  2260,    -1,    -1,    -1,  2264,  3941,    -1,    -1,    -1,
      -1,    -1,  2271,    -1,  1237,    -1,    -1,  2276,  3257,    -1,
      -1,    -1,    -1,  2282,    -1,    -1,    -1,    -1,  2287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2296,    -1,    -1,
      -1,  2300,  2301,    -1,  2303,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2315,    -1,    -1,    -1,
      -1,    -1,    -1,  2322,    -1,  2324,  2325,  2326,  2327,  2328,
    2329,  2330,  2331,  2332,  2333,    -1,   961,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1307,    -1,    -1,    -1,    -1,    -1,
    4025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2358,
      -1,    -1,    -1,  1326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1346,    -1,    -1,  3365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3224,  3376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1154,    -1,    -1,  1371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   834,    -1,    -1,  1881,
      -1,    -1,  4097,    -1,  1886,  1887,    -1,    -1,    -1,  3257,
      -1,    -1,    -1,    -1,    -1,    -1,  1898,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2450,    -1,    -1,    -1,    -1,    -1,    -1,  1207,    -1,
    1423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4159,  4160,    -1,    -1,  1237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3507,  1154,
      -1,    -1,  4207,    -1,    -1,    -1,    -1,  3365,    -1,    -1,
    3519,    -1,  4217,   961,    -1,    -1,    -1,    -1,  3376,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1307,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1326,    -1,    -1,
      -1,    -1,  1207,    -1,  3563,  3413,    -1,    -1,    -1,    -1,
    3418,    -1,    -1,    -1,    -1,    -1,    -1,  1346,    -1,    -1,
    4275,    -1,  3430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1598,    -1,    -1,    -1,    -1,
      -1,    -1,  2104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2660,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,  3507,
      -1,    -1,  1307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1346,    -1,    -1,    -1,    -1,  2188,    -1,    -1,  3708,
      -1,    -1,    -1,    -1,    -1,  3563,  1154,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1371,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2782,    -1,    -1,    -1,    -1,    -1,  1207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1423,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1237,
      -1,    -1,    -1,    -1,    -1,  2824,    -1,    -1,    -1,    -1,
      -1,  2830,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3673,    -1,  2846,  2847,  1598,
    2849,    -1,    -1,  2852,  2853,  2854,  2855,  2856,  2857,  2858,
    2859,  2860,  2861,  2862,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2887,  1307,
      -1,  2890,    -1,  2892,    -1,    -1,    -1,    -1,  2897,  2898,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1326,    -1,
      -1,    -1,  2911,  2912,  2913,   834,  2915,    21,  1881,  2918,
    3899,    -1,    -1,  1886,  1887,    -1,    -1,    -1,  1346,    33,
      -1,    -1,    -1,    -1,    -1,  1898,    -1,    -1,    -1,    -1,
      -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      54,    -1,    -1,  1371,    -1,    -1,  2955,    -1,    -1,    -1,
      -1,    -1,    -1,    67,    -1,    -1,  2965,    -1,    -1,    -1,
      -1,  3950,    76,  1598,    -1,    -1,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    -1,    -1,  2458,  2996,    -1,   103,
      -1,    -1,    -1,    -1,    -1,  1423,    -1,    -1,  3987,    -1,
      -1,    -1,  3991,  3992,   118,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,  2498,  2499,    -1,  2501,
      -1,    -1,   961,   147,    -1,    -1,    -1,    -1,    -1,    -1,
     154,    -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,    -1,   173,
      -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2553,  3920,  2555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1881,    -1,    -1,    -1,    -1,  1886,  1887,    -1,
      -1,  2104,    -1,    -1,   248,    -1,  2608,   251,    -1,  1898,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,
      -1,    -1,    -1,  3991,  3992,    -1,    -1,    -1,    -1,    -1,
    2632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1598,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2657,    -1,   301,    -1,    -1,
    3199,    -1,    -1,   307,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,  2675,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4052,  2188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1154,    -1,    -1,   342,    -1,
     344,   345,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   356,    -1,    -1,    -1,  1881,   361,    -1,    -1,
      -1,  1886,  1887,   367,    -1,    -1,   370,    -1,    -1,   373,
      -1,    -1,    -1,  1898,    -1,    -1,  2738,    -1,    -1,    -1,
      -1,  2030,   386,    -1,    -1,    -1,    -1,    -1,  1207,    -1,
    2752,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3316,  1237,    -1,
      -1,  3320,  3321,  3322,    -1,    -1,  3325,    -1,    -1,    -1,
      -1,  3330,  3331,  3332,  3333,  3334,  3335,  3336,  3337,  3338,
    3339,  3340,  3341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2828,    -1,    -1,    -1,
    3369,  3370,  3371,  3372,    -1,  3374,    -1,    -1,    -1,  3378,
    3379,  3380,    -1,    -1,  3383,    -1,  2848,  3386,  1307,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2030,    -1,  1326,    -1,    -1,
      -1,  2873,    -1,    -1,    -1,    -1,  3415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1346,  3427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2188,
      -1,    -1,  3441,    -1,    -1,    -1,    -1,  2909,    -1,    -1,
      -1,    -1,  1371,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1881,    -1,    -1,    -1,    -1,  1886,  1887,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2104,
    1898,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1423,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2498,  2499,    -1,  2501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2553,    -1,  2555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3070,    -1,
      -1,    -1,  2030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2632,
      -1,  3670,  3671,    -1,    -1,    -1,    -1,    -1,    -1,  1598,
      -1,    -1,    -1,    -1,    -1,    -1,  2104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2657,    -1,    -1,    -1,    -1,    -1,
      -1,  3700,    -1,    -1,    -1,  3704,    -1,    -1,    -1,  2458,
      -1,    -1,  2675,    -1,    -1,    -1,    -1,    -1,    -1,  3718,
      -1,  3720,    -1,    -1,    -1,    -1,  3725,  3726,  3727,    -1,
      -1,  3730,  3731,  3732,  3733,    -1,  3735,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2498,
    2499,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2188,    -1,    -1,    -1,    -1,  2738,    -1,    -1,    -1,    -1,
      -1,    -1,  3781,    -1,    -1,    -1,    -1,    -1,    -1,  2752,
      -1,    -1,    -1,    -1,    -1,  3257,    -1,    -1,    -1,    -1,
    2763,    -1,    -1,    -1,  2553,    -1,  2555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2458,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2608,
      -1,    -1,  3861,    -1,    -1,  2828,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2498,  2499,    -1,  2501,    -1,    -1,    -1,
      -1,    -1,    -1,  2632,    -1,  2848,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3365,    -1,    -1,    -1,    -1,  2657,    -1,
    2873,    -1,    -1,    -1,  3376,    -1,    -1,    -1,    -1,  3918,
    3919,    -1,    -1,    -1,    -1,    -1,  2675,    -1,  2553,    -1,
    2555,    -1,    -1,    -1,    -1,  3934,  3935,  3936,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3953,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1881,    -1,    -1,    -1,    -1,  1886,  1887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1898,
      -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,  2738,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2752,    -1,    -1,    -1,  2632,    -1,    -1,
      -1,    -1,    -1,    -1,  2763,    -1,    -1,  3479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2458,    -1,    -1,    -1,    -1,  3507,    -1,    -1,    -1,    -1,
    2675,    -1,    -1,    -1,    -1,    -1,    -1,  3519,    -1,    -1,
      -1,  4060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,
    2498,  2499,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,
      -1,  3563,    -1,    -1,    -1,    -1,    -1,  3070,    -1,    -1,
      -1,  2030,    -1,  2738,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2873,    -1,    -1,  2752,    -1,    -1,
      -1,    -1,  4131,    -1,    -1,  2553,    -1,  2555,  2763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2104,    -1,    -1,    -1,    -1,
    2608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2828,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4210,    -1,    -1,  2632,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2848,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2657,
      -1,    -1,    -1,    -1,    -1,    -1,  3708,    -1,  2873,    -1,
      -1,    -1,    -1,    -1,    -1,  4254,    -1,  2675,    -1,    -1,
      -1,  3224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2909,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2738,  3070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2763,    -1,    -1,    -1,    -1,
      -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2828,    -1,    -1,  3376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2848,    -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3070,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2873,    -1,    -1,  3920,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,
      -1,  2909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,  3991,
    3992,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2458,
      -1,    -1,    -1,    -1,  3507,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2498,
    2499,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3224,
    3563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,    -1,
      -1,    -1,  3257,    -1,  2553,    -1,  2555,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2608,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2632,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2657,    -1,
    3365,    -1,    -1,    -1,    -1,  3708,    -1,    -1,    -1,    -1,
      -1,  3376,    -1,    -1,    -1,    -1,  2675,    -1,  3507,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3224,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3563,    -1,    -1,    -1,    -1,  2738,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,    -1,  3257,
      -1,    -1,    -1,    -1,  2763,    -1,    -1,    -1,    -1,    -1,
      -1,  3814,    -1,    -1,  3479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3507,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2828,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2848,
      -1,    -1,    -1,    -1,    -1,    -1,  3899,    -1,  3563,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3365,    -1,    -1,
      -1,    -1,    -1,    -1,  2873,    -1,    -1,  3920,  3376,  3708,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,
    2909,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,  3991,  3992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3479,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3708,    -1,    -1,    -1,    -1,    -1,  3507,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3563,    -1,    -1,    -1,    -1,
    3899,  3070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3814,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,
      -1,    -1,  3991,  3992,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3708,    -1,    -1,    -1,    -1,  3920,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3950,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3987,    -1,    -1,    -1,  3991,  3992,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,
      -1,    -1,    -1,  3991,  3992,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3507,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3563,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3708,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3950,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,  3987,    -1,
      -1,    30,  3991,  3992,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,   115,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
     149,    -1,   151,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,    -1,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,
     419,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   426,   427,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,    -1,   233,
     234,   235,   236,    -1,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,    -1,   233,
     234,   235,   236,    -1,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,   407,   408,   409,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,   427,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,   150,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,
      -1,    -1,    -1,    -1,   424,   425,   426,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,   418,   419,    -1,    -1,    -1,    -1,    -1,    -1,
     426,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,   150,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
      -1,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,    -1,
      -1,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   417,
     418,    -1,    -1,     3,     4,     5,     6,     7,   426,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,
       7,    -1,     9,    10,    -1,    -1,   426,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,   426,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,    -1,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,    -1,    -1,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,    -1,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,    -1,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,   205,   206,    -1,    -1,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,     3,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    54,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
     247,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,   149,    -1,   151,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,    -1,   233,   234,   235,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,   384,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,    -1,    -1,    -1,     9,    -1,    -1,    -1,   426,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,   246,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,
      -1,     3,   417,   418,   419,    -1,    -1,    -1,    -1,    -1,
      -1,   426,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,     5,    -1,    -1,     8,     9,    -1,    -1,    -1,   426,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
      -1,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,   236,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,    -1,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,    -1,   268,    -1,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,    -1,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,    -1,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,    -1,    -1,     3,   413,
     414,   415,    -1,   417,   418,   419,   420,   421,   422,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   419,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   419,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,    -1,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,    -1,   233,
     234,   235,   236,    -1,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,   419,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,    -1,   233,   234,   235,   236,
      -1,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,    -1,     3,     4,     5,    -1,    -1,    -1,     9,
     407,   408,   409,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,   419,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,   246,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,     4,     5,    -1,    -1,    -1,     9,   417,   418,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,   246,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,     4,     5,
      -1,    -1,    -1,     9,   417,   418,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
     246,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
       9,   417,   418,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,   150,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,     4,     5,    -1,    -1,    -1,     9,   417,   418,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,    -1,   233,   234,   235,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    -1,    -1,    68,    69,
      70,    71,    72,    -1,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,   147,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,   155,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    83,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,   155,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,   147,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    83,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,   246,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,   147,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    83,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    26,
      27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
     247,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,   247,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,   247,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    -1,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      -1,    -1,    69,    70,    71,    72,    -1,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,   134,   135,   136,
     137,   138,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,
     157,    -1,   159,    -1,   161,   162,   163,   164,   165,    -1,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
      -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
     267,   268,   269,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,    -1,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,   355,   356,
     357,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,   380,   381,    -1,   383,    -1,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,
      -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,   159,
      -1,   161,   162,   163,   164,   165,    -1,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,    -1,    -1,   193,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,   267,   268,   269,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
      -1,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,   355,   356,   357,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,   381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    -1,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    -1,    -1,    69,    70,    71,    72,
      -1,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,    -1,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
     143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,
     153,   154,    -1,   156,   157,    -1,   159,    -1,   161,   162,
     163,   164,   165,    -1,   167,   168,   169,    -1,   171,   172,
     173,   174,   175,   176,    -1,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,
     193,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,
     253,    -1,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,    -1,   266,   267,   268,   269,   270,   271,   272,
      -1,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,    -1,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,    -1,   298,   299,    -1,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,   317,    -1,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
      -1,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
     363,   364,   365,    -1,    -1,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,   380,   381,    -1,
     383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    31,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,    -1,
     156,   157,    -1,   159,    -1,   161,   162,   163,   164,   165,
      -1,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,   267,   268,   269,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,    -1,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,    -1,   320,   321,   322,    -1,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,   355,
     356,   357,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,   381,    -1,   383,    -1,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,    -1,
     152,   153,   154,    -1,   156,   157,    -1,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,    -1,
      -1,   193,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,   267,   268,   269,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,    -1,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,   355,   356,   357,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,   381,
      -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,   154,
      -1,   156,   157,    -1,   159,    -1,   161,   162,   163,   164,
     165,    -1,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,    -1,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,   267,   268,   269,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,    -1,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
     355,   356,   357,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,   381,    -1,   383,    -1,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,    -1,   233,
     234,   235,   236,    -1,    -1,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,   381,   382,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,    -1,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,
     148,    -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,
      -1,   159,    -1,   161,   162,   163,   164,   165,    -1,   167,
     168,   169,    -1,   171,   172,   173,   174,   175,   176,    -1,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,    -1,
     188,    -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
      -1,   209,   210,   211,    -1,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,    -1,   245,    -1,    -1,
     248,   249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,    -1,   266,   267,
     268,   269,   270,   271,   272,    -1,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,    -1,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,    -1,
     298,   299,    -1,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,    -1,   354,   355,   356,   357,
      -1,   359,   360,   361,   362,   363,   364,   365,    -1,    -1,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,   381,    -1,   383,    -1,   385,   386,   387,
      -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,   134,   135,   136,   137,   138,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,    -1,    -1,
      -1,   152,   153,   154,    -1,   156,   157,    -1,   159,    -1,
     161,   162,   163,   164,   165,    -1,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
      -1,    -1,   193,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,   253,    -1,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,   267,   268,   269,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,    -1,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,   355,   356,   357,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,   380,
     381,    -1,   383,    -1,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
     134,   135,   136,   137,   138,    -1,   140,    -1,   142,   143,
     144,    -1,   146,    -1,   148,    -1,    -1,    -1,   152,   153,
     154,    -1,   156,   157,    -1,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,    -1,   188,    -1,   190,    -1,    -1,   193,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,    -1,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,   253,
      -1,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,   267,   268,   269,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,    -1,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,    -1,
     354,   355,   356,   357,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,   381,    -1,   383,
      -1,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    -1,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    -1,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,    -1,   130,   131,   132,   133,    -1,   135,   136,
     137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,   146,
      -1,   148,   149,    -1,   151,   152,   153,   154,    -1,   156,
      -1,    -1,   159,    -1,   161,   162,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,   173,   174,   175,   176,
      -1,   178,   179,    -1,   181,   182,   183,   184,   185,   186,
      -1,   188,    -1,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,    -1,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,    -1,    -1,   233,   234,   235,   236,
     237,    -1,   239,   240,   241,   242,   243,    -1,   245,    -1,
      -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,   256,
      -1,   258,   259,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,    -1,   270,   271,   272,    -1,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,    -1,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
      -1,   298,   299,   300,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,    -1,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,   356,
      -1,    -1,   359,   360,   361,   362,   363,   364,   365,    -1,
      -1,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,   381,    -1,   383,   384,   385,   386,
     387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,   396,
     397,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     407,   408,   409,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,    -1,   130,
     131,   132,   133,    -1,   135,   136,   137,    -1,    -1,   140,
      -1,   142,   143,   144,    -1,   146,    -1,   148,   149,    -1,
     151,   152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,
     161,   162,   163,   164,   165,   166,   167,   168,   169,    -1,
     171,   172,   173,   174,   175,   176,    -1,   178,   179,    -1,
     181,   182,   183,   184,   185,   186,    -1,   188,    -1,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,    -1,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,    -1,   233,   234,   235,   236,    -1,    -1,   239,   240,
     241,   242,   243,    -1,   245,    -1,    -1,   248,   249,   250,
      -1,    -1,    -1,   254,   255,   256,    -1,   258,   259,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,    -1,   270,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,    -1,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,    -1,   298,   299,   300,
     301,   302,    -1,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,    -1,    -1,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,
     361,   362,   363,   364,   365,    -1,    -1,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
     381,    -1,   383,   384,   385,   386,   387,    -1,    -1,   390,
      -1,    -1,   393,   394,   395,   396,   397,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,    -1,   130,   131,   132,   133,    -1,
     135,   136,   137,    -1,    -1,   140,    -1,   142,   143,   144,
      -1,   146,    -1,   148,   149,    -1,   151,   152,   153,   154,
      -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,   173,   174,
     175,   176,    -1,   178,   179,    -1,   181,   182,   183,   184,
     185,   186,    -1,   188,    -1,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,    -1,
     205,   206,   207,    -1,   209,   210,   211,    -1,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,    -1,   233,   234,
     235,   236,    -1,    -1,   239,   240,   241,   242,   243,    -1,
     245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,
     255,   256,    -1,   258,   259,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,    -1,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,    -1,   298,   299,   300,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,    -1,   354,
      -1,   356,    -1,    -1,   359,   360,   361,   362,   363,   364,
     365,    -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,   381,    -1,   383,   384,
     385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,
     395,   396,   397,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,   408,   409,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
      -1,   130,   131,   132,   133,   134,   135,   136,   137,   138,
      -1,   140,    -1,   142,   143,   144,    -1,   146,    -1,   148,
      -1,    -1,    -1,   152,   153,   154,    -1,   156,   157,    -1,
     159,    -1,   161,   162,   163,   164,   165,    -1,   167,   168,
     169,    -1,   171,   172,   173,   174,   175,   176,    -1,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,    -1,   188,
      -1,   190,    -1,    -1,   193,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,    -1,    -1,
     209,   210,   211,    -1,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,    -1,   245,    -1,    -1,   248,
     249,   250,    -1,    -1,   253,    -1,    -1,    -1,   257,   258,
     259,   260,   261,    -1,   263,   264,    -1,   266,   267,   268,
     269,   270,   271,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,   285,    -1,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,    -1,   298,
     299,    -1,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,    -1,   354,   355,   356,   357,    -1,
     359,   360,   361,   362,   363,   364,   365,    -1,    -1,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,   381,    -1,   383,    -1,   385,   386,   387,    -1,
      -1,   390,    -1,    -1,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    -1,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,    -1,   130,   131,
     132,   133,    -1,   135,   136,   137,    -1,    -1,   140,    -1,
     142,   143,   144,    -1,   146,    -1,   148,   149,    -1,   151,
     152,   153,   154,    -1,   156,    -1,    -1,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,   173,   174,   175,   176,    -1,   178,   179,    -1,   181,
     182,   183,   184,   185,   186,    -1,   188,    -1,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,    -1,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
      -1,   233,   234,   235,   236,    -1,    -1,   239,   240,   241,
     242,   243,    -1,   245,    -1,    -1,   248,   249,   250,    -1,
      -1,    -1,   254,   255,   256,    -1,   258,   259,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,    -1,   270,   271,
     272,    -1,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,    -1,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,    -1,   298,   299,   300,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,    -1,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,    -1,   354,    -1,   356,    -1,    -1,   359,   360,   361,
     362,   363,   364,   365,    -1,    -1,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,   381,
      -1,   383,   384,   385,   386,   387,    -1,    -1,   390,    -1,
      -1,   393,   394,   395,   396,   397,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   407,   408,   409,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,    -1,   130,   131,   132,   133,    -1,   135,
     136,   137,    -1,    -1,   140,    -1,   142,   143,   144,    -1,
     146,    -1,   148,   149,    -1,   151,   152,   153,   154,    -1,
     156,    -1,    -1,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,    -1,   171,   172,   173,   174,   175,
     176,    -1,   178,   179,    -1,   181,   182,   183,   184,   185,
     186,    -1,   188,    -1,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,    -1,   205,
     206,   207,    -1,   209,   210,   211,    -1,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,    -1,   233,   234,   235,
     236,    -1,    -1,   239,   240,   241,   242,   243,    -1,   245,
      -1,    -1,   248,   249,   250,    -1,    -1,    -1,   254,   255,
     256,    -1,   258,   259,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,    -1,   270,   271,   272,    -1,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
      -1,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,    -1,   298,   299,   300,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,    -1,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,    -1,   354,    -1,
     356,    -1,    -1,   359,   360,   361,   362,   363,   364,   365,
      -1,    -1,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,   381,    -1,   383,   384,   385,
     386,   387,    -1,    -1,   390,    -1,    -1,   393,   394,   395,
     396,   397,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407,   408,   409,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,    -1,
     130,   131,   132,   133,    -1,   135,   136,   137,    -1,    -1,
     140,    -1,   142,   143,   144,    -1,   146,    -1,   148,   149,
      -1,   151,   152,   153,   154,    -1,   156,    -1,    -1,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
      -1,   171,   172,   173,   174,   175,   176,    -1,   178,   179,
      -1,   181,   182,   183,   184,   185,   186,    -1,   188,    -1,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,    -1,   205,   206,   207,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,    -1,   233,   234,   235,   236,    -1,    -1,   239,
     240,   241,   242,   243,    -1,   245,    -1,    -1,   248,   249,
     250,    -1,    -1,    -1,   254,   255,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,    -1,
     270,   271,   272,    -1,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,    -1,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,    -1,   298,   299,
     300,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,   317,    -1,   319,
      -1,   321,   322,   323,   324,   325,   326,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,    -1,   354,    -1,   356,    -1,    -1,   359,
     360,   361,   362,   363,   364,   365,    -1,    -1,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,    -1,   383,   384,   385,   386,   387,    -1,    -1,
     390,    -1,    -1,   393,   394,   395,   396,   397,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,   408,   409,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    -1,    -1,
      44,    -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    -1,    -1,    59,    -1,    61,    62,    63,
      64,    -1,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,    -1,    -1,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,    -1,   130,   131,   132,   133,
      -1,   135,   136,   137,    -1,    -1,   140,    -1,   142,    -1,
     144,    -1,   146,    -1,   148,   149,    -1,   151,   152,   153,
     154,    -1,   156,    -1,    -1,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,    -1,   171,   172,   173,
     174,   175,   176,    -1,   178,   179,    -1,   181,   182,   183,
     184,    -1,    -1,    -1,    -1,    -1,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
      -1,   205,   206,   207,    -1,   209,   210,   211,    -1,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,    -1,   229,   230,    -1,    -1,   233,
     234,   235,   236,    -1,    -1,   239,    -1,   241,   242,   243,
      -1,   245,    -1,    -1,   248,   249,   250,    -1,    -1,    -1,
     254,   255,   256,    -1,   258,   259,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,    -1,   270,   271,   272,    -1,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,    -1,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,    -1,   298,   299,   300,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,    -1,   319,    -1,   321,   322,   323,
     324,    -1,   326,    -1,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,    -1,    -1,    -1,    -1,    -1,
     354,    -1,   356,    -1,    -1,   359,   360,   361,   362,   363,
     364,   365,    -1,    -1,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,    -1,   383,
     384,   385,   386,   387,    -1,    -1,   390,    -1,    -1,   393,
     394,   395,   396,   397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,   408,   409
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   133,
     135,   141,   155,   209,   210,   215,   223,   234,   271,   282,
     287,   289,   294,   299,   302,   306,   311,   312,   319,   322,
     330,   342,   359,   369,   375,   380,   392,   426,   433,   434,
     435,   436,   442,   443,   445,   446,   447,   448,   449,   450,
     451,   453,   454,   458,   469,   472,   473,   476,   477,   478,
     489,   492,   493,   508,   545,   548,   549,   556,   562,   564,
     566,   567,   570,   573,   574,   578,   579,   588,   592,   593,
     594,   598,   599,   601,   602,   603,   616,   617,   618,   619,
     630,   631,   638,   639,   642,   643,   644,   645,   646,   651,
     653,   656,   660,   664,   665,   675,   676,   679,   684,   695,
     714,   717,   718,   719,   722,   725,   727,   729,   732,   735,
     736,   737,   744,   745,   747,   748,   749,   754,   756,   757,
     761,   762,   765,   766,   767,   769,   770,   771,   772,   774,
     777,   778,   783,   789,   792,   794,   795,   800,   802,   806,
     813,   817,   818,   819,   820,   821,   822,   825,   852,   354,
     394,   750,    21,    67,    80,    97,   103,   118,   136,   147,
     152,   158,   173,   198,   248,   276,   301,   307,   313,   316,
     342,   344,   348,   356,   361,   373,   386,   563,   750,     3,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    33,    34,    36,    37,    39,    40,    41,    42,
      43,    45,    46,    48,    49,    50,    51,    52,    55,    56,
      57,    58,    59,    61,    62,    63,    64,    65,    69,    70,
      71,    72,    74,    75,    77,    78,    79,    80,    81,    82,
      85,    86,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   104,   106,   107,   108,   109,   110,   112,   113,   114,
     117,   118,   119,   120,   121,   123,   124,   125,   127,   128,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   140,
     142,   143,   144,   146,   148,   152,   153,   154,   156,   157,
     159,   161,   162,   163,   164,   165,   167,   168,   169,   171,
     172,   173,   174,   175,   176,   178,   180,   181,   182,   183,
     184,   185,   186,   188,   190,   193,   195,   196,   197,   198,
     199,   200,   201,   203,   204,   206,   209,   210,   211,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   228,   229,   230,   231,   233,   234,   236,   238,
     239,   240,   241,   242,   243,   245,   248,   249,   250,   253,
     257,   258,   259,   260,   261,   262,   263,   264,   266,   267,
     268,   269,   270,   271,   272,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   298,   299,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     313,   314,   315,   316,   317,   319,   320,   321,   322,   324,
     325,   326,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   340,   341,   343,   344,   345,   346,   347,
     348,   350,   351,   354,   355,   356,   357,   359,   360,   361,
     362,   363,   364,   365,   368,   369,   370,   371,   372,   375,
     376,   377,   378,   379,   380,   381,   383,   385,   386,   387,
     390,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   814,   957,
     969,   972,   973,   384,   779,   246,   272,   750,    44,   499,
     818,    21,    33,    54,    67,    76,    97,   103,   118,   136,
     147,   154,   158,   211,   248,   251,   301,   307,   316,   344,
     345,   347,   348,   356,   361,   367,   370,   373,   509,   634,
     685,   696,    22,   271,   957,   814,    22,   266,   345,   347,
       5,   197,   723,   724,   966,    21,    33,    54,    67,    80,
      97,   118,   136,   147,   152,   158,   173,   248,   258,   301,
     305,   307,   313,   316,   342,   344,   348,   356,   361,   373,
     386,   563,   647,   750,   957,    83,   384,   426,   545,   778,
     784,   792,   795,   800,   806,   813,   817,     9,    15,    22,
      39,   142,   148,   150,   170,   199,   229,   274,   288,   417,
     418,   661,   662,   814,   965,   968,    22,    83,   286,   312,
     666,   667,   668,   969,   969,   962,   966,   342,   828,   661,
     969,   354,   957,   258,    97,   173,   341,   342,   730,   306,
     969,    22,   317,   350,   354,   461,   969,    19,   155,   666,
     667,   272,   750,   969,   196,    22,   115,   830,    55,    77,
     211,   225,   301,   307,   317,   350,   354,   397,   459,   460,
     461,    22,   317,   350,   354,   461,   354,   247,   861,   955,
     969,   828,   419,   969,   151,   426,   780,   426,   951,   284,
     823,   824,   957,   818,   819,   822,     0,   429,   779,   129,
     187,   252,   366,   831,   832,   818,   820,   821,   108,   183,
     372,   430,     3,    38,    44,    67,    73,    84,    90,   149,
     151,   166,   179,   191,   192,   194,   205,   207,   227,   235,
     254,   255,   256,   300,   323,   384,   963,   969,   970,   972,
     974,   649,   969,   649,   958,   969,   275,   649,   649,   957,
     969,    96,   342,   674,   963,   967,   969,   165,   955,   241,
       8,    62,   140,   413,   414,   415,   417,   418,   419,   420,
     421,   422,   721,   918,   919,   969,   967,   957,   165,   955,
     957,   165,   861,   957,   309,   957,   649,   216,   967,   165,
     955,   197,   105,   193,   232,   280,   751,   752,   753,   955,
     961,   969,    21,    54,    67,    68,    76,    80,    97,   118,
     136,   147,   152,   173,   198,   248,   301,   305,   307,   313,
     316,   342,   344,   348,   356,   361,   386,   563,   654,   966,
     955,   352,   963,   957,   426,   649,   356,   958,   649,   165,
     957,    96,   342,   345,   347,   967,   345,   347,    62,   140,
     721,   292,   967,   455,   969,   957,   957,   309,   957,   649,
     216,   967,   313,   342,   386,    80,   173,   152,   305,   360,
     557,    22,   957,   815,   468,   966,   969,   724,   165,   963,
     957,   165,   728,   165,   958,    96,   342,   165,   963,   165,
     956,   957,    73,    62,   140,   165,   721,    48,   165,   956,
     165,   957,   165,   957,   165,   957,   309,   165,   957,   165,
     216,   956,   197,   165,   648,   649,   426,   793,   509,   784,
     380,   384,   778,   785,   786,   787,   969,   779,   968,   662,
     663,    22,   663,   968,   663,    22,   663,   968,   663,   663,
     663,   968,   965,   965,   814,   663,   275,   426,   426,   528,
     528,   528,   246,   352,   430,   528,   861,   862,   430,   746,
     966,   426,   790,    48,   957,   957,   955,   969,    38,   409,
     193,   428,   249,   249,   246,   150,   966,   352,   145,   657,
     246,     4,     6,     7,     8,    10,    30,    43,    45,    46,
      53,    54,    57,    58,    65,    67,    87,    88,    89,    90,
      91,    92,    93,   100,   101,   119,   134,   138,   139,   143,
     157,   185,   186,   188,   204,   212,   213,   226,   228,   232,
     237,   238,   240,   248,   257,   267,   281,   303,   318,   325,
     338,   350,   351,   355,   357,   358,   367,   373,   381,   399,
     400,   401,   402,   403,   404,   405,   406,   417,   418,   419,
     426,   818,   873,   876,   879,   880,   881,   883,   884,   885,
     886,   889,   890,   894,   896,   897,   916,   920,   939,   944,
     952,   953,   963,   964,   965,   966,   969,   966,    22,   474,
     954,   955,   317,   459,   103,   467,   966,   468,   966,    38,
      59,   459,   409,   326,   752,   249,   150,   352,   413,    38,
     409,   193,   753,   426,   955,   419,   424,   428,   945,   946,
     862,   149,   151,   384,   775,   776,   778,   149,   781,   103,
     894,   949,   950,   823,   430,   426,   782,   427,   427,   435,
     955,    22,   115,   829,   829,    48,   829,   141,   145,   208,
     244,   835,   837,   838,   847,   849,   850,   831,   832,   150,
     189,   861,   863,   951,   426,   624,   946,   259,   290,   319,
     428,   650,   259,   290,   319,   259,   290,   319,   392,   437,
     469,   470,   680,    18,   120,   259,   290,   319,   377,   481,
     319,    18,   120,   372,   452,   395,   165,   861,    50,    82,
     137,   168,   203,   232,   259,   290,   298,   304,   311,   319,
     328,   336,   387,   469,   471,   708,   715,   426,   697,   290,
     452,   134,    18,    24,    64,   113,   120,   123,   175,   230,
     232,   242,   250,   259,   290,   294,   319,   377,   479,   480,
     582,     4,   418,   554,   968,   649,   649,   426,   720,   428,
     170,   290,   437,   444,   259,   290,   134,    49,    95,   172,
     218,   220,   230,   258,   290,   295,   319,   330,   479,   551,
     552,   259,   290,   385,   582,   590,   134,   290,   319,   479,
     259,   290,   294,   319,    74,   112,   260,   346,   246,    18,
      24,   120,   259,   290,   319,   490,   491,   145,   290,   319,
     437,   470,   134,   290,   319,   479,   957,   206,   105,   247,
     396,   430,   751,   374,   773,   246,   963,   426,   957,    96,
     342,   963,   241,    62,   140,   721,   957,   309,   957,   197,
     649,   528,   333,   334,   495,   966,   426,   624,   625,    60,
       3,    43,    45,    46,    57,    58,   100,   101,   143,   185,
     186,   188,   226,   228,   240,   281,   320,   325,   350,   351,
     381,   870,   872,   874,   876,   878,   880,   881,   882,   884,
     885,   889,   890,   970,   972,   150,   426,   620,   957,   437,
      31,   768,   232,   437,   395,   165,   955,   437,   649,   649,
     620,   509,   437,    38,   456,   361,   589,   259,   565,    74,
     112,   260,   346,    20,    40,   184,   604,    31,   620,   145,
     437,   955,   165,   546,   955,   955,   649,    73,   686,   963,
     957,   563,    44,    94,   182,   230,   308,   134,   624,    51,
     296,   482,   134,   426,   134,   395,   134,   697,   134,   430,
     165,   648,   165,   649,   165,   649,   134,   720,   956,   134,
     134,   246,   134,   482,   134,    74,   112,   260,   346,   134,
     246,   134,   145,   165,   165,   468,   134,   430,   482,   894,
     923,   342,   427,   430,   139,   246,   358,   465,   468,   554,
     788,   784,   663,   814,   663,   814,   663,   814,   663,   814,
     663,   814,   814,   814,   663,   814,   426,   529,   530,   969,
     529,    22,    97,   118,   147,   152,   197,   198,   307,   313,
     342,   344,   361,   669,   954,   956,   668,   170,   430,   803,
     966,   870,   926,    31,   956,   146,   731,   731,   731,   206,
     969,   145,   145,   669,   956,   306,   969,   468,   246,   426,
     947,   424,   818,   927,   383,   887,   894,   943,   426,   887,
     887,   426,   145,   426,   426,   426,   875,   875,   269,   818,
     426,   426,   877,   426,   426,   426,   426,    57,    58,   887,
     894,   426,   875,   426,   426,   426,   426,   426,   393,   412,
     426,   891,   426,   891,   426,   426,   818,   426,   426,   426,
     426,   426,   426,   426,   426,   894,   894,   818,   894,   923,
     966,    58,   426,   888,   426,   966,     3,     8,    11,    28,
      31,    36,    42,    66,   166,   170,   191,   192,   207,   232,
     235,   248,   251,   323,   413,   414,   415,   417,   418,   419,
     420,   421,   422,   918,   920,   922,   256,   894,   189,   430,
     826,   426,   966,   946,   106,   167,   475,   430,    59,   103,
     468,    31,     3,   103,   211,   466,   554,   890,   966,   966,
      78,   117,   903,    86,   103,   462,   463,   465,   554,   103,
     462,   206,   955,   894,     3,    22,    26,    27,    28,    29,
      30,    31,    32,    35,    47,    53,    54,    60,    66,    68,
      76,    83,    87,    88,    89,    91,    92,    93,   103,   105,
     111,   115,   116,   122,   126,   129,   139,   141,   145,   147,
     150,   155,   158,   160,   170,   177,   187,   189,   202,   208,
     212,   213,   232,   237,   244,   246,   247,   251,   252,   265,
     273,   286,   297,   312,   318,   327,   339,   342,   349,   352,
     353,   358,   366,   367,   373,   374,   382,   388,   389,   391,
     392,   419,   960,   971,   972,   973,   974,   975,   945,    79,
     295,   652,   427,   430,   779,   427,   430,   824,   956,    31,
     782,   820,   820,   833,   834,   894,   820,   142,   229,   844,
     280,   321,   372,    22,   839,   894,   840,   842,   894,   896,
     847,   848,   838,   837,   835,   836,   145,   850,   835,   847,
     863,   955,    31,   969,   319,   419,   926,   259,   290,   319,
     352,   352,   307,   960,   428,   352,   352,   307,   352,   352,
     344,   459,   763,   145,   155,   170,   299,   681,   682,    60,
      76,   130,   147,   273,   367,   525,   526,    76,   103,   232,
     352,    76,   352,   103,   232,   307,    76,   307,   571,    21,
      54,    67,    80,   118,   147,   152,   248,   307,   313,   316,
     342,   348,   361,   386,   563,   957,   134,   290,   319,   479,
     246,   554,   311,   203,   352,   352,   237,   554,   107,   190,
     307,   317,   354,   460,   296,   319,   708,   716,   170,   180,
     253,   320,   382,   427,   698,   701,   702,   703,   705,   870,
     970,   352,   373,   955,    68,   130,   516,   525,   969,    68,
     733,   246,   305,   356,    76,   733,    25,   293,   305,   356,
     955,   175,   242,   649,   426,   352,   352,   426,   485,   344,
     392,   393,   485,    76,   430,     4,   259,   374,   374,   231,
     870,   259,   319,   721,    97,   352,   439,   470,   352,   352,
     955,   554,    48,   553,   554,   554,    95,   218,   220,    48,
     352,   437,   307,   437,   230,   552,   352,   352,   237,   966,
     582,   861,    76,   352,   733,   307,   352,   352,   485,   485,
     649,   649,   649,   649,   955,    37,   379,    37,    37,   352,
      37,   352,   307,   430,    93,   373,   600,   967,   352,   439,
     955,   352,   307,   259,   290,   280,   291,   315,   464,   751,
     961,   969,   955,   624,   870,   246,   395,   697,   554,   649,
     649,   720,   191,   246,    74,   112,   260,   346,   246,   649,
     191,   392,   500,   437,     3,   626,   627,   620,   426,   872,
      31,    30,   871,    98,   163,   219,   222,   310,   407,   426,
     892,   893,   650,   875,   649,   621,   622,   971,    20,   758,
     870,   134,   568,   957,   232,   426,   595,   438,   634,   374,
     386,   438,   967,    83,   155,   457,   508,   548,   603,   664,
     684,   754,   966,   590,   591,   957,   214,   649,   649,   649,
     649,   242,   108,   183,   359,   372,   605,   606,   127,   279,
     426,   600,   438,   550,   551,   232,    31,   242,   426,   528,
     528,   145,   687,   961,   426,   699,    31,   197,   392,   393,
     816,   308,   963,   482,   870,   958,   165,   957,   963,   482,
     956,   957,   134,   482,   134,   374,   134,   374,   721,   482,
     482,   956,   957,   649,   957,   957,   957,   649,   956,   600,
     134,   134,   482,   648,   649,   427,   430,   955,   784,   786,
     814,   814,   814,   814,   814,   814,   529,   427,   430,   427,
     153,   314,   343,   956,   648,    96,   316,   673,   674,   956,
     241,   956,   954,   954,   956,   648,   352,   392,   677,    16,
     132,   303,   321,   804,   861,   236,   805,   427,   430,   791,
     795,   800,   806,   817,   352,   667,   666,   667,   150,   156,
     678,   969,    21,    68,    97,   118,   147,   152,   198,   301,
     307,   313,   342,   344,   361,   386,   563,   658,   923,   945,
     425,   923,   927,   928,   426,   388,   940,   941,   894,   923,
     426,   965,   965,   923,     3,    98,   163,   219,   222,   310,
     407,   929,   930,   966,   965,   923,   923,   965,   965,   887,
     887,   894,   721,   894,   931,   417,   418,   895,   896,   916,
     920,   933,   427,   923,   894,   923,   934,   350,   409,   965,
     965,   894,    47,   150,   202,   353,   894,   923,   937,   923,
     224,   896,   894,   901,   902,   903,   224,   894,   903,   427,
     430,   319,   965,   965,   892,   870,   894,   971,   350,    35,
     339,   948,   649,   894,   426,   818,   938,   115,   117,   139,
     232,   237,   242,   358,   368,   894,    42,   166,   170,   207,
     323,   426,   894,   352,   894,   894,   894,   894,   894,   894,
     894,   894,   894,   894,    22,    29,   327,   917,   303,   426,
     916,   154,   211,   342,   345,   347,   370,   827,   955,   953,
     150,   853,    22,   115,   382,   419,   427,   703,   894,   924,
     925,   970,   955,   354,   426,   966,   430,   427,   425,   431,
     164,   164,   482,   955,   776,   777,   955,   949,   427,   426,
     430,    32,   111,   374,   693,   426,   841,   968,   247,   242,
     851,   851,   430,   303,   304,   843,   848,   836,   374,   801,
     103,   426,   796,   817,   969,   426,   807,   808,   809,   810,
     811,   969,   427,   427,   352,   352,   307,   967,   957,   957,
     960,   967,   957,   957,   967,   958,   957,    75,   764,   301,
     373,   666,   307,   155,   666,   426,   957,   374,   688,   195,
     195,   374,   426,   544,   165,   957,   237,   967,   957,   957,
     894,   237,   957,   957,   957,   352,   572,   963,   426,   649,
     649,   649,    96,   342,   674,    62,   140,   721,   957,   649,
     957,   649,   309,   649,   649,   197,   159,   230,   259,   290,
     378,   575,   576,   577,   861,   352,   733,   307,   237,   107,
     190,   967,   957,   246,   957,   253,   970,   427,   430,   703,
     705,   702,   705,   970,   650,   967,   956,   290,   479,   516,
     870,   969,   957,   957,    22,   373,   957,   165,   957,   165,
     969,   305,   356,   305,   356,   957,    22,   373,   957,   955,
      18,   120,   319,   583,   584,   585,   586,   971,   967,   957,
     487,   488,   971,   957,   245,    64,   245,   957,   480,   352,
     959,   969,   959,   430,   427,   430,   352,   307,   958,   967,
       3,    75,   125,   175,   264,   365,   373,   376,   440,   967,
     957,   290,   319,   479,   551,   554,   649,   957,   554,   957,
     554,   967,   957,   290,   319,   479,   957,   957,   957,   957,
     967,   957,    18,    24,   120,   259,   290,   319,   259,   290,
     319,   620,   290,   319,   290,   319,   290,   869,   969,   966,
     969,   165,   969,   967,   957,   957,   957,    18,   491,   316,
     967,   290,   319,   479,   957,   957,   352,   352,    72,   364,
     280,   191,    31,   649,   191,   191,   374,   374,   191,   237,
     655,   966,   649,   649,   649,   649,   649,   649,   191,   655,
     245,   150,   352,   494,   426,   496,   497,   413,   427,   430,
     894,    30,   871,   870,   424,   424,   352,   352,   352,   426,
     352,   965,   875,   427,   430,   413,   605,    75,   124,   200,
     201,   214,   259,   344,   346,   759,   518,   957,   150,   307,
     385,   569,   576,   577,   134,   427,   516,   596,   597,   316,
      19,   170,   301,   340,   440,   441,   145,   959,   955,   456,
     251,   509,   147,   966,   620,   620,   620,   620,   242,   246,
     251,   426,   620,   867,   868,   869,   316,   134,   133,   817,
     649,   207,   510,   512,   514,   516,   522,   525,   969,   392,
     393,   540,   392,   486,   966,   246,   427,   700,   701,   706,
      31,   197,   298,   391,   707,   708,   709,   246,   468,   162,
     162,   145,   624,    31,   134,   482,   697,   648,   649,   959,
     649,   959,   720,   246,   482,   482,   246,   482,   316,   145,
     468,   482,   894,   427,   530,   170,   170,   170,   395,   956,
     430,   554,   555,   158,   670,   671,   967,    19,   678,   132,
     321,   132,   321,   303,   372,   221,   870,   957,   150,   246,
     670,    48,   482,   963,   342,   963,   241,   197,   649,   427,
     425,   425,   430,   923,   894,   122,   941,   942,    31,   427,
     894,   427,   427,   427,   427,   150,   427,   427,   427,   427,
     427,   430,   427,   265,   932,   427,   895,   895,    11,   170,
     191,   248,   413,   414,   415,   417,   418,   419,   420,   421,
     422,   920,   895,   427,   427,   145,   150,   935,   936,   427,
     409,   427,   427,    31,   937,   923,   937,   937,   150,   427,
     427,   971,   263,   905,    31,   427,   430,   894,   971,   430,
     894,   947,   894,   969,   427,   427,   409,   895,   895,   128,
     923,   150,   115,   117,   139,   237,   242,   358,   368,   426,
     128,   339,   948,   894,   938,   894,   352,   721,   894,   426,
     818,   345,   347,   345,   347,   955,   828,   828,   828,   426,
     818,   854,   855,   856,   861,   864,   897,   963,   969,   389,
     865,   924,   924,   925,   427,   255,   909,    13,   427,   430,
     832,   752,   965,   892,   463,   894,   782,   791,   834,   248,
     918,   921,   410,   411,   694,   894,   843,   954,   805,   805,
     840,   854,   389,   866,   380,   797,   798,   969,   297,   799,
     811,   812,   430,   853,   413,   947,   967,   957,   957,   208,
     956,   956,   246,   956,   249,   246,   894,   526,   959,   426,
     426,   426,   544,   173,   529,   614,   134,   482,   352,   468,
     624,   870,   395,   649,   649,   649,   720,    74,   112,   260,
     346,   957,   558,   957,   159,   378,   352,   352,   558,   575,
     582,   290,   319,   479,   957,   957,   957,   181,   237,   650,
     701,   705,   705,   421,   352,   250,   580,   120,   294,   319,
     481,   582,   734,   134,   482,   134,   482,   957,   957,   957,
     957,   585,   586,   585,   427,   430,   587,   966,   427,   430,
     413,   428,   967,   259,   290,   319,    18,   120,   259,   290,
     319,   870,   231,   870,   967,   957,   208,   264,   237,   966,
     264,   956,   371,   352,   307,   352,   733,   307,   352,   352,
     216,   216,   216,   352,   352,   307,   352,   352,   307,   352,
     307,   352,   307,   352,   482,   870,    20,    40,   319,   734,
     134,   482,   352,   957,   352,   307,   967,   957,   655,   870,
     191,   655,   655,   959,   959,   655,   191,   191,   191,   191,
     191,   191,   655,   495,   503,   504,   971,    44,    85,   109,
     124,   128,   146,   161,   237,   245,   278,   498,   248,   417,
     418,   554,   623,   705,   921,   966,   975,     3,   627,   427,
     424,   427,   965,   425,   965,   163,   219,   893,   219,   893,
     893,   965,   222,   427,   622,   623,   246,   208,   413,   760,
     760,   760,   760,   760,   760,   760,    60,    66,    76,   103,
     105,   177,   232,   237,   273,   286,   367,   519,   520,   521,
     437,   468,   957,   468,   580,   955,   427,   430,   957,   956,
     158,   301,   956,   965,   361,   528,   292,   342,    96,   529,
     955,   606,   628,   629,   966,   427,   430,   957,   955,   957,
     392,   547,   426,   511,   955,   427,   430,   245,   485,   245,
     246,   541,   485,    31,   352,   955,   427,   430,   103,   413,
     710,   966,   468,   342,   704,   705,   392,   709,   711,   108,
     183,   312,   372,   742,   159,   817,   482,   870,   957,   482,
     482,   374,   482,   374,   482,   482,   649,   649,   957,   600,
     482,   307,   307,   307,   956,   674,   430,   967,   392,   430,
     672,   249,   132,   132,   956,   669,   482,   967,   624,   697,
     554,   649,   191,   927,   427,   349,   894,   126,   870,   427,
     894,   894,   894,   935,   870,   895,   115,   117,   232,   242,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     894,   894,   936,   935,   891,   891,   870,   427,   427,   427,
     923,   427,   430,    48,   896,   427,   971,   902,   270,   337,
     904,   427,   430,   385,   898,    31,   427,   888,   966,   894,
      28,    28,   894,   427,   894,   150,   426,   926,   894,   895,
     895,   128,   128,   894,   427,   128,   894,   828,   828,   828,
     828,   955,   955,   955,   818,   855,   856,    31,   857,   969,
     430,    84,   151,   179,   194,   205,   227,   300,   858,   857,
      31,   857,   969,   426,   946,   894,   158,   845,   430,   831,
     832,   831,   427,   909,   426,   910,   969,   894,   909,   966,
     382,   925,   427,   427,   425,   427,   426,   694,   427,   247,
      86,   894,   799,   427,   430,   947,   952,   427,   430,   808,
     866,   949,   760,   153,   314,   343,   362,   683,   145,   683,
     427,   426,   532,   533,   690,   897,   969,   529,   529,   614,
     961,   427,   105,   177,   230,   232,   615,   957,   957,    31,
     957,   374,   374,   649,   649,   649,   649,   650,   967,   957,
     352,   733,   307,   352,   181,   421,   361,   957,   426,   518,
     232,   485,    96,   232,   332,   335,   485,   361,   957,   969,
     584,   488,   623,   971,   352,   352,   307,   152,   248,   335,
     632,   633,   152,   248,   640,   641,   352,   352,   307,   427,
     427,   427,   968,   966,   966,   966,   957,   957,   957,   957,
     957,   957,   957,   145,   145,   292,   145,   165,   967,   957,
     957,   967,   957,   957,   957,   957,   957,   957,   957,    66,
     483,   966,   966,   361,   969,   957,   582,   957,   957,   427,
     655,   191,   191,   655,   655,   655,   655,   655,   655,   374,
     501,   502,   427,   430,   419,   426,   465,   505,   554,   768,
     966,   768,   232,   278,   768,   768,   614,   965,   392,   393,
     425,   425,   427,   892,   955,   760,   103,   965,   966,   103,
     966,   103,   966,   103,   966,   103,   957,   103,   957,   103,
     957,   426,   649,   957,   895,   106,   167,   105,   237,   195,
     955,   711,   568,   595,   597,   580,   956,   956,   870,   486,
     955,   395,   145,   607,   427,   430,   869,   580,   242,   426,
     793,    96,   230,   513,   515,   517,   525,   969,   540,   523,
     176,   539,   514,    71,   344,   542,   817,   966,   688,   706,
     894,   894,   430,   426,   707,   620,   352,   558,   427,   482,
     959,   959,   482,   482,   316,   956,   956,   956,   554,   155,
     671,   678,   150,   191,   191,   191,   191,   237,   659,   966,
     894,   427,   427,   936,   150,   115,   117,   242,   426,   427,
     398,   900,   923,   285,    48,   390,   390,   427,   894,   230,
     894,   430,   899,   872,   892,   895,   895,   894,   926,   427,
      28,    28,   894,   894,   128,   894,   427,   955,   955,   955,
     955,   427,   969,   426,   855,   194,   254,   859,   855,   859,
     194,   858,   859,   194,   426,   969,   426,   924,    48,   160,
     846,   427,   427,   909,   911,   969,   925,   909,   966,   721,
     242,   817,   798,   413,   811,   799,   968,   352,   666,   150,
     614,   894,   427,   430,   392,    66,   691,   691,   427,   427,
     711,   106,   167,   175,   105,   376,   482,   870,   959,   959,
     957,   957,   957,   957,   361,   581,   585,   237,   237,   968,
     969,   870,   482,   482,   413,   967,   957,   957,   965,   965,
     870,   430,   965,   965,   430,   967,   957,   957,   352,   956,
     956,   649,   956,   134,   649,   870,   482,   482,   191,   655,
     655,   437,   110,   504,   465,   506,   507,   966,   966,   237,
     419,   529,   966,   966,   425,   152,   180,   152,   150,   613,
     968,   894,   232,   520,   711,   528,   374,   543,   316,   374,
      31,   426,   957,   121,   608,   388,   610,   966,   649,   510,
     547,    96,   427,   430,   392,   541,   131,   171,   426,   540,
     108,   120,   270,   957,   392,   755,   150,   426,   966,   703,
     712,   713,   970,   711,   955,   178,   559,   482,   482,   482,
     957,   249,   482,   670,   659,   659,   659,   659,   895,   150,
     426,   926,   426,   427,   430,   427,   896,   285,   427,   379,
     329,   427,   427,   427,   895,   895,   894,   857,   426,   956,
     855,   246,   374,   860,   855,   194,   855,   868,   426,   868,
     969,   427,   923,   894,   391,   906,   909,   909,   262,   912,
     427,   892,   427,   814,   951,   670,   246,   670,   427,   711,
     533,   248,   721,   649,   374,   649,   692,   692,   286,   711,
     543,   427,   352,   427,   430,   483,   623,   426,   963,   721,
     633,   426,   426,   641,   957,   392,   292,   392,   392,   145,
     483,   655,   496,   966,   427,   430,   529,   674,    31,   726,
     726,   955,   614,   427,   543,   217,   531,   173,   957,   959,
     817,   580,   303,   331,   609,   426,   133,   511,   427,   515,
     250,   542,    22,    70,    77,   104,   174,   335,   524,   524,
     954,   541,   304,   304,    52,    60,   211,   649,   689,   690,
     705,   427,   430,   865,   558,   230,   378,   560,   561,   482,
     895,   926,   427,   901,   923,    48,   230,   408,   956,   427,
     894,   426,   855,   860,   427,   868,   427,   907,   908,   969,
      48,   831,   909,   672,   683,   482,   691,   543,   426,   649,
     693,   693,   955,   543,   614,   957,   585,   374,   484,   926,
     697,   145,   636,   720,   926,   926,   648,   649,   648,   649,
     956,   482,   507,   726,    34,   169,   145,   230,   527,   151,
     261,   324,   246,   535,   536,   537,   344,   580,   140,   635,
     755,   894,   277,   540,   539,   518,   427,   542,    60,   249,
      60,   427,   430,   707,   712,   116,   378,   558,   427,   427,
     427,   285,   379,   427,   956,   427,   430,    31,   923,   279,
     304,   913,   150,   692,   389,   534,   721,   694,   694,   528,
     614,   894,   427,   252,   309,   283,   637,   636,   427,   427,
     392,   121,   175,   108,   372,   246,   537,   246,   536,   957,
     649,    31,   427,   963,   541,   540,   249,   249,   486,   690,
     711,    23,   184,   743,   427,   908,   910,    42,    86,   363,
     894,   914,   915,   914,   427,   670,   693,   426,   614,   427,
     531,   963,    48,   637,   649,   303,    51,   230,   296,   319,
     538,   538,   632,   426,   542,   541,   542,   233,   426,   738,
     740,   745,   795,   800,   806,   817,   915,   303,   144,   268,
     144,   268,   482,   694,   894,   535,   697,   649,   610,    17,
     103,   237,     4,   611,   612,   965,   966,   971,   542,   865,
     739,   740,   741,   818,   819,    28,   427,   614,   133,   427,
     430,   427,   429,   915,   277,   612,   741,   963,   426,   611,
     427
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */





/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 655 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			;}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 662 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 669 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 789 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 800 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 810 "gram.y"
    {;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 811 "gram.y"
    {;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 820 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 821 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 825 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 826 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 831 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 836 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 840 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 845 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 850 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 854 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 858 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 863 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 867 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 920 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); ;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 923 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 927 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 931 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 935 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 939 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 953 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 971 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 981 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 982 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 987 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1005 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1017 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1038 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1045 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1064 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1071 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1088 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1106 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1116 "gram.y"
    { (yyval.ival) = +1; ;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1117 "gram.y"
    { (yyval.ival) = -1; ;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1130 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1137 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1154 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1166 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1177 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1178 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1182 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1183 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1211 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 1217 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1223 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1232 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1240 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1252 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1260 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1268 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1275 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1282 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1290 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 1301 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1309 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1317 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1328 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1336 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1344 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 1351 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 1360 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 1369 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 1371 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 1377 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 1378 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 1382 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); ;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 1384 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 1387 "gram.y"
    { (yyval.str) = "read uncommitted"; ;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 1388 "gram.y"
    { (yyval.str) = "read committed"; ;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 1389 "gram.y"
    { (yyval.str) = "repeatable read"; ;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 1390 "gram.y"
    { (yyval.str) = "serializable"; ;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 1394 "gram.y"
    { (yyval.str) = "true"; ;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 1395 "gram.y"
    { (yyval.str) = "false"; ;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 1396 "gram.y"
    { (yyval.str) = "on"; ;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 1402 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 1415 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 1419 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 1423 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 1438 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 1460 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); ;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 1461 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 1462 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 1466 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 1467 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 1468 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 1472 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 1473 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 1478 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 1485 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 1492 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 1499 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 1506 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 1515 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 1516 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 1521 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); ;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 1522 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 1528 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 1534 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 1540 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 1546 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 1552 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 1562 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 1571 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 1572 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 1576 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 1577 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 1586 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 1601 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 1607 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 1613 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 1619 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 1637 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 1646 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 1655 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 1664 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 1673 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 1682 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 1691 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 1700 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 1711 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 1712 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 1718 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 1726 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 1734 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 1743 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 1751 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 1759 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 1768 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 1777 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 1786 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 1795 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 1805 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 1818 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 1832 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 1841 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 1849 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 1857 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 1867 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 1877 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 1884 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 1891 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 1899 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 1907 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 1915 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 1923 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 1931 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 1938 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 1945 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 1953 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 1960 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 1967 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 1975 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 1983 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 1991 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 1999 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2007 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2015 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2025 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2032 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2040 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2048 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2056 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2063 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2072 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); ;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2073 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2077 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; ;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2078 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; ;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2079 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ ;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2084 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2091 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2095 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2096 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2100 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2103 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2104 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2108 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2109 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2115 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2119 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2123 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2128 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2143 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2155 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2156 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2162 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2171 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2181 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2191 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2216 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2222 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2250 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2271 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2284 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2285 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2294 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2295 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2296 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2299 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2300 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2305 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2306 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2311 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2315 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2319 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2323 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2327 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2331 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2335 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2339 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2343 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2347 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2351 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2355 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2364 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2367 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2372 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2375 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2380 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2383 "gram.y"
    { (yyval.defelt) = NULL; ;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2387 "gram.y"
    {;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2388 "gram.y"
    {;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2394 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2398 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2405 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2411 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2412 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2413 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); ;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2414 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); ;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 2415 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2420 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2424 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2431 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2444 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2460 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2475 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2491 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2518 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2519 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 2520 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 2521 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; ;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 2523 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 2530 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2536 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; ;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2537 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; ;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2541 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2542 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2546 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2547 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2552 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2556 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 2563 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 2567 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 2573 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 2574 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 2575 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2579 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 2580 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 2584 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = (yyvsp[(2) - (4)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[(3) - (4)].list);
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2604 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2623 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2624 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2629 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2636 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2637 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2639 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2670 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2677 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2684 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2695 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2706 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->is_no_inherit = (yyvsp[(5) - (5)].boolean);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2716 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2725 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2758 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2765 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 2772 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 2779 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 2790 "gram.y"
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 2799 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 2800 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); ;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 2801 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 2805 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; ;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 2806 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; ;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 2807 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; ;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 2808 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; ;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 2809 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; ;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 2810 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; ;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 2820 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 2827 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 2832 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 2846 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 2860 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 2875 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 2889 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 2905 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 2922 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 2941 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 2942 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 2946 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 2947 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 2951 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 2952 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 2956 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 2962 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 2966 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 2974 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 2978 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 2984 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 2986 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 2990 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 2995 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3001 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3002 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3013 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3015 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3017 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); ;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3019 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); ;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3021 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); ;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3024 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3027 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); ;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3031 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; ;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3032 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; ;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3033 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; ;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3034 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3035 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; ;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3038 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3039 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3044 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3045 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); ;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3046 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); ;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3047 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3050 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; ;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3051 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; ;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3052 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; ;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3053 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3056 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3057 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3060 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3061 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3064 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3080 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(6) - (7)].node);
					ctas->into = (yyvsp[(4) - (7)].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					(yyvsp[(4) - (7)].into)->skipData = !((yyvsp[(7) - (7)].boolean));
					(yyval.node) = (Node *) ctas;
				;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3094 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
					(yyval.into)->skipData = false;		/* might get changed later */
				;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3106 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3107 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3108 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3122 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3134 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3142 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(5) - (6)].range);
					n->options = (yyvsp[(6) - (6)].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3152 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3153 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3156 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3157 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3161 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3165 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3169 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3173 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3177 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3181 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3185 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3189 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3193 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3197 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3201 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3205 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3210 "gram.y"
    {;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3211 "gram.y"
    {;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3215 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); ;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3217 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3221 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); ;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3224 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3225 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3238 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3251 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3264 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3265 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3273 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3274 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3278 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3279 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3283 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3284 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3288 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3289 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3294 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(4) - (5)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3305 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3317 "gram.y"
    {;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3318 "gram.y"
    {;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3329 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3338 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3339 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3353 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3360 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3377 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3385 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3396 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3398 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3403 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3407 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3411 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3423 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3433 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3435 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3440 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3453 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3463 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3473 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3482 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3491 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3500 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3510 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3519 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3529 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3539 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3549 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3558 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3567 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 3576 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3585 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3594 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 3603 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3612 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3621 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3630 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 3639 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3648 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3666 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3676 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3677 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); ;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 3678 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); ;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3679 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); ;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3683 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3684 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3688 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3689 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3700 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3711 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(7) - (8)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3731 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3739 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3750 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3751 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 3756 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3760 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 3767 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 3772 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 3776 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 3783 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3787 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 3792 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3797 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 3804 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3810 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 3815 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 3827 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 3839 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 3840 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 3845 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 3846 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 3850 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 3851 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 3862 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(3) - (4)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 3873 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 3893 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 3902 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 3910 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 3929 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (8)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (8)].range);
					n->base.tableElts = (yyvsp[(5) - (8)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 3944 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (11)].range);
					n->base.tableElts = (yyvsp[(8) - (11)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 3959 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 3960 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 3965 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 3969 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 3975 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 3987 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 3996 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4014 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4025 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4026 "gram.y"
    { (yyval.str) = "current_user"; ;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4027 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); ;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4038 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4046 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4063 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4084 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4105 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4126 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; ;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4127 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; ;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4128 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; ;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4133 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4135 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4157 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); ;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4159 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); ;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4161 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); ;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4163 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4165 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); ;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4170 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4174 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4184 "gram.y"
    {;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4185 "gram.y"
    {;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4189 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4190 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4194 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); ;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4195 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4199 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); ;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4200 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); ;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4201 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4206 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4211 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4212 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4213 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4217 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); ;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4218 "gram.y"
    { (yyval.range) = NULL; ;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4223 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4225 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4251 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; ;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4252 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; ;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4253 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; ;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4254 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; ;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4255 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; ;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4256 "gram.y"
    { (yyval.ival) = CAS_NO_INHERIT; ;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4262 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4273 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4297 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4316 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4339 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4349 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4360 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4370 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4380 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4391 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4400 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4407 "gram.y"
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[(3) - (6)].list);
					n->params	= (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4414 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4423 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4432 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4441 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4450 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4459 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4469 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4472 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4473 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4477 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4481 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4487 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); ;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4488 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); ;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4489 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); ;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4490 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); ;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4491 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4494 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4495 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4498 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4501 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4502 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4511 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4517 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4518 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4522 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4524 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4535 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (6)].list);
				n->newVal = (yyvsp[(6) - (6)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4544 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (8)].list);
				n->newVal = (yyvsp[(6) - (8)].str);
				n->newValNeighbor = (yyvsp[(8) - (8)].str);
				n->newValIsAfter = false;
				(yyval.node) = (Node *) n;
			;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4553 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (8)].list);
				n->newVal = (yyvsp[(6) - (8)].str);
				n->newValNeighbor = (yyvsp[(8) - (8)].str);
				n->newValIsAfter = true;
				(yyval.node) = (Node *) n;
			;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4578 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4591 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4592 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4597 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4608 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4618 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4627 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4637 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4645 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4646 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4649 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4650 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4653 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4654 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); ;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4655 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4659 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4672 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4678 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4688 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4697 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4708 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4709 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4714 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4722 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4734 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4745 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4759 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4770 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4793 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4803 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4821 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4832 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4843 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(4) - (5)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4854 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(6) - (7)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4867 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4868 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4869 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4870 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4871 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4872 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 4873 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4874 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4875 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4876 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4877 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 4878 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; ;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4879 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; ;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 4880 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; ;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4881 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; ;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4885 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); ;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4886 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 4889 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 4890 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); ;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4894 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); ;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 4896 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 4909 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4919 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 4920 "gram.y"
    { (yyval.boolean) = true; ;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 4921 "gram.y"
    { (yyval.boolean) = false; ;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 4948 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 4957 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 4966 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 4975 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 4984 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 4993 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5002 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5012 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5021 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5030 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5039 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5048 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5057 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5066 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5074 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5082 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5090 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5100 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5101 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5102 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5103 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5104 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5105 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5106 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; ;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5107 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5108 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5109 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; ;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5110 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; ;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5111 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5112 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; ;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5113 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5114 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5115 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; ;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5116 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; ;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5120 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5121 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5137 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5148 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5159 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5170 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5181 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5192 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5193 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5197 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; ;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5198 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; ;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5199 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; ;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5200 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; ;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5201 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; ;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5202 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5203 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5204 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; ;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5205 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; ;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5206 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; ;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5207 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; ;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5210 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5211 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5222 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5228 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5236 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5244 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5252 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5260 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5268 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5276 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5284 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5292 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5300 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5308 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5316 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5324 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5332 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5340 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5348 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5356 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5365 "gram.y"
    {;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5366 "gram.y"
    {;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5369 "gram.y"
    {;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5370 "gram.y"
    {;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5382 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5398 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5412 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5437 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5439 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5441 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5443 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5450 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5458 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); ;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5459 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); ;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5463 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5470 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5477 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5484 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5498 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5506 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5514 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5522 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5530 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5538 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5546 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5554 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5562 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5570 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5578 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5586 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5594 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5602 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5610 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5618 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5629 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5630 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5634 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5644 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5657 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5658 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5662 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); ;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5664 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); ;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5669 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5685 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5698 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5708 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5719 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5720 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5723 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5724 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5735 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5744 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5745 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5750 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5754 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5758 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5770 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5783 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5797 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5812 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; ;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5813 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; ;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5814 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; ;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5815 "gram.y"
    { (yyval.ival) = ACL_OBJECT_TYPE; ;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5830 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5854 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5855 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5859 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5860 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5864 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5865 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5869 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5870 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; ;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5873 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5874 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); ;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5883 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5894 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5905 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5917 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5918 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5921 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5922 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5923 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5926 "gram.y"
    { (yyval.ival) = SORTBY_ASC; ;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5927 "gram.y"
    { (yyval.ival) = SORTBY_DESC; ;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5928 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; ;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5931 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; ;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5932 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; ;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5933 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; ;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5951 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5963 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5976 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5989 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5990 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5993 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5994 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5998 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 5999 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6007 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6008 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6012 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); ;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6014 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); ;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6029 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6038 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6047 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6056 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6065 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6076 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; ;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6077 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; ;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6078 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6079 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; ;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6080 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; ;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6091 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6105 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6107 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6113 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6123 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6127 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6132 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6141 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6142 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6150 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6154 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6158 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6162 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6166 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6170 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6174 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6178 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6182 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6186 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6190 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6194 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6198 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6202 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6206 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6214 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6218 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6222 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6226 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6231 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6233 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6239 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6240 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6244 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6256 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6260 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6275 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6285 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6286 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6308 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6319 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6333 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6344 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6358 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6369 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6383 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6391 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6393 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); ;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6395 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); ;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6400 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6402 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); ;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6415 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6423 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6424 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6429 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6433 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6446 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6457 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6468 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6479 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; ;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6480 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; ;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6481 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; ;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6486 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[(5) - (9)].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[(7) - (9)].typnam)));
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6498 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6499 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6514 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6522 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6532 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6544 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; ;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6545 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; ;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6548 "gram.y"
    {  (yyval.boolean) = TRUE; ;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6549 "gram.y"
    {  (yyval.boolean) = FALSE; ;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6560 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6570 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6579 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6588 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6597 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6606 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (8)].list);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6616 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->subname = (yyvsp[(5) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6625 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6635 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6644 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6653 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6663 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6673 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6682 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6691 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6701 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6711 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6721 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6731 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6741 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6751 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6761 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6771 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6781 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6791 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6802 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6813 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6823 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6834 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6845 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6855 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6864 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6873 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6882 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6891 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6900 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6909 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6918 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6927 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6936 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6945 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6958 "gram.y"
    { (yyval.ival) = COLUMN; ;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6959 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6962 "gram.y"
    { (yyval.ival) = 1; ;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6963 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6974 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6984 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6993 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 7002 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 7011 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 7020 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 7030 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 7040 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 7050 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 7060 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 7069 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 7078 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 7087 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 7096 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 7105 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 7114 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 7123 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 7132 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 7141 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 7150 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 7159 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 7168 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 7185 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 7194 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 7202 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 7210 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 7218 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 7226 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 7235 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 7243 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 7251 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 7260 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 7269 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 7278 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 7286 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 7294 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 7302 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 7310 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 7318 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 7326 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 7345 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 7359 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 7360 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 7361 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 7367 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 7373 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 7389 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 7390 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7393 "gram.y"
    { (yyval.ival) = CMD_SELECT; ;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7394 "gram.y"
    { (yyval.ival) = CMD_UPDATE; ;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7395 "gram.y"
    { (yyval.ival) = CMD_DELETE; ;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7396 "gram.y"
    { (yyval.ival) = CMD_INSERT; ;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7400 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7401 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7402 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7408 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7419 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7441 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7450 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7451 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7455 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7464 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7470 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7489 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7496 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7503 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7510 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7517 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7524 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7531 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7539 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7547 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7555 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7563 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7571 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7578 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7585 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7593 "gram.y"
    {;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7594 "gram.y"
    {;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7595 "gram.y"
    {;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7600 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); ;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7603 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7606 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7609 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); ;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7612 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); ;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7619 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); ;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7621 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); ;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7623 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7629 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7643 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (9)].range);
					n->view->relpersistence = (yyvsp[(2) - (9)].ival);
					n->aliases = (yyvsp[(5) - (9)].list);
					n->query = (yyvsp[(8) - (9)].node);
					n->replace = false;
					n->options = (yyvsp[(6) - (9)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7655 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (11)].range);
					n->view->relpersistence = (yyvsp[(4) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = (yyvsp[(10) - (11)].node);
					n->replace = true;
					n->options = (yyvsp[(8) - (11)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7669 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7675 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7681 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7686 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7697 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7713 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7722 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7723 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7728 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7732 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7736 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7740 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7744 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7748 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7752 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7756 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7760 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7764 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7768 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7772 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7776 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7780 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7784 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7788 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7797 "gram.y"
    {;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7798 "gram.y"
    {;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7810 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7817 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 ;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7828 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7838 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); ;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7839 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7844 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7858 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7865 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7882 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7895 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7904 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7912 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7920 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7929 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7940 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (9)].list);
					n->name = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7951 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[(3) - (6)].list);
					n->name = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7960 "gram.y"
    {;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7961 "gram.y"
    {;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7973 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7983 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7993 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 8003 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 8013 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 8023 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 8031 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 8053 "gram.y"
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[(4) - (10)].list);
				n->for_encoding_name = (yyvsp[(6) - (10)].str);
				n->to_encoding_name = (yyvsp[(8) - (10)].str);
				n->func_name = (yyvsp[(10) - (10)].list);
				n->def = (yyvsp[(2) - (10)].boolean);
				(yyval.node) = (Node *)n;
			;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 8075 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->indexname = (yyvsp[(4) - (4)].str);
					n->verbose = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 8083 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 8092 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(5) - (5)].range);
					n->indexname = (yyvsp[(3) - (5)].str);
					n->verbose = (yyvsp[(2) - (5)].boolean);
					(yyval.node) = (Node*)n;
				;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 8102 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 8103 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 8116 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 8130 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 8144 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 8156 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 8168 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 8184 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 8185 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); ;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 8189 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; ;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 8190 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; ;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 8191 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; ;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 8192 "gram.y"
    { (yyval.ival) = VACOPT_FULL; ;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 8197 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 8209 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 8223 "gram.y"
    {;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 8224 "gram.y"
    {;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 8228 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 8229 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 8232 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 8233 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 8236 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 8237 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 8241 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 8242 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 8256 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 8263 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 8273 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 8280 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 8300 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 8304 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 8311 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 8317 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 8318 "gram.y"
    { (yyval.str) = "analyze"; ;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 8319 "gram.y"
    { (yyval.str) = "verbose"; ;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 8323 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); ;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 8324 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); ;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 8325 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 8336 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 8345 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 8346 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 8364 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 8372 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (9)].str);
					n->params = (yyvsp[(8) - (9)].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[(4) - (9)].into);
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (9)].into)->rel->relpersistence = (yyvsp[(2) - (9)].ival);
					(yyvsp[(4) - (9)].into)->skipData = !((yyvsp[(9) - (9)].boolean));
					(yyval.node) = (Node *) ctas;
				;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 8387 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 8388 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 8399 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 8405 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 8411 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 8417 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 8433 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 8443 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 8449 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 8455 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 8464 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 8466 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 8471 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 8481 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 8482 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 8495 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 8507 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 8508 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 8520 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 8530 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); ;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 8531 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 8534 "gram.y"
    { (yyval.ival) = AccessShareLock; ;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 8535 "gram.y"
    { (yyval.ival) = RowShareLock; ;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 8536 "gram.y"
    { (yyval.ival) = RowExclusiveLock; ;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 8537 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; ;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 8538 "gram.y"
    { (yyval.ival) = ShareLock; ;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 8539 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; ;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 8540 "gram.y"
    { (yyval.ival) = ExclusiveLock; ;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 8541 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; ;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 8544 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 8545 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 8561 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 8574 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 8575 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); ;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 8579 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 8580 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8585 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8593 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8621 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8631 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8632 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); ;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8643 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8653 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8656 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8657 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; ;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8658 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; ;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8659 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; ;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8660 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; ;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8663 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8664 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; ;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8665 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8718 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8719 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8733 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8735 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8742 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8750 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8758 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8766 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8774 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8782 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8792 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8793 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8823 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8835 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8837 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8856 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8860 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8864 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8879 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8886 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8895 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8896 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8900 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8911 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); ;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8912 "gram.y"
    { (yyval.with) = NULL; ;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8917 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->skipData = false;
				;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8927 "gram.y"
    { (yyval.into) = NULL; ;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8936 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8941 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8946 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8951 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8956 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8964 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8972 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8977 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8982 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8988 "gram.y"
    {;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8989 "gram.y"
    {;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8992 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8993 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8994 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 9001 "gram.y"
    { (yyval.list) = list_make1(NIL); ;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 9002 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); ;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 9003 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 9004 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 9008 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 9009 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 9013 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 9017 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); ;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 9018 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); ;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 9022 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 9031 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 9043 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); ;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 9044 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 9045 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); ;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 9046 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); ;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 9050 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 9051 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); ;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 9056 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 9058 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 9068 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); ;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 9073 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 9076 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 9080 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 9082 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 9089 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 9099 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); ;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 9100 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); ;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 9101 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); ;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 9109 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 9113 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 9114 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 9117 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 9118 "gram.y"
    { (yyval.ival) = 0; ;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 9123 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 9124 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 9128 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 9129 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 9133 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 9134 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 9138 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 9139 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 9143 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 9144 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 9149 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 9157 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 9167 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 9168 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 9174 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 9180 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 9197 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 9198 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 9202 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 9203 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 9214 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 9218 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 9223 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 9230 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 9238 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 9245 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 9255 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 9265 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 9293 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 9300 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 9304 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 9330 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 9334 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 9346 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 9359 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 9373 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 9384 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 9399 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 9405 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 9410 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 9416 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 9422 "gram.y"
    { (yyval.jtype) = JOIN_FULL; ;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 9423 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; ;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 9424 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; ;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 9425 "gram.y"
    { (yyval.jtype) = JOIN_INNER; ;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 9429 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 9430 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 9442 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); ;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 9443 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 9449 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 9456 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 9463 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 9470 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 9480 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 9481 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 9495 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 9499 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 9506 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 9515 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 9520 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 9521 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 9526 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 9528 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 9535 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 9540 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 9541 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 9546 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 9550 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 9556 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 9585 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 9590 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 9597 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 9602 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 9608 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 9613 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 9622 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); ;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 9624 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); ;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 9626 "gram.y"
    {  (yyval.list) = NIL; ;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 9630 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 9631 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 9632 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 9633 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 9634 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 9636 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 9641 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9670 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9671 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9672 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9673 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); ;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9685 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9691 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9698 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9699 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9706 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9711 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9716 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9721 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9726 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9731 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9736 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9741 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9747 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9753 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9759 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9766 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9787 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9797 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9801 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9809 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9813 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9821 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9833 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9854 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9858 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9864 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9868 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9881 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9900 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9923 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9925 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9927 "gram.y"
    { (yyval.str) = "varchar"; ;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9929 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9931 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9933 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; ;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9937 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9938 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9942 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9943 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9951 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9960 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9968 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9977 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9988 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9995 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9996 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9997 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 10002 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 10004 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); ;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 10006 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); ;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 10008 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); ;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 10010 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); ;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 10012 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 10014 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 10019 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 10024 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 10030 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 10038 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 10043 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 10050 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 10056 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 10061 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 10065 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 10094 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 10096 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 10098 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 10106 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 10128 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 10130 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 10132 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 10134 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 10136 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 10138 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 10140 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 10142 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 10144 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 10146 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 10148 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 10151 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 10153 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 10155 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 10158 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 10160 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 10162 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 10165 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 10167 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 10180 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 10182 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 10195 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 10197 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 10210 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); ;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 10212 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 10226 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 10239 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 10252 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 10265 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 10288 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 10295 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 10302 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 10309 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 10316 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 10320 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 10327 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 10334 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 10341 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 10348 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 10355 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 10362 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 10366 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 10374 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 10378 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 10388 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 10395 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 10402 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 10415 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 10428 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 10447 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 10468 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 10478 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 10485 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 10501 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 10506 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 10524 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 10526 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); ;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 10528 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 10530 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 10532 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 10534 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 10536 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 10538 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 10540 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 10542 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 10544 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 10546 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 10548 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 10550 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); ;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 10552 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); ;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 10554 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); ;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 10556 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 10560 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 10565 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 10569 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 10573 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 10578 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 10594 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 10595 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 10597 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 10612 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 10624 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 10626 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 10628 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 10638 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 10648 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 10658 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 10666 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 10685 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 10698 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 10711 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 10724 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 10737 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 10750 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 10767 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 10780 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 10803 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("pg_collation_for");
					n->args = list_make1((yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 10816 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 10837 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 10847 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 10860 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 10877 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 10890 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 10900 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 10913 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 10923 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 10936 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 10949 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 10962 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 10975 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 10988 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 11001 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 11014 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); ;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 11016 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 11029 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 11047 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 11061 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 11077 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 11099 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 11115 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 11128 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 11141 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 11154 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 11158 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 11165 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 11173 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 11181 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 11185 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 11189 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 11193 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 11197 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 11201 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 11216 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 11220 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 11229 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 11233 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 11237 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 11242 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 11256 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 11258 "gram.y"
    { (yyval.node) = makeNullAConst(-1); ;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 11262 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); ;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 11264 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); ;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 11266 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); ;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 11268 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); ;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 11271 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 11274 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 11275 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 11279 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 11287 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 11296 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; ;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 11297 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; ;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 11300 "gram.y"
    { (yyval.boolean) = TRUE; ;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 11301 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 11302 "gram.y"
    { (yyval.boolean) = FALSE; ;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 11308 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 11312 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 11316 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 11320 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 11330 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 11331 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 11335 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); ;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 11337 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); ;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 11342 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 11350 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); ;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 11352 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 11365 "gram.y"
    { (yyval.windef) = NULL; ;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 11370 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 11395 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 11396 "gram.y"
    { (yyval.str) = NULL; ;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 11399 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); ;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 11400 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 11412 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 11430 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 11436 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 11446 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 11463 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 11508 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 11516 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 11524 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 11532 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 11540 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 11560 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 11561 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 11562 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); ;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 11565 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 11566 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; ;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 11567 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; ;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 11570 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 11571 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 11574 "gram.y"
    { (yyval.str) = "+"; ;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 11575 "gram.y"
    { (yyval.str) = "-"; ;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 11576 "gram.y"
    { (yyval.str) = "*"; ;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 11577 "gram.y"
    { (yyval.str) = "/"; ;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 11578 "gram.y"
    { (yyval.str) = "%"; ;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 11579 "gram.y"
    { (yyval.str) = "^"; ;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 11580 "gram.y"
    { (yyval.str) = "<"; ;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 11581 "gram.y"
    { (yyval.str) = ">"; ;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 11582 "gram.y"
    { (yyval.str) = "="; ;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 11586 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 11588 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 11593 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 11595 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 11600 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 11602 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); ;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 11604 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); ;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 11606 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); ;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 11608 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); ;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 11610 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); ;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 11622 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 11626 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 11633 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 11637 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 11643 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 11647 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 11657 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); ;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 11658 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); ;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 11662 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 11666 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 11670 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 11675 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 11676 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 11682 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 11685 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 11692 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 11693 "gram.y"
    { (yyval.str) = "year"; ;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 11694 "gram.y"
    { (yyval.str) = "month"; ;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 11695 "gram.y"
    { (yyval.str) = "day"; ;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 11696 "gram.y"
    { (yyval.str) = "hour"; ;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 11697 "gram.y"
    { (yyval.str) = "minute"; ;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 11698 "gram.y"
    { (yyval.str) = "second"; ;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 11699 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 11710 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 11714 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 11721 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 11727 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 11728 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 11745 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 11749 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 11754 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 11758 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 11773 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 11777 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 11781 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 11784 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 11787 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); ;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 11788 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); ;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 11789 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); ;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 11793 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 11799 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); ;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 11810 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 11823 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 11824 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 11829 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 11839 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); ;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 11840 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 11843 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); ;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 11844 "gram.y"
    { (yyval.node) = NULL; ;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 11848 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 11852 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 11859 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 11863 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 11867 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 11874 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 11883 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 11884 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 11888 "gram.y"
    { (yyval.list) = NIL; ;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 11889 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); ;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 11904 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); ;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 11906 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 11914 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); ;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 11915 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); ;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 11923 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); ;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 11934 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); ;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 11935 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); ;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 11939 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 11955 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 11963 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 11971 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 11992 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); ;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 11993 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); ;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 12005 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 12009 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 12036 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 12038 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); ;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 12042 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 12045 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 12048 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 12050 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 12052 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 12054 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 12065 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); ;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 12067 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 12078 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 12082 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 12086 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 12090 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 12094 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 12103 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 12110 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 12135 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 12139 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 12145 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 12162 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 12166 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 12170 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 12175 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 12176 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 12177 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 12179 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); ;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 12180 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 12181 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); ;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 12197 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 12198 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 12199 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 12204 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 12205 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 12206 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 12212 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 12213 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 12214 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 12215 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 12216 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); ;}
    break;



/* Line 1455 of yacc.c  */
#line 37682 "gram.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (&yylloc, yyscanner, yymsg);
	  }
	else
	  {
	    yyerror (&yylloc, yyscanner, YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc, yyscanner);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 12669 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

