
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (yyin)
				fclose(yyin);
			if (yyout)
				fclose(yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = (name[0] == ':' ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 189 of yacc.c  */
#line 637 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EXCEPT = 461,
     EXCLUDE = 462,
     EXCLUDING = 463,
     EXCLUSIVE = 464,
     EXECUTE = 465,
     EXISTS = 466,
     EXPLAIN = 467,
     EXTENSION = 468,
     EXTERNAL = 469,
     EXTRACT = 470,
     FALSE_P = 471,
     FAMILY = 472,
     FETCH = 473,
     FIRST_P = 474,
     FLOAT_P = 475,
     FOLLOWING = 476,
     FOR = 477,
     FORCE = 478,
     FOREIGN = 479,
     FORWARD = 480,
     FREEZE = 481,
     FROM = 482,
     FULL = 483,
     FUNCTION = 484,
     FUNCTIONS = 485,
     GLOBAL = 486,
     GRANT = 487,
     GRANTED = 488,
     GREATEST = 489,
     GROUP_P = 490,
     HANDLER = 491,
     HAVING = 492,
     HEADER_P = 493,
     HOLD = 494,
     HOUR_P = 495,
     IDENTITY_P = 496,
     IF_P = 497,
     ILIKE = 498,
     IMMEDIATE = 499,
     IMMUTABLE = 500,
     IMPLICIT_P = 501,
     IN_P = 502,
     INCLUDING = 503,
     INCREMENT = 504,
     INDEX = 505,
     INDEXES = 506,
     INHERIT = 507,
     INHERITS = 508,
     INITIALLY = 509,
     INLINE_P = 510,
     INNER_P = 511,
     INOUT = 512,
     INPUT_P = 513,
     INSENSITIVE = 514,
     INSERT = 515,
     INSTEAD = 516,
     INT_P = 517,
     INTEGER = 518,
     INTERSECT = 519,
     INTERVAL = 520,
     INTO = 521,
     INVOKER = 522,
     IS = 523,
     ISNULL = 524,
     ISOLATION = 525,
     JOIN = 526,
     KEY = 527,
     LABEL = 528,
     LANGUAGE = 529,
     LARGE_P = 530,
     LAST_P = 531,
     LC_COLLATE_P = 532,
     LC_CTYPE_P = 533,
     LEADING = 534,
     LEAKPROOF = 535,
     LEAST = 536,
     LEFT = 537,
     LEVEL = 538,
     LIKE = 539,
     LIMIT = 540,
     LISTEN = 541,
     LOAD = 542,
     LOCAL = 543,
     LOCALTIME = 544,
     LOCALTIMESTAMP = 545,
     LOCATION = 546,
     LOCK_P = 547,
     MAPPING = 548,
     MATCH = 549,
     MAXVALUE = 550,
     MINUTE_P = 551,
     MINVALUE = 552,
     MODE = 553,
     MONTH_P = 554,
     MOVE = 555,
     NAME_P = 556,
     NAMES = 557,
     NATIONAL = 558,
     NATURAL = 559,
     NCHAR = 560,
     NEXT = 561,
     NO = 562,
     NONE = 563,
     NOT = 564,
     NOTHING = 565,
     NOTIFY = 566,
     NOTNULL = 567,
     NOWAIT = 568,
     NULL_P = 569,
     NULLIF = 570,
     NULLS_P = 571,
     NUMERIC = 572,
     OBJECT_P = 573,
     OF = 574,
     OFF = 575,
     OFFSET = 576,
     OIDS = 577,
     ON = 578,
     ONLY = 579,
     OPERATOR = 580,
     OPTION = 581,
     OPTIONS = 582,
     OR = 583,
     ORDER = 584,
     OUT_P = 585,
     OUTER_P = 586,
     OVER = 587,
     OVERLAPS = 588,
     OVERLAY = 589,
     OWNED = 590,
     OWNER = 591,
     PARSER = 592,
     PARTIAL = 593,
     PARTITION = 594,
     PASSING = 595,
     PASSWORD = 596,
     PLACING = 597,
     PLANS = 598,
     POSITION = 599,
     PRECEDING = 600,
     PRECISION = 601,
     PRESERVE = 602,
     PREPARE = 603,
     PREPARED = 604,
     PRIMARY = 605,
     PRIOR = 606,
     PRIVILEGES = 607,
     PROCEDURAL = 608,
     PROCEDURE = 609,
     QUOTE = 610,
     RANGE = 611,
     READ = 612,
     REAL = 613,
     REASSIGN = 614,
     RECHECK = 615,
     RECURSIVE = 616,
     REF = 617,
     REFERENCES = 618,
     REINDEX = 619,
     RELATIVE_P = 620,
     RELEASE = 621,
     RENAME = 622,
     REPEATABLE = 623,
     REPLACE = 624,
     REPLICA = 625,
     RESET = 626,
     RESTART = 627,
     RESTRICT = 628,
     RETURNING = 629,
     RETURNS = 630,
     REVOKE = 631,
     RIGHT = 632,
     ROLE = 633,
     ROLLBACK = 634,
     ROW = 635,
     ROWS = 636,
     RULE = 637,
     SAVEPOINT = 638,
     SCHEMA = 639,
     SCROLL = 640,
     SEARCH = 641,
     SECOND_P = 642,
     SECURITY = 643,
     SELECT = 644,
     SEQUENCE = 645,
     SEQUENCES = 646,
     SERIALIZABLE = 647,
     SERVER = 648,
     SESSION = 649,
     SESSION_USER = 650,
     SET = 651,
     SETOF = 652,
     SHARE = 653,
     SHOW = 654,
     SIMILAR = 655,
     SIMPLE = 656,
     SMALLINT = 657,
     SNAPSHOT = 658,
     SOME = 659,
     STABLE = 660,
     STANDALONE_P = 661,
     START = 662,
     STATEMENT = 663,
     STATISTICS = 664,
     STDIN = 665,
     STDOUT = 666,
     STORAGE = 667,
     STRICT_P = 668,
     STRIP_P = 669,
     SUBSTRING = 670,
     SYMMETRIC = 671,
     SYSID = 672,
     SYSTEM_P = 673,
     TABLE = 674,
     TABLES = 675,
     TABLESPACE = 676,
     TEMP = 677,
     TEMPLATE = 678,
     TEMPORARY = 679,
     TEXT_P = 680,
     THEN = 681,
     TIME = 682,
     TIMESTAMP = 683,
     TO = 684,
     TRAILING = 685,
     TRANSACTION = 686,
     TREAT = 687,
     TRIGGER = 688,
     TRIM = 689,
     TRUE_P = 690,
     TRUNCATE = 691,
     TRUSTED = 692,
     TYPE_P = 693,
     TYPES_P = 694,
     UNBOUNDED = 695,
     UNCOMMITTED = 696,
     UNENCRYPTED = 697,
     UNION = 698,
     UNIQUE = 699,
     UNKNOWN = 700,
     UNLISTEN = 701,
     UNLOGGED = 702,
     UNTIL = 703,
     UPDATE = 704,
     USER = 705,
     USING = 706,
     VACUUM = 707,
     VALID = 708,
     VALIDATE = 709,
     VALIDATOR = 710,
     VALUE_P = 711,
     VALUES = 712,
     VARCHAR = 713,
     VARIADIC = 714,
     VARYING = 715,
     VERBOSE = 716,
     VERSION_P = 717,
     VIEW = 718,
     VOLATILE = 719,
     WHEN = 720,
     WHERE = 721,
     WHITESPACE_P = 722,
     WINDOW = 723,
     WITH = 724,
     WITHOUT = 725,
     WORK = 726,
     WRAPPER = 727,
     WRITE = 728,
     XML_P = 729,
     XMLATTRIBUTES = 730,
     XMLCONCAT = 731,
     XMLELEMENT = 732,
     XMLEXISTS = 733,
     XMLFOREST = 734,
     XMLPARSE = 735,
     XMLPI = 736,
     XMLROOT = 737,
     XMLSERIALIZE = 738,
     YEAR_P = 739,
     YES_P = 740,
     ZONE = 741,
     NULLS_FIRST = 742,
     NULLS_LAST = 743,
     WITH_TIME = 744,
     POSTFIXOP = 745,
     UMINUS = 746
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 564 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 214 of yacc.c  */
#line 1181 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 1206 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   103637

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  511
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  686
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2729
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4944

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   746

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   498,     2,     2,
     503,   504,   496,   494,   506,   495,   505,   497,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   508,   507,
     491,   490,   492,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   501,     2,   502,   499,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   509,     2,   510,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   493,   500
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   264,   270,   272,   273,   276,   277,   280,
     281,   284,   287,   291,   295,   297,   301,   305,   308,   310,
     312,   315,   318,   321,   325,   329,   335,   341,   342,   346,
     352,   358,   363,   367,   373,   377,   383,   389,   396,   398,
     400,   404,   410,   417,   422,   424,   425,   428,   429,   431,
     433,   435,   437,   439,   441,   444,   448,   452,   455,   461,
     463,   467,   471,   475,   479,   483,   487,   490,   493,   496,
     499,   503,   507,   511,   515,   517,   521,   523,   527,   529,
     531,   534,   537,   540,   542,   544,   546,   548,   550,   552,
     554,   558,   565,   567,   569,   571,   573,   575,   576,   578,
     580,   583,   587,   592,   596,   599,   602,   604,   607,   609,
     613,   618,   624,   629,   632,   637,   639,   641,   643,   645,
     647,   650,   653,   656,   659,   664,   671,   676,   683,   688,
     695,   700,   707,   709,   713,   716,   720,   725,   732,   739,
     746,   752,   758,   765,   772,   777,   786,   791,   794,   798,
     805,   810,   814,   818,   822,   826,   830,   835,   840,   844,
     848,   852,   856,   860,   864,   869,   874,   878,   881,   885,
     888,   891,   895,   899,   902,   905,   907,   911,   914,   916,
     918,   919,   922,   923,   926,   927,   931,   934,   935,   937,
     941,   945,   947,   953,   957,   962,   964,   968,   973,   980,
     985,   994,   997,  1000,  1011,  1018,  1020,  1022,  1024,  1026,
    1028,  1030,  1034,  1037,  1038,  1040,  1042,  1046,  1050,  1052,
    1054,  1058,  1062,  1066,  1070,  1075,  1078,  1080,  1081,  1084,
    1085,  1089,  1090,  1092,  1093,  1095,  1099,  1102,  1104,  1106,
    1108,  1112,  1113,  1115,  1119,  1121,  1133,  1148,  1159,  1173,
    1175,  1177,  1180,  1183,  1186,  1189,  1191,  1192,  1194,  1195,
    1199,  1200,  1202,  1206,  1208,  1212,  1214,  1216,  1218,  1220,
    1222,  1227,  1232,  1235,  1236,  1240,  1242,  1244,  1247,  1250,
    1252,  1256,  1261,  1267,  1270,  1276,  1278,  1281,  1284,  1287,
    1291,  1295,  1299,  1300,  1302,  1304,  1306,  1308,  1310,  1312,
    1316,  1318,  1324,  1332,  1336,  1345,  1350,  1360,  1372,  1375,
    1376,  1380,  1381,  1383,  1387,  1389,  1392,  1395,  1398,  1399,
    1401,  1405,  1409,  1416,  1421,  1422,  1424,  1426,  1429,  1432,
    1433,  1437,  1441,  1444,  1446,  1448,  1451,  1454,  1459,  1460,
    1463,  1466,  1469,  1470,  1474,  1479,  1484,  1485,  1488,  1489,
    1494,  1495,  1499,  1505,  1508,  1512,  1513,  1519,  1524,  1531,
    1533,  1534,  1536,  1539,  1542,  1544,  1547,  1551,  1554,  1557,
    1560,  1563,  1567,  1571,  1573,  1577,  1579,  1580,  1582,  1585,
    1587,  1589,  1593,  1600,  1611,  1613,  1614,  1616,  1619,  1622,
    1623,  1626,  1629,  1631,  1632,  1638,  1646,  1648,  1649,  1656,
    1659,  1660,  1664,  1670,  1676,  1685,  1688,  1689,  1692,  1695,
    1698,  1704,  1707,  1708,  1711,  1719,  1730,  1737,  1744,  1751,
    1758,  1766,  1774,  1784,  1794,  1801,  1808,  1817,  1826,  1835,
    1844,  1851,  1858,  1866,  1875,  1882,  1889,  1897,  1900,  1903,
    1906,  1909,  1911,  1914,  1916,  1917,  1924,  1933,  1941,  1948,
    1953,  1954,  1956,  1960,  1965,  1967,  1971,  1973,  1976,  1979,
    1982,  1985,  1987,  1989,  2000,  2003,  2004,  2007,  2010,  2012,
    2013,  2018,  2025,  2031,  2036,  2041,  2050,  2062,  2066,  2069,
    2071,  2075,  2077,  2083,  2091,  2100,  2102,  2104,  2106,  2114,
    2124,  2133,  2149,  2170,  2172,  2174,  2177,  2179,  2183,  2185,
    2187,  2189,  2193,  2195,  2199,  2200,  2202,  2203,  2205,  2207,
    2212,  2213,  2215,  2219,  2220,  2222,  2224,  2226,  2228,  2231,
    2232,  2233,  2236,  2239,  2241,  2244,  2247,  2250,  2253,  2260,
    2269,  2278,  2283,  2289,  2294,  2299,  2304,  2308,  2316,  2325,
    2332,  2339,  2346,  2353,  2360,  2365,  2371,  2375,  2377,  2381,
    2385,  2387,  2389,  2391,  2393,  2395,  2397,  2401,  2405,  2409,
    2411,  2415,  2419,  2421,  2422,  2424,  2428,  2435,  2444,  2453,
    2467,  2469,  2473,  2479,  2486,  2491,  2499,  2502,  2504,  2505,
    2508,  2509,  2512,  2517,  2518,  2520,  2521,  2528,  2537,  2546,
    2548,  2552,  2558,  2564,  2572,  2582,  2590,  2600,  2606,  2613,
    2620,  2625,  2631,  2639,  2641,  2643,  2645,  2647,  2650,  2652,
    2654,  2656,  2658,  2660,  2662,  2666,  2670,  2674,  2678,  2680,
    2684,  2686,  2689,  2692,  2696,  2702,  2705,  2708,  2709,  2716,
    2724,  2732,  2740,  2749,  2758,  2765,  2774,  2784,  2794,  2802,
    2813,  2821,  2830,  2839,  2848,  2857,  2859,  2861,  2863,  2865,
    2867,  2869,  2871,  2873,  2875,  2877,  2879,  2881,  2883,  2885,
    2888,  2890,  2894,  2896,  2898,  2907,  2917,  2927,  2937,  2947,
    2950,  2951,  2953,  2955,  2958,  2960,  2962,  2964,  2966,  2968,
    2970,  2972,  2974,  2976,  2978,  2981,  2984,  2988,  2993,  2999,
    3004,  3010,  3014,  3019,  3023,  3028,  3030,  3033,  3037,  3041,
    3045,  3049,  3054,  3059,  3063,  3067,  3072,  3077,  3082,  3087,
    3089,  3091,  3093,  3094,  3102,  3110,  3121,  3123,  3125,  3128,
    3133,  3139,  3141,  3145,  3148,  3151,  3154,  3157,  3159,  3162,
    3165,  3170,  3174,  3177,  3180,  3183,  3186,  3190,  3193,  3196,
    3199,  3205,  3211,  3217,  3219,  3223,  3225,  3228,  3232,  3233,
    3235,  3239,  3242,  3249,  3256,  3266,  3270,  3271,  3275,  3276,
    3282,  3285,  3286,  3290,  3294,  3298,  3306,  3314,  3325,  3327,
    3329,  3331,  3333,  3348,  3350,  3351,  3353,  3354,  3356,  3357,
    3360,  3361,  3363,  3367,  3373,  3379,  3387,  3390,  3391,  3393,
    3396,  3397,  3399,  3401,  3402,  3404,  3406,  3407,  3417,  3430,
    3438,  3441,  3442,  3446,  3449,  3451,  3455,  3459,  3462,  3464,
    3468,  3472,  3476,  3479,  3482,  3484,  3486,  3488,  3490,  3493,
    3495,  3497,  3499,  3501,  3506,  3512,  3514,  3518,  3522,  3524,
    3527,  3532,  3538,  3540,  3542,  3544,  3546,  3550,  3554,  3557,
    3560,  3562,  3565,  3568,  3571,  3573,  3576,  3579,  3581,  3583,
    3585,  3589,  3592,  3593,  3596,  3598,  3602,  3608,  3610,  3613,
    3615,  3616,  3622,  3630,  3636,  3644,  3650,  3658,  3662,  3668,
    3674,  3680,  3682,  3686,  3689,  3691,  3694,  3696,  3699,  3711,
    3722,  3733,  3736,  3739,  3740,  3750,  3753,  3754,  3759,  3764,
    3769,  3771,  3773,  3775,  3776,  3784,  3791,  3798,  3805,  3812,
    3821,  3830,  3837,  3844,  3852,  3862,  3872,  3879,  3886,  3893,
    3902,  3909,  3918,  3925,  3934,  3941,  3950,  3958,  3968,  3977,
    3988,  3997,  4007,  4019,  4028,  4035,  4042,  4049,  4055,  4061,
    4070,  4079,  4088,  4097,  4104,  4114,  4116,  4117,  4120,  4121,
    4129,  4136,  4143,  4150,  4157,  4164,  4172,  4182,  4192,  4199,
    4208,  4217,  4226,  4235,  4244,  4251,  4260,  4267,  4276,  4284,
    4294,  4301,  4309,  4316,  4323,  4330,  4337,  4344,  4352,  4360,
    4368,  4378,  4388,  4395,  4402,  4409,  4418,  4427,  4436,  4443,
    4457,  4459,  4461,  4465,  4469,  4471,  4473,  4475,  4477,  4479,
    4481,  4483,  4484,  4486,  4488,  4490,  4492,  4494,  4496,  4497,
    4504,  4513,  4517,  4520,  4521,  4524,  4527,  4530,  4533,  4537,
    4541,  4544,  4547,  4550,  4553,  4557,  4560,  4566,  4571,  4575,
    4579,  4583,  4585,  4587,  4588,  4592,  4595,  4598,  4600,  4603,
    4605,  4609,  4612,  4614,  4615,  4625,  4637,  4641,  4646,  4651,
    4652,  4655,  4661,  4664,  4665,  4669,  4673,  4677,  4681,  4685,
    4689,  4693,  4697,  4701,  4705,  4709,  4713,  4717,  4722,  4726,
    4730,  4732,  4733,  4739,  4746,  4751,  4754,  4755,  4760,  4764,
    4770,  4777,  4782,  4789,  4796,  4802,  4810,  4820,  4827,  4829,
    4830,  4837,  4849,  4861,  4873,  4887,  4897,  4909,  4920,  4925,
    4928,  4934,  4937,  4938,  4943,  4949,  4955,  4960,  4967,  4969,
    4973,  4975,  4977,  4979,  4981,  4984,  4989,  4991,  4993,  4995,
    4996,  4998,  4999,  5001,  5002,  5006,  5007,  5010,  5015,  5019,
    5025,  5027,  5029,  5031,  5033,  5035,  5037,  5039,  5041,  5045,
    5048,  5050,  5052,  5054,  5056,  5058,  5059,  5065,  5070,  5074,
    5075,  5077,  5079,  5081,  5083,  5088,  5098,  5102,  5103,  5110,
    5112,  5117,  5120,  5122,  5126,  5129,  5133,  5134,  5142,  5145,
    5146,  5152,  5156,  5157,  5160,  5163,  5166,  5170,  5172,  5176,
    5178,  5181,  5183,  5184,  5193,  5195,  5199,  5201,  5203,  5207,
    5213,  5216,  5218,  5222,  5230,  5232,  5234,  5235,  5239,  5242,
    5245,  5248,  5249,  5252,  5255,  5257,  5259,  5263,  5267,  5269,
    5272,  5277,  5282,  5285,  5289,  5295,  5301,  5303,  5305,  5315,
    5317,  5320,  5325,  5330,  5335,  5338,  5342,  5344,  5348,  5355,
    5357,  5358,  5361,  5363,  5364,  5368,  5372,  5377,  5382,  5387,
    5392,  5396,  5399,  5401,  5403,  5404,  5406,  5408,  5409,  5411,
    5417,  5419,  5420,  5422,  5423,  5427,  5429,  5433,  5438,  5442,
    5445,  5448,  5450,  5452,  5454,  5455,  5458,  5463,  5469,  5472,
    5476,  5478,  5480,  5482,  5484,  5488,  5489,  5491,  5493,  5495,
    5497,  5499,  5503,  5504,  5507,  5508,  5510,  5514,  5516,  5517,
    5519,  5522,  5527,  5532,  5535,  5536,  5539,  5543,  5546,  5547,
    5549,  5553,  5555,  5558,  5560,  5563,  5569,  5576,  5582,  5584,
    5587,  5589,  5594,  5598,  5603,  5609,  5614,  5620,  5625,  5631,
    5634,  5639,  5641,  5644,  5647,  5650,  5652,  5654,  5655,  5660,
    5663,  5665,  5668,  5671,  5676,  5678,  5682,  5684,  5687,  5691,
    5693,  5696,  5697,  5700,  5705,  5706,  5708,  5709,  5711,  5715,
    5719,  5722,  5726,  5732,  5739,  5742,  5746,  5750,  5755,  5756,
    5758,  5760,  5762,  5764,  5766,  5769,  5775,  5777,  5779,  5781,
    5783,  5786,  5790,  5794,  5795,  5797,  5799,  5801,  5803,  5805,
    5808,  5811,  5814,  5817,  5820,  5822,  5826,  5827,  5829,  5831,
    5833,  5835,  5841,  5844,  5846,  5848,  5850,  5852,  5858,  5861,
    5864,  5867,  5869,  5873,  5877,  5880,  5882,  5883,  5887,  5888,
    5894,  5897,  5903,  5906,  5908,  5911,  5915,  5916,  5918,  5920,
    5922,  5924,  5926,  5928,  5932,  5936,  5940,  5944,  5948,  5952,
    5956,  5957,  5959,  5964,  5966,  5970,  5974,  5980,  5983,  5986,
    5990,  5994,  5998,  6002,  6006,  6010,  6014,  6018,  6022,  6026,
    6029,  6032,  6036,  6040,  6043,  6047,  6053,  6058,  6065,  6069,
    6075,  6080,  6087,  6092,  6099,  6105,  6113,  6117,  6120,  6125,
    6128,  6132,  6136,  6141,  6145,  6150,  6154,  6159,  6165,  6172,
    6179,  6187,  6194,  6202,  6209,  6217,  6221,  6226,  6231,  6238,
    6241,  6245,  6250,  6252,  6256,  6259,  6262,  6266,  6270,  6274,
    6278,  6282,  6286,  6290,  6294,  6298,  6302,  6305,  6308,  6314,
    6321,  6328,  6336,  6340,  6345,  6347,  6349,  6352,  6357,  6359,
    6361,  6363,  6366,  6369,  6372,  6374,  6379,  6385,  6392,  6401,
    6408,  6416,  6424,  6430,  6436,  6438,  6440,  6445,  6447,  6452,
    6454,  6459,  6461,  6466,  6468,  6470,  6472,  6474,  6476,  6478,
    6485,  6490,  6495,  6500,  6505,  6512,  6518,  6524,  6530,  6535,
    6542,  6547,  6552,  6557,  6562,  6568,  6576,  6584,  6594,  6600,
    6605,  6612,  6618,  6626,  6634,  6642,  6645,  6649,  6653,  6657,
    6662,  6663,  6668,  6670,  6674,  6678,  6680,  6682,  6684,  6687,
    6690,  6691,  6694,  6699,  6704,  6711,  6714,  6715,  6717,  6721,
    6725,  6728,  6731,  6732,  6739,  6741,  6742,  6746,  6747,  6750,
    6753,  6754,  6756,  6761,  6764,  6767,  6770,  6773,  6776,  6781,
    6785,  6791,  6793,  6795,  6797,  6799,  6801,  6803,  6805,  6807,
    6809,  6811,  6813,  6815,  6817,  6819,  6821,  6826,  6828,  6833,
    6835,  6840,  6842,  6845,  6847,  6850,  6852,  6856,  6858,  6862,
    6864,  6868,  6870,  6874,  6878,  6882,  6885,  6887,  6891,  6895,
    6896,  6898,  6900,  6902,  6904,  6906,  6908,  6910,  6912,  6917,
    6921,  6924,  6928,  6929,  6933,  6937,  6940,  6943,  6945,  6946,
    6949,  6952,  6956,  6959,  6961,  6963,  6967,  6973,  6975,  6978,
    6983,  6986,  6987,  6989,  6990,  6992,  6995,  6998,  7001,  7005,
    7011,  7013,  7016,  7017,  7020,  7022,  7023,  7025,  7027,  7029,
    7033,  7037,  7039,  7043,  7047,  7050,  7052,  7054,  7056,  7060,
    7062,  7065,  7067,  7071,  7073,  7075,  7077,  7079,  7081,  7083,
    7085,  7088,  7090,  7092,  7094,  7096,  7098,  7101,  7107,  7110,
    7114,  7121,  7123,  7125,  7127,  7129,  7131,  7133,  7135,  7137,
    7139,  7142,  7145,  7147,  7149,  7151,  7153,  7155,  7157,  7159,
    7161,  7163,  7165,  7167,  7169,  7171,  7173,  7175,  7177,  7179,
    7181,  7183,  7185,  7187,  7189,  7191,  7193,  7195,  7197,  7199,
    7201,  7203,  7205,  7207,  7209,  7211,  7213,  7215,  7217,  7219,
    7221,  7223,  7225,  7227,  7229,  7231,  7233,  7235,  7237,  7239,
    7241,  7243,  7245,  7247,  7249,  7251,  7253,  7255,  7257,  7259,
    7261,  7263,  7265,  7267,  7269,  7271,  7273,  7275,  7277,  7279,
    7281,  7283,  7285,  7287,  7289,  7291,  7293,  7295,  7297,  7299,
    7301,  7303,  7305,  7307,  7309,  7311,  7313,  7315,  7317,  7319,
    7321,  7323,  7325,  7327,  7329,  7331,  7333,  7335,  7337,  7339,
    7341,  7343,  7345,  7347,  7349,  7351,  7353,  7355,  7357,  7359,
    7361,  7363,  7365,  7367,  7369,  7371,  7373,  7375,  7377,  7379,
    7381,  7383,  7385,  7387,  7389,  7391,  7393,  7395,  7397,  7399,
    7401,  7403,  7405,  7407,  7409,  7411,  7413,  7415,  7417,  7419,
    7421,  7423,  7425,  7427,  7429,  7431,  7433,  7435,  7437,  7439,
    7441,  7443,  7445,  7447,  7449,  7451,  7453,  7455,  7457,  7459,
    7461,  7463,  7465,  7467,  7469,  7471,  7473,  7475,  7477,  7479,
    7481,  7483,  7485,  7487,  7489,  7491,  7493,  7495,  7497,  7499,
    7501,  7503,  7505,  7507,  7509,  7511,  7513,  7515,  7517,  7519,
    7521,  7523,  7525,  7527,  7529,  7531,  7533,  7535,  7537,  7539,
    7541,  7543,  7545,  7547,  7549,  7551,  7553,  7555,  7557,  7559,
    7561,  7563,  7565,  7567,  7569,  7571,  7573,  7575,  7577,  7579,
    7581,  7583,  7585,  7587,  7589,  7591,  7593,  7595,  7597,  7599,
    7601,  7603,  7605,  7607,  7609,  7611,  7613,  7615,  7617,  7619,
    7621,  7623,  7625,  7627,  7629,  7631,  7633,  7635,  7637,  7639,
    7641,  7643,  7645,  7647,  7649,  7651,  7653,  7655,  7657,  7659,
    7661,  7663,  7665,  7667,  7669,  7671,  7673,  7675,  7677,  7679,
    7681,  7683,  7685,  7687,  7689,  7691,  7693,  7695,  7697,  7699,
    7701,  7703,  7705,  7707,  7709,  7711,  7713,  7715,  7717,  7719,
    7721,  7723,  7725,  7727,  7729,  7731,  7733,  7735,  7737,  7739,
    7741,  7743,  7745,  7747,  7749,  7751,  7753,  7755,  7757,  7759,
    7761,  7763,  7765,  7767,  7769,  7771,  7773,  7775,  7777,  7779,
    7781,  7783,  7785,  7787,  7789,  7791,  7793,  7795,  7797,  7799,
    7801,  7803,  7805,  7807,  7809,  7811,  7813,  7815,  7817,  7819,
    7821,  7823,  7825,  7827,  7829,  7831,  7833,  7835,  7837,  7839,
    7841,  7843,  7845,  7847,  7849,  7851,  7853,  7855,  7857,  7859,
    7861,  7863,  7865,  7867,  7869,  7871,  7873,  7875,  7877,  7879,
    7881,  7883,  7885,  7887,  7889,  7891,  7893,  7895,  7897,  7899,
    7901,  7903,  7905,  7907,  7909,  7910,  7913,  7918,  7922,  7925,
    7927,  7929,  7931,  7933,  7935,  7936,  7945,  7948,  7954,  7958,
    7961,  7964,  7968,  7976,  7978,  7980,  7982,  7983,  7986,  7989,
    7991,  7992,  7994,  7998,  8000,  8003,  8004,  8007,  8008,  8011,
    8012,  8014,  8018,  8023,  8027,  8029,  8031,  8033,  8035,  8038,
    8039,  8042,  8047,  8048,  8051,  8054,  8057,  8059,  8061,  8069,
    8073,  8075,  8077,  8079,  8081,  8084,  8085,  8087,  8091,  8095,
    8099,  8103,  8104,  8109,  8115,  8121,  8122,  8124,  8126,  8128,
    8131,  8134,  8136,  8139,  8140,  8148,  8149,  8155,  8156,  8161,
    8164,  8167,  8168,  8171,  8173,  8175,  8177,  8179,  8181,  8183,
    8185,  8187,  8189,  8191,  8193,  8199,  8202,  8204,  8208,  8211,
    8214,  8218,  8219,  8225,  8227,  8228,  8234,  8237,  8240,  8242,
    8244,  8246,  8249,  8252,  8256,  8258,  8261,  8264,  8268,  8272,
    8277,  8280,  8282,  8285,  8287,  8289,  8292,  8295,  8299,  8301,
    8303,  8305,  8307,  8308,  8310,  8314,  8320,  8321,  8324,  8325,
    8327,  8330,  8334,  8337,  8339,  8341,  8343,  8344,  8346,  8348,
    8350,  8352,  8354,  8357,  8360,  8364,  8365,  8367,  8370,  8372,
    8377,  8381,  8386,  8390,  8393,  8395,  8399,  8401,  8403,  8405,
    8407,  8410,  8413,  8415,  8418,  8421,  8423,  8425,  8427,  8432,
    8437,  8442,  8447,  8452,  8454,  8455,  8459,  8463,  8468,  8470,
    8474,  8478,  8483,  8485,  8489,  8493,  8495,  8497,  8499,  8506,
    8508,  8512,  8516,  8523,  8525,  8529,  8533,  8535,  8537,  8540,
    8543,  8545,  8547,  8549,  8551,  8553,  8555,  8557,  8559,  8561,
    8563,  8565,  8567,  8569,  8571,  8573,  8575,  8580,  8585,  8587,
    8589,  8594,  8599,  8603,  8604,  8612,  8614,  8615,  8616,  8624,
    8628,  8633,  8637,  8639,  8641,  8643,  8646,  8650,  8656,  8659,
    8665,  8668,  8670,  8672,  8674,  8676,  8678,  8680,  8682,  8684,
    8686,  8688,  8690,  8692,  8694,  8696,  8698,  8700,  8702,  8704,
    8706,  8708,  8710,  8712,  8714,  8716,  8718,  8720,  8722,  8724,
    8726,  8728,  8730,  8732,  8734,  8736,  8738,  8740,  8742,  8744,
    8746,  8748,  8750,  8752,  8754,  8756,  8758,  8760,  8762,  8764,
    8766,  8768,  8770,  8772,  8774,  8776,  8778,  8780,  8782,  8784,
    8786,  8788,  8790,  8792,  8794,  8796,  8798,  8800,  8802,  8804,
    8806,  8808,  8810,  8812,  8814,  8816,  8818,  8820,  8822,  8824,
    8826,  8828,  8830,  8832,  8834,  8836,  8838,  8840,  8842,  8844,
    8846,  8848,  8850,  8852,  8854,  8856,  8858,  8860,  8862,  8864,
    8868,  8870,  8871,  8873,  8876,  8878,  8881,  8883,  8885,  8887,
    8890,  8893,  8895,  8897,  8899,  8901,  8903,  8905,  8907,  8909,
    8911,  8913,  8915,  8917,  8919,  8921,  8923,  8925,  8928,  8932,
    8934,  8937,  8939,  8943,  8945,  8949,  8951,  8953,  8955,  8957,
    8959,  8961,  8963,  8965,  8967,  8969,  8971,  8973,  8975,  8977,
    8979,  8981,  8983,  8985,  8987,  8989,  8991,  8993,  8995,  8997,
    8999,  9001,  9003,  9005,  9007,  9009,  9011,  9013,  9015,  9017,
    9019,  9021,  9023,  9025,  9027,  9029,  9031,  9033,  9035,  9037,
    9039,  9041,  9043,  9045,  9047,  9049,  9051,  9053,  9055,  9057,
    9059,  9061,  9063,  9065,  9067,  9069,  9071,  9074,  9078,  9081,
    9085,  9087,  9091,  9095,  9099,  9103,  9107,  9111,  9113,  9115,
    9116,  9119,  9122,  9124,  9126,  9129,  9131,  9133,  9135,  9136
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     512,     0,    -1,  1048,    -1,   838,    -1,   839,    -1,   756,
      -1,   844,    -1,   707,    -1,   647,    -1,   650,    -1,   656,
      -1,   670,    -1,   675,    -1,   791,    -1,   529,    -1,   812,
      -1,   813,    -1,   626,    -1,   556,    -1,   567,    -1,   523,
      -1,   521,    -1,   847,    -1,   846,    -1,   679,    -1,   525,
      -1,   524,    -1,   854,    -1,   554,    -1,   570,    -1,   849,
      -1,   730,    -1,   551,    -1,   571,    -1,  1050,    -1,   694,
      -1,   802,    -1,   848,    -1,   843,    -1,   644,    -1,   651,
      -1,   665,    -1,   671,    -1,   772,    -1,   528,    -1,   708,
      -1,   715,    -1,   716,    -1,   633,    -1,   532,    -1,   625,
      -1,   586,    -1,   641,    -1,   680,    -1,   514,    -1,   520,
      -1,   676,    -1,   834,    -1,  1191,    -1,   889,    -1,   696,
      -1,   876,    -1,   555,    -1,   799,    -1,   695,    -1,   804,
      -1,   655,    -1,   669,    -1,   531,    -1,   719,    -1,   720,
      -1,   721,    -1,   639,    -1,   821,    -1,   723,    -1,   643,
      -1,   693,    -1,   526,    -1,   527,    -1,   678,    -1,   842,
      -1,   869,    -1,   860,    -1,   737,    -1,   741,    -1,   752,
      -1,   761,    -1,   871,    -1,   824,    -1,   833,    -1,   878,
      -1,   822,    -1,   866,    -1,   722,    -1,   806,    -1,   795,
      -1,   794,    -1,   796,    -1,   809,    -1,   742,    -1,   753,
      -1,   814,    -1,   733,    -1,   893,    -1,   826,    -1,   728,
      -1,   825,    -1,   882,    -1,   851,    -1,   547,    -1,   536,
      -1,   550,    -1,   831,    -1,  1127,    -1,  1053,    -1,  1070,
      -1,  1128,    -1,  1110,    -1,  1125,    -1,  1111,    -1,  1071,
      -1,  1115,    -1,  1137,    -1,  1129,    -1,  1116,    -1,  1145,
      -1,  1147,    -1,  1140,    -1,  1132,    -1,  1148,    -1,  1151,
      -1,  1153,    -1,    -1,   160,   378,  1042,   515,   516,    -1,
     469,    -1,    -1,   516,   519,    -1,    -1,   517,   518,    -1,
      -1,   341,  1181,    -1,   341,   314,    -1,   202,   341,  1181,
      -1,   442,   341,  1181,    -1,   252,    -1,   152,   285,  1043,
      -1,   453,   448,  1181,    -1,   450,  1032,    -1,  1183,    -1,
     518,    -1,   417,  1041,    -1,    96,  1032,    -1,   378,  1032,
      -1,   247,   378,  1032,    -1,   247,   235,  1032,    -1,   160,
     450,  1042,   515,   516,    -1,   101,   378,  1042,   515,   517,
      -1,    -1,   247,   174,  1034,    -1,   101,   378,  1042,   522,
     548,    -1,   101,   450,  1042,   515,   517,    -1,   101,   450,
    1042,   548,    -1,   197,   378,  1032,    -1,   197,   378,   242,
     211,  1032,    -1,   197,   450,  1032,    -1,   197,   450,   242,
     211,  1032,    -1,   160,   235,  1042,   515,   516,    -1,   101,
     235,  1042,   530,   450,  1032,    -1,    95,    -1,   197,    -1,
     197,   235,  1032,    -1,   197,   235,   242,   211,  1032,    -1,
     160,   384,   533,   115,  1042,   534,    -1,   160,   384,  1161,
     534,    -1,  1161,    -1,    -1,   534,   535,    -1,    -1,   586,
      -1,   761,    -1,   625,    -1,   680,    -1,   741,    -1,   831,
      -1,   396,   537,    -1,   396,   288,   537,    -1,   396,   394,
     537,    -1,   431,   829,    -1,   394,   136,   108,   431,   829,
      -1,   538,    -1,   539,   429,   540,    -1,   539,   490,   540,
      -1,   539,   429,   180,    -1,   539,   490,   180,    -1,   539,
     227,   163,    -1,   427,   486,   544,    -1,   132,  1181,    -1,
     384,  1181,    -1,   302,   545,    -1,   378,   546,    -1,   394,
     115,   546,    -1,   394,   115,   180,    -1,   474,   326,   979,
      -1,   431,   403,  1181,    -1,  1160,    -1,   539,   505,  1161,
      -1,   541,    -1,   540,   506,   541,    -1,   543,    -1,   631,
      -1,   357,   441,    -1,   357,   149,    -1,   368,   357,    -1,
     392,    -1,   435,    -1,   216,    -1,   323,    -1,   546,    -1,
    1181,    -1,  1183,    -1,   966,  1181,   968,    -1,   966,   503,
    1041,   504,  1181,   968,    -1,   631,    -1,   180,    -1,   288,
      -1,  1181,    -1,   180,    -1,    -1,  1161,    -1,  1181,    -1,
     371,   539,    -1,   371,   427,   486,    -1,   371,   431,   270,
     283,    -1,   371,   394,   115,    -1,   371,    99,    -1,   396,
     537,    -1,   547,    -1,   396,   538,    -1,   547,    -1,   399,
     539,  1194,    -1,   399,   427,   486,  1194,    -1,   399,   431,
     270,   283,  1194,    -1,   399,   394,   115,  1194,    -1,   399,
      99,    -1,   396,   154,   552,   553,    -1,    99,    -1,  1030,
      -1,   183,    -1,   244,    -1,   138,    -1,   191,    99,    -1,
     191,   422,    -1,   191,   424,    -1,   191,   343,    -1,   101,
     419,   937,   557,    -1,   101,   419,   242,   211,   937,   557,
      -1,   101,   250,  1031,   557,    -1,   101,   250,   242,   211,
    1031,   557,    -1,   101,   390,  1031,   557,    -1,   101,   390,
     242,   211,  1031,   557,    -1,   101,   463,  1031,   557,    -1,
     101,   463,   242,   211,  1031,   557,    -1,   558,    -1,   557,
     506,   558,    -1,    95,   594,    -1,    95,   145,   594,    -1,
     101,   810,  1161,   559,    -1,   101,   810,  1161,   197,   309,
     314,    -1,   101,   810,  1161,   396,   309,   314,    -1,   101,
     810,  1161,   396,   409,  1043,    -1,   101,   810,  1161,   396,
     563,    -1,   101,   810,  1161,   371,   563,    -1,   101,   810,
    1161,   396,   412,  1161,    -1,   197,   810,   242,   211,  1161,
     560,    -1,   197,   810,  1161,   560,    -1,   101,   810,  1161,
     811,   438,   946,   561,   562,    -1,   101,   810,  1161,   659,
      -1,    95,   603,    -1,   454,   153,  1033,    -1,   197,   153,
     242,   211,  1033,   560,    -1,   197,   153,  1033,   560,    -1,
     396,   469,   322,    -1,   396,   470,   322,    -1,   141,   323,
    1033,    -1,   396,   470,   141,    -1,   200,   433,  1033,    -1,
     200,   102,   433,  1033,    -1,   200,   370,   433,  1033,    -1,
     200,   433,    99,    -1,   200,   433,   450,    -1,   190,   433,
    1033,    -1,   190,   433,    99,    -1,   190,   433,   450,    -1,
     200,   382,  1033,    -1,   200,   102,   382,  1033,    -1,   200,
     370,   382,  1033,    -1,   190,   382,  1033,    -1,   252,  1031,
      -1,   307,   252,  1031,    -1,   319,   726,    -1,   309,   319,
      -1,   336,   429,  1042,    -1,   396,   421,  1033,    -1,   396,
     563,    -1,   371,   563,    -1,   659,    -1,   396,   180,   970,
      -1,   197,   180,    -1,   128,    -1,   373,    -1,    -1,   143,
     726,    -1,    -1,   451,   970,    -1,    -1,   503,   565,   504,
      -1,   469,   563,    -1,    -1,   566,    -1,   565,   506,   566,
      -1,  1163,   490,   700,    -1,  1163,    -1,  1163,   505,  1163,
     490,   700,    -1,  1163,   505,  1163,    -1,   101,   438,   726,
     568,    -1,   569,    -1,   568,   506,   569,    -1,    95,   114,
     945,   560,    -1,   197,   114,   242,   211,  1161,   560,    -1,
     197,   114,  1161,   560,    -1,   101,   114,  1161,   811,   438,
     946,   561,   560,    -1,   140,   890,    -1,   140,    99,    -1,
     158,   577,  1031,   606,   578,   572,   573,   579,   515,   574,
      -1,   158,   894,   429,   573,   515,   574,    -1,   227,    -1,
     429,    -1,  1181,    -1,   410,    -1,   411,    -1,   575,    -1,
     503,   581,   504,    -1,   575,   576,    -1,    -1,   121,    -1,
     322,    -1,   186,   845,  1181,    -1,   314,   845,  1181,    -1,
     162,    -1,   238,    -1,   355,   845,  1181,    -1,   205,   845,
    1181,    -1,   223,   355,   607,    -1,   223,   355,   496,    -1,
     223,   309,   314,   607,    -1,   201,  1181,    -1,   121,    -1,
      -1,   469,   322,    -1,    -1,   580,   187,  1181,    -1,    -1,
     451,    -1,    -1,   582,    -1,   581,   506,   582,    -1,  1163,
     583,    -1,   543,    -1,   631,    -1,   496,    -1,   503,   584,
     504,    -1,    -1,   585,    -1,   584,   506,   585,    -1,   543,
      -1,   160,   587,   419,  1031,   503,   588,   504,   617,   618,
     619,   620,    -1,   160,   587,   419,   242,   309,   211,  1031,
     503,   588,   504,   617,   618,   619,   620,    -1,   160,   587,
     419,  1031,   319,   726,   589,   618,   619,   620,    -1,   160,
     587,   419,   242,   309,   211,  1031,   319,   726,   589,   618,
     619,   620,    -1,   424,    -1,   422,    -1,   288,   424,    -1,
     288,   422,    -1,   231,   424,    -1,   231,   422,    -1,   447,
      -1,    -1,   590,    -1,    -1,   503,   591,   504,    -1,    -1,
     592,    -1,   590,   506,   592,    -1,   593,    -1,   591,   506,
     593,    -1,   594,    -1,   600,    -1,   603,    -1,   595,    -1,
     603,    -1,  1161,   946,   657,   596,    -1,  1161,   469,   327,
     596,    -1,   596,   597,    -1,    -1,   153,  1033,   598,    -1,
     598,    -1,   599,    -1,   143,   726,    -1,   309,   314,    -1,
     314,    -1,   444,   788,   621,    -1,   350,   272,   788,   621,
      -1,   137,   503,   970,   504,   605,    -1,   180,   971,    -1,
     363,  1031,   606,   609,   613,    -1,   182,    -1,   309,   182,
      -1,   254,   183,    -1,   254,   244,    -1,   284,  1031,   601,
      -1,   601,   248,   602,    -1,   601,   208,   602,    -1,    -1,
     181,    -1,   154,    -1,   251,    -1,   412,    -1,   147,    -1,
      99,    -1,   153,  1033,   604,    -1,   604,    -1,   137,   503,
     970,   504,   691,    -1,   444,   503,   607,   504,   788,   621,
     691,    -1,   444,   622,   691,    -1,   350,   272,   503,   607,
     504,   788,   621,   691,    -1,   350,   272,   622,   691,    -1,
     207,   765,   503,   610,   504,   788,   621,   612,   691,    -1,
     224,   272,   503,   607,   504,   363,  1031,   606,   609,   613,
     691,    -1,   307,   252,    -1,    -1,   503,   607,   504,    -1,
      -1,   608,    -1,   607,   506,   608,    -1,  1161,    -1,   294,
     228,    -1,   294,   338,    -1,   294,   401,    -1,    -1,   611,
      -1,   610,   506,   611,    -1,   767,   469,   798,    -1,   767,
     469,   325,   503,   798,   504,    -1,   466,   503,   970,   504,
      -1,    -1,   614,    -1,   615,    -1,   614,   615,    -1,   615,
     614,    -1,    -1,   323,   449,   616,    -1,   323,   185,   616,
      -1,   307,    94,    -1,   373,    -1,   128,    -1,   396,   314,
      -1,   396,   180,    -1,   253,   503,  1030,   504,    -1,    -1,
     469,   563,    -1,   469,   322,    -1,   470,   322,    -1,    -1,
     323,   148,   197,    -1,   323,   148,   185,   381,    -1,   323,
     148,   347,   381,    -1,    -1,   421,  1033,    -1,    -1,   451,
     250,   421,  1033,    -1,    -1,   451,   250,  1037,    -1,  1031,
     606,   618,   619,   620,    -1,   469,   173,    -1,   469,   307,
     173,    -1,    -1,   160,   587,   390,  1031,   627,    -1,   101,
     390,  1031,   628,    -1,   101,   390,   242,   211,  1031,   628,
      -1,   628,    -1,    -1,   629,    -1,   628,   629,    -1,   126,
     631,    -1,   172,    -1,   307,   172,    -1,   249,   630,   631,
      -1,   295,   631,    -1,   297,   631,    -1,   307,   295,    -1,
     307,   297,    -1,   335,   125,   726,    -1,   407,   515,   631,
      -1,   372,    -1,   372,   515,   631,    -1,   125,    -1,    -1,
    1180,    -1,   495,  1180,    -1,  1043,    -1,   631,    -1,   632,
     506,   631,    -1,   160,   773,   634,   640,   274,   546,    -1,
     160,   773,   634,   640,   274,   546,   236,   635,   636,   638,
      -1,   437,    -1,    -1,  1033,    -1,  1033,   727,    -1,   255,
     635,    -1,    -1,   455,   635,    -1,   307,   455,    -1,   637,
      -1,    -1,   197,   640,   274,   546,   560,    -1,   197,   640,
     274,   242,   211,   546,   560,    -1,   353,    -1,    -1,   160,
     421,  1033,   642,   291,  1181,    -1,   336,  1033,    -1,    -1,
     197,   421,  1033,    -1,   197,   421,   242,   211,  1033,    -1,
     160,   213,  1033,   515,   645,    -1,   160,   213,   242,   309,
     211,  1033,   515,   645,    -1,   645,   646,    -1,    -1,   384,
    1033,    -1,   462,   546,    -1,   227,   546,    -1,   101,   213,
    1033,   449,   648,    -1,   648,   649,    -1,    -1,   429,   546,
      -1,   101,   213,  1033,   530,    98,  1039,   701,    -1,   101,
     213,  1033,   530,   131,   503,   946,   108,   946,   504,    -1,
     101,   213,  1033,   530,   144,   726,    -1,   101,   213,  1033,
     530,   157,   726,    -1,   101,   213,  1033,   530,   195,   726,
      -1,   101,   213,  1033,   530,   229,   751,    -1,   101,   213,
    1033,   530,   640,   274,  1033,    -1,   101,   213,  1033,   530,
     325,   798,   797,    -1,   101,   213,  1033,   530,   325,   139,
     726,   451,  1035,    -1,   101,   213,  1033,   530,   325,   217,
     726,   451,  1035,    -1,   101,   213,  1033,   530,   384,  1033,
      -1,   101,   213,  1033,   530,   419,   726,    -1,   101,   213,
    1033,   530,   425,   386,   337,   726,    -1,   101,   213,  1033,
     530,   425,   386,   189,   726,    -1,   101,   213,  1033,   530,
     425,   386,   423,   726,    -1,   101,   213,  1033,   530,   425,
     386,   151,   726,    -1,   101,   213,  1033,   530,   390,   726,
      -1,   101,   213,  1033,   530,   463,   726,    -1,   101,   213,
    1033,   530,   224,   419,   726,    -1,   101,   213,  1033,   530,
     224,   173,   472,  1033,    -1,   101,   213,  1033,   530,   393,
    1033,    -1,   101,   213,  1033,   530,   438,   726,    -1,   160,
     224,   173,   472,  1033,   654,   657,    -1,   236,   635,    -1,
     307,   236,    -1,   455,   635,    -1,   307,   455,    -1,   652,
      -1,   653,   652,    -1,   653,    -1,    -1,   197,   224,   173,
     472,  1033,   560,    -1,   197,   224,   173,   472,   242,   211,
    1033,   560,    -1,   101,   224,   173,   472,  1033,   654,   659,
      -1,   101,   224,   173,   472,  1033,   653,    -1,   327,   503,
     658,   504,    -1,    -1,   662,    -1,   658,   506,   662,    -1,
     327,   503,   660,   504,    -1,   661,    -1,   660,   506,   661,
      -1,   662,    -1,   396,   662,    -1,    95,   662,    -1,   197,
     663,    -1,   663,   664,    -1,  1163,    -1,  1181,    -1,   160,
     393,  1033,   666,   668,   224,   173,   472,  1033,   657,    -1,
     438,  1181,    -1,    -1,   462,  1181,    -1,   462,   314,    -1,
     667,    -1,    -1,   197,   393,  1033,   560,    -1,   197,   393,
     242,   211,  1033,   560,    -1,   101,   393,  1033,   667,   659,
      -1,   101,   393,  1033,   667,    -1,   101,   393,  1033,   659,
      -1,   160,   224,   419,  1031,   672,   393,  1033,   657,    -1,
     160,   224,   419,   242,   309,   211,  1031,   672,   393,  1033,
     657,    -1,   503,   673,   504,    -1,   503,   504,    -1,   674,
      -1,   673,   506,   674,    -1,   594,    -1,   101,   224,   419,
     937,   557,    -1,   101,   224,   419,   242,   211,   937,   557,
      -1,   160,   450,   293,   222,   677,   393,  1033,   657,    -1,
     170,    -1,   450,    -1,  1042,    -1,   197,   450,   293,   222,
     677,   393,  1033,    -1,   197,   450,   293,   242,   211,   222,
     677,   393,  1033,    -1,   101,   450,   293,   222,   677,   393,
    1033,   659,    -1,   160,   433,  1033,   681,   682,   323,  1031,
     684,   687,   210,   354,  1039,   503,   688,   504,    -1,   160,
     153,   433,  1033,    97,   682,   323,  1031,   690,   691,   222,
     198,   380,   687,   210,   354,  1039,   503,   688,   504,    -1,
     117,    -1,    97,    -1,   261,   319,    -1,   683,    -1,   682,
     328,   683,    -1,   260,    -1,   185,    -1,   449,    -1,   449,
     319,   607,    -1,   436,    -1,   222,   685,   686,    -1,    -1,
     198,    -1,    -1,   380,    -1,   408,    -1,   465,   503,   970,
     504,    -1,    -1,   689,    -1,   688,   506,   689,    -1,    -1,
    1041,    -1,  1180,    -1,  1181,    -1,  1163,    -1,   227,  1031,
      -1,    -1,    -1,   691,   692,    -1,   309,   182,    -1,   182,
      -1,   254,   244,    -1,   254,   183,    -1,   309,   453,    -1,
     307,   252,    -1,   197,   433,  1033,   323,   726,   560,    -1,
     197,   433,   242,   211,  1033,   323,   726,   560,    -1,   160,
     110,  1033,   137,   503,   970,   504,   691,    -1,   197,   110,
    1033,   560,    -1,   160,    98,  1039,   701,   697,    -1,   160,
      98,  1039,   702,    -1,   160,   325,   798,   697,    -1,   160,
     438,   726,   697,    -1,   160,   438,   726,    -1,   160,   438,
     726,   108,   503,   943,   504,    -1,   160,   438,   726,   108,
     204,   503,   705,   504,    -1,   160,   438,   726,   108,   356,
     697,    -1,   160,   425,   386,   337,   726,   697,    -1,   160,
     425,   386,   189,   726,   697,    -1,   160,   425,   386,   423,
     726,   697,    -1,   160,   425,   386,   151,   726,   697,    -1,
     160,   144,   726,   697,    -1,   160,   144,   726,   227,   726,
      -1,   503,   698,   504,    -1,   699,    -1,   698,   506,   699,
      -1,  1163,   490,   700,    -1,  1163,    -1,   782,    -1,  1047,
      -1,   997,    -1,   631,    -1,  1181,    -1,   503,  1002,   504,
      -1,   503,   496,   504,    -1,   503,   703,   504,    -1,   704,
      -1,   703,   506,   704,    -1,  1183,   490,   700,    -1,   706,
      -1,    -1,  1181,    -1,   706,   506,  1181,    -1,   101,   438,
     726,    95,   456,  1181,    -1,   101,   438,   726,    95,   456,
    1181,   117,  1181,    -1,   101,   438,   726,    95,   456,  1181,
      97,  1181,    -1,   160,   325,   139,   726,   711,   222,   438,
     946,   451,  1035,   712,   108,   709,    -1,   710,    -1,   709,
     506,   710,    -1,   325,  1041,   798,   713,   714,    -1,   325,
    1041,   798,   797,   713,   714,    -1,   229,  1041,  1039,   774,
      -1,   229,  1041,   503,  1002,   504,  1039,   774,    -1,   412,
     946,    -1,   180,    -1,    -1,   217,   726,    -1,    -1,   222,
     386,    -1,   222,   329,   125,   726,    -1,    -1,   360,    -1,
      -1,   160,   325,   217,   726,   451,  1035,    -1,   101,   325,
     217,   726,   451,  1035,    95,   709,    -1,   101,   325,   217,
     726,   451,  1035,   197,   717,    -1,   718,    -1,   717,   506,
     718,    -1,   325,  1041,   503,  1002,   504,    -1,   229,  1041,
     503,  1002,   504,    -1,   197,   325,   139,   726,   451,  1035,
     560,    -1,   197,   325,   139,   242,   211,   726,   451,  1035,
     560,    -1,   197,   325,   217,   726,   451,  1035,   560,    -1,
     197,   325,   217,   242,   211,   726,   451,  1035,   560,    -1,
     197,   335,   125,  1032,   560,    -1,   359,   335,   125,  1032,
     429,  1033,    -1,   197,   724,   242,   211,   725,   560,    -1,
     197,   724,   725,   560,    -1,   197,   250,   150,   725,   560,
      -1,   197,   250,   150,   242,   211,   725,   560,    -1,   419,
      -1,   390,    -1,   463,    -1,   250,    -1,   224,   419,    -1,
     438,    -1,   195,    -1,   144,    -1,   157,    -1,   384,    -1,
     213,    -1,   425,   386,   337,    -1,   425,   386,   189,    -1,
     425,   386,   423,    -1,   425,   386,   151,    -1,   726,    -1,
     725,   506,   726,    -1,  1161,    -1,  1161,   727,    -1,   505,
    1036,    -1,   727,   505,  1036,    -1,   436,   904,   938,   729,
     560,    -1,   156,   241,    -1,   372,   241,    -1,    -1,   146,
     323,   731,   726,   268,   732,    -1,   146,   323,    98,  1039,
     701,   268,   732,    -1,   146,   323,   229,  1039,   774,   268,
     732,    -1,   146,   323,   325,   798,   797,   268,   732,    -1,
     146,   323,   153,  1033,   323,   726,   268,   732,    -1,   146,
     323,   382,  1033,   323,   726,   268,   732,    -1,   146,   323,
     382,  1033,   268,   732,    -1,   146,   323,   433,  1033,   323,
     726,   268,   732,    -1,   146,   323,   325,   139,   726,   451,
    1035,   268,   732,    -1,   146,   323,   325,   217,   726,   451,
    1035,   268,   732,    -1,   146,   323,   275,   318,   631,   268,
     732,    -1,   146,   323,   131,   503,   946,   108,   946,   504,
     268,   732,    -1,   146,   323,   640,   274,   726,   268,   732,
      -1,   146,   323,   425,   386,   337,   726,   268,   732,    -1,
     146,   323,   425,   386,   189,   726,   268,   732,    -1,   146,
     323,   425,   386,   423,   726,   268,   732,    -1,   146,   323,
     425,   386,   151,   726,   268,   732,    -1,   145,    -1,   174,
      -1,   384,    -1,   250,    -1,   390,    -1,   419,    -1,   195,
      -1,   438,    -1,   463,    -1,   144,    -1,   157,    -1,   421,
      -1,   213,    -1,   378,    -1,   224,   419,    -1,   393,    -1,
     224,   173,   472,    -1,  1181,    -1,   314,    -1,   388,   273,
     734,   323,   735,   726,   268,   736,    -1,   388,   273,   734,
     323,    98,  1039,   701,   268,   736,    -1,   388,   273,   734,
     323,   229,  1039,   774,   268,   736,    -1,   388,   273,   734,
     323,   275,   318,   631,   268,   736,    -1,   388,   273,   734,
     323,   640,   274,   726,   268,   736,    -1,   222,   546,    -1,
      -1,   145,    -1,   174,    -1,   224,   419,    -1,   384,    -1,
     390,    -1,   419,    -1,   195,    -1,   378,    -1,   421,    -1,
     438,    -1,   463,    -1,  1181,    -1,   314,    -1,   218,   738,
      -1,   300,   738,    -1,   218,   738,  1195,    -1,   218,   225,
     890,  1196,    -1,   218,   225,   739,   890,  1196,    -1,   218,
     116,   890,  1196,    -1,   218,   116,   739,   890,  1196,    -1,
     300,   225,   890,    -1,   300,   225,   739,   890,    -1,   300,
     116,   890,    -1,   300,   116,   739,   890,    -1,   890,    -1,
     739,   890,    -1,   306,   740,   890,    -1,   351,   740,   890,
      -1,   219,   740,   890,    -1,   276,   740,   890,    -1,    92,
    1043,   740,   890,    -1,   365,  1043,   740,   890,    -1,  1043,
     740,   890,    -1,    99,   740,   890,    -1,   225,  1043,   740,
     890,    -1,   225,    99,   740,   890,    -1,   116,  1043,   740,
     890,    -1,   116,    99,   740,   890,    -1,   227,    -1,   247,
      -1,   739,    -1,    -1,   232,   743,   323,   746,   429,   747,
     749,    -1,   376,   743,   323,   746,   227,   747,   560,    -1,
     376,   232,   326,   222,   743,   323,   746,   227,   747,   560,
      -1,   744,    -1,    99,    -1,    99,   352,    -1,    99,   503,
     607,   504,    -1,    99,   352,   503,   607,   504,    -1,   745,
      -1,   744,   506,   745,    -1,   389,   606,    -1,   363,   606,
      -1,   160,   606,    -1,  1161,   606,    -1,  1030,    -1,   419,
    1030,    -1,   390,  1030,    -1,   224,   173,   472,  1032,    -1,
     224,   393,  1032,    -1,   229,   750,    -1,   174,  1032,    -1,
     195,   725,    -1,   274,  1032,    -1,   275,   318,   632,    -1,
     384,  1032,    -1,   421,  1032,    -1,   438,   725,    -1,    99,
     420,   247,   384,  1032,    -1,    99,   391,   247,   384,  1032,
      -1,    99,   230,   247,   384,  1032,    -1,   748,    -1,   747,
     506,   748,    -1,  1042,    -1,   235,  1042,    -1,   469,   232,
     326,    -1,    -1,   751,    -1,   750,   506,   751,    -1,  1039,
     774,    -1,   232,   744,   429,  1032,   754,   755,    -1,   376,
     744,   227,  1032,   755,   560,    -1,   376,    96,   326,   222,
     744,   227,  1032,   755,   560,    -1,   469,    96,   326,    -1,
      -1,   233,   125,  1042,    -1,    -1,   101,   180,   352,   757,
     759,    -1,   757,   758,    -1,    -1,   247,   384,  1032,    -1,
     222,   378,  1032,    -1,   222,   450,  1032,    -1,   232,   743,
     323,   760,   429,   747,   749,    -1,   376,   743,   323,   760,
     227,   747,   560,    -1,   376,   232,   326,   222,   743,   323,
     760,   227,   747,   560,    -1,   420,    -1,   230,    -1,   391,
      -1,   439,    -1,   160,   762,   250,   763,   764,   323,  1031,
     765,   503,   766,   504,   564,   620,   941,    -1,   444,    -1,
      -1,   150,    -1,    -1,  1037,    -1,    -1,   451,  1035,    -1,
      -1,   767,    -1,   766,   506,   767,    -1,  1161,   768,   769,
     770,   771,    -1,   973,   768,   769,   770,   771,    -1,   503,
     970,   504,   768,   769,   770,   771,    -1,   143,   726,    -1,
      -1,   726,    -1,   451,   726,    -1,    -1,   109,    -1,   188,
      -1,    -1,   487,    -1,   488,    -1,    -1,   160,   773,   229,
    1039,   776,   375,   781,   784,   788,    -1,   160,   773,   229,
    1039,   776,   375,   419,   503,   790,   504,   784,   788,    -1,
     160,   773,   229,  1039,   776,   784,   788,    -1,   328,   369,
      -1,    -1,   503,   775,   504,    -1,   503,   504,    -1,   778,
      -1,   775,   506,   778,    -1,   503,   777,   504,    -1,   503,
     504,    -1,   783,    -1,   777,   506,   783,    -1,   779,   780,
     782,    -1,   780,   779,   782,    -1,   780,   782,    -1,   779,
     782,    -1,   782,    -1,   247,    -1,   330,    -1,   257,    -1,
     247,   330,    -1,   459,    -1,  1162,    -1,   782,    -1,   946,
      -1,  1162,   727,   498,   438,    -1,   397,  1162,   727,   498,
     438,    -1,   778,    -1,   778,   180,   970,    -1,   778,   490,
     970,    -1,   786,    -1,   784,   786,    -1,   127,   323,   314,
     258,    -1,   375,   314,   323,   314,   258,    -1,   413,    -1,
     245,    -1,   405,    -1,   464,    -1,   214,   388,   184,    -1,
     214,   388,   267,    -1,   388,   184,    -1,   388,   267,    -1,
     280,    -1,   309,   280,    -1,   159,   631,    -1,   381,   631,
      -1,   549,    -1,   108,   787,    -1,   274,   546,    -1,   468,
      -1,   785,    -1,  1181,    -1,  1181,   506,  1181,    -1,   469,
     697,    -1,    -1,   780,   782,    -1,   789,    -1,   790,   506,
     789,    -1,   101,   229,   751,   792,   793,    -1,   785,    -1,
     792,   785,    -1,   373,    -1,    -1,   197,   229,  1039,   774,
     560,    -1,   197,   229,   242,   211,  1039,   774,   560,    -1,
     197,    98,  1039,   701,   560,    -1,   197,    98,   242,   211,
    1039,   701,   560,    -1,   197,   325,   798,   797,   560,    -1,
     197,   325,   242,   211,   798,   797,   560,    -1,   503,   946,
     504,    -1,   503,   946,   506,   946,   504,    -1,   503,   308,
     506,   946,   504,    -1,   503,   946,   506,   308,   504,    -1,
     994,    -1,  1161,   505,   798,    -1,   193,   800,    -1,   801,
      -1,   800,   801,    -1,  1181,    -1,   274,   546,    -1,   160,
     131,   503,   946,   108,   946,   504,   469,   229,   751,   803,
      -1,   160,   131,   503,   946,   108,   946,   504,   470,   229,
     803,    -1,   160,   131,   503,   946,   108,   946,   504,   469,
     257,   803,    -1,   108,   246,    -1,   108,   111,    -1,    -1,
     197,   131,   805,   503,   946,   108,   946,   504,   560,    -1,
     242,   211,    -1,    -1,   364,   807,  1031,   808,    -1,   364,
     418,  1033,   808,    -1,   364,   174,  1033,   808,    -1,   250,
      -1,   419,    -1,   223,    -1,    -1,   101,    98,  1039,   701,
     367,   429,  1033,    -1,   101,   144,   726,   367,   429,  1033,
      -1,   101,   157,   726,   367,   429,  1033,    -1,   101,   174,
    1034,   367,   429,  1034,    -1,   101,   195,   726,   367,   429,
    1033,    -1,   101,   195,   726,   367,   153,  1033,   429,  1033,
      -1,   101,   224,   173,   472,  1033,   367,   429,  1033,    -1,
     101,   229,   751,   367,   429,  1033,    -1,   101,   235,  1042,
     367,   429,  1042,    -1,   101,   640,   274,  1033,   367,   429,
    1033,    -1,   101,   325,   139,   726,   451,  1035,   367,   429,
    1033,    -1,   101,   325,   217,   726,   451,  1035,   367,   429,
    1033,    -1,   101,   384,  1033,   367,   429,  1033,    -1,   101,
     393,  1033,   367,   429,  1033,    -1,   101,   419,   937,   367,
     429,  1033,    -1,   101,   419,   242,   211,   937,   367,   429,
    1033,    -1,   101,   390,  1031,   367,   429,  1033,    -1,   101,
     390,   242,   211,  1031,   367,   429,  1033,    -1,   101,   463,
    1031,   367,   429,  1033,    -1,   101,   463,   242,   211,  1031,
     367,   429,  1033,    -1,   101,   250,  1031,   367,   429,  1033,
      -1,   101,   250,   242,   211,  1031,   367,   429,  1033,    -1,
     101,   224,   419,   937,   367,   429,  1033,    -1,   101,   224,
     419,   242,   211,   937,   367,   429,  1033,    -1,   101,   419,
     937,   367,   810,  1033,   429,  1033,    -1,   101,   419,   242,
     211,   937,   367,   810,  1033,   429,  1033,    -1,   101,   419,
     937,   367,   153,  1033,   429,  1033,    -1,   101,   224,   419,
     937,   367,   810,  1033,   429,  1033,    -1,   101,   224,   419,
     242,   211,   937,   367,   810,  1033,   429,  1033,    -1,   101,
     433,  1033,   323,  1031,   367,   429,  1033,    -1,   101,   378,
    1042,   367,   429,  1042,    -1,   101,   450,  1042,   367,   429,
    1042,    -1,   101,   421,  1033,   367,   429,  1033,    -1,   101,
     421,  1033,   396,   563,    -1,   101,   421,  1033,   371,   563,
      -1,   101,   425,   386,   337,   726,   367,   429,  1033,    -1,
     101,   425,   386,   189,   726,   367,   429,  1033,    -1,   101,
     425,   386,   423,   726,   367,   429,  1033,    -1,   101,   425,
     386,   151,   726,   367,   429,  1033,    -1,   101,   438,   726,
     367,   429,  1033,    -1,   101,   438,   726,   367,   114,  1033,
     429,  1033,   560,    -1,   145,    -1,    -1,   396,   173,    -1,
      -1,   101,    98,  1039,   701,   396,   384,  1033,    -1,   101,
     144,   726,   396,   384,  1033,    -1,   101,   157,   726,   396,
     384,  1033,    -1,   101,   195,   726,   396,   384,  1033,    -1,
     101,   213,   726,   396,   384,  1033,    -1,   101,   229,   751,
     396,   384,  1033,    -1,   101,   325,   798,   797,   396,   384,
    1033,    -1,   101,   325,   139,   726,   451,  1035,   396,   384,
    1033,    -1,   101,   325,   217,   726,   451,  1035,   396,   384,
    1033,    -1,   101,   419,   937,   396,   384,  1033,    -1,   101,
     419,   242,   211,   937,   396,   384,  1033,    -1,   101,   425,
     386,   337,   726,   396,   384,  1033,    -1,   101,   425,   386,
     189,   726,   396,   384,  1033,    -1,   101,   425,   386,   423,
     726,   396,   384,  1033,    -1,   101,   425,   386,   151,   726,
     396,   384,  1033,    -1,   101,   390,  1031,   396,   384,  1033,
      -1,   101,   390,   242,   211,  1031,   396,   384,  1033,    -1,
     101,   463,  1031,   396,   384,  1033,    -1,   101,   463,   242,
     211,  1031,   396,   384,  1033,    -1,   101,   224,   419,   937,
     396,   384,  1033,    -1,   101,   224,   419,   242,   211,   937,
     396,   384,  1033,    -1,   101,   438,   726,   396,   384,  1033,
      -1,   101,    98,  1039,   701,   336,   429,  1042,    -1,   101,
     144,   726,   336,   429,  1042,    -1,   101,   157,   726,   336,
     429,  1042,    -1,   101,   174,  1034,   336,   429,  1042,    -1,
     101,   195,   726,   336,   429,  1042,    -1,   101,   229,   751,
     336,   429,  1042,    -1,   101,   640,   274,  1033,   336,   429,
    1042,    -1,   101,   275,   318,   631,   336,   429,  1042,    -1,
     101,   325,   798,   797,   336,   429,  1042,    -1,   101,   325,
     139,   726,   451,  1035,   336,   429,  1042,    -1,   101,   325,
     217,   726,   451,  1035,   336,   429,  1042,    -1,   101,   384,
    1033,   336,   429,  1042,    -1,   101,   438,   726,   336,   429,
    1042,    -1,   101,   421,  1033,   336,   429,  1042,    -1,   101,
     425,   386,   189,   726,   336,   429,  1042,    -1,   101,   425,
     386,   151,   726,   336,   429,  1042,    -1,   101,   224,   173,
     472,  1033,   336,   429,  1042,    -1,   101,   393,  1033,   336,
     429,  1042,    -1,   160,   773,   382,  1033,   108,   323,   819,
     429,  1031,   941,   193,   820,   815,    -1,   310,    -1,   817,
      -1,   503,   816,   504,    -1,   816,   507,   818,    -1,   818,
      -1,   893,    -1,   871,    -1,   882,    -1,   876,    -1,   822,
      -1,   817,    -1,    -1,   389,    -1,   449,    -1,   185,    -1,
     260,    -1,   261,    -1,   100,    -1,    -1,   197,   382,  1033,
     323,   726,   560,    -1,   197,   382,   242,   211,  1033,   323,
     726,   560,    -1,   311,  1161,   823,    -1,   506,  1181,    -1,
      -1,   286,  1161,    -1,   446,  1161,    -1,   446,   496,    -1,
      91,   827,    -1,   118,   827,   830,    -1,   407,   431,   830,
      -1,   148,   827,    -1,   203,   827,    -1,   379,   827,    -1,
     383,  1161,    -1,   366,   383,  1161,    -1,   366,  1161,    -1,
     379,   827,   429,   383,  1161,    -1,   379,   827,   429,  1161,
      -1,   348,   431,  1181,    -1,   148,   349,  1181,    -1,   379,
     349,  1181,    -1,   471,    -1,   431,    -1,    -1,   270,   283,
     542,    -1,   357,   324,    -1,   357,   473,    -1,   182,    -1,
     309,   182,    -1,   828,    -1,   829,   506,   828,    -1,   829,
     828,    -1,   829,    -1,    -1,   160,   587,   463,  1031,   606,
     564,   108,   893,   832,    -1,   160,   328,   369,   587,   463,
    1031,   606,   564,   108,   893,   832,    -1,   469,   137,   326,
      -1,   469,   129,   137,   326,    -1,   469,   288,   137,   326,
      -1,    -1,   287,  1038,    -1,   160,   174,  1034,   515,   835,
      -1,   835,   836,    -1,    -1,   421,   837,  1033,    -1,   421,
     837,   180,    -1,   291,   837,  1181,    -1,   291,   837,   180,
      -1,   423,   837,  1033,    -1,   423,   837,   180,    -1,   201,
     837,  1181,    -1,   201,   837,  1041,    -1,   201,   837,   180,
      -1,   277,   837,  1181,    -1,   277,   837,   180,    -1,   278,
     837,  1181,    -1,   278,   837,   180,    -1,   152,   285,   837,
    1043,    -1,   336,   837,  1033,    -1,   336,   837,   180,    -1,
     490,    -1,    -1,   101,   174,  1034,   515,   840,    -1,   101,
     174,  1034,   396,   421,  1033,    -1,   101,   174,  1034,   548,
      -1,   840,   841,    -1,    -1,   152,   285,   837,  1043,    -1,
     197,   174,  1034,    -1,   197,   174,   242,   211,  1034,    -1,
     160,   195,   726,   845,   946,   596,    -1,   101,   195,   726,
     559,    -1,   101,   195,   726,   197,   309,   314,    -1,   101,
     195,   726,   396,   309,   314,    -1,   101,   195,   726,    95,
     603,    -1,   101,   195,   726,   197,   153,  1033,   560,    -1,
     101,   195,   726,   197,   153,   242,   211,  1033,   560,    -1,
     101,   195,   726,   454,   153,  1033,    -1,   108,    -1,    -1,
     101,   425,   386,   189,   726,   697,    -1,   101,   425,   386,
     151,   726,    95,   293,   222,  1032,   469,   725,    -1,   101,
     425,   386,   151,   726,   101,   293,   222,  1032,   469,   725,
      -1,   101,   425,   386,   151,   726,   101,   293,   369,   726,
     469,   726,    -1,   101,   425,   386,   151,   726,   101,   293,
     222,  1032,   369,   726,   469,   726,    -1,   101,   425,   386,
     151,   726,   197,   293,   222,  1032,    -1,   101,   425,   386,
     151,   726,   197,   293,   242,   211,   222,  1032,    -1,   160,
     711,   157,   726,   222,  1181,   429,  1181,   227,   726,    -1,
     141,   856,  1031,   850,    -1,   141,   856,    -1,   141,   856,
    1037,   323,  1031,    -1,   451,  1037,    -1,    -1,   452,   857,
     858,   856,    -1,   452,   857,   858,   856,  1031,    -1,   452,
     857,   858,   856,   854,    -1,   452,   503,   852,   504,    -1,
     452,   503,   852,   504,  1031,   859,    -1,   853,    -1,   852,
     506,   853,    -1,   855,    -1,   461,    -1,   226,    -1,   228,
      -1,   855,   856,    -1,   855,   856,  1031,   859,    -1,   104,
      -1,   103,    -1,   461,    -1,    -1,   228,    -1,    -1,   226,
      -1,    -1,   503,  1032,   504,    -1,    -1,   212,   861,    -1,
     212,   855,   856,   861,    -1,   212,   461,   861,    -1,   212,
     503,   862,   504,   861,    -1,   893,    -1,   871,    -1,   882,
      -1,   876,    -1,   889,    -1,  1050,    -1,   869,    -1,   863,
      -1,   862,   506,   863,    -1,   864,   865,    -1,  1161,    -1,
     855,    -1,   461,    -1,   543,    -1,   631,    -1,    -1,   348,
    1069,   867,   108,   868,    -1,   348,  1069,   227,  1114,    -1,
     503,  1002,   504,    -1,    -1,   893,    -1,   871,    -1,   882,
      -1,   876,    -1,   210,  1069,   870,  1193,    -1,   160,   587,
     419,   623,   108,   210,  1033,   870,   624,    -1,   503,   999,
     504,    -1,    -1,   901,   260,   266,  1031,   872,   875,    -1,
     893,    -1,   503,   873,   504,   893,    -1,   180,   457,    -1,
     874,    -1,   873,   506,   874,    -1,  1161,  1023,    -1,   374,
    1028,  1194,    -1,    -1,   901,   185,   227,   939,   877,   942,
     875,    -1,   451,   930,    -1,    -1,   292,   904,   938,   879,
     881,    -1,   247,   880,   298,    -1,    -1,    93,   398,    -1,
     380,   398,    -1,   380,   209,    -1,   398,   449,   209,    -1,
     398,    -1,   398,   380,   209,    -1,   209,    -1,    93,   209,
      -1,   313,    -1,    -1,   901,   449,   939,   396,   883,   929,
     942,   875,    -1,   884,    -1,   883,   506,   884,    -1,   885,
      -1,   886,    -1,   887,   490,  1025,    -1,   503,   888,   504,
     490,  1027,    -1,  1161,  1023,    -1,   887,    -1,   888,   506,
     887,    -1,   179,   890,   891,   171,   892,   222,   893,    -1,
    1033,    -1,  1174,    -1,    -1,   891,   307,   385,    -1,   891,
     385,    -1,   891,   121,    -1,   891,   259,    -1,    -1,   469,
     239,    -1,   470,   239,    -1,   895,    -1,   894,    -1,   503,
     895,   504,    -1,   503,   894,   504,    -1,   897,    -1,   896,
     908,    -1,   896,   907,   923,   912,    -1,   896,   907,   911,
     924,    -1,   898,   896,    -1,   898,   896,   908,    -1,   898,
     896,   907,   923,   912,    -1,   898,   896,   907,   911,   924,
      -1,   897,    -1,   894,    -1,   389,   906,  1028,   902,   929,
     941,   921,   922,   982,    -1,   928,    -1,   419,   937,    -1,
     896,   443,   905,   896,    -1,   896,   264,   905,   896,    -1,
     896,   206,   905,   896,    -1,   469,   899,    -1,   469,   361,
     899,    -1,   900,    -1,   899,   506,   900,    -1,  1033,   859,
     108,   503,   868,   504,    -1,   898,    -1,    -1,   266,   903,
      -1,  1194,    -1,    -1,   424,   904,  1031,    -1,   422,   904,
    1031,    -1,   288,   424,   904,  1031,    -1,   288,   422,   904,
    1031,    -1,   231,   424,   904,  1031,    -1,   231,   422,   904,
    1031,    -1,   447,   904,  1031,    -1,   419,  1031,    -1,  1031,
      -1,   419,    -1,    -1,    99,    -1,   192,    -1,    -1,   192,
      -1,   192,   323,   503,   999,   504,    -1,    99,    -1,    -1,
     908,    -1,    -1,   329,   125,   909,    -1,   910,    -1,   909,
     506,   910,    -1,   970,   451,   997,   771,    -1,   970,   770,
     771,    -1,   913,   914,    -1,   914,   913,    -1,   913,    -1,
     914,    -1,   911,    -1,    -1,   285,   915,    -1,   285,   915,
     506,   916,    -1,   218,   920,   917,   919,   324,    -1,   321,
     916,    -1,   321,   918,   919,    -1,   970,    -1,    99,    -1,
     970,    -1,  1043,    -1,   503,   970,   504,    -1,    -1,   972,
      -1,   380,    -1,   381,    -1,   219,    -1,   306,    -1,   235,
     125,   999,    -1,    -1,   237,   970,    -1,    -1,   925,    -1,
     222,   357,   324,    -1,   923,    -1,    -1,   926,    -1,   925,
     926,    -1,   222,   449,   927,   881,    -1,   222,   398,   927,
     881,    -1,   319,  1030,    -1,    -1,   457,  1027,    -1,   928,
     506,  1027,    -1,   227,   930,    -1,    -1,   931,    -1,   930,
     506,   931,    -1,   937,    -1,   937,   933,    -1,   940,    -1,
     940,   933,    -1,   940,   108,   503,   944,   504,    -1,   940,
     108,  1161,   503,   944,   504,    -1,   940,  1161,   503,   944,
     504,    -1,   894,    -1,   894,   933,    -1,   932,    -1,   503,
     932,   504,   933,    -1,   503,   932,   504,    -1,   931,   161,
     271,   931,    -1,   931,   934,   271,   931,   936,    -1,   931,
     271,   931,   936,    -1,   931,   304,   934,   271,   931,    -1,
     931,   304,   271,   931,    -1,   108,  1161,   503,  1032,   504,
      -1,   108,  1161,    -1,  1161,   503,  1032,   504,    -1,  1161,
      -1,   228,   935,    -1,   282,   935,    -1,   377,   935,    -1,
     256,    -1,   331,    -1,    -1,   451,   503,  1032,   504,    -1,
     323,   970,    -1,  1031,    -1,  1031,   496,    -1,   324,  1031,
      -1,   324,   503,  1031,   504,    -1,   937,    -1,   938,   506,
     937,    -1,   937,    -1,   937,  1161,    -1,   937,   108,  1161,
      -1,   973,    -1,   466,   970,    -1,    -1,   466,   970,    -1,
     466,   163,   319,   890,    -1,    -1,   944,    -1,    -1,   945,
      -1,   944,   506,   945,    -1,  1161,   946,   561,    -1,   948,
     947,    -1,   397,   948,   947,    -1,   948,   107,   501,  1041,
     502,    -1,   397,   948,   107,   501,  1041,   502,    -1,   948,
     107,    -1,   397,   948,   107,    -1,   947,   501,   502,    -1,
     947,   501,  1192,   502,    -1,    -1,   950,    -1,   952,    -1,
     954,    -1,   958,    -1,   965,    -1,   966,   968,    -1,   966,
     503,  1041,   504,   968,    -1,   952,    -1,   955,    -1,   959,
      -1,   965,    -1,  1162,   951,    -1,  1162,   727,   951,    -1,
     503,   999,   504,    -1,    -1,   262,    -1,   263,    -1,   402,
      -1,   120,    -1,   358,    -1,   220,   953,    -1,   196,   346,
      -1,   178,   951,    -1,   177,   951,    -1,   317,   951,    -1,
     123,    -1,   503,  1041,   504,    -1,    -1,   956,    -1,   957,
      -1,   956,    -1,   957,    -1,   122,   963,   503,   999,   504,
      -1,   122,   963,    -1,   960,    -1,   961,    -1,   960,    -1,
     961,    -1,   962,   503,  1041,   504,   964,    -1,   962,   964,
      -1,   135,   963,    -1,   134,   963,    -1,   458,    -1,   303,
     135,   963,    -1,   303,   134,   963,    -1,   305,   963,    -1,
     460,    -1,    -1,   135,   396,  1161,    -1,    -1,   428,   503,
    1041,   504,   967,    -1,   428,   967,    -1,   427,   503,  1041,
     504,   967,    -1,   427,   967,    -1,   265,    -1,   489,   486,
      -1,   470,   427,   486,    -1,    -1,   484,    -1,   299,    -1,
     175,    -1,   240,    -1,   296,    -1,   969,    -1,   484,   429,
     299,    -1,   175,   429,   240,    -1,   175,   429,   296,    -1,
     175,   429,   969,    -1,   240,   429,   296,    -1,   240,   429,
     969,    -1,   296,   429,   969,    -1,    -1,   387,    -1,   387,
     503,  1041,   504,    -1,   972,    -1,   970,    88,   946,    -1,
     970,   143,   726,    -1,   970,   113,   427,   486,   970,    -1,
     494,   970,    -1,   495,   970,    -1,   970,   494,   970,    -1,
     970,   495,   970,    -1,   970,   496,   970,    -1,   970,   497,
     970,    -1,   970,   498,   970,    -1,   970,   499,   970,    -1,
     970,   491,   970,    -1,   970,   492,   970,    -1,   970,   490,
     970,    -1,   970,   996,   970,    -1,   996,   970,    -1,   970,
     996,    -1,   970,   105,   970,    -1,   970,   328,   970,    -1,
     309,   970,    -1,   970,   284,   970,    -1,   970,   284,   970,
     205,   970,    -1,   970,   309,   284,   970,    -1,   970,   309,
     284,   970,   205,   970,    -1,   970,   243,   970,    -1,   970,
     243,   970,   205,   970,    -1,   970,   309,   243,   970,    -1,
     970,   309,   243,   970,   205,   970,    -1,   970,   400,   429,
     970,    -1,   970,   400,   429,   970,   205,   970,    -1,   970,
     309,   400,   429,   970,    -1,   970,   309,   400,   429,   970,
     205,   970,    -1,   970,   268,   314,    -1,   970,   269,    -1,
     970,   268,   309,   314,    -1,   970,   312,    -1,   992,   333,
     992,    -1,   970,   268,   435,    -1,   970,   268,   309,   435,
      -1,   970,   268,   216,    -1,   970,   268,   309,   216,    -1,
     970,   268,   445,    -1,   970,   268,   309,   445,    -1,   970,
     268,   192,   227,   970,    -1,   970,   268,   309,   192,   227,
     970,    -1,   970,   268,   319,   503,  1002,   504,    -1,   970,
     268,   309,   319,   503,  1002,   504,    -1,   970,   119,  1024,
     971,   105,   971,    -1,   970,   309,   119,  1024,   971,   105,
     971,    -1,   970,   119,   416,   971,   105,   971,    -1,   970,
     309,   119,   416,   971,   105,   971,    -1,   970,   247,  1014,
      -1,   970,   309,   247,  1014,    -1,   970,   998,   993,   894,
      -1,   970,   998,   993,   503,   970,   504,    -1,   444,   894,
      -1,   970,   268,   194,    -1,   970,   268,   309,   194,    -1,
     972,    -1,   971,    88,   946,    -1,   494,   971,    -1,   495,
     971,    -1,   971,   494,   971,    -1,   971,   495,   971,    -1,
     971,   496,   971,    -1,   971,   497,   971,    -1,   971,   498,
     971,    -1,   971,   499,   971,    -1,   971,   491,   971,    -1,
     971,   492,   971,    -1,   971,   490,   971,    -1,   971,   996,
     971,    -1,   996,   971,    -1,   971,   996,    -1,   971,   268,
     192,   227,   971,    -1,   971,   268,   309,   192,   227,   971,
      -1,   971,   268,   319,   503,  1002,   504,    -1,   971,   268,
     309,   319,   503,  1002,   504,    -1,   971,   268,   194,    -1,
     971,   268,   309,   194,    -1,  1020,    -1,  1040,    -1,  1178,
    1023,    -1,   503,   970,   504,  1023,    -1,  1015,    -1,   973,
      -1,   894,    -1,   211,   894,    -1,   107,   894,    -1,   107,
    1003,    -1,   992,    -1,  1039,   503,   504,   985,    -1,  1039,
     503,  1000,   504,   985,    -1,  1039,   503,   459,  1001,   504,
     985,    -1,  1039,   503,  1000,   506,   459,  1001,   504,   985,
      -1,  1039,   503,  1000,   908,   504,   985,    -1,  1039,   503,
      99,  1000,   907,   504,   985,    -1,  1039,   503,   192,  1000,
     907,   504,   985,    -1,  1039,   503,   496,   504,   985,    -1,
     144,   222,   503,   970,   504,    -1,   165,    -1,   168,    -1,
     168,   503,  1041,   504,    -1,   169,    -1,   169,   503,  1041,
     504,    -1,   289,    -1,   289,   503,  1041,   504,    -1,   290,
      -1,   290,   503,  1041,   504,    -1,   166,    -1,   170,    -1,
     395,    -1,   450,    -1,   164,    -1,   167,    -1,   131,   503,
     970,   108,   946,   504,    -1,   215,   503,  1005,   504,    -1,
     334,   503,  1007,   504,    -1,   344,   503,  1009,   504,    -1,
     415,   503,  1010,   504,    -1,   432,   503,   970,   108,   946,
     504,    -1,   434,   503,   124,  1013,   504,    -1,   434,   503,
     279,  1013,   504,    -1,   434,   503,   430,  1013,   504,    -1,
     434,   503,  1013,   504,    -1,   315,   503,   970,   506,   970,
     504,    -1,   142,   503,   999,   504,    -1,   234,   503,   999,
     504,    -1,   281,   503,   999,   504,    -1,   476,   503,   999,
     504,    -1,   477,   503,   301,  1163,   504,    -1,   477,   503,
     301,  1163,   506,   976,   504,    -1,   477,   503,   301,  1163,
     506,   999,   504,    -1,   477,   503,   301,  1163,   506,   976,
     506,   999,   504,    -1,   478,   503,   972,   981,   504,    -1,
     479,   503,   977,   504,    -1,   480,   503,   979,   970,   980,
     504,    -1,   481,   503,   301,  1163,   504,    -1,   481,   503,
     301,  1163,   506,   970,   504,    -1,   482,   503,   970,   506,
     974,   975,   504,    -1,   483,   503,   979,   970,   108,   948,
     504,    -1,   462,   970,    -1,   462,   307,   456,    -1,   506,
     406,   485,    -1,   506,   406,   307,    -1,   506,   406,   307,
     456,    -1,    -1,   475,   503,   977,   504,    -1,   978,    -1,
     977,   506,   978,    -1,   970,   108,  1163,    -1,   970,    -1,
     194,    -1,   155,    -1,   347,   467,    -1,   414,   467,    -1,
      -1,   340,   972,    -1,   340,   972,   125,   362,    -1,   340,
     125,   362,   972,    -1,   340,   125,   362,   972,   125,   362,
      -1,   468,   983,    -1,    -1,   984,    -1,   983,   506,   984,
      -1,  1161,   108,   986,    -1,   332,   986,    -1,   332,  1161,
      -1,    -1,   503,   987,   988,   907,   989,   504,    -1,  1161,
      -1,    -1,   339,   125,   999,    -1,    -1,   356,   990,    -1,
     381,   990,    -1,    -1,   991,    -1,   119,   991,   105,   991,
      -1,   440,   345,    -1,   440,   221,    -1,   163,   380,    -1,
     970,   345,    -1,   970,   221,    -1,   380,   503,   999,   504,
      -1,   380,   503,   504,    -1,   503,   999,   506,   970,   504,
      -1,   106,    -1,   404,    -1,    99,    -1,    85,    -1,   995,
      -1,   494,    -1,   495,    -1,   496,    -1,   497,    -1,   498,
      -1,   499,    -1,   491,    -1,   492,    -1,   490,    -1,    85,
      -1,   325,   503,   798,   504,    -1,   994,    -1,   325,   503,
     798,   504,    -1,   994,    -1,   325,   503,   798,   504,    -1,
     284,    -1,   309,   284,    -1,   243,    -1,   309,   243,    -1,
     970,    -1,   999,   506,   970,    -1,  1001,    -1,  1000,   506,
    1001,    -1,   970,    -1,   780,    90,   970,    -1,   946,    -1,
    1002,   506,   946,    -1,   501,   999,   502,    -1,   501,  1004,
     502,    -1,   501,   502,    -1,  1003,    -1,  1004,   506,  1003,
      -1,  1006,   227,   970,    -1,    -1,  1183,    -1,   484,    -1,
     299,    -1,   175,    -1,   240,    -1,   296,    -1,   387,    -1,
    1181,    -1,   970,  1008,  1011,  1012,    -1,   970,  1008,  1011,
      -1,   342,   970,    -1,   971,   247,   971,    -1,    -1,   970,
    1011,  1012,    -1,   970,  1012,  1011,    -1,   970,  1011,    -1,
     970,  1012,    -1,   999,    -1,    -1,   227,   970,    -1,   222,
     970,    -1,   970,   227,   999,    -1,   227,   999,    -1,   999,
      -1,   894,    -1,   503,   999,   504,    -1,   130,  1019,  1016,
    1018,   203,    -1,  1017,    -1,  1016,  1017,    -1,   465,   970,
     426,   970,    -1,   199,   970,    -1,    -1,   970,    -1,    -1,
    1161,    -1,  1161,  1022,    -1,   505,  1036,    -1,   505,   496,
      -1,   501,   970,   502,    -1,   501,   970,   508,   970,   502,
      -1,  1021,    -1,  1022,  1021,    -1,    -1,  1023,  1021,    -1,
     112,    -1,    -1,   970,    -1,   180,    -1,  1025,    -1,  1026,
     506,  1025,    -1,   503,  1026,   504,    -1,  1029,    -1,  1028,
     506,  1029,    -1,   970,   108,  1163,    -1,   970,  1183,    -1,
     970,    -1,   496,    -1,  1031,    -1,  1030,   506,  1031,    -1,
    1161,    -1,  1161,  1022,    -1,  1033,    -1,  1032,   506,  1033,
      -1,  1161,    -1,  1161,    -1,  1161,    -1,  1163,    -1,  1161,
      -1,  1181,    -1,  1162,    -1,  1161,  1022,    -1,  1041,    -1,
    1180,    -1,  1181,    -1,  1179,    -1,    84,    -1,  1039,  1181,
      -1,  1039,   503,  1000,   504,  1181,    -1,   949,  1181,    -1,
     966,  1181,   968,    -1,   966,   503,  1041,   504,  1181,   968,
      -1,   435,    -1,   216,    -1,   314,    -1,  1175,    -1,  1173,
      -1,    86,    -1,  1161,    -1,  1041,    -1,  1175,    -1,   494,
    1041,    -1,   495,  1041,    -1,    91,    -1,    92,    -1,    93,
      -1,    94,    -1,    95,    -1,    96,    -1,    97,    -1,    98,
      -1,   100,    -1,   101,    -1,   102,    -1,   110,    -1,   111,
      -1,   113,    -1,   114,    -1,   116,    -1,   117,    -1,   118,
      -1,   125,    -1,   126,    -1,   127,    -1,   128,    -1,   129,
      -1,   132,    -1,   133,    -1,   136,    -1,   138,    -1,   139,
      -1,   140,    -1,   141,    -1,   146,    -1,   147,    -1,   148,
      -1,   149,    -1,   151,    -1,   154,    -1,   155,    -1,   156,
      -1,   157,    -1,   158,    -1,   159,    -1,   162,    -1,   171,
      -1,   172,    -1,   173,    -1,   174,    -1,   176,    -1,   179,
      -1,   181,    -1,   183,    -1,   184,    -1,   185,    -1,   186,
      -1,   187,    -1,   189,    -1,   190,    -1,   191,    -1,   194,
      -1,   195,    -1,   196,    -1,   197,    -1,   198,    -1,   200,
      -1,   201,    -1,   202,    -1,   204,    -1,   205,    -1,   207,
      -1,   208,    -1,   209,    -1,   210,    -1,   212,    -1,   213,
      -1,   214,    -1,   217,    -1,   219,    -1,   221,    -1,   223,
      -1,   225,    -1,   229,    -1,   230,    -1,   231,    -1,   233,
      -1,   236,    -1,   238,    -1,   239,    -1,   241,    -1,   242,
      -1,   244,    -1,   245,    -1,   246,    -1,   248,    -1,   249,
      -1,   250,    -1,   251,    -1,   252,    -1,   253,    -1,   255,
      -1,   259,    -1,   260,    -1,   261,    -1,   267,    -1,   270,
      -1,   272,    -1,   273,    -1,   274,    -1,   275,    -1,   276,
      -1,   277,    -1,   278,    -1,   280,    -1,   283,    -1,   286,
      -1,   287,    -1,   288,    -1,   291,    -1,   292,    -1,   293,
      -1,   294,    -1,   295,    -1,   297,    -1,   298,    -1,   300,
      -1,   301,    -1,   302,    -1,   306,    -1,   307,    -1,   310,
      -1,   311,    -1,   313,    -1,   316,    -1,   318,    -1,   319,
      -1,   320,    -1,   322,    -1,   325,    -1,   326,    -1,   327,
      -1,   335,    -1,   336,    -1,   337,    -1,   338,    -1,   339,
      -1,   340,    -1,   341,    -1,   343,    -1,   345,    -1,   348,
      -1,   349,    -1,   347,    -1,   351,    -1,   352,    -1,   353,
      -1,   354,    -1,   355,    -1,   356,    -1,   357,    -1,   359,
      -1,   360,    -1,   361,    -1,   362,    -1,   364,    -1,   365,
      -1,   366,    -1,   367,    -1,   368,    -1,   369,    -1,   370,
      -1,   371,    -1,   372,    -1,   373,    -1,   375,    -1,   376,
      -1,   378,    -1,   379,    -1,   381,    -1,   382,    -1,   383,
      -1,   384,    -1,   385,    -1,   386,    -1,   388,    -1,   390,
      -1,   391,    -1,   392,    -1,   393,    -1,   394,    -1,   396,
      -1,   398,    -1,   399,    -1,   401,    -1,   403,    -1,   405,
      -1,   406,    -1,   407,    -1,   408,    -1,   409,    -1,   410,
      -1,   411,    -1,   412,    -1,   413,    -1,   414,    -1,   417,
      -1,   418,    -1,   420,    -1,   421,    -1,   422,    -1,   423,
      -1,   424,    -1,   425,    -1,   431,    -1,   433,    -1,   436,
      -1,   437,    -1,   438,    -1,   439,    -1,   440,    -1,   441,
      -1,   442,    -1,   445,    -1,   446,    -1,   447,    -1,   448,
      -1,   449,    -1,   452,    -1,   453,    -1,   454,    -1,   455,
      -1,   456,    -1,   460,    -1,   462,    -1,   463,    -1,   464,
      -1,   467,    -1,   470,    -1,   471,    -1,   472,    -1,   473,
      -1,   474,    -1,   485,    -1,   486,    -1,   119,    -1,   120,
      -1,   122,    -1,   123,    -1,   135,    -1,   142,    -1,   177,
      -1,   178,    -1,   211,    -1,   215,    -1,   220,    -1,   234,
      -1,   257,    -1,   263,    -1,   265,    -1,   281,    -1,   303,
      -1,   305,    -1,   308,    -1,   315,    -1,   317,    -1,   330,
      -1,   334,    -1,   344,    -1,   346,    -1,   358,    -1,   380,
      -1,   397,    -1,   402,    -1,   415,    -1,   427,    -1,   428,
      -1,   432,    -1,   434,    -1,   458,    -1,   475,    -1,   476,
      -1,   477,    -1,   478,    -1,   479,    -1,   480,    -1,   481,
      -1,   482,    -1,   483,    -1,   115,    -1,   121,    -1,   144,
      -1,   150,    -1,   161,    -1,   167,    -1,   226,    -1,   228,
      -1,   243,    -1,   256,    -1,   268,    -1,   269,    -1,   271,
      -1,   282,    -1,   284,    -1,   304,    -1,   312,    -1,   331,
      -1,   332,    -1,   333,    -1,   377,    -1,   400,    -1,   461,
      -1,    99,    -1,   103,    -1,   104,    -1,   105,    -1,   106,
      -1,   107,    -1,   108,    -1,   109,    -1,   112,    -1,   124,
      -1,   130,    -1,   131,    -1,   137,    -1,   143,    -1,   145,
      -1,   153,    -1,   160,    -1,   164,    -1,   165,    -1,   166,
      -1,   168,    -1,   169,    -1,   170,    -1,   180,    -1,   182,
      -1,   188,    -1,   192,    -1,   193,    -1,   199,    -1,   203,
      -1,   206,    -1,   216,    -1,   218,    -1,   222,    -1,   224,
      -1,   227,    -1,   232,    -1,   235,    -1,   237,    -1,   247,
      -1,   254,    -1,   264,    -1,   266,    -1,   279,    -1,   285,
      -1,   289,    -1,   290,    -1,   309,    -1,   314,    -1,   321,
      -1,   323,    -1,   324,    -1,   328,    -1,   329,    -1,   342,
      -1,   350,    -1,   363,    -1,   374,    -1,   389,    -1,   395,
      -1,   404,    -1,   416,    -1,   419,    -1,   426,    -1,   430,
      -1,   435,    -1,   444,    -1,   450,    -1,   451,    -1,   459,
      -1,   465,    -1,   466,    -1,   468,    -1,   469,    -1,    -1,
    1048,  1049,    -1,  1170,  1052,   513,   507,    -1,  1170,   513,
     507,    -1,  1170,  1072,    -1,  1077,    -1,  1189,    -1,    73,
      -1,   509,    -1,   510,    -1,    -1,   160,   587,   419,   623,
     108,  1051,   893,   624,    -1,   113,  1113,    -1,     9,   429,
    1054,  1061,  1062,    -1,     9,   429,   180,    -1,     9,  1063,
      -1,   174,  1054,    -1,  1055,  1058,  1060,    -1,  1056,   508,
    1057,  1060,   497,  1055,  1066,    -1,  1065,    -1,  1181,    -1,
    1034,    -1,    -1,  1183,  1177,    -1,    85,  1059,    -1,  1057,
      -1,    -1,  1161,    -1,  1161,   505,  1059,    -1,    74,    -1,
     508,  1041,    -1,    -1,   108,  1113,    -1,    -1,   450,  1063,
      -1,    -1,  1064,    -1,  1064,   497,  1064,    -1,  1064,    21,
     125,  1064,    -1,  1064,   451,  1064,    -1,  1042,    -1,  1181,
      -1,  1175,    -1,  1177,    -1,    85,  1067,    -1,    -1,  1161,
    1068,    -1,  1161,  1068,    85,  1067,    -1,    -1,   490,  1041,
      -1,   490,  1183,    -1,   490,  1175,    -1,  1033,    -1,  1065,
      -1,   179,   890,   891,   171,   892,   222,  1069,    -1,   210,
     244,  1114,    -1,  1073,    -1,  1084,    -1,  1086,    -1,   631,
      -1,   506,   631,    -1,    -1,   968,    -1,   484,   429,   296,
      -1,   484,   429,   387,    -1,   175,   429,   175,    -1,   299,
     429,   299,    -1,    -1,  1079,  1078,  1081,  1080,    -1,  1170,
     118,   179,    34,   507,    -1,  1170,   203,   179,    34,   507,
      -1,    -1,  1082,    -1,  1073,    -1,    73,    -1,  1082,  1073,
      -1,  1082,    73,    -1,  1086,    -1,  1083,  1086,    -1,    -1,
      70,  1085,  1093,  1109,  1165,   947,   507,    -1,    -1,  1090,
    1093,  1087,  1106,   507,    -1,    -1,  1093,  1088,  1106,   507,
      -1,  1096,   507,    -1,   508,  1041,    -1,    -1,  1091,  1092,
      -1,  1091,    -1,  1092,    -1,    56,    -1,    67,    -1,    65,
      -1,    50,    -1,    51,    -1,    69,    -1,  1102,    -1,  1098,
      -1,  1094,    -1,  1165,   503,  1074,  1075,   504,    -1,  1165,
    1076,    -1,  1100,    -1,   204,  1159,  1095,    -1,   204,  1095,
      -1,   204,  1159,    -1,   509,  1187,   510,    -1,    -1,  1100,
    1097,   509,  1083,   510,    -1,  1096,    -1,    -1,  1101,  1099,
     509,  1083,   510,    -1,    43,  1159,    -1,   443,  1159,    -1,
      43,    -1,   443,    -1,  1103,    -1,  1105,  1104,    -1,    44,
      35,    -1,    44,    35,   262,    -1,    44,    -1,    44,   262,
      -1,    44,    25,    -1,    44,    25,   262,    -1,    44,    25,
      25,    -1,    44,    25,    25,   262,    -1,    44,   134,    -1,
      35,    -1,    35,   262,    -1,   262,    -1,    25,    -1,    25,
     262,    -1,    25,    25,    -1,    25,    25,   262,    -1,     5,
      -1,   134,    -1,   196,    -1,    36,    -1,    -1,  1107,    -1,
    1106,   506,  1107,    -1,  1109,  1164,   947,  1089,  1108,    -1,
      -1,   490,  1188,    -1,    -1,   496,    -1,   496,   496,    -1,
     179,   408,  1183,    -1,    15,  1112,    -1,  1113,    -1,   163,
      -1,    99,    -1,    -1,  1034,    -1,   180,    -1,  1065,    -1,
    1065,    -1,    71,    -1,    17,   890,    -1,    17,    99,    -1,
      28,   890,  1117,    -1,    -1,  1118,    -1,   451,  1122,    -1,
    1119,    -1,   451,    37,    14,  1184,    -1,   451,    14,  1033,
      -1,   266,    37,    14,  1184,    -1,   266,    14,  1033,    -1,
     266,  1033,    -1,  1123,    -1,  1123,   506,  1122,    -1,  1124,
      -1,  1175,    -1,  1173,    -1,  1041,    -1,   494,  1041,    -1,
     495,  1041,    -1,  1180,    -1,   494,  1180,    -1,   495,  1180,
      -1,  1181,    -1,  1179,    -1,  1182,    -1,    13,   258,  1069,
    1119,    -1,    13,  1126,  1069,  1119,    -1,    13,  1126,  1069,
    1120,    -1,    13,   258,  1069,  1121,    -1,    13,  1126,  1069,
    1121,    -1,    29,    -1,    -1,     3,    14,  1184,    -1,   176,
      14,  1184,    -1,    18,    14,  1184,  1130,    -1,  1131,    -1,
    1130,   506,  1131,    -1,  1177,   490,  1136,    -1,   396,    14,
    1184,  1133,    -1,  1134,    -1,  1133,   506,  1134,    -1,  1136,
     490,  1135,    -1,  1041,    -1,  1177,    -1,    10,    -1,    18,
      14,  1184,   456,  1135,  1138,    -1,  1139,    -1,  1138,   506,
    1139,    -1,  1177,   490,  1144,    -1,   396,    14,  1184,   456,
    1135,  1141,    -1,  1142,    -1,  1141,   506,  1142,    -1,  1144,
     490,  1143,    -1,  1180,    -1,  1135,    -1,   495,  1180,    -1,
     495,  1041,    -1,  1181,    -1,     8,    -1,   173,    -1,    11,
      -1,    12,    -1,    22,    -1,    23,    -1,    24,    -1,   301,
      -1,    26,    -1,    27,    -1,   346,    -1,    31,    -1,    32,
      -1,    33,    -1,   438,    -1,   396,     4,   490,  1146,    -1,
     396,     4,   429,  1146,    -1,   323,    -1,   320,    -1,   396,
     152,   429,  1113,    -1,   396,   152,   490,  1113,    -1,   396,
     152,  1113,    -1,    -1,   438,  1149,  1165,   268,  1093,   947,
    1150,    -1,    30,    -1,    -1,    -1,    45,  1152,  1163,   268,
    1093,   947,  1150,    -1,    46,    38,  1154,    -1,    46,   309,
      16,  1154,    -1,    46,    40,  1154,    -1,   156,    -1,    39,
      -1,    42,    -1,    20,  1033,    -1,    19,   429,  1033,    -1,
     193,  1033,   503,  1171,   504,    -1,   193,     6,    -1,     7,
    1033,   503,  1171,   504,    -1,     7,  1033,    -1,  1156,    -1,
    1157,    -1,     6,    -1,     7,    -1,     8,    -1,    10,    -1,
      11,    -1,    12,    -1,    16,    -1,    19,    -1,    20,    -1,
      21,    -1,    22,    -1,    23,    -1,    24,    -1,    26,    -1,
      27,    -1,    31,    -1,    32,    -1,    33,    -1,    34,    -1,
      37,    -1,    38,    -1,    39,    -1,    40,    -1,    42,    -1,
       9,    -1,    13,    -1,    15,    -1,    28,    -1,    45,    -1,
      46,    -1,     5,    -1,    25,    -1,    29,    -1,    35,    -1,
      43,    -1,    36,    -1,    44,    -1,  1163,    -1,  1183,    -1,
    1044,    -1,  1045,    -1,  1168,    -1,  1155,    -1,  1166,    -1,
     134,    -1,   457,    -1,  1183,    -1,  1167,    -1,  1045,    -1,
    1155,    -1,  1166,    -1,   134,    -1,   457,    -1,  1183,    -1,
    1167,    -1,  1046,    -1,  1155,    -1,  1166,    -1,  1158,    -1,
    1164,    -1,  1158,    -1,   134,    -1,   163,    -1,   258,    -1,
     262,    -1,   429,    -1,   443,    -1,   457,    -1,  1166,    -1,
    1168,    -1,  1165,    -1,  1044,    -1,  1047,    -1,  1157,    -1,
     152,    -1,  1183,    -1,  1045,    -1,  1046,    -1,  1156,    -1,
      50,    -1,    51,    -1,    56,    -1,    65,    -1,    67,    -1,
      70,    -1,    69,    -1,  1044,    -1,  1168,    -1,   152,    -1,
     175,    -1,   240,    -1,   296,    -1,   299,    -1,   387,    -1,
     484,    -1,  1172,    -1,  1169,   506,  1172,    -1,    41,    -1,
      -1,  1187,    -1,  1177,  1176,    -1,  1177,    -1,  1177,  1176,
      -1,  1065,    -1,  1177,    -1,  1177,    -1,    22,  1177,    -1,
      22,  1033,    -1,    72,    -1,    87,    -1,    83,    -1,    81,
      -1,    82,    -1,    76,    -1,    77,    -1,    78,    -1,    75,
      -1,    84,    -1,    80,    -1,    71,    -1,    79,    -1,  1033,
      -1,  1065,    -1,  1190,    -1,   503,   504,    -1,   503,  1186,
     504,    -1,  1185,    -1,  1186,  1185,    -1,  1188,    -1,  1187,
     506,  1188,    -1,  1186,    -1,   509,  1187,   510,    -1,  1190,
      -1,   503,    -1,   504,    -1,   506,    -1,   507,    -1,  1183,
      -1,  1041,    -1,  1180,    -1,  1181,    -1,   496,    -1,   494,
      -1,   495,    -1,   497,    -1,   498,    -1,   314,    -1,    47,
      -1,    48,    -1,    49,    -1,    50,    -1,    51,    -1,    52,
      -1,    53,    -1,    54,    -1,    55,    -1,    56,    -1,    57,
      -1,    58,    -1,    60,    -1,    59,    -1,    61,    -1,    62,
      -1,    63,    -1,    64,    -1,    65,    -1,    66,    -1,    67,
      -1,    68,    -1,    70,    -1,    69,    -1,     5,    -1,   204,
      -1,   240,    -1,   262,    -1,    25,    -1,   296,    -1,   299,
      -1,   387,    -1,    35,    -1,    36,    -1,    43,    -1,    44,
      -1,   484,    -1,   134,    -1,   220,    -1,   429,    -1,   443,
      -1,   458,    -1,   501,    -1,   502,    -1,   490,    -1,   508,
      -1,   176,  1069,    -1,   176,   348,  1069,    -1,   176,    99,
      -1,   176,   348,    99,    -1,  1041,    -1,   503,  1192,   504,
      -1,  1192,   494,  1192,    -1,  1192,   495,  1192,    -1,  1192,
     496,  1192,    -1,  1192,   497,  1192,    -1,  1192,   498,  1192,
      -1,  1181,    -1,  1161,    -1,    -1,  1118,  1194,    -1,  1194,
    1118,    -1,  1118,    -1,  1194,    -1,   266,  1169,    -1,  1120,
      -1,  1194,    -1,  1119,    -1,    -1,  1195,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1464,  1464,  1467,  1469,  1471,  1473,  1475,  1477,  1479,
    1481,  1483,  1485,  1487,  1489,  1491,  1493,  1495,  1497,  1499,
    1501,  1503,  1505,  1507,  1509,  1511,  1513,  1515,  1517,  1519,
    1537,  1539,  1541,  1543,  1545,  1547,  1549,  1551,  1553,  1555,
    1557,  1559,  1561,  1563,  1565,  1567,  1569,  1571,  1573,  1575,
    1577,  1579,  1581,  1583,  1585,  1587,  1589,  1591,  1593,  1597,
    1599,  1601,  1603,  1605,  1607,  1609,  1611,  1613,  1615,  1617,
    1619,  1621,  1623,  1625,  1627,  1629,  1631,  1633,  1635,  1637,
    1639,  1641,  1643,  1645,  1647,  1649,  1651,  1653,  1655,  1657,
    1659,  1661,  1663,  1670,  1672,  1674,  1676,  1678,  1680,  1682,
    1684,  1686,  1688,  1690,  1692,  1698,  1700,  1702,  1704,  1706,
    1708,  1710,  1712,  1714,  1720,  1730,  1734,  1740,  1744,  1754,
    1764,  1765,  1779,  1786,  1792,  1803,  1809,  1818,  1825,  1831,
    1840,  1847,  1855,  1860,  1868,  1873,  1879,  1884,  1890,  1895,
    1901,  1905,  1909,  1913,  1917,  1921,  1925,  1929,  1933,  1941,
    1945,  1949,  1953,  1957,  1961,  1969,  1977,  1986,  1988,  1996,
    2004,  2012,  2020,  2024,  2032,  2036,  2044,  2052,  2060,  2064,
    2072,  2076,  2084,  2088,  2096,  2101,  2107,  2112,  2118,  2122,
    2126,  2130,  2134,  2138,  2146,  2150,  2154,  2162,  2166,  2170,
    2178,  2182,  2186,  2190,  2194,  2198,  2202,  2207,  2211,  2215,
    2219,  2223,  2227,  2231,  2239,  2243,  2251,  2255,  2263,  2267,
    2281,  2285,  2289,  2293,  2301,  2305,  2309,  2313,  2321,  2325,
    2329,  2333,  2337,  2341,  2345,  2353,  2357,  2362,  2368,  2372,
    2380,  2384,  2388,  2392,  2396,  2404,  2408,  2416,  2420,  2428,
    2432,  2436,  2440,  2444,  2453,  2461,  2465,  2473,  2477,  2485,
    2493,  2497,  2501,  2505,  2513,  2517,  2521,  2525,  2529,  2533,
    2537,  2541,  2549,  2553,  2561,  2565,  2569,  2573,  2577,  2581,
    2585,  2589,  2593,  2597,  2601,  2605,  2609,  2613,  2617,  2621,
    2625,  2629,  2633,  2637,  2641,  2645,  2649,  2653,  2657,  2661,
    2665,  2669,  2673,  2677,  2681,  2685,  2689,  2693,  2697,  2701,
    2705,  2709,  2713,  2717,  2721,  2725,  2733,  2737,  2745,  2749,
    2754,  2760,  2765,  2771,  2776,  2782,  2790,  2795,  2801,  2805,
    2813,  2817,  2821,  2825,  2833,  2841,  2845,  2853,  2857,  2861,
    2865,  2873,  2878,  2886,  2897,  2908,  2912,  2920,  2924,  2928,
    2936,  2940,  2948,  2953,  2959,  2963,  2967,  2971,  2975,  2979,
    2983,  2987,  2991,  2995,  2999,  3003,  3011,  3016,  3022,  3027,
    3033,  3038,  3044,  3049,  3055,  3059,  3067,  3075,  3079,  3083,
    3087,  3092,  3098,  3102,  3110,  3118,  3122,  3126,  3130,  3138,
    3142,  3146,  3150,  3154,  3158,  3162,  3167,  3173,  3178,  3184,
    3189,  3195,  3199,  3207,  3211,  3219,  3223,  3227,  3235,  3239,
    3247,  3255,  3263,  3268,  3274,  3278,  3282,  3286,  3294,  3298,
    3302,  3306,  3310,  3314,  3318,  3326,  3330,  3334,  3338,  3346,
    3354,  3358,  3363,  3369,  3373,  3377,  3381,  3385,  3389,  3397,
    3401,  3409,  3413,  3417,  3421,  3425,  3429,  3433,  3441,  3446,
    3452,  3457,  3463,  3467,  3475,  3483,  3487,  3492,  3497,  3503,
    3507,  3515,  3519,  3527,  3532,  3538,  3542,  3546,  3550,  3555,
    3561,  3569,  3577,  3581,  3585,  3589,  3593,  3601,  3606,  3612,
    3616,  3620,  3625,  3631,  3635,  3639,  3644,  3650,  3655,  3661,
    3666,  3672,  3680,  3688,  3692,  3697,  3703,  3711,  3715,  3723,
    3728,  3734,  3738,  3746,  3750,  3754,  3758,  3762,  3766,  3770,
    3774,  3778,  3782,  3786,  3790,  3798,  3803,  3809,  3813,  3817,
    3825,  3829,  3837,  3841,  3849,  3854,  3860,  3864,  3872,  3877,
    3883,  3887,  3895,  3900,  3906,  3910,  3918,  3923,  3929,  3937,
    3942,  3948,  3952,  3960,  3964,  3972,  3977,  3983,  3987,  3991,
    3999,  4007,  4012,  4018,  4026,  4030,  4034,  4038,  4042,  4046,
    4050,  4054,  4058,  4062,  4066,  4070,  4074,  4078,  4082,  4086,
    4090,  4094,  4098,  4102,  4106,  4110,  4118,  4126,  4130,  4134,
    4138,  4146,  4150,  4158,  4163,  4169,  4173,  4181,  4185,  4193,
    4198,  4204,  4208,  4216,  4224,  4228,  4236,  4240,  4244,  4248,
    4256,  4264,  4272,  4280,  4288,  4293,  4299,  4303,  4311,  4316,
    4322,  4326,  4334,  4338,  4342,  4350,  4354,  4362,  4366,  4374,
    4378,  4386,  4394,  4398,  4406,  4414,  4418,  4422,  4430,  4434,
    4442,  4450,  4454,  4462,  4466,  4470,  4478,  4482,  4490,  4494,
    4498,  4502,  4506,  4514,  4519,  4525,  4530,  4536,  4540,  4548,
    4553,  4559,  4563,  4568,  4574,  4578,  4582,  4586,  4594,  4599,
    4606,  4608,  4616,  4620,  4624,  4628,  4632,  4636,  4644,  4648,
    4656,  4665,  4674,  4678,  4682,  4686,  4690,  4694,  4698,  4702,
    4706,  4710,  4714,  4718,  4722,  4726,  4734,  4742,  4746,  4754,
    4758,  4766,  4770,  4774,  4778,  4782,  4790,  4794,  4802,  4810,
    4814,  4822,  4830,  4835,  4841,  4845,  4853,  4857,  4861,  4869,
    4877,  4881,  4889,  4893,  4897,  4901,  4905,  4913,  4918,  4924,
    4929,  4935,  4939,  4944,  4950,  4956,  4962,  4970,  4974,  4982,
    4986,  4994,  4998,  5006,  5010,  5018,  5022,  5030,  5038,  5046,
    5050,  5054,  5058,  5066,  5070,  5074,  5078,  5082,  5086,  5090,
    5094,  5098,  5102,  5106,  5110,  5114,  5118,  5122,  5130,  5134,
    5142,  5146,  5154,  5158,  5166,  5174,  5178,  5183,  5189,  5193,
    5197,  5201,  5205,  5209,  5213,  5217,  5221,  5225,  5229,  5233,
    5237,  5241,  5245,  5249,  5253,  5261,  5265,  5269,  5273,  5277,
    5281,  5285,  5289,  5293,  5297,  5301,  5305,  5309,  5313,  5317,
    5321,  5325,  5333,  5337,  5345,  5349,  5353,  5357,  5361,  5369,
    5374,  5380,  5384,  5388,  5392,  5396,  5400,  5404,  5408,  5412,
    5416,  5420,  5428,  5432,  5440,  5444,  5448,  5452,  5458,  5464,
    5470,  5476,  5482,  5488,  5494,  5504,  5515,  5526,  5537,  5548,
    5559,  5570,  5586,  5602,  5618,  5629,  5645,  5656,  5672,  5687,
    5691,  5699,  5704,  5710,  5718,  5722,  5730,  5734,  5738,  5742,
    5746,  5754,  5758,  5766,  5770,  5774,  5778,  5786,  5790,  5794,
    5798,  5802,  5806,  5810,  5814,  5818,  5822,  5826,  5830,  5834,
    5838,  5842,  5846,  5854,  5858,  5866,  5870,  5878,  5883,  5889,
    5893,  5901,  5909,  5917,  5921,  5929,  5934,  5940,  5945,  5951,
    5959,  5964,  5970,  5974,  5978,  5986,  5990,  5994,  6002,  6006,
    6010,  6014,  6022,  6030,  6035,  6041,  6046,  6052,  6057,  6063,
    6068,  6074,  6078,  6086,  6090,  6094,  6102,  6107,  6113,  6117,
    6122,  6128,  6132,  6137,  6143,  6147,  6152,  6158,  6162,  6166,
    6174,  6179,  6185,  6189,  6197,  6201,  6209,  6213,  6221,  6225,
    6233,  6237,  6241,  6245,  6249,  6257,  6261,  6265,  6269,  6273,
    6281,  6289,  6297,  6301,  6305,  6313,  6317,  6321,  6329,  6333,
    6341,  6345,  6349,  6353,  6357,  6361,  6365,  6369,  6373,  6377,
    6381,  6385,  6389,  6393,  6397,  6405,  6409,  6413,  6417,  6425,
    6429,  6437,  6442,  6448,  6456,  6460,  6468,  6476,  6480,  6488,
    6493,  6499,  6503,  6511,  6515,  6523,  6527,  6535,  6539,  6543,
    6547,  6555,  6559,  6567,  6575,  6579,  6587,  6591,  6599,  6603,
    6607,  6615,  6619,  6624,  6630,  6638,  6643,  6649,  6653,  6657,
    6665,  6669,  6677,  6682,  6688,  6692,  6696,  6700,  6704,  6708,
    6712,  6716,  6720,  6724,  6728,  6732,  6736,  6740,  6744,  6748,
    6752,  6756,  6760,  6764,  6768,  6772,  6776,  6780,  6784,  6788,
    6792,  6796,  6800,  6804,  6808,  6812,  6816,  6820,  6824,  6828,
    6832,  6836,  6840,  6844,  6848,  6856,  6861,  6867,  6872,  6878,
    6882,  6886,  6890,  6894,  6898,  6902,  6906,  6910,  6914,  6918,
    6922,  6926,  6930,  6934,  6938,  6942,  6946,  6950,  6954,  6958,
    6962,  6970,  6974,  6978,  6982,  6986,  6990,  6994,  6998,  7002,
    7006,  7010,  7014,  7018,  7022,  7026,  7030,  7034,  7038,  7046,
    7054,  7058,  7062,  7070,  7074,  7082,  7086,  7090,  7094,  7098,
    7106,  7111,  7117,  7121,  7125,  7129,  7137,  7141,  7146,  7152,
    7156,  7164,  7172,  7177,  7183,  7191,  7195,  7203,  7207,  7211,
    7215,  7219,  7223,  7227,  7231,  7235,  7239,  7243,  7247,  7251,
    7255,  7263,  7267,  7272,  7278,  7282,  7286,  7290,  7294,  7302,
    7306,  7310,  7318,  7323,  7329,  7333,  7341,  7346,  7351,  7357,
    7363,  7371,  7379,  7384,  7390,  7394,  7398,  7402,  7406,  7410,
    7414,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,  7450,
    7458,  7463,  7469,  7473,  7481,  7489,  7494,  7500,  7508,  7512,
    7520,  7528,  7532,  7536,  7540,  7544,  7548,  7552,  7560,  7565,
    7571,  7579,  7583,  7587,  7591,  7595,  7599,  7607,  7615,  7619,
    7623,  7631,  7636,  7642,  7646,  7650,  7654,  7658,  7666,  7670,
    7678,  7682,  7686,  7690,  7698,  7702,  7710,  7714,  7722,  7727,
    7733,  7738,  7744,  7749,  7755,  7760,  7766,  7770,  7774,  7778,
    7786,  7790,  7794,  7798,  7802,  7806,  7810,  7818,  7822,  7830,
    7838,  7842,  7846,  7854,  7858,  7863,  7869,  7875,  7885,  7890,
    7896,  7900,  7904,  7908,  7916,  7918,  7926,  7931,  7937,  7945,
    7949,  7953,  7961,  7965,  7973,  7981,  7986,  7992,  8000,  8005,
    8011,  8019,  8024,  8030,  8034,  8038,  8042,  8046,  8050,  8054,
    8058,  8066,  8071,  8077,  8085,  8089,  8097,  8101,  8109,  8117,
    8125,  8133,  8137,  8145,  8198,  8202,  8215,  8217,  8221,  8225,
    8229,  8238,  8244,  8248,  8256,  8260,  8268,  8272,  8280,  8284,
    8288,  8292,  8296,  8300,  8304,  8308,  8316,  8320,  8328,  8332,
    8336,  8340,  8344,  8348,  8356,  8360,  8368,  8372,  8380,  8388,
    8393,  8399,  8404,  8406,  8412,  8416,  8420,  8424,  8428,  8432,
    8436,  8440,  8444,  8452,  8457,  8463,  8467,  8472,  8478,  8482,
    8486,  8491,  8497,  8502,  8508,  8516,  8520,  8528,  8532,  8540,
    8544,  8548,  8552,  8560,  8565,  8571,  8575,  8580,  8588,  8592,
    8600,  8604,  8612,  8620,  8624,  8629,  8635,  8643,  8647,  8655,
    8659,  8667,  8672,  8678,  8683,  8689,  8693,  8701,  8706,  8712,
    8716,  8724,  8728,  8736,  8741,  8747,  8751,  8759,  8764,  8770,
    8774,  8782,  8786,  8790,  8794,  8798,  8802,  8806,  8810,  8816,
    8820,  8824,  8832,  8836,  8840,  8844,  8848,  8852,  8860,  8864,
    8868,  8872,  8880,  8884,  8888,  8892,  8900,  8905,  8911,  8915,
    8923,  8927,  8931,  8935,  8943,  8947,  8955,  8959,  8963,  8971,
    8979,  8984,  8990,  8994,  9000,  9006,  9011,  9017,  9021,  9029,
    9037,  9039,  9041,  9045,  9049,  9053,  9061,  9071,  9082,  9091,
    9095,  9099,  9103,  9107,  9111,  9115,  9123,  9127,  9131,  9135,
    9143,  9147,  9155,  9160,  9166,  9170,  9174,  9178,  9182,  9186,
    9190,  9194,  9198,  9202,  9206,  9214,  9219,  9225,  9229,  9237,
    9241,  9249,  9257,  9265,  9269,  9277,  9281,  9289,  9297,  9305,
    9309,  9313,  9317,  9321,  9325,  9333,  9338,  9344,  9349,  9355,
    9359,  9363,  9367,  9375,  9383,  9387,  9392,  9398,  9402,  9406,
    9410,  9414,  9418,  9422,  9426,  9430,  9434,  9438,  9442,  9446,
    9451,  9457,  9461,  9469,  9473,  9477,  9481,  9485,  9489,  9493,
    9497,  9501,  9505,  9509,  9513,  9517,  9521,  9525,  9529,  9533,
    9537,  9541,  9545,  9549,  9553,  9557,  9561,  9565,  9569,  9573,
    9577,  9581,  9585,  9589,  9593,  9597,  9601,  9605,  9609,  9613,
    9617,  9621,  9625,  9629,  9633,  9637,  9641,  9645,  9649,  9653,
    9657,  9661,  9665,  9669,  9673,  9677,  9681,  9685,  9689,  9693,
    9698,  9702,  9710,  9714,  9718,  9722,  9726,  9730,  9734,  9738,
    9742,  9746,  9750,  9754,  9758,  9762,  9766,  9770,  9774,  9778,
    9782,  9786,  9790,  9794,  9802,  9806,  9810,  9814,  9818,  9822,
    9826,  9830,  9834,  9838,  9842,  9850,  9854,  9858,  9862,  9866,
    9870,  9874,  9878,  9882,  9886,  9890,  9894,  9898,  9902,  9906,
    9910,  9914,  9918,  9922,  9926,  9930,  9934,  9938,  9942,  9946,
    9950,  9954,  9958,  9962,  9966,  9970,  9974,  9978,  9982,  9986,
    9990,  9994,  9998, 10002, 10006, 10010, 10014, 10018, 10022, 10026,
   10030, 10034, 10038, 10042, 10046, 10054, 10058, 10066, 10070, 10074,
   10079, 10085, 10093, 10097, 10105, 10109, 10117, 10121, 10129, 10133,
   10138, 10144, 10148, 10152, 10156, 10164, 10169, 10175, 10179, 10187,
   10195, 10199, 10204, 10210, 10218, 10222, 10229, 10234, 10240, 10245,
   10250, 10256, 10260, 10268, 10272, 10276, 10280, 10284, 10292, 10296,
   10300, 10308, 10312, 10316, 10324, 10328, 10336, 10340, 10344, 10348,
   10352, 10356, 10360, 10364, 10368, 10376, 10380, 10388, 10392, 10400,
   10404, 10408, 10412, 10416, 10420, 10428, 10432, 10440, 10444, 10452,
   10456, 10464, 10468, 10476, 10480, 10484, 10492, 10496, 10504, 10509,
   10515, 10519, 10523, 10527, 10531, 10535, 10539, 10543, 10551, 10555,
   10563, 10571, 10576, 10582, 10586, 10590, 10594, 10598, 10603, 10609,
   10617, 10625, 10629, 10633, 10641, 10645, 10653, 10661, 10665, 10673,
   10681, 10686, 10692, 10697, 10703, 10707, 10715, 10719, 10723, 10727,
   10735, 10739, 10748, 10750, 10758, 10763, 10769, 10773, 10781, 10785,
   10793, 10801, 10805, 10813, 10817, 10821, 10825, 10833, 10837, 10845,
   10849, 10857, 10861, 10869, 10877, 10885, 10893, 10901, 10909, 10917,
   10921, 10929, 10933, 10937, 10941, 10945, 10949, 10953, 10957, 10961,
   10965, 10969, 10973, 10977, 10981, 10982, 10987, 10993, 11001, 11005,
   11006, 11010, 11018, 11022, 11026, 11030, 11034, 11038, 11042, 11046,
   11050, 11054, 11058, 11062, 11066, 11070, 11074, 11078, 11082, 11086,
   11090, 11094, 11098, 11102, 11106, 11110, 11114, 11118, 11122, 11126,
   11130, 11134, 11138, 11142, 11146, 11150, 11154, 11158, 11162, 11166,
   11170, 11174, 11178, 11182, 11186, 11190, 11194, 11198, 11202, 11206,
   11210, 11214, 11218, 11222, 11226, 11230, 11234, 11238, 11242, 11246,
   11250, 11254, 11258, 11262, 11266, 11270, 11274, 11278, 11282, 11286,
   11290, 11294, 11298, 11302, 11306, 11310, 11314, 11318, 11322, 11326,
   11330, 11334, 11338, 11342, 11346, 11350, 11354, 11358, 11362, 11366,
   11370, 11374, 11378, 11382, 11386, 11390, 11394, 11398, 11402, 11406,
   11410, 11414, 11418, 11422, 11426, 11430, 11434, 11438, 11442, 11446,
   11450, 11454, 11458, 11462, 11466, 11470, 11474, 11478, 11482, 11486,
   11490, 11494, 11498, 11502, 11506, 11510, 11514, 11518, 11522, 11526,
   11530, 11534, 11538, 11542, 11546, 11550, 11554, 11558, 11562, 11566,
   11570, 11574, 11578, 11582, 11586, 11590, 11594, 11598, 11602, 11606,
   11610, 11614, 11618, 11622, 11626, 11630, 11634, 11638, 11642, 11646,
   11650, 11654, 11658, 11662, 11666, 11670, 11674, 11678, 11682, 11686,
   11690, 11694, 11698, 11702, 11706, 11710, 11714, 11718, 11722, 11726,
   11730, 11734, 11738, 11742, 11746, 11750, 11754, 11758, 11762, 11766,
   11770, 11774, 11778, 11782, 11786, 11790, 11794, 11798, 11802, 11806,
   11810, 11814, 11818, 11822, 11826, 11830, 11834, 11838, 11842, 11846,
   11850, 11854, 11858, 11862, 11866, 11870, 11874, 11878, 11882, 11886,
   11890, 11894, 11898, 11902, 11906, 11910, 11914, 11918, 11922, 11926,
   11930, 11934, 11938, 11942, 11946, 11950, 11954, 11958, 11962, 11966,
   11970, 11974, 11978, 11986, 11990, 11994, 11998, 12002, 12006, 12010,
   12014, 12018, 12022, 12026, 12030, 12034, 12038, 12042, 12046, 12050,
   12054, 12058, 12062, 12066, 12070, 12074, 12078, 12082, 12086, 12090,
   12094, 12098, 12102, 12106, 12110, 12114, 12118, 12122, 12126, 12130,
   12134, 12138, 12142, 12146, 12150, 12154, 12158, 12166, 12170, 12174,
   12178, 12182, 12186, 12190, 12194, 12198, 12202, 12206, 12210, 12214,
   12218, 12222, 12226, 12230, 12234, 12238, 12242, 12246, 12250, 12254,
   12262, 12266, 12270, 12274, 12278, 12282, 12286, 12290, 12294, 12298,
   12302, 12306, 12310, 12314, 12318, 12322, 12326, 12330, 12334, 12338,
   12342, 12346, 12350, 12354, 12358, 12362, 12366, 12370, 12374, 12378,
   12382, 12386, 12390, 12394, 12398, 12402, 12406, 12410, 12414, 12418,
   12422, 12426, 12430, 12434, 12438, 12442, 12446, 12450, 12454, 12458,
   12462, 12466, 12470, 12474, 12478, 12482, 12486, 12490, 12494, 12498,
   12502, 12506, 12510, 12514, 12518, 12522, 12526, 12530, 12534, 12538,
   12542, 12546, 12550, 12554, 12564, 12565, 12568, 12569, 12570, 12576,
   12577, 12578, 12579, 12580, 12593, 12593, 12602, 12617, 12619, 12622,
   12624, 12628, 12640, 12656, 12660, 12671, 12672, 12675, 12687, 12696,
   12697, 12700, 12701, 12702, 12705, 12706, 12709, 12710, 12713, 12714,
   12717, 12719, 12721, 12723, 12727, 12734, 12741, 12757, 12791, 12801,
   12804, 12808, 12821, 12822, 12824, 12826, 12830, 12844, 12851, 12912,
   12921, 12923, 12924, 12927, 12929, 12930, 12933, 12934, 12935, 12936,
   12937, 12944, 12943, 12953, 12955, 12957, 12958, 12961, 12962, 12963,
   12964, 12967, 12968, 12972, 12971, 12988, 12986, 13002, 13001, 13015,
   13021, 13022, 13025, 13027, 13028, 13031, 13032, 13033, 13034, 13037,
   13038, 13041, 13049, 13066, 13074, 13097, 13203, 13237, 13239, 13241,
   13245, 13249, 13248, 13299, 13301, 13300, 13315, 13321, 13328, 13333,
   13339, 13340, 13343, 13344, 13345, 13346, 13347, 13348, 13349, 13357,
   13365, 13368, 13369, 13370, 13371, 13372, 13373, 13381, 13389, 13390,
   13391, 13394, 13395, 13398, 13400, 13404, 13492, 13493, 13500, 13501,
   13502, 13508, 13517, 13520, 13521, 13522, 13523, 13526, 13527, 13528,
   13531, 13533, 13541, 13542, 13548, 13556, 13557, 13560, 13561, 13564,
   13569, 13576, 13581, 13588, 13595, 13595, 13597, 13604, 13605, 13608,
   13609, 13610, 13611, 13612, 13613, 13614, 13615, 13616, 13622, 13629,
   13641, 13647, 13654, 13662, 13663, 13675, 13686, 13697, 13701, 13702,
   13705, 13710, 13714, 13715, 13718, 13724, 13732, 13738, 13745, 13749,
   13750, 13753, 13756, 13760, 13761, 13764, 13770, 13779, 13784, 13794,
   13804, 13816, 13817, 13818, 13819, 13820, 13821, 13822, 13823, 13824,
   13825, 13826, 13827, 13828, 13829, 13830, 13837, 13838, 13841, 13842,
   13849, 13850, 13851, 13858, 13857, 13874, 13875, 13882, 13881, 13951,
   13957, 13963, 13971, 13977, 13983, 13989, 13995, 14001, 14007, 14013,
   14019, 14030, 14031, 14034, 14035, 14036, 14037, 14038, 14039, 14040,
   14041, 14042, 14043, 14044, 14045, 14046, 14047, 14048, 14049, 14050,
   14051, 14052, 14053, 14054, 14055, 14056, 14057, 14060, 14061, 14062,
   14063, 14064, 14065, 14069, 14070, 14071, 14072, 14073, 14074, 14075,
   14078, 14081, 14082, 14083, 14084, 14085, 14086, 14087, 14088, 14101,
   14102, 14103, 14104, 14105, 14106, 14107, 14112, 14113, 14114, 14115,
   14116, 14117, 14123, 14124, 14125, 14126, 14127, 14128, 14129, 14130,
   14131, 14132, 14133, 14136, 14137, 14138, 14139, 14140, 14143, 14144,
   14145, 14146, 14149, 14150, 14151, 14152, 14153, 14154, 14155, 14172,
   14173, 14174, 14177, 14178, 14179, 14180, 14181, 14182, 14186, 14186,
   14189, 14195, 14196, 14199, 14201, 14206, 14216, 14227, 14234, 14235,
   14236, 14239, 14272, 14274, 14276, 14279, 14289, 14299, 14309, 14310,
   14313, 14315, 14316, 14317, 14320, 14322, 14330, 14331, 14332, 14336,
   14337, 14341, 14342, 14345, 14346, 14349, 14350, 14351, 14352, 14353,
   14356, 14357, 14358, 14359, 14360, 14361, 14362, 14363, 14364, 14365,
   14366, 14367, 14368, 14369, 14370, 14371, 14372, 14373, 14374, 14375,
   14376, 14377, 14378, 14379, 14380, 14381, 14382, 14383, 14384, 14385,
   14386, 14387, 14388, 14389, 14390, 14391, 14392, 14393, 14394, 14395,
   14396, 14397, 14398, 14399, 14400, 14401, 14402, 14403, 14404, 14405,
   14406, 14407, 14408, 14409, 14410, 14411, 14414, 14415, 14416, 14417,
   14420, 14421, 14422, 14423, 14424, 14425, 14426, 14427, 14428, 14431,
   14432, 14433, 14434, 14435, 14438, 14439, 14442, 14443, 14454, 14455
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P", "FAMILY",
  "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN",
  "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT",
  "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF", "REFERENCES",
  "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE", "REPLACE",
  "REPLICA", "RESET", "RESTART", "RESTRICT", "RETURNING", "RETURNS",
  "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW", "ROWS", "RULE",
  "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P", "SECURITY",
  "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER", "SESSION",
  "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE",
  "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STRICT_P",
  "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P", "TABLE",
  "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY", "TEXT_P",
  "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION", "TREAT",
  "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P",
  "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN",
  "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING", "VACUUM",
  "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR",
  "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW", "VOLATILE",
  "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK",
  "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT",
  "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "set_rest_more", "var_name", "var_list", "var_value",
  "iso_level", "opt_boolean_or_string", "zone_value", "opt_encoding",
  "ColId_or_Sconst", "VariableResetStmt", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "alter_table_cmd",
  "alter_column_default", "opt_drop_behavior", "opt_collate_clause",
  "alter_using", "reloptions", "opt_reloptions", "reloption_list",
  "reloption_elem", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateSeqStmt", "AlterSeqStmt",
  "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly",
  "NumericOnly_list", "CreatePLangStmt", "opt_trusted", "handler_name",
  "opt_inline_handler", "validator_clause", "opt_validator",
  "DropPLangStmt", "opt_procedural", "CreateTableSpaceStmt",
  "OptTableSpaceOwner", "DropTableSpaceStmt", "CreateExtensionStmt",
  "create_extension_opt_list", "create_extension_opt_item",
  "AlterExtensionStmt", "alter_extension_opt_list",
  "alter_extension_opt_item", "AlterExtensionContentsStmt",
  "CreateFdwStmt", "fdw_option", "fdw_options", "opt_fdw_options",
  "DropFdwStmt", "AlterFdwStmt", "create_generic_options",
  "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "SignedIconst", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
      61,    60,    62,   745,    43,    45,    42,    47,    37,    94,
     746,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   511,   512,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   513,   513,   513,   513,   513,   513,   513,
     513,   513,   513,   514,   515,   515,   516,   516,   517,   517,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   519,
     519,   519,   519,   519,   519,   520,   521,   522,   522,   523,
     524,   525,   526,   526,   527,   527,   528,   529,   530,   530,
     531,   531,   532,   532,   533,   533,   534,   534,   535,   535,
     535,   535,   535,   535,   536,   536,   536,   537,   537,   537,
     538,   538,   538,   538,   538,   538,   538,   538,   538,   538,
     538,   538,   538,   538,   539,   539,   540,   540,   541,   541,
     542,   542,   542,   542,   543,   543,   543,   543,   544,   544,
     544,   544,   544,   544,   544,   545,   545,   545,   546,   546,
     547,   547,   547,   547,   547,   548,   548,   549,   549,   550,
     550,   550,   550,   550,   551,   552,   552,   553,   553,   554,
     555,   555,   555,   555,   556,   556,   556,   556,   556,   556,
     556,   556,   557,   557,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   558,   558,   558,   558,
     558,   558,   558,   558,   558,   558,   559,   559,   560,   560,
     560,   561,   561,   562,   562,   563,   564,   564,   565,   565,
     566,   566,   566,   566,   567,   568,   568,   569,   569,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   573,
     574,   574,   575,   575,   576,   576,   576,   576,   576,   576,
     576,   576,   576,   576,   576,   576,   577,   577,   578,   578,
     579,   579,   580,   580,   581,   581,   582,   583,   583,   583,
     583,   583,   584,   584,   585,   586,   586,   586,   586,   587,
     587,   587,   587,   587,   587,   587,   587,   588,   588,   589,
     589,   590,   590,   591,   591,   592,   592,   592,   593,   593,
     594,   595,   596,   596,   597,   597,   597,   597,   598,   598,
     598,   598,   598,   598,   598,   599,   599,   599,   599,   600,
     601,   601,   601,   602,   602,   602,   602,   602,   602,   603,
     603,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     606,   606,   607,   607,   608,   609,   609,   609,   609,   610,
     610,   611,   611,   612,   612,   613,   613,   613,   613,   613,
     614,   615,   616,   616,   616,   616,   616,   617,   617,   618,
     618,   618,   618,   619,   619,   619,   619,   620,   620,   621,
     621,   622,   623,   624,   624,   624,   625,   626,   626,   627,
     627,   628,   628,   629,   629,   629,   629,   629,   629,   629,
     629,   629,   629,   629,   629,   630,   630,   631,   631,   631,
     632,   632,   633,   633,   634,   634,   635,   635,   636,   636,
     637,   637,   638,   638,   639,   639,   640,   640,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   646,
     647,   648,   648,   649,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   650,   650,   650,   650,
     650,   650,   650,   650,   650,   650,   651,   652,   652,   652,
     652,   653,   653,   654,   654,   655,   655,   656,   656,   657,
     657,   658,   658,   659,   660,   660,   661,   661,   661,   661,
     662,   663,   664,   665,   666,   666,   667,   667,   668,   668,
     669,   669,   670,   670,   670,   671,   671,   672,   672,   673,
     673,   674,   675,   675,   676,   677,   677,   677,   678,   678,
     679,   680,   680,   681,   681,   681,   682,   682,   683,   683,
     683,   683,   683,   684,   684,   685,   685,   686,   686,   687,
     687,   688,   688,   688,   689,   689,   689,   689,   690,   690,
     691,   691,   692,   692,   692,   692,   692,   692,   693,   693,
     694,   695,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   696,   697,   698,   698,   699,
     699,   700,   700,   700,   700,   700,   701,   701,   702,   703,
     703,   704,   705,   705,   706,   706,   707,   707,   707,   708,
     709,   709,   710,   710,   710,   710,   710,   711,   711,   712,
     712,   713,   713,   713,   714,   714,   715,   716,   716,   717,
     717,   718,   718,   719,   719,   720,   720,   721,   722,   723,
     723,   723,   723,   724,   724,   724,   724,   724,   724,   724,
     724,   724,   724,   724,   724,   724,   724,   724,   725,   725,
     726,   726,   727,   727,   728,   729,   729,   729,   730,   730,
     730,   730,   730,   730,   730,   730,   730,   730,   730,   730,
     730,   730,   730,   730,   730,   731,   731,   731,   731,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   732,   732,   733,   733,   733,   733,   733,   734,
     734,   735,   735,   735,   735,   735,   735,   735,   735,   735,
     735,   735,   736,   736,   737,   737,   737,   737,   737,   737,
     737,   737,   737,   737,   737,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   739,
     739,   740,   740,   741,   742,   742,   743,   743,   743,   743,
     743,   744,   744,   745,   745,   745,   745,   746,   746,   746,
     746,   746,   746,   746,   746,   746,   746,   746,   746,   746,
     746,   746,   746,   747,   747,   748,   748,   749,   749,   750,
     750,   751,   752,   753,   753,   754,   754,   755,   755,   756,
     757,   757,   758,   758,   758,   759,   759,   759,   760,   760,
     760,   760,   761,   762,   762,   763,   763,   764,   764,   765,
     765,   766,   766,   767,   767,   767,   768,   768,   769,   769,
     769,   770,   770,   770,   771,   771,   771,   772,   772,   772,
     773,   773,   774,   774,   775,   775,   776,   776,   777,   777,
     778,   778,   778,   778,   778,   779,   779,   779,   779,   779,
     780,   781,   782,   782,   782,   783,   783,   783,   784,   784,
     785,   785,   785,   785,   785,   785,   785,   785,   785,   785,
     785,   785,   785,   785,   785,   786,   786,   786,   786,   787,
     787,   788,   788,   789,   790,   790,   791,   792,   792,   793,
     793,   794,   794,   795,   795,   796,   796,   797,   797,   797,
     797,   798,   798,   799,   800,   800,   801,   801,   802,   802,
     802,   803,   803,   803,   804,   805,   805,   806,   806,   806,
     807,   807,   808,   808,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   809,   809,   809,   809,
     809,   809,   809,   809,   809,   810,   810,   811,   811,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   812,   812,   812,   812,   812,   812,   812,   812,   812,
     812,   813,   813,   813,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   813,   813,   813,   813,   813,   814,
     815,   815,   815,   816,   816,   817,   817,   817,   817,   817,
     818,   818,   819,   819,   819,   819,   820,   820,   820,   821,
     821,   822,   823,   823,   824,   825,   825,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   827,   827,   827,   828,   828,   828,   828,   828,   829,
     829,   829,   830,   830,   831,   831,   832,   832,   832,   832,
     833,   834,   835,   835,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     837,   837,   838,   838,   839,   840,   840,   841,   842,   842,
     843,   844,   844,   844,   844,   844,   844,   844,   845,   845,
     846,   847,   847,   847,   847,   847,   847,   848,   849,   849,
     849,   850,   850,   851,   851,   851,   851,   851,   852,   852,
     853,   853,   853,   853,   854,   854,   855,   855,   856,   856,
     857,   857,   858,   858,   859,   859,   860,   860,   860,   860,
     861,   861,   861,   861,   861,   861,   861,   862,   862,   863,
     864,   864,   864,   865,   865,   865,   866,   866,   867,   867,
     868,   868,   868,   868,   869,   869,   870,   870,   871,   872,
     872,   872,   873,   873,   874,   875,   875,   876,   877,   877,
     878,   879,   879,   880,   880,   880,   880,   880,   880,   880,
     880,   881,   881,   882,   883,   883,   884,   884,   885,   886,
     887,   888,   888,   889,   890,   890,   891,   891,   891,   891,
     891,   892,   892,   892,   893,   893,   894,   894,   895,   895,
     895,   895,   895,   895,   895,   895,   896,   896,   897,   897,
     897,   897,   897,   897,   898,   898,   899,   899,   900,   901,
     901,   902,   902,   902,   903,   903,   903,   903,   903,   903,
     903,   903,   903,   904,   904,   905,   905,   905,   906,   906,
     906,   906,   907,   907,   908,   909,   909,   910,   910,   911,
     911,   911,   911,   912,   912,   913,   913,   913,   914,   914,
     915,   915,   916,   917,   917,   917,   918,   919,   919,   920,
     920,   921,   921,   922,   922,   923,   923,   924,   924,   925,
     925,   926,   926,   927,   927,   928,   928,   929,   929,   930,
     930,   931,   931,   931,   931,   931,   931,   931,   931,   931,
     931,   931,   932,   932,   932,   932,   932,   932,   933,   933,
     933,   933,   934,   934,   934,   934,   935,   935,   936,   936,
     937,   937,   937,   937,   938,   938,   939,   939,   939,   940,
     941,   941,   942,   942,   942,   943,   943,   944,   944,   945,
     946,   946,   946,   946,   946,   946,   947,   947,   947,   948,
     948,   948,   948,   948,   948,   948,   949,   949,   949,   949,
     950,   950,   951,   951,   952,   952,   952,   952,   952,   952,
     952,   952,   952,   952,   952,   953,   953,   954,   954,   955,
     955,   956,   957,   958,   958,   959,   959,   960,   961,   962,
     962,   962,   962,   962,   962,   963,   963,   964,   964,   965,
     965,   965,   965,   966,   967,   967,   967,   968,   968,   968,
     968,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     968,   969,   969,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   972,   972,   972,   972,   972,   972,
     972,   972,   972,   972,   972,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   973,   973,   973,   973,   973,
     973,   973,   973,   973,   973,   974,   974,   975,   975,   975,
     975,   976,   977,   977,   978,   978,   979,   979,   980,   980,
     980,   981,   981,   981,   981,   982,   982,   983,   983,   984,
     985,   985,   985,   986,   987,   987,   988,   988,   989,   989,
     989,   990,   990,   991,   991,   991,   991,   991,   992,   992,
     992,   993,   993,   993,   994,   994,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   996,   996,   997,   997,   998,
     998,   998,   998,   998,   998,   999,   999,  1000,  1000,  1001,
    1001,  1002,  1002,  1003,  1003,  1003,  1004,  1004,  1005,  1005,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  1007,  1007,
    1008,  1009,  1009,  1010,  1010,  1010,  1010,  1010,  1010,  1011,
    1012,  1013,  1013,  1013,  1014,  1014,  1015,  1016,  1016,  1017,
    1018,  1018,  1019,  1019,  1020,  1020,  1021,  1021,  1021,  1021,
    1022,  1022,  1023,  1023,  1024,  1024,  1025,  1025,  1026,  1026,
    1027,  1028,  1028,  1029,  1029,  1029,  1029,  1030,  1030,  1031,
    1031,  1032,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1039,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,  1040,
    1040,  1040,  1040,  1040,  1040,  1040,  1041,  1042,  1043,  1043,
    1043,  1043,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,  1044,
    1044,  1044,  1044,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1045,  1045,  1045,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,  1046,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,  1047,
    1047,  1047,  1047,  1047,  1048,  1048,  1049,  1049,  1049,  1049,
    1049,  1049,  1049,  1049,  1051,  1050,  1052,  1053,  1053,  1053,
    1053,  1054,  1054,  1054,  1054,  1055,  1055,  1056,  1057,  1058,
    1058,  1059,  1059,  1059,  1060,  1060,  1061,  1061,  1062,  1062,
    1063,  1063,  1063,  1063,  1064,  1064,  1064,  1065,  1066,  1066,
    1067,  1067,  1068,  1068,  1068,  1068,  1069,  1069,  1070,  1071,
    1072,  1073,  1073,  1074,  1075,  1075,  1076,  1076,  1076,  1076,
    1076,  1078,  1077,  1079,  1080,  1081,  1081,  1082,  1082,  1082,
    1082,  1083,  1083,  1085,  1084,  1087,  1086,  1088,  1086,  1086,
    1089,  1089,  1090,  1090,  1090,  1091,  1091,  1091,  1091,  1092,
    1092,  1093,  1093,  1093,  1093,  1093,  1093,  1094,  1094,  1094,
    1095,  1097,  1096,  1098,  1099,  1098,  1100,  1100,  1101,  1101,
    1102,  1102,  1103,  1103,  1103,  1103,  1103,  1103,  1103,  1103,
    1103,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,
    1104,  1105,  1105,  1106,  1106,  1107,  1108,  1108,  1109,  1109,
    1109,  1110,  1111,  1112,  1112,  1112,  1112,  1113,  1113,  1113,
    1114,  1114,  1115,  1115,  1116,  1117,  1117,  1118,  1118,  1119,
    1119,  1120,  1120,  1121,  1122,  1122,  1123,  1123,  1123,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,  1125,  1125,
    1125,  1125,  1125,  1126,  1126,  1127,  1128,  1129,  1130,  1130,
    1131,  1132,  1133,  1133,  1134,  1135,  1135,  1136,  1137,  1138,
    1138,  1139,  1140,  1141,  1141,  1142,  1143,  1143,  1143,  1143,
    1143,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1144,  1144,  1144,  1144,  1144,  1145,  1145,  1146,  1146,
    1147,  1147,  1147,  1149,  1148,  1150,  1150,  1152,  1151,  1153,
    1153,  1153,  1154,  1154,  1154,  1154,  1154,  1154,  1154,  1154,
    1154,  1155,  1155,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,  1156,
    1156,  1156,  1156,  1156,  1156,  1156,  1156,  1157,  1157,  1157,
    1157,  1157,  1157,  1158,  1158,  1158,  1158,  1158,  1158,  1158,
    1159,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1160,  1161,
    1161,  1161,  1161,  1161,  1161,  1161,  1162,  1162,  1162,  1162,
    1162,  1162,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1164,  1164,  1164,  1164,  1164,  1165,  1165,
    1165,  1165,  1166,  1166,  1166,  1166,  1166,  1166,  1166,  1167,
    1167,  1167,  1168,  1168,  1168,  1168,  1168,  1168,  1169,  1169,
    1170,  1171,  1171,  1172,  1172,  1173,  1174,  1175,  1176,  1176,
    1176,  1177,  1178,  1179,  1180,  1181,  1181,  1181,  1181,  1181,
    1182,  1183,  1183,  1183,  1184,  1184,  1185,  1185,  1185,  1186,
    1186,  1187,  1187,  1188,  1188,  1189,  1189,  1189,  1189,  1189,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,  1190,  1190,  1190,  1190,  1190,  1191,  1191,  1191,  1191,
    1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1192,  1193,
    1193,  1193,  1193,  1193,  1194,  1194,  1195,  1195,  1196,  1196
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     5,     1,     0,     2,     0,     2,     0,
       2,     2,     3,     3,     1,     3,     3,     2,     1,     1,
       2,     2,     2,     3,     3,     5,     5,     0,     3,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     1,     0,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     6,     4,     6,     4,     6,
       4,     6,     1,     3,     2,     3,     4,     6,     6,     6,
       5,     5,     6,     6,     4,     8,     4,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    10,     6,     1,     1,     1,     1,     1,
       1,     3,     2,     0,     1,     1,     3,     3,     1,     1,
       3,     3,     3,     3,     4,     2,     1,     0,     2,     0,
       3,     0,     1,     0,     1,     3,     2,     1,     1,     1,
       3,     0,     1,     3,     1,    11,    14,    10,    13,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       4,     4,     2,     0,     3,     1,     1,     2,     2,     1,
       3,     4,     5,     2,     5,     1,     2,     2,     2,     3,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     7,     3,     8,     4,     9,    11,     2,     0,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     4,
       0,     3,     5,     2,     3,     0,     5,     4,     6,     1,
       0,     1,     2,     2,     1,     2,     3,     2,     2,     2,
       2,     3,     3,     1,     3,     1,     0,     1,     2,     1,
       1,     3,     6,    10,     1,     0,     1,     2,     2,     0,
       2,     2,     1,     0,     5,     7,     1,     0,     6,     2,
       0,     3,     5,     5,     8,     2,     0,     2,     2,     2,
       5,     2,     0,     2,     7,    10,     6,     6,     6,     6,
       7,     7,     9,     9,     6,     6,     8,     8,     8,     8,
       6,     6,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,     8,    11,     3,     2,     1,
       3,     1,     5,     7,     8,     1,     1,     1,     7,     9,
       8,    15,    20,     1,     1,     2,     1,     3,     1,     1,
       1,     3,     1,     3,     0,     1,     0,     1,     1,     4,
       0,     1,     3,     0,     1,     1,     1,     1,     2,     0,
       0,     2,     2,     1,     2,     2,     2,     2,     6,     8,
       8,     4,     5,     4,     4,     4,     3,     7,     8,     6,
       6,     6,     6,     6,     4,     5,     3,     1,     3,     3,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     1,
       3,     3,     1,     0,     1,     3,     6,     8,     8,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     5,     7,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     8,     8,     8,     8,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     3,     1,     1,     8,     9,     9,     9,     9,     2,
       0,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     3,     4,     5,     4,
       5,     3,     4,     3,     4,     1,     2,     3,     3,     3,
       3,     4,     4,     3,     3,     4,     4,     4,     4,     1,
       1,     1,     0,     7,     7,    10,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     1,     2,     2,
       4,     3,     2,     2,     2,     2,     3,     2,     2,     2,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     1,
       3,     2,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,    14,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     1,     1,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     7,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     6,     6,     6,     8,
       6,     8,     6,     8,     6,     8,     7,     9,     8,    10,
       8,     9,    11,     8,     6,     6,     6,     5,     5,     8,
       8,     8,     8,     6,     9,     1,     0,     2,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     8,
       8,     8,     8,     8,     6,     8,     6,     8,     7,     9,
       6,     7,     6,     6,     6,     6,     6,     7,     7,     7,
       9,     9,     6,     6,     6,     8,     8,     8,     6,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     6,
       8,     3,     2,     0,     2,     2,     2,     2,     3,     3,
       2,     2,     2,     2,     3,     2,     5,     4,     3,     3,
       3,     1,     1,     0,     3,     2,     2,     1,     2,     1,
       3,     2,     1,     0,     9,    11,     3,     4,     4,     0,
       2,     5,     2,     0,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     4,     3,     3,
       1,     0,     5,     6,     4,     2,     0,     4,     3,     5,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     1,     0,     5,     4,     3,     0,
       1,     1,     1,     1,     4,     9,     3,     0,     6,     1,
       4,     2,     1,     3,     2,     3,     0,     7,     2,     0,
       5,     3,     0,     2,     2,     2,     3,     1,     3,     1,
       2,     1,     0,     8,     1,     3,     1,     1,     3,     5,
       2,     1,     3,     7,     1,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     1,
       2,     4,     4,     4,     2,     3,     1,     3,     6,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     2,     3,
       1,     1,     1,     1,     3,     0,     1,     1,     1,     1,
       1,     3,     0,     2,     0,     1,     3,     1,     0,     1,
       2,     4,     4,     2,     0,     2,     3,     2,     0,     1,
       3,     1,     2,     1,     2,     5,     6,     5,     1,     2,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     2,     2,     2,     1,     1,     0,     4,     2,
       1,     2,     2,     4,     1,     3,     1,     2,     3,     1,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       2,     3,     5,     6,     2,     3,     3,     4,     0,     1,
       1,     1,     1,     1,     2,     5,     1,     1,     1,     1,
       2,     3,     3,     0,     1,     1,     1,     1,     1,     2,
       2,     2,     2,     2,     1,     3,     0,     1,     1,     1,
       1,     5,     2,     1,     1,     1,     1,     5,     2,     2,
       2,     1,     3,     3,     2,     1,     0,     3,     0,     5,
       2,     5,     2,     1,     2,     3,     0,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     3,     3,     3,
       0,     1,     4,     1,     3,     3,     5,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     3,     3,     2,     3,     5,     4,     6,     3,     5,
       4,     6,     4,     6,     5,     7,     3,     2,     4,     2,
       3,     3,     4,     3,     4,     3,     4,     5,     6,     6,
       7,     6,     7,     6,     7,     3,     4,     4,     6,     2,
       3,     4,     1,     3,     2,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     2,     5,     6,
       6,     7,     3,     4,     1,     1,     2,     4,     1,     1,
       1,     2,     2,     2,     1,     4,     5,     6,     8,     6,
       7,     7,     5,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     5,     2,     3,
       6,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     2,     4,     3,     2,     1,
       1,     1,     1,     1,     0,     8,     2,     5,     3,     2,
       2,     3,     7,     1,     1,     1,     0,     2,     2,     1,
       0,     1,     3,     1,     2,     0,     2,     0,     2,     0,
       1,     3,     4,     3,     1,     1,     1,     1,     2,     0,
       2,     4,     0,     2,     2,     2,     1,     1,     7,     3,
       1,     1,     1,     1,     2,     0,     1,     3,     3,     3,
       3,     0,     4,     5,     5,     0,     1,     1,     1,     2,
       2,     1,     2,     0,     7,     0,     5,     0,     4,     2,
       2,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     2,     1,     3,     2,     2,
       3,     0,     5,     1,     0,     5,     2,     2,     1,     1,
       1,     2,     2,     3,     1,     2,     2,     3,     3,     4,
       2,     1,     2,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     0,     1,     3,     5,     0,     2,     0,     1,
       2,     3,     2,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     2,     2,     3,     0,     1,     2,     1,     4,
       3,     4,     3,     2,     1,     3,     1,     1,     1,     1,
       2,     2,     1,     2,     2,     1,     1,     1,     4,     4,
       4,     4,     4,     1,     0,     3,     3,     4,     1,     3,
       3,     4,     1,     3,     3,     1,     1,     1,     6,     1,
       3,     3,     6,     1,     3,     3,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     1,     1,
       4,     4,     3,     0,     7,     1,     0,     0,     7,     3,
       4,     3,     1,     1,     1,     2,     3,     5,     2,     5,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     0,     1,     2,     1,     2,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     1,
       2,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     2,     3,
       1,     3,     3,     3,     3,     3,     3,     1,     1,     0,
       2,     2,     1,     1,     2,     1,     1,     1,     0,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2254,     0,     2,     1,  2684,  2688,  2692,  2693,  2610,  2694,
    2695,  2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,
    2669,  2670,  2671,  2673,  2672,  2674,  2675,  2676,  2677,  2678,
    2679,  2680,  2681,  2683,  2682,  2632,  2261,  2629,  2626,  2627,
    2628,  2633,  2631,  2624,  2625,  1866,  2697,  2685,  2698,  2686,
    2687,  2689,  2690,  2659,  2691,  2699,  2700,  2701,  2696,  2704,
    2655,  2656,  2654,  2657,  2658,  2702,  2703,  2646,  2647,  2648,
    2649,  2705,  2262,  2263,  2651,  2255,  2259,  2321,  2392,  2652,
    2653,  2650,  2260,  2645,  2392,     0,  2513,  2514,  2515,     0,
    2516,  2517,  2518,  2444,  2406,  2519,     0,     0,  2520,  2521,
    2522,  2523,  2524,  2525,  2526,  2527,     0,  2528,  2529,  2530,
    2531,  2391,  2532,  2533,  2534,  2535,  2536,  2368,  2374,  2497,
       0,  2348,  2349,  2345,  2347,  2346,  2350,  2333,  1153,   527,
    1237,  1236,     0,  2157,  1153,  2113,  2114,  2158,  2115,  2116,
    2117,   249,     0,  1239,  2118,  2159,     0,  1153,  2160,   357,
     931,  2161,  2162,  2276,     0,  2119,  2120,     0,     0,     0,
     527,  1153,     0,     0,  2121,  1350,  2122,     0,  2123,  2163,
    2164,     0,  2124,  2165,  2166,  2125,  2126,  2127,  2167,  2168,
    2169,  2128,  2170,  2171,     0,     0,  1364,     0,  2129,  2172,
    2130,  2131,     0,  2173,  2132,  2133,  2134,  2174,  2175,  2176,
    2135,  2136,  2137,     0,  2138,     0,     0,     0,     0,     0,
    2177,  1153,  2139,     0,     0,  1371,     0,  2140,     0,  2178,
    2141,     0,  2142,     0,  2143,  2144,  2145,  2146,  1364,  2493,
    2369,     0,  1241,     0,  2147,  2179,     0,  2148,  2149,  2150,
    2151,  2152,  2153,  2154,  2155,  2156,     0,     0,    54,    55,
      21,    20,    26,    25,    77,    78,    44,    14,    68,    49,
     110,   109,   111,    32,    28,    62,    18,    19,    29,    33,
      51,    50,    17,    48,    72,    52,    75,    39,     8,     9,
      40,    66,    10,    41,    67,    11,    42,    12,    56,    79,
      24,    53,    76,    35,    64,    60,     7,    45,    46,    47,
      69,    70,    71,    93,    74,   105,    31,   102,    83,    84,
      99,    85,   100,     5,    86,    43,    13,    96,    95,    97,
      63,    36,    65,    94,    98,    15,    16,   101,    73,    91,
      88,   106,   104,   112,    89,    57,     3,     4,    80,    38,
       6,    23,    22,    37,    30,   108,    27,  1239,    82,    92,
      81,    87,    61,    90,   107,    59,   103,  1337,  1324,  1373,
    1336,  1349,     0,  1339,  2589,  2590,    34,  1350,   114,   115,
     120,  2258,  2310,  2311,  2312,  2392,  2343,  2344,  2337,  2353,
    2363,  2352,  2356,  2364,  2351,  2370,     0,   117,   119,   121,
     124,   118,   113,   116,   123,   128,   122,   127,   125,   126,
     129,   130,   131,  2591,  1550,  2588,    58,  2328,  2327,     0,
    2392,     0,  2537,  2538,  2539,  2540,  2541,  2542,  2592,  2593,
    2594,  2595,  2596,  2598,  2597,  2621,  1872,  1873,  1874,  1875,
    1876,  1877,  1878,  1879,  1880,  1881,  1882,  1883,  1884,  1885,
    1886,  1887,  1888,  1889,  1890,  1891,  1892,  1893,  1894,  1895,
    1896,  2564,  1897,  1898,  1899,  1900,  1901,  1902,  1903,  1904,
    1905,  1906,  2601,  1907,  1908,  1909,  1910,  1911,  1912,  1913,
    1914,  1915,  1916,  1917,  2602,  1918,  1919,  1920,  1921,  1922,
    1923,  1924,  1925,  1926,  1927,  1928,  1929,  1930,  1931,  1932,
    1933,  1934,  1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,
    1943,  1944,  1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,
    1953,  1954,  1955,  1956,  1957,  2603,  1958,  1959,  1960,  1961,
    1962,  1963,  1964,  1965,  1966,  1967,  1968,  1969,  1970,  1971,
    1972,  1973,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,
    1982,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,
    2604,  1992,  1993,  2605,  1994,  1995,  1996,  1997,  1998,  1999,
    2000,  2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,
    2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,  2021,
    2019,  2020,  2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,
    2030,  2031,  2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,
    2040,  2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,
    2050,  2051,  2052,  2606,  2053,  2054,  2055,  2056,  2057,  2058,
    2059,  2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,
    2069,  2070,  2071,  2072,  2073,  2074,  2075,  2076,  2077,  2078,
    2079,  2080,  2081,  2276,  2082,  2083,  2084,  2085,  2086,  2087,
    2088,  2089,  2090,  2091,  2092,  2093,  2094,  2095,  2096,  2097,
    2098,  2099,  2100,  2565,  2101,  2102,  2103,  2104,  2105,  2106,
    2107,  2108,  2109,  2110,  2607,  2111,  2112,  2294,  2599,  2561,
    2269,  2290,  2562,  2511,  2512,  1867,  2563,  2560,  2600,  2296,
    2617,  2295,  2559,  2443,     0,     0,  2405,  2404,  2408,  2407,
    2409,  2402,  2403,  1844,  2297,  2413,  2412,  1314,  2616,  1843,
    1315,     0,  2415,  2543,  2544,  2545,  2546,  2548,  2547,  2549,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
    2190,  2191,  2574,  2192,  2193,  2194,  2587,  2195,  2196,  2575,
    2197,  2198,  2199,  2200,  2201,  2202,  2203,  2204,  2205,  2206,
    2207,  2208,  2209,  2210,  2211,  2212,  2213,  2214,  2215,  2216,
    2217,  2218,  2219,  2220,  2576,  2577,  2221,  2222,  2223,  2224,
    2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,  2233,  2234,
    2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,  2243,  2578,
    2244,  2245,  2579,  2246,  2247,  2248,  2580,  2249,  2250,  2251,
    2252,  2253,  2584,  2585,  2586,  2573,  2366,  2550,  2572,  2583,
    2581,  2582,  2376,  2372,  2380,  2375,     0,     0,     0,     0,
    2392,  1152,  1151,  1137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   526,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2266,     0,  1163,   332,   331,  1238,  1219,   527,     0,  1140,
     356,     0,     0,     0,     0,     0,     0,     0,     0,   707,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   175,
       0,     0,   380,   379,     0,     0,     0,   903,   385,     0,
       0,     0,     0,   515,  2275,  2270,  2280,     0,  2273,  2274,
    2559,     0,  2708,  2019,  2306,  2307,  2706,  2067,  1316,   250,
     253,   251,   252,     0,  1003,  1004,  1006,     0,     0,  1016,
     740,   741,     0,   739,   743,     0,     0,     0,   736,     0,
       0,     0,     0,   742,   734,     0,   733,     0,     0,     0,
     738,     0,   735,     0,     0,  1141,     0,  2358,  2359,  1960,
    1277,   386,     0,     0,  1350,     0,  1239,  1246,  1256,  1251,
    1253,  1252,  1254,  1250,  1255,  1873,   842,  1887,   842,  1950,
     839,   840,   842,   842,   842,  2034,     0,     0,   814,     0,
     825,  1868,   842,  1869,  2617,   847,   441,   441,   441,     0,
     846,   851,   441,  1134,  1170,  1848,  1363,     0,  1887,  1950,
     815,  1133,  2082,  1269,     0,     0,  1020,     0,  1021,     0,
    2049,  1145,   234,  2557,  2058,  2143,  2082,  2558,   230,  2552,
    2553,  2555,   204,  2556,  2554,  2551,  1877,     0,     0,   846,
       0,  1142,  1143,   800,  1370,  1368,     0,     0,     0,  1895,
       0,  1907,  1986,   227,  2045,  2050,  2058,  2143,  2082,  2110,
     184,   189,     0,   243,  2058,  2143,  2082,     0,  1163,     0,
    1340,  1450,  1839,     0,     0,  2367,  1136,  1135,  1240,     0,
    1243,     0,  1415,  2031,  1344,  1346,  1245,  1337,     0,     0,
    2257,  1234,  1367,  1367,     0,  1367,     0,  1329,  1337,  1332,
    1336,     0,     0,     0,     0,  1153,     0,  2335,  2363,  2342,
    2398,  2339,     0,     0,  2388,  2384,  2381,  2389,  2390,  2383,
    2371,  1539,  1540,  1541,  1538,  1551,  1537,     0,  2316,  1542,
    2355,  2322,     0,  2330,  2329,  2634,  2635,  2445,  2268,  2287,
       0,     0,     0,     0,     0,     0,     0,  2414,  2416,  2418,
    2378,  2377,  2373,     0,     0,     0,     0,  2503,  2504,  2502,
       0,  2499,  2501,     0,  2398,     0,  2568,  2562,  2571,     0,
    1849,  2563,  2560,  2559,     0,   750,     0,   135,   891,     0,
       0,     0,  1843,     0,     0,     0,     0,     0,  1959,     0,
       0,  1744,  1899,  1946,  1754,  1752,  1753,  1746,  1747,  1748,
    1749,  1750,  1751,     0,  1001,  1745,     0,   135,     0,  1959,
       0,     0,  1959,     0,     0,     0,     0,     0,  1989,   135,
    1959,     0,     0,     0,  1157,     0,     0,     0,  1159,  1162,
    1138,  1222,     0,  1839,     0,     0,   784,   775,     0,   785,
     776,   781,   787,     0,     0,   778,     0,     0,   788,     0,
     777,   779,   790,   780,   786,     0,     0,   782,   783,     0,
       0,  1149,   441,     0,     0,     0,     0,     0,     0,   135,
    1209,  1959,   135,     0,     0,   384,   383,   135,   382,   381,
    1899,  1946,     0,   930,   135,     0,   177,   595,   530,     0,
       0,   666,  1989,   135,     0,     0,     0,     0,   906,     0,
       0,   514,   527,     0,  2279,  2285,     0,  2277,  2446,  2709,
    2707,  2401,     0,  1007,   228,   229,  1005,  1959,     0,   310,
       0,     0,  1959,  1198,     0,   737,  1959,     0,  1959,   170,
    1841,     0,  1899,  1946,  1959,     0,     0,  1959,   162,  1959,
       0,  1959,   310,  1959,   531,     0,  1959,     0,  1959,  1989,
     164,     0,  1959,   310,   748,     0,     0,  2639,  2643,     0,
    2641,  2636,  2357,  2411,  2410,  2309,     0,  2719,     0,  1316,
    1248,  2565,  1262,  1261,     0,  1257,  1265,  1260,  1350,   842,
     841,     0,   842,     0,  2728,   842,     0,   842,     0,  2728,
     842,     0,     0,     0,   842,  1870,  1871,     0,     0,  2727,
    2725,  2726,   816,   826,     0,   848,     0,     0,   855,   854,
     853,     0,     0,     0,   856,  1454,  1292,     0,   823,     0,
     821,     0,  1131,  1148,     0,     0,     0,     0,  1023,  1023,
    1023,  1144,   233,   231,     0,     0,     0,     0,     0,     0,
    1150,     0,     0,     0,     0,  2623,  1855,  1755,  2622,     0,
    2114,  2115,  2116,  1813,     0,  2564,  2117,  2118,  2159,  1667,
    1654,  1663,  1668,  1655,  1657,  1664,  2119,  2120,  1931,  2121,
    2122,  1862,  2123,  2124,  1494,  2126,  2127,  2128,  1659,  1661,
    2129,  2130,     0,  1863,  2132,  2133,  2007,  2135,  2136,  2138,
    2139,  1665,  2141,  2142,  2143,  2144,  2145,  2146,  1861,     0,
    1666,  2147,  2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,
       0,     0,  1836,     0,  1640,     0,  1486,  1487,  1509,  1510,
    1488,  1515,  1516,  1528,  1489,     0,  1835,  1553,  1639,  1644,
       0,  1638,  1634,  1353,  1831,     0,  1635,  1851,  1814,  1865,
    1864,  2617,  1822,  1854,  1852,  1853,     0,     0,     0,   196,
       0,     0,  2492,   245,     0,   246,  1837,  2058,   185,   226,
     198,   225,   199,   197,     0,  1897,   186,     0,     0,   187,
       0,     0,     0,     0,     0,     0,     0,   239,  1139,     0,
    1452,  1451,     0,     0,  1820,  1840,   757,     0,  1232,  1233,
    1231,     0,  1228,  1230,  1242,  1239,  1827,  1826,  1828,     0,
    1345,     0,     0,     0,  1327,  1326,  1245,  1365,  1366,     0,
       0,     0,     0,     0,     0,     0,     0,  1408,  1381,  1382,
    1384,  1405,  1409,     0,  1333,     0,     0,  1456,     0,  1416,
    2256,  2398,  2399,     0,  2393,     0,  2392,  2392,  2386,  2385,
    2382,     0,     0,     0,     0,     0,     0,     0,  2313,   509,
    2315,   507,     0,     0,  2289,     0,  2293,  2291,     0,  2438,
    2441,     0,  2439,  2440,  2442,     0,  2447,  2448,     0,     0,
       0,  2630,     0,     0,  2429,  2417,  2424,  2426,  2428,  2427,
    2436,  2432,  2435,  2437,  2379,  2392,  2510,     0,  2505,  2508,
       0,  2500,     0,     0,     0,  1850,     0,     0,     0,     0,
     751,     0,     0,     0,     0,     0,     0,   134,  1196,   236,
    1194,     0,     0,     0,     0,     0,     0,     0,  1201,     0,
     168,   169,   542,   527,     0,  1959,     0,     0,     0,     0,
     963,   970,     0,     0,     0,     0,     0,     0,     0,   964,
     962,   965,   238,   974,   987,   990,     0,   881,     0,     0,
       0,     0,  1066,     0,     0,  1066,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   256,   262,   305,
       0,     0,     0,     0,     0,     0,     0,     0,   139,     0,
       0,     0,     0,     0,   494,   506,     0,     0,     0,     0,
       0,   503,     0,   135,   258,   487,   491,     0,     0,     0,
     604,   603,     0,  1066,     0,   254,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   324,   325,     0,     0,     0,   139,   161,     0,     0,
       0,   260,     0,  2323,     0,  1158,  1155,  1156,     0,  1161,
       0,  1218,     0,     0,     0,     0,     0,   789,     0,     0,
    1899,  1946,     0,     0,     0,     0,     0,     0,   359,   338,
     339,   135,   337,     0,     0,   663,     0,  1497,  1526,  1504,
    1526,  1526,  1493,  1493,  1506,  1495,  1533,     0,  1526,  1493,
    1498,     0,  1496,  1536,  1536,  1521,     0,  1478,  1479,  1480,
    1481,  1507,  1508,  1482,  1513,  1514,  1483,  1550,  2569,  1493,
    2570,  2567,  2566,     0,     0,   674,     0,  1173,  1208,     0,
       0,   536,     0,  1959,     0,   137,   708,     0,   664,     0,
     137,     0,   173,     0,   599,     0,     0,     0,     0,     0,
       0,   624,   623,     0,     0,     0,   665,     0,   137,   490,
    1959,     0,   441,   441,     0,   905,   908,     0,     0,     0,
    2283,  2278,  2281,     0,  2271,  2285,  1319,  1321,  1320,     0,
    1318,     0,   310,   308,   309,   661,  1015,     0,     0,     0,
       0,   310,     0,     0,  1959,   310,  1959,     0,  1959,     0,
       0,   310,   310,     0,     0,     0,     0,   600,     0,   747,
     745,   744,   746,     0,     0,     0,     0,     0,  1959,   310,
       0,     0,   730,  2637,     0,     0,  2640,     0,  2360,  1765,
       0,  2722,  1274,  2723,     0,     0,  1350,     0,   215,   216,
     214,  1263,   217,  1264,  1259,  1247,     0,   834,     0,  2728,
    2729,   819,     0,   829,     0,  2728,   817,     0,   830,   827,
     828,     0,     0,     0,  2724,  2608,  2614,   833,     0,     0,
     442,   444,     0,     0,  1917,  1930,     0,  1951,  1977,  1978,
    2050,  2054,     0,  2077,  2086,     0,   857,   886,   852,     0,
       0,  1302,   824,   822,  1132,  1267,  1771,     0,  1350,     0,
    1022,  1019,  1018,  1017,   232,   205,     0,     0,     0,   888,
    2049,  1147,   799,   527,     0,     0,  1642,  1643,  1525,  1512,
    1812,     0,     0,  1520,  1519,     0,     0,     0,     0,     0,
    1502,  1501,  1500,  1641,  1779,     0,  1499,     0,     0,     0,
       0,  1526,  1526,  1524,  1573,     0,  1503,     0,     0,  1792,
       0,  1798,     0,     0,     0,  1532,     0,  1530,     0,     0,
    1609,     0,     0,     0,     0,     0,     0,     0,     0,  1557,
    1558,  1640,  1765,     0,  1858,     0,     0,  1518,     0,  1550,
    1755,     0,     0,     0,     0,  1825,     0,  1763,     0,     0,
    1587,  1761,     0,  1589,     0,     0,     0,  1754,  1752,  1753,
    1746,  1747,  1748,  1749,  1750,  1751,  1759,  1570,     0,  1834,
       0,  1569,     0,     0,  1418,  1352,     0,  1856,  1815,     0,
    2615,  2618,  1636,  2489,  2488,  2487,  2486,  2457,     0,  2451,
    2452,     0,  2490,  2491,   247,   248,   244,     0,     0,   201,
     200,     0,   223,   224,   195,   222,     0,   218,   219,   203,
    1707,  1706,   202,   194,   192,   190,   206,   208,   209,   193,
     191,   242,   240,     0,     0,     0,  1817,  1816,  1846,  1821,
       0,     0,   310,  2392,  1226,     0,  1223,  1830,     0,  1347,
       0,     0,  1235,  1343,  1342,  1374,  1375,   923,  1341,  1399,
    1400,  1395,     0,  1414,  1414,  1391,  1385,  1390,  1388,     0,
    1392,  1553,  1407,  1331,  1379,  1380,  1383,  1330,     0,  1410,
    1408,  1384,  1289,     0,     0,  1457,     0,     0,  2400,  2398,
    2338,  1478,  2392,  2331,  2392,  2387,  2319,  1544,  1545,  1546,
    1547,  1548,  1549,  2320,     0,  2317,  1543,  2318,   508,     0,
       0,     0,  2286,     0,  2267,  2292,  2423,  2532,  2455,     0,
    2456,     0,     0,  2420,     0,  2430,  2433,  2431,  2434,     0,
    1478,  2611,  2506,  2611,  1478,     0,     0,     0,     0,     0,
       0,     0,     0,   752,     0,     0,     0,     0,     0,     0,
    2077,   235,  1192,     0,     0,     0,     0,   890,   889,     0,
       0,   910,     0,     0,     0,  1204,   430,     0,   307,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   540,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   574,     0,  1066,     0,   612,
       0,   972,     0,   971,     0,     0,     0,   973,   968,   969,
    2050,  2058,  2082,   237,   989,     0,   988,   986,   945,   947,
     946,     0,   949,   933,     0,   934,     0,     0,   944,   952,
     950,     0,     0,     0,     0,  1939,   264,   277,     0,  1065,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     297,     0,   300,   299,     0,     0,     0,     0,   304,     0,
       0,     0,   303,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,   156,   159,     0,     0,     0,
     493,   505,     0,   497,   498,   495,   499,   500,     0,     0,
       0,     0,     0,     0,   492,     0,     0,   597,   596,   602,
       0,     0,     0,     0,     0,     0,     0,  1058,  1057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   615,   616,     0,   617,     0,   160,     0,
       0,     0,     0,     0,     0,     0,   213,  1154,  1160,  1221,
    1847,  1220,     0,     0,     0,   791,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   343,     0,   689,  2566,   662,     0,  1478,     0,
    1474,  1470,  1539,  1538,  1537,     0,  1484,  1493,  1490,   675,
       0,   677,   680,     0,  1171,   403,     0,   533,   574,     0,
       0,     0,   166,     0,     0,     0,   133,   177,   386,     0,
     176,   178,   180,   181,   182,   179,   183,   594,   598,     0,
     529,     0,     0,     0,     0,     0,   625,   629,   628,   632,
     630,     0,   626,     0,     0,  1466,     0,   155,   486,   489,
       0,  2264,     0,   388,   472,   317,     0,     0,   907,     0,
       0,     0,     0,     0,  2284,     0,     0,     0,     0,  1317,
       0,   993,     0,  1199,  1959,   310,     0,   991,   171,  1842,
       0,   731,     0,     0,     0,     0,     0,   995,   727,   163,
       0,   310,   310,   532,     0,   310,   165,     0,     0,     0,
     524,   310,   749,  2638,  2644,  2642,  1276,     0,  2720,  2721,
     441,  1321,  1249,  1258,   831,   838,   820,   837,   836,   818,
     835,   832,  2422,     0,     0,  2613,     0,   849,     0,   440,
       0,     0,     0,   863,   864,     0,     0,   862,   879,   865,
       0,   867,   859,   858,   868,   869,     0,     0,   888,     0,
    1299,     0,  1297,     0,  1455,  1301,  1290,  1268,     0,  1266,
    1271,  1273,  1272,  1270,     0,     0,     0,   846,     0,     0,
     310,  1146,     0,   801,   802,   807,     0,     0,     0,   808,
     804,   805,   806,   809,   810,   811,     0,     0,     0,  1775,
       0,  1776,     0,     0,     0,  1811,  1807,     0,     0,     0,
       0,     0,     0,  1783,  1784,  1785,  1782,  1786,  1781,     0,
       0,  1787,  1780,     0,     0,     0,     0,     0,  1523,  1522,
       0,     0,     0,     0,     0,     0,     0,  1612,  1644,     0,
       0,  1739,     0,  1765,  1797,     0,     0,  1534,     0,     0,
       0,     0,     0,     0,     0,  1765,  1803,     0,     0,     0,
       0,  1705,     0,  1702,     0,     0,     0,     0,  1822,     0,
       0,     0,     0,  1859,  1554,  1571,  1833,     0,  1824,     0,
       0,  1555,  1578,     0,  1804,  1605,     0,  1610,  1593,     0,
    1586,     0,  1591,  1595,  1574,  1825,  1764,     0,  1762,     0,
       0,  1572,     0,  1567,  1565,  1566,  1559,  1560,  1561,  1562,
    1563,  1564,  1568,  1743,  1741,  1742,     0,     0,     0,  1590,
    1953,  1986,     0,  1364,  1364,  1364,  1351,  1362,  1832,     0,
    1461,     0,     0,     0,     0,  1722,     0,  1769,     0,  1767,
    1849,  2620,  2619,  1823,     0,     0,     0,  1838,     0,     0,
    1550,     0,   241,  1453,  1818,     0,   755,   756,   754,  1478,
    1245,  1229,  1225,  1224,  1829,  1244,  1350,     0,   921,   922,
       0,   926,     0,     0,  1393,  1406,     0,  1302,  1302,     0,
    1397,  1398,  1389,  1335,  1334,     0,  1464,     0,     0,  1286,
    1279,  1458,     0,  1418,  1304,  1306,  1307,     0,  1822,  2336,
    2394,  2341,  2362,  2332,  2365,  1552,  2314,  2354,     0,  2288,
    2458,  2459,     0,  2449,  2450,  2419,  2425,  2496,     0,  2612,
       0,     0,   687,   686,     0,     0,     0,  1092,  1025,  1070,
     753,  1093,  1026,  1071,  1094,  1027,  1193,     0,  1195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   650,  1959,   310,  1202,  1095,     0,  1028,
     306,  1203,  1072,  1207,  1073,     0,   541,     0,     0,   546,
     547,   548,     0,     0,   549,  1899,  1946,     0,   554,   560,
     564,   555,     0,   565,   561,     0,     0,     0,     0,     0,
       0,   571,   573,     0,     0,     0,     0,     0,     0,   966,
     967,  1096,  1031,     0,  1074,   948,  1493,   932,     0,     0,
     943,     0,   942,  1493,  1493,  1032,   167,     0,   257,   265,
     580,  1068,   283,   296,   291,   292,   290,  1959,   310,  1959,
     310,     0,     0,     0,     0,   293,   288,   289,   285,   298,
    1876,  1932,  2059,     0,   584,   586,     0,   591,   301,  1044,
       0,   318,   321,   302,   281,   284,   282,   278,   263,     0,
       0,  1845,     0,     0,   997,     0,     0,     0,   158,  1054,
       0,     0,   144,     0,     0,     0,     0,   138,   148,  1102,
    1036,     0,     0,   259,   488,   496,   501,  1040,   504,  1084,
     502,  1108,  1037,  1066,     0,   255,     0,  1038,     0,  1078,
    1104,  1056,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1210,     0,     0,     0,     0,     0,   310,     0,   696,
    1068,  1959,   310,  1103,     0,  1063,  1090,     0,   326,     0,
    1055,     0,     0,   261,  1042,  1086,     0,     0,   211,   210,
     212,     0,     0,     0,     0,     0,     0,     0,     0,   793,
     764,   792,     0,     0,     0,     0,     0,     0,     0,   758,
     358,   335,   336,     0,     0,   334,   340,   688,     0,     0,
       0,  1475,  1471,     0,     0,     0,     0,     0,     0,  1491,
     676,     0,     0,     0,     0,  1191,  1191,  1191,  1191,  1191,
    1191,  1191,  1172,  1200,   135,     0,     0,     0,   535,   573,
     580,     0,   608,   611,     0,   609,     0,     0,     0,     0,
       0,   149,   136,     0,   716,   441,   172,     0,     0,     0,
     528,   673,   671,   670,   672,     0,     0,     0,   693,   669,
       0,  1465,  1467,     0,     0,     0,     0,   390,     0,     0,
     387,   391,   395,   396,   397,   444,     0,     0,   476,     0,
       0,     0,     0,   937,     0,   955,   938,     0,     0,     0,
     977,   982,   978,   958,     0,   512,  2282,  2276,  1322,  1323,
       0,   310,     0,     0,   575,   310,   310,     0,   310,     0,
     310,   310,     0,  1129,   601,     0,   658,     0,     0,   310,
     729,  1766,     0,  2421,  2609,   850,   443,     0,     0,     0,
       0,   861,     0,   510,   866,     0,   878,   873,   875,     0,
     882,  1300,  1293,  1295,  1294,     0,     0,  1291,  1772,   728,
       0,     0,   310,     0,   883,     0,   803,     0,     0,     0,
       0,  1369,  1773,  1774,     0,     0,     0,     0,  1808,     0,
       0,  1680,     0,  1656,  1658,  1492,  1670,     0,  1505,  1681,
    1682,  1660,  1662,     0,  1756,     0,     0,  1671,  1614,  1615,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1627,  1626,  1672,  1738,     0,     0,  1795,
    1796,  1673,  1535,  1536,  1536,     0,     0,  1802,     0,     0,
       0,  1678,  1683,     0,     0,     0,     0,  1689,     0,  1710,
       0,     0,     0,  1637,  1766,  1527,  1528,     0,     0,     0,
       0,     0,     0,     0,     0,  1611,  1594,  1588,     0,  1592,
    1596,     0,     0,     0,     0,  1580,  1606,  1576,     0,     0,
    1582,     0,  1607,  1364,  1364,  1364,  1364,  1361,     0,     0,
       0,     0,  1428,  1417,  1419,  1430,  1421,  1423,  1459,     0,
    1839,     0,  1402,  1373,  1373,     0,  1722,     0,  1645,     0,
    1722,     0,     0,  2471,  2473,  2474,  2475,  2476,  2477,  2479,
    2480,  2482,  2483,  2484,  2472,  2478,  2481,  2485,  2462,  2463,
       0,  2453,  2454,   188,     0,   220,   207,     0,  2496,  1227,
       0,  1376,     0,  1757,   926,   924,   925,  1378,     0,     0,
    1413,  1412,  1411,  1386,  1288,     0,  1286,  1281,     0,  1282,
    1822,     0,  1278,  1311,     0,     0,  1464,     0,  1310,     0,
    2396,  2324,     0,     0,  2495,  2498,  2509,  2507,  2334,  1091,
    1024,  1069,  1191,   893,   894,     0,   892,     0,     0,     0,
     429,   909,     0,     0,     0,   650,     0,     0,   433,     0,
    1205,     0,   543,   544,     0,     0,   562,     0,     0,   551,
       0,     0,     0,     0,   550,   567,   516,   568,   570,     0,
       0,   569,   572,   577,  1066,     0,   613,  1046,     0,  1088,
     960,     0,  1493,   935,   940,   941,     0,     0,     0,   403,
       0,     0,     0,   266,   276,     0,     0,   280,     0,   274,
     294,   286,   295,   287,   588,   589,   587,   583,     0,   590,
     592,   315,     0,     0,     0,  1098,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1099,  1075,     0,
       0,   141,   140,     0,   147,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   327,   312,     0,
       0,     0,     0,     0,   329,     0,     0,     0,     0,  1097,
    1033,   759,     0,     0,   760,   768,     0,     0,   761,     0,
       0,     0,     0,     0,     0,   770,   361,     0,   364,   371,
     344,   348,  1209,     0,  1209,     0,   349,  1209,   345,  1209,
     342,   690,     0,  2007,  1746,  1747,   684,   691,   681,   683,
     682,   685,   650,     0,     0,     0,  1476,     0,  2710,  2718,
    2717,     0,  1550,   678,   679,     0,  1191,  1190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   415,
       0,     0,   409,     0,     0,   982,   402,   405,   406,   536,
     539,   537,   538,   566,     0,   607,     0,   580,   151,     0,
       0,   152,   150,     0,   317,   386,     0,     0,   631,   634,
     627,     0,   692,   694,   667,     0,   580,     0,  1277,   485,
       0,   472,   422,   468,     0,   470,   469,   471,     0,   478,
     316,     0,     0,   910,   936,     0,     0,     0,   975,   979,
     976,     0,     0,   951,     0,   959,   929,  1124,  1125,  1122,
    1123,     0,     0,  2299,  1313,  2308,   994,     0,   310,   992,
     732,     0,   723,     0,   725,   996,   310,   310,   618,     0,
     525,     0,     0,     0,     0,   860,   880,     0,   876,     0,
       0,   843,   885,  1298,  1296,   888,     0,   844,   887,     0,
       0,     0,     0,     0,  1777,  1511,     0,  1810,  1806,     0,
    1653,  1778,     0,  1790,  1789,  1613,  1791,     0,  1632,     0,
       0,  1624,  1622,  1623,  1616,  1617,  1618,  1619,  1620,  1621,
    1625,  1800,  1799,  1793,  1794,  1531,  1529,     0,  1675,  1676,
    1677,  1801,  1684,     0,  1890,  1711,  1688,  1704,  1703,     0,
       0,     0,  1691,     0,     0,  1700,     0,  1740,  1517,  1550,
    1556,     0,     0,  1579,  1805,  1597,     0,     0,     0,  1575,
       0,     0,     0,     0,  1584,  1756,     0,     0,     0,     0,
       0,     0,  1355,  1354,  1360,  1337,     0,  1430,     0,  1429,
    1441,     0,     0,  1447,  1445,     0,  1447,     0,  1447,     0,
    1422,     0,  1424,  1441,     0,  1840,  1460,     0,  1404,     0,
       0,  1372,     0,  1722,  1652,  1725,  1720,  1721,  1770,  1646,
    1857,     0,  1768,  1722,     0,     0,     0,  1819,  2494,  1348,
       0,  1377,  1394,  1387,     0,  1462,  1287,     0,     0,  1284,
       0,     0,     0,  1305,  1286,  1308,  2340,     0,  2395,  2460,
    2461,     0,   899,   900,   898,   901,     0,     0,     0,   650,
       0,     0,   449,     0,   917,   917,     0,     0,   435,   481,
     982,   653,     0,     0,     0,   651,   310,  1029,     0,   563,
       0,     0,   559,   557,   556,   558,   517,  1107,  1030,     0,
       0,     0,     0,   961,     0,   953,  1045,     0,   400,     0,
     271,  1067,     0,     0,     0,   270,     0,   310,   310,   585,
     319,   320,   323,     0,     0,     0,     0,     0,     0,   717,
     700,     0,     0,   718,   719,     0,     0,     0,   999,  1000,
     998,   145,   142,   143,   146,  1041,  1085,  1039,     0,  1079,
    1050,  1048,     0,     0,     0,     0,     0,  1106,  1062,  1083,
    1105,  1060,  1081,  1059,  1080,  1061,  1082,  1053,     0,  1469,
     698,   697,     0,   310,   310,   620,  1043,  1087,     0,   762,
       0,     0,   763,   774,   772,   771,   773,   765,   362,   135,
       0,   341,     0,   369,     0,   367,   366,   368,     0,   355,
       0,     0,     0,     0,     0,   660,     0,     0,     0,  1472,
       0,     0,     0,     0,     0,     0,  1477,  1485,   649,     0,
    1182,  1181,  1180,  1184,  1183,  1186,  1185,  1177,  1176,  1189,
    1188,  1175,  1174,  1179,  1178,     0,   407,     0,   413,   417,
     418,   416,   408,   982,   441,   480,   534,     0,   610,   605,
     154,   153,     0,     0,     0,     0,   636,   640,   668,     0,
    1468,   614,     0,   388,   485,     0,  2265,     0,   393,   398,
     399,     0,   476,   419,     0,   472,   392,     0,     0,   482,
    1169,     0,     0,   939,   956,   957,     0,     0,   982,   981,
       0,   519,     0,  2272,   310,   576,   310,   310,  1130,   659,
       0,   872,   871,   870,   511,     0,   874,   310,     0,     0,
       0,     0,     0,   813,   794,   812,  1809,  1669,  1679,  1788,
       0,     0,  1633,     0,     0,  1674,  2148,     0,     0,     0,
       0,  1708,  1709,  1690,     0,  1998,  1695,     0,     0,     0,
    1860,  1603,  1601,  1598,     0,  1599,     0,     0,  1581,  1577,
       0,  1583,  1608,  1359,  1358,  1357,  1356,  1432,  1439,     0,
    1420,     0,  1446,  1442,     0,  1443,     0,     0,  1444,     0,
       0,  1439,     0,     0,     0,     0,  1716,  1722,  1722,  1647,
    1727,  1724,     0,  1649,  2464,     0,  2467,  2465,  2466,  2470,
    1550,     0,     0,  1280,  1283,  1285,     0,  1312,  1303,  2397,
    1197,     0,     0,     0,   431,     0,   982,     0,     0,     0,
     920,   920,     0,   982,   480,   655,   654,   657,   652,   656,
    1206,     0,   552,   553,  1047,     0,  1089,  1051,   954,     0,
     581,   267,   268,   269,   272,   312,   279,   273,     0,  1100,
    1034,  1076,     0,     0,   706,     0,     0,     0,     0,  1101,
    1035,  1077,     0,     0,     0,     0,  1215,     0,   311,   312,
     328,  1064,     0,   766,   767,   343,     0,   365,   374,     0,
     372,   346,   351,     0,   353,   352,   347,   350,  1473,     0,
    1013,  1013,  2711,  2712,  2713,  2714,  2715,  2716,     0,   650,
    1187,     0,     0,   404,   480,   448,     0,   410,     0,     0,
       0,   388,   580,   635,     0,     0,     0,   695,   390,     0,
    1275,   483,     0,   389,     0,     0,   478,     0,     0,     0,
     476,     0,   473,     0,   477,     0,  1164,     0,     0,   980,
       0,   984,     0,   950,   927,  1461,     0,   523,  2298,  2302,
    1014,   724,   726,   619,   877,   884,   310,   795,   796,   797,
     798,  1628,     0,     0,     0,     0,  1685,     0,  1686,  1713,
    1712,  1692,  1696,     0,  1693,  1694,  1600,  1604,  1602,  1585,
    1431,     0,     0,  1433,     0,     0,  1435,  1437,     0,     0,
       0,     0,     0,  1843,  1722,  1401,  1403,     0,  1338,  1650,
    1651,     0,  1373,  1722,  2469,  2468,   221,  1758,  1463,  1309,
     878,     0,   310,   917,   480,   450,  2007,   451,   916,     0,
     918,   923,   923,     0,   480,   650,   545,     0,   579,     0,
     314,   322,     0,     0,   713,   701,     0,     0,   720,  1049,
       0,     0,     0,     0,     0,   310,   769,   333,   360,   370,
       0,   354,  1013,     0,  1010,  1009,   648,     0,   439,   411,
       0,   459,     0,   580,   710,  1169,   593,   637,   638,   633,
       0,     0,   472,   468,   484,   394,   403,   377,   428,   427,
     424,   423,   425,   426,   421,   420,     0,   478,   474,   475,
       0,     0,     0,  1217,     0,   911,   983,     0,     0,     0,
     518,     0,     0,   522,   513,     0,  2300,   845,  1629,     0,
    1630,     0,     0,     0,  1698,  1697,     0,  1440,  1449,     0,
    1436,  1434,  1425,     0,  1427,  1715,  1717,     0,     0,  1730,
    1648,   895,     0,   896,   920,   454,     0,   919,   926,   926,
     441,   650,   432,  1052,   582,     0,   275,     0,   704,     0,
     715,   713,     0,     0,  1211,     0,  1212,  1213,  1216,   330,
     373,  1008,  1012,  1011,     0,     0,   412,   445,   446,   447,
       0,   414,   455,   456,     0,   606,     0,     0,  1165,     0,
       0,   476,   472,   401,   467,   375,     0,  1166,     0,   317,
       0,   982,   985,  1128,   521,   520,  2303,  2305,  2304,     0,
    1631,  1701,  1687,  1714,  1699,  1438,     0,  1426,     0,     0,
    1726,     0,     0,     0,     0,   923,     0,   650,     0,   914,
     913,   448,   434,   313,     0,     0,   711,   714,   702,   715,
     722,   721,     0,     0,   438,     0,     0,     0,   457,     0,
     458,   479,   709,     0,   639,     0,   478,   476,  1167,  1168,
     478,   912,   928,  1127,  1126,  1350,  2301,  1448,  1718,  1719,
    2113,     0,  2088,     0,  1728,  1731,  1729,  1723,   310,   926,
       0,   436,   452,   459,     0,     0,   703,  1214,   640,   464,
       0,   463,     0,   461,   460,   699,   643,   378,   478,  1461,
    1110,  1350,  1109,  1111,  1119,  1116,  1118,  1117,  1115,     0,
    1735,  1734,  1733,  1737,  1736,   897,   915,     0,   650,   705,
     712,     0,   462,   466,   465,     0,   641,   644,   647,   645,
     646,   376,   902,     0,  1120,  1114,  1337,  1324,     0,   453,
     437,     0,   621,     0,  1112,  1350,  1732,     0,   642,  1113,
       0,   643,     0,   622
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1698,  2592,  2475,  3281,  3282,   249,
     250,  1769,   251,   252,   253,   254,   255,   256,   257,  1713,
     258,   259,  1275,  1912,  2600,   260,  2351,  1051,  1052,  2225,
    2226,  2537,  2227,  2214,  1550,  2012,  1732,  1700,  1733,   262,
     263,  1544,  2206,   264,   265,   266,  1757,  1758,  1708,  1955,
    4179,  4746,  2462,  3320,  3120,  3121,   267,  1811,  1812,   268,
     269,  3233,  1851,  3235,  3236,  3770,   861,  2561,  4199,  4200,
    3757,  3758,  4206,  4479,  4480,   270,  1909,  3309,  3851,  3310,
    4277,  3311,  4278,  3312,  4279,  3263,  3816,  3817,  3818,  3313,
    4283,  4684,  3314,  2366,  4766,  2634,  2042,  2040,  4661,  4081,
    4082,  4817,  4771,  4772,  4773,  4883,  4285,  3318,  3859,  4289,
    4507,  3023,  1931,  4276,   271,   272,  2628,  1785,  1786,  2482,
    3776,  3374,   273,  1292,  3635,  4547,  4703,  4704,   274,   849,
     275,  1916,   276,   277,  2587,  3268,   278,  2378,  3036,   279,
     280,  3061,  3062,  3063,   281,   282,  3659,  4439,  1759,  3113,
    3114,  3115,  3116,  3679,   283,  1914,  1791,  2609,   284,   285,
     286,  2591,  3274,  3275,   287,   288,  2525,   289,   290,   291,
    1924,  2621,  2622,  4267,  4514,  4669,  4516,  4915,  4916,  4499,
    3618,  4095,   292,   293,   294,   295,  1895,  2580,  2581,  3777,
    1684,  1855,  2563,  2564,  3841,  3842,   296,   297,  4139,  4140,
     891,  4777,  4750,  4828,   298,   299,  4143,  4144,   300,   301,
     302,   303,   304,   944,  1343,  1344,  1690,   305,  2242,   306,
    1250,  3220,   307,  1433,  2767,  4324,   308,   978,  1370,  1371,
     309,   310,   989,  2747,   991,  2055,  3376,  3377,  3911,  2717,
    1175,   311,   312,  2728,  2750,   313,  1701,  2357,  2358,  4076,
     314,   892,  1936,  2637,  3018,  4694,  4083,  4420,  4621,  2941,
    3567,   315,   893,  1737,  2424,  2640,  3324,  3325,  2426,  2906,
    3872,  2428,  3326,  3331,  3332,  3333,  3868,  3876,  4541,  4542,
     316,  1735,  2417,   317,   318,   319,  1764,  1193,   320,   914,
     915,   321,  4654,   322,  1311,   323,  1009,  2071,   324,  2440,
    3665,   325,   326,   327,  4892,  4923,  4924,  4925,  3881,  4855,
     328,  4894,  1412,   330,   331,   332,   852,  1218,  1219,  1220,
     333,  4536,   334,   335,  2584,  3262,  3798,   336,   337,  2352,
    3008,   338,   339,   340,  1899,   341,   342,   343,   344,  1831,
     345,  1581,  1582,   346,   347,   856,  1070,  1585,  1593,   348,
     957,  1364,  1365,  1366,  2014,   349,  1416,  2739,   958,  1357,
     959,  2959,  3578,  3579,  3582,   960,  2956,   353,  2061,  2733,
    2736,   961,  2963,  2964,  2965,  2966,  2967,  3584,   962,   980,
    1302,  2648,   963,  1504,   358,   359,   360,  1079,  1074,  1075,
     362,  2184,  2896,   997,  1599,  1036,  1086,  4031,  2255,  2256,
    2276,  2277,  1608,  1609,  2266,  2268,  2943,  2269,  2952,  2261,
    4028,  4386,  2272,  2273,  1611,  1612,  2947,   363,  2900,  3513,
    3514,  3515,  4009,  4019,  4373,  4586,  3516,  1406,  1618,  3517,
    3522,  3576,  3300,  3301,  3302,  2429,  2571,  1877,  1505,  1878,
    2578,  1506,  2106,  1880,  1507,  1508,  1509,  1883,  1510,  1511,
    1512,  1513,  2089,  2147,  1514,  1515,  2125,  1118,  1119,  1999,
    2806,  1517,  1518,  3975,  4348,  4337,  2832,  2833,  2222,  3971,
    3465,  4598,  4725,  4726,  4039,  4036,  4390,  4602,  4813,  4864,
    4865,  1519,  2886,  2176,  1195,  1520,  3779,  2178,  2826,  2908,
    2909,  2336,  2087,  2772,  2789,  2790,  2803,  3426,  2810,  2815,
    3449,  3450,  2827,  2855,  1521,  2775,  2776,  3409,  2091,  1522,
    1574,  1575,  2192,  2850,  1588,  1589,  1072,  1523,  1524,  2056,
    1061,  4582,  1320,   699,  3130,  2237,  1222,   994,  1525,  1526,
    1527,  3378,  1639,   678,   679,  1156,   803,     2,    75,   964,
    3306,   367,   368,   895,   896,   897,  1294,  1295,  1941,  1944,
    1644,  2314,   680,   681,   708,  4303,  4548,  4706,   950,   369,
     370,   371,   372,  1640,  2310,  1120,    76,    84,    77,  1121,
     409,   410,  2292,   373,   820,   374,  1621,  1100,  3590,   375,
     376,   377,   378,   379,   947,   380,  1102,   381,  1103,   382,
     383,   384,   385,  1110,   386,  1623,  1624,  4068,  1625,   387,
     388,   701,   702,  1355,   389,   390,  1137,  1138,  1389,  1390,
    1650,  1665,  1666,  1667,   391,   695,   392,   393,   394,  1656,
    1657,   395,  2199,  2200,  2319,  2201,   396,  2980,  2981,   397,
    3548,  3549,  4397,  3550,   398,  2195,   399,   400,  1064,  3595,
     401,   816,   402,  1151,   682,   683,   684,  1158,   806,  1022,
     709,  1160,  3117,   808,   809,   686,   687,   688,  2034,    78,
    2988,  2035,  1529,   710,  1530,  2190,  1531,  1532,  1533,  1534,
    1535,  1673,   692,  1127,  1347,  1348,  2989,  1350,    82,  1351,
     406,  3791,  2002,  1391,  2020,  2021
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4498
static const int yypact[] =
{
   -4498,   400, 10072, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, 22586, -4498,
   -4498, -4498, -4498, -4498,101242,   493, -4498, -4498, -4498, 61800,
   -4498, -4498, -4498,   248, 67091, -4498, 70458,   997, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, 74306, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, 54573,  1323, -4498,
     438, -4498, -4498, -4498, -4498, -4498, -4498, -4498,   -49,  7071,
   -4498, -4498, 70939, -4498,   153, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, 71420,   814, -4498, -4498,   986,  1293, -4498,    86,
   14019, -4498, -4498, 62762, 68053, -4498, -4498, 74787,   343,  1695,
    4268,   -49, 22102, 75268, -4498,  1899, -4498, 51164, -4498, -4498,
   -4498, 67572, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, 82483,  2369,   989, 51654, -4498, -4498,
   -4498, -4498, 82483, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, 75749, -4498,  1161,  1138, 82964, 83445, 64686,
   -4498,  1386, -4498, 82483,  1254,  1032, 53609, -4498, 83926, -4498,
   -4498,  1141, -4498, 76230, -4498, -4498, -4498, -4498,   989, -4498,
   54573, 48730,    17,  1102, -4498, -4498, 84407, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498,  1630,  1148, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498,   814, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498,   292, -4498,   969,
     462,  1555,   230,  1196, -4498, -4498, -4498,  9438, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498,102676,  1993, -4498, -4498, -4498,
    1297, -4498,  1456, -4498, -4498, -4498,  1631, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498,   392, -4498, -4498, -4498, -4498,  1860,
  101720, 74306, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, 62281, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498,   172, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, 74306, 74306, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, 74306,  1590, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498,   403,  1789, -4498, -4498, 54573,  2567,  2567,  2047,
  102676, -4498, -4498, -4498, 55537, 82483, 82483, 82483,  1805, 82483,
   82483,    79, 55537, 82483, 84888,  1804, 44307, -4498, 82483, 82483,
   85369, 82483, 76711, 82483,  1755, 82483, 82483, 85850, 86331,  1888,
   -4498,  2148,  1624, -4498, -4498, -4498, 82483,  6357,  2369, -4498,
   -4498, 82483,  1766, 55537, 82483,  1747, 82483,  1845, 82483, -4498,
   82483, 86812,   259,  1782, 82483,  1951, 44801,  1885, 82483, 82483,
   82483, 82483, -4498, -4498,  1907, 82483, 82483, -4498, -4498, 87293,
    1523,  2143,  2061,  1008, -4498, -4498,  2232,  1840, -4498, -4498,
    2271, 74306, -4498, 71901, -4498, -4498, -4498,   317, -4498, -4498,
   -4498, -4498, -4498, 65167,  1695, -4498, -4498, 56019, 82483,  2134,
   -4498, -4498, 87774, -4498, -4498,   637, 56501, 88255,  2201, 45295,
    2257, 88736, 89217, -4498, -4498, 89698, -4498, 90179,  2004, 90660,
   -4498, 91141, -4498,  2126, 91622, -4498, 14812, -4498,  1909,  1859,
    1926,   759, 74306, 74306,  1272, 39933,   814, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498,   195,  1191, 52144,   541, 52634,
   -4498, -4498,   709,   792,  1026,   195,  2347,  2347,    28, 74306,
   -4498, -4498,  1191, -4498,   627,   -57,  1935,  1935,  1935,  2178,
    1120, -4498,  1935, -4498, -4498, -4498, -4498, 76230, 52144, 52634,
   -4498,  2015,  2369,   106,  2332, 82483, -4498, 82483, -4498, 82483,
   82483, -4498, -4498, -4498,  2356,  2006,  2240, -4498,  2022, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498,  2205,  2220,  2224,    70,
    2369,  2123, -4498,  2340, -4498,  2249, 27583,   463, 74306,  2369,
   53124, 77192, 98837,   210, 65167,  2369, 92103,  2077,  1487,  2247,
   -4498, -4498,   690, -4498,  2482,  2099,  2321,   211,  1624, 41873,
   -4498,  2120,   424, 76230,103154, -4498, -4498, -4498, -4498,   366,
    2386, 28082, -4498, 82483,  2111, -4498,  2128,  2119,  2122,  1555,
   -4498, 82483,  1129,  1129,  2507,  1129,  1256,  1924, -4498,  2290,
   -4498,  2408,  2374, 76230,  1102,   -49,  2137, -4498, -4498, -4498,
    2149, -4498,  2132,  2172, -4498,   514,  2410, -4498, -4498, -4498,
   -4498,  2255,  2258,  2263,  2264,  2194,  2274,   258, -4498, -4498,
   -4498, -4498,  2510, -4498, -4498, -4498, -4498, -4498, -4498,  2592,
    2591, 62762, 62762,    41,   121,   139,   265, -4498, -4498, -4498,
    2460, -4498, -4498,  2453, 82483,  2299, 82483, -4498, -4498, -4498,
   92584, -4498, -4498,  2567,  2149,  2236, -4498,   277, -4498,   424,
   -4498,   329,   409,   427,  1423,  2226,  1724,  1646, -4498,   705,
    2357,   188,   797,  2284, 77673,  4527,  2261,   758,  2564,  2101,
     258, -4498, 82483, 82483, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498,  2283, -4498, -4498,  2303,  1383,   898,  2589,
    7841,  1612,  2593,  2399,  1567,   730,  2491,   831,  2595,  1243,
    2607,  5600, 82483,  2317, -4498,  2545,  2652,   -35, -4498,    57,
   -4498,  2387,  2526,  1112, 55537,  2336, -4498, -4498, 82483, -4498,
   -4498, -4498, -4498,   693, 55537, -4498,  2528, 45789, -4498, 82483,
   -4498, -4498, -4498, -4498, -4498,  2472, 82483, -4498, -4498,  2597,
   82483, -4498,  1935,   988,  2360,  2730, 58911,   130, 82483,  2403,
    2767,  2569,  2403,  2409, 93065, -4498, -4498,  2403, -4498, -4498,
   82483, 82483,  2379,  1402,  2403,  2773,  2779,  2487,  2584,   763,
    1370,   107,  2706,  2403, 82483, 93546, 82483, 82483,  2783, 55537,
   82483, -4498,  2581, 78154, -4498,  2429,  2232, -4498, -4498, -4498,
   -4498, -4498,  1236, -4498, -4498, -4498, -4498,  2727,  2236,   576,
    2737,  2449,  2748, -4498,  2495, -4498,  2772,  2261,  2777,  2490,
   -4498, 94027, 94508, 94989,  2786,  2283, 82483,  2789,  2490,  2795,
    2687,  2804,   576,  2830, -4498,   806,  2847,  2728,  2851,  1811,
    2490, 65648,  2853,    85, -4498, 23047, 14812, -4498, 23610,  1668,
   -4498, -4498, -4498, -4498, -4498, -4498, 31575,   508,  2647, -4498,
   -4498,  1102, -4498, -4498,  1831, -4498, 50674, -4498,  1272,  1191,
   -4498, 74306,  1191, 74306,    28,  1191, 74306,  1191, 74306,    28,
    1191, 74306, 74306, 74306,  1191, -4498, -4498,  1913,  1684, -4498,
   -4498, -4498, -4498, -4498, 74306,  2565, 82483, 82483, -4498, -4498,
   -4498, 68534, 82483, 69015, -4498, -4498,   242, 74306, -4498, 74306,
   -4498,  2369, -4498, -4498,  1859, 58911,  2959, 82483,  2846,  2846,
    2846, -4498, -4498, -4498,  2787, 82483,  2849,  2850, 68534, 82483,
   -4498, 95470, 65167,  2750,  2571, -4498, -4498, -4498, -4498,  1931,
    2582,   247,  2827, 31575,  2572,   235,   235,  2575,  2859, -4498,
   -4498, -4498,   436,  2579,  2583, -4498,   182,   182,  2738,  2585,
    2586, -4498,   484,  2590, -4498,  2840,   505,  2596,  2598,  2600,
    1017,   235, 31575, -4498,  2601,   182,  2602,  2603,  2604,  2854,
    2608, -4498,  2879,  2609,   379,   419,  2612,  2614, -4498,  2585,
   -4498,   473,  2616,  2617,  2618,  2619,  2620,  2621,  2622,  2623,
   31575, 31575, -4498, 26585, -4498,  2369, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498,    87, -4498,   523,  5467, -4498, -4498,  2752,
   31575, -4498, -4498,   -13, -4498,   708, -4498, -4498,   424, -4498,
   -4498,  1242, -4498, -4498, -4498, -4498,  1781,  1781,   200, -4498,
   70939, 70939, -4498, -4498,  1276,  2594, -4498,   263, -4498, -4498,
   -4498, -4498, -4498, -4498, 63243,  2984, -4498,  1016,  2369,    57,
    1435,  2932, 49694, 50184,  2832,  2832,  2813, -4498, -4498, 82483,
   -4498, -4498, 31575, 47766, -4498,   424,    63,  2848, -4498, -4498,
   -4498,  1970, -4498, -4498, -4498,   814, -4498, 13383, -4498,  1998,
    2111, 82483, 82483,  3019, -4498, -4498,  2128, -4498, -4498,  1555,
    1555, 31575,  1555,   666,  1302, 28581, 31575,  2907,  2811,   159,
    1307,  2912, -4498,  1256,  1924, 76230, 82483, 95951,  2739, -4498,
   -4498,  2149,  2640,  1446, -4498, 60838,102198,102198,  2875, -4498,
   -4498,  1121,    23,  2751,  2841,  2347,  1583,  1714, -4498, -4498,
    2633, -4498,  2962, 70939,  2693, 62762, -4498, -4498, 82483, -4498,
   -4498, 78635, -4498, -4498, -4498,  1962,  2638, -4498,  2655, 82483,
    3133, -4498,  1714,  1714, -4498, -4498,  2642, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498,102676,  2646, 82483, -4498,  2648,
    2649, -4498,103154, 48248,  1937,   424,  2721,  2724,  2771, 54573,
    2651,  2729,  2731,  2778,  2732,  2744, 99318, -4498, -4498, -4498,
   -4498,  1571,  1300,  1379,  2745,   197,   662,  3004, -4498,  2782,
   -4498, -4498, -4498,  3624, 82483,  2964,  5966,  2855,   258,  2788,
   -4498, -4498,  2897,  2753,  2754,  2865,   258,   125, 99799, -4498,
   -4498, -4498, -4498, -4498, -4498,  3289, 25114, -4498,  2755,  2735,
   82483, 63724,  3035,  2858,   466,  1887,   243, 82483,  2935,  2873,
   82483,  2690,  2766,  2769,  2697,  1876,  3043,  2700, -4498, -4498,
    2871,  2757,  2758, 57947,  1110, 46283,  3037,  2784, -4498,  1416,
    2785,  2790, 82483,   258, -4498,  3087,   258,   258,  1609,  3090,
    2791,   308,  1716,  2403,  2700,  1573, -4498,  2792,  2793,   955,
   -4498,  2889, 76230,   219,  1806,  2700,  2794,  2796,  2697,  2697,
   82483, 82483, 82483, 82483, 82483,   115,  3104,  3110,  2798,   123,
    2844,  2723, -4498, 72382,  2801, 98837, -4498, -4498, 82483,  2802,
    1918,  2700,  1089, -4498,  1861, -4498, -4498, -4498,  1624, -4498,
   82483, -4498, 82483,  2236, 58911,  2910,  2762, -4498,  2261,   258,
   82483, 82483,  2283,  1152,   958,  2915, 82483,  2971,  2776, -4498,
   -4498,  2403, -4498, 48248,  2379, -4498,  2749, -4498,  2781, -4498,
    2781,  2781,  2756,  2756,  2759, -4498, -4498,  1017,  2781,  2756,
   -4498, 59875, -4498,  1710,  1833, -4498,  3134,  3141, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498,   849, -4498,  2013,
   -4498, -4498, -4498, 82483, 54573, -4498,  3156, -4498, -4498, 58911,
    3044, -4498, 82483,  2945,  2760, -4498,  3076,  2806, -4498,  2812,
   -4498, 82483,  1241,  2369,  2799, 82483,  2973, 82483, 82483, 82483,
   82483, -4498, -4498,  2953,  1014,   222, -4498, 72382, -4498,  1573,
    2965,  3168,   -37,  1935,  3055, -4498, 82483,  2775,  3171,  3006,
   -4498, -4498,  2797,  2347, -4498,  2429, -4498,  1507, -4498,  2896,
   -4498, 55537,   576, -4498, -4498, -4498, -4498, 58911, 82483, 96432,
   55537,   576, 82483, 82483,  3071,    85,  3080,  2842,  3081,  2845,
   46283,   576,    90, 82483, 82483, 82483, 82483, -4498, 82483, -4498,
   -4498, -4498, -4498, 82483, 82483, 82483, 72382,  3084,  3094,   576,
   82483, 82483, -4498, -4498, 23136,  1673, -4498, 14812, -4498, 13383,
    2016,  2832, -4498,  1590, 82483,  1363,  1272, 69496, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, 74306, -4498, 74306,    28,
   -4498, -4498, 74306, -4498, 74306,    28, -4498, 74306, -4498, -4498,
   -4498, 74306, 82483,  3293,  2803, -4498,  1242, -4498, 82483,  2024,
   -4498, -4498,  2030,  1049, 82483, 82483,   600, 55537, 82483,  2990,
   82483, 82483, 82483, 82483, 82483,  2881,  2594,   928, -4498,   472,
   76230,  3002, -4498, -4498, -4498, -4498, -4498,  2064,  1630,  1137,
   -4498, -4498, -4498, -4498, -4498, -4498, 69015, 67572,  3091,   105,
   82483, -4498, -4498,  3807, 31575, 27084, -4498, -4498, -4498,  2822,
   13383,  2852, 31575, -4498, -4498, 31575,  2823,  2347,  2347, 31575,
   -4498, -4498, -4498, -4498,  3309,  2347, -4498, 31575, 31575,  2347,
    2347,  2781,  2781, -4498,  6209, 31575, -4498, 46283, 31575, 33072,
   24614, 31575,  2904,  2856,  2347, -4498,  2347, -4498, 31575, 26086,
   -4498, 31575,  3031, 34070, 31575,  1435,  3032, 31575,  1435,  3246,
    3246,  1085,  6555,  2831, -4498,  2942,  2347, -4498,  2347,   746,
     280, 58911, 31575, 54573,  2916,   126, 82483, 31575,  2836,  1762,
   -4498, 31575,   736, -4498,  2843, 31575,  2920, 31575, 31575, 31575,
   31575, 31575, 31575, 31575, 31575, 31575, -4498, 35040,   314, -4498,
     540,  1786, 69977, 27583,  3117, -4498, 24114, -4498,   198, 74306,
   -4498, -4498,   424, -4498, -4498, -4498, -4498, -4498,  1962,  2839,
   -4498,  2861, -4498, -4498, -4498, -4498, -4498, 82483,  2984, -4498,
   -4498,  2921, -4498, -4498, -4498, -4498,   787, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498,  2857, -4498, -4498, -4498, -4498,
    2857, -4498, -4498,  2832,  2860,  5737, -4498, -4498, -4498, -4498,
    3112,  3113,   576,102676, 82483,   366, 72863, -4498, 28082, -4498,
    2065,  2862, -4498,  3092, -4498,  2863, -4498,  9110,  3092, -4498,
   -4498,   160,  3033,  3036,  3036, -4498,  2866, 13383, -4498,  1835,
   13383,  1852, -4498, -4498, -4498, -4498, -4498, -4498,   852, -4498,
    2907,  1307,  2908,   617, 82483, -4498, 42358,  1780, -4498,  2149,
   -4498, -4498, 21067, -4498, 21552, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498,  2864, -4498, -4498, -4498, -4498,   258,
    2872,  3327, -4498, 62762, -4498, -4498, -4498,  3293, -4498,  2271,
   -4498,  2271,  3352, -4498, 74306, -4498, -4498, -4498, -4498,  1764,
   -4498, 14812, -4498, 14812, -4498,  2878,  2096,  2937,  2938,  2991,
   82483, 82483, 82483, -4498, 54573, 82483, 82483, 82483, 82483, 82483,
   82483, -4498,  3225,   -20, 67572,  2995, 66129, -4498, -4498,  2880,
   82483,  2939,  3121,  3122,   660, -4498, -4498, 96913, -4498,  3082,
   82483, 82483, 82483, 31575,  3083, 82483, 82483, 82483,  2969, 55537,
    2898, 82483, 82483, 82483,   702, 55537, 46777, 82483, 82483, 82483,
   82483,  3013, 82483, 82483,  3126,  1365, 76230,    96,  1996,  2700,
    3089, -4498,   181, -4498, 82483, 82483,  3086, -4498, -4498, -4498,
   65167,  3291,  3001, -4498, -4498,100280, -4498, -4498,  3088, -4498,
   -4498, 59875, -4498, -4498,  2163, -4498, 59393, 56983, -4498, -4498,
     699, 82483, 82483,  6444, 82483,  1227, -4498, -4498, 58911, -4498,
   82483, 82483, 82483, 73344, 97394, 97875,  1294,  1356, 82483, 73825,
   -4498, 82483, -4498, -4498, 55055, 82483, 82483, 54573, -4498, 82483,
    3095,   150, -4498, 82483,  5878,  2983, 82483, 82483,  2914,  2164,
    2985,  3029, -4498, 82483, 82483,   866, -4498, 82483, 82483, 10869,
   -4498, -4498,   258, -4498, -4498, -4498, -4498, -4498, 82483, 82483,
     258, 82483,   258,  1419, -4498, 82483, 82483, -4498, -4498, -4498,
    6721, 82483, 82483, 82483, 82483, 82483, 82483, -4498, -4498,  1326,
    1097,   791,  1286,  3059, 82483,  2369, 82483, 98356, 82483, 82483,
   82483, 82483,  1657, -4498, -4498,  3034, -4498, 82483,   866,  6811,
   82483, 82483,  3015,  3018,    94,  3073, -4498, -4498, -4498, -4498,
   -4498, -4498,  3163,  3334, 82483, -4498,  3181,  3182,  3000,  3003,
    3184,  1732, 82483, 82483, 82483, 82483, 82483, 82483,  3187,  1732,
    3135,   727,  2956,  2169, -4498,  2966, -4498, 31575,  3354, 58911,
    2967,  2968,  3038, -4498,  3041,  2347, -4498,  2117, -4498, -4498,
    2192, -4498,  2975,  1014,  1296, -4498, 82483,   902,   691,  3252,
   38464,  3079,  2427,  3249, 82483, 82483,  2427, -4498,  2548, 67572,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,  3250,
   -4498,  2369,  2379,  2379,  2379,  2379, -4498, -4498, -4498, -4498,
    3159,  1816, -4498,  2972,  2379, 82483,  3093,  2427, -4498,  1573,
    3269,  3272, 82483, 64205,  1854,  3014,  2369,  3162, -4498, 25600,
    4369,  3164, 65167, 78154, -4498,  2996,  3255,  3258,  3266, -4498,
    2236, -4498,  3390, -4498,  3290,   576,  2261, -4498,  2490, -4498,
   82483, -4498, 82483, 82483, 82483, 82483,  2283, -4498, -4498,  2490,
    3179,   576,   576, -4498,  3183,   576,  2490,  3111,  3283, 65167,
   -4498,    85, -4498, -4498, -4498, -4498, -4498, 31575, -4498, -4498,
    1935,  1507, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, 74306,  2271, -4498,  2203, -4498, 82483, -4498,
    3260,  3261,  3263,  2490,  3005,  3040, 82483,  3007, -4498,  2490,
     258,  2490,  2594,  2594,  2490,  3005, 79116,  3418,  3282,    75,
   -4498,   629,  1082,  3218, -4498, -4498, -4498, -4498, 58911, -4498,
   -4498, -4498, -4498, -4498, 82483,   134,  3194,  3016, 79116,  3395,
     576, -4498, 55537, -4498, -4498, -4498,  3102, 55537,  3205, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498,  3254, 82483,  2208, -4498,
    1327, -4498,  1745, 31575, 31575,   199, -4498, 12109,  2223, 31575,
    3020,  3026,  2228, -4498, -4498, -4498, -4498, -4498, -4498,  3027,
    3305, -4498, -4498,  3039,  2234,  2238,  3042,  3046, -4498, -4498,
    5290,  3047, 12195,  3049, 33072, 33072,  1424, -4498, -4498, 33072,
    3051, -4498,  2241, 11460,  3030,  3053,  3054, -4498,  3057,  3060,
   12372, 29080, 31575, 29080, 29080, 12760,  3030,  3062,  2245, 54573,
    3195, 12633,  2248, -4498, 31575, 54573,  6167, 31575, -4498, 31575,
   82483,  3063,  3064, -4498, -4498,  6209, -4498,  3056, -4498, 33072,
   33072, -4498,  4045, 26585, -4498, -4498,  3312, -4498, -4498,  1679,
   -4498,  3045, -4498, -4498,  4861,   157, 31575,  2836, 31575,  3118,
   46283, 13506, 31575,  4973,  5725,  5725,   743,   743,   135,   135,
     135,  1649,  1786, -4498, -4498, -4498,  3067,  2608, 31575, -4498,
    2341,  2345, 82483,  3494,  9046, 10021, -4498, -4498, -4498, 36523,
    3075, 31575, 31575, 31575,  3068,  3227,  3473, 13383,   859, -4498,
    3481, -4498, -4498, -4498,   239,  3352,  1962, -4498,  1624,  2347,
     746, 50674, -4498, -4498, -4498, 31575, -4498, -4498, -4498, -4498,
    2128, -4498, -4498, -4498, -4498, -4498,  1630, 31575, -4498, -4498,
     585,  1879, 31575,  1835, -4498, -4498, 82483,  3002,  3002, 31575,
   -4498, -4498, -4498, -4498, -4498, 36523,  3109,  3120, 41388,  3204,
   -4498, -4498, 82483,   213, -4498, -4498, -4498,  3098, -4498, -4498,
   -4498,  1702, -4498, -4498, -4498, -4498, -4498, -4498,  3074, -4498,
    3077, -4498,  3099, -4498, -4498, -4498, -4498,   166,  3096,  3097,
    3100,  1572, -4498, -4498, 82483, 82483, 82483, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498,  3295, -4498, 82483,
   82483,  3259, 82483,  3267,  3271, 31575,   238, 82483,  3103,  3106,
    1335,  3345, 82483, -4498,  3373,   576, -4498, -4498,  3167, -4498,
   13383, -4498, -4498, -4498, -4498, 65167, -4498,  2236, 58911, -4498,
   -4498, -4498,  3127, 82483, -4498, 82483, 82483,  2283, -4498, -4498,
   -4498, -4498,   981, -4498, -4498, 82483, 82483,    20,  3172,  3173,
   82483, -4498,   655,  2889,  7458, 82483, 82483, 82483,  3349, -4498,
   -4498, -4498, -4498,  3297, -4498, -4498,  2013, -4498, 56983, 59393,
   -4498, 59393, -4498,  2013,  1810, -4498,  2490,  3188,  2700, -4498,
    3285,  1013, -4498, -4498, -4498, -4498, -4498,  3405,   576,  3407,
     576, 82483, 82483, 82483, 82483, -4498, -4498, -4498, -4498, -4498,
   54573, 54573, 54573,  2276, -4498, -4498,  2369, -4498, -4498, -4498,
    2295, -4498,  1235, -4498, -4498, -4498, -4498, -4498, -4498, 82483,
    1953, -4498,   788, 58911, -4498, 58429, 82483, 82483, -4498, -4498,
    3335,  3278, -4498,  1809,  3284, 82483,  3180, -4498, -4498, -4498,
   -4498,  3198,  2074,  2700,  1573, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498,   264,  2135,  2700,  3200, -4498,  3201, -4498,
   -4498, -4498,  3340,  3341,  3342,  3207,  3208,  3256,  3209,  3212,
    3262, -4498,  3214,  3268,  3216,  3273,  3221,   576, 58911,  1972,
    3257,  3440,   576, -4498,  3226, -4498, -4498,  3544, -4498, 82483,
   -4498,  3230,  2145,  2700, -4498, -4498, 82483, 82483, -4498, -4498,
   -4498,  1732, 58911,  3393,  1732,  1732, 82483, 82483,  1732, -4498,
   -4498, -4498,  3397,  3398,  3400,  3401,  3403,  3404,  1732, -4498,
   -4498, -4498, -4498,   988, 54573, -4498,  2109, -4498,   317, 43813,
    7145,  3177,  2968,  3169,  2347, 39448,  1310,  3364,  3170, -4498,
   -4498, 54573, 43813,  1830,  3394,  3196,  3196,  3196,  3196,  3196,
    3196,  3196, -4498,  2396,  2403, 65167, 82483, 65167, -4498,   691,
    3285, 82483, -4498, -4498,  2309, -4498, 82483, 82483,   625, 82483,
    2347, -4498, -4498,  3253, -4498,  1935,  1241,  3315,  1645,  3515,
   -4498, -4498, -4498, -4498, -4498, 82483, 82483,  1014,  2369, -4498,
    3186,  3197, -4498, 82483, 82483, 82483,  1630,  3189, 82483,  3202,
    3199, -4498, -4498, -4498, -4498, 58911,   518,  3371,  3378,  2697,
    3600,  3281, 82483, -4498,  2319,    64, -4498,  2369, 65167, 57465,
   -4498,  4843, -4498, -4498,   624,  3475, -4498, 82483, -4498, -4498,
   40903,   576, 58911, 82483, -4498,   576,    85,  3264,   576,  3274,
     576,   576, 82483, -4498, -4498, 82483, -4498, 82483, 72382,   576,
   -4498, 13383,  3491, -4498, -4498, -4498, -4498,  3330,  3336,  3339,
   82483,  2490, 55537, -4498,  3213, 82483,  1440, -4498, -4498,  3392,
   -4498, -4498, -4498, -4498, -4498,  3518,  3519, -4498, -4498, -4498,
   82483, 68534,    98, 82483, -4498,  2236, -4498,  2261,   258, 82483,
    3456, -4498, -4498, -4498,  3229,  2325, 12686, 31575, -4498,  3529,
   58911, -4498,  7292, -4498, -4498, -4498, -4498, 31575, -4498, -4498,
   -4498, -4498, -4498, 31575, -4498, 31575,  3506, -4498,  3646,  3646,
   58911, 33072,  1591,  2602, 33072, 33072, 33072, 33072, 33072, 33072,
   33072, 33072, 33072, 35539,   556, -4498, -4498, 31575, 31575,  3513,
    3506, -4498, -4498,  1341,  1341, 58911,  3232,  3030,  3234,  3235,
   31575, -4498, -4498,  2339, 34555,  3236, 54573, -4498, 31575, 11308,
    2348,  3279, 13243,   424,  7409, -4498,  3607,  2369, 31575,  1770,
    1987, 31575,  2351, 31575,  3517, -4498, -4498, -4498,  3242, -4498,
   -4498, 58911, 31575, 33072, 33072,  6228, -4498,  7091, 31575,  3243,
    7428, 26585, -4498,   989,   989,   989,   989, -4498, 82483, 82483,
   82483, 36038, 79597,  3244,  1607, -4498, 79597, 80078, -4498,  3245,
     424, 31575,  3530,   631,   631,  3248,  3227, 42843, -4498, 31575,
    1181, 29579,  3265, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,  3270, -4498,
    3277, -4498, -4498,    57,  3280, -4498, -4498, 11384,   166, -4498,
    3287, -4498,  3251, -4498,  1879, -4498, -4498, -4498,  8195,  3446,
    2594, -4498, -4498, -4498,  3244, 30078,  3204, -4498,  2355, -4498,
   -4498, 27583, -4498, -4498,  2381, 42358,  3109, 28082,   424,  2347,
    3288, -4498,  2271,   239, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498,  3196,  2490,  2490,  1080,  2490,  3542,  1080,  8218,
   -4498, -4498, 37008, 82483, 82483, -4498, 82483,  2389,  1963, 82483,
   -4498, 82483, -4498, -4498,  3663, 82483, -4498,  3321,  3322, -4498,
   82483, 82483, 82483, 82483, -4498, -4498,  2226, -4498, -4498, 82483,
   82483, -4498, -4498, -4498,   273,  2327,  2700, -4498,  3346, -4498,
   -4498,  3516,  1896, -4498, -4498, -4498,  3344, 82483,  3292, -4498,
    1086,  2697,   808, -4498, -4498,  3347, 82483, -4498, 82483, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, 55055, -4498,
   -4498, -4498, 54573, 43813, 54573, -4498,  3363,  3365,  3413,   943,
      99,  3369,  3372,  3419,  3298,  3301,  3304, -4498, -4498,   195,
    2369, -4498, -4498,  2369,  2490,  2369, 82483, 82483, 82483, 82483,
   82483, 82483, 82483,  3587,   112,  1828, 82483, 82483, 82483, 82483,
   82483, 82483, 82483, 82483, 82483, 82483, 82483, -4498,  3667,  2369,
    2369,  3638,  3376, 82483, -4498, 82483,  2889, 82483, 82483, -4498,
   -4498, -4498,  3313,  1732, -4498, -4498,  3548,  3550, -4498,  1732,
    1732,  1732,  1732,  1732,  1732, -4498,   236,  2402, -4498, 38950,
   -4498, -4498,  2767,  2369,  2767,   592, -4498,  2767, -4498,  2767,
   -4498, -4498,  2966,  3251,  2347,  1714, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498,  2347,  1984,  3318, -4498, 40418, -4498, -4498,
   -4498,  1965,   746, -4498, -4498, 82483,  3196, -4498,  2613,  2506,
    2734,  2814, 80559, 81040, 81521,  3319, 82483, 82483, 33072, -4498,
    1277,   133, -4498,  3549, 82483,  3355, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498,  2760, -4498, 82483,  3285,  2490, 82483,
   82483,  2490, -4498, 58911,  3014,   759, 93546,  3353,  3323,  3605,
   -4498,  3324,  3332, -4498, -4498, 82483,  3285,   -21,  1926,  3370,
   66610,  1854, -4498,  3588, 64205, -4498, -4498, -4498,  3692,  3422,
   -4498,  1630,  2369,  2939, -4498, 56983, 31575, 31575, -4498,  3343,
   -4498,  3351,  5036, -4498,  2379, -4498, -4498, -4498, -4498, -4498,
   -4498,  3421, 82483,  3762, -4498, -4498, -4498,  3348,   576, -4498,
   -4498, 82483, -4498, 82483, -4498, -4498,   576,   576, -4498,  3465,
   -4498,  1630, 82483, 82483, 82483,  2490, -4498,   258, -4498,  3628,
   79116, -4498, -4498, -4498, -4498,   105,  3634, -4498, -4498,  3598,
    3599,  3601,  3603,  2116, -4498, -4498, 31575, 13383, -4498,  3368,
   -4498, 13383,  8502, 13383,  3513, -4498,  2558,  3647, -4498,  1091,
    3375,  2558,  1531,  1531,   295,   295,   116,   116,   116,  3646,
     556, 13383, 13383, -4498, -4498, -4498, -4498,  3381, -4498, -4498,
   -4498,  3030, -4498, 32074,  3511,  3750, -4498, -4498, -4498,  3409,
    3412,  3382, -4498, 31575, 32573,  3383, 59875, -4498, -4498,   746,
    1521, 33072, 33072,  1740, -4498,  1066, 31575, 58911,  2406,  1740,
    2293,  2673, 31575, 31575, 10236,   337, 31575,  8741, 82483, 82483,
   82483, 82483, -4498, -4498, -4498, 37978,  1607,  3384, 82483, -4498,
    3387, 36523,  3621,  3563, -4498, 36523,  3563,  1992,  3563,  3629,
   -4498, 43328, -4498,  3396, 24114,  1986, 13383,  3770,  3664, 31575,
    3402, -4498,  3408,  3227, -4498,100761, -4498, -4498, 13383, -4498,
   -4498, 31575, -4498,  3227,   239,   455,  2369, -4498, -4498, -4498,
   46283, -4498, -4498, -4498,  3583, 13383, -4498,  1630, 82483,   424,
     488,  3414, 82483, -4498,  3204, -4498, -4498, 14812, -4498, -4498,
   -4498,   195, -4498, -4498, -4498, -4498,  3478, 67572,  3681, -4498,
   31575,  2415, -4498,  3442,  3766,   307,  2420,  2439,  1963, -4498,
    3355, -4498,  1403,  3662,   252, -4498,   576, -4498, 58911, -4498,
   82483, 82483, -4498, -4498, -4498, -4498,  2651, -4498, -4498, 82483,
   82483, 82483, 82483, -4498,  3477, -4498, -4498, 54573,  2396,  3602,
   -4498, -4498,  3608,   195, 82483, -4498, 58911,   576,   576, -4498,
   -4498, -4498,  3429, 82483, 82483, 82483,  2347,  2347, 58911,  3415,
   -4498,  2347,  2347,  3417, -4498, 82483, 82483, 82483, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,  3496, -4498,
   -4498, -4498, 82483, 82483, 82483, 82483,  3715, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, 82483, -4498,
   -4498, -4498, 58911,   576,   576, -4498, -4498, -4498,  3659, -4498,
    1732,  1732, -4498, -4498, -4498, -4498, -4498, -4498, -4498,  2403,
    3742, -4498, 54573, -4498, 61319, -4498, -4498, -4498,  2369, -4498,
    2369,  3616, 49212,  2369,  2369,  1963,  3431,   145,  3702, -4498,
    2158, 40418, 40418, 40418, 40418, 40418, -4498, -4498,  3707,   195,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, 31575, -4498,  1231,  2558, -4498,
   -4498, -4498, -4498,  3355,  1935,  3484,   902,  3543, -4498, -4498,
    2490,  2490,  3488,  3834,   532, 82483,  3745,  3479, -4498,  2369,
   -4498, -4498, 82483, 64205,  3370,   158, -4498,  2440, -4498, -4498,
   -4498,  3482,  3378,   680,  3443,  1854, -4498,  1332, 82483, -4498,
    3485,  3720,  3447, -4498, 13383, 13383,  2369, 60357,  4843, -4498,
   82483,  3698, 82483, -4498,   576, -4498,   576,   576, -4498, -4498,
   82483,  2490,  2490,  2490, -4498,  3630, -4498,   576, 79116,  2116,
    2116,  2116,  2116, -4498, -4498, -4498, 13383, -4498, -4498, -4498,
   33072,  3728, -4498,  3455, 58911, -4498,  3461,  2445,  2454, 34070,
    3597, -4498, -4498, -4498, 10094,  3509, 13383,  3560,  3463,  3464,
   -4498,  1212,  1212,  1066,  2458, -4498, 33072, 33072,  1740,  1740,
   31575,  1740, -4498, -4498, -4498, -4498, -4498, 79597,  3467, 82483,
    1607, 36523, -4498, -4498,  1392, -4498, 36523,  3704, -4498, 36523,
   82483,  3470, 82483,   896, 31575, 31575,  3508,  3227,  3227, -4498,
    3643, -4498,  3483, -4498, -4498,  1714, -4498, -4498, -4498, -4498,
     746,  3489, 74306, -4498, -4498, -4498,  1102, -4498, -4498, -4498,
   -4498, 79116,  3660, 79116,  1963, 10209,  3355, 37008, 47271, 82483,
   82002, 82002,  3625,  3355,  3484, -4498, -4498, -4498, -4498, -4498,
   -4498,  3492, -4498, -4498, -4498,  3568, -4498, -4498, -4498,  2459,
   -4498, -4498, -4498, -4498, -4498,  3667, -4498, -4498, 43813, -4498,
   -4498, -4498, 37493, 46283, -4498,   943,  3486,  3497,    99, -4498,
   -4498, -4498, 82483,  1467,   854,  3523,  2490,  3783, -4498,  3667,
   -4498, -4498,  1732, -4498, -4498,  2956,  2369, -4498, -4498,  2467,
   -4498, -4498, -4498, 82483, -4498,  3323, -4498, -4498, -4498, 55537,
    3899,  3899, -4498,  1726,  1726, -4498, -4498, -4498, 82483, -4498,
   -4498, 10657,  3696, -4498,  3484,  3717,  3765, -4498, 82483, 82483,
    1630, 64205,  3285, -4498,  1581,  3520,  3802, -4498,  3189,  3512,
   -4498, -4498,  3845, -4498, 66610,  3694,  3422,  1031,  1031, 82483,
    3378,  3645, -4498,  3648, -4498,  1036, -4498, 82483, 37008, -4498,
   59393, -4498,  2470, -4498, -4498,  3075, 82483,   449, -4498,  3534,
   -4498, -4498, -4498, -4498, -4498, -4498,    98, -4498, -4498, -4498,
   -4498,   609, 33072, 58911,  2471, 31575, -4498, 31575, -4498,  3894,
   -4498, -4498, -4498,   527, -4498, -4498, -4498,  1212,  1212,  1740,
   -4498, 82483,  2476, -4498, 31575,  3525, -4498, -4498, 36523,  1392,
    2480, 82483,  2483, 58911,  3227,  3030, 13383, 82483, -4498, -4498,
   -4498,  3905,  3703,  3227, -4498, -4498, -4498, -4498, -4498, -4498,
    1440,  1080,    98,  3766,  3484, -4498,  3531, -4498, -4498, 82483,
   -4498,  1535,  1535, 82483,  3484, -4498, -4498, 82483, -4498, 54573,
    3582, -4498, 58911,  2261,    13, -4498, 58911, 58911, -4498, -4498,
   82483, 82483, 82483, 82483, 82483,   576, -4498, -4498, -4498, -4498,
   61319,  3323,  3899,   205, -4498, -4498, -4498,  1777,  3731, -4498,
     940,  3712,  3619,  3285,  3824,  3485, -4498, -4498, -4498, -4498,
   31575,  3688,  1854,  3588, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498,  2497,  3422, -4498, -4498,
    3907,  3719,  3909, -4498,  2501, -4498, -4498,  5036, 60357,  3854,
   -4498,  3593, 82483, -4498, -4498,  2370,  3965, -4498,   609,  2505,
   -4498,  2508,  2512,  3689,  3596, -4498,  2515, -4498, 13383, 82483,
   -4498, -4498, -4498,  2516, -4498,  3547, -4498,  3946, 31575,  1407,
   -4498, -4498,  3828, -4498, 82002,  3594, 46283, -4498,  1879,  1879,
    1935, -4498,  1963, -4498, -4498, 31575, -4498,  2519, -4498,   884,
    3699,  3839,  2522,  2523,  3005,  3595,  3005, -4498,  2490, -4498,
   -4498, -4498, -4498, -4498,  3865,  3815, -4498, -4498, -4498, -4498,
     315, -4498,  3746,  3747, 82483, -4498, 82483,  3960, -4498, 11025,
   55537,  3378,  1854,  2396, -4498, -4498,  3748, -4498,  3751,  3014,
   37008,  4843, -4498,   360, -4498, -4498, -4498, -4498, -4498, 82483,
   -4498, -4498, -4498, -4498, -4498, -4498,  2529, -4498, 82483,  3569,
    3030, 30577, 30577,  3567, 79116,  1535,  3570, -4498,  3572, -4498,
   -4498,  3717,  1963, 13383, 55537,  3954, -4498, -4498, -4498,  3699,
   -4498, -4498, 82483,  3700, -4498,  1043,  1043,  3896, -4498,  3635,
   -4498, -4498, -4498,   943, -4498,  3580,  3422,  3378, -4498, -4498,
    3422, -4498, -4498, -4498, -4498,  2214, -4498, -4498, -4498, -4498,
   33571,  3705,   595, 11918, -4498, -4498, -4498, -4498,    98,  1879,
   31575,  1963, -4498,  3712,  2261, 82483, -4498, -4498,  3479, -4498,
    3992, -4498,   659, -4498, -4498,  3415, 54091, -4498,  3422,  3075,
   -4498,  1837, -4498, -4498, -4498, -4498, -4498, -4498, -4498,  3984,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, 11168, -4498, -4498,
   -4498,  3880, -4498, -4498, -4498,  2533, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498,  1812, -4498, -4498,  1821,  2122, 31076, -4498,
    1963,  3737, -4498, 54091, -4498,  1837, -4498, 55537, -4498, -4498,
    3589, 54091,  2536, -4498
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4498, -4498,  3726, -4498, -1153,   184,  2278, -2107, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,  2918,
   -4498, -4498, -4498,  1500, -4498, -4498,   -41, -1561,  1839,  2535,
    1178, -4498, -1344, -4498, -4498,  -858,     9, -1030, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -1074,  1636,  1010,  3078,
   -2727, -4498, -1651, -3673, -4498,   420, -4498, -4498,  1582, -4498,
   -4498, -4498,   870,  -370, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498,   -94, -4498, -4498,  -543, -1807,  -108,  -164,  -407, -4498,
   -4498,   260,  -412, -1683, -4498, -3502, -4498,  -131, -4498, -4498,
   -4498,  -411, -1674,  1103, -4498,  -951, -1370,  1410,  -700, -4498,
    -295, -4498,  -750,  -648,  -646,  -705,  -539, -3692, -4101, -4271,
   -2623,  1115, -4498,  -136, -1801, -4498, -4498, -1735, -1678, -4498,
    -716, -4498, -4498, -4498, -2966, -4498, -4498, -4498, -4498,   -95,
   -4498, -4498, -4498, -4498,   318, -4498, -4498, -4498, -4498, -4498,
   -4498, -2759,  1551,  1552, -4498, -4498, -3175, -4498, -1156, -4498,
     464, -3002,  1030, -4498, -4498, -4498,  2229, -4498, -4498, -4498,
   -4498,   320, -4498,   319, -4498, -4498, -1823, -4498, -4498, -1800,
   -4498,  1563,   850, -4498, -4498, -4498,  -729,  -790,  -781, -4498,
   -3461, -4498, -4498, -4498, -4498, -4498, -1238, -4498,   903, -3113,
   -1206, -4498, -4498,   915, -4498, -4498, -4498, -4498,  -688,  -299,
    2251, -4498,  -590,  -666, -4498, -4498, -4498,  -293, -4498, -4498,
   -4498, -4498, -4498, -4498, -1282, 11796, -1799, -4498, -4498, -4498,
   -4498, -2505, -4498, -4498, -4498, -1762, -4498,  3979,     1,   167,
   -1796, -4498,  -200,  -112,  2764, -1375, -2680,   261,  -442, -4498,
   -2001, -4498, -4498, -4498, -2585, -4498, -4498, -4498, -4498, -3450,
   -1795, -4498, -4498, -4498,   306, -4498, -3783, -3896, -4190, -3430,
   -3433, -4498, -4498, -1309, -4498, -4498, -4498, -1617,  1746, -1705,
   -4498, -2352,   309, -3706,  -995, -3239, -4498, -3641,  -526, -4498,
   -4498, -4498, -4498, -4498, -4498, -4498, -1304,  -856, -4498, -4498,
    3275, -4498, -3553, -4498, -4498, -4498, -4498,  1118, -4498, -1661,
     985, -4498, -4498, -4498, -4498, -4498,  -679,  -758, -4498, -4498,
   -4498,   152, -4498, -4498, -4498, -4498,  2000, -1190,  -977,  3123,
   -1794,  -487, -4498, -4498, -4498, -4498, -3059, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -1378, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498,  1934,  1936,  -105,  -213, -4498, -4498, -1476, -4498,
    -812, -4498,  2176, -4498, -4498, -4498, -4498,  1250,   156,   339,
     -68, -4498, -4498,   140, -3391,   -63, -4498, -4498, -4498, -4498,
    -406,   -62, -4498,   607, -4498, -4498, -2827, -4498,   278,   -56,
    2834,  1508,   -71,   437,  -243,  -220,  -206,   -74,  3129,  2624,
   -4498, -4498, -4498,  -217,  1976, -4498, -1084,  -358, -4498,  1266,
    -902,  1923,  2599,  2606, -4498,  1258, -4498, -4498,  1267, -4498,
   -4498, -4498,  -881,  1929, -4498,  2625,  1947, -4498,  1249,  1274,
   -3362,   716, -3352,   215,  -971,  -359,  -196,  3174,  2626, -4498,
   -4325,   647, -4498, -3447, -2387,  -431, -2109, -1824, -4498, -4498,
   -1395, 11078, -4498, -4498, -4498, 15985, 16006, -4498, -4498, 16751,
   17121, -4498, -1254,   762, 17527,  6763, -1433, -1849, -1533, 14662,
     782,   995, -2722, -4498, -4498, -4498,  -330,   771,   226, -4498,
   -4498, -4498, -4498,  -566, -2812,  -565, -4498, -4498, -4498,  -564,
   -4497,  2051, -4498,  -804, -4498, 16127,  1309, -4498, -1350, -2757,
   -2753, -1366, -1962, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -1538, -3259,  -466,  1380, -4498, -4498,  1476, -4498, -4498, -4498,
   -1545, -1135, -2662,  1388, -2135, -4498, -1092,   673,  2072, -1029,
   15201,  4983, 12582,  -135, -2345, -1511, -1749, -4498,   345, -4498,
    1428,  2809,  -154,   209,  2431,    78, -3106, -4498, -4498,   284,
   -4498, -4498, -4498,  3613,   920, -4498,  2963, -4498,  1615,  2315,
   -4498, -4498,  1948,  -923,   -75, -4498,  -537, -4498,  -137, -4498,
   -4498, -4498,   143, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
   -4498, -4498,  2636, -4498, -4498, -1457, -4498, -4498, -4498, -4498,
   -4498,  3888,  -292, -4498,  3317,  -286, -4498, -4498, -4498, -4498,
   -4498, -4498, -4498, -4498, -4498,  2645,  1978, -4498,  3114, -4498,
   -4498, -4498,   -36,  2867, -4498, -4498, -4498, -1186,  -588,  3137,
    3138,  1940, -4498, -4498, -4498, -4498, -4498, -4498, -4498, -4498,
    1956, -4498, -4498,  1364, -2121,  1960, -4498, -4498,   686, -4498,
   -4498,   240, -4498,   692, -4498,  2746, -4498, -4498, -4498,   728,
   -4498, -4498, -4498,  -606,  9958,  1405,   786,   173,   744, -4498,
    4758,  6770,   -92,  2664,   -15,  7608, 14493,   512, -4498,  3885,
    1966,  1596, -1000, -4498,  3620,  2265, 14214, -4498,  -984,    21,
      83, -4498,    -2,  -647, -1175,  2957,  -743, -1946, -4498,  4301,
   -4498, -3563, -4498, -1043,  3331, -1196
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2571
static const yytype_int16 yytable[] =
{
      81,  1087,  1619,  1078,   361,  1613,  2000,   356,  1961,  1028,
     351,  1063,  1545,   982,  1567,   352,   354,   906,   894,   700,
    1272,  1971,  2011,    79,  1685,   807,  2039,  1060,  2365,  1829,
    2239,  2427,  1194,   982,  1908,  1398,  1399,  1400,  2576,  1965,
     706,  1404,   890,  1926,  1768,  1790,  2718,  2568,  1854,  2067,
     712,  2685,  2127,  2078,  3229,  1303,  1816,   700,  2436,   990,
     956,  2100,  2101,   404,  1135,   943,  1003,  2437,  3392,   404,
     807,  1559,  1194,  1325,  3080,  3082,   405,  2914,   898,   905,
    2116,  2539,   405,  1097,  2445,    80,   854,   261,   905,  1098,
    2577,   361,  3875,  3528,  3641,  3823,   850,  1029,  2299,  2301,
    2302,   908,  1952,  2458,  2626,  2601,  1897,  2494,  3674,  1901,
    3676,  2602,  2603,  2934,  1905,   405,  2604,  2605,  2606,  2425,
    2252,  1910,  3132,  2771,  1139,  1194,  1784,  3187,   905,  1795,
    1928,  4051,  2503,  3780,  1081,  3583,  1668,  1821,   807,  3794,
    2239,  1089,  1360,  3380,  3523,  3524,  3780,  2507,  2508,  4006,
    3525,   900,  1670,  2143,  4088,  1090,   365,  4118,  4078,  4282,
     405,  4263,   365,  2677,  4020,  4022,  4298,  2413,   979,  2293,
    2293,  2001,   691,  1996,  4255,  1050,  3473,  3518,  2343,  1817,
    1734,  4526,  2971,  2026,  1607,  4056,  1552,  2638,   979,  4421,
    3953,  2093,  2094,  1130,  2629,   365,  3594,  3799,  3800,  3801,
    3802,  3803,  3804,  1349,  3430,  1610,  1025,   860,  1646,  1647,
    2197,   425,  1152,  1953,  1025,  1925,  1025,  2113,  1953,  2240,
    4699,  2987,  2145,  2151,  4220,  2991,  1953,   408,   405,  2514,
     329,  4622,   425,  3518,   350,  4749,   899,  2519,  2848,  1214,
     365,  2439,   916,  3208,  3866,  1068,    45,  3533,  2154,  3284,
    3534,  3535,  1173,  2182,  1298,  4677,  3637, -1493, -1493, -1493,
   -1493,  3536,  3537,  3538, -1493,  3539,  3540,   425,   995,  2848,
    3541,  3542,  3543, -1850, -1850, -1850, -1850,   693,  2156,  1659,
   -1850,    45,  2632,  1710,  3381,    37,    38,    39,    40,  1826,
     805,  3125,    44,   361,  1387,  1395,   356,  1429,  4272,   351,
    2843,  1848,  1660,  3642,   352,   354,  3588,  1648,   365,  2408,
   -1526, -1526, -1526, -1526,  2003,  4251,  4762, -1526,  3348,  2300,
    3350,  4215, -1526, -1526, -1526, -1526,   802,  1215,  4141, -1526,
     425,  4521,   851,  1414,  4163,   805,  1126,   425,  2749,    43,
      37,    38,    39,    40,    45,  2446,    43,    44,  1435,  1661,
    2371,    45, -2569, -2569, -2569, -2569,   355,  1893,  3009, -2569,
     404,  3390,   366,  4899,  2439,  3069,  1216, -2569,  3147,  1829,
   -1526,   802,  2501,   405,  4489,  2359,   261,  1603,  1554, -1744,
    -135,  1842,   821,  3430,  3044,  1711, -1744,  1651,    35,  -135,
    1549,  1538,  2409,  2188,  -135,   404,    41,    42,  3407,  2208,
       3,  1638,  4490,   805, -2570, -2570, -2570, -2570,   405,  2439,
    1115, -2570,  3544,  2883,  1217,  1091,  4785,  1019,  2439, -2570,
    2884,  3147,   822,  -363,  4142,  1019,  2623,  1019,  1140,  4687,
    3010,  4936,  1263,  1194,  4428,  2241, -1760, -1996,  1827,   802,
    2899,  2127,   909, -1760,  1605,  2361,  1396,  4252,  3070,  4424,
    4419,  4763, -1325,   365, -1536, -1536, -1536, -1536,  1954,  3242,
    4853, -1536,  2362,  1954,  1760,  4522,  2633,  2100,  2101,   130,
     131,  1954,  3126,  3382,  2116,  3638,   817,  1387,   818,  1388,
    2185,  4164,  4273,  1989, -2567, -2567, -2567, -2567,   365,  2059,
    1092, -2567,  1388,  2183, -1536, -1536, -1536, -1536,  1174, -2567,
    4835, -1536, -2566, -2566, -2566, -2566,   694,   411,   894, -2566,
    3642, -2162, -2162, -2162, -2162,   357,  1763, -2566, -2162,   329,
    1069,  2231,  2232,   350, -1325,  3065, -2162,   425,  1154,  2546,
      37,    38,    39,    40,  1098,  3209,    43,    44,  2550,  1628,
    3545,    45,  2849,  4071,  4815,  1649,  1652,  1681, -1521, -1521,
   -1521, -1521,  2520,  1124,  3867, -1521,  2015,  1133,  1134, -1506,
   -1506, -1506, -1506,  1828,  4922,  2729, -1506,  1111,   898,  2060,
    4131,  2515,  1388,  3493,  2082,  4887,  1403,  3780,  2624,  4889,
   -1533, -1533, -1533, -1533,   821,  3546,   862, -1533,  2363,   246,
    2146,  1991,  1578,  4530,  1579,  1655,  1963,  2568,    37,    38,
      39,    40,   357,  1995,  3910,    44,  2093,  2094, -1521,  1415,
    1894,  1963,  4504,  2447,  2113,  3442,  2566,  4921,  4414,   905,
     905,  4854, -1328,  1131,   822,  2448,  2372,  2542,  2490,   811,
    2492,  3084,  1112,  1894,  2175,  2499,  1126,  1712,  2538, -1996,
    1403,   900,  2399,  2239,  3430,   355,  1203,  2913,  2502,  4370,
    2013,   366,  4259,  4374,   976,   977,  2198,  4544,  4493,  4494,
    4495,  4496,  4497,  2942,  2774,  1141, -1325,  3245,  2706,  1132,
    1181,  4271,  3611,  4408,   811,  4329,  2449,  3547,  1264,  1093,
    4846,  2730,  2364,  1077, -1744,  2099,   910,  4198,  1113,   976,
     977,  1114,  1167,  3708, -1328,  2088,  2210,  3430,  2562,  1572,
   -1996, -1850,  4109,  1573,  1953,  4429,  3741,  2088,  2681,  3744,
    3745,  2280,  1078,  3748,  4034, -1996,  1425,  4734,  2885,  3585,
    1024,  3079,  2315,  3755,  1143,  2625,   899,  3654,  1024,  3655,
    1024,  1614,  2281,  1259,  2768,  2770,  3066,  4229, -1526,  2476,
    2416, -1760,   811,  1368,  3154,  2778,  4888,   819,  2060,  2782,
   -1526,  3089,   976,  1637,  1387,  4695,  4701,  2794,  2795,  1662,
    1663, -1325,  1249,  2714,  4836,   911,  1300,   912,   970,  1139,
    2812,  2814,  2725,  2715,  1387,  4614,  1629,  1697,  4042,  1115,
   -2569,  2828,  4624,    37,    38,    39,    40,  1313,   971,  3518,
      44,  3439,  3440,  3441,  3442,  3552, -1325,  2957,  1088, -1325,
    1702,  1405,  -135,  -135,   357,   404, -1493, -1947,  1572,  3877,
    1314,  1369,  1573,  1375,   405,  1380,  4901,  2689,   405,  1996,
    3558,  1384,  1163,  2696,  3432,  1876,  1126,  1580,   905,  2699,
    1163,  2151, -2570,  3000,  4714,  2973, -1328,  2973,  3383,  4913,
    3855,  2215,  2373,  1358,  1375,  1380,  2228,  2228,  2442,  2122,
    1363,  2632,  2731,  1710,  2413,  2865,  2154,  2798,  2799,  1089,
    3829,  1163,    37,    38,    39,    40,  1836,  1405,  2123,    44,
    2732,  3746,  3747,  1090,  1354,  3042,  1116, -2571,   905, -1493,
     361,  1800,  2124,  3689,  3878,  2259,  2156,  3778,  4527,  2122,
    4084,  3056,  1536, -2297,   365,  1117,  1359,  1617,   365,  2443,
    3778,  4211,  1703,   804,  4702,  1301,   948,  3273,  2123,  2472,
    3562,  1374, -2567,  1379,  1917,  1163,  4301,  1561,  4059,  1801,
    2887,  2572,  2126,  1393,  1163,  1572,  1805,  3056,  4528,  1573,
   -2566, -1328,  1806,  4590,  2427,  4592,   970,    35,  4655, -2162,
    4902,  1251,  1408,  1410,    81,    41,    42,  4212,   804,  1954,
    4395,  2494,  1918,  1537,  3231,  1711,   971,  1979,  2688,  1136,
    1084,  1194,  3057,  1126,  1583,   700, -1328,    79,  1373, -1328,
    1378,  2374,  2260,  4914,  1065, -1979, -1521,  3873,  1716,  2866,
    4781,  4121,  2635,  2867,  2066,  3690,  1112,  2105,  2373,   805,
     873,  4791, -1947,  2716,  2183,  1980,  1305,   916,  3057,  1407,
    1409,  1548,  2401,  3830,  1542,  1556,   215,  4851, -1533,  4583,
    2407,   711,  4715,  3879,  4587,  4580,   804,  4589,  3140,   970,
    2868,  2457,  2722,  2723,  2572,   802,  2148,  3384,  1807,    80,
      37,    38,    39,    40,  1163,  4511,   223,    44,  4657,   971,
    1025,  1704,  1113,  2888,  1025,  2573,  2375,   875, -1947,  1577,
    3437,  3438,  3439,  3440,  3441,  3442,  1315,  2480, -1997,  3875,
    2483,  2484,   405,    37,    38,    39,    40,  1802,  3141,  1163,
      44,  3555,  1705,  3880,   233,  1184,  1185,  1186, -2297,  1187,
    1188,  1189,  1190,  1191,  1192,  1413,   236,    35,   425,  1112,
    4847,    37,    38,    39,    40,    41,    42,    43,    44,  4761,
    1919,  1706,    45,  3437,  3438,  3439,  3440,  3441,  3442,  2553,
    3060,  3021,  1837,  1430,  2666,  4440,  4850,  4122,  3142,  1562,
    2958,  3043,  1539,  2547,  3691,  1738,  1551,  1305,  1553,  3265,
    4678,  1034,  3630,  1115, -2297,  1376,  2869,  4029,  1641,  1381,
    1382,  1383,   365,  1981,  4723,  1113,  3060,  2554,  2573,  1394,
    4852,  2111,  2112,  1803,  2151,  3692,  3232,  1671,  3182,  1707,
   -1979,  4732,  -578,  3022,  4742,  4690,  1194,  1808,  4767,  1155,
    3631,  4879,  4136,  4691,  4783,  1082,  1699,  1176,  4679,  2154,
    1563,   882,  3249,   883,  3693,  4680,  1920,  3183,  1084, -1493,
    2922,  4738,  4739,  -750,  2692,  1425,  2212,  1939,  1809,  2617,
   -1493,  1641,  2099, -1493,  1689, -1493,   888,  3143,  1254,  2156,
    3660,  2186,  4681,  4825,   691,   691, -1979,  4123,  1699,  1672,
    4124,  4389,  1163,  4641,  1035,  1084,  4720,  1810,  1597,  1982,
    2574,  4393,  1163,  1083,  1770,  4407,  1115,  1289,  4189,  2172,
    2173,  2174,  2175, -1997,  4192,  4193,  4194,  4195,  4196,  4197,
    2263,  1019,  2066,   970,  1892,  1019,    37,    38,    39,    40,
    1078,  2801,  1308,    44,  2189,  1771,  2368,  4383,  4137,  2497,
    4826,  1317,  3181,   971,  2618,   855,  4042,  3652,  4768,  2710,
    4822,  1866,  4682,  4331,  3084,  4332,  3266,  1163,  4392,  3518,
    2919, -1337, -2022,  3518,   361,  2555,  2296,  1437,  1084, -1997,
    3430,  2264,  1689, -1337,  2213,  4819,  4820, -1337,  3144,   857,
    4072,  2457,  1005,  1194,   425,  2017,  3145,  2019,  3632,  3146,
    2023,  1598,  2025,  4642,  4692,  2028,  2029,  2030,   811,  1668,
    4317,  3778,  2469,  2574, -2571,  4631,  1852,  4666,  2037,  1354,
    1751,  4769,  3780,    81,    81,  1670,    81,  3345,   812, -1337,
    4880,  2062,  2575,  2063,  1163,  4138,  4871,  1946,   813,  3088,
    1963,  2297,  3351,  3530,  3267,  3531,    79,    79,  3805,    79,
   -1337,  3906,  2246,  2427,  3291,  3292,  3293,  3294,  3346,  2253,
    2254,  2556,  2258,  2330,  3661,  4869,  3299,  1641,  1006,  1098,
    1290,   357,  1077,  1090,  1090,  4119,  1090,  2727,  1849,  1850,
    4594,  2598,  3531,  2543,  3633,  3153, -1337,  1947,   996,  3662,
    4333,  3808,  1085,  1892, -1337,  1139,  4881,  2298,   970,  1617,
    2551,  3172,  2066,  3405,  1305,  2532,  3165,  3173,    80,    80,
      74,    80,   951,  3178,  1963, -1847,  4906,  2359,   971,  4882,
    2711,  1163,  3924,  4683,  3341,  1291,  2470,  4930,  3254,  1305,
    2619,   952,  4065,  2360,  3559,  3203,  2533,   814,  4270,  2204,
    4249,  3653,  3385,  2620,  3179,   700,   700,  1921,  2585,  2712,
    1163,  4073,  3457,  2599,  1603,  2552,  2494, -2022,  1604,  2601,
    3432,  2238,   953,   403,  1946,  2602,  2603,  1922,  4775,   403,
    2604,  2605,  2606,  3180,  2064,  1948,  1004,  3255,  1163,  1163,
    4074,  1163,  3709,  3482,  2202,  2203,  2471,  2361,  1115,  1437,
     976,  1637,  3430,  3527,  2179,  1305,  1088,  4531,  1163,  4075,
    2205,  4250,   403,  3174,  2362,  1603,  2652,  1033, -1337,  4532,
    3047,  3386,  2367, -2022,  2691,  3899,  2016,  3433,  2143,  2018,
    4502,  1605,  2022,  1949,  2024,  3812,  4306,  2027,  4307,  1402,
    2297,  2031,  3875,  4012,  1024,  2218,  1007,  1008,  1024,  2368,
    2170,  2171,  2172,  2173,  2174,  2175,  2744,   403,   700,  1833,
    1163,   405,  1058,  3256,  3257,  4599,  4600,  1606,  1641,  1838,
    4700,  3813,  1194,  1641,  1641,   815,  4425,  3258,  2144,  1594,
    2220,  2485,  1605,  2976,  3814,   981,  2500,  2238,  2149,  1163,
    1894,  3056,   804,  1163,  1163,  1071,  2298,  2312,  2187,  2151,
    1814,   404,   404,  1572,   208,   981,  1437,  1573,  2394,  3430,
    4013,  1950,  1948,   405,   405,   405,  1403,  4744,  1606,  2221,
    1766,  1923,  3259,   873,  1937,   403,  1104,  1305,  4556,  1815,
    2217,  2219,   858,  1963,  2938,  1305,  1305,  4426,  4014,  3518,
    2363,   365,  3617,  3184,  3518,  1080,  1105,  3518,  2308,  2262,
     404,   215,  3175,  4015,  2156,  3856,  1106,  2334,  3860,  1214,
    1949,  3431,  3057,   405,  4016,  3815,  3101,  2985,  3017,  4533,
     405,  1892,  3185,  2326,  2328,  4473,  4474,   405,  2369,  3249,
     875,   223,  3432,  3176,  1025,  4084,  4017,  1115,  1659,  1773,
    2263,  3058,  1094,   365,   365,   365,  3437,  3438,  3439,  3440,
    3441,  3442,  1697,  2299,  2486,  4584,  2487,  3260,  4630,  3261,
    2844,  1660,  3177,  2939,   821,  3683,  1025,  3102,   691,   233,
    -910,  4610,  3059,  4612,  1892,  1030,  4795,  2151,  3103,  1641,
    3684,   236,  4645,  3629,  2364,  1774,   805,  1641,  1950,  3433,
    1767,  2264,  3197,   365,  -157,  4432,  4433,  1215,  1806,  1686,
     365,  1892,  2154,  4811,   822,  1107,  3155,   365,  4012,  4018,
      37,    38,    39,    40,  3158,   246,  3160,    44,  1699,  -157,
     403,  2485,   802,  3937,  3335,  3938,  3021,   208,  4812,  3104,
    1687,  4730,  2156,  2353,  1641,    43,  1216,  1641,  1641,  3432,
      45,  4625,  2582,  2354,  1101,   357,  1214,    37,    38,    39,
      40,  2122,  1815,  1025,    44,   403,  4084,   821,  2355,  1688,
    3060,  3359,  1775,  2653,   882,  2150,   883,  1108,  2151,  3402,
    2123,  3623,  1892,  2687,   802,  4013,   425,  4106,  3614,    37,
      38,    39,    40,  4585,  1217,    43,    44,  1435,  1661,   888,
      45,  2565,  1697,  2154,  1807,  1437,  3433,   822,  3430,  2155,
    1641,  2451,   805,  4014,  2734,  -386,  3518,  4089,  1776,  1892,
    1777,  3484,  2498,  3485,  2151,  3981,  2086,  2746,  4015,  2305,
    2493,  4659,  2306,  2156,    37,    38,    39,    40,  3934,  4016,
    1558,    44,   405,  1109,  1215,  3486,  2103,  1892,   802,  2154,
    3939,     8,  1363,  1796,  2486,  1019,  2487,  3643,  1779,  3909,
    3940,  4017,  3954,  1284,  3434,  3435,  3436,  3570,  3437,  3438,
    3439,  3440,  3441,  3442,  4396,  3838,  2130,  2032,  2913,  2156,
    1353,   425,   361,  1216,  1797,  3664,  4640,  1019,  1798,  1751,
    2141,  3553,  1285,  4227,   215,  1781,  3910,  2356,  1787,  1163,
    2033,  2929,  2289,  2290,  2856,  1892,  2857,  1098,  1163,  4091,
    2694,  4667,  2695,  1799,  2745, -2361,  2697,  4646,  2698,   913,
    2307,  2700,   365,  1963,   223,  2701,  2646,  2647,  2858,  1788,
    1783,  1217,  1694,  4110,  4018,   425,  1286,  2158,  2766,  4668,
    3646,  4735,    81,  3487,   361,    81,  2607,  2743,  3488,  4764,
    2740,  4741,   130,   131,  3373,  2741,  2742,  3090,  2159,  2160,
    4120,  4125,   233,  1695,  3499,    79,  3916,   208,    79,   215,
    3955,  3956, -2571, -2571,  1019,  3437,  3438,  3439,  3440,  3441,
    3442,  4092,  2439,  1986,   425,  1284,  1088,  1088,  3432,  1088,
    2444,  1136,  1696,  2913,   122,  1163,  3219,  1018,    45,   223,
    4165,  1142,  2163,  1987,  2159,  2160,  3363,  1057,   246,   951,
    1691,  2846,   126,  1153,  3836,  2164,  1194,   805,  4084,  3729,
    4166,  2859,  1437,  3245,  1789,  3430,  2860,    80,   952,  3598,
      80,  2861,  1163,  1163,  4093,   811,  4094,   233,  3920,  3730,
    1163,  1692,  3982,  1163,  2596,  3433,  3778,  1163,  2163,   236,
    2491,  2193,  2792,   802,  2194,  1163,  1163,  2944,  1286,   953,
    3961,  3819,  2627,  1163,  3489,  1697,  1163,  1163,  1163,  1163,
    1693,  4409,  1180,  3701,  3490,  3988,  1163,  1163,   823,  1163,
    4350,  1163,  1163,   246,  4868,  1163,  3563,  2459,  3243,  3296,
    1583,  1205, -1372,  3273,  3297,  4091, -1372,   859,   192,  1892,
    1163,   405,  4349,  3795,  3011,  1163,  3014,  1168,  3297,  1163,
    2427,   945,  1212,  1163,  4664,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1997,  1163,  4280,  3622,  1998,  1997,
    2122,  1163,  1213,  2684,  1163,  2460,  2461,  2791,  4696,  3919,
    2504,    37,    38,    39,    40,  1253,  1741,  2862,    44,  2123,
    3064,   811,  1742,  3245,  1265,  2228,  1266,  2863,  1024, -1372,
    3589,  1031,  2960,  2124,  3005,  2950,  2951,  4092,  2534,  2457,
    4013,   403,  4223,  4224,  4225,   403,   215,  2459,   404,  2535,
    3760,   365, -1396, -1396,  2170,  2171,  2172,  2173,  2174,  2175,
    1024,   405,  1743,  4086,  4087, -1372,  1163,  3403,  4014,  1126,
    1256,  3404,  2238,  2536,  1273,  3432,   223,  3249,  1662,  1663,
    3434,  3435,  3436,  4376,  3437,  3438,  3439,  3440,  3441,  3442,
    4093,  3761,  4094,  2337,  4016,  2460,  2461,   404,  1258,   404,
    2170,  2171,  2172,  2173,  2174,  2175,  2289,  2969,   215,  3686,
     405,  1744,   405,  1279,   233,  3762,  2650,  2459,  1745,  2920,
    1287,  1746,  2531,  2122,  2338,  2656,   236,  3388,  3656,  2457,
    3763,  1288,  3433,  2099,  3764,  2344,  4934,  1293,   223,  4935,
    3687,   365,  2123,  3316,  3317,  1594,   805,  1024, -1325,    81,
    1641,    81,  3765,  2339,  3834,  2006,  2126,  2007,  3138,  2459,
     246, -1121,   405,   425, -1121,  2460,  2461,  3766,  1296,  3688,
    1671,  1321,    79,  1747,    79,  3456,   233,  3458,  3459,   804,
     954,  2834,   802,  1829,  2837,  3122,  3565,  3566,   236,  4018,
     365,  1163,   365,  1268,    74,  1269,  1310,  1163,  1437,  2457,
    3067,  3430,  1326,  1163,  4208,  4025,  4210,  2460,  2461,  4213,
    1335,  4214,  1176,   981,  4114,   981,   691,   981,  4356,  2099,
    1341,  2344,   955,   981,  1385,  1386,   811,  3820,  1748,  3822,
    1749,   804,  1672,  1025,    80,  4205,    80,  2459,   946,  1892,
    1750,  2457,   365,  3767,  1892,  1892,   981,   981,  1751,  1356,
    4323,  3768,  2085,    45,   246,  3563,  1892,  1752,  1397,  4030,
    4032,    35,   425,   357,    37,    38,    39,    40,  3563,    41,
      42,    44,   405,  4217,  4218,   405,    45,  1417,  3707,  4221,
    4222,  4223,  4224,  4225,  3769,  2460,  2461,  4226,  1753,   403,
    3870,  1422,  1754,  3148,  2244,   804,  2245,  3434,  3435,  3436,
    2239,  3437,  3438,  3439,  3440,  3441,  3442,  1572,  4652, -1850,
    3288,  1573,  1423,  1553,  1741,  2459,  1082,  1755,    35,  2457,
    1742,  1401,  2247,  1641,  2248,   357,    41,    42, -1373,   364,
    1424,  1641, -1373,  1641,  2913,   364,  2099,   805,  1689,  3710,
    2686,  1411,  2687,  3277,  4890,   192,  3148,  1425,  2707,  3738,
    2708,  1426,   365,  3805,  2709,   365,  2708,  2072,  2073,  3806,
    1743,  3571,  3572,  2460,  2461,   981,  1427,  1428,   364,  3807,
    3532,  4606,  1431,   802,  1083,  1756,  2459,  4557,  4558,  4559,
    4560,  3432,  1432,  1557,  1664,  1163,  2459,  1892,  2737,  2935,
    2738,  1963,  1434,  1560,  1144, -1373,  3808,  2457,  3809,  3140,
    4185,    37,    38,    39,    40,  1565,  1145,  1146,    44,  1744,
    3148,  1566,  4540,   364,  3148,  2854,  1745,  1564,  3189,  1746,
    2993,  2271,  2738,   215,  2460,  2461,  1147,  3624,   981,  1148,
    1078, -1373,  1584,  4338,  2460,  2461,  1571,  1591,  3433,  1084,
    2099,  4354,  2344,  1594,  1019,  3148,  1595,   805,  1126,  3141,
     805,  1592,  1601,   223,  3221,  1615,  4299,  1892,  2457,  1020,
    1616,  1626,  3221,  1437,  1620,  1622,  3430,  1020,  2457,  1020,
    3810,  1747,  4221,  4222,  4223,  4224,  4225, -1497, -1497, -1497,
   -1497,   364,  4492,   802, -1497,   811,   802,  3077,  3134,  3078,
    3135,   233,  1630,  3237,  3278,  3238,  3508,  3509,  3510,  3142,
     804,  1627,  3921,   236,  1631,  1163,  4233,  1632,    37,    38,
      39,    40,  1633,  1634,  3290,    44,  3250,  1635,  3251,    45,
    1643,   867,  3694,  1636,  3696,  3811,  1748,  3365,  1749,  2708,
    3812,  4111,  3401,  1642,  2687,  1078,  1645,  4891,  1750,  3321,
     357,  1675,  1674,  1149,  3037,  1305,  1751,  3411,  1677,  2687,
    1176,  1689,  3415,  1085,  2687,  1752,  1892,  3463,  3419,  1683,
    2687,  1641,  3420,  3470,  2687,  3446,  3813,  2687,  2459,  3462,
    1163,  2687,  3467,  1709,  3468,  1163,  1714,  3728,  1437,  3814,
    1150,  3430,  1305,  3503,  1736,  3504,  1793,  3505,  3143,  3506,
    1754,  1163,  1163,    74,    74,  1740,    74,  1163,  4357,   873,
    3677,  3742,  3678,  3434,  3435,  3436,  1763,  3437,  3438,  3439,
    3440,  3441,  3442,  4230,   981,  1794,  2460,  2461,  -904,  3681,
    1772,  3682,  1163,  1163,  1792,  3279,   364,  1163,  1765,    37,
      38,    39,    40,  3825,  1804,  3826,    44,  1813,  1818,  1163,
    1163,  1163,  1163,  3864,  1823,  3865,  3432,   405,  1824,  3925,
    2457,  2687,  1163,   405,  1825,  1163,   875,  1163,  1830,  1834,
    3815,   364,  4485,  3962,  3280,  3963,  1839,  1163,  1163,  1832,
    4280,  1163,  3972,  1756,  3973,  3984,   811,  2687,  1844,  4057,
    4478,  4058,   361,  1853,  1163,  2743,  1163,  1856,  2740,  3144,
    1163,  1846,  1697,  2741,  2742,  1898,  3287,  3145,  1900,  3563,
    3146,  1902,  1894,  3433,  3090,  4061,  1163,  4062,  1911,    37,
      38,    39,    40,  4090,  -174,  2708,    44,  1163,   677,  1163,
    1163,  1163, -1504, -1504, -1504, -1504,  4201,   365,  4202, -1504,
    4355,  3887,  2738,   365,  4235, -1495, -1495, -1495, -1495,  4416,
    1915,  4417, -1495,  1163,  4422,  1913,  2708,  1024,  1927, -1498,
   -1498, -1498, -1498,  1935,   837,  1163, -1498,  1943,  1951,   804,
    1163,  3432,  1641,  4423,  4523,  2708,  4524,  1163,  1956,  4566,
    1685,  4567,  1957,  1163, -1496, -1496, -1496, -1496,  4568,  1958,
    2687, -1496,  4576,  4628,  2738,  4629,   811,  1959,  4564,   811,
     882,  4649,   883,  4650,  4697,  4710,  4698,  2738,   403,  3929,
    4717,   885,  1963,  1960,  4722,   981,  3845,  4724,  1962,  3845,
     981,   981,   887,  4540,  4237,   888,  1963,  1970,  3433,  3935,
    1973,  4784,   805,  2207,  1305,  4789,  1974,  4790,   805,  4800,
    1975,  2738,  4801,  1163,  3468,  1976,  4802,  4405,  2687,  4805,
    4807,  1963,  3845,  4824,  3957,  2738,  4830,  4831,  2738,  2738,
     403,   403,   403,  4857,  4595,  1963,  1892,  4932,   802,  4933,
    4943,  1978,  4933,  4207,   802,  4375,  4475,  4378,  3434,  3435,
    3436,  1984,  3437,  3438,  3439,  3440,  3441,  3442,  1983,  1600,
    2066,  1602,  1985,  2304,  1990,  1386,  2004,  2068,  2038,  2070,
    2074,  2076,  2077,  2083,  2084,  2092,  1892,  1892,  2095,  1892,
     403,  2096,  2097,  2318,  2102,  2180,  2098,   403,   246,  2104,
    2325,  2327,  2211,  2107,   403,  2223,  2233,  3395,  1387,  2108,
    2207,  2109,  3397,  2110,  2115,  2117,  2118,  2119,   405,   405,
     405,  2120,  2121,  4651,  2807,  2128,  2243,  2129,  1305,  2131,
    2132,  2133,  2134,  2135,  2136,  2137,  2138,  2251,  2830,  1604,
     804,  1892,  1606,  1892,  2278,  2286,  2288,  2295,  1115,  2309,
    2303,  2311,  3759,  2313,  2321,  2322,   981,  2324,  2329,  2331,
    2340, -2513,  2333,  2341,   981,  2342,  2344,  2376,  2345,  2582,
    2346,  2348,  2347,  3434,  3435,  3436,  2377,  3437,  3438,  3439,
    3440,  3441,  3442,  2349,  2370,  2396,  2402,  2403,  2400,  2406,
    2439,  2441,  2404,  2405,  2431,  2432,  1892,  2451,   365,   365,
     365,  4314,  2452,  2454,  4401,  2455,  2463,  4709,  2456,  3680,
    2457,   981,   894,  3885,   981,   981,  2464,  2465,  2466,  2467,
    1892,  2473,  2481,  2474,  2477,  2488,  1751,  4712,  2516,  2478,
    2489,  2495,  2496,  2505,  2517,  2506,  3702,  2518,  2521,  2522,
    2527,  2530,   405,  2544,  2545,  3849,  3772,  1892,  2557,  2559,
     804,  2088,  2569,   804,  3519,  2560,  1194,   364,  2570,   405,
    1892,   364,  2567,  2583,  2589,  2586,   869,  2594,  1078,  2099,
    1641,  1789,  2105,  2590,  2611,   905,  4747,   981,  1078,  3884,
    4752,  4753,  2616,  1641,  2630,  2595,  2631,  2636,  2639,  2641,
    2642,  2649,  2660,   805,   805,   805,  3998,  3999,  4000,  4001,
    2141,  2662,  2664,  2663,  3221,  2678,  2665,  3221,  3221,   403,
    3519,  3221,  2643,  4505,  2854,  2679,  4478,  2703,  2720,  2704,
    2726,  3221,   365,  1892,  4609,  2735,  1852,  2774,  2748,   802,
     802,   802,  3781,  3502,  4748,  2773,  2779,  1892,  3790,   365,
    4751,  2816,  2829,  2835,  2151,  3781,  3512,  2839,  2840,  2853,
    1892,   811,  2817,  2847,  2899,  2915,  2870,   811,  1305,  2872,
    1305,  2916,  2918,  2926,  2927,  2946,  1083,  2945,  4754,  2955,
    4756,  2978,  2197,  2921,  2923,  2936,  2994,  2995,  2975,  2937,
    1163,  2644,  2949,   357,  3967,  2996,  2977,  3007,  4810,  3012,
      35,  3843,  2992,  3015,    37,    38,    39,    40,    41,    42,
    3017,    44,  3512,  3019,  3020,  1077,  3026,  3031,  3035,  3052,
    3055,  3038,  4262,  3068,  1558,  1163,  1554,   805,  1892,  3073,
    3869,  1305,  3129,  3137,  3136,  1163,  1717,  3124,  3075,  1641,
    3133,  1163,    74,  1163,   805,    74,  3186,  3199,  1892,  1163,
    3210,  3211,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  3212,   802,  3206,  1163,  1163,  3207,  1718,  3214,
    3215,  3216,  3218,  1892,  3217,  3228,  3239,  3230,  1163,  3234,
     802,  3241,  1163,  3271,   405,  3252,  1163,  3246,  3244,  3245,
    3247,  3283,  3276,  1020,  3289,  3298,  1163,  1020,  3295,  1163,
    3304,  1163,  3305,  3319,  2783,  3322,  3303,  3334,  3340,  1892,
    1163,  1163,  1163,  3337,  3338,   364,  1163,  3339,  3342,  1163,
    4686,  3343,  3352,  1719,  3357,  3358,  3355,  3367,  3368,  1163,
    3369,  1991,  3370,  3372,  3379,  2749,  3387,  3391,  4729,  1163,
    3393,  3396,  1403,  3398,  3413,  2780,  2781,  1163,  3399,  1163,
    3414,  3416,  3417,  2793,  1720,  3464,  2687,  2796,  2797,  3483,
    3452,  3521,  3478,  3418,   365,  4151,  3421,  3498,  3491,  2784,
    3422,  3424,  2818,  3427,  2819,  3445,  2066,  3451,   403,  3527,
    3979,  3453,  4617,  3529,  3454,  4909,  3461,  3476,  3477,  1721,
    3501,  -950,  3526,  1163,  2841,  3575,  2842,  3577,  3581,  1163,
    3602,  3591,  3605,  3592,  3619,  1163,  3428,  3429,  3587,  3593,
    3122,  3444,  4132,  3607,  3608,  3616,  3621,  4634,  1722,  3625,
    3596,  3639,  3640,  1997,  3597,  2785,  3612,  3650,  2786,  3613,
    1163,  3651,  3658,  4040,  1194,   804,  3666,  3657,  3668,  3700,
    3699,   804,   811,   811,   811,  3703,  2318,  3706,  3705,  3711,
    3712,  3479,  3480,  3713,  3714,  3715,  3716,  3717,  3719,   805,
    3718,  3720,  1177,  3722,  3563,  3724,  3721,  1197,   403,  1194,
    3726,  3733,  3723,  3731, -2078,  3735,  1209,  3725,  2514,  3737,
     208,  3743,  2414,  2306,  1725,  3749,  3750,  4431,  3751,  3752,
    1726,  3753,  3754,  3784,  3792,   802,   405,  1727,  3783,  3796,
     405,  1892,   405,  1267,  3835,  2415,  3797,  1274,  3837,   981,
    3844,  3833,  3850,  3857,  1729,  4445,  2787,   403,  1283,   403,
   -2078,  3858,  1730,  3845,  1641,  3854,  3853,  4454,  3861,   689,
    3862,  3882, -2078,  3901,  3902,  3891, -2078,  1176,  3912,  3907,
    3903, -2078,  2379,  3904,  3923,  3893, -2078,  3913,  3914, -2078,
    2085, -2078,  3928,  3448,  3430,  3447,  3958,   981,  3959,  3960,
    3966,  3974,  2145,   357,  3986,  3987,   811,  3995,  4024,   403,
    4011,  4469,  4033,  1731,  4050,  2380,   365,  1664, -2078,    74,
     365,    74,   365,   811,  4077,  4027,  3781,  4045,  2381,  4043,
    4053,  4098,  4100,  4101,  4113,  4112,  4044,   357,  4067, -2078,
    1641,  2382,  4115,  4152,  4046,  4126,  4153,   983,  4154,  4821,
    4290,  4049,  4133,  2788,  4134,  4117,  2308,  4135,  4145,  2807,
    2807,  4146,  4148,  4147,  2807,  4149,  1163,   983,  4150,  4162,
    4178,  4121,  4180,  4181,  4182, -2078,  4190,  4188,  4191,  2383,
    4219,  4253,  4245, -2078,  3874,  4265,  3221,  4266,  4268,  2708,
    3884,  1892,  3221,  3221,  3221,  3221,  3221,  3221,  4269,  4275,
    4287,  4284,  1305,  4288,  2807,  2807,  4209,  4302,  2384,  4296,
    4300,   805,  4304,  2385,  4297,   805,  3519,   805,  4310,   403,
    4315,  4318,   403,  1892,  1163,  1163,  4319,  4320, -2078,  4321,
    3790,  4322,  4327,  4339,  4330,  4340,  4341,  4412,  4334,  4342,
    4818,  4232,  4234,  4236,  4238,  4335,  4343,   802,  4367,  4347,
    4369,   802,  4371,   802,  4372,  4384,   804,   804,   804,  4382,
    4379,  4385,  4402,  2066,  4406,  2752,  4387,  4411,  4413,  4419,
     981,  4418,  4388,   996,  4427,  4438,  4441,  4410,   981,  4448,
     981,  4455,  4442,  4458,  1163,  4462,  4467,  4472,  1641,  4476,
    4483,  4491,  1194,  4488,  4498,  4506,  4508, -2078,  2141,  4509,
     677,   677,  4510,  4513,  4515,  4291,  4529,  4537,  4005,  2386,
    4538,  4525,  2753,  4546,  4535,  4562,  4554,  3519,  4563,  4570,
   -2078,  1163, -2078, -2078,  4565,  4572,  4573,  4574,  4575,  4443,
    4581,  1163,  1163,  4591,  1892,  4588,  4597,   837,   811,  1163,
    1163,  2754,  4601,  4611,  1163,  1892,  4403,  4603,  4623,  4636,
    1163,  1163,  4643,  4607,  1163, -2078,  4626,  4627, -2078, -2078,
    4637, -2078,  2755,  3248,   364,  4644,  4325,  4653,  2387,  1163,
    4252,  4660,  4671,  1163,  2388,  4662,  4673,  2389,  4674,  4713,
     804,  4676,  1163,  4670,  4705,  3532,  4688,  1163,  4719,  4689,
    4728,  2756,  1084,  4745,  4736,  4770,  2757,   804,  4765,  1163,
    4774,  4776,  4780,  2390,  4786,  4787,  4788,  4793,  4794,  2391,
    4799,  4803,  4804,  4808,  4809,  4814,   364,   364,   364,  4827,
    4816,  4749,  2392,  4833,  4832,    81,  4398,  4834,  4843,  4837,
    4839,  4867,  4035,  4870,  4848,  4500,  4872,  4849,  1163,  4875,
    4878,  4835,  2758,  4886,  4836,  4900,  4912,  2393,    79,  4928,
    4931,  4937,  4941,  1096,  2528,  1739,  1892,  3286,  2230,  3556,
    3128,  3663,  4130,  3756,  3198,  4647,   364,  4760,  4477,  4519,
    3759,  4672,  4675,   364,  4286,   405,  4503,  4685,  3366,  3610,
     364,  4873,  4615,  4908,  1892,  4840,  4838,  1020,  4399,  4400,
    2150,  4884,  2066,  2151,  4782,  3615,  1892,  4256,  4520,  3269,
    3270,  3675,  4129,  2608,  4257,  4258,  3253,  3840,   981,  4911,
      80,  4942,  4938,  3771,  3793,  4885,  4635,  2593,  2154,  1020,
     837,  4829,  3728,  4876,  2155,  4638,  1000,  2058,  4731,  4292,
    2808,  4316,  4792,  3081,  4293,  3732,  4893,  4939,  4778,  2931,
    1892,  1568,  2932,  2693,  2808,  2759,  3560,  4274,  2156,  1306,
     811,  2760,  4063,  2005,   811,   365,   811,  2761,  4404,  3362,
     405,  2066,  1590,  3561,  2954,  2066,  2066,  3573,  2275,  2953,
    3569,  2948,  3586,  3936,  2274,  2249,  3941,  3942,  3943,  3944,
    3945,  3946,  3947,  3948,  3949,  3950,  2762,  4007,  2763,  3574,
    4721,  2889,  4377,  4064,   403,  4711,  2279,  1576,  3978,  3968,
     403,  2282,  4858,  1163,  4859,  2764,  1020,  3496,  4866,  3564,
    3481,  3408,   804,  3494,  4060,  2898,  1129,  3883,  3336,  1945,
    2645,  2979,  4856,  2294,  1099,  1352,  2287,  2970,  1682,  2986,
    2765,  1653,  1654,  3221,  3221,  3990,  3991,  2983,  4069,  3551,
     365,  2065,  2984,  2196,  4394,  4070,  4048,  1305, -2571,  2291,
     805,  4481,  2158,  4482,  1122,  1892,  4486,  4487,   357,  2990,
    3364,  2705,  1994,    83,  3790,  3790,  3790,  3790,  3790,  1392,
       0,     0,     0,  2159,  2160,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   364,   802,     0,  1163, -2571,
       0,     0,  1892,     0,     0,     0,     0,  1163,   357,     0,
       0,     0,     0,     0,  2318,     0,  4608,  3554,     0,   981,
       0,     0,  4517,     0,  1163,  1163,  3519,  2163,  1163,     0,
    3519,     0,     0,     0,     0,     0,   917,     0,     0,  1163,
    2164,     0,     0,     0,  1163,   805,     0,  1163,   918,  4539,
       0,     0,  1163,  1163,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   919,
       0,     0,  4325,  4325,  4325,  4325,     0,     0,     0,     0,
    1977,   802,   920,     0,     0,  1163,  4605,     0,     0,     0,
       0,  1992,     0,     0,     0,   921,  2807,     0,     0,  2807,
    2807,  2807,  2807,  2807,  2807,  2807,  2807,  2807,  2807,  4665,
       0,     0,   922,     0,     0, -2571,  1892,     0,  3512,     0,
    1163,     0,  3512,     0,   677,     0,     0,     0,     0,  3965,
       0,     0,     0,   923,   804,     0,     0,     0,   804,  1641,
     804,     0,     0,     0,     0,     0,     0,  3327,     0,     0,
       0,   924,     0,     0,     0,     0,     0,  1163,  2807,  2807,
       0,     0,   925,     0,   357,     0,  1717,   926,     0,     0,
       0,     0,     0,   927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   403,   403,   403,   928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1718,     0,
       0,  3781,     0,     0,     0,     0,  1163,     0,  1892,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3221,     0,     0,     0,  4648,
    1163,  1892,     0,  1163,     0,  1163,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1163,  1719,   364,   983,  1163,   983,     0,   983,
    4248,  1892,     0,   929,     0,   983,     0,     0,     0,     0,
       0,     0,     0,   930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1720,     0,     0,     0,   983,   983,
       0,   837,  2526,     0,     0,     0,     0,   405,     0,   811,
    1892,     0,     0,     0,  1892,  1892,     0,     0,     0,   403,
       0,     0,     0,  3328,     0,     0,   931,     0,  4927,  1721,
     932,     0,   933,     0,  1717,     0,   403,     0,   934,     0,
       0,   935,     0,     0,     0,     0,     0,   981,  1163,     0,
       0,     0,  3785,  3788,   364,     0,     0,     0,  1722,     0,
     981,     0,     0,     0,     0,     0,  1718,   936,     0,   937,
       0,     0,     0,   938,     0,     0,  1892,     0,     0,     0,
       0,   939,     0,  4798,     0,     0,   940,   365,  3832,     0,
       0,     0,     0,     0,   811,     0,  3519,     0,   941,     0,
    2597,  3519,     0,   364,  3519,   364,  1163,     0,     0,     0,
       0,   942,     0,  1305,     0,     0,  2526,   983,     0,     0,
     208,  1719,     0,  1163,  3329,     0,     0,     0,     0,     0,
    1726,   689,   689,     0,     0,     0,  1669,  1727,     0,     0,
       0,     0,  3519,  4351,  4352,  2415,     0,     0,     0,     0,
       0,     0,  1720,     0,  1729,   364,     0,     0,  1163,     0,
       0,   361,  1730,     0,  4898,     0,     0,  4895,  1163,     0,
       0,     0,  4896,  4897,  4918,  2526,     0,  4633,     0,     0,
     983,     0,   805,  2807,     0,     0,     0,  1721,  3512,  1163,
    1163,     0,     0,  3512,     0,     0,  3512,   361,     0,     0,
    4898,     0,  1163,  4895,     0,     0,   981,     0,  4896,  4897,
       0,     0,     0,  1731,  1176,     0,  1722,  3330,   802,     0,
       0,  4918,     0,     0,     0,     0,  1020,   685,     0,  4918,
       0,     0,   703,     0,     0,  2808,  2808,     0,  1163,     0,
    2808,   361,     0,  1723,  4898,     0,     0,  4895,  1163,     0,
       0,   403,  4896,  4897,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3519,   405,   364,     0,     0,   364,     0,
     703,     0,     0,     0,  1724,     0,     0,     0,   208,     0,
    2808,  2808,  1725,   804,     0,     0,     0,  4919,  1726,     0,
       0,   703,     0,     0,     0,  1727,     0,     0,     0,     0,
       0,     0,     0,  1728,     0,     0,  1163,     0,     0,   992,
       0,   405,  1729,  3519,     0,  1163,     0,     0,     0,   405,
    1730,     0,   993,     0,     0,     0,  2150,   357,     0,  2151,
    1001,  3327,     0,     0,  4919,     0,     0,     0,     0,     0,
       0,     0,  4919,     0,   365,  1011,     0,   992,     0,  4920,
    1717,  1032,     0,     0,  2154,     0,  2807,  2807,     0,     0,
    2155,  1062,     0,     0,     0,     0,   983,     0,   804,  1067,
       0,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1718,     0,  2156,     0,     0,     0,     0,     0,
       0,   365,     0,     0,     0,     0,  4920,  4066,     0,   365,
       0,     0,     0,     0,  4920,  3512,     0,     0,     0,     0,
    2651,     0,     0,     0,     0,     0,     0,     0,     0,  2657,
       0,     0,     0,  2661,     0,     0,     0,     0,     0,  2667,
    2668,     0,     0,     0,     0,     0,     0,  1719,  2150,   805,
       0,  2151,     0,     0,     0,     0,  3492,  2680,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   403,     0,     0,  2154,   403,  1720,   403,
       0,     0,  2155,     0,     0,   802,     0,     0,     0,     0,
       0,     0,     0,     0, -2571,     0,   805,     0,  2158,     0,
       0,   981,  4561,     0,   805,     0,  2156,  3328,     0,     0,
       0,     0,   677,  1721,     0,  4845,     0,   981,     0,  2159,
    2160,     0,     0,     0,     0,  3519,     0,     0,  4577,  4578,
       0,   811,   802,     0,  3327, -2571,     0,     0,     0,  2997,
     802,     0,  1722,     0,  3001,     0,     0,  3004,     0,     0,
       0,     0,     0,  1717,     0,     0,     0,     0,     0,  4874,
       0,     0,     0,  2163,     0,     0,     0,   983,     0,  3027,
       0,     0,   983,   983,     0,     0,  2164,   981,     0,     0,
       0,     0,     0,     0,     0,  1718,     0,     0,     0,     0,
       0,     0,  1385,  1386,     0,     0,     0,     0,     0,     0,
       0,  4216,     0,  3071,   208,  3788,  2157,     0,  1725,     0,
    2158,     0,     0,     0,  1726,     0,  4231,     0,     0,     0,
       0,  1727,     0,     0,     0,     0,     0,     0,     0,  2415,
    3085,  2159,  2160,     0,     0,     0,     0,     0,  1729,     0,
    1719,     0,     0,     0,     0,     0,  1730,  2161,     0,     0,
     364, -2571,     0,     0,  3118,   689,   364,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1720,  4940,  3139,     0,  2163,  3149,     0,     0,     0,
       0,     0,   357,     0,     0,     0,     0,     0,  2164,     0,
       0,     0,     0,     0,  3161,     0,     0,  1731,     0,     0,
    3328,  3330,  3874,     0,  3170,     0,  1721,     0,     0,     0,
    2928,     0,     0,     0,     0,  2807,     0,  3193,  4926,     0,
       0,     0,     0,     0,  4569,   981,  3200,     0,   983,     0,
       0,     0,     0,     0,  4708,  1722,   983,     0,     0,     0,
       0,  2807,  2807,     0,     0,  2170,  2171,  2172,  2173,  2174,
    2175,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   357,  2166,     0,  2150,     0,     0,  2151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   983,     0,  2152,   983,   983,   811,     0,
       0,   703,     0,  2154,     0,     0,     0,   208,     0,  2155,
       0,  1725,     0,     0,     0,   804,     0,  1726,     0,     0,
       0,     0,     0,     0,  1727,     0,     0,     0,     0,     0,
       0,     0,  2415,  2156,     0,     0,     0,     0,     0,     0,
       0,  1729,     0,     0,     0,   811,     0,     0,     0,  1730,
       0,     0,     0,   811,     0,     0,     0,     0,     0,   983,
       0,     0,     0,  2167,  2168,  2169,     0,  2170,  2171,  2172,
    2173,  2174,  2175,  2318,     0,     0,     0,     0,     0,     0,
       0,     0,  2808,     0,     0,  2808,  2808,  2808,  2808,  2808,
    2808,  2808,  2808,  2808,  2808,    74,     0,     0,     0,   981,
    1731,     0,     0,     0,  3330,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2808,     0,     0,     0,     0,
       0,     0,   403,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2157,     0,     0,     0,  2158,    35,     0,
       0,   364,   364,   364,  2808,  2808,    41,    42,     0,     0,
       0,   981,  2150,     0,     0,  2151,     0,  2807,  2159,  2160,
       0,     0,     0,     0,  4452,  4453,     0,     0,     0,  4456,
    4457,     0,  2152,     0,  2161,  2153,     0,     0,     0,     0,
    2154,     0,  1159,  1165,  1165,   703,  2155,  1165,  1172,     0,
    1159,   685,  1062,     0,  1196,     0,   685,     0,  1062,  2162,
    1062,     0,  2163,     0,  1165,   685,  1062,   403,     0,     0,
    2156,     0,     0,     0,  1223,  2164,     0,     0,  2165,  1062,
       0,  1159,     0,     0,  1165,     0,   703,     0,  1165,     0,
       0,     0,   685,     0,  1196,     0,   685,  1276,     0,     0,
       0,     0,     0,     0,  1165,     0,     0,   685,     0,  3788,
    3788,  3788,  3788,  3788,     0,     0,     0,   981,     0,     0,
       0,     0,     0,     0,     0,   364,     0,     0,     0,     0,
       0,  1304,   804,     0,     0,  1159,     0,     0,     0,     0,
     703,     0,   364,     0,  1159,     0,     0,  1196,     0,     0,
    2166,     0,     0,     0,     0,  1741,     0,     0,     0,     0,
       0,  1742,  1165,     0,     0,     0,     0,     0,     0,     0,
    2157,     0,     0,  1367,  2158,     0,     0,     0,     0,   804,
       0,     0,     0,     0,     0,     0,     0,   804,     0,     0,
       0,     0,     0,  3344,     0,  2159,  2160,     0,     0,     0,
       0,  1743,     0,     0,     0,     0,     0,     0,     0,  3353,
    3354,  2161,     0,  3356,     0,  1062,     0,     0,     0,  3360,
       0,     0,     0,     0,     0,     0,     0,  1062,  1421,     0,
       0,     0,     0,     0,     0,     0,  2162,     0,     0,  2163,
    2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,
    1744,     0,  2164,     0,  1528,  2165,  3423,  1745,   703,  1062,
    1746,     0,  1304,  3599,     0,     0,     0,     0,     0,     0,
    2150,     0,     0,  2151,     0,     0,     0,  1062,     0,     0,
       0,  1062,  2150,  4604,     0,  2151,     0,     0,  3394,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,  2154,  1062,
       0,     0,  2152,     0,  2155,     0,     0,     0,     0,     0,
    2154,  1062,  1747,     0,     0,     0,  2155,     0,     0,  2808,
       0,     0,     0,     0,     0,     0,     0,  2166,  2156,     0,
       0,     0,     0,     0,     0,     0,   981,     0,     0,     0,
    2156,   983,     0,     0,     0,     0,     0,     0,     0,   685,
     685,     0,     0,     0,     0,     0,     0,   364,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1748,     0,  1749,
    1319,     0,     0,     0,  1328,     0,     0,     0,     0,  1750,
       0,     0,     0,     0,  1340,     0,     0,  1751,     0,   983,
       0,     0,  1062,   689,     0,     0,  1752,     0,  3685,     0,
    1165,  1165,     0,     0,     0,  3697,     0,     0,     0,  1669,
       0,     0,     0,     0,     0,     0,     0,  2167,  2168,  2169,
       0,  2170,  2171,  2172,  2173,  2174,  2175,  1819,  2157,     0,
       0,  1754,  2158,  1741,     0,     0,     0,     0,     0,  1742,
    2157,     0,  1159,     0,  2158,     0,     0,     0,     0,     0,
       0,     0,  1159,  2159,  2160,  1196,  1820,     0,     0,     0,
       0,     0,     0,     0,     0,  2159,  2160,     0,  1165,  2161,
       0,     0,     0,     0,     0,  3739,     0,     0,     0,  1743,
       0,  2161,  1062,     0,     0,     0,     0,     0,  1165,  1165,
       0,     0,  2808,  2808,   403,     0,     0,  2163,     0,     0,
       0,     0,  1062,  1062,  1062,  1165,  2162,  1159,     0,  2163,
    2164,  1942,     0,     0,  1756,     0,     0,     0,     0,     0,
       0,  1741,  2164,     0,     0,  2165,     0,  1742,  1744,     0,
       0,     0,     0,     0,     0,  1745,     0,     0,  1746,  1165,
    1165,  1165,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1304,
       0,     0,   983,  3620,     0,     0,     0,  1743,     0,   364,
     983,     0,   983,   364,  1528,   364,     0,     0,     0,     0,
       0,     0,     0,     0,  1304,  2166,     0,     0,     0,     0,
    1747,     0,     0,  4796,     0,     0,     0,  2166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2041,  2041,  1744,     0,     0,  1062,
       0,   992,     0,  1745,     0,     0,  1746,  2526,     0,     0,
       0,     0,     0,     0,     0,     0,  3667,     0,  3669,     0,
       0,     0,     0,  2075,  3908,  1748,  1062,  1749,     0,  2081,
    1304,     0,     0,     0,     0,     0,     0,  1750,     0,     0,
       0,  1528,  3918,     0,     0,  1751,     0,     0,     0,     0,
       0,     0,     0,     0,  1752,     0, -2571, -2571,  1747,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,  2167,  2168,  2169,
    1528,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,  2924,
       0,     0,     0,     0,     0,  2925,     0,     0,     0,  1754,
       0,     0,  2150,     0,     0,  2151,     0,     0,  1528,  1528,
       0,  1528,     0,     0,     0,  3727,     0,     0,     0,     0,
    3734,     0,  2152,  1748,  1755,  1749,     0,     0,  1528,     0,
    2154,     0,     0,     0,     0,  1750,  2155,     0,     0,     0,
       0,   403,     0,  1751,  2150,     0,     0,  2151,   703,   703,
       0,     0,  1752,     0,     0,     0,     0,     0,     0,  1972,
    2156,     0,  1304,  2150,  4917,     0,  2151,     0,     0,     0,
    1304,  1304,  2154,     0,     0,     0,     0,  1062,  2155,     0,
    1528,     0,  1756,  2397,     0,     0,     0,  1754,   403,     0,
     983,  2154,     0,     0,     0,     0,   403,  2155,     0,     0,
       0,     0,  2156,     0,     0,     0,     0,     0,     0,  1528,
       0,  4917,  2398,  1528,  1528,     0,     0,     0,     0,  4917,
       0,  2156,     0,  1062,  1062,  2285,     0,     0,     0,     0,
       0,  2808,     0,     0,     0,  2057,     0,     0,     0,     0,
    2808,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2069,   703,     0,   685,     0,     0,     0,  2808,  2808,     0,
    2157,     0,  2079,     0,  2158,     0,     0,     0,     0,  3886,
    1756,     0,     0,  3889,  3890,     0,  3892,     0,  3894,  3895,
       0,     0,     0,  3992,     0,  2159,  2160,  3900,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4107,     0,
       0,  2161,  2157,     0,     0,  1224,  2158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3917, -2571,     0,     0,     0,  2158,  2162,  2159,  2160,  2163,
       0,     0,     0,     0,     0,     0,     0,     0,  1225,     0,
       0,     0,  2164,  2161,     0,  2165,  2159,  2160,  1062,  2438,
       0,  1226,  1227,     0,     0,  1062,     0,     0,  1165,     0,
    1228,     0, -2571,     0,  1229,     0,     0,     0,  2162,     0,
       0,  2163,     0,  1196,     0,  4167,     0,     0,  4170,     0,
    1062,  1230,     0,     0,  2164,     0,     0,     0,     0,  1741,
    2163,   983,     0,     0,     0,  1742,     0,     0,   364,     0,
    1062,     0,  1231,  2164,     0,     0,     0,     0,  1165,  1165,
    1165,  1165,  1062,     0,     0,     0,     0,  2166,     0,     0,
    1232,   685,     0,     0,     0,  2250,  1062,     0,     0,     0,
       0,  1233,     0,     0,     0,  1743,  1234,     0,  2540,     0,
    1062,     0,     0,     0,     0,     0,     0,     0,  1165,  1165,
       0,     0,     0,     0,  1165,     0,     0,  1235,     0,  2166,
       0,     0,     0,  2808,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2571,     0,
       0,     0,  1236,   364,  1744,     0,     0,     0,     0,     0,
    2150,  1745,     0,  2151,  1746,     0,     0,     0,     0,     0,
       0,  1165,     0,     0,     0,     0,     0,  2167,  2168,  2169,
    2152,  2170,  2171,  2172,  2173,  2174,  2175,     0,  2154,   685,
       0,     0,     0,  3471,  2155,  1165,  1165,  1165,  1165,     0,
       0,     0,  1237,     0,     0,   685,     0,     0,     0,     0,
       0,     0,     0,     0,  2540,     0,  1747,     0,  2156,  2167,
    2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,  1159,
     837,     0,     0,     0,     0,     0,   703,     0,  1159,     0,
       0,     0,  2170,  2171,  2172,  2173,  2174,  2175,  1196,     0,
       0,     0,     0,  1165,     0,  1238,     0,     0,     0,  1239,
       0,  1240,  1165,     0,   685,     0,     0,  1241,  1165,  1165,
    1242,  1748,     0,  1749,     0,     0,     0,     0,     0,     0,
       0,     0,  1062,  1750,     0,  1367,     0,     0,     0,     0,
       0,  1751,     0,     0,     0,     0,  1243,     0,  1244,     0,
    1752,     0,  1245,     0,     0,     0,     0,     0,     0,     0,
    1246,     0,     0,     0,     0,  1247,  2041,     0,  2157,     0,
       0,     0,  2158,  1165,     0,  1159,     0,     0,     0,  1062,
    1062,  3087,  1165,     0,     0,  1754,  1741,     0,  1062,     0,
    1248,     0,  1742,  2159,  2160,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   992,   992,     0,     0,  2751,  2161,
    1755,     0,  1528,  1528,     0,     0,     0,     0,     0,     0,
    1528,     0,     0,  1528,     0,     0,     0,  1528,     0,   983,
       0,     0,  1743,     0,  2162,  1528,  1528,  2163,     0,     0,
       0,     0,   983,  1528,     0,  1196,  1528,  1528,  1528,  1528,
    2164,     0,     0,  2165,     0,     0,  1528,  1528,     0,  1528,
       0,  1528,  1528,     0,     0,  1528,     0,     0,  1756,     0,
       0,     0,     0,     0,     0,     0,  1741,     0,     0,     0,
    1528,  1744,  1742,     0,  1165,  1528,     0,     0,  1745,  1528,
       0,  1746,     0,  1528,     0,  1528,  1528,  1528,  1528,  1528,
    1528,  1528,  1528,  1528,     0,  1528,     0,     0,     0,     0,
    1062,  1528,  4449,     0,  1528,  2658,     0,     0,     0,     0,
       0,     0,  1743,     0,  4459,  2166,  2669,     0,     0,     0,
       0,     0,     0,     0,     0,  1062,  4305,     0,  2676,     0,
       0,     0,     0,  1747,  4308,  4309,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1744,  1062,     0,  1062,     0,  1528,     0,  1745,     0,
       0,  1746,     0,     0,     0,     0,     0,     0,   983,     0,
       0,     0,     0,     0,     0,     0,     0,  2713,  1748,     0,
    1749,  2719,     0,  2721,     0,     0,  2724,     0,     0,     0,
    1750,     0,  2961,     0,  2968,  2167,  2168,  2169,  1751,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,  1752,     0,  2838,
     364,     0,     0,  1747,     0,     0,     0,     0,     0,     0,
       0,   685,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3163,     0,
       0,     0,  1754,     0,     0,     0,     0,     0,   685,     0,
       0,     0,     0,   685,     0,     0,   685,   703,     0,     0,
       0,     0,   992,     0,   992,     0,     0,  3164,  1748,     0,
    1749,     0,     0,     0,     0,     0,     0,     0,   685,     0,
    1750,  1528,     0,     0,     0,     0,     0,  1159,  1751,  1165,
    1165,  1165,     0,  1159,  1196,     0,  1165,  1752,  1165,     0,
    1165,  1165,     0,     0,  1062,     0,     0,     0,     0,     0,
       0,     0,   685,     0,     0,     0,     0,     0,     0,   824,
       0,     0,     0,     0,  4430,  1756,  2150,     0,  3201,  2151,
       0,     0,  1754,     0,     0,     0,     0,     0,     0,   685,
       0,     0,  2438,     0,     0,     0,     0,     0,  3091,     0,
       0,     0,     0,  3100,  2154,  4446,  4447,  3202,     0,  1062,
    2155,     0,     0,   685,     0,   825,     0,     0,     0,     0,
       0,     0,     0,     0,  3131,  3131,     0,     0,   826,     0,
    2150,   703,   685,  2151,  2156,   685,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   827,  1165,     0,     0,     0,
    2152,   828,     0,   685,     0,     0,     0,     0,  2154,     0,
       0,  4470,  4471,   685,  2155,  1756,   829,     0,     0,     0,
       0,     0,  3188,     0,  3190,  3192,   685,     0,     0,     0,
       0,     0,     0,     0,   830,   685,     0,     0,  2156,     0,
       0,     0,     0,     0,     0,   831,  3993,     0,     0,     0,
     832,     0,  1165,   983,     0,     0,   833,     0,     0,     0,
    1165,  1165,  1165,  1165,  1165,  1165,     0,   364,     0,   983,
       0,   834,     0,     0,     0,  1528,     0,     0,     0,     0,
       0,     0,     0,     0, -2571,     0,     0,     0,  2158,     0,
       0,     0,     0,     0,     0,     0,   835,     0,  2438,     0,
       0,     0,  3131,  1062,     0,     0,     0,   992,     0,  2159,
    2160,     0,     0,     0,   364,     0,     0,     0,     0,     0,
       0,     0,   364,     0,     0, -2571,     0,  2150,     0,   983,
    2151,     0,  4550,  3188,  4551,  4552,     0,     0,  2157,     0,
    1165,  3315,  2158,     0,     0,  4555,   836,  2152,     0,     0,
    1304,  1942,     0,  2163,     0,  2154,     0,     0,     0,     0,
       0,  2155,     0,  2159,  2160,  3086,  2164,     0,  1165,     0,
    1165,  3131,  1165,  3131,   837,     0,     0,     0,     0,  2161,
       0,     0,     0,     0,     0,  2156,     0,  1304,     0,     0,
       0,     0,     0,     0,     0,  1528,     0,     0,     0,   838,
       0,     0,     0,     0,  2162,   839,     0,  2163,     0,     0,
       0,   840,     0,     0,   841,     0,  2041,     0,     0,     0,
    2164,     0,     0,  2165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   685,     0,     0,     0,     0,     0,
     842, -2571,   843,     0,  2150,     0,   844,  2151,     0,     0,
       0,     0,     0,     0,   845,     0,   685,     0,     0,   846,
    1159,     0,     0,  2150,  2152,  1159,  2151,     0,     0,     0,
       0,   847,  2154,     0,     0,  1165,     0,   983,  2155,     0,
       0,  1528,  1528,     0,   848,  2157,     0,  1528,     0,  2158,
       0,  2154,     0,     0,     0,  2166,     0,  2155,     0,     0,
       0,     0,  2156,  1741,     0,     0,     0,     0,     0,  1742,
    2159,  2160,  1528,  1528,     0,     0,     0,  1528,     0,     0,
       0,  2156,     0,     0,     0,     0,  2161,     0,     0,  1528,
    1528,  1528,  1528,     0,     0,  2170,  2171,  2172,  2173,  2174,
    2175,     0,  1528,     0,     0,  1528,     0,  1528,  3475,  1743,
       0,  2162,     0,     0,  2163,     0,     0,  1528,  1528,     0,
       0,  1528,     0,     0,     0,     0,     0,  2164,     0,     0,
    2165,     0,     0,     0,  1528,     0,  1528,     0,  1196,     0,
    1528,     0,     0,  3996,  4707,  2167,  2168,  2169,     0,  2170,
    2171,  2172,  2173,  2174,  2175,     0,  1528,     0,  1744,  3782,
    1062,     0,  2157,     0,     0,  1745,  2158,  3520,  1746,  1528,
    1528,  1528,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2571,     0,     0,     0,  2158,     0,  2159,  2160,  1304,
       0,     0,     0,  1528,     0,     0,     0,     0,     0,     0,
    4733,   983,  2166,  2161,     0,  1528,  2159,  2160,     0,  3371,
    1528,     0,     0,     0,  1062,     0,     0,  1528,     0,     0,
    1747,     0, -2571,  3520,     0,     0,  3580,     0,  2162,     0,
    2968,  2163,     0,  4759,     0,   810,     0,     0,     0,     0,
       0,     0,     0,     0,  2164,     0,     0,  2165,     0,     0,
    2163,     0,     0,   983,     0,     0,     0,     0,     0,     0,
       0,     0,   685,  2164,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1748,     0,  1749,     0,     0,
     810,     0,     0,  1528,     0,  3131,     0,  1750,     0,     0,
    2041,     0,  2167,  2168,  2169,  1751,  2170,  2171,  2172,  2173,
    2174,  2175,     0,  1304,  1752,     0,  3930,     0,     0,     0,
       0,  1165,     0,  1165,  1165,     0,     0,     0,     0,  2166,
       0,     0,     0,     0,     0,     0,  1023,     0,     0,     0,
       0,     0,     0,     0,  1023,  3644,  1023,     0, -2571,  1754,
       0,     0,     0,     0,     0,     0,     0,     0,   810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   983,
       0,     0,     0,     0,  3645,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   685,     0,     0,
       0,     0,     0,     0,   685,     0,     0,     0,     0,  2167,
    2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,
       0,     0,  1756,  3977,     0,     0,     0,     0,     0,     0,
       0,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,
       0,     0,     0,     0,     0,     0,  1741,     0,     0,     0,
       0,     0,  1742,     0,     0,     0,  4905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   685,     0,     0,  1773,     0,     0,
       0,     0,     0,     0,  3131,  3131,     0,     0,     0,     0,
       0,     0,  1743,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3603,  3604,     0,  3606,     0,     0,     0,     0,
       0,     0,     0,  3789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1774,     0,     0,     0,     0,     0,  1887,
       0,     0,     0,  1304,     0,  1304,  1889,     0,     0,  1062,
       0,  1744,     0,     0,     0,     0,     0,     0,  1745,     0,
       0,  1746,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2041,  1062,     0,     0,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,  1062,     0,   983,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1062,     0,     0,     0,     0,     0,  1304,     0,     0,     0,
    1775,     0,     0,  1747,     0,   703,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1165,     0,     0,  1165,     0,     0,   685,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3704,     0,
    1159,     0,     0,   685,     0,     0,  1776,     0,  1777,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1778,  1062,
    1749,   685,     0,     0,     0,     0,     0,  1165,     0,     0,
    1750,     0,     0,     0,     0,  1528,     0,     0,  1751,     0,
       0,     0,     0,     0,     0,  1528,  1779,  1752,  1887,     0,
       0,  1528,     0,  1528,     0,  1889,     0,     0,     0,  1528,
       0,     0,  1528,  1528,  1528,  1528,  1528,  1528,  1528,  1528,
    1528,  1528,     0,     0,     0,  1528,  1528,     0,  1780,     0,
       0,     0,  1754,  1781,     0,     0,     0,     0,  1528,     0,
       0,     0,  1528,     0,     0,     0,  1528,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1528,  1782,     0,  1528,
       0,  1528,     0,     0,     0,     0,     0,     0,  1783,     0,
    1528,  1528,  1528,     0,     0,     0,  1528,     0,     0,  1528,
    3828,     0,  3831,     0,     0,     0,  1062,  1062,  1062,  3520,
    4010,     0,     0,     0,  4010,  4023,     0,     0,     0,  1528,
    2150,     0,     0,  2151,     0,  4037,     0,  1528,     0,  1528,
       0,     0,     0,     0,     0,  1756,     0,     0,     0,     0,
    2152,     0,     0,  2150,     0,     0,  2151,     0,  2154,     0,
       0,     0,     0,     0,  2155,     0,     0,     0,     0,     0,
    2216,     0,     0,  2152,     0,  4797,     0,     0,     0,     0,
       0,  2154,     0,  1528,     0,     0,     0,  2155,  2156,  1528,
       0,     0,     0,  2968,     0,  1528,     0,     0,     0,     0,
       0,     0,     0,  3905,     0,     0,     0,     0,     0,     0,
       0,  2156,     0,     0,     0,     0,     0,     0,     0,     0,
    4085,  2041,  2041,  3915,  2540,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1165,  1165,
    1165,  1165,     0,     0,     0,     0,     0,   685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   810,     0,  4128,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,  2157,     0,
    1161,     0,  2158,     0,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,     0,     0,     0,
       0,  2157,     0,  2159,  2160,  2158,     0,     0,     0,     0,
       0,  1161,     0,     0,   685,     0,     0,   685,     0,  2161,
       0,     0,     0,     0,     0,     0,  2159,  2160,     0,     0,
       0,  4183,     0,     0,     0,     0,     0,     0,     0,  1887,
       0,     0,  2161,     0,  2162,     0,  2430,  2163,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1304,     0,     0,
    2164,     0,     0,  2165,     0,  1161,  1887,  2162,     0,     0,
    2163,     0,     0,  1889,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,  2164,     0,  3789,  2165,     0,     0,     0,
       0,     0,     0,  1062,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1165,     0,  1528,     0,     0,     0,
       0,     0,  1062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2438,     0,     0,  2150,     0,     0,
    2151,     0,     0,     0,  1062,  2166,     0,  1887,     0,     0,
       0,     0,     0,  3188,  1889,     0,     0,  2152,  4281,     0,
       0,     0,  2438,     0,     0,  2154,  1887,     0,  2166,     0,
       0,  2155,     0,  1889,  1528,  1528,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,  1889,     0,     0,  1161,  2156,     0,     0,     0,  3131,
    1023,  3131,     0,     0,  1023,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,   685,  1889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,  1528,  2167,  2168,  2169,     0,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,     0,     0,  4052,
       0,     0,     0,     0,     0,     0,     0,     0,  2167,  2168,
    2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,
    1887,  1528,  4079,     0,     0,     0,     0,  1889,     0,     0,
       0,  1528,  1528,     0,     0,     0,     0,     0,     0,  1528,
    1528,     0,     0,     0,  1528,  2157,     0,     0,     0,  2158,
    1528,  1528,     0,     0,  1528,     0,  1062,  1062,  1062,  1062,
       0,     0,     0,  4010,     0,     0,  4368,     0,     0,  3520,
    2159,  2160,     0,  3520,     0,     0,     0,     0,     0,  4381,
       0,     0,  1528,     0,     0,     0,  2161,  1528,     0,     0,
       0,     0,     0,  4391,     0,     0,     0,     0,     0,  1528,
       0,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,  2162,  4260,  4261,  2163,     0,  3580,     0,     0,     0,
    2968,     0,     0,     0,     0,     0,  2150,  2164,     0,  2151,
    2165,     0,  1161,     0,     0,   992,     0,     0,  1528,     0,
       0,     0,  1161,     0,     0,     0,  2152,     0,     0,     0,
       0,     0,     0,     0,  2154,     0,     0,     0,  3131,  3131,
    2155,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4444,     0,  2156,  4311,  4312,  4313,     0,     0,
       0,   685,     0,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,  2166,   685,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1887,     0,     0,     0,     0,     0,
       0,  1889,  1165,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1165,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2910,     0,     0,     0,
       0,     0,  1304,     0,  1161,     0,     0,     0,     0,     0,
    2041,     0,     0,     0,     0,     0,     0,     0,     0,  3789,
    3789,  3789,  3789,  3789,  2157,     0,     0,     0,  2158,     0,
       0,     0,  2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,
    2174,  2175,     0,  1528,     0,     0,  4328,     0,     0,  2159,
    2160,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,     0,  2161,     0,     0,     0,     0,
    1165,  2438,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2162,  1161,     0,  2163,     0,     0,     0,     0,  1062,     0,
    4549,     0,     0,     0,     0,     0,  2164,     0,     0,  2165,
       0,     0,     0,     0,     0,     0,   685,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,  1528,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,  1161,
       0,  1161,     0,     0,  1528,  1528,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,  4010,     0,     0,  1161,  3520,
       0,     0,     0,     0,  3520,     0,     0,  3520,  3188,     0,
    4593,  2166,  1528,  1528,     0,  4463,  4464,     0,  4466,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   685,
       0,   685,     0,     0,     0,  4085,  1196,  1165,  1165,  1165,
    1161,   810,     0,     0,  1887,     0,     0,     0,     0,  1887,
    1887,  3076,     0,     0,     0,  2150,  2430,  3083,  2151,     0,
       0,  1887,     0,     0,     0,     0, -2080,     0,  1889,  1161,
    1159,  1196,     0,  1161,  1161,  2152,     0,     0,     0,  2938,
       0,     0,     0,  2154,     0,     0,     0,     0,     0,  2155,
       0,  2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,
    2175,  2041,     0,     0,     0,  4362,     0,  1159,     0,     0,
       0,     0, -2080,  2156,     0,     0,  1062,     0,     0,     0,
       0,     0,     0,     0, -2080,     0,     0,  3131, -2080,  2438,
       0,     0,     0, -2080,     0,     0,     0,     0, -2080,     0,
       0, -2080,  4281, -2080,     0,     0,     0,  1062,     0,     0,
       0,  1890,     0,     0,     0,  1165,  4085,   810,  2939,     0,
       0,     0,     0,     0,  1023,     0,     0,     0,     0,     0,
   -2080,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1528,     0,     0,  1528,     0,  1528,     0,     0,     0,     0,
       0, -2080,  1887,     0,     0,     0,  1023,     0,     0,  1889,
       0,     0,  1528,     0,  1890,     0,  3520,     0,     0,  4593,
       0,     0,     0,  2157,     0,  4727,     0,  2158,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2080,     0,     0,
       0,  1890,     0,     0,     0, -2080,     0,  1165,  2159,  2160,
       0,  1062,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2161,     0,     0,     0,  1165,  1165,
    1165,  1165,  1887,     0,     0,     0,     0,     0,  1304,  2430,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2162,
   -2080,     0,  2163,  1023,     0,     0,     0,     0,  1528,     0,
       0,     0,     0,     0,     0,  2164,     0,     0,  2165,     0,
       0,    85,  1890,     0,     0,     0,     0,    89,     0,     0,
       0,    93,     0,    94,     0,    96,    97,     0,     0,     0,
       0,  1890,     0,     0,     0,   996,   106,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,   119,   120,     0,  1528,     0,     0, -2080,
       0,     0,  1165,     0,  1196,     0,     0,     0,     0,     0,
       0,  1887,   810,  1528,     0,     0,     0,  1890,  1889,     0,
    2166,     0, -2080,     0, -2080, -2080,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   128,
       0,     0,     0,     0,  1165,     0,     0,     0,  1159,   129,
       0,   130,   131,     0,     0,     0,     0, -2080,  4085,     0,
   -2080, -2080,     0, -2080,     0,     0,  1095,  4549,     0,  1161,
       0,  2940,     0,     0,  4716,  1890,  4727,     0,  1161,  1528,
    1528,     0,   685,     0,  4716,     0,   141,     0,   142,   143,
       0,     0,  1159,     0,   146,     0,   147,     0,     0,     0,
    1165,     0,     0,     0,     0,     0,   149,     0,   150,     0,
    2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,
       0,     0,   153,     0,   154,     0,     0,   157,  1528,     0,
       0,     0,     0,     0,     0,     0,     0,  4758,  1528,   158,
       0,   159,     0,  1165,     0,   160,     0,     0,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   163,     0,
     165,     0,     0,     0,     0,  1161,   167,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     171,  2910,  2910,  2910,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1528,     0,     0,     0,
       0,     0,  1161,  1161,     0,  1159,     0,     0,     0,     0,
    1161,     0,  4806,  1161,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,  1161,  1161,     0,     0,     0,
       0,     0,     0,  1161,   184,   185,  1161,  1161,  1161,  1161,
     186,     0,     0,     0,     0,     0,  1161,  1161,   187,  1161,
       0,  1161,  1161,     0,     0,  1161,     0,     0,     0,   192,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1890,
    1161,   810,     0,     0,     0,  1161,     0,     0,     0,  1161,
       0,     0,     0,  1161,     0,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,  1161,  1161,     0,  1161,   203,     0,     0,     0,
       0,  1161,     0,     0,  1161,     0,     0,   205,     0,     0,
       0,  1887,   206,     0,   207,     0,     0,     0,  1889,   208,
       0,     0,     0,     0,   209,     0,     0,   211,     0,     0,
       0,   213,     0,     0,     0,     0,   214,   215,     0,     0,
       0,     0,     0,     0,   216,     0,     0,   218,     0,     0,
       0,  1887,  1887,     0,  1887,   221,     0,     0,  2430,  3083,
       0,  3083,     0,     0,     0,     0,  1161,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,     0,   229,     0,     0,     0,
       0,     0,     0,     0,   231,     0,     0,     0,     0,     0,
     232,     0,     0,     0,     0,   233,  1887,     0,  1887,     0,
       0,     0,     0,  1889,     0,  1889,     0,   236,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   246,     0,     0,     0,  -132,     0,     0,     0,     0,
       0,  1887,   810,     0,     0,     0,     0,     0,  1889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,  1161,  1889,     0,     0,     0,     0,  1161,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     0,     0,  3083,
       0,     0,     0,     0,     0,  1887,     0,     0,     0,     0,
       0,     0,  3083,  1023,     0,     0,     0,     0,     0,  1890,
       0,     0,     0,     0,  1890,  1890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   810,     0,     0,   810,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,  1887,     0,
       0,     0,     0,     0,     0,  1889,     0,     0,     0,     0,
       0,     0,  1887,     0,     0,     0,     0,     5,     0,  3083,
       0,     0,     0,     0,     0,  1887,     0,     6,     7,     0,
       0,     0,  1889,     8,     0,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,    36,     0,    37,    38,    39,
      40,    41,    42,    43,    44,     0,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,  1021,     0,     0,     0,
       0,     0,     0,  1887,  1021,  1161,  1021,  1890,     0,  2150,
    1889, -2093,  2151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,  2152,
    1889,     0,     0,     0,     0,     0,    46,  2154,     0,     0,
       0,     0,     0,  2155,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,  1889,     0, -2093,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2156,     0, -2093,
       0,     0,     0, -2093,     0,     0,     0,  1890, -2093,     0,
       0,     0,     0, -2093,  1887,     0, -2093,     0, -2093,     0,
       0,  1889,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,     0,     0, -2093,     0,     0,     0,     0,
       0,     0,    48,     0,  2150,  1161,     0,  2151,     0,     0,
       0,  2910,     0,     0,     0,     0, -2093,     0,     0,     0,
       0,     0,    49,     0,  2152,     0,     0,     0,     0,     0,
       0,  2150,  2154,     0,  2151,     0,     0,     0,  2155,     0,
       0,     0,     0,     0,    50,     0,     0,  2157,     0,     0,
       0,  2158, -2093,     0,     0,     0,  1890,     0,     0,  2154,
   -2093,     0,  2156,     0,     0,  2155,     0,     0,     0,     0,
    1161,     0,  2159,  2160,     0,  1161,     0,     0,    51,     0,
       0,    52,     0,     0,     0,     0,     0,     0,  2161,  2156,
       0,  1161,  1161,     0,     0,     0,    53,  1161,     0,     0,
       0,     0,     0,     0,     0, -2093,     0,     0,     0,     0,
       0,     0,     0,  2162,     0,     0,  2163,     0,     0,     0,
       0,     0,  1161,  1161,     0,     0,     0,  1161,     0,  2164,
       0,     0,  2165,     0,     0,     0,     0,     0,     0,  1161,
    1161,  1161,  1161,     0,     0,     0,     0,   810,     0,     0,
     996,  4360,  1161,   810,     0,  1161,  1887,  1161,     0,     0,
       0,     0,  2157,  3083,     0,     0,  2158,  1161,  1161,    54,
       0,  1161,     0,     0, -2093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1161,     0,  1161,  2159,  2160, -2571,
    1161,     0,     0,  2158,     0,     0,     0, -2093,     0, -2093,
   -2093,     0,     0,  2161,  2166,     0,  1161,     0,     0,     0,
       0,    55,     0,     0,  2159,  2160,     0,  1161,     0,  1161,
    1161,  1161,     0,     0,     0,    56,     0,     0,  2162,     0,
   -2571,  2163, -2093,     0,     0, -2093, -2093,     0, -2093,     0,
      57,     0,     0,  1161,  2164,     0,     0,  2165,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,  2163,     0,
    1161,     0,     0,     0,     0,     0,    58,  1161,     0,     0,
       0,  2164,    59,  1161,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,    67,    68,     0,    69,    70,
      71,    72,    73,     0,  2167,  2168,  2169,     0,  2170,  2171,
    2172,  2173,  2174,  2175,     0,     0,  1887,     0,  4571,     0,
       0,     0,     0,  1889,     0,     0,     0,     0,     0,  2166,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,     0,  1887,     0,
       0,     0,     0,     0,     0,  2430, -2571,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1890,  1890,     0,  1890,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2167,
    2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,
       0,     0,     0,  4613,     0,     0,     0,     0,   810,   810,
     810,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2170,  2171,  2172,  2173,  2174,  2175,     0,     0,     0,  1887,
       0,  1890,  2150,  1890,     0,  2151,  1889,     0,     0,     0,
    1887,     0,     0,     0,     0,     0,     0,  1889,     0,     0,
       0,     0,  2152,     0,     0,     0,     0,     0,     0,     0,
    2154,     0,     0,     0,     0,     0,  2155,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,  2910,     0,  1890,     0,     0,  2910,
    2156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2910,     0,     0,     0,     0,     0,     0,     0,     0,
    1890,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   810,     0,     0,     0,     0,  1890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   810,
    1890,  1887,     0,     0,     0,     0,     0,     0,  1889,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,     0,     0,     0,     0,  1887,
       0,     0,     0,     0,     0,     0,  1889,     0,     0,     0,
    2157,  1887,     0,     0,  2158,     0,     0,     0,  1889,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1890,     0,  2159,  2160,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1890,     0,     0,
       0,  2161,     0,     0,     0,  1887,     0,     0,     0,     0,
    1890,     0,  1889,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1741,     0,  2162,     0,     0,  2163,
    1742,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1161,     0,  2164,     0,     0,  2165,     0,     0,     0,     0,
       0,     0,     0,     0,  1157,  1773,     0,     0,     0,     0,
    1021,     0,     0,     0,  1021,     0,     0,     0,     0,     0,
    1743,     0,     0,     0,     0,  1161,     0,     0,  1890,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,  1157,
       0,  1161,     0,  1161,     0,     0,     0,     0,  1890,  1161,
       0,  1774,  1161,  1161,  1161,  1161,  1161,  1161,  1161,  1161,
    1161,  1161,     0,     0,     0,  1161,  1161,  2166,     0,  1744,
       0,     0,     0,  1890,     0,     0,  1745,  4543,  1161,  1746,
       0,     0,  1161,     0,   810,     0,  1161,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,     0,  1161,
       0,  1161,     0,     0,     0,     0,     0,  1887,     0,  1890,
    1161,  1161,  1161,     0,  1889,     0,  1161,     0,     0,  1161,
    2150,     0,     0,  2151,     0,     0,     0,     0,  1775,  1161,
       0,  1747,     0,     0,     0,     0,     0,     0,     0,  1161,
    2152,     0,     0,     0,     0,     0,     0,  1161,  2154,  1161,
       0,     0,     0,     0,  2155,     0,     0,  2167,  2168,  2169,
       0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,     0,
       0,  4658,     0,     0,  1776,     0,  1777,     0,  2156,     0,
       0,     0,     0,     0,     0,     0,  1778,     0,  1749,     0,
       0,     0,  1157,  1161,     0,     0,     0,     0,  1750,  1161,
       0,     0,  1157,     0,     0,  1161,  1751,     0,     0,     0,
       0,     0,     0,     0,  1779,  1752,     0,     0,     0,     0,
       0,  1887,     0,     0,  1888,     0,     0,     0,  3083,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3151,     0,     0,     0,
    1754,  1781,     0,     0,     0,     0,     0,  1157,     0,     0,
       0,     0,     0,  2150,     0,     0,  2151,     0,     0,     0,
       0,     0,     0,     0,     0,  3152,     0,     0,  2157,     0,
       0,     0,  2158,  2152,     0,     0,  1783,     0,     0,     0,
       0,  2154,     0,     0,     0,     0,   810,  2155,     0,     0,
     810,  1890,   810,  2159,  2160,     0,     0,     0,     0,     0,
       0,     0,     0,  1887,     0,     0,     0,     0,     0,  2161,
    3083,  2156,     0,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,  1756,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,  1889,  2162,     0,     0,  2163,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2164,     0,     0,  2165,     0,     0,  1887,     0,     0,     0,
       0,     0,     0,  1889,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2150,     0,  1887,  2151,     0,     0,  1887,
    1887,  1157,  1889,     0,     0,     0,  1889,  1889,     0,     0,
       0,  2157,     0,  2152,     0,  2158,  1161,     0,     0,     0,
       0,  2154,     0,     0,     0,  2166,     0,  2155,     0,     0,
    1157,     0,     0,     0,     0,     0,  2159,  2160,     0,     0,
       0,  1890,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2156,  2161,     0,     0,     0,     0,     0,  1157,  1157,
       0,  1157,     0,     0,     0,     0,     0,     0,  4543,  2150,
       0,     0,  2151,  1890,  1161,  1161,     0,  2162,  1157,     0,
    2163,     0,     0,     0,     0,     0,     0,     0,     0,  2152,
       0,     0,     0,  2164,     0,     0,  2165,  2154,     0,     0,
       0,     0,     0,  2155,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2167,  2168,  2169,     0,  2170,
    2171,  2172,  2173,  2174,  2175,     0,     0,  2156,     0,  4844,
    1157,     0,     0,     0,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2150,     0,     0,  2151,     0,
       0,  2157,     0,     0,     0,  2158,     0,     0,     0,  1157,
       0,     0,     0,  1157,  1157,  2152,     0,     0,  2166,     0,
       0,  1161,     0,  2154,     0,     0,  2159,  2160,     0,  2155,
       0,  1161,  1161,     0,  1890,     0,     0,     0,     0,  1161,
    1161,     0,  2161,     0,  1161,  1890,     0,     0,     0,     0,
    1161,  1161,     0,  2156,  1161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2162,     0,  1161,
    2163,     0,     0,  1161,     0,     0,     0,  2157,     0,     0,
       0,  2158,  1161,  2164,     0,     0,  2165,  1161,     0,     0,
       0,  1888,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  2159,  2160,  1021,  3969,     0,     0,  2167,  2168,
    2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,  2161,     0,
       0,     0,  4929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3447,     0,     0,     0,  1021,  3448,  1161,     0,
       0,     0,     0,  2162,  1888,     0,  2163,     0,     0,     0,
       0,     0,     0,  2157,     0,     0,  1890,  2158,  2166,  2164,
       0,     0,  2165,     0,     0,     0,     0,     0,     0,     0,
       0,  1888,  3970,     0,     0,   810,     0,     0,  2159,  2160,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2161,     0,  1890,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2162,
       0,     0,  2163,  1021,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2166,  2164,     0,     0,  2165,     0,
    1890,     0,  1888,     0,     0,     0,     0,     0,  2167,  2168,
    2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,     0,
     810,  1888,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1161,     0,     0,     0,  1888,     0,     0,
    2166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2167,  2168,  2169,     0,  2170,  2171,
    2172,  2173,  2174,  2175,     0,     0,  4047,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1890,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,  1888,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,  1890,     0,     0,     0,     0,  1161,     0,     0,
    2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,
       0,     0,     0,     0,  1161,  1161,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,     0,     0,  1161,     0,     0,  1161,     0,     0,
       0,     0,  1161,  1161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2150,     0,  1157,  2151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2152,     0,  1161,     0,     0,     0,     0,
       0,  2154,     0,     0,     0,     0,     0,  2155,     0,     0,
       0,     0,  1157,  1157,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,  1157,     0,     0,  1890,  1157,     0,     0,
    1161,  2156,     0,     0,     0,  1157,  1157,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,  1157,  1157,  1157,  1157,
       0,     0,     0,     0,     0,     0,  1157,  1157,     0,  1157,
       0,  1157,  1157,     0,     0,  1157,     0,  1161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1888,
    1157,     0,     0,     0,     0,  1157,     0,     0,     0,  1157,
       0,     0,     0,  1157,     0,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,  1157,  1157,     0,  1157,     0,     0,     0,  4903,
       0,  1157,     0,     0,  1157,     0,  1161,     0,  1890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2157,     0,     0,     0,  2158,     0,     0,     0,     0,
    1161,  1890,     0,  1161,     0,  1161,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2159,  2160,     0,     0,
       0,     0,  1161,     0,  2150,     0,  1161,  2151,     0,     0,
       0,  1890,  2161,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,  2152,     0,     0,  3410,     0,     0,
       0,     0,  2154,     0,     0,     0,     0,  2162,  2155,     0,
    2163,     0,     0,     0,     0,     0,     0,   810,     0,     0,
    1890,     0,     0,  2164,  1890,  1890,  2165,     0,     0,     0,
       0,     0,  2156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
    2150,     0,     0,  2151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2152,     0,     0,     0,     0,     0,  1890,     0,  2154,     0,
       0,     0,     0,     0,  2155,     0,     0,     0,  2166,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,  1879,     0,  1161,  1157,  2156,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,  2157,  1161,     0,     0,  2158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1021,     0,     0,     0,  2159,  2160,  1888,
       0,     0,     0,     0,  1888,  1888,     0,     0,  1161,     0,
       0,     0,     0,  2161,     0,     0,  1888,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2167,  2168,
    2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,  2162,  1161,
    1161,  2163,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,  2164,     0,     0,  2165,  2157,     0,
       0,     0,  2158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2150,     0,     0,
    2151,     0,     0,  2159,  2160,     0,     0,     0,  1161,     0,
       0,     0,     0,     0,     0,     0,     0,  2152,  1161,  2161,
    3455,     0,     0,     0,     0,  2154,     0,     0,     0,     0,
       0,  2155,     0,  1879,   810,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2162,     0,     0,  2163,     0,  2166,
       0,     0,     0,     0,     0,  2156,     0,     0,     0,     0,
    2164,     0,     0,  2165,     0,  1157,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,  3425,     0,     0,
       0,   810,     0,     0,     0,  1161,     0,     0,     0,   810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2166,     0,  1888,     0,  2167,
    2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,     0,
       0,     0,     0,     0,     0,  2157,     0,     0,     0,  2158,
       0,  1164,  1166,     0,     0,  1169,  1170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2159,  2160,  1207,     0,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2161,     0,     0,     0,
       0,     0,  1257,     0,     0,     0,  1260,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   707,     0,
       0,  2162,  1281,     0,  2163,  2167,  2168,  2169,   707,  2170,
    2171,  2172,  2173,  2174,  2175,     0,  1888,  2164,     0,     0,
    2165,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,     0,     0,     0,     0,  1157,     0,     0,  2150,     0,
       0,  2151,     0,     0,   707,     0,     0,     0,     0,     0,
       0,  1157,  1157,     0,     0,     0,   904,  1157,  2152,   707,
       0,  3466,     0,     0,     0,   904,  2154,     0,     0,   707,
       0,     0,  2155,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,  1157,  1157,     0,     0,     0,  1157,     0,   707,
       0,  2150,  2166,     0,  2151,     0,  2156,     0,     0,  1157,
    1157,  1157,  1157,     0,     0,   904,     0,     0,     0,     0,
       0,  2152,  1157,     0,     0,  1157,     0,  1157,     0,  2154,
       0,     0,     0,     0,     0,  2155,     0,  1157,  1157,     0,
       0,  1157,     0,     0,  1879,     0,     0,     0,  1076,     0,
       0,     0,     0,     0,  1157,     0,  1157,     0,     0,  2156,
    1157,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,  2150,  1157,     0,  2151,     0,
       0,     0,     0,     0,     0,     0,     0,  1157,     0,  1157,
    1157,  1157,  2167,  2168,  2169,  2152,  2170,  2171,  2172,  2173,
    2174,  2175,     0,  2154,     0,     0,  2157,     0,     0,  2155,
    2158,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
    1157,  2159,  2160,  2156,     0,     0,     0,  1157,     0,     0,
       0,     0,  1879,  1157,     0,     0,     0,  2161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2157,
       0,  1879,     0,  2158,     0,     0,     0,     0,     0,     0,
       0,     0,  2162,     0,     0,  2163,     0,     0,     0,  1879,
       0,     0,     0,     0,  2159,  2160,     0,     0,  2164,     0,
       0,  2165,     0,     0,     0,     0,     0,     0,     0,     0,
    2161,     0,     0,  1157,     0,     0,     0,  1879,  1761,  1762,
       0,     0,     0,     0,     0,     0,     0,  3460,     0,     0,
       0,     0,     0,  1125,     0,  2162,  1888,     0,  2163,     0,
       0,     0,     0,  2157,     0,     0,     0,  2158,     0,     0,
       0,  2164,     0,     0,  2165,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2159,  2160,
       0,     0,     0,  2166,     0,  1879,  1888,  1888,     0,  1888,
       0,     0,     0,     0,  2161,     0,  1847,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1906,  1907,     0,  2162,
       0,     0,  2163,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1934,     0,  2164,  2166,     0,  2165,     0,
       0,  1888,     0,  1888,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3926,     0,     0,     0,     0,     0,  1967,  1969,
       0,     0,     0,  2167,  2168,  2169,     0,  2170,  2171,  2172,
    2173,  2174,  2175,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2166,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,  2167,  2168,  2169,     0,
    2170,  2171,  2172,  2173,  2174,  2175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2167,  2168,  2169,     0,  2170,  2171,  2172,  2173,  2174,  2175,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1888,     0,     0,   904,   904,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,  1125,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2150,     0,
    1157,  2151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2152,     0,
       0,  3976,     0,     0,     0,     0,  2154,     0,     0,     0,
       0,     0,  2155,     0,     0,  1157,     0,     0,  1888,     0,
       0,     0,     0,     0,     0,  1157,     0,     0,     0,     0,
       0,  1157,     0,  1157,     0,     0,  2156,     0,  1888,  1157,
       0,     0,  1157,  1157,  1157,  1157,  1157,  1157,  1157,  1157,
    1157,  1157,     0,     0,     0,  1157,  1157,     0,     0,     0,
       0,     0,  1171,  1888,     0,     0,     0,     0,  1157,     0,
       0,  1198,  1157,  1201,     0,  1204,  1157,  1206,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,  1157,
       0,  1157,     0,     0,     0,     0,  1255,     0,     0,  1888,
    1157,  1157,  1157,  1262,     0,     0,  1157,     0,     0,  1157,
       0,     0,  1277,  1278,     0,     0,     0,  1280,  2150,  1157,
       0,  2151,     0,     0,     0,     0,     0,     0,     0,  1157,
       0,     0,     0,  1125,     0,   904,  2157,  1157,  2152,  1157,
    2158,     0,     0,     0,     0,     0,  2154,     0,     0,  1879,
    1309,     0,  2155,     0,  1879,  1879,     0,     0,     0,     0,
       0,  2159,  2160,     0,  1330,     0,  1879,  1332,     0,  1334,
       0,  1337,     0,     0,     0,     0,  2156,  2161,     0,     0,
       0,     0,     0,  1157,   707,   904,     0,     0,     0,  1157,
       0,     0,     0,     0,     0,  1157,  2453,     0,     0,   707,
       0,   707,  2162,     0,     0,  2163,     0,     0,     0,     0,
       0,   707,     0,     0,     0,     0,     0,     0,  2164,     0,
    1157,  2165,     0,     0,     0,     0,     0,     0,     0,     0,
     707,   707,     0,     0,     0,     0,     0,  1418,     0,  1419,
       0,  2150,     0,     0,  2151,     0,  2509,  2510,  2511,  2512,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2152,     0,     0,     0,     0,     0,     0,     0,  2154,
    1125,     0,     0,     0,     0,  2155,  2157,     0,     0,     0,
    2158,     0,     0,     0,     0,     0,  2548,  2549,     0,     0,
       0,  1888,  2558,  2166,     0,     0,     0,  1879,     0,  2156,
       0,  2159,  2160,     0,     0,  1076,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2579,
       0,     0,  2162,     0,     0,  2163,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2164,     0,
       0,  2165,     0,  2612,  2613,  2614,  2615,  1879,     0,     0,
       0,     0,     0,     0,     0,     0,  1676,     0,  1678,     0,
       0,     0,  1680,  2167,  2168,  2169,     0,  2170,  2171,  2172,
    2173,  2174,  2175,     0,     0,     0,     0,     0,     0,  2157,
       0,     0,     0,  2158,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,  2671,     0,     0,  2159,  2160,     0,     0,     0,     0,
    2675,     0,     0,  2166,     0,     0,     0,  2682,     0,     0,
    2161,  1888,     0,     0,  1822,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1835,     0,     0,     0,     0,  2162,  1879,     0,  2163,     0,
       0,  1843,     0,  1888,  1157,  1157,     0,     0,  1845,     0,
       0,  2164,     0,     0,     0,     0,     0,     0,     0,     0,
    1896,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1938,  2167,  2168,  2169,     0,  2170,  2171,  2172,
    2173,  2174,  2175,     0,  1157,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2166,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1157,  1157,     0,  1888,     0,     0,     0,     0,  1157,
    1157,     0,     0,     0,  1157,  1888,     0,     0,     0,     0,
    1157,  1157,  2851,   707,  1157,   707,     0,     0,   707,     0,
     707,     0,     0,   707,   707,   707,     0,     0,     0,  1157,
       0,     0,     0,  1157,     0,     0,   707,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,  1157,     0,   707,
       0,   707,     0,     0,     0,     0,  2167,  2168,  2169,  1157,
    2170,  2171,  2172,  2173,  2174,  2175,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1888,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1879,   863,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   864,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     865,     0,     0,     0,     0,     0,  1879,  1879,     0,  1879,
       0,     0,     0,   866,     0,     0,     0,     0,     0,     0,
       0,     0,   867,  1076,     0,     0,  -708,  3039,  3040,  3041,
       0,     0,     0,     0,  3049,     0,  3051,     0,  3053,  3054,
       0,     0,     0,   868,     0,     0,     0,     0,     0,   869,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,  1879,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2316,     0,   871,  2316,     0,     0,     0,     0,     0,     0,
       0,  2323,     0,   872,     0,     0,     0,     0,     0,     0,
     873,     0,     0,     0,   874,  1888,     0,     0,     0,  2332,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,  -904,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3156,     0,     0,     0,  1157,     0,
    1879,     0,  1888,     0,     0,     0,  2395,  1157,     0,     0,
       0,     0,     0,   690,     0,     0,     0,   875,   704,     0,
     704,     0,     0,     0,  1157,  1157,     0,  1879,  1157,     0,
     704,     0,     0,     0,     0,     0,     0,     0,     0,  1157,
    1879,     0,     0,     0,  1157,     0,     0,  1157,     0,     0,
    3213,     0,  1157,  1157,   876,     0,   704,   877,  3222,  3223,
    3224,  3225,  3226,  3227,     0,     0,   704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   704,   704,     0,
       0,   704,     0,     0,     0,  1157,     0,   704,     0,     0,
       0,   984,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1879,     0,     0,     0,   878,     0,     0,
       0,   984,     0,   879,     0,     0,  1888,  1879,     0,  -386,
    1157,     0,   880,     0,     0,     0,     0,   704,     0,     0,
    1879,     0,     0,     0,     0,     0,     0,     0,  3307,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  -386,     0,
     881,   882,     0,   883,   884,     0,     0,  1157,     0,     0,
       0,     0,   885,     0,     0,     0,     0,   886,  3347,     0,
    3349,     0,     0,   887,     0,     0,   888,     0,     0,   889,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -386,     0,  2588,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,     0,  1157,  2610,  1888,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1157,  1888,     0,  1157,     0,  1157,     0,     0,     0,     0,
       0,     0,     0,  1879,     0,     0,     0,     0,     0,     0,
       0,  2655,  1157,     0,     0,  2659,  1157,     0,     0,     0,
       0,  1888,     0,     0,     0,     0,  2670,     0,  2672,     0,
    2673,     0,     0,  3400,     0,  2674,     0,     0,     0,  1879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1888,     0,     0,     0,  1888,  1888,     0,     0,   707,     0,
     707,     0,     0,     0,   707,     0,   707,     0,     0,   707,
       0,     0,     0,   707,  2702,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   704,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1888,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1157,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1157,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,     0,  1157,
    1157,  2911,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1157,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     4,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1157,     0,
       0,     0,     0,     0,     0,     0,     0,     5,     0,  3626,
       0,  3627,  3628,     0,     0,     0,     0,     6,     7,     0,
       0,     0,     0,     0,     0,     9,    10,   704,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,  1157,    37,    38,    39,
      40,    41,    42,    43,    44,  1157,     0,     0,    45,     0,
       0,     0,     0,     0,     0,     0,  1125,     0,   704,   704,
       0,  1879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2998,  2999,   704,     0,     0,  3002,  3003,
       0,     0,  3006,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3016,  1879,     0,     0,    46,     0,     0,  3025,
       0,     0,     0,  3028,  3029,     0,     0,  3032,  3033,  3034,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3048,
       0,  3050,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3072,     0,     0,
       0,     0,  3074,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    47,     0,     0,     0,
       0,     0,     0,  3092,  3093,  3096,  3098,     0,     0,     0,
    3105,  3108,    48,     0,     0,     0,     0,     0,  3119,     0,
       0,  3123,     0,     0,     0,  3127,     0,     0,     0,     0,
       0,     0,    49,     0,  1879,     0,     0,     0,     0,     0,
    3150,     0,     0,     0,     0,  1879,     0,     0,     0,     0,
       0,  3157,     0,  3159,    50,     0,     0,     0,  3162,     0,
       0,     0,     0,  3166,  3167,  3168,  3169,     0,  3171,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3194,  3195,  3196,     0,     0,     0,     0,    51,     0,
       0,    52,  3204,  3205,  1297,   704,     0,   704,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3896,     0,
       0,  3897,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   704,     0,     0,   704,   704,  3264,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,   690,
       0,   984,     0,   984,     0,     0,     0,     0,     0,   690,
       0,     0,     0,   704,     0,  3922,     0,     0,     0,    54,
       0,     0,     0,     0,  1879,     0,     0,     0,     0,     0,
       0,     0,   984,   984,     0,     0,  1879,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   704,     0,   704,    56,     0,     0,     0,     0,
    1879,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1125,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1345,     0,  1162,     0,     0,
      71,  1346,     0,     0,     0,  1162,  3389,     0,     0,     0,
       0,   690,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   690,   690,     0,     0,  1658,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   690,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,  1879,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,  4102,  4103,  4104,  4105,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1879,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3600,  3601,     0,
     690,     0,     0,     0,     0,   704,     0,   704,     0,     0,
     704,     0,   704,     0,     0,   704,   704,   704,     0,     0,
       0,  2036,  4246,     0,     0,     0,     0,     0,   704,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1879,     0,
       0,   704,     0,   704,     0,     0,     0,     0,   704,     0,
       0,     0,     0,     0,     0,     0,     0,  3634,  3636,     0,
       0,  1879,  3636,     0,     0,     0,     0,  3647,  3648,  3649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1879,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3670,  3671,  3672,  3673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1516,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1879,     0,     0,     0,  1879,  1879,     0,  1162,     0,  3698,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
       0,     0,     0,  1587,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2191,     0,     0,     0,  1891,
       0,     0,     0,     0,   704,   704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   690,     0,     0,     0,     0,   690,   690,     0,     0,
       0,  3736,  1162,     0,     0,     0,     0,     0,     0,  3740,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3821,  1162,
       0,     0,     0,     0,     0,     0,     0,   704,  3827,   690,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2320,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3846,     0,  3848,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   904,     0,     0,  3888,     0,     0,     0,     0,
       0,     0,   690,     0,     0,     0,  1162,     0,     0,  3898,
     690,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4465,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,  4468,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   690,     0,     0,
     690,   690,     0,  1162,  1162,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1179,     0,     0,     0,     0,
       0,  1200,     0,     0,     0,     0,     0,     0,     0,  1211,
       0,     0,     0,   690,     0,     0,     0,  1221,     0,     0,
       0,     0,  1252,     0,     0,  1162,     0,     0,  4518,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,  1162,  1162,
       0,     0,     0,     0,     0,  2090,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2114,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2139,  2140,     0,  2142,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,  2181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4096,     0,  4097,     0,     0,     0,  4099,     0,     0,
    1420,     0,     0,     0,     0,  4618,  4620,  4620,     0,     0,
       0,     0,  4108,     0,     0,     0,     0,     0,     0,  1891,
     704,     0,   704,     0,  2235,     0,   704,     0,   704,  4116,
       0,   704,  1546,     0,     0,   704,     0,     0,  4127,     0,
    2191,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
    1570,     0,     0,  2257,     0,     0,     0,  2267,  2270,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1596,     0,     0,     0,     0,     0,  4155,  4156,
    4157,  4158,  4159,  4160,  4161,     0,     0,     0,     0,  4168,
    4169,     0,  4171,  4172,  4173,  4174,  4175,  4176,  4177,     0,
       0,     0,     0,     0,     0,     0,     0,  4184,     0,  4186,
    4187,     0,     0,     0,     0,     0,     0,  1891,     0,     0,
       0,     0,     0,  4693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1891,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4240,  4242,  4244,     0,     0,  4247,
       0,     0,  1891,     0,     0,     0,  2036,     0,     0,     0,
       0,     0,     0,  2912,     0,     0,     0,     0,     0,     0,
       0,     0,  2320,     0,     0,  4737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4755,     0,  4757,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
    1891,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3636,  1904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   690,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,  1932,  1933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   690,     0,     0,     0,   690,     0,     0,
    4620,     0,     0,  2982,     0,  1658,     0,     0,   704,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4842,     0,     0,     0,     0,  1162,  1162,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,  1162,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
    1162,  1162,  1546,     0,     0,     0,     0,     0,  1162,     0,
       0,  1162,  1162,  1162,  1162,     0,     0,     0,     0,     0,
       0,  1162,  1162,     0,  1162,     0,  1162,  1162,  4877,  1546,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1891,  1162,     0,     0,     0,     0,
    1162,     0,     0,     0,  1162,     0,     0,     0,  1162,     0,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,     0,
    1162,  4910,     0,     0,     0,     0,  1162,     0,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4434,  4435,  4436,  4437,     0,   690,     0,     0,     0,
       0,     0,     0,     0,   690,     0,   690,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4450,  4451,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4460,  4461,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2777,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2234,     0,     0,     0,     0,     0,     0,  2800,     0,     0,
    2802,     0,     0,  2813,     0,     0,     0,     0,     0,     0,
    2820,  2825,     0,     0,     0,     0,  2831,     0,     0,  2836,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2845,     0,     0,  2283,     0,  2852,
       0,     0,     0,  2864,     0,     0,     0,  2871,     0,  2873,
    2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,     0,  2882,
       0,     0,     0,     0,     0,  1516,     0,  4512,  2907,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
    4534,     0,  1162,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4553,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,  1891,     0,     0,   704,  2036,  1891,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1891,     0,     0,   690,     0,     0,     0,     0,     0,
       0,  2433,     0,     0,     0,     0,     0,     0,  2450,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2479,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   707,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2513,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2529,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2541,     0,  3030,     0,     0,     0,     0,
       0,     0,     0,     0,  4639,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4663,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3636,     0,
    2320,     0,  1891,     0,     0,   690,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2690,     0,     0,     0,  4743,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3240,
       0,  1891,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,  1162,     0,     0,     0,     0,
    1162,     0,  1546,  1546,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,  1162,  1162,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,  1162,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,  1162,  1162,  1162,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,     0,     0,
    1162,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,  1162,     0,     0,  1162,     0,     0,  3361,
       0,     0,     0,     0,     0,     0,  4841,     0,     0,  1162,
       0,  1162,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,  2897,     0,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,  1162,  1162,  1162,     0,     0,     0,
    1881,     0,     0,     0,     0,     0,     0,     0,  2917,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,  1882,     0,     0,     0,     0,     0,     0,     0,     0,
    1162,     0,     0,     0,     0,  1162,  3406,     0,     0,     0,
       0,  3412,  1162,     0,     0,  2930,     0,  2933,  1162,     0,
       0,     0,     0,   690,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   690,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2825,     0,  2825,  2825,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3469,     0,     0,  3472,
       0,  3474,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3495,     0,
    3497,  1891,     0,     0,  3500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   704,     0,     0,     0,     0,     0,
       0,     0,     0,  2907,  2907,  2907,     0,     0,     0,     0,
       0,  1891,  1891,     0,  1891,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3557,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2257,
       0,     0,     0,     0,  3568,     0,     0,     0,     0,     0,
       0,  2270,   690,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2177,     0,     0,     0,     0,     0,     0,
       0,     0,  3109,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,  3609,     0,     0,
       0,  1891,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,     0,     0,
       0,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,  1881,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,  1891,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3285,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2982,     0,  1891,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,  1891,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,  1881,     0,
    1882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,  1882,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1882,     0,     0,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   690,     0,     0,
    1162,     0,     0,  1891,     0,  1882,     0,     0,     0,     0,
    1162,     0,     0,   690,     0,     0,  1162,     0,  1162,     0,
       0,     0,     0,  1891,  1162,     0,     0,  1162,  1162,  1162,
    1162,  1162,  1162,  1162,  1162,  1162,  1162,     0,     0,     0,
    1162,  1162,  1881,     0,     0,     0,     0,     0,  1891,     0,
       0,     0,     0,  1162,     0,     0,     0,  1162,     0,     0,
       0,  1162,     0,  1882,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,   690,  1162,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,  1891,  1162,  1162,  1162,     0,     0,
       0,  1162,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,  1162,     0,  1162,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,  3927,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,  3931,
    1162,     0,     0,     0,     0,  3932,     0,  3933,     0,     0,
       0,     0,     0,  3507,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1162,     0,     0,     0,  3951,
    3952,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   690,     0,     0,     0,     0,  2177,     0,     0,     0,
    2831,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
    3980,     0,     0,  3983,     0,  3985,     0,  1546,     0,     0,
       0,     0,     0,     0,  3989,     0,     0,  1882,     0,     0,
    3994,     0,     0,  3997,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,  4026,     0,     0,     0,     0,     0,     0,
       0,  4038,     0,  2907,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4055,     0,     0,
       0,  2177,     0,  1516,     0,     0,  2809,     0,     0,  1587,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2320,
       0,     0,     0,     0,     0,     0,  2177,  2177,     0,  2177,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   690,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,     0,     0,  2177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1891,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   690,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1891,  1162,
    1162,     0,  2177,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1885,     0,     0,
       0,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2177,     0,     0,  2177,     0,     0,
       0,     0,     0,     0,     0,     0,  1881,     0,     0,     0,
       0,  1881,  1881,     0,     0,     0,     0,     0,     0,  1162,
       0,     0,     0,  1881,     0,     0,     0,  1882,     0,     0,
       0,     0,  1882,  1882,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,   690,  1882,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1162,  1162,     0,  1891,
       0,     0,  3824,     0,  1162,  1162,     0,     0,     0,  1162,
    1891,     0,     0,     0,     0,  1162,  1162,  1884,     0,  1162,
       0,     0,     0,     0,     0,     0,     0,  3839,     0,     0,
       0,     0,     0,     0,  1162,  3847,     0,     0,  1162,  3852,
       0,     0,     0,     0,  1884,     0,     0,  1162,     0,     0,
       0,     0,  1162,  3863,     0,     0,     0,     0,  4294,  4295,
       0,     0,     0,     0,  1162,     0,  1885,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1881,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1884,     0,     0,  4326,     0,
       0,  1891,  1546,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   704,     0,     0,  1891,
       0,     0,  1884,     0,  1881,     0,     0,     0,     0,     0,
       0,  1891,     0,     0,     0,  4344,  4346,     0,     0,     0,
       0,     0,     0,     0,     0,  1882,     0,     0,  4353,     0,
    1884,     0,     0,     0,  4358,  4359,     0,     0,  4361,     0,
       0,     0,   690,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1891,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2907,     0,     0,     0,
       0,  2907,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2907,     0,     0,     0,     0,  1884,  4002,
    4003,  4004,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1162,     0,
       0,     0,  4415,     0,  1882,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,  1891,     0,     0,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1162,
    1162,     0,     0,  1162,     0,     0,     0,  1885,     0,     0,
       0,     0,     0,     0,  1162,     0,     0,     0,     0,  1162,
       0,     0,  1162,     0,     0,     0,     0,  1162,  1162,     0,
       0,     0,     0,     0,  1885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,  2177,     0,     0,  4501,     0,     0,
    1162,     0,     0,     0,     0,     0,     0,     0,     0,   690,
       0,     0,     0,     0,     0,     0,     0,  2177,     0,  2177,
       0,  2809,  2809,  3443,     0,     0,  2809,     0,     0,     0,
    2177,  1891,  1886,     0,     0,  1162,     0,  2177,     0,     0,
       0,     0,  2177,     0,     0,  1885,     0,     0,  2177,     0,
       0,     0,     0,  2177,     0,     0,     0,     0,     0,     0,
       0,     0,  2177,     0,  1885,     0,  2809,  2809,     0,  2177,
       0,     0,  1162,     0,     0,     0,     0,     0,     0,     0,
       0,  2177,  1885,     0,     0,     0,  4228,     0,  2177,     0,
    2177,  2177,  2177,  2177,  2177,  2177,  2177,  2177,  2177,  2177,
       0,     0,     0,     0,     0,  4254,     0,     0,     0,     0,
    1885,     0,  4579,  1881,     0,     0,     0,     0,     0,     0,
       0,  1162,     0,  1891,  2177,     0,     0,  4264,     0,     0,
       0,     0,     0,     0,  1882,     0,     0,  4596,     0,     0,
       0,     0,     0,     0,     0,  1162,  1891,     0,  1162,     0,
    1162,     0,     0,  1881,  1881,     0,  1881,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1162,  1885,     0,
       0,  1162,     0,     0,  1882,  1882,  1891,  1882,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
    1881,     0,     0,     0,     0,  1891,     0,     0,     0,  1891,
    1891,     0,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,  1882,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2177,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,  1881,     0,     0,     0,  1884,  1884,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
       0,  1891,     0,     0,  1882,     0,     0,  1881,     0,  4363,
    4364,  4365,  4366,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,  1162,     0,     0,  1881,     0,     0,  2831,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1881,  1162,     0,
       0,     0,     0,     0,     0,  1882,  4718,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,     0,  1885,  1162,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1881,     0,     0,     0,  1162,  1162,     0,     0,     0,     0,
       0,     0,     0,     0,  1881,     0,     0,  1162,     0,     0,
    1884,  1882,     0,     0,     0,     0,     0,  1881,     0,     0,
       0,     0,  4779,     0,     0,  1882,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,  1162,     0,     0,     0,     0,     0,     0,
       0,  1886,     0,  1162,     0,     0,     0,  2177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,     0,     0,  1881,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,  4823,     0,     0,
       0,     0,     0,     0,     0,  1881,  1882,     0,     0,     0,
       0,  1162,     0,     0,     0,     0,  1886,     0,     0,     0,
    1162,     0,     0,     0,     0,     0,  1882,     0,     0,     0,
    1881,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1882,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4863,  4863,     0,  1881,     0,     0,     0,
       0,     0,     0,     0,  1886,     0,     0,     0,  2177,  1884,
       0,     0,     0,     0,     0,     0,     0,  1882,     0,     0,
       0,  4545,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4863,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4907,  2177,     0,     0,     0,     0,     0,  2177,
       0,     0,  1885,     0,     0,     0,     0,  1885,  1885,     0,
       0,     0,     0,     0,     0,  3443,  3443,     0,  2809,  1885,
       0,  2809,  2809,  2809,  2809,  2809,  2809,  2809,  2809,  2809,
    2809,  3443,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4863,     0,     0,     0,     0,     0,  2177,     0,     0,  2177,
       0,  2177,     0,     0,     0,     0,  3443,  3443,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2809,  2809,  2177,     0,  2177,     0,     0,  2177,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,  2177,     0,     0,     0,     0,  1882,
    1885,     0,     0,     0,     0,  2177,     0,     0,     0,  4656,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1546,     0,     0,     0,     0,     0,  2177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1881,     0,
       0,     0,     0,     0,  4740,     0,     0,     0,     0,  1884,
    1884,     0,  1884,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1881,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1882,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1884,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2809,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,  1886,  1886,     0,     0,     0,     0,     0,
       0,  1881,     0,  1884,     0,  1886,     0,     0,     0,     0,
       0,     0,  1881,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,     0,
    1884,     0,     0,  1882,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2177,     0,     0,     0,  2177,  2177,
    2177,     0,     0,  3443,     0,     0,  1884,     0,  3443,  3443,
    3443,  3443,  3443,  3443,  3443,  3443,  3443,  3443,  2177,  2177,
    1884,     0,     0,  1881,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,  1882,     0,     0,  2177,  2809,  2809,
    2177,  1881,  2177,     0,     0,     0,  2177,  3443,  3443,     0,
       0,  2177,     0,  1881,  2177,     0,     0,     0,     0,     0,
       0,     0,  1882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1882,     0,     0,     0,     0,     0,
       0,     0,     0,  2177,     0,     0,     0,     0,     0,  1885,
       0,  1884,     0,     0,     0,  2177,  1886,  1881,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1884,  2177,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
    1885,     0,  1885,     0,     0,     0,  1884,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1884,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,  1885,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1881,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,     0,     0,     0,     0,
    1882,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,  3443,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2177,  2177,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1881,  1884,     0,  1885,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1885,     0,     0,  2177,  1882,     0,     0,  2809,     0,     0,
       0,     0,     0,  1885,     0,     0,     0,     0,     0,     0,
       0,  2177,     0,  2177,     0,     0,     0,     0,  3443,  3443,
    2177,     0,     0,  2809,  2809,  2177,  2177,     0,  2177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1881,     0,     0,     0,     0,
       0,  1885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2177,     0,     0,     0,  1882,     0,  1881,     0,
       0,  1885,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,  1885,     0,  1881,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,  1886,  1886,     0,  1886,     0,
       0,     0,  1885,     0,     0,     0,  1884,  1881,     0,     0,
       0,  1881,  1881,     0,     0,     0,     0,     0,  2177,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1882,     0,
       0,     0,  1882,  1882,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,  1886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3443,  2809,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3443,  3443,  2177,     0,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,     0,
       0,     0,     0,  2177,     0,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1884,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3443,     0,     0,     0,     0,
       0,     0,  1886,     0,     0,  2177,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,  1886,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,     0,     0,     0,     0,  1884,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1884,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2177,     0,     0,     0,  1885,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1886,     0,     0,     0,  1885,     0,     0,     0,
    2177,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1886,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2177,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,  1884,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,  1885,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115,  1885,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,     0,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,  1884,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
    1886,   145,     0,     0,     0,     0,     0,   148,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,  1885,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1885,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,  1884,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,  1885,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,  1884,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,  1884,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     188,   189,   190,     0,     0,   191,     0,     0,     0,   193,
       0,     0,   194,  1884,   195,     0,     0,  1884,  1884,     0,
       0,     0,  1886,     0,     0,     0,     0,   196,   197,   198,
     199,   200,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   201,     0,   202,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,  1885,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,  1886,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,  1886,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,     0,     0,     0,     0,     0,     0,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,  1885,
       0,    98,    99,   100,   101,   102,   103,  2972,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115,     0,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,     0,    35,     0,  1886,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1886,     0,     0,     0,     0,     0,     0,
       0,  1885,     0,     0,     0,  1886,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,  1885,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,  1886,
       0,     0,     0,   151,  1885,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1885,     0,     0,   162,  1885,  1885,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,  1886,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,  1886,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2974,     0,     0,     0,     0,  1886,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1886,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   713,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
    1886,    98,    99,   100,   101,   102,   103,   714,   104,   105,
     415,   715,     0,   107,   108,   109,   110,   716,   717,   112,
     113,   114,   115,     0,   116,   718,   719,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,  1886,
       0,     0,     0,  1886,  1886,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   720,   434,   435,   436,   721,   722,   723,   724,   725,
     726,   727,   437,   438,   728,   439,   440,   133,   441,   442,
     443,   135,   136,   137,   138,   139,   729,   444,   445,   446,
     447,   448,   730,   731,   449,   450,   732,   140,   452,   733,
     453,   454,   455,   456,   144,   734,   145,   735,   457,   458,
     459,   460,   148,   461,   736,   737,   463,   464,   465,   466,
     467,   468,   738,   151,   469,   739,   740,   741,   742,   152,
     743,   744,   745,   470,   471,   472,   473,   474,   475,   155,
     156,   476,   746,   477,   747,   478,   479,   480,   481,   482,
     748,   483,   484,   485,   749,   750,   486,   487,   488,   489,
     490,   751,   491,   492,   493,   752,   494,   495,   753,   496,
     497,   498,   499,   164,   500,   501,   502,   166,   754,   503,
     755,   504,   168,   505,   756,   506,   757,   507,   169,   758,
     170,   508,   509,   510,   759,   511,   172,   760,   512,   761,
     513,   514,   515,   516,   517,   173,   518,   519,   520,   762,
     521,   522,   523,   524,   525,   526,   763,   527,   174,   175,
     764,   528,   529,   530,   765,   176,   766,   177,   767,   531,
     178,   179,   532,   180,   533,   534,   535,   536,   537,   538,
     539,   768,   540,   181,   182,   541,   183,   769,   542,   543,
     544,   770,   771,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,   189,   190,   557,   558,
     191,   772,   559,   560,   193,   561,   773,   194,   562,   195,
     563,   564,   565,   774,   566,   775,   776,   567,   568,   569,
     777,   778,   196,   197,   198,   199,   200,   570,   571,   572,
     573,   574,   575,   576,   779,   577,   201,   578,   202,   579,
     580,   581,   780,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,   781,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   782,   603,   604,   210,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,   783,   615,   616,   617,   618,   619,   784,   620,   217,
     621,   622,   219,   623,   220,   624,   785,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,   786,   635,
     636,   787,   637,   638,   639,   640,   641,   642,   788,   224,
     225,   789,   790,   644,   226,   645,   227,   791,   646,   647,
     648,   649,   650,   651,   652,   792,   793,   653,   654,   655,
     656,   657,   794,   795,   658,   659,   660,   661,   662,   796,
     234,   797,   664,   235,   665,   666,   667,   798,   799,   668,
     800,   801,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    85,
       0,     0,    86,    87,    88,    89,    90,    91,    92,    93,
       0,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   946,   104,   105,   106,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,   119,   120,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,   127,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   128,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   129,     0,   130,
     131,     0,     0,     0,     0,     0,     0,     0,     0,   132,
       0,   133,     0,     0,   134,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,   141,     0,   142,   143,   144,     0,
     145,     0,   146,     0,   147,     0,   148,     0,     0,     0,
       0,     0,     0,     0,   149,     0,   150,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
     153,     0,   154,   155,   156,   157,     0,     0,     0,     0,
       0, -1350,     0,     0,     0,     0,     0,   158,     0,   159,
       0,     0,     0,   160,     0,     0,     0,     0,     0,   161,
     162,     0,     0,     0,     0,     0,   163,   164,   165,     0,
       0,   166,     0,     0,   167,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0, -1350,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,   184,   185,     0,     0,     0,     0,   186,     0,
       0,     0,     0,     0,     0,     0,   187,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,   192,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,   205,     0,     0,     0,     0,
     206,     0,   207,     0,     0,     0,     0,   208,     0,     0,
       0,     0,   209,   210,     0,   211,   212,     0,     0,   213,
       0,     0,     0,     0,   214,   215,     0,     0,     0,     0,
       0,     0,   216,   217,     0,   218,   219,     0,   220,     0,
       0,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,   223,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,   228,     0,   229,     0,     0,     0,     0,   230,
       0,     0,   231,     0,     0, -1350,     0,     0,   232,     0,
       0,     0,     0,   233,   234,     0,     0,   235,     0,     0,
       0,     0,     4,     0,     0,   236,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,   246,
       9,    10,     0,  -132,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     4,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     6,     7,     0,     0,     0,     0,     0,     0,     9,
      10,    46,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,     0,
      46,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,    51,     0,     0,    52,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,     0,     0,     0,
       0,    53,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    49,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    50,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    51,     0,    54,    52,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,     0,     0,     0,
       0,    58,     0,     0,     0,     0,     0,    59,     0,     0,
       0,    60,    61,    62,    63,    64,     0,     0,    65,    66,
    1345,  1993,     0,     0,     0,    71,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    55,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
      58,     0,     0,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     5,     0,    65,    66,  1345,
    2683,     0,     0,     0,    71,     6,     7,     0,     0,     0,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      48,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      49,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    50,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,     0,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1345,     0,     0,     0,     0,    71,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1435,  1436,  1437,
      45,  1438,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,  2901,   434,   435,   436,     0,     0,     0,
       0,  1439,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,   135,  1440,   137,  1441,  1442,     0,   444,
     445,   446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,
     452,     0,   453,   454,   455,   456,  1447,     0,  1448,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,
     475,  1456,  1457,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,  2902,     0,   486,   487,
    1458,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1459,   500,   501,   502,  1460,
    1461,   503,     0,   504,  1462,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,  1463,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,   175,     0,   528,   529,   530,  1464,  1465,     0,  1466,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,  1467,   182,   541,   183,     0,
     542,   543,   544,  1468,  1469,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1470,   189,  1471,
     557,   558,   191,  1472,   559,   560,   193,   561,  1473,  1474,
     562,  1475,   563,   564,   565,     0,   566,     0,     0,  1476,
     568,   569,     0,     0,   196,   197,   198,   199,  1477,   570,
     571,   572,   573,   574,   575,   576,     0,   577,  1478,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,  1479,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,  1480,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,  1481,
     620,   217,   621,   622,   219,   623,  1482,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,  1483,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,
     646,   647,   648,   649,   650,   651,   652,     0,  1489,   653,
     654,   655,   656,   657,  1490,     0,   658,   659,   660,   661,
     662,   663,  1491,  2903,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,  1500,  1501,
    2904,     0,     0,     0,     0,     0,     0,  1503,  2905,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1435,  1436,  1437,
      45,  1438,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,  1439,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,   135,  1440,   137,  1441,  1442,     0,   444,
     445,   446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,
     452,     0,   453,   454,   455,   456,  1447,     0,  1448,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,
     475,  1456,  1457,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1458,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1459,   500,   501,   502,  1460,
    1461,   503,     0,   504,  1462,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,  1463,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,   175,     0,   528,   529,   530,  1464,  1465,     0,  1466,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,  1467,   182,   541,   183,     0,
     542,   543,   544,  1468,  1469,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1470,   189,  1471,
     557,   558,   191,  1472,   559,   560,   193,   561,  1473,  1474,
     562,  1475,   563,   564,   565,     0,   566,     0,     0,  1476,
     568,   569,     0,     0,   196,   197,   198,   199,  1477,   570,
     571,   572,   573,   574,   575,   576,     0,   577,  1478,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,  1479,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,  1480,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,  1481,
     620,   217,   621,   622,   219,   623,  1482,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,  1483,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,
     646,   647,   648,   649,   650,   651,   652,     0,  1489,   653,
     654,   655,   656,   657,  1490,     0,   658,   659,   660,   661,
     662,   663,  1491,     0,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,  1500,  1501,
       0,     0,     0,     0,     0,     0,     0,  1503,  2811,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,     0,  1857,   137,  1858,  1859,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,  1860,  1861,
     452,     0,   453,   454,   455,   456,     0,     0,   145,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,     0,     0,
       0,   152,     0,     0,     0,   470,   471,   472,   473,   474,
     475,  1862,  1863,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1458,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,     0,   500,   501,   502,     0,
       0,   503,     0,   504,  1864,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,     0,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,  2418,   521,   522,   523,   524,   525,   526,     0,   527,
     174,  2419,     0,   528,   529,   530,  1464,  1865,     0,  1866,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,     0,   182,   541,   183,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1867,   189,  1868,
     557,   558,     0,     0,   559,   560,   193,   561,     0,     0,
     562,  1869,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,  2420,   197,   198,   199,     0,   570,
     571,   572,   573,   574,   575,   576,     0,   577,     0,   578,
       0,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,  1870,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,     0,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,  2421,   621,   622,   219,   623,  1872,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,     0,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,  1873,  1874,     0,     0,   644,     0,   645,     0,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,     0,  1875,  2422,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   674,   675,
     676,     0,     0,     0,     0,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,  2423,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,     0,
    1857,   137,  1858,  1859,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,  1860,  1861,   452,     0,   453,   454,
     455,   456,     0,     0,   145,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,     0,     0,     0,   152,     0,     0,
       0,   470,   471,   472,   473,   474,   475,  1862,  1863,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,     0,   500,   501,   502,     0,     0,   503,     0,   504,
    1864,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,     0,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,  2418,   521,   522,
     523,   524,   525,   526,     0,   527,   174,  2419,     0,   528,
     529,   530,  1464,  1865,     0,  1866,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,     0,   182,   541,   183,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1867,   189,  1868,   557,   558,     0,     0,
     559,   560,   193,   561,     0,     0,   562,  1869,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
    2420,   197,   198,   199,     0,   570,   571,   572,   573,   574,
     575,   576,     0,   577,     0,   578,     0,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1870,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
       0,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,  2421,   621,   622,
     219,   623,  1872,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,     0,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1873,  1874,     0,
       0,   644,     0,   645,     0,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,     0,  1875,  2422,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,   675,   676,     0,     0,     0,
       0,   713,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,  3323,    98,    99,   100,   101,   102,
     103,   714,   104,   105,   415,   715,     0,   107,   108,   109,
     110,   716,   717,   112,   113,   114,   115,     0,   116,   718,
     719,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1435,
    1436,  1437,    45,  1438,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,  1439,     0,     0,   437,   438,     0,   439,
     440,   133,   441,   442,   443,   135,  1440,   137,  1441,  1442,
    2821,   444,   445,   446,   447,   448,  1443,  1444,   449,   450,
    1445,  1446,   452,     0,   453,   454,   455,   456,  1447,     0,
    1448,     0,   457,   458,   459,   460,   148,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   151,   469,     0,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,
     473,   474,   475,  1456,  1457,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1458,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,  1459,   500,   501,
     502,  1460,  1461,   503,     0,   504,  1462,   505,     0,   506,
       0,   507,   169,  2822,   170,   508,   509,   510,     0,   511,
    1463,     0,   512,     0,   513,   514,   515,   516,   517,   173,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   174,   175,     0,   528,   529,   530,  1464,  1465,
       0,  1466,     0,   531,   178,   179,   532,   180,   533,   534,
     535,   536,   537,   538,   539,  2823,   540,  1467,   182,   541,
     183,     0,   542,   543,   544,  1468,  1469,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1470,
     189,  1471,   557,   558,   191,  1472,   559,   560,   193,   561,
    1473,  1474,   562,  1475,   563,   564,   565,     0,   566,     0,
       0,  1476,   568,   569,     0,     0,   196,   197,   198,   199,
    1477,   570,   571,   572,   573,   574,   575,   576,     0,   577,
    1478,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,  1479,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   210,   605,   606,  1480,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,  1481,   620,   217,   621,   622,   219,   623,  1482,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,  1483,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1484,  1485,     0,  2824,   644,  1486,   645,
    1487,  1488,   646,   647,   648,   649,   650,   651,   652,     0,
    1489,   653,   654,   655,   656,   657,  1490,     0,   658,   659,
     660,   661,   662,   663,  1491,     0,   664,   235,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,
     674,   675,   676,     0,     0,     0,     0,     0,     0,     0,
    1500,  1501,     0,     0,     0,     0,     0,     0,     0,  1503,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,   425,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
    1437,    45,  1438,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,  1439,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,   135,  1440,   137,  1441,  1442,     0,
     444,   445,   446,   447,   448,  1443,  1444,   449,   450,  1445,
    1446,   452,     0,   453,   454,   455,   456,  1447,     0,  1448,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,
     474,   475,  1456,  1457,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,  1459,   500,   501,   502,
    1460,  1461,   503,     0,   504,  1462,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,  1463,
       0,   512,     0,   513,   514,   515,   516,   517,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,   175,     0,   528,   529,   530,  1464,  1465,     0,
    1466,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,  1467,   182,   541,   183,
       0,   542,   543,   544,  1468,  1469,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1470,   189,
    1471,   557,   558,   191,  1472,   559,   560,   193,   561,  1473,
    1474,   562,  1475,   563,   564,   565,     0,   566,     0,     0,
    1476,   568,   569,     0,     0,   196,   197,   198,   199,  1477,
     570,   571,   572,   573,   574,   575,   576,     0,   577,  1478,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1479,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,  1480,   607,   608,   609,   610,
     611,   612,   613,   614,   215,   615,   616,   617,   618,   619,
    1481,   620,   217,   621,   622,   219,   623,  1482,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
    1483,     0,   635,   636,   223,   637,   638,   639,   640,   641,
     642,     0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,
    1488,   646,   647,   648,   649,   650,   651,   652,     0,  1489,
     653,   654,   655,   656,   657,  1490,     0,   658,   659,   660,
     661,   662,  1361,  1491,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,   236,   669,   670,   671,   672,   673,
     237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,
     675,   676,     0,     0,     0,     0,     0,     0,     0,  1500,
    1501,     0,     0,     0,     0,     0,     0,     0,  1503,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1435,  1436,  1437,
      45,  1438,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,  1439,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,   135,  1440,   137,  1441,  1442,     0,   444,
     445,   446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,
     452,     0,   453,   454,   455,   456,  1447,     0,  1448,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,
     475,  1456,  1457,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1458,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1459,   500,   501,   502,  1460,
    1461,   503,     0,   504,  1462,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,  1463,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,   175,     0,   528,   529,   530,  1464,  1465,     0,  1466,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,  1467,   182,   541,   183,     0,
     542,   543,   544,  1468,  1469,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1470,   189,  1471,
     557,   558,   191,  1472,   559,   560,   193,   561,  1473,  1474,
     562,  1475,   563,   564,   565,     0,   566,     0,     0,  1476,
     568,   569,     0,     0,   196,   197,   198,   199,  1477,   570,
     571,   572,   573,   574,   575,   576,     0,   577,  1478,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,  1479,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,  1480,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,  1481,
     620,   217,   621,   622,   219,   623,  1482,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,  1483,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,
     646,   647,   648,   649,   650,   651,   652,     0,  1489,   653,
     654,   655,   656,   657,  1490,     0,   658,   659,   660,   661,
     662,   663,  1491,     0,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,  1500,  1501,
       0,     0,     0,     0,     0,  2085,  2769,  1503,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1435,  1436,  1437,    45,
    1438,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
    1439,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,   135,  1440,   137,  1441,  1442,     0,   444,   445,
     446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,   452,
       0,   453,   454,   455,   456,  1447,     0,  1448,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,  1449,  1450,  1451,
    1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,   475,
    1456,  1457,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,  1458,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,  1459,   500,   501,   502,  1460,  1461,
     503,     0,   504,  1462,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,  1463,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
     175,     0,   528,   529,   530,  1464,  1465,     0,  1466,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,  1467,   182,   541,   183,     0,   542,
     543,   544,  1468,  1469,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1470,   189,  1471,   557,
     558,   191,  1472,   559,   560,   193,   561,  1473,  1474,   562,
    1475,   563,   564,   565,     0,   566,     0,     0,  1476,   568,
     569,     0,     0,   196,   197,   198,   199,  1477,   570,   571,
     572,   573,   574,   575,   576,     0,   577,  1478,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,  1479,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,  1480,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,  1481,   620,
     217,   621,   622,   219,   623,  1482,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,  1483,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,   646,
     647,   648,   649,   650,   651,   652,     0,  1489,   653,   654,
     655,   656,   657,  1490,     0,   658,   659,   660,   661,   662,
     663,  1491,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,  1492,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,
       0,     0,     0,     0,     0,     0,     0,  1500,  1501,  1502,
       0,     0,     0,     0,     0,     0,  1503,   713,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   714,   104,   105,
     415,   715,     0,   107,   108,   109,   110,   716,   717,   112,
     113,   114,   115,     0,   116,   718,   719,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,   425,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,  1439,
       0,     0,   437,   438,     0,   439,   440,   133,   441,   442,
     443,   135,  1440,   137,  1441,  1442,     0,   444,   445,   446,
     447,   448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,
     453,   454,   455,   456,  1447,     0,  1448,     0,   457,   458,
     459,   460,   148,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   151,   469,     0,  1449,  1450,  1451,  1452,
    1453,  1454,  1455,   470,   471,   472,   473,   474,   475,  1456,
    1457,   476,  1586,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1458,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1459,   500,   501,   502,  1460,  1461,   503,
       0,   504,  1462,   505,     0,   506,     0,   507,   169,     0,
     170,   508,   509,   510,     0,   511,  1463,     0,   512,     0,
     513,   514,   515,   516,   517,   173,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   174,   175,
       0,   528,   529,   530,  1464,  1465,     0,  1466,     0,   531,
     178,   179,   532,   180,   533,   534,   535,   536,   537,   538,
     539,     0,   540,  1467,   182,   541,   183,     0,   542,   543,
     544,  1468,  1469,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,  1470,   189,  1471,   557,   558,
     191,  1472,   559,   560,   193,   561,  1473,  1474,   562,  1475,
     563,   564,   565,     0,   566,     0,     0,  1476,   568,   569,
       0,     0,   196,   197,   198,   199,  1477,   570,   571,   572,
     573,   574,   575,   576,     0,   577,  1478,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
    1479,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   210,
     605,   606,  1480,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,  1481,   620,   217,
     621,   622,   219,   623,  1482,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,  1483,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,  1484,
    1485,     0,     0,   644,  1486,   645,  1487,  1488,   646,   647,
     648,   649,   650,   651,   652,     0,  1489,   653,   654,   655,
     656,   657,  1490,     0,   658,   659,   660,   661,   662,   663,
    1491,     0,   664,   235,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,  1492,  1493,
    1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,
       0,     0,     0,     0,     0,     0,  1500,  1501,     0,     0,
       0,     0,     0,     0,     0,  1503,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
    2265,   434,   435,   436,     0,     0,     0,     0,  1439,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
     135,  1440,   137,  1441,  1442,     0,   444,   445,   446,   447,
     448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,
     454,   455,   456,  1447,     0,  1448,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,
    1454,  1455,   470,   471,   472,   473,   474,   475,  1456,  1457,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,  1459,   500,   501,   502,  1460,  1461,   503,     0,
     504,  1462,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,  1463,     0,   512,     0,   513,
     514,   515,   516,   517,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,   175,     0,
     528,   529,   530,  1464,  1465,     0,  1466,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,  1467,   182,   541,   183,     0,   542,   543,   544,
    1468,  1469,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1470,   189,  1471,   557,   558,   191,
    1472,   559,   560,   193,   561,  1473,  1474,   562,  1475,   563,
     564,   565,     0,   566,     0,     0,  1476,   568,   569,     0,
       0,   196,   197,   198,   199,  1477,   570,   571,   572,   573,
     574,   575,   576,     0,   577,  1478,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1479,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,  1480,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,  1481,   620,   217,   621,
     622,   219,   623,  1482,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,  1483,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,  1484,  1485,
       0,     0,   644,  1486,   645,  1487,  1488,   646,   647,   648,
     649,   650,   651,   652,     0,  1489,   653,   654,   655,   656,
     657,  1490,     0,   658,   659,   660,   661,   662,   663,  1491,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,  1492,  1493,  1494,
    1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,
       0,     0,     0,     0,     0,  1500,  1501,     0,     0,     0,
       0,     0,     0,     0,  1503,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,  1439,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,   135,
    1440,   137,  1441,  1442,     0,   444,   445,   446,   447,   448,
    1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,   454,
     455,   456,  1447,     0,  1448,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   470,   471,   472,   473,   474,   475,  1456,  1457,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1459,   500,   501,   502,  1460,  1461,   503,     0,   504,
    1462,   505,     0,   506,     0,   507,   169,  2822,   170,   508,
     509,   510,     0,   511,  1463,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   174,   175,     0,   528,
     529,   530,  1464,  1465,     0,  1466,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,  1467,   182,   541,   183,     0,   542,   543,   544,  1468,
    1469,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1470,   189,  1471,   557,   558,   191,  1472,
     559,   560,   193,   561,  1473,  1474,   562,  1475,   563,   564,
     565,     0,   566,     0,     0,  1476,   568,   569,     0,     0,
     196,   197,   198,   199,  1477,   570,   571,   572,   573,   574,
     575,   576,     0,   577,  1478,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1479,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
    1480,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,  1481,   620,   217,   621,   622,
     219,   623,  1482,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,  1483,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1484,  1485,     0,
       0,   644,  1486,   645,  1487,  1488,   646,   647,   648,   649,
     650,   651,   652,     0,  1489,   653,   654,   655,   656,   657,
    1490,     0,   658,   659,   660,   661,   662,   663,  1491,     0,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,     0,     0,     0,     0,
       0,     0,     0,  1503,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,  1439,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,   135,  1440,
     137,  1441,  1442,     0,   444,   445,   446,   447,   448,  1443,
    1444,   449,   450,  1445,  1446,   452,     0,   453,   454,   455,
     456,  1447,     0,  1448,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     470,   471,   472,   473,   474,   475,  1456,  1457,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1458,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
    1459,   500,   501,   502,  1460,  1461,   503,     0,   504,  1462,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,  1463,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,   175,     0,   528,   529,
     530,  1464,  1465,     0,  1466,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
    1467,   182,   541,   183,     0,   542,   543,   544,  1468,  1469,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1470,   189,  1471,   557,   558,   191,  1472,   559,
     560,   193,   561,  1473,  1474,   562,  1475,   563,   564,   565,
       0,   566,     0,     0,  1476,   568,   569,     0,     0,   196,
     197,   198,   199,  1477,   570,   571,   572,   573,   574,   575,
     576,     0,   577,  1478,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,  1479,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,  1480,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,  1481,   620,   217,   621,   622,   219,
     623,  1482,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,  1483,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1484,  1485,     0,     0,
     644,  1486,   645,  1487,  1488,   646,   647,   648,   649,   650,
     651,   652,     0,  1489,   653,   654,   655,   656,   657,  1490,
       0,   658,   659,   660,   661,   662,   663,  1491,  4041,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   674,   675,   676,     0,     0,     0,     0,
       0,     0,     0,  1500,  1501,     0,     0,     0,     0,     0,
       0,     0,  1503,   713,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   714,   104,   105,   415,   715,     0,   107,
     108,   109,   110,   716,   717,   112,   113,   114,   115,     0,
     116,   718,   719,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
     425,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,  1439,     0,     0,   437,   438,
       0,   439,   440,   133,   441,   442,   443,   135,  1440,   137,
    1441,  1442,     0,   444,   445,   446,   447,   448,  1443,  1444,
     449,   450,  1445,  1446,   452,     0,   453,   454,   455,   456,
    1447,     0,  1448,     0,   457,   458,   459,   460,   148,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   151,
     469,  4054,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,
     471,   472,   473,   474,   475,  1456,  1457,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1458,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,  1459,
     500,   501,   502,  1460,  1461,   503,     0,   504,  1462,   505,
       0,   506,     0,   507,   169,     0,   170,   508,   509,   510,
       0,   511,  1463,     0,   512,     0,   513,   514,   515,   516,
     517,   173,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   174,   175,     0,   528,   529,   530,
    1464,  1465,     0,  1466,     0,   531,   178,   179,   532,   180,
     533,   534,   535,   536,   537,   538,   539,     0,   540,  1467,
     182,   541,   183,     0,   542,   543,   544,  1468,  1469,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1470,   189,  1471,   557,   558,   191,  1472,   559,   560,
     193,   561,  1473,  1474,   562,  1475,   563,   564,   565,     0,
     566,     0,     0,  1476,   568,   569,     0,     0,   196,   197,
     198,   199,  1477,   570,   571,   572,   573,   574,   575,   576,
       0,   577,  1478,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,  1479,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   210,   605,   606,  1480,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,  1481,   620,   217,   621,   622,   219,   623,
    1482,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,  1483,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,  1484,  1485,     0,     0,   644,
    1486,   645,  1487,  1488,   646,   647,   648,   649,   650,   651,
     652,     0,  1489,   653,   654,   655,   656,   657,  1490,     0,
     658,   659,   660,   661,   662,   663,  1491,     0,   664,   235,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   674,   675,   676,     0,     0,     0,     0,     0,
       0,     0,  1500,  1501,     0,     0,     0,     0,     0,     0,
       0,  1503,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1435,  1436,  1437,    45,  1438,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,  1439,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443,  4860,  1440,   137,  1441,
    1442,     0,   444,   445,   446,   447,   448,  1443,  1444,   449,
     450,  1445,  1446,   452,     0,   453,   454,   455,   456,  1447,
       0,  1448,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
    4861,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,
     472,   473,   474,   475,  1456,  1457,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,  1458,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,  1459,   500,
     501,   502,  1460,  1461,   503,     0,   504,  1462,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,  1463,     0,   512,     0,   513,   514,   515,   516,   517,
     173,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,   175,     0,   528,   529,   530,  1464,
    1465,     0,  1466,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,  1467,   182,
     541,   183,     0,   542,   543,   544,  1468,  1469,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
    1470,   189,  1471,   557,   558,   191,  1472,   559,   560,   193,
     561,  1473,  1474,   562,  1475,   563,   564,   565,     0,   566,
       0,     0,  1476,   568,   569,     0,     0,   196,   197,   198,
     199,  1477,   570,   571,   572,   573,   574,   575,   576,     0,
     577,  1478,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,  1479,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,  1480,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,  1481,   620,   217,   621,   622,   219,   623,  1482,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,  1483,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,  1484,  1485,     0,     0,   644,  1486,
     645,  1487,  1488,   646,   647,   648,   649,  4862,   651,   652,
       0,  1489,   653,   654,   655,   656,   657,  1490,     0,   658,
     659,   660,   661,   662,   663,  1491,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,
    1499,   674,   675,   676,     0,     0,     0,     0,     0,     0,
       0,  1500,  1501,     0,     0,     0,     0,     0,     0,     0,
    1503,   713,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   714,   104,   105,   415,   715,     0,   107,   108,   109,
     110,   716,   717,   112,   113,   114,   115,     0,   116,   718,
     719,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1435,
    1436,  1437,    45,  1438,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,  1439,     0,     0,   437,   438,     0,   439,
     440,   133,   441,   442,   443,   135,  1440,   137,  1441,  1442,
       0,   444,   445,   446,   447,   448,  1443,  1444,   449,   450,
    1445,  1446,   452,     0,   453,   454,   455,   456,  1447,     0,
    1448,     0,   457,   458,   459,   460,   148,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   151,   469,  4861,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,
     473,   474,   475,  1456,  1457,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,  1458,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,  1459,   500,   501,
     502,  1460,  1461,   503,     0,   504,  1462,   505,     0,   506,
       0,   507,   169,     0,   170,   508,   509,   510,     0,   511,
    1463,     0,   512,     0,   513,   514,   515,   516,   517,   173,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,   174,   175,     0,   528,   529,   530,  1464,  1465,
       0,  1466,     0,   531,   178,   179,   532,   180,   533,   534,
     535,   536,   537,   538,   539,     0,   540,  1467,   182,   541,
     183,     0,   542,   543,   544,  1468,  1469,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,  1470,
     189,  1471,   557,   558,   191,  1472,   559,   560,   193,   561,
    1473,  1474,   562,  1475,   563,   564,   565,     0,   566,     0,
       0,  1476,   568,   569,     0,     0,   196,   197,   198,   199,
    1477,   570,   571,   572,   573,   574,   575,   576,     0,   577,
    1478,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,  1479,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,   210,   605,   606,  1480,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,  1481,   620,   217,   621,   622,   219,   623,  1482,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,  1483,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1484,  1485,     0,     0,   644,  1486,   645,
    1487,  1488,   646,   647,   648,   649,  4862,   651,   652,     0,
    1489,   653,   654,   655,   656,   657,  1490,     0,   658,   659,
     660,   661,   662,   663,  1491,     0,   664,   235,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,
     674,   675,   676,     0,     0,     0,     0,     0,     0,     0,
    1500,  1501,     0,     0,     0,     0,     0,     0,     0,  1503,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,   425,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
    1437,    45,  1438,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,  1439,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,   135,  1440,   137,  1441,  1442,     0,
     444,   445,   446,   447,   448,  1443,  1444,   449,   450,  1445,
    1446,   452,     0,   453,   454,   455,   456,  1447,     0,  1448,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,
     474,   475,  1456,  1457,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,  1459,   500,   501,   502,
    1460,  1461,   503,     0,   504,  1462,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,  1463,
       0,   512,     0,   513,   514,   515,   516,   517,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,   175,     0,   528,   529,   530,  1464,  1465,     0,
    1466,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,  1467,   182,   541,   183,
       0,   542,   543,   544,  1468,  1469,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1470,   189,
    1471,   557,   558,   191,  1472,   559,   560,   193,   561,  1473,
    1474,   562,  1475,   563,   564,   565,     0,   566,     0,     0,
    1476,   568,   569,     0,     0,   196,   197,   198,   199,  1477,
     570,   571,   572,   573,   574,   575,   576,     0,   577,  1478,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1479,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,  1480,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
    1481,   620,   217,   621,   622,   219,   623,  1482,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
    1483,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,
    1488,   646,   647,   648,   649,   650,   651,   652,     0,  1489,
     653,   654,   655,   656,   657,  1490,     0,   658,   659,   660,
     661,   662,   663,  1491,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,
     675,   676,     0,     0,     0,     0,     0,     0,     0,  1500,
    1501,     0,     0,     0,     0,     0,     0,     0,  1503,   713,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   714,
     104,   105,   415,   715,     0,   107,   108,   109,   110,   716,
     717,   112,   113,   114,   115,     0,   116,   718,   719,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1435,  1436,  1437,
      45,  1438,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,  1439,     0,     0,   437,   438,     0,   439,   440,   133,
     441,   442,   443,   135,  1440,   137,  1441,  1442,     0,   444,
     445,   446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,
     452,     0,   453,   454,   455,   456,  1447,     0,  1448,     0,
     457,   458,   459,   460,   148,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   151,   469,     0,  1449,  1450,
    1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,
     475,  1456,  1457,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
    1458,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,  1459,   500,   501,   502,  1460,
    1461,   503,     0,   504,  1462,   505,     0,   506,     0,   507,
     169,     0,   170,   508,   509,   510,     0,   511,  1463,     0,
     512,     0,   513,   514,   515,   516,   517,   173,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
     174,   175,     0,   528,   529,   530,  1464,  1465,     0,  1466,
       0,   531,   178,   179,   532,   180,   533,   534,   535,   536,
     537,   538,   539,     0,   540,  1467,   182,   541,   183,     0,
     542,   543,   544,  1468,  1469,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,  1470,   189,  1471,
     557,   558,   191,  1472,   559,   560,   193,   561,  1473,  1474,
     562,  1475,   563,   564,   565,     0,   566,     0,     0,  1476,
     568,   569,     0,     0,   196,   197,   198,   199,  1477,   570,
     571,   572,   573,   574,   575,   576,     0,   577,  1478,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,  1479,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,   210,   605,   606,  1480,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,  1481,
     620,   217,   621,   622,   219,   623,  1482,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,  1483,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,
     646,   647,   648,   649,   650,   651,   652,     0,  1489,   653,
     654,   655,   656,   657,  1490,     0,   658,   659,   660,   661,
     662,   663,  1491,     0,   664,   235,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,  4336,
    1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,  1500,  1501,
       0,     0,     0,     0,     0,     0,     0,  1503,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1435,  1436,  1437,    45,
    1438,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
    1439,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,   135,  1440,   137,  1441,  1442,     0,   444,   445,
     446,   447,   448,  1443,  1444,   449,   450,  1445,  1446,   452,
       0,   453,   454,   455,   456,  1447,     0,  1448,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,  1449,  1450,  1451,
    1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,   475,
    1456,  1457,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,  1458,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,  1459,   500,   501,   502,  1460,  1461,
     503,     0,   504,  1462,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,  1463,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
     175,     0,   528,   529,   530,  1464,  1465,     0,  1466,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,  1467,   182,   541,   183,     0,   542,
     543,   544,  1468,  1469,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1470,   189,  1471,   557,
    4345,   191,  1472,   559,   560,   193,   561,  1473,  1474,   562,
    1475,   563,   564,   565,     0,   566,     0,     0,  1476,   568,
     569,     0,     0,   196,   197,   198,   199,  1477,   570,   571,
     572,   573,   574,   575,   576,     0,   577,  1478,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,  1479,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,  1480,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,  1481,   620,
     217,   621,   622,   219,   623,  1482,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,  1483,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1484,  1485,     0,     0,   644,  1486,   645,  1487,  1488,   646,
     647,   648,   649,   650,   651,   652,     0,  1489,   653,   654,
     655,   656,   657,  1490,     0,   658,   659,   660,   661,   662,
     663,  1491,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,  1492,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,
       0,     0,     0,     0,     0,     0,     0,  1500,  1501,     0,
       0,     0,     0,     0,     0,     0,  1503,   713,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   714,   104,   105,
     415,   715,     0,   107,   108,   109,   110,   716,   717,   112,
     113,   114,   115,     0,   116,   718,   719,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,   425,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,  1439,
       0,     0,   437,   438,     0,   439,   440,   133,   441,   442,
     443,   135,  1440,   137,  1441,  1442,     0,   444,   445,   446,
     447,   448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,
     453,   454,   455,   456,  1447,     0,  1448,     0,   457,   458,
     459,   460,   148,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   151,   469,     0,  1449,  1450,  1451,  1452,
    1453,  1454,  1455,   470,   471,   472,   473,   474,   475,  1456,
    1457,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,  1458,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,  1459,   500,   501,   502,  1460,  1461,   503,
       0,   504,  1462,   505,     0,   506,     0,   507,   169,     0,
     170,   508,   509,   510,     0,   511,  1463,     0,   512,     0,
     513,   514,   515,   516,   517,   173,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,   174,   175,
       0,   528,   529,   530,  1464,  1465,     0,  1466,     0,   531,
     178,   179,   532,   180,   533,   534,   535,   536,   537,   538,
     539,     0,   540,  1467,   182,   541,   183,     0,   542,   543,
     544,  1468,  1469,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,  1470,   189,  1471,   557,   558,
     191,     0,   559,   560,   193,   561,  1473,  1474,   562,  1475,
     563,   564,   565,     0,   566,     0,     0,  1476,   568,   569,
       0,     0,   196,   197,   198,   199,  1477,   570,   571,   572,
     573,   574,   575,   576,     0,   577,  1478,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
    1479,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,   210,
     605,   606,  1480,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,  1481,   620,   217,
     621,   622,   219,   623,  1482,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,  1483,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,  1484,
    1485,     0,     0,   644,  1486,   645,  1487,  1488,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,  1490,     0,   658,   659,   660,   661,   662,   663,
    1491,     0,   664,   235,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,  1492,  1493,
    1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,
       0,     0,     0,     0,     0,     0,  2804,  2805,     0,     0,
       0,     0,     0,     0,     0,  1503,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,  1439,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
   -2571,  1440,   137,  1441,  1442,     0,   444,   445,   446,   447,
     448,  1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,
     454,   455,   456,  1447,     0,  1448,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,  4861,  1449,  1450,  1451,  1452,  1453,
    1454,  1455,   470,   471,   472,   473,   474,   475,  1456,  1457,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,  1459,   500,   501,   502,  1460,  1461,   503,     0,
     504,  1462,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,  1463,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,   175,     0,
     528,   529,   530,  1464,  1465,     0,  1466,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,  1467,   182,   541,     0,     0,   542,   543,   544,
    1468,  1469,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1470,   189,  1471,   557,   558,   191,
       0,   559,   560,   193,   561,  1473,  1474,   562,  1475,   563,
     564,   565,     0,   566,     0,     0,  1476,   568,   569,     0,
       0,   196,   197,   198,   199,  1477,   570,   571,   572,   573,
     574,   575,   576,     0,   577,  1478,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1479,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,  1480,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,  1481,   620,   217,   621,
     622,     0,   623,  1482,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,  1483,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,  1484,  1485,
       0,     0,   644,  1486,   645,  1487,  1488,   646,   647,   648,
     649,  4862,   651,   652,     0,  1489,   653,   654,   655,   656,
     657,  1490,     0,   658,   659,   660,   661,   662,   663,  1491,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,  1492,  1493,  1494,
    1495,  1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,
       0,     0,     0,     0,     0,  1500,  1501,     0,     0,     0,
       0,     0,     0,     0,  1503,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,     0,    45,  1438,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,  1439,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,   135,
    1440,   137,  1441,  1442,     0,   444,   445,   446,   447,   448,
    1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,   454,
     455,   456,  1447,     0,  1448,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   470,   471,   472,   473,   474,   475,  1456,  1457,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,  1459,   500,   501,   502,  1460,  1461,   503,     0,   504,
    1462,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,  1463,     0,   512,     0,   513,   514,
     515,   516,   517,   173,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   174,   175,     0,   528,
     529,   530,  1464,  1465,     0,  1466,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,  1467,   182,   541,   183,     0,   542,   543,   544,  1468,
    1469,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1470,   189,  1471,   557,   558,   191,     0,
     559,   560,   193,   561,  1473,  1474,   562,  1475,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,   197,   198,   199,  1477,   570,   571,   572,   573,   574,
     575,   576,     0,   577,  1478,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1479,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
    1480,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,  1481,   620,   217,   621,   622,
     219,   623,  1482,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,  1483,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1484,  1485,     0,
       0,   644,  1486,   645,  1487,  1488,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
    1490,     0,   658,   659,   660,   661,   662,   663,  1491,     0,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,     0,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,  1503,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,   425,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1435,  1436,
       0,    45,  1438,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,  1439,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,   135,  1440,   137,  1441,  1442,     0,
    3964,   445,   446,   447,   448,  1443,  1444,   449,   450,  1445,
    1446,   452,     0,   453,   454,   455,   456,  1447,     0,  1448,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,  1449,
    1450,  1451,  1452,  1453,  1454,  1455,   470,   471,   472,   473,
     474,   475,  1456,  1457,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,  1459,   500,   501,   502,
    1460,  1461,   503,     0,   504,  1462,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,  1463,
       0,   512,     0,   513,   514,   515,   516,   517,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,   175,     0,   528,   529,   530,  1464,  1465,     0,
    1466,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,  1467,   182,   541,   183,
       0,   542,   543,   544,  1468,  1469,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1470,   189,
    1471,   557,   558,   191,     0,   559,   560,   193,   561,  1473,
    1474,   562,  1475,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,   197,   198,   199,  1477,
     570,   571,   572,   573,   574,   575,   576,     0,   577,  1478,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1479,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,  1480,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
    1481,   620,   217,   621,   622,   219,   623,  1482,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
    1483,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1484,  1485,     0,     0,   644,  1486,   645,  1487,
    1488,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,  1490,     0,   658,   659,   660,
     661,   662,   663,  1491,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,  1492,  1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,
     675,   676,     0,     0,     0,   713,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,  1503,    98,
      99,   100,   101,   102,   103,   714,   104,   105,   415,   715,
       0,   107,   108,   109,   110,   716,   717,   112,   113,   114,
     115,     0,   116,   718,   719,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,  1439,     0,     0,
     437,   438,     0,   439,   440,   133,   441,   442,   443,     0,
    1440,   137,  1441,  1442,     0,   444,   445,   446,   447,   448,
    1443,  1444,   449,   450,  1445,  1446,   452,     0,   453,   454,
     455,   456,  1447,     0,  1448,     0,   457,   458,   459,   460,
     148,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,
    1455,   470,   471,   472,   473,   474,   475,  1456,  1457,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,  1458,   489,   490,     0,
     491,   492,   493,     0,   494,     0,     0,   496,   497,   498,
     499,  1459,   500,   501,   502,  1460,  1461,   503,     0,   504,
    1462,   505,     0,   506,     0,   507,   169,     0,   170,   508,
     509,   510,     0,   511,  1463,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,   174,   175,     0,   528,
     529,   530,  1464,  1465,     0,  1466,     0,   531,   178,   179,
     532,   180,   533,   534,   535,   536,   537,   538,   539,     0,
     540,  1467,   182,   541,     0,     0,   542,   543,   544,  1468,
    1469,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,  1470,   189,  1471,   557,   558,   191,     0,
     559,   560,   193,   561,  1473,  1474,   562,  1475,   563,   564,
     565,     0,   566,     0,     0,  1476,   568,   569,     0,     0,
     196,   197,   198,   199,  1477,   570,   571,   572,   573,   574,
     575,   576,     0,   577,  1478,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,  1479,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,   210,   605,   606,
    1480,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,  1481,   620,   217,   621,   622,
       0,   623,  1482,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,  1483,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1484,  1485,     0,
       0,   644,  1486,   645,  1487,  1488,   646,   647,   648,   649,
     650,   651,   652,     0,  1489,   653,   654,   655,   656,   657,
    1490,     0,   658,   659,   660,   661,   662,   663,  1491,     0,
     664,   235,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,
    1496,  1497,  1498,  1499,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,  1500,  1501,     0,     0,     0,     0,
       0,     0,     0,  1503,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1435,  1436,  1437,    45,  1438,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,  1439,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,     0,  1440,
     137,  1441,  1442,     0,   444,   445,   446,   447,   448,  1443,
    1444,   449,   450,  1445,  1446,   452,     0,   453,   454,   455,
     456,  1447,     0,  1448,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,
     470,   471,   472,   473,   474,   475,  1456,  1457,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1458,   489,   490,     0,   491,
     492,   493,     0,   494,     0,     0,   496,   497,   498,   499,
    1459,   500,   501,   502,  1460,  1461,   503,     0,   504,  1462,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,  1463,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,   175,     0,   528,   529,
     530,  1464,  1465,     0,  1466,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
    1467,   182,   541,     0,     0,   542,   543,   544,  1468,  1469,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1470,   189,  1471,   557,   558,   191,     0,   559,
     560,   193,   561,  1473,  1474,   562,  1475,   563,   564,   565,
       0,   566,     0,     0,  1476,   568,   569,     0,     0,   196,
     197,   198,   199,  1477,   570,   571,   572,   573,   574,   575,
     576,     0,   577,  1478,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,  1479,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,  1480,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,  1481,   620,   217,   621,   622,     0,
     623,  1482,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,  1483,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1484,  1485,     0,     0,
     644,  1486,   645,  1487,  1488,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,  1490,
       0,   658,   659,   660,   661,   662,   663,  1491,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,
    1497,  1498,  1499,   674,   675,   676,     0,     0,     0,     0,
       0,     0,     0,  2804,  2805,     0,     0,     0,     0,     0,
       0,     0,  1503,   713,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   714,   104,   105,   415,   715,     0,   107,
     108,   109,   110,   716,   717,   112,   113,   114,   115,     0,
     116,   718,   719,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,   133,   441,   442,   443,   135,   136,   137,
     138,   139,     0,   444,   445,   446,   447,   448,     0,  1444,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
    1447,     0,  1448,     0,   457,   458,   459,   460,   148,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   151,
     469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,  1460,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,   169,     0,   170,   508,   509,   510,
       0,   511,  1463,     0,   512,     0,   513,   514,   515,   516,
     517,   173,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   174,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,   178,   179,   532,   180,
     533,   534,   535,   536,   537,   538,   539,     0,   540,  1467,
     182,   541,   183,     0,   542,   543,   544,  1468,  1469,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,   189,   190,   557,   558,   191,     0,   559,   560,
     193,   561,     0,  1474,   562,   195,   563,   564,   565,     0,
     566,     0,  1059,   567,   568,   569,     0,     0,   196,   197,
     198,   199,  1477,   570,   571,   572,   573,   574,   575,   576,
       0,   577,  1478,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   210,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,   215,   615,   616,
     617,   618,   619,  1481,   620,   217,   621,   622,   219,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,  1483,     0,   635,   636,   223,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
    1486,   645,  1487,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,  1490,     0,
     658,   659,   660,   661,   662,  1361,   234,     0,   664,   235,
     665,   666,   667,     0,     0,   668,     0,   236,   669,   670,
     671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   674,   675,   676,     0,     0,     0,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,  3511,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,   135,   136,   137,   138,   139,     0,   444,   445,
     446,   447,   448,     0,  1444,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,  1447,     0,  1448,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,  1449,  1450,  1451,
    1452,  1453,  1454,  1455,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,  1460,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,  1463,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,  1467,   182,   541,   183,     0,   542,
     543,   544,  1468,  1469,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,   189,   190,   557,
     558,   191,     0,   559,   560,   193,   561,     0,  1474,   562,
     195,   563,   564,   565,     0,   566,     0,  1059,   567,   568,
     569,     0,     0,   196,   197,   198,   199,  1477,   570,   571,
     572,   573,   574,   575,   576,     0,   577,  1478,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,  1481,   620,
     217,   621,   622,   219,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,  1483,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,  1486,   645,  1487,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,  1490,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,  1492,
    1493,  1494,  1495,  1496,  1497,  1498,  1499,   674,   675,   676,
       0,     0,     0,   713,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,  3511,    98,    99,   100,
     101,   102,   103,   714,   104,   105,   415,   715,     0,   107,
     108,   109,   110,   716,   717,   112,   113,   114,   115,     0,
     116,   718,   719,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,   133,   441,   442,   443,   135,   136,   137,
     138,   139,     0,   444,   445,   446,   447,   448,     0,  1444,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
    1447,     0,  1448,     0,   457,   458,   459,   460,   148,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   151,
     469,     0,  1449,  1450,  1451,  1452,  1453,  1454,  1455,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,  1460,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,   169,     0,   170,   508,   509,   510,
       0,   511,  1463,     0,   512,     0,   513,   514,   515,   516,
     517,   173,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   174,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,   178,   179,   532,   180,
     533,   534,   535,   536,   537,   538,   539,     0,   540,  1467,
     182,   541,   183,     0,   542,   543,   544,  1468,  1469,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,   189,   190,   557,   558,   191,     0,   559,   560,
     193,   561,     0,  1474,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,   197,
     198,   199,  1477,   570,   571,   572,   573,   574,   575,   576,
       0,   577,  1478,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   210,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,  1481,   620,   217,   621,   622,   219,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,  1483,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
    1486,   645,  1487,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,  1490,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,   235,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,  1492,  1493,  1494,  1495,  1496,  1497,
    1498,  1499,   674,   675,   676,     0,     0,     0,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,  4080,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,   135,   136,   137,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,   145,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,     0,     0,     0,
     152,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,   182,   541,   183,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,   189,   190,   557,
     558,   191,     0,   559,   560,   193,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,   197,   198,   199,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,   219,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,     0,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,  4632,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,  4008,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0, -1428,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0, -1428,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527, -1428,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532, -1428,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
   -1428,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188, -1428,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604, -1428,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,     0,     0,     0,     0,     0,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,  1594,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,  3272,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,  2008,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,  2009,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,  2010,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,     0,     0,
       0,     0,     0,     0,   976,  1637,  4203,     0,     0,     0,
       0,     0,     0,  4204,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,     0,     0,     0,     0,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
    3786,  3787,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   130,   131,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,   215,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,   223,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
    1361,   234,     0,   664,  1362,   665,   666,   667,     0,     0,
     668,     0,   236,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,     0,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,    45,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,     0,     0,     0,     0,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,  3787,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,   215,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,   223,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
    1361,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,   236,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,     0,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,   246,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,   215,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,   223,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,  1361,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,   236,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,     0,     0,     0,     0,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,   246,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,     0,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,  1569,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,     0,     0,     0,     0,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,  2962,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,     0,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,  4035,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,     0,     0,     0,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,  4380,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1181,    45,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   720,   434,   435,   436,   721,   722,   723,   724,
     725,   726,   727,   437,   438,   728,   439,   440,   133,   441,
     442,   443,     0,  1857,   137,  1858,  1859,   729,   444,   445,
     446,   447,   448,   730,   731,   449,   450,  1860,  1861,   452,
     733,   453,   454,   455,   456,     0,   734,   145,   735,   457,
     458,   459,   460,   148,   461,   462,   737,   463,   464,   465,
     466,   467,   468,   738,   151,   469,     0,   740,   741,   742,
     152,   743,   744,   745,   470,   471,   472,   473,   474,   475,
    1862,  1863,   476,   746,   477,   747,   478,   479,   480,   481,
     482,   748,   483,   484,   485,   749,   750,   486,   487,  1458,
     489,   490,   751,   491,   492,   493,   752,   494,   495,   753,
     496,   497,   498,   499,     0,   500,   501,   502,     0,   754,
     503,   755,   504,  1864,   505,   756,   506,   757,   507,   169,
     758,   170,   508,   509,   510,   759,   511,     0,   760,   512,
     761,   513,   514,   515,   516,   517,   173,   518,   519,   520,
     762,   521,   522,   523,   524,   525,   526,   763,   527,   174,
       0,     0,   528,   529,   530,  1464,  1865,   766,  1866,   767,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,   768,   540,     0,   182,   541,   183,   769,   542,
     543,   544,   770,   771,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1867,   189,  1868,   557,
     558,     0,   772,   559,   560,   193,   561,   773,     0,   562,
    1869,   563,   564,   565,   774,   566,   775,   776,  3773,   568,
     569,   777,   778,     0,   197,   198,   199,     0,   570,   571,
     572,   573,   574,   575,   576,   779,   577,     0,   578,     0,
     579,   580,   581,   780,   582,   583,   584,   585,   586,   587,
     588,  1870,   589,   590,   591,   592,   781,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   782,   603,   604,
     210,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,   783,   615,   616,   617,   618,   619,   784,   620,
    2421,   621,   622,   219,   623,  1872,   624,   785,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,     0,   786,
     635,   636,   787,   637,   638,   639,   640,   641,   642,   788,
    1873,  1874,     0,   790,   644,     0,   645,     0,   791,   646,
     647,   648,   649,   650,   651,   652,     0,   793,   653,   654,
     655,   656,   657,   794,   795,   658,   659,   660,   661,   662,
       0,  1875,   797,   664,   235,   665,   666,   667,   798,   799,
     668,   800,   801,   669,   670,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   675,   676,
       0,     0,     0,  1184,  1185,  1186,     0,  3774,  3775,  1189,
    1190,  1191,  1192,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,  1182,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,  1183,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,     0,     0,     0,  1184,  1185,  1186,
       0,  1187,  1188,  1189,  1190,  1191,  1192,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
    1270,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,  1271,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,     0,     0,
       0,  1184,  1185,  1186,     0,  1187,  1188,  1189,  1190,  1191,
    1192,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,  1322,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,  1323,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  1324,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,     0,     0,     0,  1184,  1185,  1186,     0,  1187,
    1188,  1189,  1190,  1191,  1192,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,  1840,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,  1841,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,     0,     0,     0,  1184,
    1185,  1186,     0,  1187,  1188,  1189,  1190,  1191,  1192,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1181,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
       0,     0,     0,  1184,  1185,  1186,     0,  1187,  1188,  1189,
    1190,  1191,  1192,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,  3045,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,  3046,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,     0,     0,     0,  1184,  1185,  1186,
       0,  1187,  1188,  1189,  1190,  1191,  1192,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,  4616,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,     0,     0,
       0,  1184,  1185,  1186,     0,  1187,  1188,  1189,  1190,  1191,
    1192,   713,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   714,   104,   105,   415,   715,     0,   107,   108,   109,
     110,   716,   717,   112,   113,   114,   115,     0,   116,   718,
     719,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,   720,   434,   435,   436,   721,
     722,   723,   724,   725,   726,   727,   437,   438,   728,   439,
     440,   133,   441,   442,   443,   135,   136,   137,   138,   139,
     729,   444,   445,   446,   447,   448,   730,   731,   449,   450,
     732,   140,   452,   733,   453,   454,   455,   456,   144,   734,
     145,   735,   457,   458,   459,   460,   148,   461,   736,   737,
     463,   464,   465,   466,   467,   468,   738,   151,   469,   739,
     740,   741,   742,   152,   743,   744,   745,   470,   471,   472,
     473,   474,   475,   155,   156,   476,   746,   477,   747,   478,
     479,   480,   481,   482,   748,   483,   484,   485,   749,   750,
     486,   487,   488,   489,   490,   751,   491,   492,   493,   752,
     494,   495,   753,   496,   497,   498,   499,   164,   500,   501,
     502,   166,   754,   503,   755,   504,   168,   505,   756,   506,
     757,   507,   169,   758,   170,   508,   509,   510,   759,   511,
     172,   760,   512,   761,   513,   514,   515,   516,   517,   173,
     518,   519,   520,   762,   521,   522,   523,   524,   525,   526,
     763,   527,   174,   175,   764,   528,   529,   530,   765,   176,
     766,   177,   767,   531,   178,   179,   532,   180,   533,   534,
     535,   536,   537,   538,   539,   768,   540,   181,   182,   541,
     183,   769,   542,   543,   544,   770,   771,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
     189,   190,   557,   558,   191,   772,   559,   560,   193,   561,
     773,   194,   562,   195,   563,   564,   565,   774,   566,   775,
     776,   567,   568,   569,   777,   778,   196,   197,   198,   199,
     200,   570,   571,   572,   573,   574,   575,   576,   779,   577,
     201,   578,   202,   579,   580,   581,   780,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,   781,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     782,   603,   604,   210,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,   783,   615,   616,   617,   618,
     619,   784,   620,   217,   621,   622,   219,   623,   220,   624,
     785,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,   786,   635,   636,   787,   637,   638,   639,   640,
     641,   642,   788,   224,   225,   789,   790,   644,   226,   645,
     227,   791,   646,   647,   648,   649,   650,   651,   652,   792,
     793,   653,   654,   655,   656,   657,   794,   795,   658,   659,
     660,   661,   662,   796,   234,   797,   664,   235,   665,   666,
     667,   798,   799,   668,   800,   801,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,   713,    86,    87,    88,   412,    90,    91,
      92,   413,  2236,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   714,   104,   105,   415,   715,     0,   107,
     108,   109,   110,   716,   717,   112,   113,   114,   115,     0,
     116,   718,   719,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,   133,   441,   442,   443,     0,  1857,   137,
    1858,  1859,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,  1860,  1861,   452,     0,   453,   454,   455,   456,
       0,     0,   145,     0,   457,   458,   459,   460,   148,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   151,
     469,     0,     0,     0,     0,   152,     0,     0,     0,   470,
     471,   472,   473,   474,   475,  1862,  1863,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,  1458,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,     0,
     500,   501,   502,     0,     0,   503,     0,   504,  1864,   505,
       0,   506,     0,   507,   169,     0,   170,   508,   509,   510,
       0,   511,     0,     0,   512,     0,   513,   514,   515,   516,
     517,   173,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,   174,     0,     0,   528,   529,   530,
    1464,  1865,     0,  1866,     0,   531,   178,   179,   532,   180,
     533,   534,   535,   536,   537,   538,   539,     0,   540,     0,
     182,   541,   183,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,  1867,   189,  1868,   557,   558,     0,     0,   559,   560,
     193,   561,     0,     0,   562,  1869,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,     0,   197,
     198,   199,     0,   570,   571,   572,   573,   574,   575,   576,
       0,   577,     0,   578,     0,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,  1870,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,   210,   605,   606,     0,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,  1871,   621,   622,   219,   623,
    1872,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,     0,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,  1873,  1874,     0,     0,   644,
       0,   645,     0,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,     0,  1875,     0,   664,   235,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   674,   675,   676,     0,    86,    87,    88,   412,
      90,    91,    92,   413,  2335,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,     0,    86,    87,
      88,   412,    90,    91,    92,   413,  1066,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,     0,
      86,    87,    88,   412,    90,    91,    92,   413,  4484,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,  2224,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
    2008,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,  2009,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,  2010,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,   976,  1637,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,  2229,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
    2008,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,  2009,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,  2010,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,   976,  1637,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
    2008,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,  2009,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,  2010,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,   976,  1637,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   965,   428,   429,   430,
     431,   432,   433,   966,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     967,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   968,   168,   505,     0,   506,     0,   969,
       0,   970,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   971,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     972,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     973,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   974,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   975,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,   976,   977,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   965,   428,   429,   430,
     431,   432,   433,   966,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     998,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   968,   168,   505,     0,   506,     0,   999,
       0,   970,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   971,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     972,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     973,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   974,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   975,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,   976,   977,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,  1372,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,   970,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   971,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,   976,   977,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
      45,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,  1377,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,   970,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,   971,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,     0,     0,     0,     0,     0,   976,   977,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,   425,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,   698,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,  1540,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,     0,     0,  1037,  1541,    86,    87,    88,   412,    90,
      91,    92,   413,  1038,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,  1039,   450,  1013,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,  1040,     0,  1041,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,  1042,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1043,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,  1044,   606,   212,
     607,   608,   609,  1045,   611,   612,   613,   614,     0,   615,
     616,   617,   618,  1046,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1047,   225,     0,     0,
    1048,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,  1017,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,  1049,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     720,   434,   435,   436,   721,   722,   723,   724,   725,   726,
     727,   437,   438,   728,   439,   440,   133,   441,   442,   443,
     135,   136,   137,   138,   139,   729,   444,   445,   446,   447,
     448,   730,   731,   449,   450,   732,   140,   452,   733,   453,
     454,   455,   456,   144,   734,   145,   735,   457,   458,   459,
     460,   148,   461,   736,   737,   463,   464,   465,   466,   467,
     468,   738,   151,   469,   739,   740,   741,   742,   152,   743,
     744,   745,   470,   471,   472,   473,   474,   475,   155,   156,
     476,   746,   477,   747,   478,   479,   480,   481,   482,   748,
     483,   484,   485,   749,   750,   486,   487,   488,   489,   490,
     751,   491,   492,   493,   752,   494,   495,   753,   496,   497,
     498,   499,   164,   500,   501,   502,   166,   754,   503,   755,
     504,   168,   505,   756,   506,   757,   507,   169,   758,   170,
     508,   509,   510,   759,   511,   172,   760,   512,   761,   513,
     514,   515,   516,   517,   173,   518,   519,   520,   762,   521,
     522,   523,   524,   525,   526,   763,   527,   174,   175,   764,
     528,   529,   530,   765,   176,   766,   177,   767,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
     768,   540,   181,   182,   541,   183,   769,   542,   543,   544,
     770,   771,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,   189,   190,   557,   558,   191,
     772,   559,   560,   193,   561,   773,   194,   562,   195,   563,
     564,   565,   774,   566,   775,   776,   567,   568,   569,   777,
     778,   196,   197,   198,   199,   200,   570,   571,   572,   573,
     574,   575,   576,   779,   577,   201,   578,   202,   579,   580,
     581,   780,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,   781,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   782,   603,   604,   210,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
     783,   615,   616,   617,   618,   619,   784,   620,   217,   621,
     622,   219,   623,   220,   624,   785,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,   786,   635,   636,
     787,   637,   638,   639,   640,   641,   642,   788,   224,   225,
     789,   790,   644,   226,   645,   227,   791,   646,   647,   648,
     649,   650,   651,   652,   792,   793,   653,   654,   655,   656,
     657,   794,   795,   658,   659,   660,   661,   662,   796,   234,
     797,   664,   235,   665,   666,   667,   798,   799,   668,   800,
     801,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   720,   434,   435,   436,   721,   722,   723,   724,
     725,   726,   727,   437,   438,   728,   439,   440,   133,   441,
     442,   443,   135,   136,   137,   138,   139,   729,   444,   445,
     446,   447,   448,   730,   731,   449,   450,   732,   140,   452,
     733,   453,   454,   455,   456,   144,   734,   145,   735,   457,
     458,   459,   460,   148,   461,   736,   737,   463,   464,   465,
     466,   467,   468,   738,   151,   469,   739,   740,   741,   742,
     152,   743,   744,   745,   470,   471,   472,   473,   474,   475,
     155,   156,   476,   746,   477,   747,   478,   479,   480,   481,
     482,   748,   483,   484,   485,   749,   750,   486,   487,   488,
     489,   490,   751,   491,   492,   493,   752,   494,   495,   753,
     496,   497,   498,   499,   164,   500,   501,   502,   166,   754,
     503,   755,   504,   168,   505,   756,   506,   757,   507,   169,
     758,   170,   508,   509,   510,   759,   511,   172,   760,   512,
     761,   513,   514,   515,   516,   517,   173,   518,   519,   520,
     762,   521,   522,   523,   524,   525,   526,   763,   527,   174,
     175,   764,   528,   529,   530,   765,   176,   766,   177,   767,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,   768,   540,   181,   182,   541,   183,   769,   542,
     543,   544,   770,   771,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,   189,   190,   557,
     558,   191,   772,   559,   560,   193,   561,   773,   194,   562,
     195,   563,   564,   565,   774,   566,   775,   776,   567,   568,
     569,   777,   778,   196,   197,   198,   199,   200,   570,   571,
     572,   573,   574,   575,   576,   779,   577,   201,   578,   202,
     579,   580,   581,   780,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,   781,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   782,   603,   604,
     210,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,   783,   615,   616,   617,   618,   619,   784,   620,
     217,   621,   622,   219,   623,   220,   624,   785,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,   786,
     635,   636,   787,   637,   638,   639,   640,   641,   642,   788,
     224,   225,   789,   790,   644,   226,   645,   227,   791,   646,
     647,   648,   649,   650,   651,   652,   792,   793,   653,   654,
     655,   656,   657,   794,   795,   658,   659,   660,   661,   662,
     796,   234,   797,   664,   235,   665,   666,   667,   798,   799,
     668,   800,   801,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
    3110,   431,   432,   433,   720,   434,   435,   436,   721,   722,
     723,   724,   725,   726,   727,   437,   438,   728,   439,   440,
     133,   441,   442,   443,   135,   136,   137,   138,   139,   729,
     444,   445,   446,   447,   448,   730,   731,   449,   450,   732,
     140,   452,   733,   453,   454,   455,   456,   144,   734,   145,
     735,   457,   458,   459,   460,   148,   461,   736,   737,   463,
     464,   465,   466,   467,   468,   738,   151,   469,   739,   740,
     741,   742,   152,   743,   744,   745,   470,   471,   472,   473,
     474,   475,   155,   156,   476,   746,   477,   747,   478,   479,
     480,   481,   482,   748,   483,   484,   485,   749,   750,   486,
     487,   488,  3111,   490,   751,   491,   492,   493,   752,   494,
     495,   753,   496,   497,   498,   499,   164,   500,   501,   502,
     166,   754,   503,   755,   504,   168,   505,   756,   506,   757,
     507,   169,   758,   170,   508,   509,   510,   759,   511,   172,
     760,   512,   761,   513,   514,   515,   516,   517,   173,   518,
     519,   520,   762,   521,   522,   523,   524,   525,   526,   763,
     527,   174,   175,   764,   528,   529,   530,   765,   176,   766,
     177,   767,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,   768,   540,   181,   182,   541,   183,
     769,   542,   543,   544,   770,   771,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,   189,
     190,   557,   558,   191,   772,   559,   560,   193,   561,   773,
     194,   562,   195,   563,   564,   565,   774,   566,   775,   776,
     567,   568,   569,   777,   778,   196,   197,   198,   199,   200,
     570,   571,   572,   573,   574,   575,   576,   779,   577,   201,
     578,   202,   579,   580,   581,   780,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,   781,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   782,
     603,   604,   210,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,   783,   615,   616,   617,   618,   619,
     784,  3112,   217,   621,   622,   219,   623,   220,   624,   785,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,   786,   635,   636,   787,   637,   638,   639,   640,   641,
     642,   788,   224,   225,   789,   790,   644,   226,   645,   227,
     791,   646,   647,   648,   649,   650,   651,   652,   792,   793,
     653,   654,   655,   656,   657,   794,   795,   658,   659,   660,
     661,   662,   796,   234,   797,   664,   235,   665,   666,   667,
     798,   799,   668,   800,   801,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443,   135,   136,   137,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,   145,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
       0,     0,     0,     0,   152,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
     173,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,   182,
     541,   183,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,   189,   190,   557,   558,   191,     0,   559,   560,   193,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,   197,   198,
     199,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,   219,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,   135,   136,
     137,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,   145,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,     0,     0,     0,   152,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,  1307,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,   182,   541,   183,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,   189,   190,   557,   558,   191,     0,   559,
     560,   193,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
     197,   198,   199,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,   219,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
     135,   136,   137,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,   145,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,     0,     0,     0,   152,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  1316,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,   182,   541,   183,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,   189,   190,   557,   558,   191,
       0,   559,   560,   193,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,   197,   198,   199,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,   219,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,     0,  1857,   137,  1858,  1859,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,  1860,  1861,   452,
       0,   453,   454,   455,   456,     0,     0,   145,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,     0,     0,     0,
     152,     0,     0,     0,   470,   471,   472,   473,   474,   475,
    1862,  1863,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,  1458,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,     0,   500,   501,   502,     0,     0,
     503,     0,   504,  1864,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,     0,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
    2418,   521,   522,   523,   524,   525,   526,     0,   527,   174,
    2419,     0,   528,   529,   530,  1464,  1865,     0,  1866,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,     0,   182,   541,   183,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1867,   189,  1868,   557,
     558,     0,     0,   559,   560,   193,   561,     0,     0,   562,
    1869,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,  2420,   197,   198,   199,     0,   570,   571,
     572,   573,   574,   575,   576,     0,   577,     0,   578,     0,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,  1870,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
    2421,   621,   622,   219,   623,  1872,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,     0,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1873,  1874,     0,     0,   644,     0,   645,     0,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
       0,  1875,  2422,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   675,   676,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,     0,  1857,   137,  1858,  1859,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,  1860,
    1861,   452,     0,   453,   454,   455,   456,     0,     0,   145,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,     0,
       0,     0,   152,     0,     0,     0,   470,   471,   472,   473,
     474,   475,  1862,  1863,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,     0,   500,   501,   502,
       0,     0,   503,     0,   504,  1864,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,     0,
       0,   512,     0,   513,   514,   515,   516,   517,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,     0,     0,   528,   529,   530,  1464,  1865,     0,
    1866,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,     0,   182,   541,   183,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1867,   189,
    1868,   557,   558,     0,     0,   559,   560,   193,   561,  2406,
       0,   562,  1869,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,     0,   197,   198,   199,     0,
     570,   571,   572,   573,   574,   575,   576,     0,   577,     0,
     578,     0,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1870,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,  2421,   621,   622,   219,   623,  1872,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
       0,     0,   635,   636,  3871,   637,   638,   639,   640,   641,
     642,     0,  1873,  1874,     0,     0,   644,     0,   645,     0,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,     0,  1875,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   674,
     675,   676,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443,     0,  1857,   137,  1858,
    1859,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,  1860,  1861,   452,     0,   453,   454,   455,   456,     0,
       0,   145,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
       0,     0,     0,     0,   152,     0,     0,     0,   470,   471,
     472,   473,   474,   475,  1862,  1863,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,  1458,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,     0,   500,
     501,   502,     0,     0,   503,     0,   504,  1864,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,     0,     0,   512,     0,   513,   514,   515,   516,   517,
     173,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,     0,     0,   528,   529,   530,  1464,
    1865,     0,  1866,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,     0,   182,
     541,   183,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
    1867,   189,  1868,   557,   558,  2468,     0,   559,   560,   193,
     561,     0,     0,   562,  1869,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,     0,   197,   198,
     199,     0,   570,   571,   572,   573,   574,   575,   576,     0,
     577,     0,   578,     0,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,  1870,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,  1871,   621,   622,   219,   623,  1872,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,     0,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,  1873,  1874,     0,     0,   644,     0,
     645,     0,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,     0,  1875,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,   675,   676,   713,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   714,   104,   105,   415,   715,     0,
     107,   108,   109,   110,   716,   717,   112,   113,   114,   115,
       0,   116,   718,   719,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,   133,   441,   442,   443,     0,  1857,
     137,  1858,  1859,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,  1860,  1861,   452,     0,   453,   454,   455,
     456,     0,     0,   145,     0,   457,   458,   459,   460,   148,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     151,   469,     0,     0,     0,     0,   152,     0,     0,     0,
     470,   471,   472,   473,   474,   475,  1862,  1863,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,  1458,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
       0,   500,   501,   502,     0,     0,   503,     0,   504,  1864,
     505,     0,   506,     0,   507,   169,     0,   170,   508,   509,
     510,     0,   511,     0,     0,   512,     0,   513,   514,   515,
     516,   517,   173,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,   174,     0,     0,   528,   529,
     530,  1464,  1865,     0,  1866,     0,   531,   178,   179,   532,
     180,   533,   534,   535,   536,   537,   538,   539,     0,   540,
       0,   182,   541,   183,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,  1867,   189,  1868,   557,   558,  3695,     0,   559,
     560,   193,   561,     0,     0,   562,  1869,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,     0,
     197,   198,   199,     0,   570,   571,   572,   573,   574,   575,
     576,     0,   577,     0,   578,     0,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,  1870,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,   210,   605,   606,     0,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,  1871,   621,   622,   219,
     623,  1872,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,     0,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1873,  1874,     0,     0,
     644,     0,   645,     0,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,     0,  1875,     0,   664,
     235,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   674,   675,   676,   713,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   714,   104,   105,   415,
     715,     0,   107,   108,   109,   110,   716,   717,   112,   113,
     114,   115,     0,   116,   718,   719,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,   133,   441,   442,   443,
       0,  1857,   137,  1858,  1859,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,  1860,  1861,   452,     0,   453,
     454,   455,   456,     0,     0,   145,     0,   457,   458,   459,
     460,   148,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   151,   469,     0,     0,     0,     0,   152,     0,
       0,     0,   470,   471,   472,   473,   474,   475,  1862,  1863,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,  1458,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,     0,   500,   501,   502,     0,     0,   503,     0,
     504,  1864,   505,     0,   506,     0,   507,   169,     0,   170,
     508,   509,   510,     0,   511,     0,     0,   512,     0,   513,
     514,   515,   516,   517,   173,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,   174,     0,     0,
     528,   529,   530,  1464,  1865,     0,  1866,     0,   531,   178,
     179,   532,   180,   533,   534,   535,   536,   537,   538,   539,
       0,   540,     0,   182,   541,   183,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,  1867,   189,  1868,   557,   558,     0,
       0,   559,   560,   193,   561,     0,     0,   562,  1869,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,     0,   197,   198,   199,     0,   570,   571,   572,   573,
     574,   575,   576,     0,   577,     0,   578,     0,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,  1870,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,   210,   605,
     606,     0,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,  1871,   621,
     622,   219,   623,  1872,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,     0,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,  1873,  1874,
       0,     0,   644,     0,   645,     0,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,     0,  1875,
       0,   664,   235,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   674,   675,   676,   713,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   714,   104,
     105,   415,   715,     0,   107,   108,   109,   110,   716,   717,
     112,   113,   114,   115,     0,   116,   718,   719,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,   133,   441,
     442,   443,     0,  1857,   137,  1858,  1859,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,  1860,  1861,   452,
       0,   453,   454,   455,   456,     0,     0,   145,     0,   457,
     458,   459,   460,   148,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   151,   469,     0,     0,     0,     0,
     152,     0,     0,     0,   470,   471,   472,   473,   474,   475,
    1862,  1863,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,  1458,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,     0,   500,   501,   502,     0,     0,
     503,     0,   504,  1864,   505,     0,   506,     0,   507,   169,
       0,   170,   508,   509,   510,     0,   511,     0,     0,   512,
       0,   513,   514,   515,   516,   517,   173,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,   174,
       0,     0,   528,   529,   530,  1464,  1865,     0,  1866,     0,
     531,   178,   179,   532,   180,   533,   534,   535,   536,   537,
     538,   539,     0,   540,     0,   182,   541,   183,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,  1867,   189,  1868,   557,
     558,     0,     0,   559,   560,   193,   561,     0,     0,   562,
    1869,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,     0,   197,   198,   199,     0,   570,   571,
     572,   573,   574,   575,   576,     0,   577,     0,   578,     0,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,  1870,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
     210,   605,   606,     0,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
    2421,   621,   622,   219,   623,  1872,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,     0,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1873,  1874,     0,     0,   644,     0,   645,     0,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
       0,  1875,     0,   664,   235,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,   675,   676,
     713,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     714,   104,   105,   415,   715,     0,   107,   108,   109,   110,
     716,   717,   112,   113,   114,   115,     0,   116,   718,   719,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
     133,   441,   442,   443,     0,  1857,   137,  1858,  1859,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,  1860,
    1861,   452,     0,   453,   454,   455,   456,     0,     0,   145,
       0,   457,   458,   459,   460,   148,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   151,   469,     0,     0,
       0,     0,   152,     0,     0,     0,   470,   471,   472,   473,
     474,   475,  1862,  1863,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,  1458,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,     0,   500,   501,   502,
       0,     0,   503,     0,   504,  1864,   505,     0,   506,     0,
     507,   169,     0,   170,   508,   509,   510,     0,   511,     0,
       0,   512,     0,   513,   514,   515,   516,   517,   173,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,   174,     0,     0,   528,   529,   530,  1464,  1865,     0,
    1866,     0,   531,   178,   179,   532,   180,   533,   534,   535,
     536,   537,   538,   539,     0,   540,     0,   182,   541,   183,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,  1867,   189,
    1868,   557,   558,     0,     0,   559,   560,   193,   561,     0,
       0,   562,  1869,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,     0,   197,   198,   199,     0,
     570,   571,   572,   573,   574,   575,   576,     0,   577,     0,
     578,     0,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,  1870,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,   210,   605,   606,     0,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,     0,   621,   622,   219,   623,  1872,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
       0,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1873,  1874,     0,     0,   644,     0,   645,     0,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,     0,  1875,     0,   664,   235,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   674,
     675,   676,   713,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   714,   104,   105,   415,   715,     0,   107,   108,
     109,   110,   716,   717,   112,   113,   114,   115,     0,   116,
     718,   719,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,   133,   441,   442,   443,     0,     0,   137,     0,
       0,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,     0,     0,   452,     0,   453,   454,   455,   456,     0,
       0,   145,     0,   457,   458,   459,   460,   148,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   151,   469,
       0,     0,     0,     0,   152,     0,     0,     0,   470,   471,
     472,   473,   474,   475,     0,     0,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,     0,   500,
     501,   502,     0,     0,   503,     0,   504,     0,   505,     0,
     506,     0,   507,   169,     0,   170,   508,   509,   510,     0,
     511,     0,     0,   512,     0,   513,   514,   515,   516,   517,
     173,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,   174,     0,     0,   528,   529,   530,     0,
       0,     0,     0,     0,   531,   178,   179,   532,   180,   533,
     534,   535,   536,   537,   538,   539,     0,   540,     0,   182,
     541,   183,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
       0,   189,     0,   557,   558,     0,     0,   559,   560,   193,
     561,     0,     0,   562,     0,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,     0,   197,   198,
     199,     0,   570,   571,   572,   573,   574,   575,   576,     0,
     577,     0,   578,     0,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,     0,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,   210,   605,   606,     0,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,     0,   621,   622,   219,   623,     0,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,     0,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,     0,     0,     0,     0,   644,     0,
     645,     0,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,     0,     0,     0,   664,   235,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   720,   434,   435,
     436,   721,   722,   723,   724,   725,   726,   727,   437,   438,
     728,   439,   440,   133,   441,   442,   443,   135,   136,   137,
     138,   139,   729,   444,   445,   446,   447,   448,   730,   731,
     449,   450,     0,   140,   452,   733,   453,   454,   455,   456,
     144,   734,   145,   735,   457,   458,   459,   460,   148,   461,
     736,   737,   463,   464,   465,   466,   467,   468,   738,   151,
     469,     0,   740,   741,   742,   152,   743,   744,   745,   470,
     471,   472,   473,     0,   475,   155,   156,   476,   746,   477,
     747,   478,   479,   480,   481,   482,   748,   483,   484,   485,
     749,   750,   486,   487,   488,   489,   490,   751,   491,   492,
     493,   752,   494,   495,   753,   496,   497,   498,   499,   164,
     500,   501,   502,   166,   754,   503,   755,   504,   168,   505,
     756,   506,   757,   507,   169,   758,   170,   508,   509,   510,
     759,   511,   172,   760,   512,   761,   513,   514,     0,   516,
     517,   173,   518,   519,   520,   762,   521,   522,   523,   524,
     525,   526,   763,   527,   174,   175,     0,   528,   529,   530,
       0,   176,   766,   177,   767,   531,   178,   179,   532,   180,
     533,   534,   535,   536,   537,   538,   539,   768,   540,   181,
     182,   541,   183,   769,   542,   543,   544,   770,   771,   545,
     546,   547,   548,   549,     0,   551,   552,     0,   554,   555,
     556,   188,   189,   190,   557,   558,   191,   772,   559,   560,
     193,   561,   773,   194,   562,   195,   563,   564,   565,   774,
     566,   775,   776,   567,   568,   569,   777,   778,   196,   197,
     198,   199,   200,   570,   571,   572,   573,   574,   575,   576,
     779,   577,   201,   578,   202,   579,   580,   581,   780,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,   781,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   782,   603,   604,   210,   605,   606,   212,   607,
     608,   609,   610,   611,   612,     0,   614,   783,   615,   616,
     617,   618,   619,   784,   620,   217,   621,   622,   219,   623,
     220,   624,   785,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,   786,   635,   636,   787,   637,   638,
     639,   640,   641,   642,   788,   224,   225,     0,   790,   644,
     226,   645,   227,   791,   646,   647,   648,   649,   650,   651,
     652,     0,   793,   653,   654,   655,   656,   657,   794,   795,
     658,   659,   660,   661,   662,     0,   234,   797,   664,   235,
     665,   666,   667,   798,   799,   668,   800,   801,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,     0,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,  2008,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,  2009,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,  2010,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,   643,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,  1128,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,   425,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,  2209,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,  2359,   453,   454,   455,   456,   144,     0,     0,  2434,
     457,   458,   459,   460,     0,   461,   462,  2360,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,  2435,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,  2362,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,  2363,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,  2364,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,  2359,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,  2360,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,  2435,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,  2362,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,  3308,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,  2363,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,  2364,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,  1026,   432,   433,   985,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,   986,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,  1027,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,   987,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,   988,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
    1988,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,   985,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,   986,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,  3013,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,   987,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,   988,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,  2359,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,  2360,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,  2435,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,  2362,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
    2363,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,  2364,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
     696,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,   697,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,   698,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,   985,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,   986,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,   987,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,   988,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,   901,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,   425,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,   902,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   903,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,  2043,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,  2044,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,  2045,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,  2046,   507,
       0,     0,     0,  2047,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,  2048,  2049,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,  2050,   611,
     612,   613,   614,     0,  2051,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,  2052,   637,  2053,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,  2054,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,   986,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,   987,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,   988,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,   130,
     131,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,  1362,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,  2032,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,  2317,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,  2890,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,  2891,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,  2892,   637,   638,  2893,
     640,  2894,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,  2895,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
     425,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,   705,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,   698,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,   425,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,   853,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,   425,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
    1299,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,  2523,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,  2524,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,   130,   131,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,  3094,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,  3095,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,  3106,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,  3107,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,   425,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,   425,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   907,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
     425,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   949,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,   425,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
    1002,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,  1059,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  1202,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,  1059,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,  1543,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,  1715,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,  1059,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,  1940,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,  2032,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,  2317,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,  3375,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,  4008,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,  4021,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,  4239,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
    4241,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,  4243,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,   517,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,  4619,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,  1010,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,  1012,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,  1013,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,     0,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,   517,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,  1014,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,  1015,   225,     0,     0,  1016,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,  1017,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,  1053,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
    1013,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,     0,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,   517,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
    1054,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,  1055,   225,     0,     0,  1056,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,  1017,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,  1073,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
    1178,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,  1199,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,  1208,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  1210,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,  1261,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,  1282,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,  1312,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  1318,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,  1327,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,  1329,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
    1331,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,  1333,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,  1336,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,  1338,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,  1339,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,  1342,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,  1554,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,  1039,   450,  1013,   140,  1555,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,     0,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,   517,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1043,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,  1044,   606,   212,   607,   608,   609,  1045,   611,   612,
     613,   614,     0,   615,   616,   617,   618,  1547,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
    1047,   225,     0,     0,  1048,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
    1017,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,  1049,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
    1679,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,   517,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  1903,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,  1930,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,   449,
     450,   451,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,  1964,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,   605,   606,   212,   607,   608,
     609,   610,   611,   612,   613,   614,     0,   615,   616,   617,
     618,   619,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,   224,   225,     0,     0,   644,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,   663,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,   673,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
     449,   450,   451,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
    1966,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,   605,   606,   212,   607,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,   638,
     639,   640,   641,   642,     0,   224,   225,     0,     0,   644,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,   663,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,   673,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,   449,   450,   451,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,  1968,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,   605,   606,   212,
     607,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,   224,   225,     0,     0,
     644,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,   663,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,   673,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,   449,   450,   451,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,   605,   606,
     212,   607,   608,  2080,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,   224,   225,     0,
       0,   644,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,   663,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,   673,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,  2284,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,   607,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,     0,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,   412,    90,    91,    92,   413,     0,   414,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     415,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   416,   417,     0,
       0,     0,   418,   419,     0,     0,     0,     0,   420,     0,
       0,     0,     0,     0,     0,     0,     0,   421,     0,   422,
       0,   423,   424,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   426,   427,   428,   429,   430,   431,   432,
     433,     0,   434,   435,   436,     0,     0,     0,     0,     0,
       0,     0,   437,   438,     0,   439,   440,     0,   441,   442,
     443,   135,   136,     0,   138,   139,     0,   444,   445,   446,
     447,   448,     0,     0,   449,   450,   451,   140,   452,     0,
     453,   454,   455,   456,   144,     0,     0,     0,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,     0,   469,     0,     0,     0,     0,     0,
       0,     0,     0,   470,   471,   472,   473,   474,   475,   155,
     156,   476,     0,   477,     0,   478,   479,   480,   481,   482,
       0,   483,   484,   485,     0,     0,   486,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   494,   495,     0,   496,
     497,   498,   499,   164,   500,   501,   502,   166,     0,   503,
       0,   504,   168,   505,     0,   506,     0,   507,     0,     0,
       0,   508,   509,   510,     0,   511,   172,     0,   512,     0,
     513,   514,   515,   516,  2654,     0,   518,   519,   520,     0,
     521,   522,   523,   524,   525,   526,     0,   527,     0,   175,
       0,   528,   529,   530,     0,   176,     0,   177,     0,   531,
       0,     0,   532,     0,   533,   534,   535,   536,   537,   538,
     539,     0,   540,   181,     0,   541,     0,     0,   542,   543,
     544,     0,     0,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   188,     0,   190,   557,   558,
     191,     0,   559,   560,     0,   561,     0,   194,   562,   195,
     563,   564,   565,     0,   566,     0,     0,   567,   568,   569,
       0,     0,   196,     0,     0,     0,   200,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   201,   578,   202,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     204,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,   603,   604,     0,
     605,   606,   212,   607,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,     0,   620,   217,
     621,   622,     0,   623,   220,   624,     0,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   222,     0,   635,
     636,     0,   637,   638,   639,   640,   641,   642,     0,   224,
     225,     0,     0,   644,   226,   645,   227,     0,   646,   647,
     648,   649,   650,   651,   652,     0,     0,   653,   654,   655,
     656,   657,     0,     0,   658,   659,   660,   661,   662,   663,
     234,     0,   664,     0,   665,   666,   667,     0,     0,   668,
       0,     0,   669,   670,   671,   672,   673,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   674,   675,   676,    86,
      87,    88,   412,    90,    91,    92,   413,     0,   414,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   415,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   416,   417,
       0,     0,     0,   418,   419,     0,     0,     0,     0,   420,
       0,     0,     0,     0,     0,     0,     0,     0,   421,     0,
     422,     0,   423,   424,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,   428,   429,   430,   431,
     432,   433,     0,   434,   435,   436,     0,     0,     0,     0,
       0,     0,     0,   437,   438,     0,   439,   440,     0,   441,
     442,   443,   135,   136,     0,   138,   139,     0,   444,   445,
     446,   447,   448,     0,     0,   449,   450,   451,   140,   452,
       0,   453,   454,   455,   456,   144,     0,     0,     0,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,     0,   469,     0,     0,     0,     0,
       0,     0,     0,     0,   470,   471,   472,   473,   474,   475,
     155,   156,   476,     0,   477,     0,   478,   479,   480,   481,
     482,     0,   483,   484,   485,     0,     0,   486,   487,   488,
     489,   490,     0,   491,   492,   493,     0,   494,   495,     0,
     496,   497,   498,   499,   164,   500,   501,   502,   166,     0,
     503,     0,   504,   168,   505,     0,   506,     0,   507,     0,
       0,     0,   508,   509,   510,     0,   511,   172,     0,   512,
       0,   513,   514,   515,   516,  3024,     0,   518,   519,   520,
       0,   521,   522,   523,   524,   525,   526,     0,   527,     0,
     175,     0,   528,   529,   530,     0,   176,     0,   177,     0,
     531,     0,     0,   532,     0,   533,   534,   535,   536,   537,
     538,   539,     0,   540,   181,     0,   541,     0,     0,   542,
     543,   544,     0,     0,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   188,     0,   190,   557,
     558,   191,     0,   559,   560,     0,   561,     0,   194,   562,
     195,   563,   564,   565,     0,   566,     0,     0,   567,   568,
     569,     0,     0,   196,     0,     0,     0,   200,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   201,   578,   202,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   204,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,   603,   604,
       0,   605,   606,   212,   607,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,     0,   620,
     217,   621,   622,     0,   623,   220,   624,     0,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   222,     0,
     635,   636,     0,   637,   638,   639,   640,   641,   642,     0,
     224,   225,     0,     0,   644,   226,   645,   227,     0,   646,
     647,   648,   649,   650,   651,   652,     0,     0,   653,   654,
     655,   656,   657,     0,     0,   658,   659,   660,   661,   662,
     663,   234,     0,   664,     0,   665,   666,   667,     0,     0,
     668,     0,     0,   669,   670,   671,   672,   673,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   674,   675,   676,
      86,    87,    88,   412,    90,    91,    92,   413,     0,   414,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   415,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   416,
     417,     0,     0,     0,   418,   419,     0,     0,     0,     0,
     420,     0,     0,     0,     0,     0,     0,     0,     0,   421,
       0,   422,     0,   423,   424,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   426,   427,   428,   429,   430,
     431,   432,   433,     0,   434,   435,   436,     0,     0,     0,
       0,     0,     0,     0,   437,   438,     0,   439,   440,     0,
     441,   442,   443,   135,   136,     0,   138,   139,     0,   444,
     445,   446,   447,   448,     0,     0,   449,   450,   451,   140,
     452,     0,   453,   454,   455,   456,   144,     0,     0,     0,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,     0,   469,     0,     0,     0,
       0,     0,     0,     0,     0,   470,   471,   472,   473,   474,
     475,   155,   156,   476,     0,   477,     0,   478,   479,   480,
     481,   482,     0,   483,   484,   485,     0,     0,   486,   487,
     488,   489,   490,     0,   491,   492,   493,     0,   494,   495,
       0,   496,   497,   498,   499,   164,   500,   501,   502,   166,
       0,   503,     0,   504,   168,   505,     0,   506,     0,   507,
       0,     0,     0,   508,   509,   510,     0,   511,   172,     0,
     512,     0,   513,   514,   515,   516,  3097,     0,   518,   519,
     520,     0,   521,   522,   523,   524,   525,   526,     0,   527,
       0,   175,     0,   528,   529,   530,     0,   176,     0,   177,
       0,   531,     0,     0,   532,     0,   533,   534,   535,   536,
     537,   538,   539,     0,   540,   181,     0,   541,     0,     0,
     542,   543,   544,     0,     0,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   188,     0,   190,
     557,   558,   191,     0,   559,   560,     0,   561,     0,   194,
     562,   195,   563,   564,   565,     0,   566,     0,     0,   567,
     568,   569,     0,     0,   196,     0,     0,     0,   200,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   201,   578,
     202,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   204,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,   603,
     604,     0,   605,   606,   212,   607,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,     0,
     620,   217,   621,   622,     0,   623,   220,   624,     0,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   222,
       0,   635,   636,     0,   637,   638,   639,   640,   641,   642,
       0,   224,   225,     0,     0,   644,   226,   645,   227,     0,
     646,   647,   648,   649,   650,   651,   652,     0,     0,   653,
     654,   655,   656,   657,     0,     0,   658,   659,   660,   661,
     662,   663,   234,     0,   664,     0,   665,   666,   667,     0,
       0,   668,     0,     0,   669,   670,   671,   672,   673,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   674,   675,
     676,    86,    87,    88,   412,    90,    91,    92,   413,     0,
     414,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   415,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     416,   417,     0,     0,     0,   418,   419,     0,     0,     0,
       0,   420,     0,     0,     0,     0,     0,     0,     0,     0,
     421,     0,   422,     0,   423,   424,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   426,   427,   428,   429,
     430,   431,   432,   433,     0,   434,   435,   436,     0,     0,
       0,     0,     0,     0,     0,   437,   438,     0,   439,   440,
       0,   441,   442,   443,   135,   136,     0,   138,   139,     0,
     444,   445,   446,   447,   448,     0,     0,   449,   450,   451,
     140,   452,     0,   453,   454,   455,   456,   144,     0,     0,
       0,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,     0,   469,     0,     0,
       0,     0,     0,     0,     0,     0,   470,   471,   472,   473,
     474,   475,   155,   156,   476,     0,   477,     0,   478,   479,
     480,   481,   482,     0,   483,   484,   485,     0,     0,   486,
     487,   488,   489,   490,     0,   491,   492,   493,     0,   494,
     495,     0,   496,   497,   498,   499,   164,   500,   501,   502,
     166,     0,   503,     0,   504,   168,   505,     0,   506,     0,
     507,     0,     0,     0,   508,   509,   510,     0,   511,   172,
       0,   512,     0,   513,   514,   515,   516,  3099,     0,   518,
     519,   520,     0,   521,   522,   523,   524,   525,   526,     0,
     527,     0,   175,     0,   528,   529,   530,     0,   176,     0,
     177,     0,   531,     0,     0,   532,     0,   533,   534,   535,
     536,   537,   538,   539,     0,   540,   181,     0,   541,     0,
       0,   542,   543,   544,     0,     0,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   188,     0,
     190,   557,   558,   191,     0,   559,   560,     0,   561,     0,
     194,   562,   195,   563,   564,   565,     0,   566,     0,     0,
     567,   568,   569,     0,     0,   196,     0,     0,     0,   200,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   201,
     578,   202,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   204,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
     603,   604,     0,   605,   606,   212,   607,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
       0,   620,   217,   621,   622,     0,   623,   220,   624,     0,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     222,     0,   635,   636,     0,   637,   638,   639,   640,   641,
     642,     0,   224,   225,     0,     0,   644,   226,   645,   227,
       0,   646,   647,   648,   649,   650,   651,   652,     0,     0,
     653,   654,   655,   656,   657,     0,     0,   658,   659,   660,
     661,   662,   663,   234,     0,   664,     0,   665,   666,   667,
       0,     0,   668,     0,     0,   669,   670,   671,   672,   673,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   674,
     675,   676,    86,    87,    88,   412,    90,    91,    92,   413,
       0,   414,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   415,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   416,   417,     0,     0,     0,   418,   419,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,   421,     0,   422,     0,   423,   424,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   434,   435,   436,     0,
       0,     0,     0,     0,     0,     0,   437,   438,     0,   439,
     440,     0,   441,   442,   443,   135,   136,     0,   138,   139,
       0,   444,   445,   446,   447,   448,     0,     0,   449,   450,
     451,   140,   452,     0,   453,   454,   455,   456,   144,     0,
       0,     0,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,     0,   469,     0,
       0,     0,     0,     0,     0,     0,     0,   470,   471,   472,
     473,   474,   475,   155,   156,   476,     0,   477,     0,   478,
     479,   480,   481,   482,     0,   483,   484,   485,     0,     0,
     486,   487,   488,   489,   490,     0,   491,   492,   493,     0,
     494,   495,     0,   496,   497,   498,   499,   164,   500,   501,
     502,   166,     0,   503,     0,   504,   168,   505,     0,   506,
       0,   507,     0,     0,     0,   508,   509,   510,     0,   511,
     172,     0,   512,     0,   513,   514,   515,   516,  3191,     0,
     518,   519,   520,     0,   521,   522,   523,   524,   525,   526,
       0,   527,     0,   175,     0,   528,   529,   530,     0,   176,
       0,   177,     0,   531,     0,     0,   532,     0,   533,   534,
     535,   536,   537,   538,   539,     0,   540,   181,     0,   541,
       0,     0,   542,   543,   544,     0,     0,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   188,
       0,   190,   557,   558,   191,     0,   559,   560,     0,   561,
       0,   194,   562,   195,   563,   564,   565,     0,   566,     0,
       0,   567,   568,   569,     0,     0,   196,     0,     0,     0,
     200,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     201,   578,   202,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   204,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,   603,   604,     0,   605,   606,   212,   607,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,     0,   620,   217,   621,   622,     0,   623,   220,   624,
       0,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   222,     0,   635,   636,     0,   637,   638,   639,   640,
     641,   642,     0,   224,   225,     0,     0,   644,   226,   645,
     227,     0,   646,   647,   648,   649,   650,   651,   652,     0,
       0,   653,   654,   655,   656,   657,     0,     0,   658,   659,
     660,   661,   662,   663,   234,     0,   664,     0,   665,   666,
     667,     0,     0,   668,     0,     0,   669,   670,   671,   672,
     673,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     674,   675,   676,    86,    87,    88,   412,    90,    91,    92,
     413,     0,   414,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   415,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   416,   417,     0,     0,     0,   418,   419,     0,
       0,     0,     0,   420,     0,     0,     0,     0,     0,     0,
       0,     0,   421,     0,   422,     0,   423,   424,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   426,   427,
     428,   429,   430,   431,   432,   433,     0,   434,   435,   436,
       0,     0,     0,     0,     0,     0,     0,   437,   438,     0,
     439,   440,     0,   441,   442,   443,   135,   136,     0,   138,
     139,     0,   444,   445,   446,   447,   448,     0,     0,  1039,
     450,  1013,   140,   452,     0,   453,   454,   455,   456,   144,
       0,     0,     0,   457,   458,   459,   460,     0,   461,     0,
       0,   463,   464,   465,   466,   467,   468,     0,     0,   469,
       0,     0,     0,     0,     0,     0,     0,     0,   470,   471,
     472,   473,   474,   475,   155,   156,   476,     0,   477,     0,
     478,   479,   480,   481,   482,     0,   483,   484,   485,     0,
       0,   486,   487,   488,   489,   490,     0,   491,   492,   493,
       0,   494,   495,     0,   496,   497,   498,   499,   164,   500,
     501,   502,   166,     0,   503,     0,   504,   168,   505,     0,
     506,     0,   507,     0,     0,     0,   508,   509,   510,     0,
     511,   172,     0,   512,     0,   513,   514,   515,   516,   517,
       0,   518,   519,   520,     0,   521,   522,   523,   524,   525,
     526,     0,   527,     0,   175,     0,   528,   529,   530,     0,
     176,     0,   177,     0,   531,     0,     0,   532,     0,   533,
     534,   535,   536,   537,   538,   539,     0,   540,   181,     0,
     541,     0,     0,   542,   543,   544,     0,     0,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1043,
     188,     0,   190,   557,   558,   191,     0,   559,   560,     0,
     561,     0,   194,   562,   195,   563,   564,   565,     0,   566,
       0,     0,   567,   568,   569,     0,     0,   196,     0,     0,
       0,   200,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   201,   578,   202,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   204,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,   603,   604,     0,  1044,   606,   212,   607,   608,
     609,  1045,   611,   612,   613,   614,     0,   615,   616,   617,
     618,  1547,     0,   620,   217,   621,   622,     0,   623,   220,
     624,     0,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   222,     0,   635,   636,     0,   637,   638,   639,
     640,   641,   642,     0,  1047,   225,     0,     0,  1048,   226,
     645,   227,     0,   646,   647,   648,   649,   650,   651,   652,
       0,     0,   653,   654,   655,   656,   657,     0,     0,   658,
     659,   660,   661,   662,  1017,   234,     0,   664,     0,   665,
     666,   667,     0,     0,   668,     0,     0,   669,   670,   671,
     672,  1049,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   674,   675,   676,    86,    87,    88,   412,    90,    91,
      92,   413,     0,   414,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   415,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   416,   417,     0,     0,     0,   418,   419,
       0,     0,     0,     0,   420,     0,     0,     0,     0,     0,
       0,     0,     0,   421,     0,   422,     0,   423,   424,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   426,
     427,   428,   429,   430,   431,   432,   433,     0,   434,   435,
     436,     0,     0,     0,     0,     0,     0,     0,   437,   438,
       0,   439,   440,     0,   441,   442,   443,   135,   136,     0,
     138,   139,     0,   444,   445,   446,   447,   448,     0,     0,
    1039,   450,  1013,   140,   452,     0,   453,   454,   455,   456,
     144,     0,     0,     0,   457,   458,   459,   460,     0,   461,
       0,     0,   463,   464,   465,   466,   467,   468,     0,     0,
     469,     0,     0,     0,     0,     0,     0,     0,     0,   470,
     471,   472,   473,   474,   475,   155,   156,   476,     0,   477,
       0,   478,   479,   480,   481,   482,     0,   483,   484,   485,
       0,     0,   486,   487,   488,   489,   490,     0,   491,   492,
     493,     0,   494,   495,     0,   496,   497,   498,   499,   164,
     500,   501,   502,   166,     0,   503,     0,   504,   168,   505,
       0,   506,     0,   507,     0,     0,     0,   508,   509,   510,
       0,   511,   172,     0,   512,     0,   513,   514,   515,   516,
     517,     0,   518,   519,   520,     0,   521,   522,   523,   524,
     525,   526,     0,   527,     0,   175,     0,   528,   529,   530,
       0,   176,     0,   177,     0,   531,     0,     0,   532,     0,
     533,   534,   535,   536,   537,   538,   539,     0,   540,   181,
       0,   541,     0,     0,   542,   543,   544,     0,     0,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1043,   188,     0,   190,   557,   558,   191,     0,   559,   560,
       0,   561,     0,   194,   562,   195,   563,   564,   565,     0,
     566,     0,     0,   567,   568,   569,     0,     0,   196,     0,
       0,     0,   200,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   201,   578,   202,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   204,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,   603,   604,     0,  1044,   606,   212,   607,
     608,   609,  1045,   611,   612,   613,   614,     0,   615,   616,
     617,   618,  1547,     0,   620,   217,   621,   622,     0,   623,
     220,   624,     0,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   222,     0,   635,   636,     0,   637,  2350,
     639,   640,   641,   642,     0,  1047,   225,     0,     0,  1048,
     226,   645,   227,     0,   646,   647,   648,   649,   650,   651,
     652,     0,     0,   653,   654,   655,   656,   657,     0,     0,
     658,   659,   660,   661,   662,  1017,   234,     0,   664,     0,
     665,   666,   667,     0,     0,   668,     0,     0,   669,   670,
     671,   672,  1049,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   674,   675,   676,    86,    87,    88,   412,    90,
      91,    92,   413,     0,   414,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   415,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   416,   417,     0,     0,     0,   418,
     419,     0,     0,     0,     0,   420,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,   422,     0,   423,   424,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     426,   427,   428,   429,   430,   431,   432,   433,     0,   434,
     435,   436,     0,     0,     0,     0,     0,     0,     0,   437,
     438,     0,   439,   440,     0,   441,   442,   443,   135,   136,
       0,   138,   139,     0,   444,   445,   446,   447,   448,     0,
       0,  1039,   450,  1013,   140,   452,     0,   453,   454,   455,
     456,   144,     0,     0,     0,   457,   458,   459,   460,     0,
     461,     0,     0,   463,   464,   465,   466,   467,   468,     0,
       0,   469,     0,     0,     0,     0,     0,     0,     0,     0,
     470,   471,   472,   473,   474,   475,   155,   156,   476,     0,
     477,     0,   478,   479,   480,   481,   482,     0,   483,   484,
     485,     0,     0,   486,   487,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   495,     0,   496,   497,   498,   499,
     164,   500,   501,   502,   166,     0,   503,     0,   504,   168,
     505,     0,   506,     0,   507,     0,     0,     0,   508,   509,
     510,     0,   511,   172,     0,   512,     0,   513,   514,   515,
     516,   517,     0,   518,   519,   520,     0,   521,   522,   523,
     524,   525,   526,     0,   527,     0,   175,     0,   528,   529,
     530,     0,   176,     0,   177,     0,   531,     0,     0,   532,
       0,   533,   534,   535,   536,   537,   538,   539,     0,   540,
     181,     0,   541,     0,     0,   542,   543,   544,     0,     0,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1043,   188,     0,   190,   557,   558,   191,     0,   559,
     560,     0,   561,     0,   194,   562,   195,   563,   564,   565,
       0,   566,     0,     0,   567,   568,   569,     0,     0,   196,
       0,     0,     0,   200,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   201,   578,   202,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   204,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,   603,   604,     0,  1044,   606,   212,
     607,   608,   609,  2410,   611,   612,   613,   614,     0,   615,
     616,   617,   618,  2411,     0,   620,   217,   621,   622,     0,
     623,   220,   624,     0,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   222,     0,   635,   636,     0,   637,
     638,   639,   640,   641,   642,     0,  1047,   225,     0,     0,
    2412,   226,   645,   227,     0,   646,   647,   648,   649,   650,
     651,   652,     0,     0,   653,   654,   655,   656,   657,     0,
       0,   658,   659,   660,   661,   662,  1017,   234,     0,   664,
       0,   665,   666,   667,     0,     0,   668,     0,     0,   669,
     670,   671,   672,  1049,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   674,   675,   676,    86,    87,    88,   412,
      90,    91,    92,   413,     0,   414,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   415,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   416,   417,     0,     0,     0,
     418,   419,     0,     0,     0,     0,   420,     0,     0,     0,
       0,     0,     0,     0,     0,   421,     0,   422,     0,   423,
     424,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   426,   427,   428,   429,   430,   431,   432,   433,     0,
     434,   435,   436,     0,     0,     0,     0,     0,     0,     0,
     437,   438,     0,   439,   440,     0,   441,   442,   443,   135,
     136,     0,   138,   139,     0,   444,   445,   446,   447,   448,
       0,     0,  1039,   450,  1013,   140,   452,     0,   453,   454,
     455,   456,   144,     0,     0,     0,   457,   458,   459,   460,
       0,   461,     0,     0,   463,   464,   465,   466,   467,   468,
       0,     0,   469,     0,     0,     0,     0,     0,     0,     0,
       0,   470,   471,   472,   473,   474,   475,   155,   156,   476,
       0,   477,     0,   478,   479,   480,   481,   482,     0,   483,
     484,   485,     0,     0,   486,   487,   488,   489,   490,     0,
     491,   492,   493,     0,   494,   495,     0,   496,   497,   498,
     499,   164,   500,   501,   502,   166,     0,   503,     0,   504,
     168,   505,     0,   506,     0,   507,     0,     0,     0,   508,
     509,   510,     0,   511,   172,     0,   512,     0,   513,   514,
     515,   516,   517,     0,   518,   519,   520,     0,   521,   522,
     523,   524,   525,   526,     0,   527,     0,   175,     0,   528,
     529,   530,     0,   176,     0,   177,     0,   531,     0,     0,
     532,     0,   533,   534,   535,   536,   537,   538,   539,     0,
     540,   181,     0,   541,     0,     0,   542,   543,   544,     0,
       0,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1043,   188,     0,   190,   557,   558,   191,     0,
     559,   560,     0,   561,     0,   194,   562,   195,   563,   564,
     565,     0,   566,     0,     0,   567,   568,   569,     0,     0,
     196,     0,     0,     0,   200,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   201,   578,   202,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   204,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,   603,   604,     0,  1044,   606,
     212,   607,   608,   609,  1045,   611,   612,   613,   614,     0,
     615,   616,   617,   618,  2411,     0,   620,   217,   621,   622,
       0,   623,   220,   624,     0,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   222,     0,   635,   636,     0,
     637,   638,   639,   640,   641,   642,     0,  1047,   225,     0,
       0,  2412,   226,   645,   227,     0,   646,   647,   648,   649,
     650,   651,   652,     0,     0,   653,   654,   655,   656,   657,
       0,     0,   658,   659,   660,   661,   662,  1017,   234,     0,
     664,     0,   665,   666,   667,     0,     0,   668,     0,     0,
     669,   670,   671,   672,  1049,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   674,   675,   676,    86,    87,    88,
     412,    90,    91,    92,   413,     0,   414,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   415,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   416,   417,     0,     0,
       0,   418,   419,     0,     0,     0,     0,   420,     0,     0,
       0,     0,     0,     0,     0,     0,   421,     0,   422,     0,
     423,   424,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   426,   427,   428,   429,   430,   431,   432,   433,
       0,   434,   435,   436,     0,     0,     0,     0,     0,     0,
       0,   437,   438,     0,   439,   440,     0,   441,   442,   443,
     135,   136,     0,   138,   139,     0,   444,   445,   446,   447,
     448,     0,     0,   449,   450,   451,   140,   452,     0,   453,
     454,   455,   456,   144,     0,     0,     0,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,   470,   471,   472,   473,   474,   475,   155,   156,
     476,     0,   477,     0,   478,   479,   480,   481,   482,     0,
     483,   484,   485,     0,     0,   486,   487,   488,   489,   490,
       0,   491,   492,   493,     0,   494,   495,     0,   496,   497,
     498,   499,   164,   500,   501,   502,   166,     0,   503,     0,
     504,   168,   505,     0,   506,     0,   507,     0,     0,     0,
     508,   509,   510,     0,   511,   172,     0,   512,     0,   513,
     514,   515,   516,   517,     0,   518,   519,   520,     0,   521,
     522,   523,   524,   525,   526,     0,   527,     0,   175,     0,
     528,   529,   530,     0,   176,     0,   177,     0,   531,     0,
       0,   532,     0,   533,   534,   535,   536,   537,   538,   539,
       0,   540,   181,     0,   541,     0,     0,   542,   543,   544,
       0,     0,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   188,     0,   190,   557,   558,   191,
       0,   559,   560,     0,   561,     0,   194,   562,   195,   563,
     564,   565,     0,   566,     0,     0,   567,   568,   569,     0,
       0,   196,     0,     0,     0,   200,   570,   571,   572,   573,
       0,   575,   576,     0,   577,   201,   578,   202,   579,   580,
     581,     0,   582,   583,   584,   585,   586,     0,   588,   204,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,   603,   604,     0,   605,
     606,   212,     0,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,     0,   620,   217,   621,
     622,     0,   623,   220,   624,     0,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   222,     0,   635,   636,
       0,   637,   638,   639,   640,   641,   642,     0,   224,   225,
       0,     0,   644,   226,   645,   227,     0,   646,   647,   648,
     649,   650,   651,   652,     0,     0,   653,   654,   655,   656,
     657,     0,     0,   658,   659,   660,   661,   662,   663,   234,
       0,   664,     0,   665,   666,   667,     0,     0,   668,     0,
       0,   669,   670,   671,   672,   673,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   674,   675,   676,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   115, -2325,   116,   117,   118,     0,     0,     0,
       0,     0,   121,   122,     0,     0,     0,     0,   123,     0,
       0,     0,     0,     0,     0,     0,     0,   124,     0,   125,
       0,   126,   127,    35,     0,   407,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   162,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,   212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   217,
       0,     0,   219,     0,   220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   224,
     225,     0,     0,     0,   226,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,   230,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     234,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2326,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,  1123,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     196,   197,   198,   199,   200,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,     0,     0,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   217,     0,     0,
     219,     0,   220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   204,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,   219,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   181,   182,     0,
     183,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,     0,     0,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,   219,     0,   220,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,   226,     0,
     227,     0,     0,     0,     0,     0,     0,     0,     0,   230,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   234,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   196,   197,   198,   199,   200,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   201,     0,
     202,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   237,
     238,   239,   240,   241,   242,   243,   244,   245
};

static const yytype_int16 yycheck[] =
{
       2,   359,  1094,   246,    78,  1089,  1356,    78,  1317,   209,
      78,   228,  1041,   167,  1057,    78,    78,   154,   153,    94,
     876,  1325,  1366,     2,  1159,   117,  1396,   223,  1702,  1219,
    1575,  1736,   836,   187,  1272,   986,   987,   988,  1887,  1321,
      96,   992,   150,  1281,  1197,  1201,  2047,  1871,  1254,  1415,
     106,  1997,  1485,  1428,  2559,   913,  1209,   132,  1741,   171,
     165,  1456,  1457,    78,   711,   160,   203,  1741,  2748,    84,
     162,  1048,   876,   929,  2426,  2427,    78,  2198,   153,   154,
    1475,  1830,    84,   375,  1745,     2,   142,    78,   163,   375,
    1889,   165,  3331,  2905,  3060,  3270,   132,   209,  1631,  1632,
    1633,   157,  1308,  1754,  1927,  1912,  1259,  1785,  3110,  1262,
    3112,  1912,  1912,  2248,  1267,   117,  1912,  1912,  1912,  1736,
    1596,  1274,  2467,  2085,   712,   929,  1200,  2514,   203,  1203,
    1283,  3564,  1793,  3239,   347,  2962,  1136,  1211,   230,  3252,
    1685,   361,   954,  2728,  2901,  2902,  3252,  1798,  1799,  3511,
    2903,   153,  1136,  1503,  3615,   361,    78,  3659,  3608,  3851,
     162,  3834,    84,  1986,  3516,  3517,  3872,  1728,   167,  1626,
    1627,  1357,    89,  1348,  3815,   216,  2838,  2899,  1689,  1209,
    1175,  4282,  2291,  1379,  1086,  3576,  1044,  1936,   187,  4085,
    3449,  1445,  1446,    21,  1929,   117,    30,  3256,  3257,  3258,
    3259,  3260,  3261,   946,    88,  1086,   208,   121,  1131,  1132,
      10,    72,   818,   128,   216,   108,   218,  1471,   128,   156,
    4545,  2330,   135,    88,  3787,  2334,   128,    84,   230,   114,
      78,  4421,    72,  2955,    78,   222,   153,   114,   112,   182,
     162,   145,   159,   149,   180,   228,    86,     8,   113,  2594,
      11,    12,   173,   266,   901,  4526,   236,    75,    76,    77,
      78,    22,    23,    24,    82,    26,    27,    72,   185,   112,
      31,    32,    33,    75,    76,    77,    78,    29,   143,    14,
      82,    86,   319,    95,   209,    75,    76,    77,    78,   324,
     117,   141,    82,   367,   266,   352,   367,   227,   319,   367,
    2149,  1252,    37,  3062,   367,   367,  2968,   266,   230,   184,
      75,    76,    77,    78,  1357,   182,   111,    82,  2663,   296,
    2665,  3782,    75,    76,    77,    78,   117,   270,   229,    82,
      72,   173,   179,   227,   222,   162,   411,    72,   233,    81,
      75,    76,    77,    78,    86,   102,    81,    82,    83,    84,
     153,    86,    75,    76,    77,    78,    78,   227,   378,    82,
     375,   227,    78,  4860,   145,   184,   309,    90,  2475,  1559,
     135,   162,   153,   375,   229,   137,   367,   218,   115,    99,
      72,  1237,   431,    88,  2385,   197,   106,   266,    71,    81,
     180,  1038,   267,  1528,    86,   410,    79,    80,   199,   136,
       0,  1117,   257,   230,    75,    76,    77,    78,   410,   145,
     387,    82,   173,    99,   357,   185,  4687,   208,   145,    90,
     106,  2528,   471,   187,   325,   216,   204,   218,    25,  4530,
     450,  4928,   173,  1237,   182,   372,    99,   227,   473,   230,
     227,  1874,    99,   106,   285,   207,   503,   314,   267,  4090,
     143,   246,   160,   375,    75,    76,    77,    78,   373,  2568,
     100,    82,   224,   373,  1180,   307,   503,  1862,  1863,   103,
     104,   373,   322,   398,  1869,   455,    38,   266,    40,   451,
    1523,   369,   503,  1341,    75,    76,    77,    78,   410,   247,
     260,    82,   451,   506,    75,    76,    77,    78,   419,    90,
     185,    82,    75,    76,    77,    78,   258,    14,   643,    82,
    3269,    75,    76,    77,    78,    78,   503,    90,    82,   367,
     503,  1564,  1565,   367,   232,   429,    90,    72,   820,  1838,
      75,    76,    77,    78,   820,   441,    81,    82,  1842,    25,
     301,    86,   416,  3602,  4734,  1133,  1134,  1153,    75,    76,
      77,    78,   429,   410,   490,    82,  1368,   694,   695,    75,
      76,    77,    78,   506,  4889,    93,    82,   175,   643,   506,
    3683,   456,   451,   416,  1432,  4846,   506,  3683,   356,  4850,
      75,    76,    77,    78,   431,   346,   149,    82,   350,   503,
     503,   506,   226,  4285,   228,   456,   506,  2421,    75,    76,
      77,    78,   165,  1346,   506,    82,  1860,  1861,   135,   503,
     503,   506,  4253,   370,  1868,   499,  1854,  4888,  4079,   694,
     695,   261,   160,   451,   471,   382,   429,  1833,  1781,   117,
    1783,  2430,   240,   503,   499,  1791,   711,   449,  1828,   429,
     506,   643,  1716,  2188,    88,   367,   842,  2192,   429,  4011,
    1366,   367,  3827,  4015,   494,   495,   456,  4298,  4221,  4222,
    4223,  4224,  4225,   503,   465,   262,   374,   501,  2038,   497,
      85,  3846,  3017,  4064,   162,  3934,   433,   438,   419,   449,
    4781,   209,   444,   246,   404,   503,   343,   451,   296,   494,
     495,   299,   827,   429,   232,   460,  1554,    88,  1851,   501,
     490,   503,   429,   505,   128,   453,  3211,   460,  1990,  3214,
    3215,  1613,   955,  3218,  3526,   505,   505,  4613,   404,   506,
     208,  2426,  1645,  3228,   816,   503,   643,  3079,   216,  3081,
     218,  1089,  1613,   868,  2084,  2085,  2397,  3796,   503,  1769,
    1735,   404,   230,   956,  2479,  2095,  4847,   309,   506,  2099,
     503,  2434,   494,   495,   266,  4538,   307,  2107,  2108,   494,
     495,   469,   857,  2045,   449,   422,   903,   424,   227,  1357,
    2120,  2121,  2054,   173,   266,  4416,   262,   469,  3531,   387,
     503,  2131,  4423,    75,    76,    77,    78,   922,   247,  3511,
      82,   496,   497,   498,   499,  2916,   504,   180,   361,   507,
      95,   997,   494,   495,   367,   820,   107,   266,   501,   185,
     173,   965,   505,   967,   816,   969,   221,  2003,   820,  1994,
    2929,   975,   824,  2019,   268,  1256,   901,   461,   903,  2025,
     832,    88,   503,  2344,   307,  2292,   374,  2294,   209,   180,
     322,  1557,   180,   951,   998,   999,  1562,  1563,   382,   470,
     955,   319,   380,    95,  2415,   119,   113,  2111,  2112,  1079,
     235,   863,    75,    76,    77,    78,   173,  1063,   489,    82,
     398,  3216,  3217,  1079,   949,   173,   484,   268,   953,   180,
     954,   151,   503,    95,   260,   219,   143,  3239,   208,   470,
    3612,   236,   429,   266,   816,   503,   952,  1093,   820,   433,
    3252,   309,   197,   117,   455,   907,   162,  2590,   489,  1765,
     325,   967,   503,   969,   151,   917,  3882,   227,  3580,   189,
     380,   175,   503,   979,   926,   501,    95,   236,   248,   505,
     503,   469,   101,  4380,  2639,  4382,   227,    71,  4491,   503,
     345,   858,   998,   999,   946,    79,    80,   355,   162,   373,
     495,  2629,   189,   490,   227,   197,   247,   151,  2001,   451,
     329,  1765,   307,  1038,  1069,  1040,   504,   946,   967,   507,
     969,   309,   306,   314,   230,   266,   503,  3329,  1174,   243,
    4672,   173,  1933,   247,  1415,   197,   240,   503,   180,   816,
     231,  4697,   451,   393,   506,   189,   913,   914,   307,   998,
     999,  1042,  1718,   378,  1040,  1046,   389,  4790,   503,  4371,
    1726,    14,   485,   389,  4376,  4367,   230,  4379,   152,   227,
     284,   503,  2051,  2052,   175,   816,   503,   398,   197,   946,
      75,    76,    77,    78,  1036,   503,   419,    82,  4499,   247,
    1042,   336,   296,   503,  1046,   299,   384,   288,   507,  1064,
     494,   495,   496,   497,   498,   499,   419,  1773,   266,  4298,
    1776,  1777,  1064,    75,    76,    77,    78,   337,   202,  1071,
      82,  2920,   367,   449,   457,   490,   491,   492,   451,   494,
     495,   496,   497,   498,   499,  1002,   469,    71,    72,   240,
    4782,    75,    76,    77,    78,    79,    80,    81,    82,  4652,
     337,   396,    86,   494,   495,   496,   497,   498,   499,   151,
     455,   451,   419,  1030,  1970,  4117,  4789,   309,   252,   429,
     503,   419,  1039,  1839,   336,   367,  1043,  1044,  1045,   227,
      99,    99,   151,   387,   507,   968,   400,   506,  1117,   972,
     973,   974,  1064,   337,  4591,   296,   455,   189,   299,   982,
    4791,   134,   135,   423,    88,   367,   429,  1136,   367,   454,
     451,  4611,   507,   503,  4625,   129,  1970,   336,   228,   824,
     189,   128,   229,   137,  4676,   206,  1167,   832,   147,   113,
     490,   422,  2577,   424,   396,   154,   423,   396,   329,   490,
    2233,  4621,  4622,   396,  2006,   505,   180,  1292,   367,   185,
     501,  1180,   503,   504,   505,   506,   447,   341,   863,   143,
     197,   503,   181,   329,  1131,  1132,   507,   409,  1209,  1136,
     412,  4033,  1224,   369,   192,   329,  4588,   396,    99,   423,
     484,  4043,  1234,   264,   336,  4062,   387,   229,  3743,   496,
     497,   498,   499,   451,  3749,  3750,  3751,  3752,  3753,  3754,
     398,  1042,  1683,   227,  1256,  1046,    75,    76,    77,    78,
    1503,  2117,   917,    82,    22,   367,   180,  4024,   325,   314,
     386,   926,  2510,   247,   260,   461,  4029,  3076,   338,   230,
    4741,   265,   251,   192,  3083,   194,   384,  1289,  4041,  4011,
     503,   206,   266,  4015,  1368,   337,   175,    85,   329,   507,
      88,   449,   505,   218,   288,  4738,  4739,   222,   442,   323,
     230,   503,   174,  2117,    72,  1371,   450,  1373,   337,   453,
    1376,   192,  1378,   469,   288,  1381,  1382,  1383,   816,  2329,
    3915,  3683,  1763,   484,   268,  4448,  1253,  4512,  1394,  1414,
     327,   401,  4448,  1345,  1346,  2329,  1348,  2656,    25,   264,
     307,  1407,   503,  1409,  1356,   412,  4817,   121,    35,  2433,
     506,   240,  2666,   504,   462,   506,  1345,  1346,   137,  1348,
     285,  3372,  1585,  3078,  2612,  2613,  2614,  2615,  2660,  1599,
    1600,   423,  1602,  1675,   371,  4815,  2624,  1366,   250,  1675,
     382,   954,   955,  1599,  1600,   309,  1602,   469,   410,   411,
     504,   160,   506,  1834,   423,  2479,   321,   171,   419,   396,
     319,   180,   443,  1415,   329,  2003,   373,   296,   227,  1615,
     268,    95,  1853,  2773,  1341,   336,  2500,   101,  1345,  1346,
       2,  1348,   160,   336,   506,   323,  4869,   137,   247,   396,
     391,  1443,  3404,   412,  2650,   437,   336,  4908,   152,  1366,
     436,   179,  3587,   153,  2930,  2529,   367,   134,  3845,   183,
     183,  3078,   380,   449,   367,  1540,  1541,    97,  1899,   420,
    1472,   391,  2822,   232,   218,   323,  3154,   451,   222,  3286,
     268,  1573,   210,    78,   121,  3286,  3286,   117,  4663,    84,
    3286,  3286,  3286,   396,  1411,   259,   335,   201,  1500,  1501,
     420,  1503,  3163,  2853,  1540,  1541,   396,   207,   387,    85,
     494,   495,    88,   332,  1516,  1432,  1079,   185,  1520,   439,
     244,   244,   117,   197,   224,   218,  1957,   273,   443,   197,
    2386,   449,   153,   507,   171,  3358,  1369,   325,  2888,  1372,
     309,   285,  1375,   307,  1377,   314,  3891,  1380,  3893,   429,
     240,  1384,  4791,   161,  1042,  1557,   418,   419,  1046,   180,
     494,   495,   496,   497,   498,   499,   429,   162,  1643,  1224,
    1572,  1573,   431,   277,   278,  4387,  4388,   321,  1557,  1234,
    4546,   350,  2386,  1562,  1563,   262,   183,   291,  1505,   504,
     155,   172,   285,  2309,   363,   167,  1792,  1689,  1515,  1601,
     503,   236,   816,  1605,  1606,   503,   296,  1643,  1525,    88,
     367,  1626,  1627,   501,   371,   187,    85,   505,  1713,    88,
     228,   385,   259,  1625,  1626,  1627,   506,  4629,   321,   194,
     247,   261,   336,   231,  1289,   230,     5,  1554,  4318,   396,
    1557,  1558,   349,   506,   109,  1562,  1563,   244,   256,  4371,
     350,  1573,  3022,   367,  4376,   507,    25,  4379,  1637,   357,
    1675,   389,   336,   271,   143,  3316,    35,  1682,  3319,   182,
     307,   247,   307,  1675,   282,   444,   382,  2324,   451,   347,
    1682,  1683,   396,  1662,  1663,  4190,  4191,  1689,   309,  3084,
     288,   419,   268,   367,  1696,  4417,   304,   387,    14,   126,
     398,   336,   506,  1625,  1626,  1627,   494,   495,   496,   497,
     498,   499,   469,  3246,   295,   323,   297,   421,  4445,   423,
    2151,    37,   396,   188,   431,   490,  1728,   433,  1645,   457,
     503,  4411,   367,  4413,  1736,   349,  4702,    88,   382,  1718,
     505,   469,  4469,  3047,   444,   172,  1573,  1726,   385,   325,
     367,   449,    95,  1675,   371,  4100,  4101,   270,   101,   336,
    1682,  1763,   113,   356,   471,   134,  2482,  1689,   161,   377,
      75,    76,    77,    78,  2490,   503,  2492,    82,  1769,   396,
     375,   172,  1573,   192,  2642,   194,   451,   371,   381,   433,
     367,  4603,   143,   222,  1773,    81,   309,  1776,  1777,   268,
      86,  4424,  1894,   232,   507,  1368,   182,    75,    76,    77,
      78,   470,   396,  1815,    82,   410,  4538,   431,   247,   396,
     455,  2679,   249,  1958,   422,    85,   424,   196,    88,   502,
     489,  3037,  1834,   506,  1625,   228,    72,  3636,   503,    75,
      76,    77,    78,   451,   357,    81,    82,    83,    84,   447,
      86,  1853,   469,   113,   197,    85,   325,   471,    88,   119,
    1839,   252,  1689,   256,  2060,   463,  4588,  3616,   295,  1871,
     297,   192,  1789,   194,    88,   105,  1439,  2077,   271,   296,
     307,  4504,   299,   143,    75,    76,    77,    78,  3426,   282,
     403,    82,  1894,   262,   270,   216,  1459,  1899,  1689,   113,
     309,    41,  2007,   336,   295,  1696,   297,  3063,   335,   469,
     319,   304,  3450,   390,   490,   491,   492,  2946,   494,   495,
     496,   497,   498,   499,  4045,  3295,  1489,    14,  3473,   143,
      71,    72,  2006,   309,   367,  3091,   469,  1728,   371,   327,
    1503,  2918,   419,  3792,   389,   372,   506,   376,   336,  1951,
      37,  2243,   506,   507,   192,  1957,   194,  2243,  1960,   182,
    2016,   380,  2018,   396,  2076,   509,  2022,  4472,  2024,   274,
     387,  2027,  1894,   506,   419,  2031,   469,   470,   216,   367,
     407,   357,   336,  3644,   377,    72,   463,   247,  2083,   408,
    3064,  4614,  1994,   314,  2068,  1997,  1913,  2068,   319,   222,
    2068,  4624,   103,   104,  2720,  2068,  2068,  2438,   268,   269,
    3661,  3662,   457,   367,  2870,  1994,  3391,   371,  1997,   389,
    3453,  3454,   491,   492,  1815,   494,   495,   496,   497,   498,
     499,   254,   145,   222,    72,   390,  1599,  1600,   268,  1602,
     153,   451,   396,  3588,    51,  2047,   314,   208,    86,   419,
     222,   262,   312,   242,   268,   269,  2703,   218,   503,   160,
     336,  2153,    69,    16,   419,   325,  2870,  1894,  4790,    97,
     242,   309,    85,   501,   462,    88,   314,  1994,   179,   507,
    1997,   319,  2084,  2085,   307,  1573,   309,   457,  3397,   117,
    2092,   367,   105,  2095,  1910,   325,  4448,  2099,   312,   469,
     384,   320,  2104,  1894,   323,  2107,  2108,  2261,   463,   210,
    3460,  3264,  1928,  2115,   435,   469,  2118,  2119,  2120,  2121,
     396,  4067,   318,   314,   445,  3491,  2128,  2129,   128,  2131,
    3979,  2133,  2134,   503,  4814,  2137,  2940,   421,  2569,   323,
    2245,   386,   218,  3826,   328,   182,   222,   147,   311,  2151,
    2152,  2153,  3976,   323,  2354,  2157,  2356,   352,   328,  2161,
    3865,   161,   274,  2165,  4509,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,   506,  2177,  3850,  3035,   510,   506,
     470,  2183,    34,   510,  2186,   469,   470,  2104,  4540,  3395,
     384,    75,    76,    77,    78,   429,    95,   435,    82,   489,
    2396,  1689,   101,   501,   422,  2921,   424,   445,  1696,   285,
     508,   211,  2283,   503,  2349,   380,   381,   254,   357,   503,
     228,   816,   496,   497,   498,   820,   389,   421,  2243,   368,
     121,  2153,   380,   381,   494,   495,   496,   497,   498,   499,
    1728,  2243,   141,  3613,  3614,   321,  2248,   502,   256,  2324,
     503,   506,  2344,   392,   369,   268,   419,  3652,   494,   495,
     490,   491,   492,   271,   494,   495,   496,   497,   498,   499,
     307,   162,   309,   336,   282,   469,   470,  2292,   433,  2294,
     494,   495,   496,   497,   498,   499,   506,   507,   389,   336,
    2292,   190,  2294,   386,   457,   186,  1951,   421,   197,  2216,
     157,   200,   384,   470,   367,  1960,   469,  2738,   498,   503,
     201,   250,   325,   503,   205,   505,   504,    85,   419,   507,
     367,  2243,   489,   469,   470,   504,  2153,  1815,   507,  2331,
    2309,  2333,   223,   396,  3285,   504,   503,   506,  2473,   421,
     503,   504,  2344,    72,   507,   469,   470,   238,   508,   396,
    2329,   150,  2331,   252,  2333,  2821,   457,  2823,  2824,  1573,
     461,  2135,  2153,  3553,  2138,  2457,   487,   488,   469,   377,
    2292,  2373,  2294,   422,   946,   424,   242,  2379,    85,   503,
     384,    88,   125,  2385,  3762,  3520,  3764,   469,   470,  3767,
     386,  3769,  2047,   965,   498,   967,  2313,   969,   105,   503,
     274,   505,   503,   975,   976,   977,  1894,  3265,   307,  3267,
     309,  1625,  2329,  2415,  2331,  3759,  2333,   421,   509,  2421,
     319,   503,  2344,   314,  2426,  2427,   998,   999,   327,   503,
     314,   322,   501,    86,   503,  3239,  2438,   336,   503,  3523,
    3524,    71,    72,  2006,    75,    76,    77,    78,  3252,    79,
      80,    82,  2454,   469,   470,  2457,    86,   125,   384,   494,
     495,   496,   497,   498,   355,   469,   470,   502,   367,  1064,
    3328,   115,   371,  2475,   504,  1689,   506,   490,   491,   492,
    4025,   494,   495,   496,   497,   498,   499,   501,  4489,   503,
    2598,   505,   486,  2410,    95,   421,   206,   396,    71,   503,
     101,   323,   504,  2482,   506,  2068,    79,    80,   218,    78,
     270,  2490,   222,  2492,  4059,    84,   503,  2344,   505,   384,
     504,   506,   506,    96,   310,   311,  2528,   505,   504,   384,
     506,   326,  2454,   137,   504,  2457,   506,  1419,  1420,   143,
     141,  2947,  2948,   469,   470,  1117,   326,   323,   117,   153,
    2908,  4400,   429,  2344,   264,   454,   421,  4319,  4320,  4321,
    4322,   268,   222,   486,  1136,  2567,   421,  2569,   504,   504,
     506,   506,   323,   326,     7,   285,   180,   503,   182,   152,
    3736,    75,    76,    77,    78,   486,    19,    20,    82,   190,
    2592,   270,  4297,   162,  2596,  2158,   197,   115,  2515,   200,
     504,  1606,   506,   389,   469,   470,    39,  3038,  1180,    42,
    2853,   321,   226,  3963,   469,   470,   496,   506,   325,   329,
     503,  3987,   505,   504,  2415,  2627,   504,  2454,  2703,   202,
    2457,   503,   125,   419,  2551,   227,  3874,  2639,   503,   208,
     266,   509,  2559,    85,   507,   496,    88,   216,   503,   218,
     254,   252,   494,   495,   496,   497,   498,    75,    76,    77,
      78,   230,   504,  2454,    82,  2153,  2457,   504,   504,   506,
     506,   457,   262,   504,   247,   506,  2893,  2894,  2895,   252,
    1894,   509,  3398,   469,   429,  2687,   180,   429,    75,    76,
      77,    78,   429,   429,  2611,    82,   504,   503,   506,    86,
     108,   153,  3133,   429,  3135,   309,   307,   504,   309,   506,
     314,   384,   504,   203,   506,  2958,   125,   503,   319,  2636,
    2283,   268,   262,   156,  2379,  2642,   327,   504,   429,   506,
    2385,   505,   504,   443,   506,   336,  2738,  2829,   504,   503,
     506,  2720,   504,  2835,   506,   504,   350,   506,   421,   504,
    2752,   506,   504,   396,   506,  2757,   472,  3188,    85,   363,
     193,    88,  2679,   422,   503,   424,   367,   422,   341,   424,
     371,  2773,  2774,  1345,  1346,   211,  1348,  2779,   105,   231,
     504,  3212,   506,   490,   491,   492,   503,   494,   495,   496,
     497,   498,   499,   180,  1366,   396,   469,   470,   250,   504,
     211,   506,  2804,  2805,   211,   378,   375,  2809,   505,    75,
      76,    77,    78,   504,   323,   506,    82,   222,   211,  2821,
    2822,  2823,  2824,   504,   507,   506,   268,  2829,   283,   504,
     503,   506,  2834,  2835,   182,  2837,   288,  2839,   451,   503,
     444,   410,  4212,   504,   417,   506,   318,  2849,  2850,   323,
    4524,  2853,   504,   454,   506,   504,  2344,   506,   386,   504,
    4204,   506,  2936,   503,  2866,  2936,  2868,   137,  2936,   442,
    2872,   274,   469,  2936,  2936,   108,   328,   450,   309,  3683,
     453,   472,   503,   325,  3315,   504,  2888,   506,   115,    75,
      76,    77,    78,   504,   115,   506,    82,  2899,    89,  2901,
    2902,  2903,    75,    76,    77,    78,   504,  2829,   506,    82,
     504,  3342,   506,  2835,   180,    75,    76,    77,    78,   504,
     336,   506,    82,  2925,   504,   438,   506,  2415,   222,    75,
      76,    77,    78,   150,   353,  2937,    82,   508,   211,  2153,
    2942,   268,  2921,   504,   504,   506,   506,  2949,   211,   504,
    4085,   506,   503,  2955,    75,    76,    77,    78,   504,   211,
     506,    82,   504,   504,   506,   506,  2454,   472,  4334,  2457,
     422,   504,   424,   506,   504,   504,   506,   506,  1573,  3410,
     504,   433,   506,   211,   504,  1557,   506,   504,   211,   506,
    1562,  1563,   444,  4698,   180,   447,   506,   211,   325,  3430,
     211,   504,  2829,   506,  2921,   504,   211,   506,  2835,   504,
     323,   506,   504,  3015,   506,   211,   504,  4060,   506,   504,
     504,   506,   506,   504,  3455,   506,   504,   504,   506,   506,
    1625,  1626,  1627,   504,  4384,   506,  3038,   504,  2829,   506,
     504,   211,   506,  3759,  2835,  4016,  4199,  4018,   490,   491,
     492,   323,   494,   495,   496,   497,   498,   499,   211,  1083,
    3491,  1085,   211,  1635,   211,  1637,   419,   108,   503,   223,
     283,   222,   222,   323,   503,   503,  3078,  3079,   503,  3081,
    1675,   222,   503,  1655,   346,   333,   503,  1682,   503,   503,
    1662,  1663,   108,   503,  1689,   163,   283,  2752,   266,   503,
     506,   503,  2757,   503,   503,   503,   503,   503,  3110,  3111,
    3112,   503,   503,  4483,  2119,   503,   268,   503,  3035,   503,
     503,   503,   503,   503,   503,   503,   503,   108,  2133,   222,
    2344,  3133,   321,  3135,   222,   396,   496,   262,   387,   506,
     299,   179,  3234,   450,   506,   490,  1718,    14,   506,   503,
     429,   503,   503,   429,  1726,   384,   505,   153,   429,  3251,
     429,   429,   384,   490,   491,   492,   384,   494,   495,   496,
     497,   498,   499,   429,   429,   211,   388,   280,   323,   314,
     145,   323,   429,   429,   429,   450,  3188,   252,  3110,  3111,
    3112,  3907,   319,   503,  4050,   429,   153,  4563,   429,  3116,
     503,  1773,  3337,  3340,  1776,  1777,   506,   336,   451,   451,
    3212,   174,   125,   429,   429,   125,   327,  4567,   114,   429,
     429,   429,   429,   429,   114,   429,  3143,   429,   384,   506,
     429,   429,  3234,   323,   472,  3306,  3238,  3239,   323,   268,
    2454,   460,   108,  2457,  2899,   469,  4050,   816,   107,  3251,
    3252,   820,   503,    97,   309,   211,   180,   451,  3501,   503,
    3239,   462,   503,   503,   291,  3340,  4632,  1839,  3511,  3340,
    4636,  4637,   319,  3252,   309,   463,   108,   222,   503,   108,
     274,   385,   211,  3110,  3111,  3112,  3503,  3504,  3505,  3506,
    2853,   211,   211,   451,  3211,   211,   451,  3214,  3215,  1894,
    2955,  3218,   505,  4254,  2867,   211,  4650,    14,   318,   506,
     429,  3228,  3234,  3315,  4406,   313,  3233,   465,   227,  3110,
    3111,  3112,  3239,  2886,  4633,   503,   503,  3329,  3245,  3251,
    4634,   427,   301,   301,    88,  3252,  2899,   506,   396,   503,
    3342,  2829,   486,   427,   227,   506,   503,  2835,  3265,   429,
    3267,   490,   431,   241,   241,   319,   264,   324,  4640,   451,
    4642,    34,    10,   506,   504,   503,   429,   429,   504,   506,
    3372,  1943,   506,  2936,  3466,   384,   504,   152,  4728,   384,
      71,  3298,   504,   503,    75,    76,    77,    78,    79,    80,
     451,    82,  2955,   272,   272,  2958,   314,   314,   429,   386,
     274,   503,  3833,   314,   403,  3407,   115,  3234,  3410,   323,
    3327,  3328,   429,   384,   429,  3417,   127,   322,   330,  3398,
     506,  3423,  1994,  3425,  3251,  1997,   367,   393,  3430,  3431,
     357,   268,  3434,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
    3442,  3443,   108,  3234,   429,  3447,  3448,   429,   159,   268,
     268,   451,   268,  3455,   451,   268,   490,   322,  3460,   503,
    3251,   107,  3464,   211,  3466,   490,  3468,   429,   501,   501,
     429,   222,   393,  1042,   224,   503,  3478,  1046,   319,  3481,
     211,  3483,   210,   469,   175,   323,   393,   323,   222,  3491,
    3492,  3493,  3494,   497,   239,  1064,  3498,   239,   108,  3501,
    4529,   211,   323,   214,   393,   222,   323,   247,   247,  3511,
     247,   506,   472,   506,    96,   233,   298,   323,  4602,  3521,
     125,   419,   506,   318,   504,  2097,  2098,  3529,   274,  3531,
     504,   504,   227,  2105,   245,   340,   506,  2109,  2110,   227,
     486,   466,   486,   504,  3466,  3699,   504,   429,   503,   240,
     504,   504,  2124,   504,  2126,   504,  3987,   504,  2153,   332,
    3477,   504,  4418,    90,   504,  4874,   504,   504,   504,   280,
     503,    90,   504,  3575,  2146,   466,  2148,   457,   374,  3581,
     285,   507,   323,   506,   211,  3587,  2804,  2805,   490,   490,
    3682,  2809,  3684,   326,   323,   250,   429,  4453,   309,   472,
     504,   429,   429,   506,   504,   296,   503,   258,   299,   503,
    3612,   314,   327,  3530,  4418,  2829,   211,   429,   211,   341,
     285,  2835,  3110,  3111,  3112,   341,  2198,   429,   448,   429,
     429,  2849,  2850,   293,   293,   293,   429,   429,   429,  3466,
     384,   429,   833,   429,  4448,   429,   384,   838,  2243,  4453,
     429,   211,   384,   396,   160,   429,   847,   384,   114,   429,
     371,   268,   373,   299,   375,   268,   268,  4098,   268,   268,
     381,   268,   268,   504,   504,  3466,  3678,   388,   501,   285,
    3682,  3683,  3684,   874,   369,   396,   490,   878,   173,  2261,
     504,   438,   503,   322,   405,  4126,   387,  2292,   889,  2294,
     206,   323,   413,   506,  3683,   506,   504,  4138,   108,    89,
     429,   236,   218,   222,   384,   451,   222,  3372,   326,   506,
     384,   227,    98,   384,   268,   451,   232,   209,   209,   235,
     501,   237,   203,   227,    88,   222,   504,  2309,   504,   504,
     504,   462,   135,  3306,   227,   503,  3234,   504,   503,  2344,
     506,  4182,   504,   464,   503,   131,  3678,  2329,   264,  2331,
    3682,  2333,  3684,  3251,   222,   235,  3683,   490,   144,   504,
     324,   108,   451,   451,   258,   429,   506,  3340,   490,   285,
    3759,   157,   438,  3700,   504,   438,  3703,   167,  3705,  4740,
    3861,   504,   429,   484,   429,   503,  3775,   384,   429,  2804,
    2805,   429,   504,   384,  2809,   504,  3808,   187,   504,   222,
     143,   173,  3729,  3730,   438,   321,   268,   504,   268,   195,
     502,   272,   503,   329,   469,   472,  3743,   222,   504,   506,
    3901,  3833,  3749,  3750,  3751,  3752,  3753,  3754,   506,   469,
     148,   253,  3759,   421,  2849,  2850,  3763,    85,   224,   506,
     429,  3678,   504,   229,   503,  3682,  3511,  3684,   393,  2454,
     232,   227,  2457,  3865,  3866,  3867,   268,   268,   374,   268,
    3787,   268,   504,   362,   227,   125,   467,  4077,   503,   467,
    4736,  3798,  3799,  3800,  3801,   504,   504,  3678,   504,   506,
     503,  3682,   271,  3684,   331,   125,  3110,  3111,  3112,   503,
     271,   237,   319,  4334,   490,    98,   504,   429,   227,   143,
    2482,   469,   504,   419,   252,   438,   314,  4071,  2490,   490,
    2492,   506,   314,   506,  3926,   429,   211,   268,  3907,   187,
     314,   229,  4736,   502,   227,   451,   393,   443,  3501,   451,
    1131,  1132,   108,   198,   465,  3862,   503,   227,  3511,   325,
     503,   469,   145,   255,   469,   227,   326,  3612,   503,   362,
     466,  3963,   468,   469,   503,   456,   406,   504,   504,  4123,
     503,  3973,  3974,   503,  3976,   271,   468,   353,  3466,  3981,
    3982,   174,   339,   323,  3986,  3987,  4057,   504,   363,   503,
    3992,  3993,   469,   504,  3996,   501,   504,   429,   504,   505,
     503,   507,   195,  2575,  1573,   222,  3923,   108,   384,  4011,
     314,   294,   210,  4015,   390,   250,   504,   393,   173,   125,
    3234,   327,  4024,   503,   490,  4383,   381,  4029,   503,   381,
     125,   224,   329,   451,   503,   323,   229,  3251,   307,  4041,
     421,   217,   354,   419,   137,   326,   137,   193,   455,   425,
      85,   362,   456,   506,   108,   227,  1625,  1626,  1627,   360,
     466,   222,   438,   198,   469,  4067,  4045,   252,   108,   323,
     323,   504,   503,   503,   326,  4229,   504,   326,  4080,   125,
     380,   185,   275,   503,   449,   380,    94,   463,  4067,   105,
     210,   354,   503,   367,  1816,  1177,  4098,  2597,  1563,  2921,
    2464,  3091,  3682,  3233,  2522,  4475,  1675,  4650,  4202,  4273,
    4202,  4518,  4524,  1682,  3854,  4117,  4247,  4528,  2708,  3016,
    1689,  4821,  4417,  4873,  4126,  4773,  4772,  1696,  4045,  4046,
      85,  4836,  4563,    88,  4673,  3020,  4138,  3819,  4274,  2588,
    2588,  3111,  3678,  1914,  3824,  3826,  2583,  3297,  2720,  4878,
    4067,  4941,  4933,  3238,  3251,  4843,  4455,  1906,   113,  1728,
     353,  4751,  4593,  4829,   119,  4458,   187,  1403,  4610,  3863,
    2119,  3910,  4698,  2427,  3865,  3190,  4855,  4935,  4665,  2245,
    4182,  1058,  2246,  2007,  2133,   378,  2936,  3848,   143,   914,
    3678,   384,  3585,  1359,  3682,  4117,  3684,   390,  4058,  2691,
    4202,  4632,  1073,  2937,  2281,  4636,  4637,  2949,  1609,  2280,
    2943,  2264,  2963,  3431,  1608,  1591,  3434,  3435,  3436,  3437,
    3438,  3439,  3440,  3441,  3442,  3443,   419,  3511,   421,  2955,
    4589,  2180,  4017,  3586,  2829,  4565,  1611,  1063,  3476,  3468,
    2835,  1615,  4808,  4245,  4809,   438,  1815,  2867,  4812,  2940,
     205,  2775,  3466,  2865,  3581,  2183,   643,  3337,  2643,  1296,
    1945,  2313,  4799,  1627,   376,   948,  1621,  2289,  1154,  2329,
     463,  1134,  1134,  4190,  4191,  3493,  3494,  2321,  3592,  2915,
    4202,  1414,  2322,  1537,  4044,  3593,  3558,  4204,   243,  1625,
    4117,  4208,   247,  4210,   409,  4297,  4213,  4214,  3861,  2333,
    2704,  2036,  1345,     2,  4221,  4222,  4223,  4224,  4225,   978,
      -1,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1894,  4117,    -1,  4330,   284,
      -1,    -1,  4334,    -1,    -1,    -1,    -1,  4339,  3901,    -1,
      -1,    -1,    -1,    -1,  2916,    -1,  4402,  2919,    -1,  2921,
      -1,    -1,  4269,    -1,  4356,  4357,  4011,   312,  4360,    -1,
    4015,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,  4371,
     325,    -1,    -1,    -1,  4376,  4202,    -1,  4379,   110,  4296,
      -1,    -1,  4384,  4385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,    -1,  4319,  4320,  4321,  4322,    -1,    -1,    -1,    -1,
    1332,  4202,   144,    -1,    -1,  4417,  4395,    -1,    -1,    -1,
      -1,  1343,    -1,    -1,    -1,   157,  3431,    -1,    -1,  3434,
    3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,  3443,  4510,
      -1,    -1,   174,    -1,    -1,   400,  4448,    -1,  4011,    -1,
    4452,    -1,  4015,    -1,  1645,    -1,    -1,    -1,    -1,  3464,
      -1,    -1,    -1,   195,  3678,    -1,    -1,    -1,  3682,  4448,
    3684,    -1,    -1,    -1,    -1,    -1,    -1,   108,    -1,    -1,
      -1,   213,    -1,    -1,    -1,    -1,    -1,  4489,  3493,  3494,
      -1,    -1,   224,    -1,  4057,    -1,   127,   229,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3110,  3111,  3112,   250,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,    -1,
      -1,  4448,    -1,    -1,    -1,    -1,  4538,    -1,  4540,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4472,    -1,    -1,    -1,  4476,
    4562,  4563,    -1,  4565,    -1,  4567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4584,   214,  2153,   965,  4588,   967,    -1,   969,
    3808,  4593,    -1,   325,    -1,   975,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   998,   999,
      -1,   353,  1813,    -1,    -1,    -1,    -1,  4629,    -1,  4117,
    4632,    -1,    -1,    -1,  4636,  4637,    -1,    -1,    -1,  3234,
      -1,    -1,    -1,   274,    -1,    -1,   378,    -1,  4891,   280,
     382,    -1,   384,    -1,   127,    -1,  3251,    -1,   390,    -1,
      -1,   393,    -1,    -1,    -1,    -1,    -1,  3239,  4670,    -1,
      -1,    -1,  3244,  3245,  2243,    -1,    -1,    -1,   309,    -1,
    3252,    -1,    -1,    -1,    -1,    -1,   159,   419,    -1,   421,
      -1,    -1,    -1,   425,    -1,    -1,  4698,    -1,    -1,    -1,
      -1,   433,    -1,  4705,    -1,    -1,   438,  4629,  3280,    -1,
      -1,    -1,    -1,    -1,  4202,    -1,  4371,    -1,   450,    -1,
    1911,  4376,    -1,  2292,  4379,  2294,  4728,    -1,    -1,    -1,
      -1,   463,    -1,  4650,    -1,    -1,  1927,  1117,    -1,    -1,
     371,   214,    -1,  4745,   375,    -1,    -1,    -1,    -1,    -1,
     381,  1131,  1132,    -1,    -1,    -1,  1136,   388,    -1,    -1,
      -1,    -1,  4417,  3981,  3982,   396,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,   405,  2344,    -1,    -1,  4780,    -1,
      -1,  4855,   413,    -1,  4855,    -1,    -1,  4855,  4790,    -1,
      -1,    -1,  4855,  4855,  4886,  1986,    -1,  4452,    -1,    -1,
    1180,    -1,  4629,  3808,    -1,    -1,    -1,   280,  4371,  4811,
    4812,    -1,    -1,  4376,    -1,    -1,  4379,  4891,    -1,    -1,
    4891,    -1,  4824,  4891,    -1,    -1,  3398,    -1,  4891,  4891,
      -1,    -1,    -1,   464,  4489,    -1,   309,   468,  4629,    -1,
      -1,  4933,    -1,    -1,    -1,    -1,  2415,    89,    -1,  4941,
      -1,    -1,    94,    -1,    -1,  2804,  2805,    -1,  4860,    -1,
    2809,  4935,    -1,   336,  4935,    -1,    -1,  4935,  4870,    -1,
      -1,  3466,  4935,  4935,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4538,  4886,  2454,    -1,    -1,  2457,    -1,
     132,    -1,    -1,    -1,   367,    -1,    -1,    -1,   371,    -1,
    2849,  2850,   375,  4117,    -1,    -1,    -1,  4886,   381,    -1,
      -1,   153,    -1,    -1,    -1,   388,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   396,    -1,    -1,  4928,    -1,    -1,   171,
      -1,  4933,   405,  4588,    -1,  4937,    -1,    -1,    -1,  4941,
     413,    -1,   184,    -1,    -1,    -1,    85,  4510,    -1,    88,
     192,   108,    -1,    -1,  4933,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4941,    -1,  4886,   207,    -1,   209,    -1,  4886,
     127,   213,    -1,    -1,   113,    -1,  3981,  3982,    -1,    -1,
     119,   223,    -1,    -1,    -1,    -1,  1366,    -1,  4202,   231,
      -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   159,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,  4933,    -1,    -1,    -1,    -1,  4933,  3589,    -1,  4941,
      -1,    -1,    -1,    -1,  4941,  4588,    -1,    -1,    -1,    -1,
    1952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1961,
      -1,    -1,    -1,  1965,    -1,    -1,    -1,    -1,    -1,  1971,
    1972,    -1,    -1,    -1,    -1,    -1,    -1,   214,    85,  4886,
      -1,    88,    -1,    -1,    -1,    -1,   205,  1989,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3678,    -1,    -1,   113,  3682,   245,  3684,
      -1,    -1,   119,    -1,    -1,  4886,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,  4933,    -1,   247,    -1,
      -1,  3683,  4330,    -1,  4941,    -1,   143,   274,    -1,    -1,
      -1,    -1,  2313,   280,    -1,  4780,    -1,  3699,    -1,   268,
     269,    -1,    -1,    -1,    -1,  4790,    -1,    -1,  4356,  4357,
      -1,  4629,  4933,    -1,   108,   284,    -1,    -1,    -1,  2340,
    4941,    -1,   309,    -1,  2345,    -1,    -1,  2348,    -1,    -1,
      -1,    -1,    -1,   127,    -1,    -1,    -1,    -1,    -1,  4824,
      -1,    -1,    -1,   312,    -1,    -1,    -1,  1557,    -1,  2370,
      -1,    -1,  1562,  1563,    -1,    -1,   325,  3759,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,
      -1,    -1,  3774,  3775,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3783,    -1,  2404,   371,  3787,   243,    -1,   375,    -1,
     247,    -1,    -1,    -1,   381,    -1,  3798,    -1,    -1,    -1,
      -1,   388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   396,
    2431,   268,   269,    -1,    -1,    -1,    -1,    -1,   405,    -1,
     214,    -1,    -1,    -1,    -1,    -1,   413,   284,    -1,    -1,
    2829,   400,    -1,    -1,  2455,  1645,  2835,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,  4937,  2474,    -1,   312,  2477,    -1,    -1,    -1,
      -1,    -1,  4855,    -1,    -1,    -1,    -1,    -1,   325,    -1,
      -1,    -1,    -1,    -1,  2495,    -1,    -1,   464,    -1,    -1,
     274,   468,   469,    -1,  2505,    -1,   280,    -1,    -1,    -1,
    2242,    -1,    -1,    -1,    -1,  4330,    -1,  2518,  4891,    -1,
      -1,    -1,    -1,    -1,  4339,  3907,  2527,    -1,  1718,    -1,
      -1,    -1,    -1,    -1,  4562,   309,  1726,    -1,    -1,    -1,
      -1,  4356,  4357,    -1,    -1,   494,   495,   496,   497,   498,
     499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4935,   400,    -1,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1773,    -1,   105,  1776,  1777,  4886,    -1,
      -1,   643,    -1,   113,    -1,    -1,    -1,   371,    -1,   119,
      -1,   375,    -1,    -1,    -1,  4629,    -1,   381,    -1,    -1,
      -1,    -1,    -1,    -1,   388,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   396,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   405,    -1,    -1,    -1,  4933,    -1,    -1,    -1,   413,
      -1,    -1,    -1,  4941,    -1,    -1,    -1,    -1,    -1,  1839,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,  4045,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3431,    -1,    -1,  3434,  3435,  3436,  3437,  3438,
    3439,  3440,  3441,  3442,  3443,  4067,    -1,    -1,    -1,  4071,
     464,    -1,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3464,    -1,    -1,    -1,    -1,
      -1,    -1,  4117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    71,    -1,
      -1,  3110,  3111,  3112,  3493,  3494,    79,    80,    -1,    -1,
      -1,  4123,    85,    -1,    -1,    88,    -1,  4562,   268,   269,
      -1,    -1,    -1,    -1,  4136,  4137,    -1,    -1,    -1,  4141,
    4142,    -1,   105,    -1,   284,   108,    -1,    -1,    -1,    -1,
     113,    -1,   824,   825,   826,   827,   119,   829,   830,    -1,
     832,   833,   834,    -1,   836,    -1,   838,    -1,   840,   309,
     842,    -1,   312,    -1,   846,   847,   848,  4202,    -1,    -1,
     143,    -1,    -1,    -1,   856,   325,    -1,    -1,   328,   861,
      -1,   863,    -1,    -1,   866,    -1,   868,    -1,   870,    -1,
      -1,    -1,   874,    -1,   876,    -1,   878,   879,    -1,    -1,
      -1,    -1,    -1,    -1,   886,    -1,    -1,   889,    -1,  4221,
    4222,  4223,  4224,  4225,    -1,    -1,    -1,  4229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3234,    -1,    -1,    -1,    -1,
      -1,   913,  4886,    -1,    -1,   917,    -1,    -1,    -1,    -1,
     922,    -1,  3251,    -1,   926,    -1,    -1,   929,    -1,    -1,
     400,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,
      -1,   101,   944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,   955,   247,    -1,    -1,    -1,    -1,  4933,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4941,    -1,    -1,
      -1,    -1,    -1,  2655,    -1,   268,   269,    -1,    -1,    -1,
      -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2671,
    2672,   284,    -1,  2675,    -1,   997,    -1,    -1,    -1,  2681,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1009,  1010,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,   312,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
     190,    -1,   325,    -1,  1036,   328,   506,   197,  1040,  1041,
     200,    -1,  1044,  2994,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,  1059,    -1,    -1,
      -1,  1063,    85,  4395,    -1,    88,    -1,    -1,  2750,  1071,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,  1081,
      -1,    -1,   105,    -1,   119,    -1,    -1,    -1,    -1,    -1,
     113,  1093,   252,    -1,    -1,    -1,   119,    -1,    -1,  3808,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,    -1,
     143,  2261,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1131,
    1132,    -1,    -1,    -1,    -1,    -1,    -1,  3466,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,   309,
     927,    -1,    -1,    -1,   931,    -1,    -1,    -1,    -1,   319,
      -1,    -1,    -1,    -1,   941,    -1,    -1,   327,    -1,  2309,
      -1,    -1,  1174,  2313,    -1,    -1,   336,    -1,  3129,    -1,
    1182,  1183,    -1,    -1,    -1,  3136,    -1,    -1,    -1,  2329,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,   367,   243,    -1,
      -1,   371,   247,    95,    -1,    -1,    -1,    -1,    -1,   101,
     243,    -1,  1224,    -1,   247,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1234,   268,   269,  1237,   396,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   268,   269,    -1,  1250,   284,
      -1,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,   141,
      -1,   284,  1264,    -1,    -1,    -1,    -1,    -1,  1270,  1271,
      -1,    -1,  3981,  3982,  4629,    -1,    -1,   312,    -1,    -1,
      -1,    -1,  1284,  1285,  1286,  1287,   309,  1289,    -1,   312,
     325,  1293,    -1,    -1,   454,    -1,    -1,    -1,    -1,    -1,
      -1,    95,   325,    -1,    -1,   328,    -1,   101,   190,    -1,
      -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,   200,  1321,
    1322,  1323,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1341,
      -1,    -1,  2482,  3025,    -1,    -1,    -1,   141,    -1,  3678,
    2490,    -1,  2492,  3682,  1356,  3684,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1366,   400,    -1,    -1,    -1,    -1,
     252,    -1,    -1,  4705,    -1,    -1,    -1,   400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1396,  1397,   190,    -1,    -1,  1401,
      -1,  1403,    -1,   197,    -1,    -1,   200,  3358,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3098,    -1,  3100,    -1,
      -1,    -1,    -1,  1425,  3375,   307,  1428,   309,    -1,  1431,
    1432,    -1,    -1,    -1,    -1,    -1,    -1,   319,    -1,    -1,
      -1,  1443,  3393,    -1,    -1,   327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   336,    -1,   491,   492,   252,   494,
     495,   496,   497,   498,   499,    -1,    -1,   490,   491,   492,
    1472,   494,   495,   496,   497,   498,   499,    -1,    -1,   502,
      -1,    -1,    -1,    -1,    -1,   508,    -1,    -1,    -1,   371,
      -1,    -1,    85,    -1,    -1,    88,    -1,    -1,  1500,  1501,
      -1,  1503,    -1,    -1,    -1,  3187,    -1,    -1,    -1,    -1,
    3192,    -1,   105,   307,   396,   309,    -1,    -1,  1520,    -1,
     113,    -1,    -1,    -1,    -1,   319,   119,    -1,    -1,    -1,
      -1,  4886,    -1,   327,    85,    -1,    -1,    88,  1540,  1541,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,  1326,
     143,    -1,  1554,    85,  4886,    -1,    88,    -1,    -1,    -1,
    1562,  1563,   113,    -1,    -1,    -1,    -1,  1569,   119,    -1,
    1572,    -1,   454,   367,    -1,    -1,    -1,   371,  4933,    -1,
    2720,   113,    -1,    -1,    -1,    -1,  4941,   119,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,  1601,
      -1,  4933,   396,  1605,  1606,    -1,    -1,    -1,    -1,  4941,
      -1,   143,    -1,  1615,  1616,  1617,    -1,    -1,    -1,    -1,
      -1,  4330,    -1,    -1,    -1,  1402,    -1,    -1,    -1,    -1,
    4339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1417,  1643,    -1,  1645,    -1,    -1,    -1,  4356,  4357,    -1,
     243,    -1,  1429,    -1,   247,    -1,    -1,    -1,    -1,  3341,
     454,    -1,    -1,  3345,  3346,    -1,  3348,    -1,  3350,  3351,
      -1,    -1,    -1,   205,    -1,   268,   269,  3359,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3639,    -1,
      -1,   284,   243,    -1,    -1,    98,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3392,   243,    -1,    -1,    -1,   247,   309,   268,   269,   312,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,
      -1,    -1,   325,   284,    -1,   328,   268,   269,  1740,  1741,
      -1,   144,   145,    -1,    -1,  1747,    -1,    -1,  1750,    -1,
     153,    -1,   284,    -1,   157,    -1,    -1,    -1,   309,    -1,
      -1,   312,    -1,  1765,    -1,  3716,    -1,    -1,  3719,    -1,
    1772,   174,    -1,    -1,   325,    -1,    -1,    -1,    -1,    95,
     312,  2921,    -1,    -1,    -1,   101,    -1,    -1,  4117,    -1,
    1792,    -1,   195,   325,    -1,    -1,    -1,    -1,  1800,  1801,
    1802,  1803,  1804,    -1,    -1,    -1,    -1,   400,    -1,    -1,
     213,  1813,    -1,    -1,    -1,  1592,  1818,    -1,    -1,    -1,
      -1,   224,    -1,    -1,    -1,   141,   229,    -1,  1830,    -1,
    1832,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1840,  1841,
      -1,    -1,    -1,    -1,  1846,    -1,    -1,   250,    -1,   400,
      -1,    -1,    -1,  4562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,
      -1,    -1,   275,  4202,   190,    -1,    -1,    -1,    -1,    -1,
      85,   197,    -1,    88,   200,    -1,    -1,    -1,    -1,    -1,
      -1,  1893,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,
     105,   494,   495,   496,   497,   498,   499,    -1,   113,  1911,
      -1,    -1,    -1,   506,   119,  1917,  1918,  1919,  1920,    -1,
      -1,    -1,   325,    -1,    -1,  1927,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1936,    -1,   252,    -1,   143,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,  1951,
     353,    -1,    -1,    -1,    -1,    -1,  1958,    -1,  1960,    -1,
      -1,    -1,   494,   495,   496,   497,   498,   499,  1970,    -1,
      -1,    -1,    -1,  1975,    -1,   378,    -1,    -1,    -1,   382,
      -1,   384,  1984,    -1,  1986,    -1,    -1,   390,  1990,  1991,
     393,   307,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2004,   319,    -1,  2007,    -1,    -1,    -1,    -1,
      -1,   327,    -1,    -1,    -1,    -1,   419,    -1,   421,    -1,
     336,    -1,   425,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     433,    -1,    -1,    -1,    -1,   438,  2038,    -1,   243,    -1,
      -1,    -1,   247,  2045,    -1,  2047,    -1,    -1,    -1,  2051,
    2052,   367,  2054,    -1,    -1,   371,    95,    -1,  2060,    -1,
     463,    -1,   101,   268,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2076,  2077,    -1,    -1,  2080,   284,
     396,    -1,  2084,  2085,    -1,    -1,    -1,    -1,    -1,    -1,
    2092,    -1,    -1,  2095,    -1,    -1,    -1,  2099,    -1,  3239,
      -1,    -1,   141,    -1,   309,  2107,  2108,   312,    -1,    -1,
      -1,    -1,  3252,  2115,    -1,  2117,  2118,  2119,  2120,  2121,
     325,    -1,    -1,   328,    -1,    -1,  2128,  2129,    -1,  2131,
      -1,  2133,  2134,    -1,    -1,  2137,    -1,    -1,   454,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,
    2152,   190,   101,    -1,  2156,  2157,    -1,    -1,   197,  2161,
      -1,   200,    -1,  2165,    -1,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,    -1,  2177,    -1,    -1,    -1,    -1,
    2182,  2183,  4133,    -1,  2186,  1962,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,  4145,   400,  1973,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2207,  3888,    -1,  1985,    -1,
      -1,    -1,    -1,   252,  3896,  3897,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   190,  2244,    -1,  2246,    -1,  2248,    -1,   197,    -1,
      -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,  3398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2044,   307,    -1,
     309,  2048,    -1,  2050,    -1,    -1,  2053,    -1,    -1,    -1,
     319,    -1,  2284,    -1,  2286,   490,   491,   492,   327,   494,
     495,   496,   497,   498,   499,    -1,    -1,   336,    -1,   504,
    4629,    -1,    -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,
      -1,    -1,   371,    -1,    -1,    -1,    -1,    -1,  2340,    -1,
      -1,    -1,    -1,  2345,    -1,    -1,  2348,  2349,    -1,    -1,
      -1,    -1,  2354,    -1,  2356,    -1,    -1,   396,   307,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2370,    -1,
     319,  2373,    -1,    -1,    -1,    -1,    -1,  2379,   327,  2381,
    2382,  2383,    -1,  2385,  2386,    -1,  2388,   336,  2390,    -1,
    2392,  2393,    -1,    -1,  2396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2404,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,    -1,    -1,  4096,   454,    85,    -1,   367,    88,
      -1,    -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,  2431,
      -1,    -1,  2434,    -1,    -1,    -1,    -1,    -1,  2440,    -1,
      -1,    -1,    -1,  2445,   113,  4127,  4128,   396,    -1,  2451,
     119,    -1,    -1,  2455,    -1,   144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2466,  2467,    -1,    -1,   157,    -1,
      85,  2473,  2474,    88,   143,  2477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   174,  2488,    -1,    -1,    -1,
     105,   180,    -1,  2495,    -1,    -1,    -1,    -1,   113,    -1,
      -1,  4183,  4184,  2505,   119,   454,   195,    -1,    -1,    -1,
      -1,    -1,  2514,    -1,  2516,  2517,  2518,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   213,  2527,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,   224,   205,    -1,    -1,    -1,
     229,    -1,  2544,  3683,    -1,    -1,   235,    -1,    -1,    -1,
    2552,  2553,  2554,  2555,  2556,  2557,    -1,  4886,    -1,  3699,
      -1,   250,    -1,    -1,    -1,  2567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   275,    -1,  2590,    -1,
      -1,    -1,  2594,  2595,    -1,    -1,    -1,  2599,    -1,   268,
     269,    -1,    -1,    -1,  4933,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4941,    -1,    -1,   284,    -1,    85,    -1,  3759,
      88,    -1,  4304,  2625,  4306,  4307,    -1,    -1,   243,    -1,
    2632,  2633,   247,    -1,    -1,  4317,   325,   105,    -1,    -1,
    2642,  2643,    -1,   312,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,   268,   269,  2432,   325,    -1,  2660,    -1,
    2662,  2663,  2664,  2665,   353,    -1,    -1,    -1,    -1,   284,
      -1,    -1,    -1,    -1,    -1,   143,    -1,  2679,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2687,    -1,    -1,    -1,   378,
      -1,    -1,    -1,    -1,   309,   384,    -1,   312,    -1,    -1,
      -1,   390,    -1,    -1,   393,    -1,  2708,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2726,    -1,    -1,    -1,    -1,    -1,
     419,   400,   421,    -1,    85,    -1,   425,    88,    -1,    -1,
      -1,    -1,    -1,    -1,   433,    -1,  2748,    -1,    -1,   438,
    2752,    -1,    -1,    85,   105,  2757,    88,    -1,    -1,    -1,
      -1,   450,   113,    -1,    -1,  2767,    -1,  3907,   119,    -1,
      -1,  2773,  2774,    -1,   463,   243,    -1,  2779,    -1,   247,
      -1,   113,    -1,    -1,    -1,   400,    -1,   119,    -1,    -1,
      -1,    -1,   143,    95,    -1,    -1,    -1,    -1,    -1,   101,
     268,   269,  2804,  2805,    -1,    -1,    -1,  2809,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,   284,    -1,    -1,  2821,
    2822,  2823,  2824,    -1,    -1,   494,   495,   496,   497,   498,
     499,    -1,  2834,    -1,    -1,  2837,    -1,  2839,  2840,   141,
      -1,   309,    -1,    -1,   312,    -1,    -1,  2849,  2850,    -1,
      -1,  2853,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,
     328,    -1,    -1,    -1,  2866,    -1,  2868,    -1,  2870,    -1,
    2872,    -1,    -1,   205,  4556,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,  2888,    -1,   190,   504,
    2892,    -1,   243,    -1,    -1,   197,   247,  2899,   200,  2901,
    2902,  2903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,    -1,   268,   269,  2921,
      -1,    -1,    -1,  2925,    -1,    -1,    -1,    -1,    -1,    -1,
    4612,  4071,   400,   284,    -1,  2937,   268,   269,    -1,  2716,
    2942,    -1,    -1,    -1,  2946,    -1,    -1,  2949,    -1,    -1,
     252,    -1,   284,  2955,    -1,    -1,  2958,    -1,   309,    -1,
    2962,   312,    -1,  4645,    -1,   117,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,    -1,
     312,    -1,    -1,  4123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2994,   325,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,    -1,   309,    -1,    -1,
     162,    -1,    -1,  3015,    -1,  3017,    -1,   319,    -1,    -1,
    3022,    -1,   490,   491,   492,   327,   494,   495,   496,   497,
     498,   499,    -1,  3035,   336,    -1,   504,    -1,    -1,    -1,
      -1,  3043,    -1,  3045,  3046,    -1,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   216,   367,   218,    -1,   400,   371,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4229,
      -1,    -1,    -1,    -1,   396,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,    -1,    -1,
      -1,    -1,    -1,    -1,  3136,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,   454,   504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,    -1,    -1,
      -1,    -1,   101,    -1,    -1,    -1,  4868,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3206,    -1,    -1,   126,    -1,    -1,
      -1,    -1,    -1,    -1,  3216,  3217,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3009,  3010,    -1,  3012,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,  1256,
      -1,    -1,    -1,  3265,    -1,  3267,  1256,    -1,    -1,  3271,
      -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,   197,    -1,
      -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3295,  3296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3304,    -1,    -1,    -1,  3308,    -1,  4448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3322,    -1,    -1,    -1,    -1,    -1,  3328,    -1,    -1,    -1,
     249,    -1,    -1,   252,    -1,  3337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3352,    -1,    -1,  3355,    -1,    -1,  3358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3145,    -1,
    3372,    -1,    -1,  3375,    -1,    -1,   295,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,  3391,
     309,  3393,    -1,    -1,    -1,    -1,    -1,  3399,    -1,    -1,
     319,    -1,    -1,    -1,    -1,  3407,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,   335,   336,  1415,    -1,
      -1,  3423,    -1,  3425,    -1,  1415,    -1,    -1,    -1,  3431,
      -1,    -1,  3434,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
    3442,  3443,    -1,    -1,    -1,  3447,  3448,    -1,   367,    -1,
      -1,    -1,   371,   372,    -1,    -1,    -1,    -1,  3460,    -1,
      -1,    -1,  3464,    -1,    -1,    -1,  3468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3478,   396,    -1,  3481,
      -1,  3483,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,
    3492,  3493,  3494,    -1,    -1,    -1,  3498,    -1,    -1,  3501,
    3277,    -1,  3279,    -1,    -1,    -1,  3508,  3509,  3510,  3511,
    3512,    -1,    -1,    -1,  3516,  3517,    -1,    -1,    -1,  3521,
      85,    -1,    -1,    88,    -1,  3527,    -1,  3529,    -1,  3531,
      -1,    -1,    -1,    -1,    -1,   454,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    85,    -1,    -1,    88,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
    1557,    -1,    -1,   105,    -1,  4705,    -1,    -1,    -1,    -1,
      -1,   113,    -1,  3575,    -1,    -1,    -1,   119,   143,  3581,
      -1,    -1,    -1,  3585,    -1,  3587,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3370,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3612,  3613,  3614,  3390,  3616,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3630,  3631,
    3632,  3633,    -1,    -1,    -1,    -1,    -1,  3639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   816,    -1,  3668,    -1,    -1,    -1,
      -1,    -1,   824,    -1,    -1,    -1,    -1,    -1,   243,    -1,
     832,    -1,   247,    -1,    -1,    -1,  1683,    -1,    -1,    -1,
      -1,    -1,    -1,  1683,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,   268,   269,   247,    -1,    -1,    -1,    -1,
      -1,   863,    -1,    -1,  3716,    -1,    -1,  3719,    -1,   284,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,  3733,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1736,
      -1,    -1,   284,    -1,   309,    -1,  1736,   312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3759,    -1,    -1,
     325,    -1,    -1,   328,    -1,   917,  1763,   309,    -1,    -1,
     312,    -1,    -1,  1763,   926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   325,    -1,  3787,   328,    -1,    -1,    -1,
      -1,    -1,    -1,  3795,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3806,    -1,  3808,    -1,    -1,    -1,
      -1,    -1,  3814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3826,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,  3836,   400,    -1,  1834,    -1,    -1,
      -1,    -1,    -1,  3845,  1834,    -1,    -1,   105,  3850,    -1,
      -1,    -1,  3854,    -1,    -1,   113,  1853,    -1,   400,    -1,
      -1,   119,    -1,  1853,  3866,  3867,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1871,    -1,    -1,    -1,    -1,    -1,
      -1,  1871,    -1,    -1,  1036,   143,    -1,    -1,    -1,  3891,
    1042,  3893,    -1,    -1,  1046,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1899,    -1,    -1,    -1,    -1,    -1,  3910,  1899,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1071,
      -1,    -1,    -1,    -1,  3926,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
    1957,  3963,   504,    -1,    -1,    -1,    -1,  1957,    -1,    -1,
      -1,  3973,  3974,    -1,    -1,    -1,    -1,    -1,    -1,  3981,
    3982,    -1,    -1,    -1,  3986,   243,    -1,    -1,    -1,   247,
    3992,  3993,    -1,    -1,  3996,    -1,  3998,  3999,  4000,  4001,
      -1,    -1,    -1,  4005,    -1,    -1,  4008,    -1,    -1,  4011,
     268,   269,    -1,  4015,    -1,    -1,    -1,    -1,    -1,  4021,
      -1,    -1,  4024,    -1,    -1,    -1,   284,  4029,    -1,    -1,
      -1,    -1,    -1,  4035,    -1,    -1,    -1,    -1,    -1,  4041,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4050,    -1,
      -1,   309,  3829,  3830,   312,    -1,  4058,    -1,    -1,    -1,
    4062,    -1,    -1,    -1,    -1,    -1,    85,   325,    -1,    88,
     328,    -1,  1224,    -1,    -1,  4077,    -1,    -1,  4080,    -1,
      -1,    -1,  1234,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,  4100,  4101,
     119,    -1,    -1,    -1,  1256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4124,    -1,   143,  3902,  3903,  3904,    -1,    -1,
      -1,  4133,    -1,    -1,    -1,    -1,    -1,  1289,    -1,    -1,
      -1,    -1,   400,  4145,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2151,    -1,    -1,    -1,    -1,    -1,
      -1,  2151,  4164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2186,    -1,    -1,    -1,
      -1,    -1,  4204,    -1,  1356,    -1,    -1,    -1,    -1,    -1,
    4212,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4221,
    4222,  4223,  4224,  4225,   243,    -1,    -1,    -1,   247,    -1,
      -1,    -1,   490,   491,   492,    -1,   494,   495,   496,   497,
     498,   499,    -1,  4245,    -1,    -1,   504,    -1,    -1,   268,
     269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1415,    -1,   284,    -1,    -1,    -1,    -1,
    4272,  4273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,  1443,    -1,   312,    -1,    -1,    -1,    -1,  4300,    -1,
    4302,    -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,
      -1,    -1,    -1,    -1,    -1,    -1,  4318,    -1,    -1,    -1,
    1472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1500,  1501,
      -1,  1503,    -1,    -1,  4356,  4357,    -1,    -1,  4360,    -1,
      -1,    -1,    -1,    -1,    -1,  4367,    -1,    -1,  1520,  4371,
      -1,    -1,    -1,    -1,  4376,    -1,    -1,  4379,  4380,    -1,
    4382,   400,  4384,  4385,    -1,  4162,  4163,    -1,  4165,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4411,
      -1,  4413,    -1,    -1,    -1,  4417,  4418,  4419,  4420,  4421,
    1572,  1573,    -1,    -1,  2421,    -1,    -1,    -1,    -1,  2426,
    2427,  2421,    -1,    -1,    -1,    85,  2426,  2427,    88,    -1,
      -1,  2438,    -1,    -1,    -1,    -1,   160,    -1,  2438,  1601,
    4452,  4453,    -1,  1605,  1606,   105,    -1,    -1,    -1,   109,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,  4483,    -1,    -1,    -1,   504,    -1,  4489,    -1,    -1,
      -1,    -1,   206,   143,    -1,    -1,  4498,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   218,    -1,    -1,  4509,   222,  4511,
      -1,    -1,    -1,   227,    -1,    -1,    -1,    -1,   232,    -1,
      -1,   235,  4524,   237,    -1,    -1,    -1,  4529,    -1,    -1,
      -1,  1683,    -1,    -1,    -1,  4537,  4538,  1689,   188,    -1,
      -1,    -1,    -1,    -1,  1696,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4562,    -1,    -1,  4565,    -1,  4567,    -1,    -1,    -1,    -1,
      -1,   285,  2569,    -1,    -1,    -1,  1728,    -1,    -1,  2569,
      -1,    -1,  4584,    -1,  1736,    -1,  4588,    -1,    -1,  4591,
      -1,    -1,    -1,   243,    -1,  4597,    -1,   247,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   321,    -1,    -1,
      -1,  1763,    -1,    -1,    -1,   329,    -1,  4619,   268,   269,
      -1,  4623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,  4640,  4641,
    4642,  4643,  2639,    -1,    -1,    -1,    -1,    -1,  4650,  2639,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
     374,    -1,   312,  1815,    -1,    -1,    -1,    -1,  4670,    -1,
      -1,    -1,    -1,    -1,    -1,   325,    -1,    -1,   328,    -1,
      -1,     3,  1834,    -1,    -1,    -1,    -1,     9,    -1,    -1,
      -1,    13,    -1,    15,    -1,    17,    18,    -1,    -1,    -1,
      -1,  1853,    -1,    -1,    -1,   419,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,
      -1,    -1,    -1,    45,    46,    -1,  4728,    -1,    -1,   443,
      -1,    -1,  4734,    -1,  4736,    -1,    -1,    -1,    -1,    -1,
      -1,  2738,  1894,  4745,    -1,    -1,    -1,  1899,  2738,    -1,
     400,    -1,   466,    -1,   468,   469,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      -1,    -1,    -1,    -1,  4776,    -1,    -1,    -1,  4780,   101,
      -1,   103,   104,    -1,    -1,    -1,    -1,   501,  4790,    -1,
     504,   505,    -1,   507,    -1,    -1,   118,  4799,    -1,  1951,
      -1,   451,    -1,    -1,  4581,  1957,  4808,    -1,  1960,  4811,
    4812,    -1,  4814,    -1,  4591,    -1,   138,    -1,   140,   141,
      -1,    -1,  4824,    -1,   146,    -1,   148,    -1,    -1,    -1,
    4832,    -1,    -1,    -1,    -1,    -1,   158,    -1,   160,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,   174,    -1,   176,    -1,    -1,   179,  4860,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4644,  4870,   191,
      -1,   193,    -1,  4875,    -1,   197,    -1,    -1,    -1,    -1,
      -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
     212,    -1,    -1,    -1,    -1,  2047,   218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     232,  2901,  2902,  2903,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4928,    -1,    -1,    -1,
      -1,    -1,  2084,  2085,    -1,  4937,    -1,    -1,    -1,    -1,
    2092,    -1,  4719,  2095,    -1,    -1,    -1,  2099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2107,  2108,    -1,    -1,    -1,
      -1,    -1,    -1,  2115,   286,   287,  2118,  2119,  2120,  2121,
     292,    -1,    -1,    -1,    -1,    -1,  2128,  2129,   300,  2131,
      -1,  2133,  2134,    -1,    -1,  2137,    -1,    -1,    -1,   311,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2151,
    2152,  2153,    -1,    -1,    -1,  2157,    -1,    -1,    -1,  2161,
      -1,    -1,    -1,  2165,    -1,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,    -1,  2177,   348,    -1,    -1,    -1,
      -1,  2183,    -1,    -1,  2186,    -1,    -1,   359,    -1,    -1,
      -1,  3038,   364,    -1,   366,    -1,    -1,    -1,  3038,   371,
      -1,    -1,    -1,    -1,   376,    -1,    -1,   379,    -1,    -1,
      -1,   383,    -1,    -1,    -1,    -1,   388,   389,    -1,    -1,
      -1,    -1,    -1,    -1,   396,    -1,    -1,   399,    -1,    -1,
      -1,  3078,  3079,    -1,  3081,   407,    -1,    -1,  3078,  3079,
      -1,  3081,    -1,    -1,    -1,    -1,  2248,   419,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    -1,   438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   446,    -1,    -1,    -1,    -1,    -1,
     452,    -1,    -1,    -1,    -1,   457,  3133,    -1,  3135,    -1,
      -1,    -1,    -1,  3133,    -1,  3135,    -1,   469,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,    -1,    -1,    -1,   507,    -1,    -1,    -1,    -1,
      -1,  3188,  2344,    -1,    -1,    -1,    -1,    -1,  3188,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,    -1,
      -1,  2373,  3212,    -1,    -1,    -1,    -1,  2379,    -1,    -1,
      -1,    -1,    -1,  2385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3239,    -1,    -1,    -1,    -1,    -1,    -1,  3239,
      -1,    -1,    -1,    -1,    -1,  3252,    -1,    -1,    -1,    -1,
      -1,    -1,  3252,  2415,    -1,    -1,    -1,    -1,    -1,  2421,
      -1,    -1,    -1,    -1,  2426,  2427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2454,    -1,    -1,  2457,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,  3315,    -1,
      -1,    -1,    -1,    -1,    -1,  3315,    -1,    -1,    -1,    -1,
      -1,    -1,  3329,    -1,    -1,    -1,    -1,    25,    -1,  3329,
      -1,    -1,    -1,    -1,    -1,  3342,    -1,    35,    36,    -1,
      -1,    -1,  3342,    41,    -1,    43,    44,    -1,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,    -1,  3410,   216,  2567,   218,  2569,    -1,    85,
    3410,   160,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3430,    -1,    -1,    -1,    -1,    -1,   105,
    3430,    -1,    -1,    -1,    -1,    -1,   134,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,  3455,    -1,
      -1,    -1,    -1,    -1,    -1,  3455,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,   218,
      -1,    -1,    -1,   222,    -1,    -1,    -1,  2639,   227,    -1,
      -1,    -1,    -1,   232,  3491,    -1,   235,    -1,   237,    -1,
      -1,  3491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,
      -1,    -1,   220,    -1,    85,  2687,    -1,    88,    -1,    -1,
      -1,  3531,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,
      -1,    -1,   240,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    85,   113,    -1,    88,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,   262,    -1,    -1,   243,    -1,    -1,
      -1,   247,   321,    -1,    -1,    -1,  2738,    -1,    -1,   113,
     329,    -1,   143,    -1,    -1,   119,    -1,    -1,    -1,    -1,
    2752,    -1,   268,   269,    -1,  2757,    -1,    -1,   296,    -1,
      -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,   284,   143,
      -1,  2773,  2774,    -1,    -1,    -1,   314,  2779,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,
      -1,    -1,  2804,  2805,    -1,    -1,    -1,  2809,    -1,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,  2821,
    2822,  2823,  2824,    -1,    -1,    -1,    -1,  2829,    -1,    -1,
     419,   205,  2834,  2835,    -1,  2837,  3683,  2839,    -1,    -1,
      -1,    -1,   243,  3683,    -1,    -1,   247,  2849,  2850,   387,
      -1,  2853,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2866,    -1,  2868,   268,   269,   243,
    2872,    -1,    -1,   247,    -1,    -1,    -1,   466,    -1,   468,
     469,    -1,    -1,   284,   400,    -1,  2888,    -1,    -1,    -1,
      -1,   429,    -1,    -1,   268,   269,    -1,  2899,    -1,  2901,
    2902,  2903,    -1,    -1,    -1,   443,    -1,    -1,   309,    -1,
     284,   312,   501,    -1,    -1,   504,   505,    -1,   507,    -1,
     458,    -1,    -1,  2925,   325,    -1,    -1,   328,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2937,    -1,    -1,   312,    -1,
    2942,    -1,    -1,    -1,    -1,    -1,   484,  2949,    -1,    -1,
      -1,   325,   490,  2955,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,   504,    -1,   506,   507,
     508,   509,   510,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,  3833,    -1,   504,    -1,
      -1,    -1,    -1,  3833,    -1,    -1,    -1,    -1,    -1,   400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3015,    -1,    -1,    -1,    -1,  3865,    -1,
      -1,    -1,    -1,    -1,    -1,  3865,   400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3038,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3078,  3079,    -1,  3081,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,    -1,   504,    -1,    -1,    -1,    -1,  3110,  3111,
    3112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,   496,   497,   498,   499,    -1,    -1,    -1,  3976,
      -1,  3133,    85,  3135,    -1,    88,  3976,    -1,    -1,    -1,
    3987,    -1,    -1,    -1,    -1,    -1,    -1,  3987,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,   824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     832,    -1,    -1,    -1,  4024,    -1,  3188,    -1,    -1,  4029,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3212,   863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3234,    -1,    -1,    -1,    -1,  3239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3251,
    3252,  4098,    -1,    -1,    -1,    -1,    -1,    -1,  4098,    -1,
      -1,    -1,    -1,    -1,    -1,   917,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   926,    -1,    -1,    -1,    -1,  4126,
      -1,    -1,    -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,
     243,  4138,    -1,    -1,   247,    -1,    -1,    -1,  4138,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3315,    -1,   268,   269,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,    -1,    -1,
      -1,   284,    -1,    -1,    -1,  4182,    -1,    -1,    -1,    -1,
    3342,    -1,  4182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    95,    -1,   309,    -1,    -1,   312,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3372,    -1,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1036,   126,    -1,    -1,    -1,    -1,
    1042,    -1,    -1,    -1,  1046,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,    -1,    -1,  3407,    -1,    -1,  3410,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,  1071,
      -1,  3423,    -1,  3425,    -1,    -1,    -1,    -1,  3430,  3431,
      -1,   172,  3434,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
    3442,  3443,    -1,    -1,    -1,  3447,  3448,   400,    -1,   190,
      -1,    -1,    -1,  3455,    -1,    -1,   197,  4297,  3460,   200,
      -1,    -1,  3464,    -1,  3466,    -1,  3468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,  3481,
      -1,  3483,    -1,    -1,    -1,    -1,    -1,  4334,    -1,  3491,
    3492,  3493,  3494,    -1,  4334,    -1,  3498,    -1,    -1,  3501,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,   249,  3511,
      -1,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3521,
     105,    -1,    -1,    -1,    -1,    -1,    -1,  3529,   113,  3531,
      -1,    -1,    -1,    -1,   119,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,    -1,    -1,    -1,
      -1,   504,    -1,    -1,   295,    -1,   297,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,   309,    -1,
      -1,    -1,  1224,  3575,    -1,    -1,    -1,    -1,   319,  3581,
      -1,    -1,  1234,    -1,    -1,  3587,   327,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   335,   336,    -1,    -1,    -1,    -1,
      -1,  4448,    -1,    -1,  1256,    -1,    -1,    -1,  4448,    -1,
    3612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   367,    -1,    -1,    -1,
     371,   372,    -1,    -1,    -1,    -1,    -1,  1289,    -1,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   396,    -1,    -1,   243,    -1,
      -1,    -1,   247,   105,    -1,    -1,   407,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,  3678,   119,    -1,    -1,
    3682,  3683,  3684,   268,   269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,   284,
    4540,   143,    -1,    -1,  1356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   454,    -1,    -1,  4563,    -1,    -1,    -1,
      -1,    -1,    -1,  4563,   309,    -1,    -1,   312,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,    -1,  4593,    -1,    -1,    -1,
      -1,    -1,    -1,  4593,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,  4632,    88,    -1,    -1,  4636,
    4637,  1443,  4632,    -1,    -1,    -1,  4636,  4637,    -1,    -1,
      -1,   243,    -1,   105,    -1,   247,  3808,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,   400,    -1,   119,    -1,    -1,
    1472,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,  3833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   143,   284,    -1,    -1,    -1,    -1,    -1,  1500,  1501,
      -1,  1503,    -1,    -1,    -1,    -1,    -1,    -1,  4698,    85,
      -1,    -1,    88,  3865,  3866,  3867,    -1,   309,  1520,    -1,
     312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,    -1,   325,    -1,    -1,   328,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,    -1,    -1,   143,    -1,   504,
    1572,    -1,    -1,    -1,  3926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,  1601,
      -1,    -1,    -1,  1605,  1606,   105,    -1,    -1,   400,    -1,
      -1,  3963,    -1,   113,    -1,    -1,   268,   269,    -1,   119,
      -1,  3973,  3974,    -1,  3976,    -1,    -1,    -1,    -1,  3981,
    3982,    -1,   284,    -1,  3986,  3987,    -1,    -1,    -1,    -1,
    3992,  3993,    -1,   143,  3996,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,  4011,
     312,    -1,    -1,  4015,    -1,    -1,    -1,   243,    -1,    -1,
      -1,   247,  4024,   325,    -1,    -1,   328,  4029,    -1,    -1,
      -1,  1683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4041,
      -1,    -1,   268,   269,  1696,   347,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   284,    -1,
      -1,    -1,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,  1728,   227,  4080,    -1,
      -1,    -1,    -1,   309,  1736,    -1,   312,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,  4098,   247,   400,   325,
      -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1763,   414,    -1,    -1,  4117,    -1,    -1,   268,   269,
      -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,  4138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,   312,  1815,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   400,   325,    -1,    -1,   328,    -1,
    4182,    -1,  1834,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,    -1,    -1,
    4202,  1853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4245,    -1,    -1,    -1,  1899,    -1,    -1,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,
     496,   497,   498,   499,    -1,    -1,   502,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4297,    -1,    -1,    -1,  1951,
      -1,    -1,    -1,    -1,    -1,  1957,    -1,    -1,  1960,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4330,    -1,
      -1,    -1,  4334,    -1,    -1,    -1,    -1,  4339,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,    -1,    -1,  4356,  4357,    -1,    -1,  4360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4371,
      -1,    -1,    -1,    -1,  4376,    -1,    -1,  4379,    -1,    -1,
      -1,    -1,  4384,  4385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    85,    -1,  2047,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,  4417,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,  2084,  2085,    -1,    -1,    -1,    -1,    -1,    -1,
    2092,    -1,    -1,  2095,    -1,    -1,  4448,  2099,    -1,    -1,
    4452,   143,    -1,    -1,    -1,  2107,  2108,    -1,    -1,    -1,
      -1,    -1,    -1,  2115,    -1,    -1,  2118,  2119,  2120,  2121,
      -1,    -1,    -1,    -1,    -1,    -1,  2128,  2129,    -1,  2131,
      -1,  2133,  2134,    -1,    -1,  2137,    -1,  4489,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2151,
    2152,    -1,    -1,    -1,    -1,  2157,    -1,    -1,    -1,  2161,
      -1,    -1,    -1,  2165,    -1,  2167,  2168,  2169,  2170,  2171,
    2172,  2173,  2174,  2175,    -1,  2177,    -1,    -1,    -1,   221,
      -1,  2183,    -1,    -1,  2186,    -1,  4538,    -1,  4540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
    4562,  4563,    -1,  4565,    -1,  4567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   268,   269,    -1,    -1,
      -1,    -1,  4584,    -1,    85,    -1,  4588,    88,    -1,    -1,
      -1,  4593,   284,    -1,    -1,    -1,  2248,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   108,    -1,    -1,
      -1,    -1,   113,    -1,    -1,    -1,    -1,   309,   119,    -1,
     312,    -1,    -1,    -1,    -1,    -1,    -1,  4629,    -1,    -1,
    4632,    -1,    -1,   325,  4636,  4637,   328,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4670,    -1,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,  4698,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   400,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2373,    -1,    -1,  1256,    -1,  4728,  2379,   143,    -1,
      -1,    -1,    -1,  2385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   243,  4745,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2415,    -1,    -1,    -1,   268,   269,  2421,
      -1,    -1,    -1,    -1,  2426,  2427,    -1,    -1,  4780,    -1,
      -1,    -1,    -1,   284,    -1,    -1,  2438,    -1,  4790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   490,   491,
     492,    -1,   494,   495,   496,   497,   498,   499,   309,  4811,
    4812,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4824,    -1,   325,    -1,    -1,   328,   243,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,    -1,   268,   269,    -1,    -1,    -1,  4860,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,  4870,   284,
     108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,    -1,  1415,  4886,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,   312,    -1,   400,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
     325,    -1,    -1,   328,    -1,  2567,    -1,  2569,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4928,   342,    -1,    -1,
      -1,  4933,    -1,    -1,    -1,  4937,    -1,    -1,    -1,  4941,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   400,    -1,  2639,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,   247,
      -1,   825,   826,    -1,    -1,   829,   830,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     268,   269,   846,    -1,    -1,  2687,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,
      -1,    -1,   866,    -1,    -1,    -1,   870,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,
      -1,   309,   886,    -1,   312,   490,   491,   492,   106,   494,
     495,   496,   497,   498,   499,    -1,  2738,   325,    -1,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2752,    -1,    -1,    -1,    -1,  2757,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
      -1,  2773,  2774,    -1,    -1,    -1,   154,  2779,   105,   157,
      -1,   108,    -1,    -1,    -1,   163,   113,    -1,    -1,   167,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1683,  2804,  2805,    -1,    -1,    -1,  2809,    -1,   187,
      -1,    85,   400,    -1,    88,    -1,   143,    -1,    -1,  2821,
    2822,  2823,  2824,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,   105,  2834,    -1,    -1,  2837,    -1,  2839,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,  2849,  2850,    -1,
      -1,  2853,    -1,    -1,  1736,    -1,    -1,    -1,   236,    -1,
      -1,    -1,    -1,    -1,  2866,    -1,  2868,    -1,    -1,   143,
    2872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1763,    -1,    -1,    -1,    85,  2888,    -1,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2899,    -1,  2901,
    2902,  2903,   490,   491,   492,   105,   494,   495,   496,   497,
     498,   499,    -1,   113,    -1,    -1,   243,    -1,    -1,   119,
     247,    -1,    -1,  2925,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2937,    -1,    -1,    -1,    -1,
    2942,   268,   269,   143,    -1,    -1,    -1,  2949,    -1,    -1,
      -1,    -1,  1834,  2955,    -1,    -1,    -1,   284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,  1853,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,  1871,
      -1,    -1,    -1,    -1,   268,   269,    -1,    -1,   325,    -1,
      -1,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     284,    -1,    -1,  3015,    -1,    -1,    -1,  1899,  1182,  1183,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   227,    -1,    -1,
      -1,    -1,    -1,   411,    -1,   309,  3038,    -1,   312,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,   247,    -1,    -1,
      -1,   325,    -1,    -1,   328,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   268,   269,
      -1,    -1,    -1,   400,    -1,  1957,  3078,  3079,    -1,  3081,
      -1,    -1,    -1,    -1,   284,    -1,  1250,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1270,  1271,    -1,   309,
      -1,    -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1287,    -1,   325,   400,    -1,   328,    -1,
      -1,  3133,    -1,  3135,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,  1322,  1323,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3188,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3212,    -1,    -1,    -1,    -1,    -1,   490,   491,   492,    -1,
     494,   495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     490,   491,   492,    -1,   494,   495,   496,   497,   498,   499,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3315,    -1,    -1,   694,   695,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3329,    -1,    -1,
      -1,    -1,    -1,   711,    -1,    -1,    -1,    -1,    -1,    -1,
    3342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
    3372,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,   108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,    -1,  3407,    -1,    -1,  3410,    -1,
      -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,
      -1,  3423,    -1,  3425,    -1,    -1,   143,    -1,  3430,  3431,
      -1,    -1,  3434,  3435,  3436,  3437,  3438,  3439,  3440,  3441,
    3442,  3443,    -1,    -1,    -1,  3447,  3448,    -1,    -1,    -1,
      -1,    -1,   830,  3455,    -1,    -1,    -1,    -1,  3460,    -1,
      -1,   839,  3464,   841,    -1,   843,  3468,   845,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,  3481,
      -1,  3483,    -1,    -1,    -1,    -1,   864,    -1,    -1,  3491,
    3492,  3493,  3494,   871,    -1,    -1,  3498,    -1,    -1,  3501,
      -1,    -1,   880,   881,    -1,    -1,    -1,   885,    85,  3511,
      -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3521,
      -1,    -1,    -1,   901,    -1,   903,   243,  3529,   105,  3531,
     247,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,  2421,
     918,    -1,   119,    -1,  2426,  2427,    -1,    -1,    -1,    -1,
      -1,   268,   269,    -1,   932,    -1,  2438,   935,    -1,   937,
      -1,   939,    -1,    -1,    -1,    -1,   143,   284,    -1,    -1,
      -1,    -1,    -1,  3575,   952,   953,    -1,    -1,    -1,  3581,
      -1,    -1,    -1,    -1,    -1,  3587,  1750,    -1,    -1,   967,
      -1,   969,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,
      -1,   979,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
    3612,   328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     998,   999,    -1,    -1,    -1,    -1,    -1,  1005,    -1,  1007,
      -1,    85,    -1,    -1,    88,    -1,  1800,  1801,  1802,  1803,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
    1038,    -1,    -1,    -1,    -1,   119,   243,    -1,    -1,    -1,
     247,    -1,    -1,    -1,    -1,    -1,  1840,  1841,    -1,    -1,
      -1,  3683,  1846,   400,    -1,    -1,    -1,  2569,    -1,   143,
      -1,   268,   269,    -1,    -1,  1073,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1893,
      -1,    -1,   309,    -1,    -1,   312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   325,    -1,
      -1,   328,    -1,  1917,  1918,  1919,  1920,  2639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1144,    -1,  1146,    -1,
      -1,    -1,  1150,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3808,    -1,    -1,    -1,
      -1,  1975,    -1,    -1,   268,   269,    -1,    -1,    -1,    -1,
    1984,    -1,    -1,   400,    -1,    -1,    -1,  1991,    -1,    -1,
     284,  3833,    -1,    -1,  1212,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1228,    -1,    -1,    -1,    -1,   309,  2738,    -1,   312,    -1,
      -1,  1239,    -1,  3865,  3866,  3867,    -1,    -1,  1246,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1290,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,    -1,  3926,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   400,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3973,  3974,    -1,  3976,    -1,    -1,    -1,    -1,  3981,
    3982,    -1,    -1,    -1,  3986,  3987,    -1,    -1,    -1,    -1,
    3992,  3993,  2156,  1371,  3996,  1373,    -1,    -1,  1376,    -1,
    1378,    -1,    -1,  1381,  1382,  1383,    -1,    -1,    -1,  4011,
      -1,    -1,    -1,  4015,    -1,    -1,  1394,    -1,    -1,    -1,
      -1,    -1,  4024,    -1,    -1,    -1,    -1,  4029,    -1,  1407,
      -1,  1409,    -1,    -1,    -1,    -1,   490,   491,   492,  4041,
     494,   495,   496,   497,   498,   499,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4080,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4098,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3038,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,    -1,    -1,    -1,  3078,  3079,    -1,  3081,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   153,  1591,    -1,    -1,   157,  2381,  2382,  2383,
      -1,    -1,    -1,    -1,  2388,    -1,  2390,    -1,  2392,  2393,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,   180,
      -1,    -1,    -1,  4245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3133,    -1,  3135,   195,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1648,    -1,   213,  1651,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1659,    -1,   224,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    -1,    -1,    -1,   235,  4297,    -1,    -1,    -1,  1677,
      -1,    -1,    -1,    -1,    -1,    -1,  3188,    -1,    -1,   250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2488,    -1,    -1,    -1,  4330,    -1,
    3212,    -1,  4334,    -1,    -1,    -1,  1714,  4339,    -1,    -1,
      -1,    -1,    -1,    89,    -1,    -1,    -1,   288,    94,    -1,
      96,    -1,    -1,    -1,  4356,  4357,    -1,  3239,  4360,    -1,
     106,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4371,
    3252,    -1,    -1,    -1,  4376,    -1,    -1,  4379,    -1,    -1,
    2544,    -1,  4384,  4385,   325,    -1,   132,   328,  2552,  2553,
    2554,  2555,  2556,  2557,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   153,   154,    -1,
      -1,   157,    -1,    -1,    -1,  4417,    -1,   163,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3315,    -1,    -1,    -1,   378,    -1,    -1,
      -1,   187,    -1,   384,    -1,    -1,  4448,  3329,    -1,   390,
    4452,    -1,   393,    -1,    -1,    -1,    -1,   203,    -1,    -1,
    3342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2632,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   419,    -1,
     421,   422,    -1,   424,   425,    -1,    -1,  4489,    -1,    -1,
      -1,    -1,   433,    -1,    -1,    -1,    -1,   438,  2662,    -1,
    2664,    -1,    -1,   444,    -1,    -1,   447,    -1,    -1,   450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,  1902,    -1,    -1,    -1,  3410,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4538,  1915,  4540,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4562,  4563,    -1,  4565,    -1,  4567,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3455,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1959,  4584,    -1,    -1,  1963,  4588,    -1,    -1,    -1,
      -1,  4593,    -1,    -1,    -1,    -1,  1974,    -1,  1976,    -1,
    1978,    -1,    -1,  2767,    -1,  1983,    -1,    -1,    -1,  3491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4632,    -1,    -1,    -1,  4636,  4637,    -1,    -1,  2016,    -1,
    2018,    -1,    -1,    -1,  2022,    -1,  2024,    -1,    -1,  2027,
      -1,    -1,    -1,  2031,  2032,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   411,    -1,    -1,  4670,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4698,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4728,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4745,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4811,
    4812,  2189,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,  4860,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4870,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,  3043,
      -1,  3045,  3046,    -1,    -1,    -1,    -1,    35,    36,    -1,
      -1,    -1,    -1,    -1,    -1,    43,    44,   643,    -1,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    -1,  4928,    75,    76,    77,
      78,    79,    80,    81,    82,  4937,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2324,    -1,   694,   695,
      -1,  3833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2341,  2342,   711,    -1,    -1,  2346,  2347,
      -1,    -1,  2350,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2360,  3865,    -1,    -1,   134,    -1,    -1,  2367,
      -1,    -1,    -1,  2371,  2372,    -1,    -1,  2375,  2376,  2377,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2387,
      -1,  2389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2405,    -1,    -1,
      -1,    -1,  2410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,  2441,  2442,  2443,  2444,    -1,    -1,    -1,
    2448,  2449,   220,    -1,    -1,    -1,    -1,    -1,  2456,    -1,
      -1,  2459,    -1,    -1,    -1,  2463,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    -1,  3976,    -1,    -1,    -1,    -1,    -1,
    2478,    -1,    -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,
      -1,  2489,    -1,  2491,   262,    -1,    -1,    -1,  2496,    -1,
      -1,    -1,    -1,  2501,  2502,  2503,  2504,    -1,  2506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2519,  2520,  2521,    -1,    -1,    -1,    -1,   296,    -1,
      -1,   299,  2530,  2531,   900,   901,    -1,   903,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   314,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,
      -1,  3355,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   949,    -1,    -1,   952,   953,  2586,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4098,    -1,    -1,   965,
      -1,   967,    -1,   969,    -1,    -1,    -1,    -1,    -1,   975,
      -1,    -1,    -1,   979,    -1,  3399,    -1,    -1,    -1,   387,
      -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   998,   999,    -1,    -1,  4138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1038,    -1,  1040,   443,    -1,    -1,    -1,    -1,
    4182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2703,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,
      -1,    -1,   490,    -1,    -1,    -1,   494,   495,   496,   497,
     498,    -1,    -1,   501,   502,   503,    -1,   824,    -1,    -1,
     508,   509,    -1,    -1,    -1,   832,  2744,    -1,    -1,    -1,
      -1,  1117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1131,  1132,    -1,    -1,  1135,
      -1,    -1,    -1,    -1,    -1,    -1,   863,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1180,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     917,    -1,  4334,    -1,    -1,    -1,    -1,    -1,    -1,   926,
      -1,    -1,    -1,    -1,    -1,    -1,  3630,  3631,  3632,  3633,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,  1036,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1071,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2995,  2996,    -1,
    1366,    -1,    -1,    -1,    -1,  1371,    -1,  1373,    -1,    -1,
    1376,    -1,  1378,    -1,    -1,  1381,  1382,  1383,    -1,    -1,
      -1,  1387,  3806,    -1,    -1,    -1,    -1,    -1,  1394,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4540,    -1,
      -1,  1407,    -1,  1409,    -1,    -1,    -1,    -1,  1414,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3055,  3056,    -1,
      -1,  4563,  3060,    -1,    -1,    -1,    -1,  3065,  3066,  3067,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4593,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3101,  3102,  3103,  3104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1036,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4632,    -1,    -1,    -1,  4636,  4637,    -1,  1224,    -1,  3137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1234,    -1,    -1,
      -1,    -1,    -1,  1071,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1531,    -1,    -1,    -1,  1256,
      -1,    -1,    -1,    -1,  1540,  1541,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1557,    -1,    -1,    -1,    -1,  1562,  1563,    -1,    -1,
      -1,  3199,  1289,    -1,    -1,    -1,    -1,    -1,    -1,  3207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3266,  1356,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1643,  3276,  1645,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1655,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3303,    -1,  3305,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1415,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3340,    -1,    -1,  3343,    -1,    -1,    -1,    -1,
      -1,    -1,  1718,    -1,    -1,    -1,  1443,    -1,    -1,  3357,
    1726,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4164,    -1,    -1,    -1,    -1,  1472,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1773,    -1,    -1,
    1776,  1777,    -1,  1500,  1501,    -1,  1503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1520,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,    -1,
      -1,   840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   848,
      -1,    -1,    -1,  1839,    -1,    -1,    -1,   856,    -1,    -1,
      -1,    -1,   861,    -1,    -1,  1572,    -1,    -1,  4272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1601,    -1,    -1,    -1,  1605,  1606,
      -1,    -1,    -1,    -1,    -1,  1443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1472,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1500,  1501,    -1,  1503,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1683,    -1,    -1,    -1,
      -1,    -1,  1520,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3619,    -1,  3621,    -1,    -1,    -1,  3625,    -1,    -1,
    1009,    -1,    -1,    -1,    -1,  4419,  4420,  4421,    -1,    -1,
      -1,    -1,  3640,    -1,    -1,    -1,    -1,    -1,    -1,  1736,
    2016,    -1,  2018,    -1,  1572,    -1,  2022,    -1,  2024,  3657,
      -1,  2027,  1041,    -1,    -1,  2031,    -1,    -1,  3666,    -1,
    2036,    -1,    -1,    -1,    -1,    -1,  1763,    -1,    -1,    -1,
    1059,    -1,    -1,  1601,    -1,    -1,    -1,  1605,  1606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1081,    -1,    -1,    -1,    -1,    -1,  3706,  3707,
    3708,  3709,  3710,  3711,  3712,    -1,    -1,    -1,    -1,  3717,
    3718,    -1,  3720,  3721,  3722,  3723,  3724,  3725,  3726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3735,    -1,  3737,
    3738,    -1,    -1,    -1,    -1,    -1,    -1,  1834,    -1,    -1,
      -1,    -1,    -1,  4537,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1853,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1871,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3802,  3803,  3804,    -1,    -1,  3807,
      -1,    -1,  1899,    -1,    -1,    -1,  2182,    -1,    -1,    -1,
      -1,    -1,    -1,  2189,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2198,    -1,    -1,  4619,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4641,    -1,  4643,
      -1,    -1,    -1,    -1,  1951,    -1,    -1,    -1,    -1,    -1,
    1957,    -1,    -1,  1960,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3882,  1264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2261,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1284,  1285,  1286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2309,    -1,    -1,    -1,  2313,    -1,    -1,
    4734,    -1,    -1,  2319,    -1,  2321,    -1,    -1,  2324,    -1,
    2047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4776,    -1,    -1,    -1,    -1,  2084,  2085,    -1,
      -1,    -1,    -1,    -1,    -1,  2092,    -1,    -1,  2095,    -1,
      -1,    -1,  2099,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2107,  2108,  1401,    -1,    -1,    -1,    -1,    -1,  2115,    -1,
      -1,  2118,  2119,  2120,  2121,    -1,    -1,    -1,    -1,    -1,
      -1,  2128,  2129,    -1,  2131,    -1,  2133,  2134,  4832,  1428,
    2137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2151,  2152,    -1,    -1,    -1,    -1,
    2157,    -1,    -1,    -1,  2161,    -1,    -1,    -1,  2165,    -1,
    2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,    -1,
    2177,  4875,    -1,    -1,    -1,    -1,  2183,    -1,    -1,  2186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4109,  4110,  4111,  4112,    -1,  2482,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2490,    -1,  2492,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4134,  4135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4146,  4147,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2092,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1569,    -1,    -1,    -1,    -1,    -1,    -1,  2115,    -1,    -1,
    2118,    -1,    -1,  2121,    -1,    -1,    -1,    -1,    -1,    -1,
    2128,  2129,    -1,    -1,    -1,    -1,  2134,    -1,    -1,  2137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2152,    -1,    -1,  1616,    -1,  2157,
      -1,    -1,    -1,  2161,    -1,    -1,    -1,  2165,    -1,  2167,
    2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,    -1,  2177,
      -1,    -1,    -1,    -1,    -1,  2183,    -1,  4265,  2186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2373,    -1,    -1,    -1,
    4288,    -1,  2379,    -1,    -1,    -1,    -1,    -1,  2385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4310,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2248,    -1,    -1,    -1,  2421,    -1,    -1,  2703,  2704,  2426,
    2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2438,    -1,    -1,  2720,    -1,    -1,    -1,    -1,    -1,
      -1,  1740,    -1,    -1,    -1,    -1,    -1,    -1,  1747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1772,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1818,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1832,    -1,  2373,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2567,    -1,  2569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4546,    -1,
    2916,    -1,  2639,    -1,    -1,  2921,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2687,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2004,    -1,    -1,    -1,  4627,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2567,
      -1,  2738,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1256,    -1,    -1,    -1,  2752,    -1,    -1,    -1,    -1,
    2757,    -1,  2051,  2052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1256,    -1,    -1,    -1,  2773,  2774,    -1,    -1,
      -1,    -1,  2779,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2804,  2805,    -1,
      -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2821,  2822,  2823,  2824,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2834,    -1,    -1,
    2837,    -1,  2839,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2849,  2850,    -1,    -1,  2853,    -1,    -1,  2687,
      -1,    -1,    -1,    -1,    -1,    -1,  4774,    -1,    -1,  2866,
      -1,  2868,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2888,    -1,  2182,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2899,    -1,  2901,  2902,  2903,    -1,    -1,    -1,
    1415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2207,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2925,    -1,
      -1,  1415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2937,    -1,    -1,    -1,    -1,  2942,  2774,    -1,    -1,    -1,
      -1,  2779,  2949,    -1,    -1,  2244,    -1,  2246,  2955,    -1,
      -1,    -1,    -1,  3239,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3252,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2821,    -1,  2823,  2824,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2834,    -1,    -1,  2837,
      -1,  2839,    -1,    -1,    -1,    -1,    -1,    -1,  3015,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2866,    -1,
    2868,  3038,    -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3340,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2901,  2902,  2903,    -1,    -1,    -1,    -1,
      -1,  3078,  3079,    -1,  3081,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2925,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2937,
      -1,    -1,    -1,    -1,  2942,    -1,    -1,    -1,    -1,    -1,
      -1,  2949,  3398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3133,    -1,  3135,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2451,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3015,    -1,    -1,
      -1,  3188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1683,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3212,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1587,    -1,    -1,    -1,    -1,    -1,
      -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1736,    -1,    -1,  3252,    -1,    -1,  1763,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1763,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2595,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3592,    -1,  3315,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1834,
      -1,    -1,  3329,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,  1853,    -1,
    1834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,    -1,  1853,
      -1,    -1,    -1,    -1,    -1,  3372,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,    -1,
      -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3683,    -1,    -1,
    3407,    -1,    -1,  3410,    -1,  1899,    -1,    -1,    -1,    -1,
    3417,    -1,    -1,  3699,    -1,    -1,  3423,    -1,  3425,    -1,
      -1,    -1,    -1,  3430,  3431,    -1,    -1,  3434,  3435,  3436,
    3437,  3438,  3439,  3440,  3441,  3442,  3443,    -1,    -1,    -1,
    3447,  3448,  1957,    -1,    -1,    -1,    -1,    -1,  3455,    -1,
      -1,    -1,    -1,  3460,    -1,    -1,    -1,  3464,    -1,    -1,
      -1,  3468,    -1,  1957,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3478,    -1,  3759,  3481,    -1,  3483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3491,  3492,  3493,  3494,    -1,    -1,
      -1,  3498,    -1,    -1,  3501,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3511,    -1,    -1,  1256,    -1,    -1,
      -1,    -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3529,    -1,  3531,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3575,  3407,
      -1,    -1,    -1,    -1,  3581,    -1,    -1,    -1,    -1,  3417,
    3587,    -1,    -1,    -1,    -1,  3423,    -1,  3425,    -1,    -1,
      -1,    -1,    -1,  2892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3612,    -1,    -1,    -1,  3447,
    3448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3907,    -1,    -1,    -1,    -1,  1999,    -1,    -1,    -1,
    3468,    -1,    -1,    -1,    -1,    -1,  2151,    -1,    -1,    -1,
    3478,    -1,    -1,  3481,    -1,  3483,    -1,  2946,    -1,    -1,
      -1,    -1,    -1,    -1,  3492,    -1,    -1,  2151,    -1,    -1,
    3498,    -1,    -1,  3501,    -1,    -1,  1415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3683,    -1,    -1,    -1,
      -1,    -1,    -1,  3521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3529,    -1,  3531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2090,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3575,    -1,    -1,
      -1,  2114,    -1,  3581,    -1,    -1,  2119,    -1,    -1,  3587,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4045,
      -1,    -1,    -1,    -1,    -1,    -1,  2139,  2140,    -1,  2142,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3808,    -1,    -1,    -1,    -1,    -1,    -1,  2181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3833,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3865,  3866,
    3867,    -1,  2235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1256,    -1,    -1,
      -1,    -1,    -1,    -1,  2257,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2267,    -1,    -1,  2270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,
      -1,  2426,  2427,    -1,    -1,    -1,    -1,    -1,    -1,  3926,
      -1,    -1,    -1,  2438,    -1,    -1,    -1,  2421,    -1,    -1,
      -1,    -1,  2426,  2427,  1683,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4229,  2438,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3963,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3973,  3974,    -1,  3976,
      -1,    -1,  3271,    -1,  3981,  3982,    -1,    -1,    -1,  3986,
    3987,    -1,    -1,    -1,    -1,  3992,  3993,  1736,    -1,  3996,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3296,    -1,    -1,
      -1,    -1,    -1,    -1,  4011,  3304,    -1,    -1,  4015,  3308,
      -1,    -1,    -1,    -1,  1763,    -1,    -1,  4024,    -1,    -1,
      -1,    -1,  4029,  3322,    -1,    -1,    -1,    -1,  3866,  3867,
      -1,    -1,    -1,    -1,  4041,    -1,  1415,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2569,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4080,    -1,  2569,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1834,    -1,    -1,  3926,    -1,
      -1,  4098,  3391,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1853,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4402,    -1,    -1,  4126,
      -1,    -1,  1871,    -1,  2639,    -1,    -1,    -1,    -1,    -1,
      -1,  4138,    -1,    -1,    -1,  3973,  3974,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2639,    -1,    -1,  3986,    -1,
    1899,    -1,    -1,    -1,  3992,  3993,    -1,    -1,  3996,    -1,
      -1,    -1,  4448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4182,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4024,    -1,    -1,    -1,
      -1,  4029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4041,    -1,    -1,    -1,    -1,  1957,  3508,
    3509,  3510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2738,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4245,    -1,
      -1,    -1,  4080,    -1,  2738,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,
    4297,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1683,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4330,    -1,    -1,    -1,  4334,    -1,    -1,
      -1,    -1,  4339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4356,
    4357,    -1,    -1,  4360,    -1,    -1,    -1,  1736,    -1,    -1,
      -1,    -1,    -1,    -1,  4371,    -1,    -1,    -1,    -1,  4376,
      -1,    -1,  4379,    -1,    -1,    -1,    -1,  4384,  4385,    -1,
      -1,    -1,    -1,    -1,  1763,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2151,    -1,  2777,    -1,    -1,  4245,    -1,    -1,
    4417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4705,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2800,    -1,  2802,
      -1,  2804,  2805,  2806,    -1,    -1,  2809,    -1,    -1,    -1,
    2813,  4448,  1415,    -1,    -1,  4452,    -1,  2820,    -1,    -1,
      -1,    -1,  2825,    -1,    -1,  1834,    -1,    -1,  2831,    -1,
      -1,    -1,    -1,  2836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2845,    -1,  1853,    -1,  2849,  2850,    -1,  2852,
      -1,    -1,  4489,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2864,  1871,    -1,    -1,    -1,  3795,    -1,  2871,    -1,
    2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,  2882,
      -1,    -1,    -1,    -1,    -1,  3814,    -1,    -1,    -1,    -1,
    1899,    -1,  4360,  3038,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4538,    -1,  4540,  2907,    -1,    -1,  3836,    -1,    -1,
      -1,    -1,    -1,    -1,  3038,    -1,    -1,  4385,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4562,  4563,    -1,  4565,    -1,
    4567,    -1,    -1,  3078,  3079,    -1,  3081,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4584,  1957,    -1,
      -1,  4588,    -1,    -1,  3078,  3079,  4593,  3081,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3133,    -1,
    3135,    -1,    -1,    -1,    -1,  4632,    -1,    -1,    -1,  4636,
    4637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3133,
      -1,  3135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3030,    -1,    -1,
      -1,    -1,    -1,  4670,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2421,  3188,    -1,    -1,    -1,  2426,  2427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2438,
      -1,  4698,    -1,    -1,  3188,    -1,    -1,  3212,    -1,  3998,
    3999,  4000,  4001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1683,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3212,    -1,
      -1,  4728,    -1,    -1,  3239,    -1,    -1,  4565,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,  4745,    -1,
      -1,    -1,    -1,    -1,    -1,  3239,  4584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,    -1,
      -1,    -1,    -1,  1736,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2151,  4780,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4790,    -1,    -1,    -1,    -1,    -1,    -1,
    1763,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3315,    -1,    -1,    -1,  4811,  4812,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3329,    -1,    -1,  4824,    -1,    -1,
    2569,  3315,    -1,    -1,    -1,    -1,    -1,  3342,    -1,    -1,
      -1,    -1,  4670,    -1,    -1,  3329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,    -1,
      -1,    -1,    -1,  4860,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1834,    -1,  4870,    -1,    -1,    -1,  3240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2639,    -1,    -1,    -1,    -1,  3410,    -1,    -1,  1871,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3430,  3410,    -1,    -1,    -1,
      -1,  4928,    -1,    -1,    -1,    -1,  1899,    -1,    -1,    -1,
    4937,    -1,    -1,    -1,    -1,    -1,  3430,    -1,    -1,    -1,
    3455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3455,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4811,  4812,    -1,  3491,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1957,    -1,    -1,    -1,  3361,  2738,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3491,    -1,    -1,
      -1,  4300,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4870,  3406,    -1,    -1,    -1,    -1,    -1,  3412,
      -1,    -1,  2421,    -1,    -1,    -1,    -1,  2426,  2427,    -1,
      -1,    -1,    -1,    -1,    -1,  3428,  3429,    -1,  3431,  2438,
      -1,  3434,  3435,  3436,  3437,  3438,  3439,  3440,  3441,  3442,
    3443,  3444,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4928,    -1,    -1,    -1,    -1,    -1,  3469,    -1,    -1,  3472,
      -1,  3474,    -1,    -1,    -1,    -1,  3479,  3480,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3493,  3494,  3495,    -1,  3497,    -1,    -1,  3500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3683,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2151,    -1,
      -1,    -1,    -1,    -1,  3557,    -1,    -1,    -1,    -1,  3683,
    2569,    -1,    -1,    -1,    -1,  3568,    -1,    -1,    -1,  4498,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4529,    -1,    -1,    -1,    -1,    -1,  3609,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3038,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3833,    -1,
      -1,    -1,    -1,    -1,  4623,    -1,    -1,    -1,    -1,  3078,
    3079,    -1,  3081,    -1,    -1,    -1,    -1,    -1,    -1,  3833,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2738,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3133,    -1,  3135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3808,    -1,    -1,    -1,  3188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2421,    -1,
      -1,    -1,    -1,  2426,  2427,    -1,    -1,    -1,    -1,    -1,
      -1,  3976,    -1,  3212,    -1,  2438,    -1,    -1,    -1,    -1,
      -1,    -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3239,    -1,    -1,  3987,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3252,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3927,    -1,    -1,    -1,  3931,  3932,
    3933,    -1,    -1,  3936,    -1,    -1,  3315,    -1,  3941,  3942,
    3943,  3944,  3945,  3946,  3947,  3948,  3949,  3950,  3951,  3952,
    3329,    -1,    -1,  4098,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3342,    -1,    -1,  2569,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4098,    -1,    -1,  3980,  3981,  3982,
    3983,  4126,  3985,    -1,    -1,    -1,  3989,  3990,  3991,    -1,
      -1,  3994,    -1,  4138,  3997,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4138,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4026,    -1,    -1,    -1,    -1,    -1,  3038,
      -1,  3410,    -1,    -1,    -1,  4038,  2639,  4182,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3430,  4055,    -1,    -1,    -1,    -1,    -1,  4182,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3078,
    3079,    -1,  3081,    -1,    -1,    -1,  3455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3133,    -1,  3135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2738,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4334,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3212,    -1,    -1,    -1,    -1,    -1,    -1,
    4334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3252,    -1,  4248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4294,  4295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4448,  3683,    -1,  3315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3329,    -1,    -1,  4326,  4448,    -1,    -1,  4330,    -1,    -1,
      -1,    -1,    -1,  3342,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4344,    -1,  4346,    -1,    -1,    -1,    -1,  4351,  4352,
    4353,    -1,    -1,  4356,  4357,  4358,  4359,    -1,  4361,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4540,    -1,    -1,    -1,    -1,
      -1,  3410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4415,    -1,    -1,    -1,  4540,    -1,  4563,    -1,
      -1,  3430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3038,    -1,    -1,    -1,  4563,
      -1,    -1,    -1,    -1,    -1,    -1,  3455,    -1,  4593,    -1,
      -1,    -1,    -1,    -1,  3833,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4593,
      -1,    -1,    -1,    -1,    -1,  3078,  3079,    -1,  3081,    -1,
      -1,    -1,  3491,    -1,    -1,    -1,  3865,  4632,    -1,    -1,
      -1,  4636,  4637,    -1,    -1,    -1,    -1,    -1,  4501,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4632,    -1,
      -1,    -1,  4636,  4637,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3133,    -1,  3135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4561,  4562,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4577,  4578,  4579,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4596,    -1,    -1,    -1,  3976,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3987,  3212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3683,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4708,    -1,    -1,    -1,    -1,
      -1,    -1,  3315,    -1,    -1,  4718,    -1,    -1,    -1,  4098,
      -1,    -1,    -1,    -1,    -1,    -1,  3329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3342,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4779,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4182,    -1,    -1,    -1,  3410,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4823,    -1,    -1,    -1,  3833,    -1,    -1,  3430,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3455,    -1,    -1,    -1,  3865,    -1,    -1,    -1,
    4863,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4907,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,  4334,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,  3976,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,  3987,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4448,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
    3683,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,  4098,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,  4126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4138,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,
      -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,
      -1,  4540,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,
      -1,   234,    -1,  4182,    -1,    -1,    -1,    -1,    -1,    -1,
     243,    -1,    -1,    -1,  4563,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,
     263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,
      -1,    -1,    -1,    -1,  4593,    -1,    -1,    -1,   281,   282,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3833,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     303,   304,   305,    -1,    -1,   308,    -1,    -1,    -1,   312,
      -1,    -1,   315,  4632,   317,    -1,    -1,  4636,  4637,    -1,
      -1,    -1,  3865,    -1,    -1,    -1,    -1,   330,   331,   332,
     333,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   377,    -1,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4334,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   397,    -1,    -1,   400,    -1,   402,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,   432,
      -1,   434,    -1,  3976,    -1,    -1,    -1,    -1,    -1,    -1,
     443,    -1,    -1,    -1,  3987,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,  4448,
      -1,    19,    20,    21,    22,    23,    24,   510,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    -1,    71,    -1,  4098,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4540,    -1,    -1,    -1,  4138,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4563,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,  4182,
      -1,    -1,    -1,   161,  4593,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4632,    -1,    -1,   204,  4636,  4637,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,  4334,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   510,    -1,    -1,    -1,    -1,  4540,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
    4593,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,  4632,
      -1,    -1,    -1,  4636,  4637,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     3,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,   509,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,
     104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,   115,    -1,    -1,   118,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,   138,    -1,   140,   141,   142,    -1,
     144,    -1,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   158,    -1,   160,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
     174,    -1,   176,   177,   178,   179,    -1,    -1,    -1,    -1,
      -1,   185,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,
      -1,    -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,
     204,    -1,    -1,    -1,    -1,    -1,   210,   211,   212,    -1,
      -1,   215,    -1,    -1,   218,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,   232,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,   260,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   282,    -1,
     284,    -1,   286,   287,    -1,    -1,    -1,    -1,   292,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   303,
     304,   305,    -1,    -1,   308,    -1,    -1,   311,   312,    -1,
      -1,   315,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   331,   332,   333,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,   346,    -1,   348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   358,   359,    -1,    -1,    -1,    -1,
     364,    -1,   366,    -1,    -1,    -1,    -1,   371,    -1,    -1,
      -1,    -1,   376,   377,    -1,   379,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,   388,   389,    -1,    -1,    -1,    -1,
      -1,    -1,   396,   397,    -1,   399,   400,    -1,   402,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   415,    -1,    -1,    -1,   419,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,   432,    -1,
     434,    -1,   436,    -1,   438,    -1,    -1,    -1,    -1,   443,
      -1,    -1,   446,    -1,    -1,   449,    -1,    -1,   452,    -1,
      -1,    -1,    -1,   457,   458,    -1,    -1,   461,    -1,    -1,
      -1,    -1,     5,    -1,    -1,   469,    -1,    -1,    -1,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,   503,
      43,    44,    -1,   507,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,   134,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,   296,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,   314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   262,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   296,    -1,   387,   299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,
      -1,   494,   495,   496,   497,   498,    -1,    -1,   501,   502,
     503,   504,    -1,    -1,    -1,   508,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
     484,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,    -1,
     494,   495,   496,   497,   498,    25,    -1,   501,   502,   503,
     504,    -1,    -1,    -1,   508,    35,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   296,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   314,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,    -1,    -1,    -1,    -1,    -1,
     490,    -1,    -1,    -1,   494,   495,   496,   497,   498,    -1,
      -1,   501,   502,   503,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
     496,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,   504,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,    -1,   282,   283,   284,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,    -1,   345,
      -1,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,    -1,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,    -1,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   504,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,    -1,   282,   283,   284,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,    -1,
     310,   311,   312,   313,    -1,    -1,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,    -1,   345,    -1,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,    -1,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,   459,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   504,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,   227,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,   501,   502,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,   496,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,   444,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,   227,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,   444,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   503,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      -1,   444,   445,   446,   447,   448,   449,   450,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     503,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,   226,    -1,   228,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,   243,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,   256,   257,    -1,   259,   260,   261,   262,   263,
      -1,   265,    -1,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,    -1,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,    -1,
     444,   445,   446,   447,   448,   449,   450,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
     226,    -1,   228,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
     256,   257,    -1,   259,   260,   261,   262,   263,    -1,   265,
      -1,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,   461,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,   226,    -1,
     228,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,   256,   257,
      -1,   259,   260,   261,   262,   263,    -1,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,   282,   283,   284,    -1,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,   461,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,    -1,    -1,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,    -1,   444,   445,   446,   447,   448,
     449,   450,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   503,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,   284,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   503,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,   257,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,   282,   283,   284,
      -1,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   503,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,    -1,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,   256,   257,    -1,   259,
     260,   261,   262,   263,    -1,   265,    -1,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,   283,    -1,    -1,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
     450,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,   461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,    -1,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,    -1,    -1,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,   450,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   503,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,   324,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,   324,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,   450,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,   284,    -1,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
     312,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,   450,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,    -1,   310,   311,   312,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,   228,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
     282,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   504,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   504,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   494,   495,   496,    -1,    -1,    -1,
      -1,    -1,    -1,   503,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
     502,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,   419,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,   419,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   503,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   503,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    85,    86,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,    -1,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,   313,   314,    -1,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,    -1,   345,    -1,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,    -1,   430,   431,    -1,   433,    -1,   435,   436,
     437,   438,   439,   440,   441,   442,    -1,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,    -1,    -1,    -1,   490,   491,   492,    -1,   494,
     495,   496,   497,   498,   499,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,    -1,    -1,    -1,   490,
     491,   492,    -1,   494,   495,   496,   497,   498,   499,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
      -1,    -1,    -1,   490,   491,   492,    -1,   494,   495,   496,
     497,   498,   499,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,    -1,    -1,    -1,   490,   491,   492,
      -1,   494,   495,   496,   497,   498,   499,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,    -1,    -1,
      -1,   490,   491,   492,    -1,   494,   495,   496,   497,   498,
     499,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     5,     6,     7,     8,     9,    10,    11,
      12,    13,   496,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,   226,    -1,   228,   229,   230,   231,
      -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,   256,    -1,    -1,   259,   260,   261,
     262,   263,    -1,   265,    -1,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,    -1,
     282,   283,   284,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,    -1,   310,   311,
     312,   313,    -1,    -1,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,   378,   379,    -1,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,    -1,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
      -1,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,   458,    -1,   460,   461,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   496,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   496,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,   496,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,   323,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,   227,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,   227,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,   227,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,   227,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   494,   495,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,   429,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,    -1,    -1,     4,   490,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
      -1,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
     257,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,    -1,   345,    -1,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,   314,
      -1,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,    -1,
     345,    -1,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,   417,   418,   419,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,   262,
     263,    -1,   265,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,    -1,   310,   311,   312,
     313,    -1,    -1,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,    -1,   345,    -1,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,   458,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,   226,    -1,   228,   229,   230,
     231,    -1,   233,    -1,    -1,   236,    -1,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,   256,    -1,    -1,   259,   260,
     261,   262,   263,    -1,   265,    -1,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
      -1,   282,   283,   284,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,    -1,   310,
     311,   312,   313,    -1,    -1,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,    -1,   345,    -1,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,   378,   379,    -1,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,    -1,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,    -1,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,   458,    -1,   460,
     461,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   484,   485,   486,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,    -1,   212,   213,   214,    -1,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,   226,    -1,   228,
     229,   230,   231,    -1,   233,    -1,    -1,   236,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,   256,    -1,    -1,
     259,   260,   261,   262,   263,    -1,   265,    -1,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,    -1,   282,   283,   284,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
      -1,   310,   311,   312,   313,    -1,    -1,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,    -1,   345,    -1,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
     379,    -1,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,    -1,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,    -1,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,   458,
      -1,   460,   461,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,   486,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,   226,
      -1,   228,   229,   230,   231,    -1,   233,    -1,    -1,   236,
      -1,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,   256,
      -1,    -1,   259,   260,   261,   262,   263,    -1,   265,    -1,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,    -1,   282,   283,   284,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,    -1,   310,   311,   312,   313,    -1,    -1,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,    -1,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,    -1,   345,    -1,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,   379,    -1,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,    -1,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,    -1,   433,    -1,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,   458,    -1,   460,   461,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,   226,    -1,   228,   229,   230,   231,    -1,   233,    -1,
      -1,   236,    -1,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,   256,    -1,    -1,   259,   260,   261,   262,   263,    -1,
     265,    -1,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,    -1,   282,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,    -1,   310,   311,   312,   313,    -1,
      -1,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,    -1,
     345,    -1,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,   379,    -1,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,    -1,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
      -1,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,    -1,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,   458,    -1,   460,   461,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,
     485,   486,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,    -1,   121,    -1,
      -1,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,    -1,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,    -1,    -1,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,    -1,   219,    -1,   221,    -1,
     223,    -1,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,    -1,    -1,   236,    -1,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,   256,    -1,    -1,   259,   260,   261,    -1,
      -1,    -1,    -1,    -1,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,    -1,   282,
     283,   284,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
      -1,   304,    -1,   306,   307,    -1,    -1,   310,   311,   312,
     313,    -1,    -1,   316,    -1,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,    -1,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,    -1,   345,    -1,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,    -1,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,   379,    -1,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,    -1,   398,   399,   400,   401,    -1,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,    -1,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,    -1,    -1,    -1,    -1,   431,    -1,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,    -1,   460,   461,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,    -1,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,    -1,   259,   260,   261,
      -1,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,    -1,   297,   298,    -1,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,    -1,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,    -1,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,    -1,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,   323,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,   429,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,   145,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,   224,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,   232,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,   160,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,   232,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,   224,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,   163,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,   224,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,   419,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,   160,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,   461,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,   450,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,   450,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,   450,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,   324,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,   324,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,   324,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    74,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,   235,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,    -1,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,    -1,   207,
     208,   209,   210,   211,   212,   213,   214,   215,    -1,   217,
      -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,
      -1,   229,   230,   231,    -1,   233,   234,    -1,   236,    -1,
     238,   239,   240,   241,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,   253,    -1,   255,    -1,   257,
      -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,   267,
      -1,    -1,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,
     288,    -1,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,    -1,   310,   311,    -1,   313,    -1,   315,   316,   317,
     318,   319,   320,    -1,   322,    -1,    -1,   325,   326,   327,
      -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,    -1,   343,   344,   345,   346,   347,
     348,   349,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,    -1,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,    -1,   396,   397,
     398,   399,    -1,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,    -1,   417,
     418,    -1,   420,   421,   422,   423,   424,   425,    -1,   427,
     428,    -1,    -1,   431,   432,   433,   434,    -1,   436,   437,
     438,   439,   440,   441,   442,    -1,    -1,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
     458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,
      -1,    -1,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,    -1,
     207,   208,   209,   210,   211,   212,   213,   214,   215,    -1,
     217,    -1,   219,   220,   221,    -1,   223,    -1,   225,    -1,
      -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,   236,
      -1,   238,   239,   240,   241,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,   253,    -1,   255,    -1,
     257,    -1,   259,   260,   261,    -1,   263,    -1,   265,    -1,
     267,    -1,    -1,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,   286,
     287,   288,    -1,    -1,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,    -1,   310,   311,    -1,   313,    -1,   315,   316,
     317,   318,   319,   320,    -1,   322,    -1,    -1,   325,   326,
     327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,    -1,   343,   344,   345,   346,
     347,   348,   349,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
      -1,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,    -1,   396,
     397,   398,   399,    -1,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,    -1,
     417,   418,    -1,   420,   421,   422,   423,   424,   425,    -1,
     427,   428,    -1,    -1,   431,   432,   433,   434,    -1,   436,
     437,   438,   439,   440,   441,   442,    -1,    -1,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,   458,    -1,   460,    -1,   462,   463,   464,    -1,    -1,
     467,    -1,    -1,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
      -1,   207,   208,   209,   210,   211,   212,   213,   214,   215,
      -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,   225,
      -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,    -1,
     236,    -1,   238,   239,   240,   241,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,   253,    -1,   255,
      -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,   265,
      -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,    -1,
     286,   287,   288,    -1,    -1,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,    -1,   310,   311,    -1,   313,    -1,   315,
     316,   317,   318,   319,   320,    -1,   322,    -1,    -1,   325,
     326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,    -1,   343,   344,   345,
     346,   347,   348,   349,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,    -1,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,    -1,
     396,   397,   398,   399,    -1,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
      -1,   417,   418,    -1,   420,   421,   422,   423,   424,   425,
      -1,   427,   428,    -1,    -1,   431,   432,   433,   434,    -1,
     436,   437,   438,   439,   440,   441,   442,    -1,    -1,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,   458,    -1,   460,    -1,   462,   463,   464,    -1,
      -1,   467,    -1,    -1,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,    -1,   207,   208,   209,   210,   211,   212,   213,   214,
     215,    -1,   217,    -1,   219,   220,   221,    -1,   223,    -1,
     225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,   234,
      -1,   236,    -1,   238,   239,   240,   241,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,   253,    -1,
     255,    -1,   257,    -1,   259,   260,   261,    -1,   263,    -1,
     265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
      -1,   286,   287,   288,    -1,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,    -1,   310,   311,    -1,   313,    -1,
     315,   316,   317,   318,   319,   320,    -1,   322,    -1,    -1,
     325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,    -1,   343,   344,
     345,   346,   347,   348,   349,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,    -1,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
      -1,   396,   397,   398,   399,    -1,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,    -1,   417,   418,    -1,   420,   421,   422,   423,   424,
     425,    -1,   427,   428,    -1,    -1,   431,   432,   433,   434,
      -1,   436,   437,   438,   439,   440,   441,   442,    -1,    -1,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,   458,    -1,   460,    -1,   462,   463,   464,
      -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,    -1,   207,   208,   209,   210,   211,   212,   213,
     214,   215,    -1,   217,    -1,   219,   220,   221,    -1,   223,
      -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,   233,
     234,    -1,   236,    -1,   238,   239,   240,   241,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,   253,
      -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,   263,
      -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,    -1,   310,   311,    -1,   313,
      -1,   315,   316,   317,   318,   319,   320,    -1,   322,    -1,
      -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,    -1,   343,
     344,   345,   346,   347,   348,   349,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,    -1,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,    -1,   396,   397,   398,   399,    -1,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,    -1,   417,   418,    -1,   420,   421,   422,   423,
     424,   425,    -1,   427,   428,    -1,    -1,   431,   432,   433,
     434,    -1,   436,   437,   438,   439,   440,   441,   442,    -1,
      -1,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,   457,   458,    -1,   460,    -1,   462,   463,
     464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,    -1,   207,   208,   209,   210,   211,   212,
     213,   214,   215,    -1,   217,    -1,   219,   220,   221,    -1,
     223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,    -1,
     233,   234,    -1,   236,    -1,   238,   239,   240,   241,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
     253,    -1,   255,    -1,   257,    -1,   259,   260,   261,    -1,
     263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,    -1,   310,   311,    -1,
     313,    -1,   315,   316,   317,   318,   319,   320,    -1,   322,
      -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,    -1,
     343,   344,   345,   346,   347,   348,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,    -1,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,    -1,   396,   397,   398,   399,    -1,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,    -1,   417,   418,    -1,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,    -1,    -1,   431,   432,
     433,   434,    -1,   436,   437,   438,   439,   440,   441,   442,
      -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,   457,   458,    -1,   460,    -1,   462,
     463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,    -1,   207,   208,   209,   210,   211,
     212,   213,   214,   215,    -1,   217,    -1,   219,   220,   221,
      -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,   231,
      -1,   233,   234,    -1,   236,    -1,   238,   239,   240,   241,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,   253,    -1,   255,    -1,   257,    -1,   259,   260,   261,
      -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,    -1,   310,   311,
      -1,   313,    -1,   315,   316,   317,   318,   319,   320,    -1,
     322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,    -1,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
      -1,   343,   344,   345,   346,   347,   348,   349,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,    -1,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,    -1,   396,   397,   398,   399,    -1,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,    -1,   417,   418,    -1,   420,   421,
     422,   423,   424,   425,    -1,   427,   428,    -1,    -1,   431,
     432,   433,   434,    -1,   436,   437,   438,   439,   440,   441,
     442,    -1,    -1,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,   458,    -1,   460,    -1,
     462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,    -1,   207,   208,   209,   210,
     211,   212,   213,   214,   215,    -1,   217,    -1,   219,   220,
     221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,   230,
     231,    -1,   233,   234,    -1,   236,    -1,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,   253,    -1,   255,    -1,   257,    -1,   259,   260,
     261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,    -1,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,    -1,   310,
     311,    -1,   313,    -1,   315,   316,   317,   318,   319,   320,
      -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,   330,
      -1,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,    -1,   343,   344,   345,   346,   347,   348,   349,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,    -1,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,    -1,   396,   397,   398,   399,    -1,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,    -1,   417,   418,    -1,   420,
     421,   422,   423,   424,   425,    -1,   427,   428,    -1,    -1,
     431,   432,   433,   434,    -1,   436,   437,   438,   439,   440,
     441,   442,    -1,    -1,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,   458,    -1,   460,
      -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,    -1,   207,   208,   209,
     210,   211,   212,   213,   214,   215,    -1,   217,    -1,   219,
     220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,   229,
     230,   231,    -1,   233,   234,    -1,   236,    -1,   238,   239,
     240,   241,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,   253,    -1,   255,    -1,   257,    -1,   259,
     260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,    -1,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,    -1,   286,   287,   288,    -1,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,    -1,
     310,   311,    -1,   313,    -1,   315,   316,   317,   318,   319,
     320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,    -1,
     330,    -1,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,    -1,   343,   344,   345,   346,   347,   348,   349,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,    -1,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,    -1,   396,   397,   398,   399,
      -1,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,    -1,   417,   418,    -1,
     420,   421,   422,   423,   424,   425,    -1,   427,   428,    -1,
      -1,   431,   432,   433,   434,    -1,   436,   437,   438,   439,
     440,   441,   442,    -1,    -1,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,   458,    -1,
     460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,    -1,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,    -1,   207,   208,
     209,   210,   211,   212,   213,   214,   215,    -1,   217,    -1,
     219,   220,   221,    -1,   223,    -1,   225,    -1,    -1,    -1,
     229,   230,   231,    -1,   233,   234,    -1,   236,    -1,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,   253,    -1,   255,    -1,   257,    -1,
     259,   260,   261,    -1,   263,    -1,   265,    -1,   267,    -1,
      -1,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,    -1,    -1,   286,   287,   288,
      -1,    -1,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
      -1,   310,   311,    -1,   313,    -1,   315,   316,   317,   318,
     319,   320,    -1,   322,    -1,    -1,   325,   326,   327,    -1,
      -1,   330,    -1,    -1,    -1,   334,   335,   336,   337,   338,
      -1,   340,   341,    -1,   343,   344,   345,   346,   347,   348,
     349,    -1,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,    -1,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,    -1,   396,   397,   398,
     399,    -1,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,    -1,   417,   418,
      -1,   420,   421,   422,   423,   424,   425,    -1,   427,   428,
      -1,    -1,   431,   432,   433,   434,    -1,   436,   437,   438,
     439,   440,   441,   442,    -1,    -1,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,   457,   458,
      -1,   460,    -1,   462,   463,   464,    -1,    -1,   467,    -1,
      -1,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,    -1,    -1,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,   226,    -1,
     228,    -1,    -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
      -1,    -1,    -1,    -1,    -1,   263,    -1,   265,    -1,    -1,
     268,   269,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   281,   282,    -1,   284,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   303,   304,   305,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,   317,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   330,   331,   332,   333,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    -1,   400,    -1,   402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,   432,    -1,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     458,    -1,    -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,   211,    -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,
     220,    -1,    -1,    -1,    -1,    -1,   226,    -1,   228,    -1,
      -1,    -1,    -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,    -1,    -1,
      -1,    -1,    -1,   263,    -1,   265,    -1,    -1,   268,   269,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   281,   282,    -1,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   303,   304,   305,    -1,    -1,   308,    -1,
      -1,    -1,   312,    -1,    -1,   315,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     330,   331,   332,   333,   334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   344,    -1,   346,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,
     380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,
     400,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,   432,    -1,   434,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,
      -1,   461,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,   211,
      -1,    -1,    -1,   215,    -1,    -1,    -1,    -1,   220,    -1,
      -1,    -1,    -1,    -1,   226,    -1,   228,    -1,    -1,    -1,
      -1,    -1,   234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,   257,    -1,    -1,    -1,    -1,
      -1,   263,    -1,   265,    -1,    -1,   268,   269,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,
     282,    -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   303,   304,   305,    -1,    -1,   308,    -1,    -1,    -1,
     312,    -1,    -1,   315,    -1,   317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   330,   331,
     332,   333,   334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   344,    -1,   346,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,   400,    -1,
     402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
     432,    -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   458,    -1,    -1,   461,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,
      -1,   215,    -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
     234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,    -1,    -1,    -1,    -1,    -1,   263,
      -1,   265,    -1,    -1,   268,   269,    -1,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   281,   282,    -1,
     284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,
     304,   305,    -1,    -1,   308,    -1,    -1,    -1,   312,    -1,
      -1,   315,    -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,   331,   332,   333,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     344,    -1,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   377,    -1,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   397,    -1,    -1,   400,    -1,   402,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   415,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,   432,    -1,
     434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   443,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   211,    -1,    -1,    -1,   215,
      -1,    -1,    -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,
     226,    -1,   228,    -1,    -1,    -1,    -1,    -1,   234,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     256,   257,    -1,    -1,    -1,    -1,    -1,   263,    -1,   265,
      -1,    -1,   268,   269,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   281,   282,    -1,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,   304,   305,
      -1,    -1,   308,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,   317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   330,   331,   332,   333,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   344,    -1,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   377,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   397,    -1,    -1,   400,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   415,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,   432,    -1,   434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   458,    -1,    -1,   461,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   512,  1048,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   220,   240,
     262,   296,   299,   314,   387,   429,   443,   458,   484,   490,
     494,   495,   496,   497,   498,   501,   502,   503,   504,   506,
     507,   508,   509,   510,  1041,  1049,  1077,  1079,  1170,  1180,
    1181,  1183,  1189,  1190,  1078,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   210,   211,   212,   215,   218,   220,   226,
     228,   232,   234,   243,   256,   257,   263,   265,   268,   269,
     271,   281,   282,   284,   286,   287,   292,   300,   303,   304,
     305,   308,   311,   312,   315,   317,   330,   331,   332,   333,
     334,   344,   346,   348,   358,   359,   364,   366,   371,   376,
     377,   379,   380,   383,   388,   389,   396,   397,   399,   400,
     402,   407,   415,   419,   427,   428,   432,   434,   436,   438,
     443,   446,   452,   457,   458,   461,   469,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   503,   513,   514,   520,
     521,   523,   524,   525,   526,   527,   528,   529,   531,   532,
     536,   547,   550,   551,   554,   555,   556,   567,   570,   571,
     586,   625,   626,   633,   639,   641,   643,   644,   647,   650,
     651,   655,   656,   665,   669,   670,   671,   675,   676,   678,
     679,   680,   693,   694,   695,   696,   707,   708,   715,   716,
     719,   720,   721,   722,   723,   728,   730,   733,   737,   741,
     742,   752,   753,   756,   761,   772,   791,   794,   795,   796,
     799,   802,   804,   806,   809,   812,   813,   814,   821,   822,
     824,   825,   826,   831,   833,   834,   838,   839,   842,   843,
     844,   846,   847,   848,   849,   851,   854,   855,   860,   866,
     869,   871,   876,   878,   882,   889,   893,   894,   895,   896,
     897,   898,   901,   928,  1045,  1046,  1050,  1052,  1053,  1070,
    1071,  1072,  1073,  1084,  1086,  1090,  1091,  1092,  1093,  1094,
    1096,  1098,  1100,  1101,  1102,  1103,  1105,  1110,  1111,  1115,
    1116,  1125,  1127,  1128,  1129,  1132,  1137,  1140,  1145,  1147,
    1148,  1151,  1153,  1156,  1165,  1183,  1191,    73,  1073,  1081,
    1082,    14,     9,    13,    15,    28,    45,    46,    50,    51,
      56,    65,    67,    69,    70,    72,    91,    92,    93,    94,
      95,    96,    97,    98,   100,   101,   102,   110,   111,   113,
     114,   116,   117,   118,   125,   126,   127,   128,   129,   132,
     133,   134,   136,   138,   139,   140,   141,   146,   147,   148,
     149,   151,   152,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   175,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   207,   208,   209,   210,
     212,   213,   214,   217,   219,   221,   223,   225,   229,   230,
     231,   233,   236,   238,   239,   240,   241,   242,   244,   245,
     246,   248,   249,   250,   251,   252,   253,   255,   259,   260,
     261,   267,   270,   272,   273,   274,   275,   276,   277,   278,
     280,   283,   286,   287,   288,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   306,   307,   310,
     311,   313,   316,   318,   319,   320,   322,   325,   326,   327,
     335,   336,   337,   338,   339,   340,   341,   343,   345,   347,
     348,   349,   351,   352,   353,   354,   355,   356,   357,   359,
     360,   361,   362,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   375,   376,   378,   379,   381,   382,   383,
     384,   385,   386,   387,   388,   390,   391,   392,   393,   394,
     396,   398,   399,   401,   403,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   417,   418,   420,   421,   422,
     423,   424,   425,   429,   431,   433,   436,   437,   438,   439,
     440,   441,   442,   445,   446,   447,   448,   449,   452,   453,
     454,   455,   456,   457,   460,   462,   463,   464,   467,   470,
     471,   472,   473,   474,   484,   485,   486,  1042,  1044,  1045,
    1063,  1064,  1155,  1156,  1157,  1161,  1166,  1167,  1168,  1175,
    1177,  1181,  1183,    29,   258,  1126,    99,   163,   180,  1034,
    1065,  1112,  1113,  1161,  1177,    99,   890,  1033,  1065,  1161,
    1174,    14,   890,     5,    25,    29,    35,    36,    43,    44,
      99,   103,   104,   105,   106,   107,   108,   109,   112,   124,
     130,   131,   134,   137,   143,   145,   152,   153,   160,   163,
     164,   165,   166,   168,   169,   170,   180,   182,   188,   192,
     193,   199,   203,   206,   216,   218,   222,   224,   227,   232,
     235,   237,   247,   254,   258,   262,   264,   266,   279,   285,
     289,   290,   309,   314,   321,   323,   324,   328,   329,   342,
     350,   363,   374,   389,   395,   404,   416,   419,   426,   429,
     430,   435,   443,   444,   450,   451,   457,   459,   465,   466,
     468,   469,  1044,  1047,  1157,  1158,  1159,  1163,  1164,  1165,
    1166,  1168,    25,    35,   134,   262,  1152,    38,    40,   309,
    1085,   431,   471,   827,    98,   144,   157,   174,   180,   195,
     213,   224,   229,   235,   250,   275,   325,   353,   378,   384,
     390,   393,   419,   421,   425,   433,   438,   450,   463,   640,
    1113,   179,   827,    99,   890,   461,   856,   323,   349,   827,
     121,   577,   894,    98,   110,   131,   144,   153,   174,   180,
     195,   213,   224,   231,   235,   288,   325,   328,   378,   384,
     393,   421,   422,   424,   425,   433,   438,   444,   447,   450,
     587,   711,   762,   773,  1034,  1054,  1055,  1056,  1065,  1181,
    1183,    14,    99,   348,  1033,  1065,  1069,   408,   890,    99,
     343,   422,   424,   274,   800,   801,  1181,    98,   110,   131,
     144,   157,   174,   195,   213,   224,   229,   235,   250,   325,
     335,   378,   382,   384,   390,   393,   419,   421,   425,   433,
     438,   450,   463,   640,   724,   827,   509,  1095,  1159,   244,
    1069,   160,   179,   210,   461,   503,   855,   861,   869,   871,
     876,   882,   889,   893,  1050,    92,    99,   116,   219,   225,
     227,   247,   276,   306,   351,   365,   494,   495,   738,   739,
     890,  1041,  1043,  1175,  1177,    99,   160,   363,   389,   743,
     744,   745,  1161,  1161,  1038,  1181,   419,   904,   116,   225,
     738,  1161,   431,  1069,   335,   174,   250,   418,   419,   807,
     383,  1161,    99,   134,   394,   427,   431,   457,   539,  1044,
    1045,  1155,  1160,  1166,  1168,  1183,    96,   232,   743,   744,
     349,   827,  1161,   273,    99,   192,   906,     4,    14,   132,
     152,   154,   288,   302,   378,   384,   394,   427,   431,   474,
     537,   538,   539,    99,   394,   427,   431,   539,   431,   324,
     937,  1031,  1161,   904,  1149,  1159,   496,  1161,   228,   503,
     857,   503,  1027,   361,   899,   900,  1033,   894,   895,   898,
     507,   856,   206,   264,   329,   443,   907,   908,   894,   896,
     897,   185,   260,   449,   506,   118,   513,  1093,  1096,  1092,
    1088,   507,  1097,  1099,     5,    25,    35,   134,   196,   262,
    1104,   175,   240,   296,   299,   387,   484,   503,   968,   969,
    1076,  1080,  1170,    73,  1073,  1033,  1065,  1184,   180,  1054,
      21,   451,   497,  1069,  1069,  1184,   451,  1117,  1118,  1119,
      25,   262,   262,  1163,     7,    19,    20,    39,    42,   156,
     193,  1154,  1154,    16,  1093,  1039,  1046,  1155,  1158,  1161,
    1162,  1166,  1167,  1183,   726,  1161,   726,  1034,   352,   726,
     726,  1033,  1161,   173,   419,   751,  1039,  1042,   242,  1031,
     318,    85,   139,   217,   490,   491,   492,   494,   495,   496,
     497,   498,   499,   798,   994,   995,  1161,  1042,  1033,   242,
    1031,  1033,   242,   937,  1033,   386,  1033,   726,   293,  1042,
     242,  1031,   274,    34,   182,   270,   309,   357,   828,   829,
     830,  1031,  1037,  1161,    98,   131,   144,   145,   153,   157,
     174,   195,   213,   224,   229,   250,   275,   325,   378,   382,
     384,   390,   393,   419,   421,   425,   433,   438,   463,   640,
     731,  1181,  1031,   429,  1039,  1033,   503,   726,   433,  1034,
     726,   242,  1033,   173,   419,   422,   424,  1042,   422,   424,
     139,   217,   798,   369,  1042,   533,  1161,  1033,  1033,   386,
    1033,   726,   293,  1042,   390,   419,   463,   157,   250,   229,
     382,   437,   634,    85,  1057,  1058,   508,  1177,  1184,    99,
    1069,  1183,   891,   546,  1161,  1181,   801,   242,  1039,  1033,
     242,   805,   242,  1034,   173,   419,   242,  1039,   242,  1032,
    1033,   150,   139,   217,   242,   798,   125,   242,  1032,   242,
    1033,   242,  1033,   242,  1033,   386,   242,  1033,   242,   293,
    1032,   274,   242,   725,   726,   503,   509,  1185,  1186,  1187,
    1188,  1190,  1095,    71,  1065,  1114,   503,   870,   587,   890,
     861,   457,   461,   855,   862,   863,   864,  1161,   856,  1043,
     739,   740,    99,   739,   890,  1043,   740,    99,   739,   890,
    1043,   740,   740,   740,  1043,  1041,  1041,   266,   451,  1119,
    1120,  1194,  1195,   890,   740,   352,   503,   503,   606,   606,
     606,   323,   429,   506,   606,   937,   938,   739,   890,   739,
     890,   506,   823,  1181,   227,   503,   867,   125,  1033,  1033,
    1031,  1161,   115,   486,   270,   505,   326,   326,   323,   227,
    1181,   429,   222,   734,   323,    83,    84,    85,    87,   107,
     120,   122,   123,   130,   131,   134,   135,   142,   144,   164,
     165,   166,   167,   168,   169,   170,   177,   178,   196,   211,
     215,   216,   220,   234,   262,   263,   265,   281,   289,   290,
     303,   305,   309,   314,   315,   317,   325,   334,   344,   358,
     380,   395,   402,   415,   427,   428,   432,   434,   435,   444,
     450,   458,   476,   477,   478,   479,   480,   481,   482,   483,
     494,   495,   496,   503,   894,   949,   952,   955,   956,   957,
     959,   960,   961,   962,   965,   966,   970,   972,   973,   992,
     996,  1015,  1020,  1028,  1029,  1039,  1040,  1041,  1161,  1173,
    1175,  1177,  1178,  1179,  1180,  1181,   429,   490,  1184,  1181,
     429,   490,  1113,    99,   552,  1030,  1031,   394,   537,   180,
     545,  1181,   546,  1181,   115,   136,   537,   486,   403,   829,
     326,   227,   429,   490,   115,   486,   270,  1194,   830,   503,
    1031,   496,   501,   505,  1021,  1022,   938,  1165,   226,   228,
     461,   852,   853,   855,   226,   858,   180,   970,  1025,  1026,
     899,   506,   503,   859,   504,   504,  1031,    99,   192,   905,
     905,   125,   905,   218,   222,   285,   321,   911,   913,   914,
     923,   925,   926,   907,   908,   227,   266,   937,   939,  1027,
     507,  1087,   496,  1106,  1107,  1109,   509,   509,    25,   262,
     262,   429,   429,   429,   429,   503,   429,   495,   631,  1043,
    1074,  1180,   203,   108,  1061,   125,  1064,  1064,   266,  1119,
    1121,   266,  1119,  1120,  1121,   456,  1130,  1131,  1177,    14,
      37,    84,   494,   495,  1041,  1122,  1123,  1124,  1173,  1175,
    1179,  1180,  1181,  1182,   262,   268,  1033,   429,  1033,     6,
    1033,  1154,  1109,   503,   701,  1022,   336,   367,   396,   505,
     727,   336,   367,   396,   336,   367,   396,   469,   515,   547,
     548,   757,    95,   197,   336,   367,   396,   454,   559,   396,
      95,   197,   449,   530,   472,   242,   937,   127,   159,   214,
     245,   280,   309,   336,   367,   375,   381,   388,   396,   405,
     413,   464,   547,   549,   785,   792,   503,   774,   367,   530,
     211,    95,   101,   141,   190,   197,   200,   252,   307,   309,
     319,   327,   336,   367,   371,   396,   454,   557,   558,   659,
     631,   726,   726,   503,   797,   505,   247,   367,   515,   522,
     336,   367,   211,   126,   172,   249,   295,   297,   307,   335,
     367,   372,   396,   407,   557,   628,   629,   336,   367,   462,
     659,   667,   211,   367,   396,   557,   336,   367,   371,   396,
     151,   189,   337,   423,   323,    95,   101,   197,   336,   367,
     396,   568,   569,   222,   367,   396,   515,   548,   211,   367,
     396,   557,  1033,   507,   283,   182,   324,   473,   506,   828,
     451,   850,   323,  1039,   503,  1033,   173,   419,  1039,   318,
     139,   217,   798,  1033,   386,  1033,   274,   726,   606,   410,
     411,   573,  1181,   503,   701,   702,   137,   120,   122,   123,
     134,   135,   177,   178,   220,   263,   265,   303,   305,   317,
     358,   397,   402,   427,   428,   458,   946,   948,   950,   952,
     954,   956,   957,   958,   960,   961,   965,   966,  1155,  1162,
    1166,  1167,  1183,   227,   503,   697,  1033,   515,   108,   845,
     309,   515,   472,   242,  1031,   515,   726,   726,   697,   587,
     515,   115,   534,   438,   666,   336,   642,   151,   189,   337,
     423,    97,   117,   261,   681,   108,   697,   222,   515,  1031,
     242,   623,  1031,  1031,   726,   150,   763,  1039,  1033,   640,
      74,  1059,  1161,   508,  1060,  1057,   121,   171,   259,   307,
     385,   211,   701,   128,   373,   560,   211,   503,   211,   472,
     211,   774,   211,   506,   242,   725,   242,   726,   242,   726,
     211,   797,  1032,   211,   211,   323,   211,   560,   211,   151,
     189,   337,   423,   211,   323,   211,   222,   242,   242,   546,
     211,   506,   560,   504,  1186,  1187,  1185,   506,   510,   970,
     999,  1118,  1193,  1194,   419,   891,   504,   506,   216,   323,
     435,   543,   546,   631,   865,   861,   740,   890,   740,   890,
    1195,  1196,   740,   890,   740,   890,  1196,   740,   890,   890,
     890,   740,    14,    37,  1169,  1172,  1177,   890,   503,   607,
     608,  1161,   607,    99,   174,   195,   224,   229,   274,   275,
     384,   390,   419,   421,   438,   746,  1030,  1032,   745,   247,
     506,   879,   890,   890,  1181,  1114,   946,  1002,   108,  1032,
     223,   808,   808,   808,   283,  1161,   222,   222,   746,  1032,
     383,  1161,   546,   323,   503,   501,   894,  1003,   460,   963,
     970,  1019,   503,   963,   963,   503,   222,   503,   503,   503,
     951,   951,   346,   894,   503,   503,   953,   503,   503,   503,
     503,   134,   135,   963,   970,   503,   951,   503,   503,   503,
     503,   503,   470,   489,   503,   967,   503,   967,   503,   503,
     894,   503,   503,   503,   503,   503,   503,   503,   503,   970,
     970,   894,   970,   999,  1181,   135,   503,   964,   503,  1181,
      85,    88,   105,   108,   113,   119,   143,   243,   247,   268,
     269,   284,   309,   312,   325,   328,   400,   490,   491,   492,
     494,   495,   496,   497,   498,   499,   994,   996,   998,  1183,
     333,   970,   266,   506,   902,  1194,   503,  1181,  1022,    22,
    1176,  1177,  1023,   320,   323,  1146,  1146,    10,   456,  1133,
    1134,  1136,  1113,  1113,   183,   244,   553,   506,   136,   180,
     546,   108,   180,   288,   544,   631,   966,  1181,  1183,  1181,
     155,   194,   979,   163,   180,   540,   541,   543,   631,   180,
     540,  1194,  1194,   283,  1031,   970,   496,  1036,  1163,  1021,
     156,   372,   729,   268,   504,   506,   856,   504,   506,   900,
    1032,   108,   859,   896,   896,   909,   910,   970,   896,   219,
     306,   920,   357,   398,   449,    99,   915,   970,   916,   918,
     970,   972,   923,   924,   914,   913,   911,   912,   222,   926,
     911,   923,   939,  1031,   108,  1161,   396,  1106,   496,   506,
     507,  1164,  1083,  1086,  1083,   262,   175,   240,   296,   969,
     296,   969,   969,   299,  1041,   296,   299,   387,  1180,   506,
    1075,   179,  1113,   450,  1062,  1064,  1033,    37,  1041,  1135,
    1177,   506,   490,  1033,    14,  1041,  1180,  1041,  1180,   506,
    1093,   503,  1033,   503,  1165,   496,  1002,   336,   367,   396,
     429,   429,   384,  1036,   505,   429,   429,   384,   429,   429,
     421,   537,   840,   222,   232,   247,   376,   758,   759,   137,
     153,   207,   224,   350,   444,   603,   604,   153,   180,   309,
     429,   153,   429,   180,   309,   384,   153,   384,   648,    98,
     131,   144,   157,   195,   224,   229,   325,   384,   390,   393,
     419,   425,   438,   463,   640,  1033,   211,   367,   396,   557,
     323,   631,   388,   280,   429,   429,   314,   631,   184,   267,
     384,   394,   431,   538,   373,   396,   785,   793,   247,   257,
     330,   397,   459,   504,   775,   778,   779,   780,   782,   946,
    1162,   429,   450,  1031,   145,   207,   594,   603,  1161,   145,
     810,   323,   382,   433,   153,   810,   102,   370,   382,   433,
    1031,   252,   319,   726,   503,   429,   429,   503,   563,   421,
     469,   470,   563,   153,   506,   336,   451,   451,   308,   946,
     336,   396,   798,   174,   429,   517,   548,   429,   429,  1031,
     631,   125,   630,   631,   631,   172,   295,   297,   125,   429,
     515,   384,   515,   307,   629,   429,   429,   314,  1181,   659,
     937,   153,   429,   810,   384,   429,   429,   563,   563,   726,
     726,   726,   726,  1031,   114,   456,   114,   114,   429,   114,
     429,   384,   506,   170,   450,   677,  1042,   429,   517,  1031,
     429,   384,   336,   367,   357,   368,   392,   542,   828,  1037,
    1161,  1031,   701,   946,   323,   472,   774,   631,   726,   726,
     797,   268,   323,   151,   189,   337,   423,   323,   726,   268,
     469,   578,   515,   703,   704,  1183,   697,   503,   948,   108,
     107,   947,   175,   299,   484,   503,   968,   727,   951,   726,
     698,   699,  1163,    97,   835,   946,   211,   645,  1033,   309,
     503,   672,   516,   711,   451,   463,   516,  1042,   160,   232,
     535,   586,   625,   680,   741,   761,   831,  1181,   667,   668,
    1033,   291,   726,   726,   726,   726,   319,   185,   260,   436,
     449,   682,   683,   204,   356,   503,   677,   516,   627,   628,
     309,   108,   319,   503,   606,   606,   222,   764,  1037,   503,
     776,   108,   274,   505,  1041,  1060,   469,   470,   892,   385,
    1039,   560,   946,  1034,   242,  1033,  1039,   560,  1032,  1033,
     211,   560,   211,   451,   211,   451,   798,   560,   560,  1032,
    1033,   726,  1033,  1033,  1033,   726,  1032,   677,   211,   211,
     560,   725,   726,   504,   510,  1188,   504,   506,  1194,  1118,
    1031,   171,   861,   863,   890,   890,  1196,   890,   890,  1196,
     890,   890,  1033,    14,   506,  1176,   607,   504,   506,   504,
     230,   391,   420,  1032,   725,   173,   393,   750,   751,  1032,
     318,  1032,  1030,  1030,  1032,   725,   429,   469,   754,    93,
     209,   380,   398,   880,   937,   313,   881,   504,   506,   868,
     871,   876,   882,   893,   429,   744,   743,   744,   227,   233,
     755,  1161,    98,   145,   174,   195,   224,   229,   275,   378,
     384,   390,   419,   421,   438,   463,   640,   735,   999,   502,
     999,  1003,  1004,   503,   465,  1016,  1017,   970,   999,   503,
    1041,  1041,   999,   175,   240,   296,   299,   387,   484,  1005,
    1006,  1181,  1183,  1041,   999,   999,  1041,  1041,   963,   963,
     970,   798,   970,  1007,   494,   495,   971,   972,   992,   996,
    1009,   504,   999,   970,   999,  1010,   427,   486,  1041,  1041,
     970,   124,   227,   279,   430,   970,   999,  1013,   999,   301,
     972,   970,   977,   978,   979,   301,   970,   979,   504,   506,
     396,  1041,  1041,   968,   946,   970,  1163,   427,   112,   416,
    1024,   726,   970,   503,   894,  1014,   192,   194,   216,   309,
     314,   319,   435,   445,   970,   119,   243,   247,   284,   400,
     503,   970,   429,   970,   970,   970,   970,   970,   970,   970,
     970,   970,   970,    99,   106,   404,   993,   380,   503,   992,
     231,   288,   419,   422,   424,   447,   903,  1031,  1029,   227,
     929,    99,   192,   459,   496,   504,   780,   970,  1000,  1001,
    1162,  1033,  1177,  1021,  1135,   506,   490,  1031,   431,   503,
    1181,   506,  1194,   504,   502,   508,   241,   241,   560,  1093,
    1031,   853,   854,  1031,  1025,   504,   503,   506,   109,   188,
     451,   770,   503,   917,  1043,   324,   319,   927,   927,   506,
     380,   381,   919,   924,   912,   451,   877,   180,   503,   872,
     893,  1161,   503,   883,   884,   885,   886,   887,  1161,   507,
    1107,   947,   510,  1086,   510,   504,   631,   504,    34,  1063,
    1138,  1139,  1177,  1131,  1136,  1184,  1122,   947,  1171,  1187,
    1171,   947,   504,   504,   429,   429,   384,  1042,  1033,  1033,
    1036,  1042,  1033,  1033,  1042,  1034,  1033,   152,   841,   378,
     450,   743,   384,   232,   743,   503,  1033,   451,   765,   272,
     272,   451,   503,   622,   242,  1033,   314,  1042,  1033,  1033,
     970,   314,  1033,  1033,  1033,   429,   649,  1039,   503,   726,
     726,   726,   173,   419,   751,   139,   217,   798,  1033,   726,
    1033,   726,   386,   726,   726,   274,   236,   307,   336,   367,
     455,   652,   653,   654,   937,   429,   810,   384,   314,   184,
     267,  1042,  1033,   323,  1033,   330,  1162,   504,   506,   780,
     782,   779,   782,  1162,   727,  1042,  1032,   367,   557,   594,
     946,  1161,  1033,  1033,    99,   450,  1033,   242,  1033,   242,
    1161,   382,   433,   382,   433,  1033,    99,   450,  1033,  1031,
      95,   197,   396,   660,   661,   662,   663,  1163,  1042,  1033,
     565,   566,  1163,  1033,   322,   141,   322,  1033,   558,   429,
    1035,  1161,  1035,   506,   504,   506,   429,   384,  1034,  1042,
     152,   202,   252,   341,   442,   450,   453,   518,  1183,  1042,
    1033,   367,   396,   557,   628,   631,   726,  1033,   631,  1033,
     631,  1042,  1033,   367,   396,   557,  1033,  1033,  1033,  1033,
    1042,  1033,    95,   101,   197,   336,   367,   396,   336,   367,
     396,   697,   367,   396,   367,   396,   367,   945,  1161,  1181,
    1161,   242,  1161,  1042,  1033,  1033,  1033,    95,   569,   393,
    1042,   367,   396,   557,  1033,  1033,   429,   429,   149,   441,
     357,   268,   108,   726,   268,   268,   451,   451,   268,   314,
     732,  1181,   726,   726,   726,   726,   726,   726,   268,   732,
     322,   227,   429,   572,   503,   574,   575,   504,   506,   490,
     970,   107,   947,   946,   501,   501,   429,   429,  1041,   951,
     504,   506,   490,   682,   152,   201,   277,   278,   291,   336,
     421,   423,   836,   596,  1033,   227,   384,   462,   646,   653,
     654,   211,   504,   594,   673,   674,   393,    96,   247,   378,
     417,   518,   519,   222,  1035,  1031,   534,   328,   587,   224,
    1181,   697,   697,   697,   697,   319,   323,   328,   503,   697,
     943,   944,   945,   393,   211,   210,  1051,   726,   284,   588,
     590,   592,   594,   600,   603,  1161,   469,   470,   618,   469,
     564,  1181,   323,   504,   777,   778,   783,   108,   274,   375,
     468,   784,   785,   786,   323,   546,  1059,   497,   239,   239,
     222,   701,   108,   211,   560,   774,   725,   726,  1035,   726,
    1035,   797,   323,   560,   560,   323,   560,   393,   222,   546,
     560,   970,   892,  1184,  1172,   504,   608,   247,   247,   247,
     472,  1032,   506,   631,   632,   235,   747,   748,  1042,    96,
     755,   209,   398,   209,   398,   380,   449,   298,   946,  1033,
     227,   323,   747,   125,   560,  1039,   419,  1039,   318,   274,
     726,   504,   502,   502,   506,   999,   970,   199,  1017,  1018,
     108,   504,   970,   504,   504,   504,   504,   227,   504,   504,
     504,   504,   504,   506,   504,   342,  1008,   504,   971,   971,
      88,   247,   268,   325,   490,   491,   492,   494,   495,   496,
     497,   498,   499,   996,   971,   504,   504,   222,   227,  1011,
    1012,   504,   486,   504,   504,   108,  1013,   999,  1013,  1013,
     227,   504,   504,  1163,   340,   981,   108,   504,   506,   970,
    1163,   506,   970,  1023,   970,  1161,   504,   504,   486,   971,
     971,   205,   999,   227,   192,   194,   216,   314,   319,   435,
     445,   503,   205,   416,  1024,   970,  1014,   970,   429,   798,
     970,   503,   894,   422,   424,   422,   424,  1031,   904,   904,
     904,   503,   894,   930,   931,   932,   937,   940,   973,  1039,
    1161,   466,   941,  1000,  1000,  1001,   504,   332,   985,    90,
     504,   506,   908,     8,    11,    12,    22,    23,    24,    26,
      27,    31,    32,    33,   173,   301,   346,   438,  1141,  1142,
    1144,  1134,  1135,   829,  1041,   968,   541,   970,   947,   859,
     868,   910,   325,   994,   997,   487,   488,   771,   970,   919,
    1030,   881,   881,   916,   930,   466,   942,   457,   873,   874,
    1161,   374,   875,   887,   888,   506,   929,   490,  1023,   508,
    1089,   507,   506,   490,    30,  1150,   504,   504,   507,  1042,
    1033,  1033,   285,  1032,  1032,   323,  1032,   326,   323,   970,
     604,  1035,   503,   503,   503,   622,   250,   607,   691,   211,
     560,   429,   546,   701,   946,   472,   726,   726,   726,   797,
     151,   189,   337,   423,  1033,   635,  1033,   236,   455,   429,
     429,   635,   652,   659,   367,   396,   557,  1033,  1033,  1033,
     258,   314,   727,   778,   782,   782,   498,   429,   327,   657,
     197,   371,   396,   559,   659,   811,   211,   560,   211,   560,
    1033,  1033,  1033,  1033,   662,   663,   662,   504,   506,   664,
    1181,   504,   506,   490,   505,  1042,   336,   367,   396,    95,
     197,   336,   367,   396,   946,   308,   946,  1042,  1033,   285,
     341,   314,  1181,   341,  1032,   448,   429,   384,   429,   810,
     384,   429,   429,   293,   293,   293,   429,   429,   384,   429,
     429,   384,   429,   384,   429,   384,   429,   560,   946,    97,
     117,   396,   811,   211,   560,   429,  1033,   429,   384,  1042,
    1033,   732,   946,   268,   732,   732,  1035,  1035,   732,   268,
     268,   268,   268,   268,   268,   732,   573,   581,   582,  1163,
     121,   162,   186,   201,   205,   223,   238,   314,   322,   355,
     576,   704,  1183,   325,   494,   495,   631,   700,   782,   997,
    1047,  1181,   504,   501,   504,  1041,   502,   503,  1041,  1161,
    1181,  1192,   504,   699,   700,   323,   285,   490,   837,   837,
     837,   837,   837,   837,   837,   137,   143,   153,   180,   182,
     254,   309,   314,   350,   363,   444,   597,   598,   599,   515,
     546,  1033,   546,   657,  1031,   504,   506,  1033,  1032,   235,
     378,  1032,  1041,   438,   606,   369,   419,   173,   607,  1031,
     683,   705,   706,  1181,   504,   506,  1033,  1031,  1033,   893,
     503,   589,  1031,   504,   506,   322,   563,   322,   323,   619,
     563,   108,   429,  1031,   504,   506,   180,   490,   787,  1181,
     546,   419,   781,   782,   469,   786,   788,   185,   260,   389,
     449,   819,   236,  1055,   893,  1069,   560,   946,  1033,   560,
     560,   451,   560,   451,   560,   560,   726,   726,  1033,   677,
     560,   222,   384,   384,   384,  1032,   751,   506,  1042,   469,
     506,   749,   326,   209,   209,  1032,   746,   560,  1042,   701,
     774,   631,   726,   268,  1003,   504,   426,   970,   203,   946,
     504,   970,   970,   970,  1011,   946,   971,   192,   194,   309,
     319,   971,   971,   971,   971,   971,   971,   971,   971,   971,
     971,   970,   970,  1012,  1011,   967,   967,   946,   504,   504,
     504,   999,   504,   506,   125,   972,   504,  1163,   978,   347,
     414,   980,   504,   506,   462,   974,   108,   504,   964,  1181,
     970,   105,   105,   970,   504,   970,   227,   503,  1002,   970,
     971,   971,   205,   205,   970,   504,   205,   970,   904,   904,
     904,   904,  1031,  1031,  1031,   894,   931,   932,   108,   933,
    1161,   506,   161,   228,   256,   271,   282,   304,   377,   934,
     933,   108,   933,  1161,   503,  1022,   970,   235,   921,   506,
     907,   908,   907,   504,   985,   503,   986,  1161,   970,   985,
    1181,   459,  1001,   504,   506,   490,   504,   502,  1150,   504,
     503,   771,   504,   324,   163,   970,   875,   504,   506,  1023,
    1028,   504,   506,   884,   942,  1025,  1041,   490,  1108,  1139,
    1144,   837,   230,   391,   420,   439,   760,   222,   760,   504,
     503,   610,   611,   767,   973,  1161,   607,   607,   691,  1037,
     504,   182,   254,   307,   309,   692,  1033,  1033,   108,  1033,
     451,   451,   726,   726,   726,   726,   727,  1042,  1033,   429,
     810,   384,   429,   258,   498,   438,  1033,   503,   596,   309,
     563,   173,   309,   409,   412,   563,   438,  1033,  1161,   661,
     566,   700,  1163,   429,   429,   384,   229,   325,   412,   709,
     710,   229,   325,   717,   718,   429,   429,   384,   504,   504,
     504,  1043,  1181,  1181,  1181,  1033,  1033,  1033,  1033,  1033,
    1033,  1033,   222,   222,   369,   222,   242,  1042,  1033,  1033,
    1042,  1033,  1033,  1033,  1033,  1033,  1033,  1033,   143,   561,
    1181,  1181,   438,  1161,  1033,   659,  1033,  1033,   504,   732,
     268,   268,   732,   732,   732,   732,   732,   732,   451,   579,
     580,   504,   506,   496,   503,   543,   583,   631,   845,  1181,
     845,   309,   355,   845,   845,   691,  1041,   469,   470,   502,
    1192,   494,   495,   496,   497,   498,   502,   968,  1031,   837,
     180,  1041,  1181,   180,  1181,   180,  1181,   180,  1181,   180,
    1033,   180,  1033,   180,  1033,   503,   726,  1033,   971,   183,
     244,   182,   314,   272,  1031,   788,   645,   672,   674,   657,
    1032,  1032,   946,   564,  1031,   472,   222,   684,   504,   506,
     945,   657,   319,   503,   870,   469,   624,   591,   593,   595,
     603,  1161,   618,   601,   253,   617,   592,   148,   421,   620,
     893,  1181,   765,   783,   970,   970,   506,   503,   784,   697,
     429,   635,    85,  1066,   504,   560,  1035,  1035,   560,   560,
     393,  1032,  1032,  1032,   631,   232,   748,   755,   227,   268,
     268,   268,   268,   314,   736,  1181,   970,   504,   504,  1012,
     227,   192,   194,   319,   503,   504,   475,   976,   999,   362,
     125,   467,   467,   504,   970,   307,   970,   506,   975,   948,
     968,   971,   971,   970,  1002,   504,   105,   105,   970,   970,
     205,   970,   504,  1031,  1031,  1031,  1031,   504,  1161,   503,
     931,   271,   331,   935,   931,   935,   271,   934,   935,   271,
     503,  1161,   503,  1000,   125,   237,   922,   504,   504,   985,
     987,  1161,  1001,   985,  1142,   495,  1135,  1143,  1180,  1181,
    1181,   798,   319,   893,   874,  1194,   490,   887,   875,  1188,
    1043,   429,   743,   227,   691,   970,   504,   506,   469,   143,
     768,   768,   504,   504,   788,   183,   244,   252,   182,   453,
     560,   946,  1035,  1035,  1033,  1033,  1033,  1033,   438,   658,
     662,   314,   314,  1043,  1161,   946,   560,   560,   490,  1042,
    1033,  1033,  1041,  1041,   946,   506,  1041,  1041,   506,  1042,
    1033,  1033,   429,  1032,  1032,   726,  1032,   211,   726,   946,
     560,   560,   268,   732,   732,   515,   187,   582,   543,   584,
     585,  1181,  1181,   314,   496,   607,  1181,  1181,   502,   229,
     257,   229,   504,  1192,  1192,  1192,  1192,  1192,   227,   690,
    1043,   970,   309,   598,   788,   606,   451,   621,   393,   451,
     108,   503,  1033,   198,   685,   465,   687,  1181,   726,   588,
     624,   173,   307,   504,   506,   469,   619,   208,   248,   503,
     618,   185,   197,   347,  1033,   469,   832,   227,   503,  1181,
     780,   789,   790,  1162,   788,  1031,   255,   636,  1067,  1161,
     560,   560,   560,  1033,   326,   560,   747,   736,   736,   736,
     736,   971,   227,   503,  1002,   503,   504,   506,   504,   972,
     362,   504,   456,   406,   504,   504,   504,   971,   971,   970,
     933,   503,  1032,   931,   323,   451,   936,   931,   271,   931,
     944,   503,   944,  1161,   504,   999,   970,   468,   982,   985,
     985,   339,   988,   504,  1041,  1180,   968,   504,   890,  1027,
     747,   323,   747,   504,   788,   611,   325,   798,   726,   451,
     726,   769,   769,   363,   788,   621,   504,   429,   504,   506,
     561,   700,   503,  1039,   798,   710,   503,   503,   718,  1033,
     469,   369,   469,   469,   222,   561,   732,   574,  1181,   504,
     506,   607,   751,   108,   803,   803,  1031,   691,   504,   621,
     294,   609,   250,  1033,  1035,   893,   657,   380,   408,   686,
     503,   210,   589,   504,   173,   593,   327,   620,    99,   147,
     154,   181,   251,   412,   602,   602,  1030,   619,   381,   381,
     129,   137,   288,   726,   766,   767,   782,   504,   506,   941,
     635,   307,   455,   637,   638,   490,  1068,   560,   971,  1002,
     504,   977,   999,   125,   307,   485,  1032,   504,   970,   503,
     931,   936,   504,   944,   504,   983,   984,  1161,   125,   907,
     985,   749,   760,   560,   768,   621,   503,   726,   770,   770,
    1031,   621,   691,  1033,   662,   451,   562,  1002,   774,   222,
     713,   797,  1002,  1002,   725,   726,   725,   726,  1032,   560,
     585,   803,   111,   246,   222,   307,   605,   228,   338,   401,
     323,   613,   614,   615,   421,   657,   217,   712,   832,   970,
     354,   618,   617,   596,   504,   620,   137,   326,   137,   504,
     506,   784,   789,   193,   455,   635,  1041,  1175,  1183,    85,
     504,   504,   504,   362,   456,   504,  1032,   504,   506,   108,
     999,   356,   381,   989,   227,   769,   466,   612,   798,   771,
     771,   606,   691,   970,   504,   329,   386,   360,   714,   713,
     504,   504,   469,   198,   252,   185,   449,   323,   615,   323,
     614,  1033,   726,   108,   504,  1039,   619,   618,   326,   326,
     564,   767,   788,   100,   261,   820,  1067,   504,   984,   986,
     119,   163,   440,   970,   990,   991,   990,   504,   747,   770,
     503,   691,   504,   609,  1039,   125,   714,   726,   380,   128,
     307,   373,   396,   616,   616,   709,   503,   620,   619,   620,
     310,   503,   815,   817,   822,   871,   876,   882,   893,   991,
     380,   221,   345,   221,   345,   560,   771,   970,   613,   774,
     726,   687,    94,   180,   314,   688,   689,  1041,  1163,  1180,
    1181,   620,   941,   816,   817,   818,   894,   895,   105,   504,
     691,   210,   504,   506,   504,   507,   991,   354,   689,   818,
    1039,   503,   688,   504
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1455 of yacc.c  */
#line 1468 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 1470 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 1472 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 1474 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 1476 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 1478 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 1480 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 1482 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 1484 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 1486 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 1488 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 1490 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 1492 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 1494 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 1496 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 1498 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 1500 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 1502 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 1504 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 1506 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 1508 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 1510 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 1512 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 1514 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 1516 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 1518 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 1520 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	;}
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 1538 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 1540 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1542 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1544 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1546 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1548 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1550 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1552 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1554 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1556 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1558 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1560 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1562 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1564 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1566 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1568 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1570 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1572 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1574 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1576 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1578 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1580 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1582 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1584 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1586 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1588 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1590 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1592 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 1594 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 1598 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); ;}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1600 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1602 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1604 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1606 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1608 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1610 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1612 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 1614 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 1616 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 1618 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 1620 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 1622 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 1624 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 1626 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 1628 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1630 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1632 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1634 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1636 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1638 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1640 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1642 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); ;}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1644 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1646 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); ;}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1648 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1650 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1652 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1654 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1656 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1658 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1660 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1662 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1664 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	;}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1671 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1673 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1675 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1677 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1679 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1681 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1683 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1685 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1687 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1689 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1691 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1693 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1699 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1701 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1703 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); ;}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1705 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1707 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1711 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1713 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); ;}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1715 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1721 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1731 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1735 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1741 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1745 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1755 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1764 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); ;}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1766 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1780 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1787 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1793 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	;}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1804 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1810 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1819 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	;}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1826 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	;}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1832 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	;}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1841 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1848 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	;}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1855 "preproc.y"
    { (yyval.str) = NULL; ;}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1861 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1869 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1873 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1880 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1884 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1891 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1895 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
;}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1910 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1914 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1926 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1930 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1946 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1954 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1962 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1970 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1978 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1986 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1989 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1997 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 2005 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 2013 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 2021 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 2025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 164:

/* Line 1455 of yacc.c  */
#line 2033 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 165:

/* Line 1455 of yacc.c  */
#line 2037 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 2045 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 2053 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 168:

/* Line 1455 of yacc.c  */
#line 2061 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 2065 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 2073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 2077 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 2085 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 2089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 2097 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 2101 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 2108 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 2112 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 2119 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 2123 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 2127 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 2131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 2135 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 2139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 2147 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 2151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 2155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 2163 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 2167 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 2171 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 2179 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 191:

/* Line 1455 of yacc.c  */
#line 2183 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 2187 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
;}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 2191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("= default"));
;}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 2195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
;}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 2199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 2203 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 2208 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 198:

/* Line 1455 of yacc.c  */
#line 2212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 199:

/* Line 1455 of yacc.c  */
#line 2216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 2220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 201:

/* Line 1455 of yacc.c  */
#line 2224 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
;}
    break;

  case 202:

/* Line 1455 of yacc.c  */
#line 2228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 203:

/* Line 1455 of yacc.c  */
#line 2232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 2240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 2244 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 206:

/* Line 1455 of yacc.c  */
#line 2252 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 2256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2268 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
;}
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
;}
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
;}
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2322 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2326 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2330 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2334 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2338 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2354 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 227:

/* Line 1455 of yacc.c  */
#line 2362 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2369 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 230:

/* Line 1455 of yacc.c  */
#line 2381 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
;}
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
;}
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
;}
    break;

  case 234:

/* Line 1455 of yacc.c  */
#line 2397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
;}
    break;

  case 235:

/* Line 1455 of yacc.c  */
#line 2405 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2409 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2417 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2421 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2429 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
;}
    break;

  case 241:

/* Line 1455 of yacc.c  */
#line 2437 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
;}
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2441 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
;}
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2445 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	;}
    break;

  case 244:

/* Line 1455 of yacc.c  */
#line 2454 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2466 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2494 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
;}
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2498 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
;}
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2502 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
;}
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2506 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
;}
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2534 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2538 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2550 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2554 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2566 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2570 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2574 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2578 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2582 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2586 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2590 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2594 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2598 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2602 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2606 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2610 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 278:

/* Line 1455 of yacc.c  */
#line 2618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 279:

/* Line 1455 of yacc.c  */
#line 2622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
;}
    break;

  case 282:

/* Line 1455 of yacc.c  */
#line 2634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
;}
    break;

  case 283:

/* Line 1455 of yacc.c  */
#line 2638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
;}
    break;

  case 285:

/* Line 1455 of yacc.c  */
#line 2646 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 287:

/* Line 1455 of yacc.c  */
#line 2654 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
;}
    break;

  case 289:

/* Line 1455 of yacc.c  */
#line 2662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
;}
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
;}
    break;

  case 292:

/* Line 1455 of yacc.c  */
#line 2674 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
;}
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2678 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 294:

/* Line 1455 of yacc.c  */
#line 2682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 295:

/* Line 1455 of yacc.c  */
#line 2686 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 296:

/* Line 1455 of yacc.c  */
#line 2690 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 297:

/* Line 1455 of yacc.c  */
#line 2694 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2698 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 299:

/* Line 1455 of yacc.c  */
#line 2702 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2706 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
;}
    break;

  case 301:

/* Line 1455 of yacc.c  */
#line 2710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 302:

/* Line 1455 of yacc.c  */
#line 2714 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2718 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2722 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2726 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2738 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
;}
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 310:

/* Line 1455 of yacc.c  */
#line 2754 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2761 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2765 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 313:

/* Line 1455 of yacc.c  */
#line 2772 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 314:

/* Line 1455 of yacc.c  */
#line 2776 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2795 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2802 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2806 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2814 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2822 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2826 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2834 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2854 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2858 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2866 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2874 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	;}
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
;}
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2887 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (10)].str), "to") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdout") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY FROM STDOUT is not possible");
			else if (strcmp((yyvsp[(6) - (10)].str), "from") == 0 && strcmp((yyvsp[(7) - (10)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(10,mm_strdup("copy"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2898 "preproc.y"
    { 
			if (strcmp((yyvsp[(4) - (6)].str), "stdin") == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "COPY TO STDIN is not possible");

 (yyval.str) = cat_str(6,mm_strdup("copy"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2909 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2913 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
;}
    break;

  case 337:

/* Line 1455 of yacc.c  */
#line 2921 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2925 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2929 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2937 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2941 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 343:

/* Line 1455 of yacc.c  */
#line 2953 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2960 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2964 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2968 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2972 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2976 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2980 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2984 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2996 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
;}
    break;

  case 354:

/* Line 1455 of yacc.c  */
#line 3000 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 3004 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 3012 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 3016 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 3023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 3027 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 3034 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 3038 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 3045 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 3049 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 364:

/* Line 1455 of yacc.c  */
#line 3056 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 365:

/* Line 1455 of yacc.c  */
#line 3060 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 366:

/* Line 1455 of yacc.c  */
#line 3068 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 367:

/* Line 1455 of yacc.c  */
#line 3076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 3080 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 3084 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 3088 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 3092 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 3099 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 3103 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 3111 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 3119 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 376:

/* Line 1455 of yacc.c  */
#line 3123 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 377:

/* Line 1455 of yacc.c  */
#line 3127 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 378:

/* Line 1455 of yacc.c  */
#line 3131 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 379:

/* Line 1455 of yacc.c  */
#line 3139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 380:

/* Line 1455 of yacc.c  */
#line 3143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 3147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
;}
    break;

  case 382:

/* Line 1455 of yacc.c  */
#line 3151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
;}
    break;

  case 383:

/* Line 1455 of yacc.c  */
#line 3155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
;}
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 3159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
;}
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 3163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 3167 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 3174 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 3178 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 3185 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 3189 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 3196 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 3200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 3208 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 3212 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 3220 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 3224 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 3228 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 3240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 3248 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 3256 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3264 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3268 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3275 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3283 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3287 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
;}
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3303 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3311 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3315 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3319 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3347 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3355 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3359 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3363 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3398 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3402 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3410 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3414 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3418 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3422 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3430 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3434 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3442 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
;}
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3446 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3453 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3457 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3464 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3468 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3476 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3484 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
;}
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3488 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
;}
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
;}
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3497 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3504 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3508 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3516 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3520 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3528 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3532 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3543 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3547 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3551 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3562 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3570 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
;}
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3586 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3590 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
;}
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3594 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
;}
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3606 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3613 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
;}
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
;}
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3625 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
;}
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3636 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
;}
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
;}
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3644 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3651 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3655 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3666 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3673 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3681 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3689 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
;}
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3693 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
;}
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3697 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3704 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3712 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3716 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3724 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3728 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3735 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3739 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3747 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
;}
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3763 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
;}
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
;}
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3783 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3803 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3810 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3826 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3830 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3838 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3842 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3854 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3861 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3873 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3877 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3884 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3888 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3896 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3900 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3907 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3911 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3923 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3930 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("location"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3938 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3942 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3949 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3953 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3961 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3965 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3973 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3977 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3984 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3988 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3992 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 4000 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 541:

/* Line 1455 of yacc.c  */
#line 4008 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 4012 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 4019 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 544:

/* Line 1455 of yacc.c  */
#line 4027 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 4031 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
;}
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 4035 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 4039 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 548:

/* Line 1455 of yacc.c  */
#line 4043 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 4047 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 4051 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 4055 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 4059 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 553:

/* Line 1455 of yacc.c  */
#line 4063 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 4067 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 4071 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 4075 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 4079 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 4083 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 4087 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 4091 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 4095 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 4099 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 4103 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 4107 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 565:

/* Line 1455 of yacc.c  */
#line 4111 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 4119 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 567:

/* Line 1455 of yacc.c  */
#line 4127 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 568:

/* Line 1455 of yacc.c  */
#line 4131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
;}
    break;

  case 569:

/* Line 1455 of yacc.c  */
#line 4135 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 570:

/* Line 1455 of yacc.c  */
#line 4139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
;}
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 4147 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 572:

/* Line 1455 of yacc.c  */
#line 4151 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 4159 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 574:

/* Line 1455 of yacc.c  */
#line 4163 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 4170 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 4174 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 4182 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 4186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 579:

/* Line 1455 of yacc.c  */
#line 4194 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 580:

/* Line 1455 of yacc.c  */
#line 4198 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4209 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4217 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4225 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4229 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4237 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4241 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4245 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4249 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4257 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4265 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4273 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4281 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4289 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4293 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4304 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
;}
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4312 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4316 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4323 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4327 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4335 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4339 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4343 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4351 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table"),(yyvsp[(4) - (8)].str),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 606:

/* Line 1455 of yacc.c  */
#line 4355 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("server"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 607:

/* Line 1455 of yacc.c  */
#line 4363 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 608:

/* Line 1455 of yacc.c  */
#line 4367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4375 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4379 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 611:

/* Line 1455 of yacc.c  */
#line 4387 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 612:

/* Line 1455 of yacc.c  */
#line 4395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4407 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 616:

/* Line 1455 of yacc.c  */
#line 4419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4423 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4431 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4435 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4443 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 621:

/* Line 1455 of yacc.c  */
#line 4451 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
;}
    break;

  case 622:

/* Line 1455 of yacc.c  */
#line 4455 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
;}
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
;}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4479 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 627:

/* Line 1455 of yacc.c  */
#line 4483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 628:

/* Line 1455 of yacc.c  */
#line 4491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 629:

/* Line 1455 of yacc.c  */
#line 4495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 631:

/* Line 1455 of yacc.c  */
#line 4503 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 632:

/* Line 1455 of yacc.c  */
#line 4507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4515 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 634:

/* Line 1455 of yacc.c  */
#line 4519 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4526 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4530 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4553 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4560 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4564 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4568 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4575 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4579 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4583 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4587 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4599 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4606 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4609 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4617 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4621 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4625 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
;}
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4629 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
;}
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4633 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
;}
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4637 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
;}
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4645 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4649 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4657 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4666 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4675 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4679 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4683 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4687 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 666:

/* Line 1455 of yacc.c  */
#line 4691 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4695 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4699 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
;}
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4703 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 670:

/* Line 1455 of yacc.c  */
#line 4707 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4711 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 672:

/* Line 1455 of yacc.c  */
#line 4715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4719 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4723 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4727 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4743 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 679:

/* Line 1455 of yacc.c  */
#line 4755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 680:

/* Line 1455 of yacc.c  */
#line 4759 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4767 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4775 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4779 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4791 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
;}
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4803 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4811 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4815 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4823 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4831 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4835 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4842 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4854 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("add value"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4858 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("before"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4862 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[(3) - (8)].str),mm_strdup("add value"),(yyvsp[(6) - (8)].str),mm_strdup("after"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4870 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4878 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4882 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 702:

/* Line 1455 of yacc.c  */
#line 4890 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4894 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4898 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4902 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4906 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4918 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4925 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4929 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 711:

/* Line 1455 of yacc.c  */
#line 4936 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
;}
    break;

  case 712:

/* Line 1455 of yacc.c  */
#line 4940 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 713:

/* Line 1455 of yacc.c  */
#line 4944 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 714:

/* Line 1455 of yacc.c  */
#line 4951 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4956 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4963 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4971 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4975 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4987 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4995 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4999 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 723:

/* Line 1455 of yacc.c  */
#line 5007 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 5011 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 5019 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 5023 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 5031 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 728:

/* Line 1455 of yacc.c  */
#line 5039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 5047 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 730:

/* Line 1455 of yacc.c  */
#line 5051 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 5055 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 5059 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 5067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 734:

/* Line 1455 of yacc.c  */
#line 5071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 735:

/* Line 1455 of yacc.c  */
#line 5075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 5079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 737:

/* Line 1455 of yacc.c  */
#line 5083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 738:

/* Line 1455 of yacc.c  */
#line 5087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 5091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 5095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 741:

/* Line 1455 of yacc.c  */
#line 5099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 5103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 5107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 5111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
;}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 5115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
;}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 5119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
;}
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 5123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
;}
    break;

  case 748:

/* Line 1455 of yacc.c  */
#line 5131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 749:

/* Line 1455 of yacc.c  */
#line 5135 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 5143 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 5147 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 5155 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 5159 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 5167 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 5175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
;}
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 5179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
;}
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5183 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5190 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5194 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5198 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5202 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5206 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5210 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5214 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5218 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5222 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5226 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5230 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 769:

/* Line 1455 of yacc.c  */
#line 5234 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 770:

/* Line 1455 of yacc.c  */
#line 5238 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 771:

/* Line 1455 of yacc.c  */
#line 5242 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search parser"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5246 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search dictionary"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5250 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search template"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5254 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on text search configuration"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 778:

/* Line 1455 of yacc.c  */
#line 5274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 779:

/* Line 1455 of yacc.c  */
#line 5278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 787:

/* Line 1455 of yacc.c  */
#line 5310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 788:

/* Line 1455 of yacc.c  */
#line 5314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
;}
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5334 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5346 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5350 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5354 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5358 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5362 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5370 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5374 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5381 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5385 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5389 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
;}
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5393 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5397 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5401 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5405 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 812:

/* Line 1455 of yacc.c  */
#line 5429 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 813:

/* Line 1455 of yacc.c  */
#line 5433 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 814:

/* Line 1455 of yacc.c  */
#line 5441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 815:

/* Line 1455 of yacc.c  */
#line 5445 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5449 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	;}
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5453 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	;}
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5459 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	;}
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5465 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	;}
    break;

  case 820:

/* Line 1455 of yacc.c  */
#line 5471 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	;}
    break;

  case 821:

/* Line 1455 of yacc.c  */
#line 5477 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	;}
    break;

  case 822:

/* Line 1455 of yacc.c  */
#line 5483 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	;}
    break;

  case 823:

/* Line 1455 of yacc.c  */
#line 5489 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	;}
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5495 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	;}
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5505 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 826:

/* Line 1455 of yacc.c  */
#line 5516 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5527 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5538 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5549 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5560 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5571 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5587 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5603 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5619 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5630 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5646 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5657 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5673 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5688 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5692 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5700 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5704 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5711 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5719 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5723 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5731 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
;}
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5755 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5775 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5779 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5799 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5803 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5811 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5819 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5823 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5827 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5839 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5843 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5847 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5855 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5859 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5867 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5871 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
;}
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5883 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5890 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5894 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5902 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5910 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5918 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5922 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5930 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
;}
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5934 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5941 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5945 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5952 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5964 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5975 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5987 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5991 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5995 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
;}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 6003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 6007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 6011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 6015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 6023 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
;}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 6031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 6035 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 6042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 6046 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 6053 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 6057 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 6064 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 6068 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 6075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 6079 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 6087 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 6091 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 6095 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 6103 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 6107 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 6114 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 6118 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 6122 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 6129 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 6133 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 6137 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 6144 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
;}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 6148 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
;}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 6152 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 6159 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 6163 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
;}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 6167 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 6175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
;}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 6179 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 6186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 6190 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 6198 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 6202 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 6210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 6214 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
;}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 6222 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 6226 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 6242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 6246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 6250 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 6258 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 6262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 6266 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 6270 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
;}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 6274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 6282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 6290 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 6298 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 6302 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
;}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 6306 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
;}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 6314 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 6318 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 6322 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 6330 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 6334 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 6342 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
;}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 6346 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
;}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 6350 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
;}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6370 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
;}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
;}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
;}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6386 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
;}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6390 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6394 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6398 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6406 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6410 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6418 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6426 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6430 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6438 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6442 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6449 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6457 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6461 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6469 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6477 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6481 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6493 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6500 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6504 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6512 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6516 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6524 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6528 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6536 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6540 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6544 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6548 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
;}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6556 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6560 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6576 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6580 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6588 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6592 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6600 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6604 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6608 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6616 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
;}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6620 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
;}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6624 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6631 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
;}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6643 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6650 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6654 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6658 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6666 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6670 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6678 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6682 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6689 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6693 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6697 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6701 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6705 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6709 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6713 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6717 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6721 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6725 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6729 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6733 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6737 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6741 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6745 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6749 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6753 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6757 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6761 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6765 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6769 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6773 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6777 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6781 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6785 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6789 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6793 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6797 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6801 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6805 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6809 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1055:

/* Line 1455 of yacc.c  */
#line 6813 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1056:

/* Line 1455 of yacc.c  */
#line 6817 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6821 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6825 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6829 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6833 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6837 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6841 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6845 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6849 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6861 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6868 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
;}
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6872 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6879 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6883 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6887 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6891 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1073:

/* Line 1455 of yacc.c  */
#line 6895 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1074:

/* Line 1455 of yacc.c  */
#line 6899 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6903 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6907 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6911 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6915 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6919 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6923 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6927 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6931 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6935 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6939 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6943 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6947 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6951 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6955 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1089:

/* Line 1455 of yacc.c  */
#line 6959 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1090:

/* Line 1455 of yacc.c  */
#line 6963 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6971 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6975 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6979 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 6983 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 6987 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 6991 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 6995 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 6999 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 7003 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 7007 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 7011 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 7015 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 7019 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 7023 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 7027 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 7031 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 7035 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 7039 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 7047 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 7055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 1111:

/* Line 1455 of yacc.c  */
#line 7059 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 7063 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 7071 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 7075 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 7083 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 7087 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 7091 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 7095 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1119:

/* Line 1455 of yacc.c  */
#line 7099 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1120:

/* Line 1455 of yacc.c  */
#line 7107 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 7111 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 7118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 7122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 7126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 7130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1126:

/* Line 1455 of yacc.c  */
#line 7138 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 7142 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 7146 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 7153 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 7157 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 7165 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1132:

/* Line 1455 of yacc.c  */
#line 7173 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1133:

/* Line 1455 of yacc.c  */
#line 7177 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1134:

/* Line 1455 of yacc.c  */
#line 7184 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1135:

/* Line 1455 of yacc.c  */
#line 7192 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1136:

/* Line 1455 of yacc.c  */
#line 7196 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
;}
    break;

  case 1137:

/* Line 1455 of yacc.c  */
#line 7204 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1138:

/* Line 1455 of yacc.c  */
#line 7208 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1139:

/* Line 1455 of yacc.c  */
#line 7212 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1140:

/* Line 1455 of yacc.c  */
#line 7216 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1141:

/* Line 1455 of yacc.c  */
#line 7220 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1142:

/* Line 1455 of yacc.c  */
#line 7224 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1143:

/* Line 1455 of yacc.c  */
#line 7228 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1144:

/* Line 1455 of yacc.c  */
#line 7232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1145:

/* Line 1455 of yacc.c  */
#line 7236 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1146:

/* Line 1455 of yacc.c  */
#line 7240 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1147:

/* Line 1455 of yacc.c  */
#line 7244 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1148:

/* Line 1455 of yacc.c  */
#line 7248 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1149:

/* Line 1455 of yacc.c  */
#line 7252 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1150:

/* Line 1455 of yacc.c  */
#line 7256 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1151:

/* Line 1455 of yacc.c  */
#line 7264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 1152:

/* Line 1455 of yacc.c  */
#line 7268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 1153:

/* Line 1455 of yacc.c  */
#line 7272 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1154:

/* Line 1455 of yacc.c  */
#line 7279 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1155:

/* Line 1455 of yacc.c  */
#line 7283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
;}
    break;

  case 1156:

/* Line 1455 of yacc.c  */
#line 7287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
;}
    break;

  case 1157:

/* Line 1455 of yacc.c  */
#line 7291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 1158:

/* Line 1455 of yacc.c  */
#line 7295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
;}
    break;

  case 1159:

/* Line 1455 of yacc.c  */
#line 7303 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1160:

/* Line 1455 of yacc.c  */
#line 7307 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1161:

/* Line 1455 of yacc.c  */
#line 7311 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1162:

/* Line 1455 of yacc.c  */
#line 7319 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1163:

/* Line 1455 of yacc.c  */
#line 7323 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1164:

/* Line 1455 of yacc.c  */
#line 7330 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1165:

/* Line 1455 of yacc.c  */
#line 7334 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1166:

/* Line 1455 of yacc.c  */
#line 7342 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
;}
    break;

  case 1167:

/* Line 1455 of yacc.c  */
#line 7347 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
;}
    break;

  case 1168:

/* Line 1455 of yacc.c  */
#line 7352 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
;}
    break;

  case 1169:

/* Line 1455 of yacc.c  */
#line 7357 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1170:

/* Line 1455 of yacc.c  */
#line 7364 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1171:

/* Line 1455 of yacc.c  */
#line 7372 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1172:

/* Line 1455 of yacc.c  */
#line 7380 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1173:

/* Line 1455 of yacc.c  */
#line 7384 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1174:

/* Line 1455 of yacc.c  */
#line 7391 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1175:

/* Line 1455 of yacc.c  */
#line 7395 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1176:

/* Line 1455 of yacc.c  */
#line 7399 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1177:

/* Line 1455 of yacc.c  */
#line 7403 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1178:

/* Line 1455 of yacc.c  */
#line 7407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1179:

/* Line 1455 of yacc.c  */
#line 7411 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1180:

/* Line 1455 of yacc.c  */
#line 7415 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1181:

/* Line 1455 of yacc.c  */
#line 7419 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1182:

/* Line 1455 of yacc.c  */
#line 7423 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1183:

/* Line 1455 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1184:

/* Line 1455 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1185:

/* Line 1455 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1186:

/* Line 1455 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1187:

/* Line 1455 of yacc.c  */
#line 7443 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1188:

/* Line 1455 of yacc.c  */
#line 7447 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1189:

/* Line 1455 of yacc.c  */
#line 7451 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
;}
    break;

  case 1190:

/* Line 1455 of yacc.c  */
#line 7459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1191:

/* Line 1455 of yacc.c  */
#line 7463 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1192:

/* Line 1455 of yacc.c  */
#line 7470 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1193:

/* Line 1455 of yacc.c  */
#line 7474 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1194:

/* Line 1455 of yacc.c  */
#line 7482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1195:

/* Line 1455 of yacc.c  */
#line 7490 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1196:

/* Line 1455 of yacc.c  */
#line 7494 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1197:

/* Line 1455 of yacc.c  */
#line 7501 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1198:

/* Line 1455 of yacc.c  */
#line 7509 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1199:

/* Line 1455 of yacc.c  */
#line 7513 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1200:

/* Line 1455 of yacc.c  */
#line 7521 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1201:

/* Line 1455 of yacc.c  */
#line 7529 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1202:

/* Line 1455 of yacc.c  */
#line 7533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
;}
    break;

  case 1203:

/* Line 1455 of yacc.c  */
#line 7537 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
;}
    break;

  case 1204:

/* Line 1455 of yacc.c  */
#line 7541 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1205:

/* Line 1455 of yacc.c  */
#line 7545 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1206:

/* Line 1455 of yacc.c  */
#line 7549 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1207:

/* Line 1455 of yacc.c  */
#line 7553 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1208:

/* Line 1455 of yacc.c  */
#line 7561 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 1209:

/* Line 1455 of yacc.c  */
#line 7565 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1210:

/* Line 1455 of yacc.c  */
#line 7572 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1211:

/* Line 1455 of yacc.c  */
#line 7580 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1212:

/* Line 1455 of yacc.c  */
#line 7584 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1213:

/* Line 1455 of yacc.c  */
#line 7588 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1214:

/* Line 1455 of yacc.c  */
#line 7592 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
;}
    break;

  case 1215:

/* Line 1455 of yacc.c  */
#line 7596 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1216:

/* Line 1455 of yacc.c  */
#line 7600 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
;}
    break;

  case 1217:

/* Line 1455 of yacc.c  */
#line 7608 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
;}
    break;

  case 1218:

/* Line 1455 of yacc.c  */
#line 7616 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1219:

/* Line 1455 of yacc.c  */
#line 7620 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1220:

/* Line 1455 of yacc.c  */
#line 7624 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1221:

/* Line 1455 of yacc.c  */
#line 7632 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1222:

/* Line 1455 of yacc.c  */
#line 7636 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1223:

/* Line 1455 of yacc.c  */
#line 7643 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1224:

/* Line 1455 of yacc.c  */
#line 7647 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1225:

/* Line 1455 of yacc.c  */
#line 7651 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1226:

/* Line 1455 of yacc.c  */
#line 7655 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1227:

/* Line 1455 of yacc.c  */
#line 7659 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1228:

/* Line 1455 of yacc.c  */
#line 7667 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1229:

/* Line 1455 of yacc.c  */
#line 7671 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1230:

/* Line 1455 of yacc.c  */
#line 7679 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1231:

/* Line 1455 of yacc.c  */
#line 7683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1232:

/* Line 1455 of yacc.c  */
#line 7687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1233:

/* Line 1455 of yacc.c  */
#line 7691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1234:

/* Line 1455 of yacc.c  */
#line 7699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1235:

/* Line 1455 of yacc.c  */
#line 7703 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1236:

/* Line 1455 of yacc.c  */
#line 7711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 1237:

/* Line 1455 of yacc.c  */
#line 7715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 1238:

/* Line 1455 of yacc.c  */
#line 7723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1239:

/* Line 1455 of yacc.c  */
#line 7727 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1240:

/* Line 1455 of yacc.c  */
#line 7734 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 1241:

/* Line 1455 of yacc.c  */
#line 7738 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1242:

/* Line 1455 of yacc.c  */
#line 7745 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 1243:

/* Line 1455 of yacc.c  */
#line 7749 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1244:

/* Line 1455 of yacc.c  */
#line 7756 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1245:

/* Line 1455 of yacc.c  */
#line 7760 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1246:

/* Line 1455 of yacc.c  */
#line 7767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1247:

/* Line 1455 of yacc.c  */
#line 7771 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1248:

/* Line 1455 of yacc.c  */
#line 7775 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1249:

/* Line 1455 of yacc.c  */
#line 7779 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1250:

/* Line 1455 of yacc.c  */
#line 7787 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1251:

/* Line 1455 of yacc.c  */
#line 7791 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1252:

/* Line 1455 of yacc.c  */
#line 7795 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1253:

/* Line 1455 of yacc.c  */
#line 7799 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1254:

/* Line 1455 of yacc.c  */
#line 7803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1255:

/* Line 1455 of yacc.c  */
#line 7807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1256:

/* Line 1455 of yacc.c  */
#line 7811 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1257:

/* Line 1455 of yacc.c  */
#line 7819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1258:

/* Line 1455 of yacc.c  */
#line 7823 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1259:

/* Line 1455 of yacc.c  */
#line 7831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1260:

/* Line 1455 of yacc.c  */
#line 7839 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1261:

/* Line 1455 of yacc.c  */
#line 7843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1262:

/* Line 1455 of yacc.c  */
#line 7847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 1263:

/* Line 1455 of yacc.c  */
#line 7855 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1264:

/* Line 1455 of yacc.c  */
#line 7859 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1265:

/* Line 1455 of yacc.c  */
#line 7863 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1266:

/* Line 1455 of yacc.c  */
#line 7870 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	;}
    break;

  case 1267:

/* Line 1455 of yacc.c  */
#line 7876 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	;}
    break;

  case 1268:

/* Line 1455 of yacc.c  */
#line 7886 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1269:

/* Line 1455 of yacc.c  */
#line 7890 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1270:

/* Line 1455 of yacc.c  */
#line 7897 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1271:

/* Line 1455 of yacc.c  */
#line 7901 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1272:

/* Line 1455 of yacc.c  */
#line 7905 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1273:

/* Line 1455 of yacc.c  */
#line 7909 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1274:

/* Line 1455 of yacc.c  */
#line 7917 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); ;}
    break;

  case 1275:

/* Line 1455 of yacc.c  */
#line 7919 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1276:

/* Line 1455 of yacc.c  */
#line 7927 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1277:

/* Line 1455 of yacc.c  */
#line 7931 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1278:

/* Line 1455 of yacc.c  */
#line 7938 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1279:

/* Line 1455 of yacc.c  */
#line 7946 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1280:

/* Line 1455 of yacc.c  */
#line 7950 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1281:

/* Line 1455 of yacc.c  */
#line 7954 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
;}
    break;

  case 1282:

/* Line 1455 of yacc.c  */
#line 7962 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1283:

/* Line 1455 of yacc.c  */
#line 7966 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1284:

/* Line 1455 of yacc.c  */
#line 7974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1285:

/* Line 1455 of yacc.c  */
#line 7982 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
;}
    break;

  case 1286:

/* Line 1455 of yacc.c  */
#line 7986 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1287:

/* Line 1455 of yacc.c  */
#line 7993 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1288:

/* Line 1455 of yacc.c  */
#line 8001 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1289:

/* Line 1455 of yacc.c  */
#line 8005 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1290:

/* Line 1455 of yacc.c  */
#line 8012 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1291:

/* Line 1455 of yacc.c  */
#line 8020 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
;}
    break;

  case 1292:

/* Line 1455 of yacc.c  */
#line 8024 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1293:

/* Line 1455 of yacc.c  */
#line 8031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
;}
    break;

  case 1294:

/* Line 1455 of yacc.c  */
#line 8035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
;}
    break;

  case 1295:

/* Line 1455 of yacc.c  */
#line 8039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
;}
    break;

  case 1296:

/* Line 1455 of yacc.c  */
#line 8043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
;}
    break;

  case 1297:

/* Line 1455 of yacc.c  */
#line 8047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 1298:

/* Line 1455 of yacc.c  */
#line 8051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
;}
    break;

  case 1299:

/* Line 1455 of yacc.c  */
#line 8055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1300:

/* Line 1455 of yacc.c  */
#line 8059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
;}
    break;

  case 1301:

/* Line 1455 of yacc.c  */
#line 8067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 1302:

/* Line 1455 of yacc.c  */
#line 8071 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1303:

/* Line 1455 of yacc.c  */
#line 8078 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1304:

/* Line 1455 of yacc.c  */
#line 8086 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1305:

/* Line 1455 of yacc.c  */
#line 8090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1306:

/* Line 1455 of yacc.c  */
#line 8098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1307:

/* Line 1455 of yacc.c  */
#line 8102 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1308:

/* Line 1455 of yacc.c  */
#line 8110 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1309:

/* Line 1455 of yacc.c  */
#line 8118 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1310:

/* Line 1455 of yacc.c  */
#line 8126 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1311:

/* Line 1455 of yacc.c  */
#line 8134 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1312:

/* Line 1455 of yacc.c  */
#line 8138 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1313:

/* Line 1455 of yacc.c  */
#line 8146 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	;}
    break;

  case 1314:

/* Line 1455 of yacc.c  */
#line 8199 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1315:

/* Line 1455 of yacc.c  */
#line 8203 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 1316:

/* Line 1455 of yacc.c  */
#line 8215 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1317:

/* Line 1455 of yacc.c  */
#line 8218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
;}
    break;

  case 1318:

/* Line 1455 of yacc.c  */
#line 8222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
;}
    break;

  case 1319:

/* Line 1455 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
;}
    break;

  case 1320:

/* Line 1455 of yacc.c  */
#line 8230 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
;}
    break;

  case 1321:

/* Line 1455 of yacc.c  */
#line 8238 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	;}
    break;

  case 1322:

/* Line 1455 of yacc.c  */
#line 8245 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
;}
    break;

  case 1323:

/* Line 1455 of yacc.c  */
#line 8249 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
;}
    break;

  case 1324:

/* Line 1455 of yacc.c  */
#line 8257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1325:

/* Line 1455 of yacc.c  */
#line 8261 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1326:

/* Line 1455 of yacc.c  */
#line 8269 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1327:

/* Line 1455 of yacc.c  */
#line 8273 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1328:

/* Line 1455 of yacc.c  */
#line 8281 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1329:

/* Line 1455 of yacc.c  */
#line 8285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1330:

/* Line 1455 of yacc.c  */
#line 8289 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1331:

/* Line 1455 of yacc.c  */
#line 8293 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1332:

/* Line 1455 of yacc.c  */
#line 8297 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1333:

/* Line 1455 of yacc.c  */
#line 8301 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1334:

/* Line 1455 of yacc.c  */
#line 8305 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1335:

/* Line 1455 of yacc.c  */
#line 8309 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1336:

/* Line 1455 of yacc.c  */
#line 8317 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1337:

/* Line 1455 of yacc.c  */
#line 8321 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1338:

/* Line 1455 of yacc.c  */
#line 8329 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
;}
    break;

  case 1339:

/* Line 1455 of yacc.c  */
#line 8333 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1340:

/* Line 1455 of yacc.c  */
#line 8337 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1341:

/* Line 1455 of yacc.c  */
#line 8341 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1342:

/* Line 1455 of yacc.c  */
#line 8345 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1343:

/* Line 1455 of yacc.c  */
#line 8349 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1344:

/* Line 1455 of yacc.c  */
#line 8357 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1345:

/* Line 1455 of yacc.c  */
#line 8361 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1346:

/* Line 1455 of yacc.c  */
#line 8369 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1347:

/* Line 1455 of yacc.c  */
#line 8373 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1348:

/* Line 1455 of yacc.c  */
#line 8381 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1349:

/* Line 1455 of yacc.c  */
#line 8389 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1350:

/* Line 1455 of yacc.c  */
#line 8393 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1351:

/* Line 1455 of yacc.c  */
#line 8400 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					;}
    break;

  case 1352:

/* Line 1455 of yacc.c  */
#line 8404 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 1353:

/* Line 1455 of yacc.c  */
#line 8406 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1354:

/* Line 1455 of yacc.c  */
#line 8413 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1355:

/* Line 1455 of yacc.c  */
#line 8417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1356:

/* Line 1455 of yacc.c  */
#line 8421 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1357:

/* Line 1455 of yacc.c  */
#line 8425 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1358:

/* Line 1455 of yacc.c  */
#line 8429 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1359:

/* Line 1455 of yacc.c  */
#line 8433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1360:

/* Line 1455 of yacc.c  */
#line 8437 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1361:

/* Line 1455 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1362:

/* Line 1455 of yacc.c  */
#line 8445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1363:

/* Line 1455 of yacc.c  */
#line 8453 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 1364:

/* Line 1455 of yacc.c  */
#line 8457 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1365:

/* Line 1455 of yacc.c  */
#line 8464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1366:

/* Line 1455 of yacc.c  */
#line 8468 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1367:

/* Line 1455 of yacc.c  */
#line 8472 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1368:

/* Line 1455 of yacc.c  */
#line 8479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 1369:

/* Line 1455 of yacc.c  */
#line 8483 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1370:

/* Line 1455 of yacc.c  */
#line 8487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1371:

/* Line 1455 of yacc.c  */
#line 8491 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1372:

/* Line 1455 of yacc.c  */
#line 8498 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1373:

/* Line 1455 of yacc.c  */
#line 8502 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1374:

/* Line 1455 of yacc.c  */
#line 8509 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1375:

/* Line 1455 of yacc.c  */
#line 8517 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1376:

/* Line 1455 of yacc.c  */
#line 8521 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1377:

/* Line 1455 of yacc.c  */
#line 8529 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1378:

/* Line 1455 of yacc.c  */
#line 8533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1379:

/* Line 1455 of yacc.c  */
#line 8541 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1380:

/* Line 1455 of yacc.c  */
#line 8545 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1381:

/* Line 1455 of yacc.c  */
#line 8549 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1382:

/* Line 1455 of yacc.c  */
#line 8553 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1383:

/* Line 1455 of yacc.c  */
#line 8561 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1384:

/* Line 1455 of yacc.c  */
#line 8565 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1385:

/* Line 1455 of yacc.c  */
#line 8572 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1386:

/* Line 1455 of yacc.c  */
#line 8576 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	;}
    break;

  case 1387:

/* Line 1455 of yacc.c  */
#line 8581 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
;}
    break;

  case 1388:

/* Line 1455 of yacc.c  */
#line 8589 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1389:

/* Line 1455 of yacc.c  */
#line 8593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1390:

/* Line 1455 of yacc.c  */
#line 8601 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1391:

/* Line 1455 of yacc.c  */
#line 8605 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1392:

/* Line 1455 of yacc.c  */
#line 8613 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1393:

/* Line 1455 of yacc.c  */
#line 8621 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1394:

/* Line 1455 of yacc.c  */
#line 8625 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1395:

/* Line 1455 of yacc.c  */
#line 8629 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1396:

/* Line 1455 of yacc.c  */
#line 8636 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1397:

/* Line 1455 of yacc.c  */
#line 8644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 1398:

/* Line 1455 of yacc.c  */
#line 8648 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 1399:

/* Line 1455 of yacc.c  */
#line 8656 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1400:

/* Line 1455 of yacc.c  */
#line 8660 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1401:

/* Line 1455 of yacc.c  */
#line 8668 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1402:

/* Line 1455 of yacc.c  */
#line 8672 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1403:

/* Line 1455 of yacc.c  */
#line 8679 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1404:

/* Line 1455 of yacc.c  */
#line 8683 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1405:

/* Line 1455 of yacc.c  */
#line 8690 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1406:

/* Line 1455 of yacc.c  */
#line 8694 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
;}
    break;

  case 1407:

/* Line 1455 of yacc.c  */
#line 8702 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1408:

/* Line 1455 of yacc.c  */
#line 8706 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1409:

/* Line 1455 of yacc.c  */
#line 8713 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1410:

/* Line 1455 of yacc.c  */
#line 8717 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1411:

/* Line 1455 of yacc.c  */
#line 8725 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for update"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1412:

/* Line 1455 of yacc.c  */
#line 8729 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for share"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1413:

/* Line 1455 of yacc.c  */
#line 8737 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1414:

/* Line 1455 of yacc.c  */
#line 8741 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1415:

/* Line 1455 of yacc.c  */
#line 8748 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1416:

/* Line 1455 of yacc.c  */
#line 8752 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1417:

/* Line 1455 of yacc.c  */
#line 8760 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1418:

/* Line 1455 of yacc.c  */
#line 8764 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1419:

/* Line 1455 of yacc.c  */
#line 8771 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1420:

/* Line 1455 of yacc.c  */
#line 8775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1421:

/* Line 1455 of yacc.c  */
#line 8783 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1422:

/* Line 1455 of yacc.c  */
#line 8787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1423:

/* Line 1455 of yacc.c  */
#line 8791 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1424:

/* Line 1455 of yacc.c  */
#line 8795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1425:

/* Line 1455 of yacc.c  */
#line 8799 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("as ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1426:

/* Line 1455 of yacc.c  */
#line 8803 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("as"),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1427:

/* Line 1455 of yacc.c  */
#line 8807 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1428:

/* Line 1455 of yacc.c  */
#line 8811 "preproc.y"
    { 
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1429:

/* Line 1455 of yacc.c  */
#line 8817 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1430:

/* Line 1455 of yacc.c  */
#line 8821 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1431:

/* Line 1455 of yacc.c  */
#line 8825 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1432:

/* Line 1455 of yacc.c  */
#line 8833 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1433:

/* Line 1455 of yacc.c  */
#line 8837 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1434:

/* Line 1455 of yacc.c  */
#line 8841 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1435:

/* Line 1455 of yacc.c  */
#line 8845 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1436:

/* Line 1455 of yacc.c  */
#line 8849 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1437:

/* Line 1455 of yacc.c  */
#line 8853 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1438:

/* Line 1455 of yacc.c  */
#line 8861 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1439:

/* Line 1455 of yacc.c  */
#line 8865 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1440:

/* Line 1455 of yacc.c  */
#line 8869 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1441:

/* Line 1455 of yacc.c  */
#line 8873 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1442:

/* Line 1455 of yacc.c  */
#line 8881 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1443:

/* Line 1455 of yacc.c  */
#line 8885 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1444:

/* Line 1455 of yacc.c  */
#line 8889 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1445:

/* Line 1455 of yacc.c  */
#line 8893 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 1446:

/* Line 1455 of yacc.c  */
#line 8901 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 1447:

/* Line 1455 of yacc.c  */
#line 8905 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1448:

/* Line 1455 of yacc.c  */
#line 8912 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1449:

/* Line 1455 of yacc.c  */
#line 8916 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1450:

/* Line 1455 of yacc.c  */
#line 8924 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1451:

/* Line 1455 of yacc.c  */
#line 8928 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
;}
    break;

  case 1452:

/* Line 1455 of yacc.c  */
#line 8932 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1453:

/* Line 1455 of yacc.c  */
#line 8936 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1454:

/* Line 1455 of yacc.c  */
#line 8944 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1455:

/* Line 1455 of yacc.c  */
#line 8948 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1456:

/* Line 1455 of yacc.c  */
#line 8956 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1457:

/* Line 1455 of yacc.c  */
#line 8960 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1458:

/* Line 1455 of yacc.c  */
#line 8964 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1459:

/* Line 1455 of yacc.c  */
#line 8972 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1460:

/* Line 1455 of yacc.c  */
#line 8980 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1461:

/* Line 1455 of yacc.c  */
#line 8984 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1462:

/* Line 1455 of yacc.c  */
#line 8991 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1463:

/* Line 1455 of yacc.c  */
#line 8995 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	;}
    break;

  case 1464:

/* Line 1455 of yacc.c  */
#line 9000 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1465:

/* Line 1455 of yacc.c  */
#line 9007 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1466:

/* Line 1455 of yacc.c  */
#line 9011 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1467:

/* Line 1455 of yacc.c  */
#line 9018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1468:

/* Line 1455 of yacc.c  */
#line 9022 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1469:

/* Line 1455 of yacc.c  */
#line 9030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1470:

/* Line 1455 of yacc.c  */
#line 9038 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); ;}
    break;

  case 1471:

/* Line 1455 of yacc.c  */
#line 9040 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); ;}
    break;

  case 1472:

/* Line 1455 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1473:

/* Line 1455 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
;}
    break;

  case 1474:

/* Line 1455 of yacc.c  */
#line 9050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
;}
    break;

  case 1475:

/* Line 1455 of yacc.c  */
#line 9054 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
;}
    break;

  case 1476:

/* Line 1455 of yacc.c  */
#line 9062 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	;}
    break;

  case 1477:

/* Line 1455 of yacc.c  */
#line 9072 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	;}
    break;

  case 1478:

/* Line 1455 of yacc.c  */
#line 9082 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	;}
    break;

  case 1479:

/* Line 1455 of yacc.c  */
#line 9092 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1480:

/* Line 1455 of yacc.c  */
#line 9096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1481:

/* Line 1455 of yacc.c  */
#line 9100 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1482:

/* Line 1455 of yacc.c  */
#line 9104 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1483:

/* Line 1455 of yacc.c  */
#line 9108 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1484:

/* Line 1455 of yacc.c  */
#line 9112 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1485:

/* Line 1455 of yacc.c  */
#line 9116 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1486:

/* Line 1455 of yacc.c  */
#line 9124 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1487:

/* Line 1455 of yacc.c  */
#line 9128 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1488:

/* Line 1455 of yacc.c  */
#line 9132 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1489:

/* Line 1455 of yacc.c  */
#line 9136 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1490:

/* Line 1455 of yacc.c  */
#line 9144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1491:

/* Line 1455 of yacc.c  */
#line 9148 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1492:

/* Line 1455 of yacc.c  */
#line 9156 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1493:

/* Line 1455 of yacc.c  */
#line 9160 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1494:

/* Line 1455 of yacc.c  */
#line 9167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
;}
    break;

  case 1495:

/* Line 1455 of yacc.c  */
#line 9171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 1496:

/* Line 1455 of yacc.c  */
#line 9175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 1497:

/* Line 1455 of yacc.c  */
#line 9179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 1498:

/* Line 1455 of yacc.c  */
#line 9183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 1499:

/* Line 1455 of yacc.c  */
#line 9187 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1500:

/* Line 1455 of yacc.c  */
#line 9191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
;}
    break;

  case 1501:

/* Line 1455 of yacc.c  */
#line 9195 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1502:

/* Line 1455 of yacc.c  */
#line 9199 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1503:

/* Line 1455 of yacc.c  */
#line 9203 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1504:

/* Line 1455 of yacc.c  */
#line 9207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 1505:

/* Line 1455 of yacc.c  */
#line 9215 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1506:

/* Line 1455 of yacc.c  */
#line 9219 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1507:

/* Line 1455 of yacc.c  */
#line 9226 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1508:

/* Line 1455 of yacc.c  */
#line 9230 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1509:

/* Line 1455 of yacc.c  */
#line 9238 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1510:

/* Line 1455 of yacc.c  */
#line 9242 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1511:

/* Line 1455 of yacc.c  */
#line 9250 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1512:

/* Line 1455 of yacc.c  */
#line 9258 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1513:

/* Line 1455 of yacc.c  */
#line 9266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1514:

/* Line 1455 of yacc.c  */
#line 9270 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1515:

/* Line 1455 of yacc.c  */
#line 9278 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1516:

/* Line 1455 of yacc.c  */
#line 9282 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1517:

/* Line 1455 of yacc.c  */
#line 9290 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1518:

/* Line 1455 of yacc.c  */
#line 9298 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1519:

/* Line 1455 of yacc.c  */
#line 9306 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1520:

/* Line 1455 of yacc.c  */
#line 9310 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1521:

/* Line 1455 of yacc.c  */
#line 9314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 1522:

/* Line 1455 of yacc.c  */
#line 9318 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1523:

/* Line 1455 of yacc.c  */
#line 9322 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1524:

/* Line 1455 of yacc.c  */
#line 9326 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1525:

/* Line 1455 of yacc.c  */
#line 9334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 1526:

/* Line 1455 of yacc.c  */
#line 9338 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1527:

/* Line 1455 of yacc.c  */
#line 9345 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1528:

/* Line 1455 of yacc.c  */
#line 9349 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1529:

/* Line 1455 of yacc.c  */
#line 9356 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1530:

/* Line 1455 of yacc.c  */
#line 9360 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1531:

/* Line 1455 of yacc.c  */
#line 9364 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1532:

/* Line 1455 of yacc.c  */
#line 9368 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1533:

/* Line 1455 of yacc.c  */
#line 9376 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 1534:

/* Line 1455 of yacc.c  */
#line 9384 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
;}
    break;

  case 1535:

/* Line 1455 of yacc.c  */
#line 9388 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
;}
    break;

  case 1536:

/* Line 1455 of yacc.c  */
#line 9392 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1537:

/* Line 1455 of yacc.c  */
#line 9399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1538:

/* Line 1455 of yacc.c  */
#line 9403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1539:

/* Line 1455 of yacc.c  */
#line 9407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1540:

/* Line 1455 of yacc.c  */
#line 9411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1541:

/* Line 1455 of yacc.c  */
#line 9415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1542:

/* Line 1455 of yacc.c  */
#line 9419 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1543:

/* Line 1455 of yacc.c  */
#line 9423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
;}
    break;

  case 1544:

/* Line 1455 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
;}
    break;

  case 1545:

/* Line 1455 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
;}
    break;

  case 1546:

/* Line 1455 of yacc.c  */
#line 9435 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1547:

/* Line 1455 of yacc.c  */
#line 9439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
;}
    break;

  case 1548:

/* Line 1455 of yacc.c  */
#line 9443 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1549:

/* Line 1455 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1550:

/* Line 1455 of yacc.c  */
#line 9451 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1551:

/* Line 1455 of yacc.c  */
#line 9458 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1552:

/* Line 1455 of yacc.c  */
#line 9462 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1553:

/* Line 1455 of yacc.c  */
#line 9470 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1554:

/* Line 1455 of yacc.c  */
#line 9474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1555:

/* Line 1455 of yacc.c  */
#line 9478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1556:

/* Line 1455 of yacc.c  */
#line 9482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1557:

/* Line 1455 of yacc.c  */
#line 9486 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1558:

/* Line 1455 of yacc.c  */
#line 9490 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1559:

/* Line 1455 of yacc.c  */
#line 9494 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1560:

/* Line 1455 of yacc.c  */
#line 9498 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1561:

/* Line 1455 of yacc.c  */
#line 9502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1562:

/* Line 1455 of yacc.c  */
#line 9506 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1563:

/* Line 1455 of yacc.c  */
#line 9510 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1564:

/* Line 1455 of yacc.c  */
#line 9514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1565:

/* Line 1455 of yacc.c  */
#line 9518 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1566:

/* Line 1455 of yacc.c  */
#line 9522 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1567:

/* Line 1455 of yacc.c  */
#line 9526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1568:

/* Line 1455 of yacc.c  */
#line 9530 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1569:

/* Line 1455 of yacc.c  */
#line 9534 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1570:

/* Line 1455 of yacc.c  */
#line 9538 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1571:

/* Line 1455 of yacc.c  */
#line 9542 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1572:

/* Line 1455 of yacc.c  */
#line 9546 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1573:

/* Line 1455 of yacc.c  */
#line 9550 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1574:

/* Line 1455 of yacc.c  */
#line 9554 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1575:

/* Line 1455 of yacc.c  */
#line 9558 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1576:

/* Line 1455 of yacc.c  */
#line 9562 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1577:

/* Line 1455 of yacc.c  */
#line 9566 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1578:

/* Line 1455 of yacc.c  */
#line 9570 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1579:

/* Line 1455 of yacc.c  */
#line 9574 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1580:

/* Line 1455 of yacc.c  */
#line 9578 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1581:

/* Line 1455 of yacc.c  */
#line 9582 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1582:

/* Line 1455 of yacc.c  */
#line 9586 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1583:

/* Line 1455 of yacc.c  */
#line 9590 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1584:

/* Line 1455 of yacc.c  */
#line 9594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1585:

/* Line 1455 of yacc.c  */
#line 9598 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1586:

/* Line 1455 of yacc.c  */
#line 9602 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
;}
    break;

  case 1587:

/* Line 1455 of yacc.c  */
#line 9606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
;}
    break;

  case 1588:

/* Line 1455 of yacc.c  */
#line 9610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
;}
    break;

  case 1589:

/* Line 1455 of yacc.c  */
#line 9614 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
;}
    break;

  case 1590:

/* Line 1455 of yacc.c  */
#line 9618 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1591:

/* Line 1455 of yacc.c  */
#line 9622 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
;}
    break;

  case 1592:

/* Line 1455 of yacc.c  */
#line 9626 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
;}
    break;

  case 1593:

/* Line 1455 of yacc.c  */
#line 9630 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
;}
    break;

  case 1594:

/* Line 1455 of yacc.c  */
#line 9634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
;}
    break;

  case 1595:

/* Line 1455 of yacc.c  */
#line 9638 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
;}
    break;

  case 1596:

/* Line 1455 of yacc.c  */
#line 9642 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
;}
    break;

  case 1597:

/* Line 1455 of yacc.c  */
#line 9646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1598:

/* Line 1455 of yacc.c  */
#line 9650 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1599:

/* Line 1455 of yacc.c  */
#line 9654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1600:

/* Line 1455 of yacc.c  */
#line 9658 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1601:

/* Line 1455 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1602:

/* Line 1455 of yacc.c  */
#line 9666 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1603:

/* Line 1455 of yacc.c  */
#line 9670 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1604:

/* Line 1455 of yacc.c  */
#line 9674 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1605:

/* Line 1455 of yacc.c  */
#line 9678 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1606:

/* Line 1455 of yacc.c  */
#line 9682 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1607:

/* Line 1455 of yacc.c  */
#line 9686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1608:

/* Line 1455 of yacc.c  */
#line 9690 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1609:

/* Line 1455 of yacc.c  */
#line 9694 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1610:

/* Line 1455 of yacc.c  */
#line 9699 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1611:

/* Line 1455 of yacc.c  */
#line 9703 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1612:

/* Line 1455 of yacc.c  */
#line 9711 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1613:

/* Line 1455 of yacc.c  */
#line 9715 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1614:

/* Line 1455 of yacc.c  */
#line 9719 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1615:

/* Line 1455 of yacc.c  */
#line 9723 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1616:

/* Line 1455 of yacc.c  */
#line 9727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1617:

/* Line 1455 of yacc.c  */
#line 9731 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1618:

/* Line 1455 of yacc.c  */
#line 9735 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1619:

/* Line 1455 of yacc.c  */
#line 9739 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1620:

/* Line 1455 of yacc.c  */
#line 9743 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1621:

/* Line 1455 of yacc.c  */
#line 9747 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1622:

/* Line 1455 of yacc.c  */
#line 9751 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1623:

/* Line 1455 of yacc.c  */
#line 9755 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1624:

/* Line 1455 of yacc.c  */
#line 9759 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1625:

/* Line 1455 of yacc.c  */
#line 9763 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1626:

/* Line 1455 of yacc.c  */
#line 9767 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1627:

/* Line 1455 of yacc.c  */
#line 9771 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1628:

/* Line 1455 of yacc.c  */
#line 9775 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1629:

/* Line 1455 of yacc.c  */
#line 9779 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1630:

/* Line 1455 of yacc.c  */
#line 9783 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1631:

/* Line 1455 of yacc.c  */
#line 9787 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1632:

/* Line 1455 of yacc.c  */
#line 9791 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
;}
    break;

  case 1633:

/* Line 1455 of yacc.c  */
#line 9795 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
;}
    break;

  case 1634:

/* Line 1455 of yacc.c  */
#line 9803 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1635:

/* Line 1455 of yacc.c  */
#line 9807 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1636:

/* Line 1455 of yacc.c  */
#line 9811 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1637:

/* Line 1455 of yacc.c  */
#line 9815 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1638:

/* Line 1455 of yacc.c  */
#line 9819 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1639:

/* Line 1455 of yacc.c  */
#line 9823 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1640:

/* Line 1455 of yacc.c  */
#line 9827 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1641:

/* Line 1455 of yacc.c  */
#line 9831 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1642:

/* Line 1455 of yacc.c  */
#line 9835 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1643:

/* Line 1455 of yacc.c  */
#line 9839 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1644:

/* Line 1455 of yacc.c  */
#line 9843 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1645:

/* Line 1455 of yacc.c  */
#line 9851 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("( )"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1646:

/* Line 1455 of yacc.c  */
#line 9855 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1647:

/* Line 1455 of yacc.c  */
#line 9859 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1648:

/* Line 1455 of yacc.c  */
#line 9863 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
;}
    break;

  case 1649:

/* Line 1455 of yacc.c  */
#line 9867 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1650:

/* Line 1455 of yacc.c  */
#line 9871 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( all"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1651:

/* Line 1455 of yacc.c  */
#line 9875 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("( distinct"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup(")"),(yyvsp[(7) - (7)].str));
;}
    break;

  case 1652:

/* Line 1455 of yacc.c  */
#line 9879 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("( * )"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1653:

/* Line 1455 of yacc.c  */
#line 9883 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1654:

/* Line 1455 of yacc.c  */
#line 9887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 1655:

/* Line 1455 of yacc.c  */
#line 9891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 1656:

/* Line 1455 of yacc.c  */
#line 9895 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1657:

/* Line 1455 of yacc.c  */
#line 9899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 1658:

/* Line 1455 of yacc.c  */
#line 9903 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1659:

/* Line 1455 of yacc.c  */
#line 9907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 1660:

/* Line 1455 of yacc.c  */
#line 9911 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1661:

/* Line 1455 of yacc.c  */
#line 9915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 1662:

/* Line 1455 of yacc.c  */
#line 9919 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1663:

/* Line 1455 of yacc.c  */
#line 9923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 1664:

/* Line 1455 of yacc.c  */
#line 9927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 1665:

/* Line 1455 of yacc.c  */
#line 9931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 1666:

/* Line 1455 of yacc.c  */
#line 9935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 1667:

/* Line 1455 of yacc.c  */
#line 9939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 1668:

/* Line 1455 of yacc.c  */
#line 9943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 1669:

/* Line 1455 of yacc.c  */
#line 9947 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1670:

/* Line 1455 of yacc.c  */
#line 9951 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1671:

/* Line 1455 of yacc.c  */
#line 9955 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1672:

/* Line 1455 of yacc.c  */
#line 9959 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1673:

/* Line 1455 of yacc.c  */
#line 9963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1674:

/* Line 1455 of yacc.c  */
#line 9967 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1675:

/* Line 1455 of yacc.c  */
#line 9971 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1676:

/* Line 1455 of yacc.c  */
#line 9975 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1677:

/* Line 1455 of yacc.c  */
#line 9979 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1678:

/* Line 1455 of yacc.c  */
#line 9983 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1679:

/* Line 1455 of yacc.c  */
#line 9987 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1680:

/* Line 1455 of yacc.c  */
#line 9991 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1681:

/* Line 1455 of yacc.c  */
#line 9995 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1682:

/* Line 1455 of yacc.c  */
#line 9999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1683:

/* Line 1455 of yacc.c  */
#line 10003 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1684:

/* Line 1455 of yacc.c  */
#line 10007 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1685:

/* Line 1455 of yacc.c  */
#line 10011 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1686:

/* Line 1455 of yacc.c  */
#line 10015 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1687:

/* Line 1455 of yacc.c  */
#line 10019 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
;}
    break;

  case 1688:

/* Line 1455 of yacc.c  */
#line 10023 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1689:

/* Line 1455 of yacc.c  */
#line 10027 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1690:

/* Line 1455 of yacc.c  */
#line 10031 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1691:

/* Line 1455 of yacc.c  */
#line 10035 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1692:

/* Line 1455 of yacc.c  */
#line 10039 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1693:

/* Line 1455 of yacc.c  */
#line 10043 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1694:

/* Line 1455 of yacc.c  */
#line 10047 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
;}
    break;

  case 1695:

/* Line 1455 of yacc.c  */
#line 10055 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1696:

/* Line 1455 of yacc.c  */
#line 10059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
;}
    break;

  case 1697:

/* Line 1455 of yacc.c  */
#line 10067 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
;}
    break;

  case 1698:

/* Line 1455 of yacc.c  */
#line 10071 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
;}
    break;

  case 1699:

/* Line 1455 of yacc.c  */
#line 10075 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
;}
    break;

  case 1700:

/* Line 1455 of yacc.c  */
#line 10079 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1701:

/* Line 1455 of yacc.c  */
#line 10086 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1702:

/* Line 1455 of yacc.c  */
#line 10094 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1703:

/* Line 1455 of yacc.c  */
#line 10098 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1704:

/* Line 1455 of yacc.c  */
#line 10106 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1705:

/* Line 1455 of yacc.c  */
#line 10110 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1706:

/* Line 1455 of yacc.c  */
#line 10118 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1707:

/* Line 1455 of yacc.c  */
#line 10122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1708:

/* Line 1455 of yacc.c  */
#line 10130 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
;}
    break;

  case 1709:

/* Line 1455 of yacc.c  */
#line 10134 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
;}
    break;

  case 1710:

/* Line 1455 of yacc.c  */
#line 10138 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1711:

/* Line 1455 of yacc.c  */
#line 10145 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1712:

/* Line 1455 of yacc.c  */
#line 10149 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
;}
    break;

  case 1713:

/* Line 1455 of yacc.c  */
#line 10153 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1714:

/* Line 1455 of yacc.c  */
#line 10157 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
;}
    break;

  case 1715:

/* Line 1455 of yacc.c  */
#line 10165 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1716:

/* Line 1455 of yacc.c  */
#line 10169 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1717:

/* Line 1455 of yacc.c  */
#line 10176 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1718:

/* Line 1455 of yacc.c  */
#line 10180 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1719:

/* Line 1455 of yacc.c  */
#line 10188 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1720:

/* Line 1455 of yacc.c  */
#line 10196 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1721:

/* Line 1455 of yacc.c  */
#line 10200 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1722:

/* Line 1455 of yacc.c  */
#line 10204 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1723:

/* Line 1455 of yacc.c  */
#line 10211 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
;}
    break;

  case 1724:

/* Line 1455 of yacc.c  */
#line 10219 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1725:

/* Line 1455 of yacc.c  */
#line 10223 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1726:

/* Line 1455 of yacc.c  */
#line 10230 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1727:

/* Line 1455 of yacc.c  */
#line 10234 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1728:

/* Line 1455 of yacc.c  */
#line 10241 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1729:

/* Line 1455 of yacc.c  */
#line 10246 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1730:

/* Line 1455 of yacc.c  */
#line 10250 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1731:

/* Line 1455 of yacc.c  */
#line 10257 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1732:

/* Line 1455 of yacc.c  */
#line 10261 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1733:

/* Line 1455 of yacc.c  */
#line 10269 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
;}
    break;

  case 1734:

/* Line 1455 of yacc.c  */
#line 10273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
;}
    break;

  case 1735:

/* Line 1455 of yacc.c  */
#line 10277 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
;}
    break;

  case 1736:

/* Line 1455 of yacc.c  */
#line 10281 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
;}
    break;

  case 1737:

/* Line 1455 of yacc.c  */
#line 10285 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
;}
    break;

  case 1738:

/* Line 1455 of yacc.c  */
#line 10293 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1739:

/* Line 1455 of yacc.c  */
#line 10297 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
;}
    break;

  case 1740:

/* Line 1455 of yacc.c  */
#line 10301 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
;}
    break;

  case 1741:

/* Line 1455 of yacc.c  */
#line 10309 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 1742:

/* Line 1455 of yacc.c  */
#line 10313 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 1743:

/* Line 1455 of yacc.c  */
#line 10317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 1744:

/* Line 1455 of yacc.c  */
#line 10325 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1745:

/* Line 1455 of yacc.c  */
#line 10329 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1746:

/* Line 1455 of yacc.c  */
#line 10337 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
;}
    break;

  case 1747:

/* Line 1455 of yacc.c  */
#line 10341 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
;}
    break;

  case 1748:

/* Line 1455 of yacc.c  */
#line 10345 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1749:

/* Line 1455 of yacc.c  */
#line 10349 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
;}
    break;

  case 1750:

/* Line 1455 of yacc.c  */
#line 10353 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
;}
    break;

  case 1751:

/* Line 1455 of yacc.c  */
#line 10357 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
;}
    break;

  case 1752:

/* Line 1455 of yacc.c  */
#line 10361 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
;}
    break;

  case 1753:

/* Line 1455 of yacc.c  */
#line 10365 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
;}
    break;

  case 1754:

/* Line 1455 of yacc.c  */
#line 10369 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
;}
    break;

  case 1755:

/* Line 1455 of yacc.c  */
#line 10377 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1756:

/* Line 1455 of yacc.c  */
#line 10381 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1757:

/* Line 1455 of yacc.c  */
#line 10389 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1758:

/* Line 1455 of yacc.c  */
#line 10393 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1759:

/* Line 1455 of yacc.c  */
#line 10401 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1760:

/* Line 1455 of yacc.c  */
#line 10405 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
;}
    break;

  case 1761:

/* Line 1455 of yacc.c  */
#line 10409 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 1762:

/* Line 1455 of yacc.c  */
#line 10413 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
;}
    break;

  case 1763:

/* Line 1455 of yacc.c  */
#line 10417 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 1764:

/* Line 1455 of yacc.c  */
#line 10421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
;}
    break;

  case 1765:

/* Line 1455 of yacc.c  */
#line 10429 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1766:

/* Line 1455 of yacc.c  */
#line 10433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1767:

/* Line 1455 of yacc.c  */
#line 10441 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1768:

/* Line 1455 of yacc.c  */
#line 10445 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1769:

/* Line 1455 of yacc.c  */
#line 10453 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1770:

/* Line 1455 of yacc.c  */
#line 10457 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1771:

/* Line 1455 of yacc.c  */
#line 10465 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1772:

/* Line 1455 of yacc.c  */
#line 10469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1773:

/* Line 1455 of yacc.c  */
#line 10477 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1774:

/* Line 1455 of yacc.c  */
#line 10481 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1775:

/* Line 1455 of yacc.c  */
#line 10485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
;}
    break;

  case 1776:

/* Line 1455 of yacc.c  */
#line 10493 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1777:

/* Line 1455 of yacc.c  */
#line 10497 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1778:

/* Line 1455 of yacc.c  */
#line 10505 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1779:

/* Line 1455 of yacc.c  */
#line 10509 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1780:

/* Line 1455 of yacc.c  */
#line 10516 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1781:

/* Line 1455 of yacc.c  */
#line 10520 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
;}
    break;

  case 1782:

/* Line 1455 of yacc.c  */
#line 10524 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
;}
    break;

  case 1783:

/* Line 1455 of yacc.c  */
#line 10528 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
;}
    break;

  case 1784:

/* Line 1455 of yacc.c  */
#line 10532 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
;}
    break;

  case 1785:

/* Line 1455 of yacc.c  */
#line 10536 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
;}
    break;

  case 1786:

/* Line 1455 of yacc.c  */
#line 10540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
;}
    break;

  case 1787:

/* Line 1455 of yacc.c  */
#line 10544 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1788:

/* Line 1455 of yacc.c  */
#line 10552 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1789:

/* Line 1455 of yacc.c  */
#line 10556 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1790:

/* Line 1455 of yacc.c  */
#line 10564 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1791:

/* Line 1455 of yacc.c  */
#line 10572 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1792:

/* Line 1455 of yacc.c  */
#line 10576 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1793:

/* Line 1455 of yacc.c  */
#line 10583 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1794:

/* Line 1455 of yacc.c  */
#line 10587 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1795:

/* Line 1455 of yacc.c  */
#line 10591 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1796:

/* Line 1455 of yacc.c  */
#line 10595 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1797:

/* Line 1455 of yacc.c  */
#line 10599 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1798:

/* Line 1455 of yacc.c  */
#line 10603 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1799:

/* Line 1455 of yacc.c  */
#line 10610 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1800:

/* Line 1455 of yacc.c  */
#line 10618 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1801:

/* Line 1455 of yacc.c  */
#line 10626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1802:

/* Line 1455 of yacc.c  */
#line 10630 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1803:

/* Line 1455 of yacc.c  */
#line 10634 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1804:

/* Line 1455 of yacc.c  */
#line 10642 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1805:

/* Line 1455 of yacc.c  */
#line 10646 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1806:

/* Line 1455 of yacc.c  */
#line 10654 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
;}
    break;

  case 1807:

/* Line 1455 of yacc.c  */
#line 10662 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1808:

/* Line 1455 of yacc.c  */
#line 10666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1809:

/* Line 1455 of yacc.c  */
#line 10674 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
;}
    break;

  case 1810:

/* Line 1455 of yacc.c  */
#line 10682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1811:

/* Line 1455 of yacc.c  */
#line 10686 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1812:

/* Line 1455 of yacc.c  */
#line 10693 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1813:

/* Line 1455 of yacc.c  */
#line 10697 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1814:

/* Line 1455 of yacc.c  */
#line 10704 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1815:

/* Line 1455 of yacc.c  */
#line 10708 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1816:

/* Line 1455 of yacc.c  */
#line 10716 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1817:

/* Line 1455 of yacc.c  */
#line 10720 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
;}
    break;

  case 1818:

/* Line 1455 of yacc.c  */
#line 10724 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
;}
    break;

  case 1819:

/* Line 1455 of yacc.c  */
#line 10728 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
;}
    break;

  case 1820:

/* Line 1455 of yacc.c  */
#line 10736 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1821:

/* Line 1455 of yacc.c  */
#line 10740 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1822:

/* Line 1455 of yacc.c  */
#line 10748 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1823:

/* Line 1455 of yacc.c  */
#line 10751 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1824:

/* Line 1455 of yacc.c  */
#line 10759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 1825:

/* Line 1455 of yacc.c  */
#line 10763 "preproc.y"
    { 
 (yyval.str)=EMPTY; ;}
    break;

  case 1826:

/* Line 1455 of yacc.c  */
#line 10770 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1827:

/* Line 1455 of yacc.c  */
#line 10774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 1828:

/* Line 1455 of yacc.c  */
#line 10782 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1829:

/* Line 1455 of yacc.c  */
#line 10786 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1830:

/* Line 1455 of yacc.c  */
#line 10794 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
;}
    break;

  case 1831:

/* Line 1455 of yacc.c  */
#line 10802 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1832:

/* Line 1455 of yacc.c  */
#line 10806 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1833:

/* Line 1455 of yacc.c  */
#line 10814 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1834:

/* Line 1455 of yacc.c  */
#line 10818 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1835:

/* Line 1455 of yacc.c  */
#line 10822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1836:

/* Line 1455 of yacc.c  */
#line 10826 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
;}
    break;

  case 1837:

/* Line 1455 of yacc.c  */
#line 10834 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1838:

/* Line 1455 of yacc.c  */
#line 10838 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1839:

/* Line 1455 of yacc.c  */
#line 10846 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1840:

/* Line 1455 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1841:

/* Line 1455 of yacc.c  */
#line 10858 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1842:

/* Line 1455 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1843:

/* Line 1455 of yacc.c  */
#line 10870 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1844:

/* Line 1455 of yacc.c  */
#line 10878 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1845:

/* Line 1455 of yacc.c  */
#line 10886 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1846:

/* Line 1455 of yacc.c  */
#line 10894 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1847:

/* Line 1455 of yacc.c  */
#line 10902 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1848:

/* Line 1455 of yacc.c  */
#line 10910 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1849:

/* Line 1455 of yacc.c  */
#line 10918 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1850:

/* Line 1455 of yacc.c  */
#line 10922 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1851:

/* Line 1455 of yacc.c  */
#line 10930 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1852:

/* Line 1455 of yacc.c  */
#line 10934 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1853:

/* Line 1455 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1854:

/* Line 1455 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1855:

/* Line 1455 of yacc.c  */
#line 10946 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
;}
    break;

  case 1856:

/* Line 1455 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1857:

/* Line 1455 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
;}
    break;

  case 1858:

/* Line 1455 of yacc.c  */
#line 10958 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1859:

/* Line 1455 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
;}
    break;

  case 1860:

/* Line 1455 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
;}
    break;

  case 1861:

/* Line 1455 of yacc.c  */
#line 10970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 1862:

/* Line 1455 of yacc.c  */
#line 10974 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 1863:

/* Line 1455 of yacc.c  */
#line 10978 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 1864:

/* Line 1455 of yacc.c  */
#line 10981 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1865:

/* Line 1455 of yacc.c  */
#line 10982 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1866:

/* Line 1455 of yacc.c  */
#line 10988 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 1867:

/* Line 1455 of yacc.c  */
#line 10994 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1868:

/* Line 1455 of yacc.c  */
#line 11002 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
;}
    break;

  case 1869:

/* Line 1455 of yacc.c  */
#line 11005 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 1870:

/* Line 1455 of yacc.c  */
#line 11007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1871:

/* Line 1455 of yacc.c  */
#line 11011 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
;}
    break;

  case 1872:

/* Line 1455 of yacc.c  */
#line 11019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
;}
    break;

  case 1873:

/* Line 1455 of yacc.c  */
#line 11023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
;}
    break;

  case 1874:

/* Line 1455 of yacc.c  */
#line 11027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
;}
    break;

  case 1875:

/* Line 1455 of yacc.c  */
#line 11031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
;}
    break;

  case 1876:

/* Line 1455 of yacc.c  */
#line 11035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
;}
    break;

  case 1877:

/* Line 1455 of yacc.c  */
#line 11039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
;}
    break;

  case 1878:

/* Line 1455 of yacc.c  */
#line 11043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
;}
    break;

  case 1879:

/* Line 1455 of yacc.c  */
#line 11047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
;}
    break;

  case 1880:

/* Line 1455 of yacc.c  */
#line 11051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
;}
    break;

  case 1881:

/* Line 1455 of yacc.c  */
#line 11055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
;}
    break;

  case 1882:

/* Line 1455 of yacc.c  */
#line 11059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
;}
    break;

  case 1883:

/* Line 1455 of yacc.c  */
#line 11063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
;}
    break;

  case 1884:

/* Line 1455 of yacc.c  */
#line 11067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
;}
    break;

  case 1885:

/* Line 1455 of yacc.c  */
#line 11071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
;}
    break;

  case 1886:

/* Line 1455 of yacc.c  */
#line 11075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
;}
    break;

  case 1887:

/* Line 1455 of yacc.c  */
#line 11079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
;}
    break;

  case 1888:

/* Line 1455 of yacc.c  */
#line 11083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
;}
    break;

  case 1889:

/* Line 1455 of yacc.c  */
#line 11087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
;}
    break;

  case 1890:

/* Line 1455 of yacc.c  */
#line 11091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
;}
    break;

  case 1891:

/* Line 1455 of yacc.c  */
#line 11095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
;}
    break;

  case 1892:

/* Line 1455 of yacc.c  */
#line 11099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
;}
    break;

  case 1893:

/* Line 1455 of yacc.c  */
#line 11103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
;}
    break;

  case 1894:

/* Line 1455 of yacc.c  */
#line 11107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
;}
    break;

  case 1895:

/* Line 1455 of yacc.c  */
#line 11111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
;}
    break;

  case 1896:

/* Line 1455 of yacc.c  */
#line 11115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
;}
    break;

  case 1897:

/* Line 1455 of yacc.c  */
#line 11119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
;}
    break;

  case 1898:

/* Line 1455 of yacc.c  */
#line 11123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
;}
    break;

  case 1899:

/* Line 1455 of yacc.c  */
#line 11127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
;}
    break;

  case 1900:

/* Line 1455 of yacc.c  */
#line 11131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
;}
    break;

  case 1901:

/* Line 1455 of yacc.c  */
#line 11135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
;}
    break;

  case 1902:

/* Line 1455 of yacc.c  */
#line 11139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
;}
    break;

  case 1903:

/* Line 1455 of yacc.c  */
#line 11143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
;}
    break;

  case 1904:

/* Line 1455 of yacc.c  */
#line 11147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
;}
    break;

  case 1905:

/* Line 1455 of yacc.c  */
#line 11151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
;}
    break;

  case 1906:

/* Line 1455 of yacc.c  */
#line 11155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
;}
    break;

  case 1907:

/* Line 1455 of yacc.c  */
#line 11159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
;}
    break;

  case 1908:

/* Line 1455 of yacc.c  */
#line 11163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
;}
    break;

  case 1909:

/* Line 1455 of yacc.c  */
#line 11167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
;}
    break;

  case 1910:

/* Line 1455 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
;}
    break;

  case 1911:

/* Line 1455 of yacc.c  */
#line 11175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
;}
    break;

  case 1912:

/* Line 1455 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
;}
    break;

  case 1913:

/* Line 1455 of yacc.c  */
#line 11183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
;}
    break;

  case 1914:

/* Line 1455 of yacc.c  */
#line 11187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
;}
    break;

  case 1915:

/* Line 1455 of yacc.c  */
#line 11191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
;}
    break;

  case 1916:

/* Line 1455 of yacc.c  */
#line 11195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
;}
    break;

  case 1917:

/* Line 1455 of yacc.c  */
#line 11199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
;}
    break;

  case 1918:

/* Line 1455 of yacc.c  */
#line 11203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
;}
    break;

  case 1919:

/* Line 1455 of yacc.c  */
#line 11207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
;}
    break;

  case 1920:

/* Line 1455 of yacc.c  */
#line 11211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
;}
    break;

  case 1921:

/* Line 1455 of yacc.c  */
#line 11215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
;}
    break;

  case 1922:

/* Line 1455 of yacc.c  */
#line 11219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
;}
    break;

  case 1923:

/* Line 1455 of yacc.c  */
#line 11223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
;}
    break;

  case 1924:

/* Line 1455 of yacc.c  */
#line 11227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
;}
    break;

  case 1925:

/* Line 1455 of yacc.c  */
#line 11231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
;}
    break;

  case 1926:

/* Line 1455 of yacc.c  */
#line 11235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
;}
    break;

  case 1927:

/* Line 1455 of yacc.c  */
#line 11239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
;}
    break;

  case 1928:

/* Line 1455 of yacc.c  */
#line 11243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
;}
    break;

  case 1929:

/* Line 1455 of yacc.c  */
#line 11247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
;}
    break;

  case 1930:

/* Line 1455 of yacc.c  */
#line 11251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
;}
    break;

  case 1931:

/* Line 1455 of yacc.c  */
#line 11255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
;}
    break;

  case 1932:

/* Line 1455 of yacc.c  */
#line 11259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
;}
    break;

  case 1933:

/* Line 1455 of yacc.c  */
#line 11263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
;}
    break;

  case 1934:

/* Line 1455 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
;}
    break;

  case 1935:

/* Line 1455 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
;}
    break;

  case 1936:

/* Line 1455 of yacc.c  */
#line 11275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
;}
    break;

  case 1937:

/* Line 1455 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
;}
    break;

  case 1938:

/* Line 1455 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
;}
    break;

  case 1939:

/* Line 1455 of yacc.c  */
#line 11287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
;}
    break;

  case 1940:

/* Line 1455 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
;}
    break;

  case 1941:

/* Line 1455 of yacc.c  */
#line 11295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
;}
    break;

  case 1942:

/* Line 1455 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
;}
    break;

  case 1943:

/* Line 1455 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
;}
    break;

  case 1944:

/* Line 1455 of yacc.c  */
#line 11307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
;}
    break;

  case 1945:

/* Line 1455 of yacc.c  */
#line 11311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
;}
    break;

  case 1946:

/* Line 1455 of yacc.c  */
#line 11315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
;}
    break;

  case 1947:

/* Line 1455 of yacc.c  */
#line 11319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
;}
    break;

  case 1948:

/* Line 1455 of yacc.c  */
#line 11323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
;}
    break;

  case 1949:

/* Line 1455 of yacc.c  */
#line 11327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
;}
    break;

  case 1950:

/* Line 1455 of yacc.c  */
#line 11331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
;}
    break;

  case 1951:

/* Line 1455 of yacc.c  */
#line 11335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
;}
    break;

  case 1952:

/* Line 1455 of yacc.c  */
#line 11339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
;}
    break;

  case 1953:

/* Line 1455 of yacc.c  */
#line 11343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
;}
    break;

  case 1954:

/* Line 1455 of yacc.c  */
#line 11347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
;}
    break;

  case 1955:

/* Line 1455 of yacc.c  */
#line 11351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
;}
    break;

  case 1956:

/* Line 1455 of yacc.c  */
#line 11355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
;}
    break;

  case 1957:

/* Line 1455 of yacc.c  */
#line 11359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
;}
    break;

  case 1958:

/* Line 1455 of yacc.c  */
#line 11363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
;}
    break;

  case 1959:

/* Line 1455 of yacc.c  */
#line 11367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
;}
    break;

  case 1960:

/* Line 1455 of yacc.c  */
#line 11371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
;}
    break;

  case 1961:

/* Line 1455 of yacc.c  */
#line 11375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
;}
    break;

  case 1962:

/* Line 1455 of yacc.c  */
#line 11379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
;}
    break;

  case 1963:

/* Line 1455 of yacc.c  */
#line 11383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
;}
    break;

  case 1964:

/* Line 1455 of yacc.c  */
#line 11387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
;}
    break;

  case 1965:

/* Line 1455 of yacc.c  */
#line 11391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
;}
    break;

  case 1966:

/* Line 1455 of yacc.c  */
#line 11395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
;}
    break;

  case 1967:

/* Line 1455 of yacc.c  */
#line 11399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
;}
    break;

  case 1968:

/* Line 1455 of yacc.c  */
#line 11403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
;}
    break;

  case 1969:

/* Line 1455 of yacc.c  */
#line 11407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
;}
    break;

  case 1970:

/* Line 1455 of yacc.c  */
#line 11411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
;}
    break;

  case 1971:

/* Line 1455 of yacc.c  */
#line 11415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
;}
    break;

  case 1972:

/* Line 1455 of yacc.c  */
#line 11419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
;}
    break;

  case 1973:

/* Line 1455 of yacc.c  */
#line 11423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
;}
    break;

  case 1974:

/* Line 1455 of yacc.c  */
#line 11427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
;}
    break;

  case 1975:

/* Line 1455 of yacc.c  */
#line 11431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
;}
    break;

  case 1976:

/* Line 1455 of yacc.c  */
#line 11435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
;}
    break;

  case 1977:

/* Line 1455 of yacc.c  */
#line 11439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
;}
    break;

  case 1978:

/* Line 1455 of yacc.c  */
#line 11443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
;}
    break;

  case 1979:

/* Line 1455 of yacc.c  */
#line 11447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
;}
    break;

  case 1980:

/* Line 1455 of yacc.c  */
#line 11451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
;}
    break;

  case 1981:

/* Line 1455 of yacc.c  */
#line 11455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
;}
    break;

  case 1982:

/* Line 1455 of yacc.c  */
#line 11459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
;}
    break;

  case 1983:

/* Line 1455 of yacc.c  */
#line 11463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
;}
    break;

  case 1984:

/* Line 1455 of yacc.c  */
#line 11467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
;}
    break;

  case 1985:

/* Line 1455 of yacc.c  */
#line 11471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
;}
    break;

  case 1986:

/* Line 1455 of yacc.c  */
#line 11475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
;}
    break;

  case 1987:

/* Line 1455 of yacc.c  */
#line 11479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
;}
    break;

  case 1988:

/* Line 1455 of yacc.c  */
#line 11483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
;}
    break;

  case 1989:

/* Line 1455 of yacc.c  */
#line 11487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
;}
    break;

  case 1990:

/* Line 1455 of yacc.c  */
#line 11491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
;}
    break;

  case 1991:

/* Line 1455 of yacc.c  */
#line 11495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
;}
    break;

  case 1992:

/* Line 1455 of yacc.c  */
#line 11499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
;}
    break;

  case 1993:

/* Line 1455 of yacc.c  */
#line 11503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
;}
    break;

  case 1994:

/* Line 1455 of yacc.c  */
#line 11507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
;}
    break;

  case 1995:

/* Line 1455 of yacc.c  */
#line 11511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
;}
    break;

  case 1996:

/* Line 1455 of yacc.c  */
#line 11515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
;}
    break;

  case 1997:

/* Line 1455 of yacc.c  */
#line 11519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
;}
    break;

  case 1998:

/* Line 1455 of yacc.c  */
#line 11523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
;}
    break;

  case 1999:

/* Line 1455 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
;}
    break;

  case 2000:

/* Line 1455 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
;}
    break;

  case 2001:

/* Line 1455 of yacc.c  */
#line 11535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
;}
    break;

  case 2002:

/* Line 1455 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
;}
    break;

  case 2003:

/* Line 1455 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
;}
    break;

  case 2004:

/* Line 1455 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
;}
    break;

  case 2005:

/* Line 1455 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
;}
    break;

  case 2006:

/* Line 1455 of yacc.c  */
#line 11555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
;}
    break;

  case 2007:

/* Line 1455 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
;}
    break;

  case 2008:

/* Line 1455 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
;}
    break;

  case 2009:

/* Line 1455 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
;}
    break;

  case 2010:

/* Line 1455 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
;}
    break;

  case 2011:

/* Line 1455 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
;}
    break;

  case 2012:

/* Line 1455 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
;}
    break;

  case 2013:

/* Line 1455 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
;}
    break;

  case 2014:

/* Line 1455 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
;}
    break;

  case 2015:

/* Line 1455 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
;}
    break;

  case 2016:

/* Line 1455 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
;}
    break;

  case 2017:

/* Line 1455 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
;}
    break;

  case 2018:

/* Line 1455 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
;}
    break;

  case 2019:

/* Line 1455 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
;}
    break;

  case 2020:

/* Line 1455 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
;}
    break;

  case 2021:

/* Line 1455 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
;}
    break;

  case 2022:

/* Line 1455 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
;}
    break;

  case 2023:

/* Line 1455 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
;}
    break;

  case 2024:

/* Line 1455 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
;}
    break;

  case 2025:

/* Line 1455 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
;}
    break;

  case 2026:

/* Line 1455 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
;}
    break;

  case 2027:

/* Line 1455 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
;}
    break;

  case 2028:

/* Line 1455 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
;}
    break;

  case 2029:

/* Line 1455 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
;}
    break;

  case 2030:

/* Line 1455 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
;}
    break;

  case 2031:

/* Line 1455 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
;}
    break;

  case 2032:

/* Line 1455 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
;}
    break;

  case 2033:

/* Line 1455 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
;}
    break;

  case 2034:

/* Line 1455 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
;}
    break;

  case 2035:

/* Line 1455 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
;}
    break;

  case 2036:

/* Line 1455 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
;}
    break;

  case 2037:

/* Line 1455 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
;}
    break;

  case 2038:

/* Line 1455 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
;}
    break;

  case 2039:

/* Line 1455 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
;}
    break;

  case 2040:

/* Line 1455 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
;}
    break;

  case 2041:

/* Line 1455 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
;}
    break;

  case 2042:

/* Line 1455 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
;}
    break;

  case 2043:

/* Line 1455 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
;}
    break;

  case 2044:

/* Line 1455 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
;}
    break;

  case 2045:

/* Line 1455 of yacc.c  */
#line 11711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
;}
    break;

  case 2046:

/* Line 1455 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
;}
    break;

  case 2047:

/* Line 1455 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
;}
    break;

  case 2048:

/* Line 1455 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
;}
    break;

  case 2049:

/* Line 1455 of yacc.c  */
#line 11727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
;}
    break;

  case 2050:

/* Line 1455 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
;}
    break;

  case 2051:

/* Line 1455 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
;}
    break;

  case 2052:

/* Line 1455 of yacc.c  */
#line 11739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
;}
    break;

  case 2053:

/* Line 1455 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
;}
    break;

  case 2054:

/* Line 1455 of yacc.c  */
#line 11747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
;}
    break;

  case 2055:

/* Line 1455 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
;}
    break;

  case 2056:

/* Line 1455 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
;}
    break;

  case 2057:

/* Line 1455 of yacc.c  */
#line 11759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
;}
    break;

  case 2058:

/* Line 1455 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
;}
    break;

  case 2059:

/* Line 1455 of yacc.c  */
#line 11767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
;}
    break;

  case 2060:

/* Line 1455 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
;}
    break;

  case 2061:

/* Line 1455 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
;}
    break;

  case 2062:

/* Line 1455 of yacc.c  */
#line 11779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
;}
    break;

  case 2063:

/* Line 1455 of yacc.c  */
#line 11783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
;}
    break;

  case 2064:

/* Line 1455 of yacc.c  */
#line 11787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
;}
    break;

  case 2065:

/* Line 1455 of yacc.c  */
#line 11791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
;}
    break;

  case 2066:

/* Line 1455 of yacc.c  */
#line 11795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
;}
    break;

  case 2067:

/* Line 1455 of yacc.c  */
#line 11799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
;}
    break;

  case 2068:

/* Line 1455 of yacc.c  */
#line 11803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
;}
    break;

  case 2069:

/* Line 1455 of yacc.c  */
#line 11807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
;}
    break;

  case 2070:

/* Line 1455 of yacc.c  */
#line 11811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
;}
    break;

  case 2071:

/* Line 1455 of yacc.c  */
#line 11815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
;}
    break;

  case 2072:

/* Line 1455 of yacc.c  */
#line 11819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
;}
    break;

  case 2073:

/* Line 1455 of yacc.c  */
#line 11823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
;}
    break;

  case 2074:

/* Line 1455 of yacc.c  */
#line 11827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
;}
    break;

  case 2075:

/* Line 1455 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
;}
    break;

  case 2076:

/* Line 1455 of yacc.c  */
#line 11835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
;}
    break;

  case 2077:

/* Line 1455 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
;}
    break;

  case 2078:

/* Line 1455 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
;}
    break;

  case 2079:

/* Line 1455 of yacc.c  */
#line 11847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
;}
    break;

  case 2080:

/* Line 1455 of yacc.c  */
#line 11851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
;}
    break;

  case 2081:

/* Line 1455 of yacc.c  */
#line 11855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
;}
    break;

  case 2082:

/* Line 1455 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
;}
    break;

  case 2083:

/* Line 1455 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
;}
    break;

  case 2084:

/* Line 1455 of yacc.c  */
#line 11867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
;}
    break;

  case 2085:

/* Line 1455 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
;}
    break;

  case 2086:

/* Line 1455 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
;}
    break;

  case 2087:

/* Line 1455 of yacc.c  */
#line 11879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
;}
    break;

  case 2088:

/* Line 1455 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
;}
    break;

  case 2089:

/* Line 1455 of yacc.c  */
#line 11887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
;}
    break;

  case 2090:

/* Line 1455 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
;}
    break;

  case 2091:

/* Line 1455 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
;}
    break;

  case 2092:

/* Line 1455 of yacc.c  */
#line 11899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
;}
    break;

  case 2093:

/* Line 1455 of yacc.c  */
#line 11903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
;}
    break;

  case 2094:

/* Line 1455 of yacc.c  */
#line 11907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
;}
    break;

  case 2095:

/* Line 1455 of yacc.c  */
#line 11911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
;}
    break;

  case 2096:

/* Line 1455 of yacc.c  */
#line 11915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
;}
    break;

  case 2097:

/* Line 1455 of yacc.c  */
#line 11919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
;}
    break;

  case 2098:

/* Line 1455 of yacc.c  */
#line 11923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
;}
    break;

  case 2099:

/* Line 1455 of yacc.c  */
#line 11927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
;}
    break;

  case 2100:

/* Line 1455 of yacc.c  */
#line 11931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
;}
    break;

  case 2101:

/* Line 1455 of yacc.c  */
#line 11935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
;}
    break;

  case 2102:

/* Line 1455 of yacc.c  */
#line 11939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
;}
    break;

  case 2103:

/* Line 1455 of yacc.c  */
#line 11943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
;}
    break;

  case 2104:

/* Line 1455 of yacc.c  */
#line 11947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
;}
    break;

  case 2105:

/* Line 1455 of yacc.c  */
#line 11951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
;}
    break;

  case 2106:

/* Line 1455 of yacc.c  */
#line 11955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
;}
    break;

  case 2107:

/* Line 1455 of yacc.c  */
#line 11959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
;}
    break;

  case 2108:

/* Line 1455 of yacc.c  */
#line 11963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
;}
    break;

  case 2109:

/* Line 1455 of yacc.c  */
#line 11967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
;}
    break;

  case 2110:

/* Line 1455 of yacc.c  */
#line 11971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
;}
    break;

  case 2111:

/* Line 1455 of yacc.c  */
#line 11975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
;}
    break;

  case 2112:

/* Line 1455 of yacc.c  */
#line 11979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
;}
    break;

  case 2113:

/* Line 1455 of yacc.c  */
#line 11987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
;}
    break;

  case 2114:

/* Line 1455 of yacc.c  */
#line 11991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
;}
    break;

  case 2115:

/* Line 1455 of yacc.c  */
#line 11995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
;}
    break;

  case 2116:

/* Line 1455 of yacc.c  */
#line 11999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
;}
    break;

  case 2117:

/* Line 1455 of yacc.c  */
#line 12003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
;}
    break;

  case 2118:

/* Line 1455 of yacc.c  */
#line 12007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
;}
    break;

  case 2119:

/* Line 1455 of yacc.c  */
#line 12011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
;}
    break;

  case 2120:

/* Line 1455 of yacc.c  */
#line 12015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
;}
    break;

  case 2121:

/* Line 1455 of yacc.c  */
#line 12019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
;}
    break;

  case 2122:

/* Line 1455 of yacc.c  */
#line 12023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
;}
    break;

  case 2123:

/* Line 1455 of yacc.c  */
#line 12027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
;}
    break;

  case 2124:

/* Line 1455 of yacc.c  */
#line 12031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
;}
    break;

  case 2125:

/* Line 1455 of yacc.c  */
#line 12035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
;}
    break;

  case 2126:

/* Line 1455 of yacc.c  */
#line 12039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
;}
    break;

  case 2127:

/* Line 1455 of yacc.c  */
#line 12043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
;}
    break;

  case 2128:

/* Line 1455 of yacc.c  */
#line 12047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
;}
    break;

  case 2129:

/* Line 1455 of yacc.c  */
#line 12051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
;}
    break;

  case 2130:

/* Line 1455 of yacc.c  */
#line 12055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
;}
    break;

  case 2131:

/* Line 1455 of yacc.c  */
#line 12059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
;}
    break;

  case 2132:

/* Line 1455 of yacc.c  */
#line 12063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
;}
    break;

  case 2133:

/* Line 1455 of yacc.c  */
#line 12067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
;}
    break;

  case 2134:

/* Line 1455 of yacc.c  */
#line 12071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
;}
    break;

  case 2135:

/* Line 1455 of yacc.c  */
#line 12075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
;}
    break;

  case 2136:

/* Line 1455 of yacc.c  */
#line 12079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
;}
    break;

  case 2137:

/* Line 1455 of yacc.c  */
#line 12083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
;}
    break;

  case 2138:

/* Line 1455 of yacc.c  */
#line 12087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
;}
    break;

  case 2139:

/* Line 1455 of yacc.c  */
#line 12091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
;}
    break;

  case 2140:

/* Line 1455 of yacc.c  */
#line 12095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
;}
    break;

  case 2141:

/* Line 1455 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
;}
    break;

  case 2142:

/* Line 1455 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
;}
    break;

  case 2143:

/* Line 1455 of yacc.c  */
#line 12107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
;}
    break;

  case 2144:

/* Line 1455 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
;}
    break;

  case 2145:

/* Line 1455 of yacc.c  */
#line 12115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
;}
    break;

  case 2146:

/* Line 1455 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
;}
    break;

  case 2147:

/* Line 1455 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
;}
    break;

  case 2148:

/* Line 1455 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
;}
    break;

  case 2149:

/* Line 1455 of yacc.c  */
#line 12131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
;}
    break;

  case 2150:

/* Line 1455 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
;}
    break;

  case 2151:

/* Line 1455 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
;}
    break;

  case 2152:

/* Line 1455 of yacc.c  */
#line 12143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
;}
    break;

  case 2153:

/* Line 1455 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
;}
    break;

  case 2154:

/* Line 1455 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
;}
    break;

  case 2155:

/* Line 1455 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
;}
    break;

  case 2156:

/* Line 1455 of yacc.c  */
#line 12159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
;}
    break;

  case 2157:

/* Line 1455 of yacc.c  */
#line 12167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
;}
    break;

  case 2158:

/* Line 1455 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
;}
    break;

  case 2159:

/* Line 1455 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
;}
    break;

  case 2160:

/* Line 1455 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
;}
    break;

  case 2161:

/* Line 1455 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
;}
    break;

  case 2162:

/* Line 1455 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
;}
    break;

  case 2163:

/* Line 1455 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
;}
    break;

  case 2164:

/* Line 1455 of yacc.c  */
#line 12195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
;}
    break;

  case 2165:

/* Line 1455 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
;}
    break;

  case 2166:

/* Line 1455 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
;}
    break;

  case 2167:

/* Line 1455 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
;}
    break;

  case 2168:

/* Line 1455 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
;}
    break;

  case 2169:

/* Line 1455 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
;}
    break;

  case 2170:

/* Line 1455 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
;}
    break;

  case 2171:

/* Line 1455 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
;}
    break;

  case 2172:

/* Line 1455 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
;}
    break;

  case 2173:

/* Line 1455 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
;}
    break;

  case 2174:

/* Line 1455 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
;}
    break;

  case 2175:

/* Line 1455 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
;}
    break;

  case 2176:

/* Line 1455 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
;}
    break;

  case 2177:

/* Line 1455 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
;}
    break;

  case 2178:

/* Line 1455 of yacc.c  */
#line 12251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
;}
    break;

  case 2179:

/* Line 1455 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
;}
    break;

  case 2180:

/* Line 1455 of yacc.c  */
#line 12263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
;}
    break;

  case 2181:

/* Line 1455 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
;}
    break;

  case 2182:

/* Line 1455 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
;}
    break;

  case 2183:

/* Line 1455 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
;}
    break;

  case 2184:

/* Line 1455 of yacc.c  */
#line 12279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
;}
    break;

  case 2185:

/* Line 1455 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
;}
    break;

  case 2186:

/* Line 1455 of yacc.c  */
#line 12287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
;}
    break;

  case 2187:

/* Line 1455 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
;}
    break;

  case 2188:

/* Line 1455 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
;}
    break;

  case 2189:

/* Line 1455 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
;}
    break;

  case 2190:

/* Line 1455 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
;}
    break;

  case 2191:

/* Line 1455 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
;}
    break;

  case 2192:

/* Line 1455 of yacc.c  */
#line 12311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
;}
    break;

  case 2193:

/* Line 1455 of yacc.c  */
#line 12315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
;}
    break;

  case 2194:

/* Line 1455 of yacc.c  */
#line 12319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
;}
    break;

  case 2195:

/* Line 1455 of yacc.c  */
#line 12323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
;}
    break;

  case 2196:

/* Line 1455 of yacc.c  */
#line 12327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
;}
    break;

  case 2197:

/* Line 1455 of yacc.c  */
#line 12331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
;}
    break;

  case 2198:

/* Line 1455 of yacc.c  */
#line 12335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
;}
    break;

  case 2199:

/* Line 1455 of yacc.c  */
#line 12339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
;}
    break;

  case 2200:

/* Line 1455 of yacc.c  */
#line 12343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
;}
    break;

  case 2201:

/* Line 1455 of yacc.c  */
#line 12347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
;}
    break;

  case 2202:

/* Line 1455 of yacc.c  */
#line 12351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
;}
    break;

  case 2203:

/* Line 1455 of yacc.c  */
#line 12355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
;}
    break;

  case 2204:

/* Line 1455 of yacc.c  */
#line 12359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
;}
    break;

  case 2205:

/* Line 1455 of yacc.c  */
#line 12363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
;}
    break;

  case 2206:

/* Line 1455 of yacc.c  */
#line 12367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
;}
    break;

  case 2207:

/* Line 1455 of yacc.c  */
#line 12371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
;}
    break;

  case 2208:

/* Line 1455 of yacc.c  */
#line 12375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
;}
    break;

  case 2209:

/* Line 1455 of yacc.c  */
#line 12379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
;}
    break;

  case 2210:

/* Line 1455 of yacc.c  */
#line 12383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
;}
    break;

  case 2211:

/* Line 1455 of yacc.c  */
#line 12387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
;}
    break;

  case 2212:

/* Line 1455 of yacc.c  */
#line 12391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
;}
    break;

  case 2213:

/* Line 1455 of yacc.c  */
#line 12395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
;}
    break;

  case 2214:

/* Line 1455 of yacc.c  */
#line 12399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
;}
    break;

  case 2215:

/* Line 1455 of yacc.c  */
#line 12403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
;}
    break;

  case 2216:

/* Line 1455 of yacc.c  */
#line 12407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
;}
    break;

  case 2217:

/* Line 1455 of yacc.c  */
#line 12411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
;}
    break;

  case 2218:

/* Line 1455 of yacc.c  */
#line 12415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
;}
    break;

  case 2219:

/* Line 1455 of yacc.c  */
#line 12419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
;}
    break;

  case 2220:

/* Line 1455 of yacc.c  */
#line 12423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
;}
    break;

  case 2221:

/* Line 1455 of yacc.c  */
#line 12427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
;}
    break;

  case 2222:

/* Line 1455 of yacc.c  */
#line 12431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
;}
    break;

  case 2223:

/* Line 1455 of yacc.c  */
#line 12435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
;}
    break;

  case 2224:

/* Line 1455 of yacc.c  */
#line 12439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
;}
    break;

  case 2225:

/* Line 1455 of yacc.c  */
#line 12443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
;}
    break;

  case 2226:

/* Line 1455 of yacc.c  */
#line 12447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
;}
    break;

  case 2227:

/* Line 1455 of yacc.c  */
#line 12451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
;}
    break;

  case 2228:

/* Line 1455 of yacc.c  */
#line 12455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
;}
    break;

  case 2229:

/* Line 1455 of yacc.c  */
#line 12459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
;}
    break;

  case 2230:

/* Line 1455 of yacc.c  */
#line 12463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
;}
    break;

  case 2231:

/* Line 1455 of yacc.c  */
#line 12467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
;}
    break;

  case 2232:

/* Line 1455 of yacc.c  */
#line 12471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
;}
    break;

  case 2233:

/* Line 1455 of yacc.c  */
#line 12475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
;}
    break;

  case 2234:

/* Line 1455 of yacc.c  */
#line 12479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
;}
    break;

  case 2235:

/* Line 1455 of yacc.c  */
#line 12483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
;}
    break;

  case 2236:

/* Line 1455 of yacc.c  */
#line 12487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
;}
    break;

  case 2237:

/* Line 1455 of yacc.c  */
#line 12491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
;}
    break;

  case 2238:

/* Line 1455 of yacc.c  */
#line 12495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
;}
    break;

  case 2239:

/* Line 1455 of yacc.c  */
#line 12499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
;}
    break;

  case 2240:

/* Line 1455 of yacc.c  */
#line 12503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
;}
    break;

  case 2241:

/* Line 1455 of yacc.c  */
#line 12507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
;}
    break;

  case 2242:

/* Line 1455 of yacc.c  */
#line 12511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
;}
    break;

  case 2243:

/* Line 1455 of yacc.c  */
#line 12515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
;}
    break;

  case 2244:

/* Line 1455 of yacc.c  */
#line 12519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
;}
    break;

  case 2245:

/* Line 1455 of yacc.c  */
#line 12523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
;}
    break;

  case 2246:

/* Line 1455 of yacc.c  */
#line 12527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
;}
    break;

  case 2247:

/* Line 1455 of yacc.c  */
#line 12531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
;}
    break;

  case 2248:

/* Line 1455 of yacc.c  */
#line 12535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
;}
    break;

  case 2249:

/* Line 1455 of yacc.c  */
#line 12539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
;}
    break;

  case 2250:

/* Line 1455 of yacc.c  */
#line 12543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
;}
    break;

  case 2251:

/* Line 1455 of yacc.c  */
#line 12547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
;}
    break;

  case 2252:

/* Line 1455 of yacc.c  */
#line 12551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
;}
    break;

  case 2253:

/* Line 1455 of yacc.c  */
#line 12555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
;}
    break;

  case 2256:

/* Line 1455 of yacc.c  */
#line 12568 "preproc.y"
    { connection = NULL; ;}
    break;

  case 2258:

/* Line 1455 of yacc.c  */
#line 12571 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				;}
    break;

  case 2260:

/* Line 1455 of yacc.c  */
#line 12577 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2261:

/* Line 1455 of yacc.c  */
#line 12578 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); ;}
    break;

  case 2262:

/* Line 1455 of yacc.c  */
#line 12579 "preproc.y"
    { braces_open++; fputs("{", yyout); ;}
    break;

  case 2263:

/* Line 1455 of yacc.c  */
#line 12581 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		;}
    break;

  case 2264:

/* Line 1455 of yacc.c  */
#line 12593 "preproc.y"
    {FoundInto = 0;;}
    break;

  case 2265:

/* Line 1455 of yacc.c  */
#line 12594 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		;}
    break;

  case 2266:

/* Line 1455 of yacc.c  */
#line 12603 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		;}
    break;

  case 2267:

/* Line 1455 of yacc.c  */
#line 12618 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); ;}
    break;

  case 2268:

/* Line 1455 of yacc.c  */
#line 12620 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); ;}
    break;

  case 2269:

/* Line 1455 of yacc.c  */
#line 12623 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); ;}
    break;

  case 2270:

/* Line 1455 of yacc.c  */
#line 12625 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); ;}
    break;

  case 2271:

/* Line 1455 of yacc.c  */
#line 12629 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		;}
    break;

  case 2272:

/* Line 1455 of yacc.c  */
#line 12641 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)),	(yyvsp[(7) - (7)].str), mm_strdup("\"")));
		;}
    break;

  case 2273:

/* Line 1455 of yacc.c  */
#line 12657 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2274:

/* Line 1455 of yacc.c  */
#line 12661 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2275:

/* Line 1455 of yacc.c  */
#line 12671 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2276:

/* Line 1455 of yacc.c  */
#line 12672 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2277:

/* Line 1455 of yacc.c  */
#line 12676 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2278:

/* Line 1455 of yacc.c  */
#line 12688 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2279:

/* Line 1455 of yacc.c  */
#line 12696 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2280:

/* Line 1455 of yacc.c  */
#line 12697 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2281:

/* Line 1455 of yacc.c  */
#line 12700 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2282:

/* Line 1455 of yacc.c  */
#line 12701 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2283:

/* Line 1455 of yacc.c  */
#line 12702 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2284:

/* Line 1455 of yacc.c  */
#line 12705 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2285:

/* Line 1455 of yacc.c  */
#line 12706 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2286:

/* Line 1455 of yacc.c  */
#line 12709 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2287:

/* Line 1455 of yacc.c  */
#line 12710 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2288:

/* Line 1455 of yacc.c  */
#line 12713 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2289:

/* Line 1455 of yacc.c  */
#line 12714 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); ;}
    break;

  case 2290:

/* Line 1455 of yacc.c  */
#line 12718 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); ;}
    break;

  case 2291:

/* Line 1455 of yacc.c  */
#line 12720 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2292:

/* Line 1455 of yacc.c  */
#line 12722 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); ;}
    break;

  case 2293:

/* Line 1455 of yacc.c  */
#line 12724 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2294:

/* Line 1455 of yacc.c  */
#line 12728 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2295:

/* Line 1455 of yacc.c  */
#line 12735 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		;}
    break;

  case 2296:

/* Line 1455 of yacc.c  */
#line 12742 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		;}
    break;

  case 2297:

/* Line 1455 of yacc.c  */
#line 12758 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		;}
    break;

  case 2298:

/* Line 1455 of yacc.c  */
#line 12792 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2299:

/* Line 1455 of yacc.c  */
#line 12801 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2300:

/* Line 1455 of yacc.c  */
#line 12805 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			;}
    break;

  case 2301:

/* Line 1455 of yacc.c  */
#line 12809 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			;}
    break;

  case 2302:

/* Line 1455 of yacc.c  */
#line 12821 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2303:

/* Line 1455 of yacc.c  */
#line 12823 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2304:

/* Line 1455 of yacc.c  */
#line 12825 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2305:

/* Line 1455 of yacc.c  */
#line 12827 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2306:

/* Line 1455 of yacc.c  */
#line 12831 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		;}
    break;

  case 2307:

/* Line 1455 of yacc.c  */
#line 12844 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2308:

/* Line 1455 of yacc.c  */
#line 12852 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = ((yyvsp[(2) - (7)].str)[0] == ':' ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		;}
    break;

  case 2309:

/* Line 1455 of yacc.c  */
#line 12913 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			;}
    break;

  case 2311:

/* Line 1455 of yacc.c  */
#line 12923 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2312:

/* Line 1455 of yacc.c  */
#line 12924 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2313:

/* Line 1455 of yacc.c  */
#line 12927 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2314:

/* Line 1455 of yacc.c  */
#line 12929 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2315:

/* Line 1455 of yacc.c  */
#line 12930 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2316:

/* Line 1455 of yacc.c  */
#line 12933 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2317:

/* Line 1455 of yacc.c  */
#line 12934 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); ;}
    break;

  case 2318:

/* Line 1455 of yacc.c  */
#line 12935 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); ;}
    break;

  case 2319:

/* Line 1455 of yacc.c  */
#line 12936 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); ;}
    break;

  case 2320:

/* Line 1455 of yacc.c  */
#line 12937 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); ;}
    break;

  case 2321:

/* Line 1455 of yacc.c  */
#line 12944 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); ;}
    break;

  case 2322:

/* Line 1455 of yacc.c  */
#line 12946 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		;}
    break;

  case 2323:

/* Line 1455 of yacc.c  */
#line 12953 "preproc.y"
    {;}
    break;

  case 2324:

/* Line 1455 of yacc.c  */
#line 12955 "preproc.y"
    {;}
    break;

  case 2325:

/* Line 1455 of yacc.c  */
#line 12957 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2326:

/* Line 1455 of yacc.c  */
#line 12958 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2327:

/* Line 1455 of yacc.c  */
#line 12961 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2328:

/* Line 1455 of yacc.c  */
#line 12962 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2329:

/* Line 1455 of yacc.c  */
#line 12963 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2330:

/* Line 1455 of yacc.c  */
#line 12964 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2331:

/* Line 1455 of yacc.c  */
#line 12967 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2332:

/* Line 1455 of yacc.c  */
#line 12968 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2333:

/* Line 1455 of yacc.c  */
#line 12972 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	;}
    break;

  case 2334:

/* Line 1455 of yacc.c  */
#line 12978 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	;}
    break;

  case 2335:

/* Line 1455 of yacc.c  */
#line 12988 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2336:

/* Line 1455 of yacc.c  */
#line 12998 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		;}
    break;

  case 2337:

/* Line 1455 of yacc.c  */
#line 13002 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		;}
    break;

  case 2338:

/* Line 1455 of yacc.c  */
#line 13012 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		;}
    break;

  case 2339:

/* Line 1455 of yacc.c  */
#line 13016 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		;}
    break;

  case 2340:

/* Line 1455 of yacc.c  */
#line 13021 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2341:

/* Line 1455 of yacc.c  */
#line 13022 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2342:

/* Line 1455 of yacc.c  */
#line 13026 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2343:

/* Line 1455 of yacc.c  */
#line 13027 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2344:

/* Line 1455 of yacc.c  */
#line 13028 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2345:

/* Line 1455 of yacc.c  */
#line 13031 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2346:

/* Line 1455 of yacc.c  */
#line 13032 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2347:

/* Line 1455 of yacc.c  */
#line 13033 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2348:

/* Line 1455 of yacc.c  */
#line 13034 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2349:

/* Line 1455 of yacc.c  */
#line 13037 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2350:

/* Line 1455 of yacc.c  */
#line 13038 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2351:

/* Line 1455 of yacc.c  */
#line 13042 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2352:

/* Line 1455 of yacc.c  */
#line 13050 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		;}
    break;

  case 2353:

/* Line 1455 of yacc.c  */
#line 13067 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2354:

/* Line 1455 of yacc.c  */
#line 13075 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		;}
    break;

  case 2355:

/* Line 1455 of yacc.c  */
#line 13098 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		;}
    break;

  case 2356:

/* Line 1455 of yacc.c  */
#line 13204 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		;}
    break;

  case 2357:

/* Line 1455 of yacc.c  */
#line 13238 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2358:

/* Line 1455 of yacc.c  */
#line 13240 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2359:

/* Line 1455 of yacc.c  */
#line 13242 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2360:

/* Line 1455 of yacc.c  */
#line 13246 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2361:

/* Line 1455 of yacc.c  */
#line 13249 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		;}
    break;

  case 2362:

/* Line 1455 of yacc.c  */
#line 13256 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2363:

/* Line 1455 of yacc.c  */
#line 13299 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2364:

/* Line 1455 of yacc.c  */
#line 13301 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		;}
    break;

  case 2365:

/* Line 1455 of yacc.c  */
#line 13307 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		;}
    break;

  case 2366:

/* Line 1455 of yacc.c  */
#line 13316 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		;}
    break;

  case 2367:

/* Line 1455 of yacc.c  */
#line 13322 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		;}
    break;

  case 2368:

/* Line 1455 of yacc.c  */
#line 13329 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		;}
    break;

  case 2369:

/* Line 1455 of yacc.c  */
#line 13334 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		;}
    break;

  case 2370:

/* Line 1455 of yacc.c  */
#line 13339 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); ;}
    break;

  case 2371:

/* Line 1455 of yacc.c  */
#line 13340 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); ;}
    break;

  case 2372:

/* Line 1455 of yacc.c  */
#line 13343 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2373:

/* Line 1455 of yacc.c  */
#line 13344 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; ;}
    break;

  case 2374:

/* Line 1455 of yacc.c  */
#line 13345 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2375:

/* Line 1455 of yacc.c  */
#line 13346 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; ;}
    break;

  case 2376:

/* Line 1455 of yacc.c  */
#line 13347 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2377:

/* Line 1455 of yacc.c  */
#line 13348 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; ;}
    break;

  case 2378:

/* Line 1455 of yacc.c  */
#line 13350 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2379:

/* Line 1455 of yacc.c  */
#line 13358 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		;}
    break;

  case 2380:

/* Line 1455 of yacc.c  */
#line 13365 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; ;}
    break;

  case 2381:

/* Line 1455 of yacc.c  */
#line 13368 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2382:

/* Line 1455 of yacc.c  */
#line 13369 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; ;}
    break;

  case 2383:

/* Line 1455 of yacc.c  */
#line 13370 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; ;}
    break;

  case 2384:

/* Line 1455 of yacc.c  */
#line 13371 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2385:

/* Line 1455 of yacc.c  */
#line 13372 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; ;}
    break;

  case 2386:

/* Line 1455 of yacc.c  */
#line 13374 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2387:

/* Line 1455 of yacc.c  */
#line 13382 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		;}
    break;

  case 2388:

/* Line 1455 of yacc.c  */
#line 13389 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; ;}
    break;

  case 2389:

/* Line 1455 of yacc.c  */
#line 13390 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; ;}
    break;

  case 2390:

/* Line 1455 of yacc.c  */
#line 13391 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; ;}
    break;

  case 2393:

/* Line 1455 of yacc.c  */
#line 13399 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2394:

/* Line 1455 of yacc.c  */
#line 13401 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2395:

/* Line 1455 of yacc.c  */
#line 13405 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		;}
    break;

  case 2396:

/* Line 1455 of yacc.c  */
#line 13492 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2397:

/* Line 1455 of yacc.c  */
#line 13494 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2398:

/* Line 1455 of yacc.c  */
#line 13500 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2399:

/* Line 1455 of yacc.c  */
#line 13501 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2400:

/* Line 1455 of yacc.c  */
#line 13502 "preproc.y"
    { (yyval.str) = mm_strdup("**"); ;}
    break;

  case 2401:

/* Line 1455 of yacc.c  */
#line 13509 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		;}
    break;

  case 2402:

/* Line 1455 of yacc.c  */
#line 13517 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2403:

/* Line 1455 of yacc.c  */
#line 13520 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2404:

/* Line 1455 of yacc.c  */
#line 13521 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2405:

/* Line 1455 of yacc.c  */
#line 13522 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); ;}
    break;

  case 2406:

/* Line 1455 of yacc.c  */
#line 13523 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); ;}
    break;

  case 2407:

/* Line 1455 of yacc.c  */
#line 13526 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2408:

/* Line 1455 of yacc.c  */
#line 13527 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); ;}
    break;

  case 2409:

/* Line 1455 of yacc.c  */
#line 13528 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2410:

/* Line 1455 of yacc.c  */
#line 13532 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2411:

/* Line 1455 of yacc.c  */
#line 13534 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2412:

/* Line 1455 of yacc.c  */
#line 13541 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2413:

/* Line 1455 of yacc.c  */
#line 13542 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2414:

/* Line 1455 of yacc.c  */
#line 13549 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		;}
    break;

  case 2415:

/* Line 1455 of yacc.c  */
#line 13556 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2416:

/* Line 1455 of yacc.c  */
#line 13557 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2417:

/* Line 1455 of yacc.c  */
#line 13560 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2418:

/* Line 1455 of yacc.c  */
#line 13561 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2419:

/* Line 1455 of yacc.c  */
#line 13565 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2420:

/* Line 1455 of yacc.c  */
#line 13570 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2421:

/* Line 1455 of yacc.c  */
#line 13577 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2422:

/* Line 1455 of yacc.c  */
#line 13582 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2423:

/* Line 1455 of yacc.c  */
#line 13589 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		;}
    break;

  case 2426:

/* Line 1455 of yacc.c  */
#line 13598 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		;}
    break;

  case 2427:

/* Line 1455 of yacc.c  */
#line 13604 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2428:

/* Line 1455 of yacc.c  */
#line 13605 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2429:

/* Line 1455 of yacc.c  */
#line 13608 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2430:

/* Line 1455 of yacc.c  */
#line 13609 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2431:

/* Line 1455 of yacc.c  */
#line 13610 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2432:

/* Line 1455 of yacc.c  */
#line 13611 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2433:

/* Line 1455 of yacc.c  */
#line 13612 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2434:

/* Line 1455 of yacc.c  */
#line 13613 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2435:

/* Line 1455 of yacc.c  */
#line 13614 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2436:

/* Line 1455 of yacc.c  */
#line 13615 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2437:

/* Line 1455 of yacc.c  */
#line 13616 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2438:

/* Line 1455 of yacc.c  */
#line 13623 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2439:

/* Line 1455 of yacc.c  */
#line 13630 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2440:

/* Line 1455 of yacc.c  */
#line 13642 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2441:

/* Line 1455 of yacc.c  */
#line 13648 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2442:

/* Line 1455 of yacc.c  */
#line 13655 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	;}
    break;

  case 2443:

/* Line 1455 of yacc.c  */
#line 13662 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2444:

/* Line 1455 of yacc.c  */
#line 13663 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2445:

/* Line 1455 of yacc.c  */
#line 13676 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2446:

/* Line 1455 of yacc.c  */
#line 13687 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		;}
    break;

  case 2447:

/* Line 1455 of yacc.c  */
#line 13698 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2450:

/* Line 1455 of yacc.c  */
#line 13706 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2451:

/* Line 1455 of yacc.c  */
#line 13711 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); ;}
    break;

  case 2454:

/* Line 1455 of yacc.c  */
#line 13719 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2455:

/* Line 1455 of yacc.c  */
#line 13725 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2456:

/* Line 1455 of yacc.c  */
#line 13733 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2457:

/* Line 1455 of yacc.c  */
#line 13738 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; ;}
    break;

  case 2458:

/* Line 1455 of yacc.c  */
#line 13746 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2461:

/* Line 1455 of yacc.c  */
#line 13753 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); ;}
    break;

  case 2462:

/* Line 1455 of yacc.c  */
#line 13757 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); ;}
    break;

  case 2465:

/* Line 1455 of yacc.c  */
#line 13765 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		;}
    break;

  case 2466:

/* Line 1455 of yacc.c  */
#line 13771 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2467:

/* Line 1455 of yacc.c  */
#line 13780 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2468:

/* Line 1455 of yacc.c  */
#line 13785 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2469:

/* Line 1455 of yacc.c  */
#line 13795 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2470:

/* Line 1455 of yacc.c  */
#line 13805 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		;}
    break;

  case 2471:

/* Line 1455 of yacc.c  */
#line 13816 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; ;}
    break;

  case 2472:

/* Line 1455 of yacc.c  */
#line 13817 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; ;}
    break;

  case 2473:

/* Line 1455 of yacc.c  */
#line 13818 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; ;}
    break;

  case 2474:

/* Line 1455 of yacc.c  */
#line 13819 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; ;}
    break;

  case 2475:

/* Line 1455 of yacc.c  */
#line 13820 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; ;}
    break;

  case 2476:

/* Line 1455 of yacc.c  */
#line 13821 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; ;}
    break;

  case 2477:

/* Line 1455 of yacc.c  */
#line 13822 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2478:

/* Line 1455 of yacc.c  */
#line 13823 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; ;}
    break;

  case 2479:

/* Line 1455 of yacc.c  */
#line 13824 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; ;}
    break;

  case 2480:

/* Line 1455 of yacc.c  */
#line 13825 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; ;}
    break;

  case 2481:

/* Line 1455 of yacc.c  */
#line 13826 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; ;}
    break;

  case 2482:

/* Line 1455 of yacc.c  */
#line 13827 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; ;}
    break;

  case 2483:

/* Line 1455 of yacc.c  */
#line 13828 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; ;}
    break;

  case 2484:

/* Line 1455 of yacc.c  */
#line 13829 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; ;}
    break;

  case 2485:

/* Line 1455 of yacc.c  */
#line 13830 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; ;}
    break;

  case 2486:

/* Line 1455 of yacc.c  */
#line 13837 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2487:

/* Line 1455 of yacc.c  */
#line 13838 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2488:

/* Line 1455 of yacc.c  */
#line 13841 "preproc.y"
    { (yyval.str) = mm_strdup("on"); ;}
    break;

  case 2489:

/* Line 1455 of yacc.c  */
#line 13842 "preproc.y"
    { (yyval.str) = mm_strdup("off"); ;}
    break;

  case 2490:

/* Line 1455 of yacc.c  */
#line 13849 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2491:

/* Line 1455 of yacc.c  */
#line 13850 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); ;}
    break;

  case 2492:

/* Line 1455 of yacc.c  */
#line 13851 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2493:

/* Line 1455 of yacc.c  */
#line 13858 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2494:

/* Line 1455 of yacc.c  */
#line 13864 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		;}
    break;

  case 2495:

/* Line 1455 of yacc.c  */
#line 13874 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); ;}
    break;

  case 2496:

/* Line 1455 of yacc.c  */
#line 13875 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2497:

/* Line 1455 of yacc.c  */
#line 13882 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		;}
    break;

  case 2498:

/* Line 1455 of yacc.c  */
#line 13888 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		;}
    break;

  case 2499:

/* Line 1455 of yacc.c  */
#line 13952 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2500:

/* Line 1455 of yacc.c  */
#line 13958 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2501:

/* Line 1455 of yacc.c  */
#line 13964 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		;}
    break;

  case 2502:

/* Line 1455 of yacc.c  */
#line 13972 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		;}
    break;

  case 2503:

/* Line 1455 of yacc.c  */
#line 13978 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		;}
    break;

  case 2504:

/* Line 1455 of yacc.c  */
#line 13984 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		;}
    break;

  case 2505:

/* Line 1455 of yacc.c  */
#line 13990 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		;}
    break;

  case 2506:

/* Line 1455 of yacc.c  */
#line 13996 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		;}
    break;

  case 2507:

/* Line 1455 of yacc.c  */
#line 14002 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2508:

/* Line 1455 of yacc.c  */
#line 14008 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		;}
    break;

  case 2509:

/* Line 1455 of yacc.c  */
#line 14014 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2510:

/* Line 1455 of yacc.c  */
#line 14020 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		;}
    break;

  case 2511:

/* Line 1455 of yacc.c  */
#line 14030 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2512:

/* Line 1455 of yacc.c  */
#line 14031 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2513:

/* Line 1455 of yacc.c  */
#line 14034 "preproc.y"
    { (yyval.str) = mm_strdup("break"); ;}
    break;

  case 2514:

/* Line 1455 of yacc.c  */
#line 14035 "preproc.y"
    { (yyval.str) = mm_strdup("call"); ;}
    break;

  case 2515:

/* Line 1455 of yacc.c  */
#line 14036 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); ;}
    break;

  case 2516:

/* Line 1455 of yacc.c  */
#line 14037 "preproc.y"
    { (yyval.str) = mm_strdup("count"); ;}
    break;

  case 2517:

/* Line 1455 of yacc.c  */
#line 14038 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); ;}
    break;

  case 2518:

/* Line 1455 of yacc.c  */
#line 14039 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); ;}
    break;

  case 2519:

/* Line 1455 of yacc.c  */
#line 14040 "preproc.y"
    { (yyval.str) = mm_strdup("found"); ;}
    break;

  case 2520:

/* Line 1455 of yacc.c  */
#line 14041 "preproc.y"
    { (yyval.str) = mm_strdup("go"); ;}
    break;

  case 2521:

/* Line 1455 of yacc.c  */
#line 14042 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); ;}
    break;

  case 2522:

/* Line 1455 of yacc.c  */
#line 14043 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); ;}
    break;

  case 2523:

/* Line 1455 of yacc.c  */
#line 14044 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); ;}
    break;

  case 2524:

/* Line 1455 of yacc.c  */
#line 14045 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); ;}
    break;

  case 2525:

/* Line 1455 of yacc.c  */
#line 14046 "preproc.y"
    { (yyval.str) = mm_strdup("length"); ;}
    break;

  case 2526:

/* Line 1455 of yacc.c  */
#line 14047 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); ;}
    break;

  case 2527:

/* Line 1455 of yacc.c  */
#line 14048 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); ;}
    break;

  case 2528:

/* Line 1455 of yacc.c  */
#line 14049 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); ;}
    break;

  case 2529:

/* Line 1455 of yacc.c  */
#line 14050 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); ;}
    break;

  case 2530:

/* Line 1455 of yacc.c  */
#line 14051 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); ;}
    break;

  case 2531:

/* Line 1455 of yacc.c  */
#line 14052 "preproc.y"
    { (yyval.str) = mm_strdup("section"); ;}
    break;

  case 2532:

/* Line 1455 of yacc.c  */
#line 14053 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); ;}
    break;

  case 2533:

/* Line 1455 of yacc.c  */
#line 14054 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); ;}
    break;

  case 2534:

/* Line 1455 of yacc.c  */
#line 14055 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); ;}
    break;

  case 2535:

/* Line 1455 of yacc.c  */
#line 14056 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); ;}
    break;

  case 2536:

/* Line 1455 of yacc.c  */
#line 14057 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); ;}
    break;

  case 2537:

/* Line 1455 of yacc.c  */
#line 14060 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); ;}
    break;

  case 2538:

/* Line 1455 of yacc.c  */
#line 14061 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); ;}
    break;

  case 2539:

/* Line 1455 of yacc.c  */
#line 14062 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); ;}
    break;

  case 2540:

/* Line 1455 of yacc.c  */
#line 14063 "preproc.y"
    { (yyval.str) = mm_strdup("open"); ;}
    break;

  case 2541:

/* Line 1455 of yacc.c  */
#line 14064 "preproc.y"
    { (yyval.str) = mm_strdup("var"); ;}
    break;

  case 2542:

/* Line 1455 of yacc.c  */
#line 14065 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); ;}
    break;

  case 2543:

/* Line 1455 of yacc.c  */
#line 14069 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2544:

/* Line 1455 of yacc.c  */
#line 14070 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2545:

/* Line 1455 of yacc.c  */
#line 14071 "preproc.y"
    { (yyval.str) = mm_strdup("output"); ;}
    break;

  case 2546:

/* Line 1455 of yacc.c  */
#line 14072 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2547:

/* Line 1455 of yacc.c  */
#line 14073 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2548:

/* Line 1455 of yacc.c  */
#line 14074 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2549:

/* Line 1455 of yacc.c  */
#line 14075 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2550:

/* Line 1455 of yacc.c  */
#line 14078 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2551:

/* Line 1455 of yacc.c  */
#line 14081 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2552:

/* Line 1455 of yacc.c  */
#line 14082 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2553:

/* Line 1455 of yacc.c  */
#line 14083 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2554:

/* Line 1455 of yacc.c  */
#line 14084 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2555:

/* Line 1455 of yacc.c  */
#line 14085 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2556:

/* Line 1455 of yacc.c  */
#line 14086 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2557:

/* Line 1455 of yacc.c  */
#line 14087 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2558:

/* Line 1455 of yacc.c  */
#line 14088 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2559:

/* Line 1455 of yacc.c  */
#line 14101 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2560:

/* Line 1455 of yacc.c  */
#line 14102 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2561:

/* Line 1455 of yacc.c  */
#line 14103 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2562:

/* Line 1455 of yacc.c  */
#line 14104 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2563:

/* Line 1455 of yacc.c  */
#line 14105 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2564:

/* Line 1455 of yacc.c  */
#line 14106 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2565:

/* Line 1455 of yacc.c  */
#line 14107 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2566:

/* Line 1455 of yacc.c  */
#line 14112 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2567:

/* Line 1455 of yacc.c  */
#line 14113 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2568:

/* Line 1455 of yacc.c  */
#line 14114 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2569:

/* Line 1455 of yacc.c  */
#line 14115 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2570:

/* Line 1455 of yacc.c  */
#line 14116 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2571:

/* Line 1455 of yacc.c  */
#line 14117 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2572:

/* Line 1455 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2573:

/* Line 1455 of yacc.c  */
#line 14124 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2574:

/* Line 1455 of yacc.c  */
#line 14125 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2575:

/* Line 1455 of yacc.c  */
#line 14126 "preproc.y"
    { (yyval.str) = mm_strdup("current"); ;}
    break;

  case 2576:

/* Line 1455 of yacc.c  */
#line 14127 "preproc.y"
    { (yyval.str) = mm_strdup("input"); ;}
    break;

  case 2577:

/* Line 1455 of yacc.c  */
#line 14128 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2578:

/* Line 1455 of yacc.c  */
#line 14129 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2579:

/* Line 1455 of yacc.c  */
#line 14130 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2580:

/* Line 1455 of yacc.c  */
#line 14131 "preproc.y"
    { (yyval.str) = mm_strdup("values"); ;}
    break;

  case 2581:

/* Line 1455 of yacc.c  */
#line 14132 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2582:

/* Line 1455 of yacc.c  */
#line 14133 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2583:

/* Line 1455 of yacc.c  */
#line 14136 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2584:

/* Line 1455 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2585:

/* Line 1455 of yacc.c  */
#line 14138 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2586:

/* Line 1455 of yacc.c  */
#line 14139 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2587:

/* Line 1455 of yacc.c  */
#line 14140 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2588:

/* Line 1455 of yacc.c  */
#line 14143 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2589:

/* Line 1455 of yacc.c  */
#line 14144 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2590:

/* Line 1455 of yacc.c  */
#line 14145 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2591:

/* Line 1455 of yacc.c  */
#line 14146 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2592:

/* Line 1455 of yacc.c  */
#line 14149 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2593:

/* Line 1455 of yacc.c  */
#line 14150 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2594:

/* Line 1455 of yacc.c  */
#line 14151 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2595:

/* Line 1455 of yacc.c  */
#line 14152 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2596:

/* Line 1455 of yacc.c  */
#line 14153 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2597:

/* Line 1455 of yacc.c  */
#line 14154 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2598:

/* Line 1455 of yacc.c  */
#line 14155 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2599:

/* Line 1455 of yacc.c  */
#line 14172 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2600:

/* Line 1455 of yacc.c  */
#line 14173 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2601:

/* Line 1455 of yacc.c  */
#line 14174 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); ;}
    break;

  case 2602:

/* Line 1455 of yacc.c  */
#line 14177 "preproc.y"
    { (yyval.str) = mm_strdup("day"); ;}
    break;

  case 2603:

/* Line 1455 of yacc.c  */
#line 14178 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2604:

/* Line 1455 of yacc.c  */
#line 14179 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2605:

/* Line 1455 of yacc.c  */
#line 14180 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2606:

/* Line 1455 of yacc.c  */
#line 14181 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2607:

/* Line 1455 of yacc.c  */
#line 14182 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2610:

/* Line 1455 of yacc.c  */
#line 14189 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			;}
    break;

  case 2611:

/* Line 1455 of yacc.c  */
#line 14195 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2612:

/* Line 1455 of yacc.c  */
#line 14196 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2613:

/* Line 1455 of yacc.c  */
#line 14200 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); ;}
    break;

  case 2614:

/* Line 1455 of yacc.c  */
#line 14202 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); ;}
    break;

  case 2615:

/* Line 1455 of yacc.c  */
#line 14207 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		;}
    break;

  case 2616:

/* Line 1455 of yacc.c  */
#line 14217 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2617:

/* Line 1455 of yacc.c  */
#line 14228 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		;}
    break;

  case 2618:

/* Line 1455 of yacc.c  */
#line 14234 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2619:

/* Line 1455 of yacc.c  */
#line 14235 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2620:

/* Line 1455 of yacc.c  */
#line 14236 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2621:

/* Line 1455 of yacc.c  */
#line 14240 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		;}
    break;

  case 2622:

/* Line 1455 of yacc.c  */
#line 14272 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2623:

/* Line 1455 of yacc.c  */
#line 14274 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2624:

/* Line 1455 of yacc.c  */
#line 14276 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2625:

/* Line 1455 of yacc.c  */
#line 14280 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2626:

/* Line 1455 of yacc.c  */
#line 14290 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2627:

/* Line 1455 of yacc.c  */
#line 14300 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		;}
    break;

  case 2628:

/* Line 1455 of yacc.c  */
#line 14309 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2629:

/* Line 1455 of yacc.c  */
#line 14310 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2630:

/* Line 1455 of yacc.c  */
#line 14313 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2631:

/* Line 1455 of yacc.c  */
#line 14315 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2632:

/* Line 1455 of yacc.c  */
#line 14316 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2633:

/* Line 1455 of yacc.c  */
#line 14317 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2634:

/* Line 1455 of yacc.c  */
#line 14321 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); ;}
    break;

  case 2635:

/* Line 1455 of yacc.c  */
#line 14323 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); ;}
    break;

  case 2636:

/* Line 1455 of yacc.c  */
#line 14330 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2637:

/* Line 1455 of yacc.c  */
#line 14331 "preproc.y"
    { (yyval.str) = mm_strdup("()"); ;}
    break;

  case 2638:

/* Line 1455 of yacc.c  */
#line 14333 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2639:

/* Line 1455 of yacc.c  */
#line 14336 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2640:

/* Line 1455 of yacc.c  */
#line 14338 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); ;}
    break;

  case 2641:

/* Line 1455 of yacc.c  */
#line 14341 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2642:

/* Line 1455 of yacc.c  */
#line 14342 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2643:

/* Line 1455 of yacc.c  */
#line 14345 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2644:

/* Line 1455 of yacc.c  */
#line 14346 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); ;}
    break;

  case 2645:

/* Line 1455 of yacc.c  */
#line 14349 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2646:

/* Line 1455 of yacc.c  */
#line 14350 "preproc.y"
    { (yyval.str) = mm_strdup("("); ;}
    break;

  case 2647:

/* Line 1455 of yacc.c  */
#line 14351 "preproc.y"
    { (yyval.str) = mm_strdup(")"); ;}
    break;

  case 2648:

/* Line 1455 of yacc.c  */
#line 14352 "preproc.y"
    { (yyval.str) = mm_strdup(","); ;}
    break;

  case 2649:

/* Line 1455 of yacc.c  */
#line 14353 "preproc.y"
    { (yyval.str) = mm_strdup(";"); ;}
    break;

  case 2650:

/* Line 1455 of yacc.c  */
#line 14356 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2651:

/* Line 1455 of yacc.c  */
#line 14357 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2652:

/* Line 1455 of yacc.c  */
#line 14358 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2653:

/* Line 1455 of yacc.c  */
#line 14359 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2654:

/* Line 1455 of yacc.c  */
#line 14360 "preproc.y"
    { (yyval.str) = mm_strdup("*"); ;}
    break;

  case 2655:

/* Line 1455 of yacc.c  */
#line 14361 "preproc.y"
    { (yyval.str) = mm_strdup("+"); ;}
    break;

  case 2656:

/* Line 1455 of yacc.c  */
#line 14362 "preproc.y"
    { (yyval.str) = mm_strdup("-"); ;}
    break;

  case 2657:

/* Line 1455 of yacc.c  */
#line 14363 "preproc.y"
    { (yyval.str) = mm_strdup("/"); ;}
    break;

  case 2658:

/* Line 1455 of yacc.c  */
#line 14364 "preproc.y"
    { (yyval.str) = mm_strdup("%"); ;}
    break;

  case 2659:

/* Line 1455 of yacc.c  */
#line 14365 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); ;}
    break;

  case 2660:

/* Line 1455 of yacc.c  */
#line 14366 "preproc.y"
    { (yyval.str) = mm_strdup("+="); ;}
    break;

  case 2661:

/* Line 1455 of yacc.c  */
#line 14367 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); ;}
    break;

  case 2662:

/* Line 1455 of yacc.c  */
#line 14368 "preproc.y"
    { (yyval.str) = make_name(); ;}
    break;

  case 2663:

/* Line 1455 of yacc.c  */
#line 14369 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); ;}
    break;

  case 2664:

/* Line 1455 of yacc.c  */
#line 14370 "preproc.y"
    { (yyval.str) = mm_strdup("const"); ;}
    break;

  case 2665:

/* Line 1455 of yacc.c  */
#line 14371 "preproc.y"
    { (yyval.str) = mm_strdup("--"); ;}
    break;

  case 2666:

/* Line 1455 of yacc.c  */
#line 14372 "preproc.y"
    { (yyval.str) = mm_strdup("/="); ;}
    break;

  case 2667:

/* Line 1455 of yacc.c  */
#line 14373 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); ;}
    break;

  case 2668:

/* Line 1455 of yacc.c  */
#line 14374 "preproc.y"
    { (yyval.str) = mm_strdup("=="); ;}
    break;

  case 2669:

/* Line 1455 of yacc.c  */
#line 14375 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); ;}
    break;

  case 2670:

/* Line 1455 of yacc.c  */
#line 14376 "preproc.y"
    { (yyval.str) = mm_strdup("++"); ;}
    break;

  case 2671:

/* Line 1455 of yacc.c  */
#line 14377 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); ;}
    break;

  case 2672:

/* Line 1455 of yacc.c  */
#line 14378 "preproc.y"
    { (yyval.str) = mm_strdup("->"); ;}
    break;

  case 2673:

/* Line 1455 of yacc.c  */
#line 14379 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); ;}
    break;

  case 2674:

/* Line 1455 of yacc.c  */
#line 14380 "preproc.y"
    { (yyval.str) = mm_strdup("%="); ;}
    break;

  case 2675:

/* Line 1455 of yacc.c  */
#line 14381 "preproc.y"
    { (yyval.str) = mm_strdup("*="); ;}
    break;

  case 2676:

/* Line 1455 of yacc.c  */
#line 14382 "preproc.y"
    { (yyval.str) = mm_strdup("!="); ;}
    break;

  case 2677:

/* Line 1455 of yacc.c  */
#line 14383 "preproc.y"
    { (yyval.str) = mm_strdup("||"); ;}
    break;

  case 2678:

/* Line 1455 of yacc.c  */
#line 14384 "preproc.y"
    { (yyval.str) = mm_strdup("register"); ;}
    break;

  case 2679:

/* Line 1455 of yacc.c  */
#line 14385 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); ;}
    break;

  case 2680:

/* Line 1455 of yacc.c  */
#line 14386 "preproc.y"
    { (yyval.str) = mm_strdup("static"); ;}
    break;

  case 2681:

/* Line 1455 of yacc.c  */
#line 14387 "preproc.y"
    { (yyval.str) = mm_strdup("-="); ;}
    break;

  case 2682:

/* Line 1455 of yacc.c  */
#line 14388 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); ;}
    break;

  case 2683:

/* Line 1455 of yacc.c  */
#line 14389 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); ;}
    break;

  case 2684:

/* Line 1455 of yacc.c  */
#line 14390 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); ;}
    break;

  case 2685:

/* Line 1455 of yacc.c  */
#line 14391 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); ;}
    break;

  case 2686:

/* Line 1455 of yacc.c  */
#line 14392 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); ;}
    break;

  case 2687:

/* Line 1455 of yacc.c  */
#line 14393 "preproc.y"
    { (yyval.str) = mm_strdup("int"); ;}
    break;

  case 2688:

/* Line 1455 of yacc.c  */
#line 14394 "preproc.y"
    { (yyval.str) = mm_strdup("long"); ;}
    break;

  case 2689:

/* Line 1455 of yacc.c  */
#line 14395 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); ;}
    break;

  case 2690:

/* Line 1455 of yacc.c  */
#line 14396 "preproc.y"
    { (yyval.str) = mm_strdup("month"); ;}
    break;

  case 2691:

/* Line 1455 of yacc.c  */
#line 14397 "preproc.y"
    { (yyval.str) = mm_strdup("second"); ;}
    break;

  case 2692:

/* Line 1455 of yacc.c  */
#line 14398 "preproc.y"
    { (yyval.str) = mm_strdup("short"); ;}
    break;

  case 2693:

/* Line 1455 of yacc.c  */
#line 14399 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); ;}
    break;

  case 2694:

/* Line 1455 of yacc.c  */
#line 14400 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); ;}
    break;

  case 2695:

/* Line 1455 of yacc.c  */
#line 14401 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); ;}
    break;

  case 2696:

/* Line 1455 of yacc.c  */
#line 14402 "preproc.y"
    { (yyval.str) = mm_strdup("year"); ;}
    break;

  case 2697:

/* Line 1455 of yacc.c  */
#line 14403 "preproc.y"
    { (yyval.str) = mm_strdup("char"); ;}
    break;

  case 2698:

/* Line 1455 of yacc.c  */
#line 14404 "preproc.y"
    { (yyval.str) = mm_strdup("float"); ;}
    break;

  case 2699:

/* Line 1455 of yacc.c  */
#line 14405 "preproc.y"
    { (yyval.str) = mm_strdup("to"); ;}
    break;

  case 2700:

/* Line 1455 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.str) = mm_strdup("union"); ;}
    break;

  case 2701:

/* Line 1455 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); ;}
    break;

  case 2702:

/* Line 1455 of yacc.c  */
#line 14408 "preproc.y"
    { (yyval.str) = mm_strdup("["); ;}
    break;

  case 2703:

/* Line 1455 of yacc.c  */
#line 14409 "preproc.y"
    { (yyval.str) = mm_strdup("]"); ;}
    break;

  case 2704:

/* Line 1455 of yacc.c  */
#line 14410 "preproc.y"
    { (yyval.str) = mm_strdup("="); ;}
    break;

  case 2705:

/* Line 1455 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.str) = mm_strdup(":"); ;}
    break;

  case 2706:

/* Line 1455 of yacc.c  */
#line 14414 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); ;}
    break;

  case 2707:

/* Line 1455 of yacc.c  */
#line 14415 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); ;}
    break;

  case 2708:

/* Line 1455 of yacc.c  */
#line 14416 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2709:

/* Line 1455 of yacc.c  */
#line 14417 "preproc.y"
    { (yyval.str) = mm_strdup("all"); ;}
    break;

  case 2710:

/* Line 1455 of yacc.c  */
#line 14420 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2711:

/* Line 1455 of yacc.c  */
#line 14421 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); ;}
    break;

  case 2712:

/* Line 1455 of yacc.c  */
#line 14422 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2713:

/* Line 1455 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2714:

/* Line 1455 of yacc.c  */
#line 14424 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2715:

/* Line 1455 of yacc.c  */
#line 14425 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2716:

/* Line 1455 of yacc.c  */
#line 14426 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); ;}
    break;

  case 2717:

/* Line 1455 of yacc.c  */
#line 14427 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2718:

/* Line 1455 of yacc.c  */
#line 14428 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2719:

/* Line 1455 of yacc.c  */
#line 14431 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2720:

/* Line 1455 of yacc.c  */
#line 14432 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2721:

/* Line 1455 of yacc.c  */
#line 14433 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2722:

/* Line 1455 of yacc.c  */
#line 14434 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2723:

/* Line 1455 of yacc.c  */
#line 14435 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2724:

/* Line 1455 of yacc.c  */
#line 14438 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2725:

/* Line 1455 of yacc.c  */
#line 14439 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2726:

/* Line 1455 of yacc.c  */
#line 14442 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;

  case 2727:

/* Line 1455 of yacc.c  */
#line 14444 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	;}
    break;

  case 2728:

/* Line 1455 of yacc.c  */
#line 14454 "preproc.y"
    { (yyval.str) = EMPTY; ;}
    break;

  case 2729:

/* Line 1455 of yacc.c  */
#line 14455 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); ;}
    break;



/* Line 1455 of yacc.c  */
#line 51459 "preproc.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 14458 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

